/* Generated automatically by the program `genrecog' from the target
   machine description file.  */

#define IN_TARGET_CODE 1

#include "config.h"
#include "system.h"
#include "coretypes.h"
#include "backend.h"
#include "predict.h"
#include "rtl.h"
#include "memmodel.h"
#include "tm_p.h"
#include "emit-rtl.h"
#include "insn-config.h"
#include "recog.h"
#include "output.h"
#include "flags.h"
#include "df.h"
#include "resource.h"
#include "diagnostic-core.h"
#include "reload.h"
#include "regs.h"
#include "tm-constrs.h"
#include "insn-recog.h"


/* `recog' contains a decision tree that recognizes whether the rtx
   X0 is a valid instruction.

   recog returns -1 if the rtx is not valid.  If the rtx is valid, recog
   returns a nonnegative number which is the insn code number for the
   pattern that matched.  This is the same as the order in the machine
   description of the entry that matched.  This number can be used as an
   index into `insn_data' and other tables.
   The third parameter to recog is an optional pointer to an int.  If
   present, recog will accept a pattern if it matches except for missing
   CLOBBER expressions at the end.  In that case, the value pointed to by
   the optional pointer will be set to the number of CLOBBERs that need
   to be added (it should be initialized to zero by the caller).  If it   is set nonzero, the caller should allocate a PARALLEL of the
   appropriate size, copy the initial entries, and call add_clobbers
   (found in insn-emit.cc) to fill in the CLOBBERs.

   The function split_insns returns 0 if the rtl could not
   be split or the split rtl as an INSN list if it can be.

   The function peephole2_insns returns 0 if the rtl could not
   be matched. If there was a match, the new rtl is returned in an INSN list,
   and LAST_INSN will point to the last recognized insn in the old sequence.
*/




int
pattern5 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  switch (GET_MODE (operands[1]))
    {
    case E_SFmode:
      if (!register_operand (operands[1], E_SFmode))
        return -1;
      return 0;

    case E_DFmode:
      if (!register_operand (operands[1], E_DFmode))
        return -1;
      return 1;

    case E_HFmode:
      if (!register_operand (operands[1], E_HFmode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern16 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], E_RVVM8DImode)
      || GET_MODE (x1) != E_RVVM8DImode)
    return -1;
  switch (GET_MODE (operands[1]))
    {
    case E_RVVM8DFmode:
      if (!register_operand (operands[1], E_RVVM8DFmode))
        return -1;
      return 0;

    case E_RVVM4SFmode:
      if (!register_operand (operands[1], E_RVVM4SFmode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern19 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], E_RVVM1DImode)
      || GET_MODE (x1) != E_RVVM1DImode)
    return -1;
  switch (GET_MODE (operands[1]))
    {
    case E_RVVM1DFmode:
      if (!register_operand (operands[1], E_RVVM1DFmode))
        return -1;
      return 0;

    case E_RVVMF2SFmode:
      if (!register_operand (operands[1], E_RVVMF2SFmode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern26 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], E_V64HImode)
      || GET_MODE (x1) != E_V64HImode)
    return -1;
  switch (GET_MODE (operands[1]))
    {
    case E_V64HFmode:
      if (!register_operand (operands[1], E_V64HFmode))
        return -1;
      return 0;

    case E_V64SFmode:
      if (!register_operand (operands[1], E_V64SFmode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern33 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], E_V4SImode)
      || GET_MODE (x1) != E_V4SImode)
    return -1;
  switch (GET_MODE (operands[1]))
    {
    case E_V4SFmode:
      if (!register_operand (operands[1], E_V4SFmode))
        return -1;
      return 0;

    case E_V4HFmode:
      if (!register_operand (operands[1], E_V4HFmode))
        return -1;
      return 1;

    case E_V4DFmode:
      if (!register_operand (operands[1], E_V4DFmode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern40 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], E_V512SImode)
      || GET_MODE (x1) != E_V512SImode)
    return -1;
  switch (GET_MODE (operands[1]))
    {
    case E_V512SFmode:
      if (!register_operand (operands[1], E_V512SFmode))
        return -1;
      return 0;

    case E_V512HFmode:
      if (!register_operand (operands[1], E_V512HFmode))
        return -1;
      return 1;

    case E_V512DFmode:
      if (!register_operand (operands[1], E_V512DFmode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern51 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], E_V512DImode)
      || GET_MODE (x1) != E_V512DImode)
    return -1;
  switch (GET_MODE (operands[1]))
    {
    case E_V512DFmode:
      if (!register_operand (operands[1], E_V512DFmode))
        return -1;
      return 0;

    case E_V512SFmode:
      if (!register_operand (operands[1], E_V512SFmode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern58 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], E_RVVMF4HFmode)
      || GET_MODE (x1) != E_RVVMF4HFmode)
    return -1;
  switch (GET_MODE (operands[1]))
    {
    case E_RVVMF4HImode:
      if (!register_operand (operands[1], E_RVVMF4HImode))
        return -1;
      return 0;

    case E_RVVMF8QImode:
      if (!register_operand (operands[1], E_RVVMF8QImode))
        return -1;
      return 1;

    case E_RVVMF2SImode:
      if (!register_operand (operands[1], E_RVVMF2SImode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern64 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], E_RVVM8DFmode)
      || GET_MODE (x1) != E_RVVM8DFmode)
    return -1;
  switch (GET_MODE (operands[1]))
    {
    case E_RVVM8DImode:
      if (!register_operand (operands[1], E_RVVM8DImode))
        return -1;
      return 0;

    case E_RVVM4SImode:
      if (!register_operand (operands[1], E_RVVM4SImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern66 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], E_RVVM2DFmode)
      || GET_MODE (x1) != E_RVVM2DFmode)
    return -1;
  switch (GET_MODE (operands[1]))
    {
    case E_RVVM2DImode:
      if (!register_operand (operands[1], E_RVVM2DImode))
        return -1;
      return 0;

    case E_RVVM1SImode:
      if (!register_operand (operands[1], E_RVVM1SImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern72 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], E_V16HFmode)
      || GET_MODE (x1) != E_V16HFmode)
    return -1;
  switch (GET_MODE (operands[1]))
    {
    case E_V16HImode:
      if (!register_operand (operands[1], E_V16HImode))
        return -1;
      return 0;

    case E_V16QImode:
      if (!register_operand (operands[1], E_V16QImode))
        return -1;
      return 1;

    case E_V16SImode:
      if (!register_operand (operands[1], E_V16SImode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern78 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], E_V1024HFmode)
      || GET_MODE (x1) != E_V1024HFmode)
    return -1;
  switch (GET_MODE (operands[1]))
    {
    case E_V1024HImode:
      if (!register_operand (operands[1], E_V1024HImode))
        return -1;
      return 0;

    case E_V1024QImode:
      if (!register_operand (operands[1], E_V1024QImode))
        return -1;
      return 1;

    case E_V1024SImode:
      if (!register_operand (operands[1], E_V1024SImode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern85 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], E_V32SFmode)
      || GET_MODE (x1) != E_V32SFmode)
    return -1;
  switch (GET_MODE (operands[1]))
    {
    case E_V32SImode:
      if (!register_operand (operands[1], E_V32SImode))
        return -1;
      return 0;

    case E_V32HImode:
      if (!register_operand (operands[1], E_V32HImode))
        return -1;
      return 1;

    case E_V32DImode:
      if (!register_operand (operands[1], E_V32DImode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern92 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], E_V2DFmode)
      || GET_MODE (x1) != E_V2DFmode)
    return -1;
  switch (GET_MODE (operands[1]))
    {
    case E_V2DImode:
      if (!register_operand (operands[1], E_V2DImode))
        return -1;
      return 0;

    case E_V2SImode:
      if (!register_operand (operands[1], E_V2SImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern99 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], E_V256DFmode)
      || GET_MODE (x1) != E_V256DFmode)
    return -1;
  switch (GET_MODE (operands[1]))
    {
    case E_V256DImode:
      if (!register_operand (operands[1], E_V256DImode))
        return -1;
      return 0;

    case E_V256SImode:
      if (!register_operand (operands[1], E_V256SImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern106 (rtx x1, int i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  if (x3 != const_int_rtx[MAX_SAVED_CONST_INT + i1])
    return -1;
  x4 = XEXP (x1, 0);
  operands[0] = x4;
  x5 = XEXP (x2, 0);
  operands[1] = x5;
  return pattern105 (x2); /* [-1, 2] */
}

int
pattern108 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2
      || !register_operand (operands[2], i2))
    return -1;
  x2 = XEXP (x1, 0);
  x3 = XVECEXP (x2, 0, 1);
  if (GET_MODE (x3) != i1
      || !vector_mask_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern111 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XEXP (x3, 0);
  operands[1] = x4;
  x5 = XEXP (x3, 1);
  operands[2] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_SImode:
      if (!register_operand (operands[0], E_SImode)
          || GET_MODE (x3) != E_SImode
          || !register_operand (operands[1], E_SImode))
        return -1;
      return 0;

    case E_DImode:
      if (pattern3 (x3) != 0)
        return -1;
      return 1;

    case E_RVVM8QImode:
      if (pattern0 (x3, 
E_RVVM8QImode) != 0)
        return -1;
      return 2;

    case E_RVVM4QImode:
      if (pattern0 (x3, 
E_RVVM4QImode) != 0)
        return -1;
      return 3;

    case E_RVVM2QImode:
      if (pattern0 (x3, 
E_RVVM2QImode) != 0)
        return -1;
      return 4;

    case E_RVVM1QImode:
      if (pattern0 (x3, 
E_RVVM1QImode) != 0)
        return -1;
      return 5;

    case E_RVVM8HImode:
      if (pattern0 (x3, 
E_RVVM8HImode) != 0)
        return -1;
      return 6;

    case E_RVVM4HImode:
      if (pattern0 (x3, 
E_RVVM4HImode) != 0)
        return -1;
      return 7;

    case E_RVVM2HImode:
      if (pattern0 (x3, 
E_RVVM2HImode) != 0)
        return -1;
      return 8;

    case E_RVVM1HImode:
      if (pattern0 (x3, 
E_RVVM1HImode) != 0)
        return -1;
      return 9;

    case E_RVVM8SImode:
      if (pattern0 (x3, 
E_RVVM8SImode) != 0)
        return -1;
      return 10;

    case E_RVVM4SImode:
      if (pattern0 (x3, 
E_RVVM4SImode) != 0)
        return -1;
      return 11;

    case E_RVVM2SImode:
      if (pattern0 (x3, 
E_RVVM2SImode) != 0)
        return -1;
      return 12;

    case E_RVVM1SImode:
      if (pattern0 (x3, 
E_RVVM1SImode) != 0)
        return -1;
      return 13;

    case E_RVVM8DImode:
      if (pattern0 (x3, 
E_RVVM8DImode) != 0)
        return -1;
      return 14;

    case E_RVVM4DImode:
      if (pattern0 (x3, 
E_RVVM4DImode) != 0)
        return -1;
      return 15;

    case E_RVVM2DImode:
      if (pattern0 (x3, 
E_RVVM2DImode) != 0)
        return -1;
      return 16;

    case E_RVVM1DImode:
      if (pattern0 (x3, 
E_RVVM1DImode) != 0)
        return -1;
      return 17;

    case E_RVVMF2QImode:
      if (pattern0 (x3, 
E_RVVMF2QImode) != 0)
        return -1;
      return 18;

    case E_RVVMF4QImode:
      if (pattern0 (x3, 
E_RVVMF4QImode) != 0)
        return -1;
      return 19;

    case E_RVVMF8QImode:
      if (pattern0 (x3, 
E_RVVMF8QImode) != 0)
        return -1;
      return 20;

    case E_RVVMF2HImode:
      if (pattern0 (x3, 
E_RVVMF2HImode) != 0)
        return -1;
      return 21;

    case E_RVVMF4HImode:
      if (pattern0 (x3, 
E_RVVMF4HImode) != 0)
        return -1;
      return 22;

    case E_RVVMF2SImode:
      if (pattern0 (x3, 
E_RVVMF2SImode) != 0)
        return -1;
      return 23;

    case E_V1QImode:
      if (pattern0 (x3, 
E_V1QImode) != 0)
        return -1;
      return 24;

    case E_V2QImode:
      if (pattern0 (x3, 
E_V2QImode) != 0)
        return -1;
      return 25;

    case E_V4QImode:
      if (pattern0 (x3, 
E_V4QImode) != 0)
        return -1;
      return 26;

    case E_V8QImode:
      if (pattern0 (x3, 
E_V8QImode) != 0)
        return -1;
      return 27;

    case E_V16QImode:
      if (pattern0 (x3, 
E_V16QImode) != 0)
        return -1;
      return 28;

    case E_V32QImode:
      if (pattern0 (x3, 
E_V32QImode) != 0)
        return -1;
      return 29;

    case E_V64QImode:
      if (pattern0 (x3, 
E_V64QImode) != 0)
        return -1;
      return 30;

    case E_V128QImode:
      if (pattern0 (x3, 
E_V128QImode) != 0)
        return -1;
      return 31;

    case E_V256QImode:
      if (pattern0 (x3, 
E_V256QImode) != 0)
        return -1;
      return 32;

    case E_V512QImode:
      if (pattern0 (x3, 
E_V512QImode) != 0)
        return -1;
      return 33;

    case E_V1024QImode:
      if (pattern0 (x3, 
E_V1024QImode) != 0)
        return -1;
      return 34;

    case E_V2048QImode:
      if (pattern0 (x3, 
E_V2048QImode) != 0)
        return -1;
      return 35;

    case E_V4096QImode:
      if (pattern0 (x3, 
E_V4096QImode) != 0)
        return -1;
      return 36;

    case E_V1HImode:
      if (pattern0 (x3, 
E_V1HImode) != 0)
        return -1;
      return 37;

    case E_V2HImode:
      if (pattern0 (x3, 
E_V2HImode) != 0)
        return -1;
      return 38;

    case E_V4HImode:
      if (pattern0 (x3, 
E_V4HImode) != 0)
        return -1;
      return 39;

    case E_V8HImode:
      if (pattern0 (x3, 
E_V8HImode) != 0)
        return -1;
      return 40;

    case E_V16HImode:
      if (pattern0 (x3, 
E_V16HImode) != 0)
        return -1;
      return 41;

    case E_V32HImode:
      if (pattern0 (x3, 
E_V32HImode) != 0)
        return -1;
      return 42;

    case E_V64HImode:
      if (pattern0 (x3, 
E_V64HImode) != 0)
        return -1;
      return 43;

    case E_V128HImode:
      if (pattern0 (x3, 
E_V128HImode) != 0)
        return -1;
      return 44;

    case E_V256HImode:
      if (pattern0 (x3, 
E_V256HImode) != 0)
        return -1;
      return 45;

    case E_V512HImode:
      if (pattern0 (x3, 
E_V512HImode) != 0)
        return -1;
      return 46;

    case E_V1024HImode:
      if (pattern0 (x3, 
E_V1024HImode) != 0)
        return -1;
      return 47;

    case E_V2048HImode:
      if (pattern0 (x3, 
E_V2048HImode) != 0)
        return -1;
      return 48;

    case E_V1SImode:
      if (pattern0 (x3, 
E_V1SImode) != 0)
        return -1;
      return 49;

    case E_V2SImode:
      if (pattern0 (x3, 
E_V2SImode) != 0)
        return -1;
      return 50;

    case E_V4SImode:
      if (pattern0 (x3, 
E_V4SImode) != 0)
        return -1;
      return 51;

    case E_V8SImode:
      if (pattern0 (x3, 
E_V8SImode) != 0)
        return -1;
      return 52;

    case E_V16SImode:
      if (pattern0 (x3, 
E_V16SImode) != 0)
        return -1;
      return 53;

    case E_V32SImode:
      if (pattern0 (x3, 
E_V32SImode) != 0)
        return -1;
      return 54;

    case E_V64SImode:
      if (pattern0 (x3, 
E_V64SImode) != 0)
        return -1;
      return 55;

    case E_V128SImode:
      if (pattern0 (x3, 
E_V128SImode) != 0)
        return -1;
      return 56;

    case E_V256SImode:
      if (pattern0 (x3, 
E_V256SImode) != 0)
        return -1;
      return 57;

    case E_V512SImode:
      if (pattern0 (x3, 
E_V512SImode) != 0)
        return -1;
      return 58;

    case E_V1024SImode:
      if (pattern0 (x3, 
E_V1024SImode) != 0)
        return -1;
      return 59;

    case E_V1DImode:
      if (pattern0 (x3, 
E_V1DImode) != 0)
        return -1;
      return 60;

    case E_V2DImode:
      if (pattern0 (x3, 
E_V2DImode) != 0)
        return -1;
      return 61;

    case E_V4DImode:
      if (pattern0 (x3, 
E_V4DImode) != 0)
        return -1;
      return 62;

    case E_V8DImode:
      if (pattern0 (x3, 
E_V8DImode) != 0)
        return -1;
      return 63;

    case E_V16DImode:
      if (pattern0 (x3, 
E_V16DImode) != 0)
        return -1;
      return 64;

    case E_V32DImode:
      if (pattern0 (x3, 
E_V32DImode) != 0)
        return -1;
      return 65;

    case E_V64DImode:
      if (pattern0 (x3, 
E_V64DImode) != 0)
        return -1;
      return 66;

    case E_V128DImode:
      if (pattern0 (x3, 
E_V128DImode) != 0)
        return -1;
      return 67;

    case E_V256DImode:
      if (pattern0 (x3, 
E_V256DImode) != 0)
        return -1;
      return 68;

    case E_V512DImode:
      if (pattern0 (x3, 
E_V512DImode) != 0)
        return -1;
      return 69;

    default:
      return -1;
    }
}

int
pattern128 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2
      || !register_operand (operands[1], i1))
    return -1;
  x3 = XEXP (x1, 1);
  if (GET_MODE (x3) != i2
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern129 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  operands[2] = x3;
  switch (GET_MODE (operands[0]))
    {
    case E_RVVM8SFmode:
      return pattern128 (x1, 
E_RVVM4HFmode, 
E_RVVM8SFmode); /* [-1, 0] */

    case E_RVVM4SFmode:
      if (pattern128 (x1, 
E_RVVM2HFmode, 
E_RVVM4SFmode) != 0)
        return -1;
      return 1;

    case E_RVVM2SFmode:
      if (pattern128 (x1, 
E_RVVM1HFmode, 
E_RVVM2SFmode) != 0)
        return -1;
      return 2;

    case E_RVVM1SFmode:
      if (pattern128 (x1, 
E_RVVMF2HFmode, 
E_RVVM1SFmode) != 0)
        return -1;
      return 3;

    case E_RVVMF2SFmode:
      if (pattern128 (x1, 
E_RVVMF4HFmode, 
E_RVVMF2SFmode) != 0)
        return -1;
      return 4;

    case E_RVVM8DFmode:
      if (pattern128 (x1, 
E_RVVM4SFmode, 
E_RVVM8DFmode) != 0)
        return -1;
      return 5;

    case E_RVVM4DFmode:
      if (pattern128 (x1, 
E_RVVM2SFmode, 
E_RVVM4DFmode) != 0)
        return -1;
      return 6;

    case E_RVVM2DFmode:
      if (pattern128 (x1, 
E_RVVM1SFmode, 
E_RVVM2DFmode) != 0)
        return -1;
      return 7;

    case E_RVVM1DFmode:
      if (pattern128 (x1, 
E_RVVMF2SFmode, 
E_RVVM1DFmode) != 0)
        return -1;
      return 8;

    case E_V1SFmode:
      if (pattern128 (x1, 
E_V1HFmode, 
E_V1SFmode) != 0)
        return -1;
      return 9;

    case E_V2SFmode:
      if (pattern128 (x1, 
E_V2HFmode, 
E_V2SFmode) != 0)
        return -1;
      return 10;

    case E_V4SFmode:
      if (pattern128 (x1, 
E_V4HFmode, 
E_V4SFmode) != 0)
        return -1;
      return 11;

    case E_V8SFmode:
      if (pattern128 (x1, 
E_V8HFmode, 
E_V8SFmode) != 0)
        return -1;
      return 12;

    case E_V16SFmode:
      if (pattern128 (x1, 
E_V16HFmode, 
E_V16SFmode) != 0)
        return -1;
      return 13;

    case E_V32SFmode:
      if (pattern128 (x1, 
E_V32HFmode, 
E_V32SFmode) != 0)
        return -1;
      return 14;

    case E_V64SFmode:
      if (pattern128 (x1, 
E_V64HFmode, 
E_V64SFmode) != 0)
        return -1;
      return 15;

    case E_V128SFmode:
      if (pattern128 (x1, 
E_V128HFmode, 
E_V128SFmode) != 0)
        return -1;
      return 16;

    case E_V256SFmode:
      if (pattern128 (x1, 
E_V256HFmode, 
E_V256SFmode) != 0)
        return -1;
      return 17;

    case E_V512SFmode:
      if (pattern128 (x1, 
E_V512HFmode, 
E_V512SFmode) != 0)
        return -1;
      return 18;

    case E_V1024SFmode:
      if (pattern128 (x1, 
E_V1024HFmode, 
E_V1024SFmode) != 0)
        return -1;
      return 19;

    case E_V1DFmode:
      if (pattern128 (x1, 
E_V1SFmode, 
E_V1DFmode) != 0)
        return -1;
      return 20;

    case E_V2DFmode:
      if (pattern128 (x1, 
E_V2SFmode, 
E_V2DFmode) != 0)
        return -1;
      return 21;

    case E_V4DFmode:
      if (pattern128 (x1, 
E_V4SFmode, 
E_V4DFmode) != 0)
        return -1;
      return 22;

    case E_V8DFmode:
      if (pattern128 (x1, 
E_V8SFmode, 
E_V8DFmode) != 0)
        return -1;
      return 23;

    case E_V16DFmode:
      if (pattern128 (x1, 
E_V16SFmode, 
E_V16DFmode) != 0)
        return -1;
      return 24;

    case E_V32DFmode:
      if (pattern128 (x1, 
E_V32SFmode, 
E_V32DFmode) != 0)
        return -1;
      return 25;

    case E_V64DFmode:
      if (pattern128 (x1, 
E_V64SFmode, 
E_V64DFmode) != 0)
        return -1;
      return 26;

    case E_V128DFmode:
      if (pattern128 (x1, 
E_V128SFmode, 
E_V128DFmode) != 0)
        return -1;
      return 27;

    case E_V256DFmode:
      if (pattern128 (x1, 
E_V256SFmode, 
E_V256DFmode) != 0)
        return -1;
      return 28;

    case E_V512DFmode:
      if (pattern128 (x1, 
E_V512SFmode, 
E_V512DFmode) != 0)
        return -1;
      return 29;

    default:
      return -1;
    }
}

int
pattern142 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  switch (GET_CODE (x3))
    {
    case REG:
    case SUBREG:
      operands[1] = x3;
      x4 = XEXP (x2, 1);
      operands[2] = x4;
      x5 = XEXP (x1, 1);
      operands[3] = x5;
      switch (GET_MODE (operands[0]))
        {
        case E_RVVM8HFmode:
          return pattern136 (x1, 
E_RVVM8HFmode); /* [-1, 0] */

        case E_RVVM4HFmode:
          if (pattern136 (x1, 
E_RVVM4HFmode) != 0)
            return -1;
          return 1;

        case E_RVVM2HFmode:
          if (pattern136 (x1, 
E_RVVM2HFmode) != 0)
            return -1;
          return 2;

        case E_RVVM1HFmode:
          if (pattern136 (x1, 
E_RVVM1HFmode) != 0)
            return -1;
          return 3;

        case E_RVVMF2HFmode:
          if (pattern136 (x1, 
E_RVVMF2HFmode) != 0)
            return -1;
          return 4;

        case E_RVVMF4HFmode:
          if (pattern136 (x1, 
E_RVVMF4HFmode) != 0)
            return -1;
          return 5;

        case E_RVVM8SFmode:
          if (pattern136 (x1, 
E_RVVM8SFmode) != 0)
            return -1;
          return 6;

        case E_RVVM4SFmode:
          if (pattern136 (x1, 
E_RVVM4SFmode) != 0)
            return -1;
          return 7;

        case E_RVVM2SFmode:
          if (pattern136 (x1, 
E_RVVM2SFmode) != 0)
            return -1;
          return 8;

        case E_RVVM1SFmode:
          if (pattern136 (x1, 
E_RVVM1SFmode) != 0)
            return -1;
          return 9;

        case E_RVVMF2SFmode:
          if (pattern136 (x1, 
E_RVVMF2SFmode) != 0)
            return -1;
          return 10;

        case E_RVVM8DFmode:
          if (pattern136 (x1, 
E_RVVM8DFmode) != 0)
            return -1;
          return 11;

        case E_RVVM4DFmode:
          if (pattern136 (x1, 
E_RVVM4DFmode) != 0)
            return -1;
          return 12;

        case E_RVVM2DFmode:
          if (pattern136 (x1, 
E_RVVM2DFmode) != 0)
            return -1;
          return 13;

        case E_RVVM1DFmode:
          if (pattern136 (x1, 
E_RVVM1DFmode) != 0)
            return -1;
          return 14;

        case E_V1HFmode:
          if (pattern136 (x1, 
E_V1HFmode) != 0)
            return -1;
          return 15;

        case E_V2HFmode:
          if (pattern136 (x1, 
E_V2HFmode) != 0)
            return -1;
          return 16;

        case E_V4HFmode:
          if (pattern136 (x1, 
E_V4HFmode) != 0)
            return -1;
          return 17;

        case E_V8HFmode:
          if (pattern136 (x1, 
E_V8HFmode) != 0)
            return -1;
          return 18;

        case E_V16HFmode:
          if (pattern136 (x1, 
E_V16HFmode) != 0)
            return -1;
          return 19;

        case E_V32HFmode:
          if (pattern136 (x1, 
E_V32HFmode) != 0)
            return -1;
          return 20;

        case E_V64HFmode:
          if (pattern136 (x1, 
E_V64HFmode) != 0)
            return -1;
          return 21;

        case E_V128HFmode:
          if (pattern136 (x1, 
E_V128HFmode) != 0)
            return -1;
          return 22;

        case E_V256HFmode:
          if (pattern136 (x1, 
E_V256HFmode) != 0)
            return -1;
          return 23;

        case E_V512HFmode:
          if (pattern136 (x1, 
E_V512HFmode) != 0)
            return -1;
          return 24;

        case E_V1024HFmode:
          if (pattern136 (x1, 
E_V1024HFmode) != 0)
            return -1;
          return 25;

        case E_V2048HFmode:
          if (pattern136 (x1, 
E_V2048HFmode) != 0)
            return -1;
          return 26;

        case E_V1SFmode:
          if (pattern136 (x1, 
E_V1SFmode) != 0)
            return -1;
          return 27;

        case E_V2SFmode:
          if (pattern136 (x1, 
E_V2SFmode) != 0)
            return -1;
          return 28;

        case E_V4SFmode:
          if (pattern136 (x1, 
E_V4SFmode) != 0)
            return -1;
          return 29;

        case E_V8SFmode:
          if (pattern136 (x1, 
E_V8SFmode) != 0)
            return -1;
          return 30;

        case E_V16SFmode:
          if (pattern136 (x1, 
E_V16SFmode) != 0)
            return -1;
          return 31;

        case E_V32SFmode:
          if (pattern136 (x1, 
E_V32SFmode) != 0)
            return -1;
          return 32;

        case E_V64SFmode:
          if (pattern136 (x1, 
E_V64SFmode) != 0)
            return -1;
          return 33;

        case E_V128SFmode:
          if (pattern136 (x1, 
E_V128SFmode) != 0)
            return -1;
          return 34;

        case E_V256SFmode:
          if (pattern136 (x1, 
E_V256SFmode) != 0)
            return -1;
          return 35;

        case E_V512SFmode:
          if (pattern136 (x1, 
E_V512SFmode) != 0)
            return -1;
          return 36;

        case E_V1024SFmode:
          if (pattern136 (x1, 
E_V1024SFmode) != 0)
            return -1;
          return 37;

        case E_V1DFmode:
          if (pattern136 (x1, 
E_V1DFmode) != 0)
            return -1;
          return 38;

        case E_V2DFmode:
          if (pattern136 (x1, 
E_V2DFmode) != 0)
            return -1;
          return 39;

        case E_V4DFmode:
          if (pattern136 (x1, 
E_V4DFmode) != 0)
            return -1;
          return 40;

        case E_V8DFmode:
          if (pattern136 (x1, 
E_V8DFmode) != 0)
            return -1;
          return 41;

        case E_V16DFmode:
          if (pattern136 (x1, 
E_V16DFmode) != 0)
            return -1;
          return 42;

        case E_V32DFmode:
          if (pattern136 (x1, 
E_V32DFmode) != 0)
            return -1;
          return 43;

        case E_V64DFmode:
          if (pattern136 (x1, 
E_V64DFmode) != 0)
            return -1;
          return 44;

        case E_V128DFmode:
          if (pattern136 (x1, 
E_V128DFmode) != 0)
            return -1;
          return 45;

        case E_V256DFmode:
          if (pattern136 (x1, 
E_V256DFmode) != 0)
            return -1;
          return 46;

        case E_V512DFmode:
          if (pattern136 (x1, 
E_V512DFmode) != 0)
            return -1;
          return 47;

        default:
          return -1;
        }

    case FLOAT_EXTEND:
      res = pattern139 (x1);
      if (res >= 0)
        return res + 48; /* [48, 107] */
      return -1;

    case NEG:
      x4 = XEXP (x2, 1);
      if (GET_CODE (x4) != FLOAT_EXTEND)
        return -1;
      x5 = XEXP (x1, 1);
      operands[1] = x5;
      x6 = XEXP (x3, 0);
      switch (GET_CODE (x6))
        {
        case FLOAT_EXTEND:
          x7 = XEXP (x6, 0);
          operands[2] = x7;
          x8 = XEXP (x4, 0);
          operands[3] = x8;
          switch (GET_MODE (operands[0]))
            {
            case E_RVVM8SFmode:
              if (pattern140 (x1, 
E_RVVM8SFmode, 
E_RVVM4HFmode) != 0)
                return -1;
              return 108;

            case E_RVVM4SFmode:
              if (pattern140 (x1, 
E_RVVM4SFmode, 
E_RVVM2HFmode) != 0)
                return -1;
              return 109;

            case E_RVVM2SFmode:
              if (pattern140 (x1, 
E_RVVM2SFmode, 
E_RVVM1HFmode) != 0)
                return -1;
              return 110;

            case E_RVVM1SFmode:
              if (pattern140 (x1, 
E_RVVM1SFmode, 
E_RVVMF2HFmode) != 0)
                return -1;
              return 111;

            case E_RVVMF2SFmode:
              if (pattern140 (x1, 
E_RVVMF2SFmode, 
E_RVVMF4HFmode) != 0)
                return -1;
              return 112;

            case E_RVVM8DFmode:
              if (pattern140 (x1, 
E_RVVM8DFmode, 
E_RVVM4SFmode) != 0)
                return -1;
              return 113;

            case E_RVVM4DFmode:
              if (pattern140 (x1, 
E_RVVM4DFmode, 
E_RVVM2SFmode) != 0)
                return -1;
              return 114;

            case E_RVVM2DFmode:
              if (pattern140 (x1, 
E_RVVM2DFmode, 
E_RVVM1SFmode) != 0)
                return -1;
              return 115;

            case E_RVVM1DFmode:
              if (pattern140 (x1, 
E_RVVM1DFmode, 
E_RVVMF2SFmode) != 0)
                return -1;
              return 116;

            case E_V1SFmode:
              if (pattern140 (x1, 
E_V1SFmode, 
E_V1HFmode) != 0)
                return -1;
              return 117;

            case E_V2SFmode:
              if (pattern140 (x1, 
E_V2SFmode, 
E_V2HFmode) != 0)
                return -1;
              return 118;

            case E_V4SFmode:
              if (pattern140 (x1, 
E_V4SFmode, 
E_V4HFmode) != 0)
                return -1;
              return 119;

            case E_V8SFmode:
              if (pattern140 (x1, 
E_V8SFmode, 
E_V8HFmode) != 0)
                return -1;
              return 120;

            case E_V16SFmode:
              if (pattern140 (x1, 
E_V16SFmode, 
E_V16HFmode) != 0)
                return -1;
              return 121;

            case E_V32SFmode:
              if (pattern140 (x1, 
E_V32SFmode, 
E_V32HFmode) != 0)
                return -1;
              return 122;

            case E_V64SFmode:
              if (pattern140 (x1, 
E_V64SFmode, 
E_V64HFmode) != 0)
                return -1;
              return 123;

            case E_V128SFmode:
              if (pattern140 (x1, 
E_V128SFmode, 
E_V128HFmode) != 0)
                return -1;
              return 124;

            case E_V256SFmode:
              if (pattern140 (x1, 
E_V256SFmode, 
E_V256HFmode) != 0)
                return -1;
              return 125;

            case E_V512SFmode:
              if (pattern140 (x1, 
E_V512SFmode, 
E_V512HFmode) != 0)
                return -1;
              return 126;

            case E_V1024SFmode:
              if (pattern140 (x1, 
E_V1024SFmode, 
E_V1024HFmode) != 0)
                return -1;
              return 127;

            case E_V1DFmode:
              if (pattern140 (x1, 
E_V1DFmode, 
E_V1SFmode) != 0)
                return -1;
              return 128;

            case E_V2DFmode:
              if (pattern140 (x1, 
E_V2DFmode, 
E_V2SFmode) != 0)
                return -1;
              return 129;

            case E_V4DFmode:
              if (pattern140 (x1, 
E_V4DFmode, 
E_V4SFmode) != 0)
                return -1;
              return 130;

            case E_V8DFmode:
              if (pattern140 (x1, 
E_V8DFmode, 
E_V8SFmode) != 0)
                return -1;
              return 131;

            case E_V16DFmode:
              if (pattern140 (x1, 
E_V16DFmode, 
E_V16SFmode) != 0)
                return -1;
              return 132;

            case E_V32DFmode:
              if (pattern140 (x1, 
E_V32DFmode, 
E_V32SFmode) != 0)
                return -1;
              return 133;

            case E_V64DFmode:
              if (pattern140 (x1, 
E_V64DFmode, 
E_V64SFmode) != 0)
                return -1;
              return 134;

            case E_V128DFmode:
              if (pattern140 (x1, 
E_V128DFmode, 
E_V128SFmode) != 0)
                return -1;
              return 135;

            case E_V256DFmode:
              if (pattern140 (x1, 
E_V256DFmode, 
E_V256SFmode) != 0)
                return -1;
              return 136;

            case E_V512DFmode:
              if (pattern140 (x1, 
E_V512DFmode, 
E_V512SFmode) != 0)
                return -1;
              return 137;

            default:
              return -1;
            }

        case REG:
        case SUBREG:
          operands[3] = x6;
          x8 = XEXP (x4, 0);
          operands[2] = x8;
          switch (GET_MODE (operands[0]))
            {
            case E_RVVM8SFmode:
              if (pattern141 (x1, 
E_RVVM8SFmode, 
E_RVVM4HFmode) != 0)
                return -1;
              return 138;

            case E_RVVM4SFmode:
              if (pattern141 (x1, 
E_RVVM4SFmode, 
E_RVVM2HFmode) != 0)
                return -1;
              return 139;

            case E_RVVM2SFmode:
              if (pattern141 (x1, 
E_RVVM2SFmode, 
E_RVVM1HFmode) != 0)
                return -1;
              return 140;

            case E_RVVM1SFmode:
              if (pattern141 (x1, 
E_RVVM1SFmode, 
E_RVVMF2HFmode) != 0)
                return -1;
              return 141;

            case E_RVVMF2SFmode:
              if (pattern141 (x1, 
E_RVVMF2SFmode, 
E_RVVMF4HFmode) != 0)
                return -1;
              return 142;

            case E_RVVM8DFmode:
              if (pattern141 (x1, 
E_RVVM8DFmode, 
E_RVVM4SFmode) != 0)
                return -1;
              return 143;

            case E_RVVM4DFmode:
              if (pattern141 (x1, 
E_RVVM4DFmode, 
E_RVVM2SFmode) != 0)
                return -1;
              return 144;

            case E_RVVM2DFmode:
              if (pattern141 (x1, 
E_RVVM2DFmode, 
E_RVVM1SFmode) != 0)
                return -1;
              return 145;

            case E_RVVM1DFmode:
              if (pattern141 (x1, 
E_RVVM1DFmode, 
E_RVVMF2SFmode) != 0)
                return -1;
              return 146;

            case E_V1SFmode:
              if (pattern141 (x1, 
E_V1SFmode, 
E_V1HFmode) != 0)
                return -1;
              return 147;

            case E_V2SFmode:
              if (pattern141 (x1, 
E_V2SFmode, 
E_V2HFmode) != 0)
                return -1;
              return 148;

            case E_V4SFmode:
              if (pattern141 (x1, 
E_V4SFmode, 
E_V4HFmode) != 0)
                return -1;
              return 149;

            case E_V8SFmode:
              if (pattern141 (x1, 
E_V8SFmode, 
E_V8HFmode) != 0)
                return -1;
              return 150;

            case E_V16SFmode:
              if (pattern141 (x1, 
E_V16SFmode, 
E_V16HFmode) != 0)
                return -1;
              return 151;

            case E_V32SFmode:
              if (pattern141 (x1, 
E_V32SFmode, 
E_V32HFmode) != 0)
                return -1;
              return 152;

            case E_V64SFmode:
              if (pattern141 (x1, 
E_V64SFmode, 
E_V64HFmode) != 0)
                return -1;
              return 153;

            case E_V128SFmode:
              if (pattern141 (x1, 
E_V128SFmode, 
E_V128HFmode) != 0)
                return -1;
              return 154;

            case E_V256SFmode:
              if (pattern141 (x1, 
E_V256SFmode, 
E_V256HFmode) != 0)
                return -1;
              return 155;

            case E_V512SFmode:
              if (pattern141 (x1, 
E_V512SFmode, 
E_V512HFmode) != 0)
                return -1;
              return 156;

            case E_V1024SFmode:
              if (pattern141 (x1, 
E_V1024SFmode, 
E_V1024HFmode) != 0)
                return -1;
              return 157;

            case E_V1DFmode:
              if (pattern141 (x1, 
E_V1DFmode, 
E_V1SFmode) != 0)
                return -1;
              return 158;

            case E_V2DFmode:
              if (pattern141 (x1, 
E_V2DFmode, 
E_V2SFmode) != 0)
                return -1;
              return 159;

            case E_V4DFmode:
              if (pattern141 (x1, 
E_V4DFmode, 
E_V4SFmode) != 0)
                return -1;
              return 160;

            case E_V8DFmode:
              if (pattern141 (x1, 
E_V8DFmode, 
E_V8SFmode) != 0)
                return -1;
              return 161;

            case E_V16DFmode:
              if (pattern141 (x1, 
E_V16DFmode, 
E_V16SFmode) != 0)
                return -1;
              return 162;

            case E_V32DFmode:
              if (pattern141 (x1, 
E_V32DFmode, 
E_V32SFmode) != 0)
                return -1;
              return 163;

            case E_V64DFmode:
              if (pattern141 (x1, 
E_V64DFmode, 
E_V64SFmode) != 0)
                return -1;
              return 164;

            case E_V128DFmode:
              if (pattern141 (x1, 
E_V128DFmode, 
E_V128SFmode) != 0)
                return -1;
              return 165;

            case E_V256DFmode:
              if (pattern141 (x1, 
E_V256DFmode, 
E_V256SFmode) != 0)
                return -1;
              return 166;

            case E_V512DFmode:
              if (pattern141 (x1, 
E_V512DFmode, 
E_V512SFmode) != 0)
                return -1;
              return 167;

            default:
              return -1;
            }

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern191 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != E_BLKmode)
    return -1;
  x3 = XVECEXP (x2, 0, 0);
  if (GET_CODE (x3) != UNSPEC
      || XVECLEN (x3, 0) != 5
      || XINT (x3, 1) != 93)
    return -1;
  x4 = XVECEXP (x3, 0, 3);
  if (GET_CODE (x4) != REG
      || REGNO (x4) != 66
      || GET_MODE (x4) != E_SImode)
    return -1;
  x5 = XVECEXP (x3, 0, 4);
  if (GET_CODE (x5) != REG
      || REGNO (x5) != 67
      || GET_MODE (x5) != E_SImode)
    return -1;
  x6 = XEXP (x1, 0);
  if (GET_CODE (x6) != MEM
      || GET_MODE (x6) != E_BLKmode)
    return -1;
  x7 = XEXP (x6, 0);
  if (GET_CODE (x7) != SCRATCH)
    return -1;
  x8 = XVECEXP (x3, 0, 0);
  operands[0] = x8;
  x9 = XVECEXP (x3, 0, 1);
  operands[4] = x9;
  if (!vector_length_operand (operands[4], E_VOIDmode))
    return -1;
  x10 = XVECEXP (x3, 0, 2);
  operands[5] = x10;
  if (!const_int_operand (operands[5], E_VOIDmode))
    return -1;
  x11 = XVECEXP (x2, 0, 1);
  operands[1] = x11;
  if (!pmode_reg_or_0_operand (operands[1], E_VOIDmode))
    return -1;
  x12 = XVECEXP (x2, 0, 2);
  operands[2] = x12;
  x13 = XVECEXP (x2, 0, 3);
  operands[3] = x13;
  switch (GET_MODE (x3))
    {
    case E_RVVMF64BImode:
      if (!vector_mask_operand (operands[0], E_RVVMF64BImode))
        return -1;
      switch (GET_MODE (operands[2]))
        {
        case E_RVVMF8QImode:
          return pattern185 (
E_RVVMF8QImode); /* [-1, 63] */

        case E_RVVMF4HImode:
          res = pattern185 (
E_RVVMF4HImode);
          if (res >= 0)
            return res + 64; /* [64, 127] */
          return -1;

        case E_RVVMF2SImode:
          res = pattern185 (
E_RVVMF2SImode);
          if (res >= 0)
            return res + 128; /* [128, 191] */
          return -1;

        case E_RVVM1DImode:
          res = pattern185 (
E_RVVM1DImode);
          if (res >= 0)
            return res + 192; /* [192, 255] */
          return -1;

        default:
          return -1;
        }

    case E_RVVMF32BImode:
      if (!vector_mask_operand (operands[0], E_RVVMF32BImode))
        return -1;
      switch (GET_MODE (operands[2]))
        {
        case E_RVVMF4QImode:
          res = pattern186 (
E_RVVMF4QImode);
          if (res >= 0)
            return res + 256; /* [256, 311] */
          return -1;

        case E_RVVMF2HImode:
          res = pattern186 (
E_RVVMF2HImode);
          if (res >= 0)
            return res + 312; /* [312, 367] */
          return -1;

        case E_RVVM1SImode:
          res = pattern186 (
E_RVVM1SImode);
          if (res >= 0)
            return res + 368; /* [368, 423] */
          return -1;

        case E_RVVM2DImode:
          res = pattern186 (
E_RVVM2DImode);
          if (res >= 0)
            return res + 424; /* [424, 479] */
          return -1;

        default:
          return -1;
        }

    case E_RVVMF16BImode:
      if (!vector_mask_operand (operands[0], E_RVVMF16BImode))
        return -1;
      switch (GET_MODE (operands[2]))
        {
        case E_RVVMF2QImode:
          res = pattern187 (
E_RVVMF2QImode);
          if (res >= 0)
            return res + 480; /* [480, 523] */
          return -1;

        case E_RVVM1HImode:
          res = pattern187 (
E_RVVM1HImode);
          if (res >= 0)
            return res + 524; /* [524, 567] */
          return -1;

        case E_RVVM2SImode:
          res = pattern187 (
E_RVVM2SImode);
          if (res >= 0)
            return res + 568; /* [568, 611] */
          return -1;

        case E_RVVM4DImode:
          res = pattern187 (
E_RVVM4DImode);
          if (res >= 0)
            return res + 612; /* [612, 655] */
          return -1;

        default:
          return -1;
        }

    case E_RVVMF8BImode:
      if (!vector_mask_operand (operands[0], E_RVVMF8BImode))
        return -1;
      switch (GET_MODE (operands[2]))
        {
        case E_RVVM1QImode:
          res = pattern188 (
E_RVVM1QImode);
          if (res >= 0)
            return res + 656; /* [656, 681] */
          return -1;

        case E_RVVM2HImode:
          res = pattern188 (
E_RVVM2HImode);
          if (res >= 0)
            return res + 682; /* [682, 707] */
          return -1;

        case E_RVVM4SImode:
          res = pattern188 (
E_RVVM4SImode);
          if (res >= 0)
            return res + 708; /* [708, 733] */
          return -1;

        case E_RVVM8DImode:
          res = pattern188 (
E_RVVM8DImode);
          if (res >= 0)
            return res + 734; /* [734, 759] */
          return -1;

        default:
          return -1;
        }

    case E_RVVMF4BImode:
      if (!vector_mask_operand (operands[0], E_RVVMF4BImode))
        return -1;
      switch (GET_MODE (operands[2]))
        {
        case E_RVVM2QImode:
          res = pattern189 (
E_RVVM2QImode);
          if (res >= 0)
            return res + 760; /* [760, 771] */
          return -1;

        case E_RVVM4HImode:
          res = pattern189 (
E_RVVM4HImode);
          if (res >= 0)
            return res + 772; /* [772, 783] */
          return -1;

        case E_RVVM8SImode:
          res = pattern189 (
E_RVVM8SImode);
          if (res >= 0)
            return res + 784; /* [784, 795] */
          return -1;

        default:
          return -1;
        }

    case E_RVVMF2BImode:
      if (!vector_mask_operand (operands[0], E_RVVMF2BImode))
        return -1;
      switch (GET_MODE (operands[2]))
        {
        case E_RVVM4QImode:
          res = pattern190 (
E_RVVM4QImode);
          if (res >= 0)
            return res + 796; /* [796, 800] */
          return -1;

        case E_RVVM8HImode:
          res = pattern190 (
E_RVVM8HImode);
          if (res >= 0)
            return res + 801; /* [801, 805] */
          return -1;

        default:
          return -1;
        }

    case E_RVVM1BImode:
      if (!vector_mask_operand (operands[0], E_RVVM1BImode)
          || !register_operand (operands[2], E_RVVM8QImode)
          || !register_operand (operands[3], E_RVVM8QImode))
        return -1;
      return 806;

    default:
      return -1;
    }
}

int
pattern217 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1)
      || !register_operand (operands[4], i1))
    return -1;
  return 0;
}

int
pattern218 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[1] = x2;
  x3 = XEXP (x1, 1);
  x4 = XEXP (x3, 0);
  operands[2] = x4;
  x5 = XEXP (x3, 1);
  operands[3] = x5;
  x6 = XEXP (x1, 2);
  operands[4] = x6;
  switch (GET_MODE (operands[0]))
    {
    case E_RVVM8QImode:
      return pattern217 (x1, 
E_RVVM8QImode, 
E_RVVM1BImode); /* [-1, 0] */

    case E_RVVM4QImode:
      if (pattern217 (x1, 
E_RVVM4QImode, 
E_RVVMF2BImode) != 0)
        return -1;
      return 1;

    case E_RVVM2QImode:
      if (pattern217 (x1, 
E_RVVM2QImode, 
E_RVVMF4BImode) != 0)
        return -1;
      return 2;

    case E_RVVM1QImode:
      if (pattern217 (x1, 
E_RVVM1QImode, 
E_RVVMF8BImode) != 0)
        return -1;
      return 3;

    case E_RVVMF2QImode:
      if (pattern217 (x1, 
E_RVVMF2QImode, 
E_RVVMF16BImode) != 0)
        return -1;
      return 4;

    case E_RVVMF4QImode:
      if (pattern217 (x1, 
E_RVVMF4QImode, 
E_RVVMF32BImode) != 0)
        return -1;
      return 5;

    case E_RVVMF8QImode:
      if (pattern217 (x1, 
E_RVVMF8QImode, 
E_RVVMF64BImode) != 0)
        return -1;
      return 6;

    case E_RVVM8HImode:
      if (pattern217 (x1, 
E_RVVM8HImode, 
E_RVVMF2BImode) != 0)
        return -1;
      return 7;

    case E_RVVM4HImode:
      if (pattern217 (x1, 
E_RVVM4HImode, 
E_RVVMF4BImode) != 0)
        return -1;
      return 8;

    case E_RVVM2HImode:
      if (pattern217 (x1, 
E_RVVM2HImode, 
E_RVVMF8BImode) != 0)
        return -1;
      return 9;

    case E_RVVM1HImode:
      if (pattern217 (x1, 
E_RVVM1HImode, 
E_RVVMF16BImode) != 0)
        return -1;
      return 10;

    case E_RVVMF2HImode:
      if (pattern217 (x1, 
E_RVVMF2HImode, 
E_RVVMF32BImode) != 0)
        return -1;
      return 11;

    case E_RVVMF4HImode:
      if (pattern217 (x1, 
E_RVVMF4HImode, 
E_RVVMF64BImode) != 0)
        return -1;
      return 12;

    case E_RVVM8SImode:
      if (pattern217 (x1, 
E_RVVM8SImode, 
E_RVVMF4BImode) != 0)
        return -1;
      return 13;

    case E_RVVM4SImode:
      if (pattern217 (x1, 
E_RVVM4SImode, 
E_RVVMF8BImode) != 0)
        return -1;
      return 14;

    case E_RVVM2SImode:
      if (pattern217 (x1, 
E_RVVM2SImode, 
E_RVVMF16BImode) != 0)
        return -1;
      return 15;

    case E_RVVM1SImode:
      if (pattern217 (x1, 
E_RVVM1SImode, 
E_RVVMF32BImode) != 0)
        return -1;
      return 16;

    case E_RVVMF2SImode:
      if (pattern217 (x1, 
E_RVVMF2SImode, 
E_RVVMF64BImode) != 0)
        return -1;
      return 17;

    case E_RVVM8DImode:
      if (pattern217 (x1, 
E_RVVM8DImode, 
E_RVVMF8BImode) != 0)
        return -1;
      return 18;

    case E_RVVM4DImode:
      if (pattern217 (x1, 
E_RVVM4DImode, 
E_RVVMF16BImode) != 0)
        return -1;
      return 19;

    case E_RVVM2DImode:
      if (pattern217 (x1, 
E_RVVM2DImode, 
E_RVVMF32BImode) != 0)
        return -1;
      return 20;

    case E_RVVM1DImode:
      if (pattern217 (x1, 
E_RVVM1DImode, 
E_RVVMF64BImode) != 0)
        return -1;
      return 21;

    case E_V1QImode:
      if (pattern217 (x1, 
E_V1QImode, 
E_V1BImode) != 0)
        return -1;
      return 22;

    case E_V2QImode:
      if (pattern217 (x1, 
E_V2QImode, 
E_V2BImode) != 0)
        return -1;
      return 23;

    case E_V4QImode:
      if (pattern217 (x1, 
E_V4QImode, 
E_V4BImode) != 0)
        return -1;
      return 24;

    case E_V8QImode:
      if (pattern217 (x1, 
E_V8QImode, 
E_V8BImode) != 0)
        return -1;
      return 25;

    case E_V16QImode:
      if (pattern217 (x1, 
E_V16QImode, 
E_V16BImode) != 0)
        return -1;
      return 26;

    case E_V32QImode:
      if (pattern217 (x1, 
E_V32QImode, 
E_V32BImode) != 0)
        return -1;
      return 27;

    case E_V64QImode:
      if (pattern217 (x1, 
E_V64QImode, 
E_V64BImode) != 0)
        return -1;
      return 28;

    case E_V128QImode:
      if (pattern217 (x1, 
E_V128QImode, 
E_V128BImode) != 0)
        return -1;
      return 29;

    case E_V256QImode:
      if (pattern217 (x1, 
E_V256QImode, 
E_V256BImode) != 0)
        return -1;
      return 30;

    case E_V512QImode:
      if (pattern217 (x1, 
E_V512QImode, 
E_V512BImode) != 0)
        return -1;
      return 31;

    case E_V1024QImode:
      if (pattern217 (x1, 
E_V1024QImode, 
E_V1024BImode) != 0)
        return -1;
      return 32;

    case E_V2048QImode:
      if (pattern217 (x1, 
E_V2048QImode, 
E_V2048BImode) != 0)
        return -1;
      return 33;

    case E_V4096QImode:
      if (pattern217 (x1, 
E_V4096QImode, 
E_V4096BImode) != 0)
        return -1;
      return 34;

    case E_V1HImode:
      if (pattern217 (x1, 
E_V1HImode, 
E_V1BImode) != 0)
        return -1;
      return 35;

    case E_V2HImode:
      if (pattern217 (x1, 
E_V2HImode, 
E_V2BImode) != 0)
        return -1;
      return 36;

    case E_V4HImode:
      if (pattern217 (x1, 
E_V4HImode, 
E_V4BImode) != 0)
        return -1;
      return 37;

    case E_V8HImode:
      if (pattern217 (x1, 
E_V8HImode, 
E_V8BImode) != 0)
        return -1;
      return 38;

    case E_V16HImode:
      if (pattern217 (x1, 
E_V16HImode, 
E_V16BImode) != 0)
        return -1;
      return 39;

    case E_V32HImode:
      if (pattern217 (x1, 
E_V32HImode, 
E_V32BImode) != 0)
        return -1;
      return 40;

    case E_V64HImode:
      if (pattern217 (x1, 
E_V64HImode, 
E_V64BImode) != 0)
        return -1;
      return 41;

    case E_V128HImode:
      if (pattern217 (x1, 
E_V128HImode, 
E_V128BImode) != 0)
        return -1;
      return 42;

    case E_V256HImode:
      if (pattern217 (x1, 
E_V256HImode, 
E_V256BImode) != 0)
        return -1;
      return 43;

    case E_V512HImode:
      if (pattern217 (x1, 
E_V512HImode, 
E_V512BImode) != 0)
        return -1;
      return 44;

    case E_V1024HImode:
      if (pattern217 (x1, 
E_V1024HImode, 
E_V1024BImode) != 0)
        return -1;
      return 45;

    case E_V2048HImode:
      if (pattern217 (x1, 
E_V2048HImode, 
E_V2048BImode) != 0)
        return -1;
      return 46;

    case E_V1SImode:
      if (pattern217 (x1, 
E_V1SImode, 
E_V1BImode) != 0)
        return -1;
      return 47;

    case E_V2SImode:
      if (pattern217 (x1, 
E_V2SImode, 
E_V2BImode) != 0)
        return -1;
      return 48;

    case E_V4SImode:
      if (pattern217 (x1, 
E_V4SImode, 
E_V4BImode) != 0)
        return -1;
      return 49;

    case E_V8SImode:
      if (pattern217 (x1, 
E_V8SImode, 
E_V8BImode) != 0)
        return -1;
      return 50;

    case E_V16SImode:
      if (pattern217 (x1, 
E_V16SImode, 
E_V16BImode) != 0)
        return -1;
      return 51;

    case E_V32SImode:
      if (pattern217 (x1, 
E_V32SImode, 
E_V32BImode) != 0)
        return -1;
      return 52;

    case E_V64SImode:
      if (pattern217 (x1, 
E_V64SImode, 
E_V64BImode) != 0)
        return -1;
      return 53;

    case E_V128SImode:
      if (pattern217 (x1, 
E_V128SImode, 
E_V128BImode) != 0)
        return -1;
      return 54;

    case E_V256SImode:
      if (pattern217 (x1, 
E_V256SImode, 
E_V256BImode) != 0)
        return -1;
      return 55;

    case E_V512SImode:
      if (pattern217 (x1, 
E_V512SImode, 
E_V512BImode) != 0)
        return -1;
      return 56;

    case E_V1024SImode:
      if (pattern217 (x1, 
E_V1024SImode, 
E_V1024BImode) != 0)
        return -1;
      return 57;

    case E_V1DImode:
      if (pattern217 (x1, 
E_V1DImode, 
E_V1BImode) != 0)
        return -1;
      return 58;

    case E_V2DImode:
      if (pattern217 (x1, 
E_V2DImode, 
E_V2BImode) != 0)
        return -1;
      return 59;

    case E_V4DImode:
      if (pattern217 (x1, 
E_V4DImode, 
E_V4BImode) != 0)
        return -1;
      return 60;

    case E_V8DImode:
      if (pattern217 (x1, 
E_V8DImode, 
E_V8BImode) != 0)
        return -1;
      return 61;

    case E_V16DImode:
      if (pattern217 (x1, 
E_V16DImode, 
E_V16BImode) != 0)
        return -1;
      return 62;

    case E_V32DImode:
      if (pattern217 (x1, 
E_V32DImode, 
E_V32BImode) != 0)
        return -1;
      return 63;

    case E_V64DImode:
      if (pattern217 (x1, 
E_V64DImode, 
E_V64BImode) != 0)
        return -1;
      return 64;

    case E_V128DImode:
      if (pattern217 (x1, 
E_V128DImode, 
E_V128BImode) != 0)
        return -1;
      return 65;

    case E_V256DImode:
      if (pattern217 (x1, 
E_V256DImode, 
E_V256BImode) != 0)
        return -1;
      return 66;

    case E_V512DImode:
      if (pattern217 (x1, 
E_V512DImode, 
E_V512BImode) != 0)
        return -1;
      return 67;

    default:
      return -1;
    }
}

int
pattern233 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1)
      || !vector_arith_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern237 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  if (maybe_ne (SUBREG_BYTE (x2), 0)
      || GET_MODE (x2) != E_SImode)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_CODE (x3) != UNSPEC
      || XVECLEN (x3, 0) != 5
      || XINT (x3, 1) != 91
      || GET_MODE (x3) != E_DImode
      || !register_operand (operands[0], E_DImode)
      || GET_MODE (x1) != E_DImode)
    return -1;
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  if (!const_int_operand (operands[2], E_VOIDmode))
    return -1;
  x6 = XVECEXP (x3, 0, 2);
  operands[3] = x6;
  if (!const_int_operand (operands[3], E_VOIDmode))
    return -1;
  x7 = XVECEXP (x3, 0, 3);
  operands[4] = x7;
  if (!const_int_operand (operands[4], E_VOIDmode))
    return -1;
  x8 = XVECEXP (x3, 0, 4);
  operands[5] = x8;
  if (!const_int_operand (operands[5], E_VOIDmode))
    return -1;
  return 0;
}

int
pattern242 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (x1))
    {
    case E_RVVM8SFmode:
      if (!register_operand (operands[1], E_RVVM4HFmode))
        return -1;
      return 0;

    case E_RVVM4SFmode:
      if (!register_operand (operands[1], E_RVVM2HFmode))
        return -1;
      return 1;

    case E_RVVM2SFmode:
      if (!register_operand (operands[1], E_RVVM1HFmode))
        return -1;
      return 2;

    case E_RVVM1SFmode:
      if (!register_operand (operands[1], E_RVVMF2HFmode))
        return -1;
      return 3;

    case E_RVVMF2SFmode:
      if (!register_operand (operands[1], E_RVVMF4HFmode))
        return -1;
      return 4;

    case E_V1SFmode:
      if (!register_operand (operands[1], E_V1HFmode))
        return -1;
      return 5;

    case E_V2SFmode:
      if (!register_operand (operands[1], E_V2HFmode))
        return -1;
      return 6;

    case E_V4SFmode:
      if (!register_operand (operands[1], E_V4HFmode))
        return -1;
      return 7;

    case E_V8SFmode:
      if (!register_operand (operands[1], E_V8HFmode))
        return -1;
      return 8;

    case E_V16SFmode:
      if (!register_operand (operands[1], E_V16HFmode))
        return -1;
      return 9;

    case E_V32SFmode:
      if (!register_operand (operands[1], E_V32HFmode))
        return -1;
      return 10;

    case E_V64SFmode:
      if (!register_operand (operands[1], E_V64HFmode))
        return -1;
      return 11;

    case E_V128SFmode:
      if (!register_operand (operands[1], E_V128HFmode))
        return -1;
      return 12;

    case E_V256SFmode:
      if (!register_operand (operands[1], E_V256HFmode))
        return -1;
      return 13;

    case E_V512SFmode:
      if (!register_operand (operands[1], E_V512HFmode))
        return -1;
      return 14;

    case E_V1024SFmode:
      if (!register_operand (operands[1], E_V1024HFmode))
        return -1;
      return 15;

    default:
      return -1;
    }
}

int
pattern243 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (x1))
    {
    case E_RVVM8DFmode:
      if (!register_operand (operands[1], E_RVVM4SFmode))
        return -1;
      return 0;

    case E_RVVM4DFmode:
      if (!register_operand (operands[1], E_RVVM2SFmode))
        return -1;
      return 1;

    case E_RVVM2DFmode:
      if (!register_operand (operands[1], E_RVVM1SFmode))
        return -1;
      return 2;

    case E_RVVM1DFmode:
      if (!register_operand (operands[1], E_RVVMF2SFmode))
        return -1;
      return 3;

    case E_V1DFmode:
      if (!register_operand (operands[1], E_V1SFmode))
        return -1;
      return 4;

    case E_V2DFmode:
      if (!register_operand (operands[1], E_V2SFmode))
        return -1;
      return 5;

    case E_V4DFmode:
      if (!register_operand (operands[1], E_V4SFmode))
        return -1;
      return 6;

    case E_V8DFmode:
      if (!register_operand (operands[1], E_V8SFmode))
        return -1;
      return 7;

    case E_V16DFmode:
      if (!register_operand (operands[1], E_V16SFmode))
        return -1;
      return 8;

    case E_V32DFmode:
      if (!register_operand (operands[1], E_V32SFmode))
        return -1;
      return 9;

    case E_V64DFmode:
      if (!register_operand (operands[1], E_V64SFmode))
        return -1;
      return 10;

    case E_V128DFmode:
      if (!register_operand (operands[1], E_V128SFmode))
        return -1;
      return 11;

    case E_V256DFmode:
      if (!register_operand (operands[1], E_V256SFmode))
        return -1;
      return 12;

    case E_V512DFmode:
      if (!register_operand (operands[1], E_V512SFmode))
        return -1;
      return 13;

    default:
      return -1;
    }
}

int
pattern245 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 0);
  operands[1] = x3;
  switch (GET_MODE (operands[0]))
    {
    case E_HImode:
      if (!register_operand (operands[0], E_HImode)
          || GET_MODE (x1) != E_HImode)
        return -1;
      switch (GET_MODE (x2))
        {
        case E_RVVM8HImode:
          if (!register_operand (operands[1], E_RVVM4QImode))
            return -1;
          return 0;

        case E_RVVM4HImode:
          if (!register_operand (operands[1], E_RVVM2QImode))
            return -1;
          return 1;

        case E_RVVM2HImode:
          if (!register_operand (operands[1], E_RVVM1QImode))
            return -1;
          return 2;

        case E_RVVM1HImode:
          if (!register_operand (operands[1], E_RVVMF2QImode))
            return -1;
          return 3;

        case E_RVVMF2HImode:
          if (!register_operand (operands[1], E_RVVMF4QImode))
            return -1;
          return 4;

        case E_RVVMF4HImode:
          if (!register_operand (operands[1], E_RVVMF8QImode))
            return -1;
          return 5;

        case E_V1HImode:
          if (!register_operand (operands[1], E_V1QImode))
            return -1;
          return 6;

        case E_V2HImode:
          if (!register_operand (operands[1], E_V2QImode))
            return -1;
          return 7;

        case E_V4HImode:
          if (!register_operand (operands[1], E_V4QImode))
            return -1;
          return 8;

        case E_V8HImode:
          if (!register_operand (operands[1], E_V8QImode))
            return -1;
          return 9;

        case E_V16HImode:
          if (!register_operand (operands[1], E_V16QImode))
            return -1;
          return 10;

        case E_V32HImode:
          if (!register_operand (operands[1], E_V32QImode))
            return -1;
          return 11;

        case E_V64HImode:
          if (!register_operand (operands[1], E_V64QImode))
            return -1;
          return 12;

        case E_V128HImode:
          if (!register_operand (operands[1], E_V128QImode))
            return -1;
          return 13;

        case E_V256HImode:
          if (!register_operand (operands[1], E_V256QImode))
            return -1;
          return 14;

        case E_V512HImode:
          if (!register_operand (operands[1], E_V512QImode))
            return -1;
          return 15;

        case E_V1024HImode:
          if (!register_operand (operands[1], E_V1024QImode))
            return -1;
          return 16;

        case E_V2048HImode:
          if (!register_operand (operands[1], E_V2048QImode))
            return -1;
          return 17;

        default:
          return -1;
        }

    case E_SImode:
      if (!register_operand (operands[0], E_SImode)
          || GET_MODE (x1) != E_SImode)
        return -1;
      switch (GET_MODE (x2))
        {
        case E_RVVM8SImode:
          if (!register_operand (operands[1], E_RVVM4HImode))
            return -1;
          return 18;

        case E_RVVM4SImode:
          if (!register_operand (operands[1], E_RVVM2HImode))
            return -1;
          return 19;

        case E_RVVM2SImode:
          if (!register_operand (operands[1], E_RVVM1HImode))
            return -1;
          return 20;

        case E_RVVM1SImode:
          if (!register_operand (operands[1], E_RVVMF2HImode))
            return -1;
          return 21;

        case E_RVVMF2SImode:
          if (!register_operand (operands[1], E_RVVMF4HImode))
            return -1;
          return 22;

        case E_V1SImode:
          switch (GET_MODE (operands[1]))
            {
            case E_V1HImode:
              if (!register_operand (operands[1], E_V1HImode))
                return -1;
              return 23;

            case E_V1SImode:
              if (!register_operand (operands[1], E_V1SImode))
                return -1;
              return 24;

            default:
              return -1;
            }

        case E_V2SImode:
          switch (GET_MODE (operands[1]))
            {
            case E_V2HImode:
              if (!register_operand (operands[1], E_V2HImode))
                return -1;
              return 25;

            case E_V2SImode:
              if (!register_operand (operands[1], E_V2SImode))
                return -1;
              return 26;

            default:
              return -1;
            }

        case E_V4SImode:
          switch (GET_MODE (operands[1]))
            {
            case E_V4HImode:
              if (!register_operand (operands[1], E_V4HImode))
                return -1;
              return 27;

            case E_V4SImode:
              if (!register_operand (operands[1], E_V4SImode))
                return -1;
              return 28;

            default:
              return -1;
            }

        case E_V8SImode:
          switch (GET_MODE (operands[1]))
            {
            case E_V8HImode:
              if (!register_operand (operands[1], E_V8HImode))
                return -1;
              return 29;

            case E_V8SImode:
              if (!register_operand (operands[1], E_V8SImode))
                return -1;
              return 30;

            default:
              return -1;
            }

        case E_V16SImode:
          switch (GET_MODE (operands[1]))
            {
            case E_V16HImode:
              if (!register_operand (operands[1], E_V16HImode))
                return -1;
              return 31;

            case E_V16SImode:
              if (!register_operand (operands[1], E_V16SImode))
                return -1;
              return 32;

            default:
              return -1;
            }

        case E_V32SImode:
          switch (GET_MODE (operands[1]))
            {
            case E_V32HImode:
              if (!register_operand (operands[1], E_V32HImode))
                return -1;
              return 33;

            case E_V32SImode:
              if (!register_operand (operands[1], E_V32SImode))
                return -1;
              return 34;

            default:
              return -1;
            }

        case E_V64SImode:
          switch (GET_MODE (operands[1]))
            {
            case E_V64HImode:
              if (!register_operand (operands[1], E_V64HImode))
                return -1;
              return 35;

            case E_V64SImode:
              if (!register_operand (operands[1], E_V64SImode))
                return -1;
              return 36;

            default:
              return -1;
            }

        case E_V128SImode:
          switch (GET_MODE (operands[1]))
            {
            case E_V128HImode:
              if (!register_operand (operands[1], E_V128HImode))
                return -1;
              return 37;

            case E_V128SImode:
              if (!register_operand (operands[1], E_V128SImode))
                return -1;
              return 38;

            default:
              return -1;
            }

        case E_V256SImode:
          switch (GET_MODE (operands[1]))
            {
            case E_V256HImode:
              if (!register_operand (operands[1], E_V256HImode))
                return -1;
              return 39;

            case E_V256SImode:
              if (!register_operand (operands[1], E_V256SImode))
                return -1;
              return 40;

            default:
              return -1;
            }

        case E_V512SImode:
          switch (GET_MODE (operands[1]))
            {
            case E_V512HImode:
              if (!register_operand (operands[1], E_V512HImode))
                return -1;
              return 41;

            case E_V512SImode:
              if (!register_operand (operands[1], E_V512SImode))
                return -1;
              return 42;

            default:
              return -1;
            }

        case E_V1024SImode:
          if (!register_operand (operands[1], E_V1024HImode))
            return -1;
          return 43;

        default:
          return -1;
        }

    case E_DImode:
      if (!register_operand (operands[0], E_DImode)
          || GET_MODE (x1) != E_DImode)
        return -1;
      switch (GET_MODE (x2))
        {
        case E_RVVM8DImode:
          if (!register_operand (operands[1], E_RVVM4SImode))
            return -1;
          return 44;

        case E_RVVM4DImode:
          if (!register_operand (operands[1], E_RVVM2SImode))
            return -1;
          return 45;

        case E_RVVM2DImode:
          if (!register_operand (operands[1], E_RVVM1SImode))
            return -1;
          return 46;

        case E_RVVM1DImode:
          if (!register_operand (operands[1], E_RVVMF2SImode))
            return -1;
          return 47;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern252 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (GET_MODE (x1) != E_SImode
      || !register_operand (operands[0], E_SImode))
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  operands[1] = x2;
  if (!register_operand (operands[1], E_SImode))
    return -1;
  x3 = XVECEXP (x1, 0, 1);
  operands[2] = x3;
  if (!register_operand (operands[2], E_SImode))
    return -1;
  x4 = XVECEXP (x1, 0, 2);
  operands[3] = x4;
  if (!const_0_3_operand (operands[3], E_SImode))
    return -1;
  return 0;
}

int
pattern254 (rtx x1, rtx_code i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  if (GET_CODE (x2) != i1)
    return -1;
  x3 = XVECEXP (x1, 0, 2);
  if (GET_CODE (x3) != UNSPEC
      || XVECLEN (x3, 0) != 4
      || XINT (x3, 1) != 93)
    return -1;
  x4 = XVECEXP (x3, 0, 2);
  if (GET_CODE (x4) != REG
      || REGNO (x4) != 66
      || GET_MODE (x4) != E_SImode)
    return -1;
  x5 = XVECEXP (x3, 0, 3);
  if (GET_CODE (x5) != REG
      || REGNO (x5) != 67
      || GET_MODE (x5) != E_SImode)
    return -1;
  x6 = XVECEXP (x1, 0, 1);
  operands[3] = x6;
  x7 = XVECEXP (x3, 0, 0);
  operands[4] = x7;
  if (!vector_length_operand (operands[4], E_VOIDmode))
    return -1;
  x8 = XVECEXP (x3, 0, 1);
  operands[5] = x8;
  if (!const_int_operand (operands[5], E_VOIDmode))
    return -1;
  x9 = XEXP (x2, 0);
  switch (GET_CODE (x9))
    {
    case REG:
    case SUBREG:
      operands[1] = x9;
      x10 = XEXP (x2, 1);
      operands[2] = x10;
      switch (GET_MODE (operands[0]))
        {
        case E_RVVM1BImode:
          return 0;

        case E_RVVMF2BImode:
          return 1;

        case E_RVVMF4BImode:
          return 2;

        case E_RVVMF8BImode:
          return 3;

        case E_RVVMF16BImode:
          return 4;

        case E_RVVMF32BImode:
          return 5;

        case E_RVVMF64BImode:
          return 6;

        default:
          return -1;
        }

    case VEC_DUPLICATE:
      x10 = XEXP (x2, 1);
      operands[1] = x10;
      x11 = XEXP (x9, 0);
      switch (GET_CODE (x11))
        {
        case CONST_INT:
        case CONST_WIDE_INT:
        case CONST_DOUBLE:
        case CONST_VECTOR:
        case REG:
        case SUBREG:
          operands[2] = x11;
          switch (GET_MODE (operands[0]))
            {
            case E_RVVM1BImode:
              return 7;

            case E_RVVMF2BImode:
              return 8;

            case E_RVVMF4BImode:
              return 9;

            case E_RVVMF8BImode:
              return 10;

            case E_RVVMF16BImode:
              return 11;

            case E_RVVMF32BImode:
              return 12;

            case E_RVVMF64BImode:
              return 13;

            case E_V1BImode:
              return 14;

            case E_V2BImode:
              return 15;

            case E_V4BImode:
              return 16;

            case E_V8BImode:
              return 17;

            case E_V16BImode:
              return 18;

            case E_V32BImode:
              return 19;

            case E_V64BImode:
              return 20;

            case E_V128BImode:
              return 21;

            case E_V256BImode:
              return 22;

            case E_V512BImode:
              return 23;

            case E_V1024BImode:
              return 24;

            case E_V2048BImode:
              return 25;

            case E_V4096BImode:
              return 26;

            default:
              return -1;
            }

        case SIGN_EXTEND:
          if (GET_MODE (x11) != E_DImode)
            return -1;
          x12 = XEXP (x11, 0);
          operands[2] = x12;
          if (!reg_or_0_operand (operands[2], E_SImode))
            return -1;
          switch (GET_MODE (operands[0]))
            {
            case E_RVVMF8BImode:
              if (pattern253 (x1, 
E_RVVMF8BImode, 
E_RVVM8DImode) != 0)
                return -1;
              return 27;

            case E_RVVMF16BImode:
              if (pattern253 (x1, 
E_RVVMF16BImode, 
E_RVVM4DImode) != 0)
                return -1;
              return 28;

            case E_RVVMF32BImode:
              if (pattern253 (x1, 
E_RVVMF32BImode, 
E_RVVM2DImode) != 0)
                return -1;
              return 29;

            case E_RVVMF64BImode:
              if (pattern253 (x1, 
E_RVVMF64BImode, 
E_RVVM1DImode) != 0)
                return -1;
              return 30;

            default:
              return -1;
            }

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern261 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern262 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (x2 != const_int_rtx[MAX_SAVED_CONST_INT + 1])
    return -1;
  x3 = XEXP (x1, 0);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  operands[1] = x5;
  x6 = XEXP (x4, 1);
  operands[2] = x6;
  if (!register_operand (operands[2], E_QImode))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_SImode:
      return pattern261 (x1, 
E_SImode); /* [-1, 0] */

    case E_DImode:
      if (pattern261 (x1, 
E_DImode) != 0)
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern265 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 3);
  if (GET_CODE (x2) != REG
      || REGNO (x2) != 66
      || GET_MODE (x2) != E_SImode)
    return -1;
  x3 = XVECEXP (x1, 0, 4);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != 67
      || GET_MODE (x3) != E_SImode)
    return -1;
  x4 = XVECEXP (x1, 0, 2);
  if (!const_int_operand (x4, E_VOIDmode))
    return -1;
  return 0;
}

int
pattern267 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (XINT (x1, 1) != 93)
    return -1;
  x2 = XVECEXP (x1, 0, 4);
  if (GET_CODE (x2) != REG
      || REGNO (x2) != 66
      || GET_MODE (x2) != E_SImode)
    return -1;
  x3 = XVECEXP (x1, 0, 5);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != 67
      || GET_MODE (x3) != E_SImode)
    return -1;
  return 0;
}

int
pattern270 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  operands[4] = x2;
  x3 = XEXP (x2, 0);
  if (GET_CODE (x3) != AND)
    return -1;
  return pattern121 (x1); /* [-1, 3] */
}

int
pattern272 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (GET_CODE (x1) != USE)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_CODE (x2) != UNSPEC
      || XVECLEN (x2, 0) != 1
      || XINT (x2, 1) != 34
      || GET_MODE (x2) != E_SImode)
    return -1;
  return 0;
}

int
pattern273 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_CODE (x2) != USE)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_CODE (x3) != UNSPEC
      || XVECLEN (x3, 0) != 1
      || XINT (x3, 1) != 34
      || GET_MODE (x3) != E_SImode)
    return -1;
  x4 = XVECEXP (x1, 0, 2);
  if (GET_CODE (x4) != CLOBBER)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_CODE (x5) != REG
      || REGNO (x5) != 1
      || GET_MODE (x5) != E_SImode)
    return -1;
  return 0;
}

int
pattern277 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], E_DImode))
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 1);
  x6 = XEXP (x5, 0);
  x7 = XEXP (x6, 0);
  x8 = XEXP (x7, 0);
  operands[1] = x8;
  if (!register_operand (operands[1], E_DImode))
    return -1;
  x9 = XEXP (x6, 1);
  operands[2] = x9;
  if (!const_int_operand (operands[2], E_VOIDmode))
    return -1;
  x10 = XVECEXP (x1, 0, 1);
  x11 = XEXP (x10, 0);
  operands[3] = x11;
  if (!scratch_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern279 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  switch (GET_CODE (x1))
    {
    case NOT:
      if (GET_MODE (x1) != E_DImode)
        return -1;
      x2 = XEXP (x1, 0);
      operands[1] = x2;
      if (!register_operand (operands[1], E_DImode))
        return -1;
      return 0;

    case REG:
    case SUBREG:
      operands[1] = x1;
      if (!register_operand (operands[1], E_DImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern280 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  if (GET_CODE (x1) != ASHIFT
      || GET_MODE (x1) != E_SImode)
    return -1;
  x2 = XEXP (x1, 0);
  if (x2 != const_int_rtx[MAX_SAVED_CONST_INT + 1])
    return -1;
  x3 = XEXP (x1, 1);
  if (GET_CODE (x3) != SUBREG
      || maybe_ne (SUBREG_BYTE (x3), 0)
      || GET_MODE (x3) != E_QImode)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_CODE (x4) != AND
      || GET_MODE (x4) != E_DImode)
    return -1;
  x5 = XEXP (x4, 1);
  operands[2] = x5;
  if (!const_int_operand (operands[2], E_VOIDmode))
    return -1;
  x6 = XEXP (x4, 0);
  return pattern279 (x6); /* [-1, 1] */
}

int
pattern283 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], E_DImode)
      || GET_MODE (x1) != E_DImode)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != E_DImode)
    return -1;
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 0);
  operands[1] = x4;
  if (!register_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern287 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i2)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i2
      || !register_operand (operands[2], i1))
    return -1;
  x4 = XEXP (x2, 1);
  if (GET_MODE (x4) != i2
      || !register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern291 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern293 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  operands[1] = x3;
  if (!register_operand (operands[1], i1))
    return -1;
  x4 = XEXP (x1, 1);
  operands[2] = x4;
  if (!register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern297 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], E_RVVM4SImode)
      || GET_MODE (x1) != E_RVVM4SImode)
    return -1;
  switch (GET_MODE (operands[1]))
    {
    case E_RVVM2HImode:
      if (!register_operand (operands[1], E_RVVM2HImode))
        return -1;
      return 0;

    case E_RVVM1QImode:
      if (!register_operand (operands[1], E_RVVM1QImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern302 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], E_RVVM4DImode)
      || GET_MODE (x1) != E_RVVM4DImode)
    return -1;
  switch (GET_MODE (operands[1]))
    {
    case E_RVVM2SImode:
      if (!register_operand (operands[1], E_RVVM2SImode))
        return -1;
      return 0;

    case E_RVVM1HImode:
      if (!register_operand (operands[1], E_RVVM1HImode))
        return -1;
      return 1;

    case E_RVVMF2QImode:
      if (!register_operand (operands[1], E_RVVMF2QImode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern307 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], E_V4SImode)
      || GET_MODE (x1) != E_V4SImode)
    return -1;
  switch (GET_MODE (operands[1]))
    {
    case E_V4HImode:
      if (!register_operand (operands[1], E_V4HImode))
        return -1;
      return 0;

    case E_V4QImode:
      if (!register_operand (operands[1], E_V4QImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern312 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], E_V128SImode)
      || GET_MODE (x1) != E_V128SImode)
    return -1;
  switch (GET_MODE (operands[1]))
    {
    case E_V128HImode:
      if (!register_operand (operands[1], E_V128HImode))
        return -1;
      return 0;

    case E_V128QImode:
      if (!register_operand (operands[1], E_V128QImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern317 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], E_V2DImode)
      || GET_MODE (x1) != E_V2DImode)
    return -1;
  switch (GET_MODE (operands[1]))
    {
    case E_V2SImode:
      if (!register_operand (operands[1], E_V2SImode))
        return -1;
      return 0;

    case E_V2HImode:
      if (!register_operand (operands[1], E_V2HImode))
        return -1;
      return 1;

    case E_V2QImode:
      if (!register_operand (operands[1], E_V2QImode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern322 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], E_V64DImode)
      || GET_MODE (x1) != E_V64DImode)
    return -1;
  switch (GET_MODE (operands[1]))
    {
    case E_V64SImode:
      if (!register_operand (operands[1], E_V64SImode))
        return -1;
      return 0;

    case E_V64HImode:
      if (!register_operand (operands[1], E_V64HImode))
        return -1;
      return 1;

    case E_V64QImode:
      if (!register_operand (operands[1], E_V64QImode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern329 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 3);
  if (GET_CODE (x2) != REG
      || REGNO (x2) != 66
      || GET_MODE (x2) != E_SImode)
    return -1;
  x3 = XVECEXP (x1, 0, 4);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != 67
      || GET_MODE (x3) != E_SImode)
    return -1;
  return 0;
}

int
pattern334 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  switch (GET_MODE (operands[1]))
    {
    case E_SImode:
      if (!register_operand (operands[1], E_SImode))
        return -1;
      return 0;

    case E_DImode:
      if (!register_operand (operands[1], E_DImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern338 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[0]))
    {
    case E_SImode:
      if (!register_operand (operands[0], E_SImode)
          || GET_MODE (x1) != E_SImode)
        return -1;
      return 0;

    case E_DImode:
      if (!register_operand (operands[0], E_DImode)
          || GET_MODE (x1) != E_DImode)
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern341 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  switch (GET_CODE (x1))
    {
    case NOT:
      if (GET_MODE (x1) != E_DImode)
        return -1;
      x2 = XEXP (x1, 0);
      operands[1] = x2;
      if (!register_operand (operands[1], E_DImode))
        return -1;
      switch (GET_MODE (operands[4]))
        {
        case E_SImode:
          if (!scratch_operand (operands[4], E_SImode))
            return -1;
          return 0;

        case E_DImode:
          if (!scratch_operand (operands[4], E_DImode))
            return -1;
          return 1;

        default:
          return -1;
        }

    case REG:
    case SUBREG:
      operands[1] = x1;
      if (!register_operand (operands[1], E_DImode))
        return -1;
      switch (GET_MODE (operands[4]))
        {
        case E_SImode:
          if (!scratch_operand (operands[4], E_SImode))
            return -1;
          return 2;

        case E_DImode:
          if (!scratch_operand (operands[4], E_DImode))
            return -1;
          return 3;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern347 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  operands[2] = x1;
  switch (GET_MODE (operands[0]))
    {
    case E_RVVMF2QImode:
      return pattern346 (
E_RVVMF2QImode); /* [-1, 1] */

    case E_RVVMF4QImode:
      res = pattern346 (
E_RVVMF4QImode);
      if (res >= 0)
        return res + 2; /* [2, 3] */
      return -1;

    case E_RVVMF8QImode:
      res = pattern346 (
E_RVVMF8QImode);
      if (res >= 0)
        return res + 4; /* [4, 5] */
      return -1;

    case E_RVVMF2HImode:
      res = pattern346 (
E_RVVMF2HImode);
      if (res >= 0)
        return res + 6; /* [6, 7] */
      return -1;

    case E_RVVMF4HImode:
      res = pattern346 (
E_RVVMF4HImode);
      if (res >= 0)
        return res + 8; /* [8, 9] */
      return -1;

    case E_RVVMF2BFmode:
      res = pattern346 (
E_RVVMF2BFmode);
      if (res >= 0)
        return res + 10; /* [10, 11] */
      return -1;

    case E_RVVMF4BFmode:
      res = pattern346 (
E_RVVMF4BFmode);
      if (res >= 0)
        return res + 12; /* [12, 13] */
      return -1;

    case E_RVVMF2HFmode:
      res = pattern346 (
E_RVVMF2HFmode);
      if (res >= 0)
        return res + 14; /* [14, 15] */
      return -1;

    case E_RVVMF4HFmode:
      res = pattern346 (
E_RVVMF4HFmode);
      if (res >= 0)
        return res + 16; /* [16, 17] */
      return -1;

    case E_RVVMF2SImode:
      res = pattern346 (
E_RVVMF2SImode);
      if (res >= 0)
        return res + 18; /* [18, 19] */
      return -1;

    case E_RVVMF2SFmode:
      res = pattern346 (
E_RVVMF2SFmode);
      if (res >= 0)
        return res + 20; /* [20, 21] */
      return -1;

    case E_RVVMF64BImode:
      res = pattern346 (
E_RVVMF64BImode);
      if (res >= 0)
        return res + 22; /* [22, 23] */
      return -1;

    case E_RVVMF32BImode:
      res = pattern346 (
E_RVVMF32BImode);
      if (res >= 0)
        return res + 24; /* [24, 25] */
      return -1;

    case E_RVVMF16BImode:
      res = pattern346 (
E_RVVMF16BImode);
      if (res >= 0)
        return res + 26; /* [26, 27] */
      return -1;

    case E_RVVMF8BImode:
      res = pattern346 (
E_RVVMF8BImode);
      if (res >= 0)
        return res + 28; /* [28, 29] */
      return -1;

    case E_RVVMF4BImode:
      res = pattern346 (
E_RVVMF4BImode);
      if (res >= 0)
        return res + 30; /* [30, 31] */
      return -1;

    case E_RVVMF2BImode:
      res = pattern346 (
E_RVVMF2BImode);
      if (res >= 0)
        return res + 32; /* [32, 33] */
      return -1;

    case E_RVVM1BImode:
      res = pattern346 (
E_RVVM1BImode);
      if (res >= 0)
        return res + 34; /* [34, 35] */
      return -1;

    case E_V32QImode:
      res = pattern346 (
E_V32QImode);
      if (res >= 0)
        return res + 36; /* [36, 37] */
      return -1;

    case E_V64QImode:
      res = pattern346 (
E_V64QImode);
      if (res >= 0)
        return res + 38; /* [38, 39] */
      return -1;

    case E_V128QImode:
      res = pattern346 (
E_V128QImode);
      if (res >= 0)
        return res + 40; /* [40, 41] */
      return -1;

    case E_V256QImode:
      res = pattern346 (
E_V256QImode);
      if (res >= 0)
        return res + 42; /* [42, 43] */
      return -1;

    case E_V512QImode:
      res = pattern346 (
E_V512QImode);
      if (res >= 0)
        return res + 44; /* [44, 45] */
      return -1;

    case E_V1024QImode:
      res = pattern346 (
E_V1024QImode);
      if (res >= 0)
        return res + 46; /* [46, 47] */
      return -1;

    case E_V2048QImode:
      res = pattern346 (
E_V2048QImode);
      if (res >= 0)
        return res + 48; /* [48, 49] */
      return -1;

    case E_V4096QImode:
      res = pattern346 (
E_V4096QImode);
      if (res >= 0)
        return res + 50; /* [50, 51] */
      return -1;

    case E_V32HImode:
      res = pattern346 (
E_V32HImode);
      if (res >= 0)
        return res + 52; /* [52, 53] */
      return -1;

    case E_V64HImode:
      res = pattern346 (
E_V64HImode);
      if (res >= 0)
        return res + 54; /* [54, 55] */
      return -1;

    case E_V128HImode:
      res = pattern346 (
E_V128HImode);
      if (res >= 0)
        return res + 56; /* [56, 57] */
      return -1;

    case E_V256HImode:
      res = pattern346 (
E_V256HImode);
      if (res >= 0)
        return res + 58; /* [58, 59] */
      return -1;

    case E_V512HImode:
      res = pattern346 (
E_V512HImode);
      if (res >= 0)
        return res + 60; /* [60, 61] */
      return -1;

    case E_V1024HImode:
      res = pattern346 (
E_V1024HImode);
      if (res >= 0)
        return res + 62; /* [62, 63] */
      return -1;

    case E_V2048HImode:
      res = pattern346 (
E_V2048HImode);
      if (res >= 0)
        return res + 64; /* [64, 65] */
      return -1;

    case E_V32SImode:
      res = pattern346 (
E_V32SImode);
      if (res >= 0)
        return res + 66; /* [66, 67] */
      return -1;

    case E_V64SImode:
      res = pattern346 (
E_V64SImode);
      if (res >= 0)
        return res + 68; /* [68, 69] */
      return -1;

    case E_V128SImode:
      res = pattern346 (
E_V128SImode);
      if (res >= 0)
        return res + 70; /* [70, 71] */
      return -1;

    case E_V256SImode:
      res = pattern346 (
E_V256SImode);
      if (res >= 0)
        return res + 72; /* [72, 73] */
      return -1;

    case E_V512SImode:
      res = pattern346 (
E_V512SImode);
      if (res >= 0)
        return res + 74; /* [74, 75] */
      return -1;

    case E_V1024SImode:
      res = pattern346 (
E_V1024SImode);
      if (res >= 0)
        return res + 76; /* [76, 77] */
      return -1;

    case E_V32DImode:
      res = pattern346 (
E_V32DImode);
      if (res >= 0)
        return res + 78; /* [78, 79] */
      return -1;

    case E_V64DImode:
      res = pattern346 (
E_V64DImode);
      if (res >= 0)
        return res + 80; /* [80, 81] */
      return -1;

    case E_V128DImode:
      res = pattern346 (
E_V128DImode);
      if (res >= 0)
        return res + 82; /* [82, 83] */
      return -1;

    case E_V256DImode:
      res = pattern346 (
E_V256DImode);
      if (res >= 0)
        return res + 84; /* [84, 85] */
      return -1;

    case E_V512DImode:
      res = pattern346 (
E_V512DImode);
      if (res >= 0)
        return res + 86; /* [86, 87] */
      return -1;

    case E_V32HFmode:
      res = pattern346 (
E_V32HFmode);
      if (res >= 0)
        return res + 88; /* [88, 89] */
      return -1;

    case E_V64HFmode:
      res = pattern346 (
E_V64HFmode);
      if (res >= 0)
        return res + 90; /* [90, 91] */
      return -1;

    case E_V128HFmode:
      res = pattern346 (
E_V128HFmode);
      if (res >= 0)
        return res + 92; /* [92, 93] */
      return -1;

    case E_V256HFmode:
      res = pattern346 (
E_V256HFmode);
      if (res >= 0)
        return res + 94; /* [94, 95] */
      return -1;

    case E_V512HFmode:
      res = pattern346 (
E_V512HFmode);
      if (res >= 0)
        return res + 96; /* [96, 97] */
      return -1;

    case E_V1024HFmode:
      res = pattern346 (
E_V1024HFmode);
      if (res >= 0)
        return res + 98; /* [98, 99] */
      return -1;

    case E_V2048HFmode:
      res = pattern346 (
E_V2048HFmode);
      if (res >= 0)
        return res + 100; /* [100, 101] */
      return -1;

    case E_V32SFmode:
      res = pattern346 (
E_V32SFmode);
      if (res >= 0)
        return res + 102; /* [102, 103] */
      return -1;

    case E_V64SFmode:
      res = pattern346 (
E_V64SFmode);
      if (res >= 0)
        return res + 104; /* [104, 105] */
      return -1;

    case E_V128SFmode:
      res = pattern346 (
E_V128SFmode);
      if (res >= 0)
        return res + 106; /* [106, 107] */
      return -1;

    case E_V256SFmode:
      res = pattern346 (
E_V256SFmode);
      if (res >= 0)
        return res + 108; /* [108, 109] */
      return -1;

    case E_V512SFmode:
      res = pattern346 (
E_V512SFmode);
      if (res >= 0)
        return res + 110; /* [110, 111] */
      return -1;

    case E_V1024SFmode:
      res = pattern346 (
E_V1024SFmode);
      if (res >= 0)
        return res + 112; /* [112, 113] */
      return -1;

    case E_V32DFmode:
      res = pattern346 (
E_V32DFmode);
      if (res >= 0)
        return res + 114; /* [114, 115] */
      return -1;

    case E_V64DFmode:
      res = pattern346 (
E_V64DFmode);
      if (res >= 0)
        return res + 116; /* [116, 117] */
      return -1;

    case E_V128DFmode:
      res = pattern346 (
E_V128DFmode);
      if (res >= 0)
        return res + 118; /* [118, 119] */
      return -1;

    case E_V256DFmode:
      res = pattern346 (
E_V256DFmode);
      if (res >= 0)
        return res + 120; /* [120, 121] */
      return -1;

    case E_V512DFmode:
      res = pattern346 (
E_V512DFmode);
      if (res >= 0)
        return res + 122; /* [122, 123] */
      return -1;

    case E_V32BImode:
      res = pattern346 (
E_V32BImode);
      if (res >= 0)
        return res + 124; /* [124, 125] */
      return -1;

    case E_V64BImode:
      res = pattern346 (
E_V64BImode);
      if (res >= 0)
        return res + 126; /* [126, 127] */
      return -1;

    case E_V128BImode:
      res = pattern346 (
E_V128BImode);
      if (res >= 0)
        return res + 128; /* [128, 129] */
      return -1;

    case E_V256BImode:
      res = pattern346 (
E_V256BImode);
      if (res >= 0)
        return res + 130; /* [130, 131] */
      return -1;

    case E_V512BImode:
      res = pattern346 (
E_V512BImode);
      if (res >= 0)
        return res + 132; /* [132, 133] */
      return -1;

    case E_V1024BImode:
      res = pattern346 (
E_V1024BImode);
      if (res >= 0)
        return res + 134; /* [134, 135] */
      return -1;

    case E_V2048BImode:
      res = pattern346 (
E_V2048BImode);
      if (res >= 0)
        return res + 136; /* [136, 137] */
      return -1;

    case E_V4096BImode:
      res = pattern346 (
E_V4096BImode);
      if (res >= 0)
        return res + 138; /* [138, 139] */
      return -1;

    default:
      return -1;
    }
}

int
pattern412 (machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || !memory_operand (operands[1], i1)
      || !register_operand (operands[2], i1)
      || !memory_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern416 (machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!memory_operand (operands[0], i1)
      || !register_operand (operands[1], i1)
      || !memory_operand (operands[2], i1)
      || !register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern420 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (GET_CODE (x1) != AND
      || GET_MODE (x1) != E_DImode)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_CODE (x2) != ASHIFT
      || GET_MODE (x2) != E_DImode)
    return -1;
  x3 = XEXP (x2, 0);
  operands[1] = x3;
  if (!register_operand (operands[1], E_DImode))
    return -1;
  x4 = XEXP (x2, 1);
  operands[2] = x4;
  return 0;
}

int
pattern426 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!memory_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  if (GET_MODE (x2) != i1
      || !reg_or_0_operand (operands[1], i1)
      || !scratch_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern431 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14;
  int res ATTRIBUTE_UNUSED;
  if (!equality_operator (operands[1], E_VOIDmode))
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  x6 = XEXP (x5, 0);
  operands[2] = x6;
  x7 = XEXP (x5, 1);
  operands[3] = x7;
  x8 = XEXP (x4, 1);
  operands[4] = x8;
  x9 = XEXP (x3, 1);
  x10 = XEXP (x9, 0);
  operands[0] = x10;
  x11 = XVECEXP (x1, 0, 1);
  x12 = XEXP (x11, 0);
  operands[5] = x12;
  x13 = XVECEXP (x1, 0, 2);
  x14 = XEXP (x13, 0);
  operands[6] = x14;
  switch (GET_MODE (x5))
    {
    case E_SImode:
      return pattern430 (
E_SImode); /* [-1, 0] */

    case E_DImode:
      if (pattern430 (
E_DImode) != 0)
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern442 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XVECEXP (x2, 0, 0);
  operands[1] = x3;
  x4 = XVECEXP (x2, 0, 1);
  operands[5] = x4;
  if (!vector_length_operand (operands[5], E_VOIDmode))
    return -1;
  x5 = XVECEXP (x2, 0, 2);
  operands[6] = x5;
  x6 = XEXP (x1, 1);
  x7 = XEXP (x6, 0);
  operands[3] = x7;
  x8 = XEXP (x1, 2);
  operands[2] = x8;
  x9 = XEXP (x6, 1);
  switch (GET_CODE (x9))
    {
    case REG:
    case SUBREG:
      operands[4] = x9;
      switch (GET_MODE (operands[0]))
        {
        case E_RVVMF64BImode:
          return pattern440 (x1, 
E_RVVMF64BImode); /* [-1, 0] */

        case E_RVVMF32BImode:
          if (pattern440 (x1, 
E_RVVMF32BImode) != 0)
            return -1;
          return 1;

        case E_RVVMF16BImode:
          if (pattern440 (x1, 
E_RVVMF16BImode) != 0)
            return -1;
          return 2;

        case E_RVVMF8BImode:
          if (pattern440 (x1, 
E_RVVMF8BImode) != 0)
            return -1;
          return 3;

        case E_RVVMF4BImode:
          if (pattern440 (x1, 
E_RVVMF4BImode) != 0)
            return -1;
          return 4;

        case E_RVVMF2BImode:
          if (pattern440 (x1, 
E_RVVMF2BImode) != 0)
            return -1;
          return 5;

        case E_RVVM1BImode:
          if (pattern440 (x1, 
E_RVVM1BImode) != 0)
            return -1;
          return 6;

        case E_V1BImode:
          if (pattern440 (x1, 
E_V1BImode) != 0)
            return -1;
          return 7;

        case E_V2BImode:
          if (pattern440 (x1, 
E_V2BImode) != 0)
            return -1;
          return 8;

        case E_V4BImode:
          if (pattern440 (x1, 
E_V4BImode) != 0)
            return -1;
          return 9;

        case E_V8BImode:
          if (pattern440 (x1, 
E_V8BImode) != 0)
            return -1;
          return 10;

        case E_V16BImode:
          if (pattern440 (x1, 
E_V16BImode) != 0)
            return -1;
          return 11;

        case E_V32BImode:
          if (pattern440 (x1, 
E_V32BImode) != 0)
            return -1;
          return 12;

        case E_V64BImode:
          if (pattern440 (x1, 
E_V64BImode) != 0)
            return -1;
          return 13;

        case E_V128BImode:
          if (pattern440 (x1, 
E_V128BImode) != 0)
            return -1;
          return 14;

        case E_V256BImode:
          if (pattern440 (x1, 
E_V256BImode) != 0)
            return -1;
          return 15;

        case E_V512BImode:
          if (pattern440 (x1, 
E_V512BImode) != 0)
            return -1;
          return 16;

        case E_V1024BImode:
          if (pattern440 (x1, 
E_V1024BImode) != 0)
            return -1;
          return 17;

        case E_V2048BImode:
          if (pattern440 (x1, 
E_V2048BImode) != 0)
            return -1;
          return 18;

        case E_V4096BImode:
          if (pattern440 (x1, 
E_V4096BImode) != 0)
            return -1;
          return 19;

        default:
          return -1;
        }

    case NOT:
      x10 = XEXP (x9, 0);
      operands[4] = x10;
      switch (GET_MODE (operands[0]))
        {
        case E_RVVMF64BImode:
          if (pattern441 (x1, 
E_RVVMF64BImode) != 0)
            return -1;
          return 20;

        case E_RVVMF32BImode:
          if (pattern441 (x1, 
E_RVVMF32BImode) != 0)
            return -1;
          return 21;

        case E_RVVMF16BImode:
          if (pattern441 (x1, 
E_RVVMF16BImode) != 0)
            return -1;
          return 22;

        case E_RVVMF8BImode:
          if (pattern441 (x1, 
E_RVVMF8BImode) != 0)
            return -1;
          return 23;

        case E_RVVMF4BImode:
          if (pattern441 (x1, 
E_RVVMF4BImode) != 0)
            return -1;
          return 24;

        case E_RVVMF2BImode:
          if (pattern441 (x1, 
E_RVVMF2BImode) != 0)
            return -1;
          return 25;

        case E_RVVM1BImode:
          if (pattern441 (x1, 
E_RVVM1BImode) != 0)
            return -1;
          return 26;

        case E_V1BImode:
          if (pattern441 (x1, 
E_V1BImode) != 0)
            return -1;
          return 27;

        case E_V2BImode:
          if (pattern441 (x1, 
E_V2BImode) != 0)
            return -1;
          return 28;

        case E_V4BImode:
          if (pattern441 (x1, 
E_V4BImode) != 0)
            return -1;
          return 29;

        case E_V8BImode:
          if (pattern441 (x1, 
E_V8BImode) != 0)
            return -1;
          return 30;

        case E_V16BImode:
          if (pattern441 (x1, 
E_V16BImode) != 0)
            return -1;
          return 31;

        case E_V32BImode:
          if (pattern441 (x1, 
E_V32BImode) != 0)
            return -1;
          return 32;

        case E_V64BImode:
          if (pattern441 (x1, 
E_V64BImode) != 0)
            return -1;
          return 33;

        case E_V128BImode:
          if (pattern441 (x1, 
E_V128BImode) != 0)
            return -1;
          return 34;

        case E_V256BImode:
          if (pattern441 (x1, 
E_V256BImode) != 0)
            return -1;
          return 35;

        case E_V512BImode:
          if (pattern441 (x1, 
E_V512BImode) != 0)
            return -1;
          return 36;

        case E_V1024BImode:
          if (pattern441 (x1, 
E_V1024BImode) != 0)
            return -1;
          return 37;

        case E_V2048BImode:
          if (pattern441 (x1, 
E_V2048BImode) != 0)
            return -1;
          return 38;

        case E_V4096BImode:
          if (pattern441 (x1, 
E_V4096BImode) != 0)
            return -1;
          return 39;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern482 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2)
    return -1;
  x3 = XEXP (x1, 1);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[2], i1)
      || !vector_merge_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern484 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !vector_all_trues_mask_operand (operands[1], i1))
    return -1;
  x3 = XEXP (x1, 1);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1
      || !register_operand (operands[3], i1)
      || !register_operand (operands[4], i1)
      || !vector_undef_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern485 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XVECEXP (x2, 0, 1);
  operands[5] = x3;
  x4 = XVECEXP (x2, 0, 2);
  operands[6] = x4;
  x5 = XEXP (x1, 1);
  x6 = XEXP (x5, 0);
  x7 = XEXP (x6, 0);
  operands[3] = x7;
  x8 = XEXP (x6, 1);
  operands[4] = x8;
  switch (GET_MODE (operands[0]))
    {
    case E_RVVMF64BImode:
      return pattern484 (x1, 
E_RVVMF64BImode); /* [-1, 0] */

    case E_RVVMF32BImode:
      if (pattern484 (x1, 
E_RVVMF32BImode) != 0)
        return -1;
      return 1;

    case E_RVVMF16BImode:
      if (pattern484 (x1, 
E_RVVMF16BImode) != 0)
        return -1;
      return 2;

    case E_RVVMF8BImode:
      if (pattern484 (x1, 
E_RVVMF8BImode) != 0)
        return -1;
      return 3;

    case E_RVVMF4BImode:
      if (pattern484 (x1, 
E_RVVMF4BImode) != 0)
        return -1;
      return 4;

    case E_RVVMF2BImode:
      if (pattern484 (x1, 
E_RVVMF2BImode) != 0)
        return -1;
      return 5;

    case E_RVVM1BImode:
      if (pattern484 (x1, 
E_RVVM1BImode) != 0)
        return -1;
      return 6;

    case E_V1BImode:
      if (pattern484 (x1, 
E_V1BImode) != 0)
        return -1;
      return 7;

    case E_V2BImode:
      if (pattern484 (x1, 
E_V2BImode) != 0)
        return -1;
      return 8;

    case E_V4BImode:
      if (pattern484 (x1, 
E_V4BImode) != 0)
        return -1;
      return 9;

    case E_V8BImode:
      if (pattern484 (x1, 
E_V8BImode) != 0)
        return -1;
      return 10;

    case E_V16BImode:
      if (pattern484 (x1, 
E_V16BImode) != 0)
        return -1;
      return 11;

    case E_V32BImode:
      if (pattern484 (x1, 
E_V32BImode) != 0)
        return -1;
      return 12;

    case E_V64BImode:
      if (pattern484 (x1, 
E_V64BImode) != 0)
        return -1;
      return 13;

    case E_V128BImode:
      if (pattern484 (x1, 
E_V128BImode) != 0)
        return -1;
      return 14;

    case E_V256BImode:
      if (pattern484 (x1, 
E_V256BImode) != 0)
        return -1;
      return 15;

    case E_V512BImode:
      if (pattern484 (x1, 
E_V512BImode) != 0)
        return -1;
      return 16;

    case E_V1024BImode:
      if (pattern484 (x1, 
E_V1024BImode) != 0)
        return -1;
      return 17;

    case E_V2048BImode:
      if (pattern484 (x1, 
E_V2048BImode) != 0)
        return -1;
      return 18;

    case E_V4096BImode:
      if (pattern484 (x1, 
E_V4096BImode) != 0)
        return -1;
      return 19;

    default:
      return -1;
    }
}

int
pattern493 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2
      || !vector_mask_operand (operands[1], i2))
    return -1;
  x3 = XEXP (x1, 1);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[3], i1)
      || !vector_merge_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern495 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2
      || !vector_mask_operand (operands[1], i2))
    return -1;
  x3 = XEXP (x1, 1);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[3], i1)
      || !register_operand (operands[4], i1)
      || !vector_merge_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern497 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XVECEXP (x2, 0, 1);
  operands[5] = x3;
  x4 = XVECEXP (x2, 0, 2);
  operands[6] = x4;
  x5 = XVECEXP (x2, 0, 3);
  operands[7] = x5;
  x6 = XVECEXP (x2, 0, 4);
  operands[8] = x6;
  x7 = XEXP (x1, 2);
  operands[2] = x7;
  x8 = XEXP (x1, 1);
  x9 = XEXP (x8, 0);
  switch (GET_CODE (x9))
    {
    case REG:
    case SUBREG:
      operands[3] = x9;
      x10 = XEXP (x8, 1);
      operands[4] = x10;
      switch (GET_MODE (operands[0]))
        {
        case E_RVVM8QImode:
          return pattern495 (x1, 
E_RVVM8QImode, 
E_RVVM1BImode); /* [-1, 0] */

        case E_RVVM4QImode:
          if (pattern495 (x1, 
E_RVVM4QImode, 
E_RVVMF2BImode) != 0)
            return -1;
          return 1;

        case E_RVVM2QImode:
          if (pattern495 (x1, 
E_RVVM2QImode, 
E_RVVMF4BImode) != 0)
            return -1;
          return 2;

        case E_RVVM1QImode:
          if (pattern495 (x1, 
E_RVVM1QImode, 
E_RVVMF8BImode) != 0)
            return -1;
          return 3;

        case E_RVVM8HImode:
          if (pattern495 (x1, 
E_RVVM8HImode, 
E_RVVMF2BImode) != 0)
            return -1;
          return 4;

        case E_RVVM4HImode:
          if (pattern495 (x1, 
E_RVVM4HImode, 
E_RVVMF4BImode) != 0)
            return -1;
          return 5;

        case E_RVVM2HImode:
          if (pattern495 (x1, 
E_RVVM2HImode, 
E_RVVMF8BImode) != 0)
            return -1;
          return 6;

        case E_RVVM1HImode:
          if (pattern495 (x1, 
E_RVVM1HImode, 
E_RVVMF16BImode) != 0)
            return -1;
          return 7;

        case E_RVVM8SImode:
          if (pattern495 (x1, 
E_RVVM8SImode, 
E_RVVMF4BImode) != 0)
            return -1;
          return 8;

        case E_RVVM4SImode:
          if (pattern495 (x1, 
E_RVVM4SImode, 
E_RVVMF8BImode) != 0)
            return -1;
          return 9;

        case E_RVVM2SImode:
          if (pattern495 (x1, 
E_RVVM2SImode, 
E_RVVMF16BImode) != 0)
            return -1;
          return 10;

        case E_RVVM1SImode:
          if (pattern495 (x1, 
E_RVVM1SImode, 
E_RVVMF32BImode) != 0)
            return -1;
          return 11;

        case E_RVVM8DImode:
          if (pattern495 (x1, 
E_RVVM8DImode, 
E_RVVMF8BImode) != 0)
            return -1;
          return 12;

        case E_RVVM4DImode:
          if (pattern495 (x1, 
E_RVVM4DImode, 
E_RVVMF16BImode) != 0)
            return -1;
          return 13;

        case E_RVVM2DImode:
          if (pattern495 (x1, 
E_RVVM2DImode, 
E_RVVMF32BImode) != 0)
            return -1;
          return 14;

        case E_RVVM1DImode:
          if (pattern495 (x1, 
E_RVVM1DImode, 
E_RVVMF64BImode) != 0)
            return -1;
          return 15;

        case E_RVVMF2QImode:
          if (pattern495 (x1, 
E_RVVMF2QImode, 
E_RVVMF16BImode) != 0)
            return -1;
          return 16;

        case E_RVVMF4QImode:
          if (pattern495 (x1, 
E_RVVMF4QImode, 
E_RVVMF32BImode) != 0)
            return -1;
          return 17;

        case E_RVVMF8QImode:
          if (pattern495 (x1, 
E_RVVMF8QImode, 
E_RVVMF64BImode) != 0)
            return -1;
          return 18;

        case E_RVVMF2HImode:
          if (pattern495 (x1, 
E_RVVMF2HImode, 
E_RVVMF32BImode) != 0)
            return -1;
          return 19;

        case E_RVVMF4HImode:
          if (pattern495 (x1, 
E_RVVMF4HImode, 
E_RVVMF64BImode) != 0)
            return -1;
          return 20;

        case E_RVVMF2SImode:
          if (pattern495 (x1, 
E_RVVMF2SImode, 
E_RVVMF64BImode) != 0)
            return -1;
          return 21;

        case E_V1QImode:
          if (pattern495 (x1, 
E_V1QImode, 
E_V1BImode) != 0)
            return -1;
          return 22;

        case E_V2QImode:
          if (pattern495 (x1, 
E_V2QImode, 
E_V2BImode) != 0)
            return -1;
          return 23;

        case E_V4QImode:
          if (pattern495 (x1, 
E_V4QImode, 
E_V4BImode) != 0)
            return -1;
          return 24;

        case E_V8QImode:
          if (pattern495 (x1, 
E_V8QImode, 
E_V8BImode) != 0)
            return -1;
          return 25;

        case E_V16QImode:
          if (pattern495 (x1, 
E_V16QImode, 
E_V16BImode) != 0)
            return -1;
          return 26;

        case E_V32QImode:
          if (pattern495 (x1, 
E_V32QImode, 
E_V32BImode) != 0)
            return -1;
          return 27;

        case E_V64QImode:
          if (pattern495 (x1, 
E_V64QImode, 
E_V64BImode) != 0)
            return -1;
          return 28;

        case E_V128QImode:
          if (pattern495 (x1, 
E_V128QImode, 
E_V128BImode) != 0)
            return -1;
          return 29;

        case E_V256QImode:
          if (pattern495 (x1, 
E_V256QImode, 
E_V256BImode) != 0)
            return -1;
          return 30;

        case E_V512QImode:
          if (pattern495 (x1, 
E_V512QImode, 
E_V512BImode) != 0)
            return -1;
          return 31;

        case E_V1024QImode:
          if (pattern495 (x1, 
E_V1024QImode, 
E_V1024BImode) != 0)
            return -1;
          return 32;

        case E_V2048QImode:
          if (pattern495 (x1, 
E_V2048QImode, 
E_V2048BImode) != 0)
            return -1;
          return 33;

        case E_V4096QImode:
          if (pattern495 (x1, 
E_V4096QImode, 
E_V4096BImode) != 0)
            return -1;
          return 34;

        case E_V1HImode:
          if (pattern495 (x1, 
E_V1HImode, 
E_V1BImode) != 0)
            return -1;
          return 35;

        case E_V2HImode:
          if (pattern495 (x1, 
E_V2HImode, 
E_V2BImode) != 0)
            return -1;
          return 36;

        case E_V4HImode:
          if (pattern495 (x1, 
E_V4HImode, 
E_V4BImode) != 0)
            return -1;
          return 37;

        case E_V8HImode:
          if (pattern495 (x1, 
E_V8HImode, 
E_V8BImode) != 0)
            return -1;
          return 38;

        case E_V16HImode:
          if (pattern495 (x1, 
E_V16HImode, 
E_V16BImode) != 0)
            return -1;
          return 39;

        case E_V32HImode:
          if (pattern495 (x1, 
E_V32HImode, 
E_V32BImode) != 0)
            return -1;
          return 40;

        case E_V64HImode:
          if (pattern495 (x1, 
E_V64HImode, 
E_V64BImode) != 0)
            return -1;
          return 41;

        case E_V128HImode:
          if (pattern495 (x1, 
E_V128HImode, 
E_V128BImode) != 0)
            return -1;
          return 42;

        case E_V256HImode:
          if (pattern495 (x1, 
E_V256HImode, 
E_V256BImode) != 0)
            return -1;
          return 43;

        case E_V512HImode:
          if (pattern495 (x1, 
E_V512HImode, 
E_V512BImode) != 0)
            return -1;
          return 44;

        case E_V1024HImode:
          if (pattern495 (x1, 
E_V1024HImode, 
E_V1024BImode) != 0)
            return -1;
          return 45;

        case E_V2048HImode:
          if (pattern495 (x1, 
E_V2048HImode, 
E_V2048BImode) != 0)
            return -1;
          return 46;

        case E_V1SImode:
          if (pattern495 (x1, 
E_V1SImode, 
E_V1BImode) != 0)
            return -1;
          return 47;

        case E_V2SImode:
          if (pattern495 (x1, 
E_V2SImode, 
E_V2BImode) != 0)
            return -1;
          return 48;

        case E_V4SImode:
          if (pattern495 (x1, 
E_V4SImode, 
E_V4BImode) != 0)
            return -1;
          return 49;

        case E_V8SImode:
          if (pattern495 (x1, 
E_V8SImode, 
E_V8BImode) != 0)
            return -1;
          return 50;

        case E_V16SImode:
          if (pattern495 (x1, 
E_V16SImode, 
E_V16BImode) != 0)
            return -1;
          return 51;

        case E_V32SImode:
          if (pattern495 (x1, 
E_V32SImode, 
E_V32BImode) != 0)
            return -1;
          return 52;

        case E_V64SImode:
          if (pattern495 (x1, 
E_V64SImode, 
E_V64BImode) != 0)
            return -1;
          return 53;

        case E_V128SImode:
          if (pattern495 (x1, 
E_V128SImode, 
E_V128BImode) != 0)
            return -1;
          return 54;

        case E_V256SImode:
          if (pattern495 (x1, 
E_V256SImode, 
E_V256BImode) != 0)
            return -1;
          return 55;

        case E_V512SImode:
          if (pattern495 (x1, 
E_V512SImode, 
E_V512BImode) != 0)
            return -1;
          return 56;

        case E_V1024SImode:
          if (pattern495 (x1, 
E_V1024SImode, 
E_V1024BImode) != 0)
            return -1;
          return 57;

        case E_V1DImode:
          if (pattern495 (x1, 
E_V1DImode, 
E_V1BImode) != 0)
            return -1;
          return 58;

        case E_V2DImode:
          if (pattern495 (x1, 
E_V2DImode, 
E_V2BImode) != 0)
            return -1;
          return 59;

        case E_V4DImode:
          if (pattern495 (x1, 
E_V4DImode, 
E_V4BImode) != 0)
            return -1;
          return 60;

        case E_V8DImode:
          if (pattern495 (x1, 
E_V8DImode, 
E_V8BImode) != 0)
            return -1;
          return 61;

        case E_V16DImode:
          if (pattern495 (x1, 
E_V16DImode, 
E_V16BImode) != 0)
            return -1;
          return 62;

        case E_V32DImode:
          if (pattern495 (x1, 
E_V32DImode, 
E_V32BImode) != 0)
            return -1;
          return 63;

        case E_V64DImode:
          if (pattern495 (x1, 
E_V64DImode, 
E_V64BImode) != 0)
            return -1;
          return 64;

        case E_V128DImode:
          if (pattern495 (x1, 
E_V128DImode, 
E_V128BImode) != 0)
            return -1;
          return 65;

        case E_V256DImode:
          if (pattern495 (x1, 
E_V256DImode, 
E_V256BImode) != 0)
            return -1;
          return 66;

        case E_V512DImode:
          if (pattern495 (x1, 
E_V512DImode, 
E_V512BImode) != 0)
            return -1;
          return 67;

        case E_RVVM8HFmode:
          if (pattern495 (x1, 
E_RVVM8HFmode, 
E_RVVMF2BImode) != 0)
            return -1;
          return 68;

        case E_RVVM4HFmode:
          if (pattern495 (x1, 
E_RVVM4HFmode, 
E_RVVMF4BImode) != 0)
            return -1;
          return 69;

        case E_RVVM2HFmode:
          if (pattern495 (x1, 
E_RVVM2HFmode, 
E_RVVMF8BImode) != 0)
            return -1;
          return 70;

        case E_RVVM1HFmode:
          if (pattern495 (x1, 
E_RVVM1HFmode, 
E_RVVMF16BImode) != 0)
            return -1;
          return 71;

        case E_RVVMF2HFmode:
          if (pattern495 (x1, 
E_RVVMF2HFmode, 
E_RVVMF32BImode) != 0)
            return -1;
          return 72;

        case E_RVVMF4HFmode:
          if (pattern495 (x1, 
E_RVVMF4HFmode, 
E_RVVMF64BImode) != 0)
            return -1;
          return 73;

        case E_RVVM8SFmode:
          if (pattern495 (x1, 
E_RVVM8SFmode, 
E_RVVMF4BImode) != 0)
            return -1;
          return 74;

        case E_RVVM4SFmode:
          if (pattern495 (x1, 
E_RVVM4SFmode, 
E_RVVMF8BImode) != 0)
            return -1;
          return 75;

        case E_RVVM2SFmode:
          if (pattern495 (x1, 
E_RVVM2SFmode, 
E_RVVMF16BImode) != 0)
            return -1;
          return 76;

        case E_RVVM1SFmode:
          if (pattern495 (x1, 
E_RVVM1SFmode, 
E_RVVMF32BImode) != 0)
            return -1;
          return 77;

        case E_RVVMF2SFmode:
          if (pattern495 (x1, 
E_RVVMF2SFmode, 
E_RVVMF64BImode) != 0)
            return -1;
          return 78;

        case E_RVVM8DFmode:
          if (pattern495 (x1, 
E_RVVM8DFmode, 
E_RVVMF8BImode) != 0)
            return -1;
          return 79;

        case E_RVVM4DFmode:
          if (pattern495 (x1, 
E_RVVM4DFmode, 
E_RVVMF16BImode) != 0)
            return -1;
          return 80;

        case E_RVVM2DFmode:
          if (pattern495 (x1, 
E_RVVM2DFmode, 
E_RVVMF32BImode) != 0)
            return -1;
          return 81;

        case E_RVVM1DFmode:
          if (pattern495 (x1, 
E_RVVM1DFmode, 
E_RVVMF64BImode) != 0)
            return -1;
          return 82;

        case E_V1HFmode:
          if (pattern495 (x1, 
E_V1HFmode, 
E_V1BImode) != 0)
            return -1;
          return 83;

        case E_V2HFmode:
          if (pattern495 (x1, 
E_V2HFmode, 
E_V2BImode) != 0)
            return -1;
          return 84;

        case E_V4HFmode:
          if (pattern495 (x1, 
E_V4HFmode, 
E_V4BImode) != 0)
            return -1;
          return 85;

        case E_V8HFmode:
          if (pattern495 (x1, 
E_V8HFmode, 
E_V8BImode) != 0)
            return -1;
          return 86;

        case E_V16HFmode:
          if (pattern495 (x1, 
E_V16HFmode, 
E_V16BImode) != 0)
            return -1;
          return 87;

        case E_V32HFmode:
          if (pattern495 (x1, 
E_V32HFmode, 
E_V32BImode) != 0)
            return -1;
          return 88;

        case E_V64HFmode:
          if (pattern495 (x1, 
E_V64HFmode, 
E_V64BImode) != 0)
            return -1;
          return 89;

        case E_V128HFmode:
          if (pattern495 (x1, 
E_V128HFmode, 
E_V128BImode) != 0)
            return -1;
          return 90;

        case E_V256HFmode:
          if (pattern495 (x1, 
E_V256HFmode, 
E_V256BImode) != 0)
            return -1;
          return 91;

        case E_V512HFmode:
          if (pattern495 (x1, 
E_V512HFmode, 
E_V512BImode) != 0)
            return -1;
          return 92;

        case E_V1024HFmode:
          if (pattern495 (x1, 
E_V1024HFmode, 
E_V1024BImode) != 0)
            return -1;
          return 93;

        case E_V2048HFmode:
          if (pattern495 (x1, 
E_V2048HFmode, 
E_V2048BImode) != 0)
            return -1;
          return 94;

        case E_V1SFmode:
          if (pattern495 (x1, 
E_V1SFmode, 
E_V1BImode) != 0)
            return -1;
          return 95;

        case E_V2SFmode:
          if (pattern495 (x1, 
E_V2SFmode, 
E_V2BImode) != 0)
            return -1;
          return 96;

        case E_V4SFmode:
          if (pattern495 (x1, 
E_V4SFmode, 
E_V4BImode) != 0)
            return -1;
          return 97;

        case E_V8SFmode:
          if (pattern495 (x1, 
E_V8SFmode, 
E_V8BImode) != 0)
            return -1;
          return 98;

        case E_V16SFmode:
          if (pattern495 (x1, 
E_V16SFmode, 
E_V16BImode) != 0)
            return -1;
          return 99;

        case E_V32SFmode:
          if (pattern495 (x1, 
E_V32SFmode, 
E_V32BImode) != 0)
            return -1;
          return 100;

        case E_V64SFmode:
          if (pattern495 (x1, 
E_V64SFmode, 
E_V64BImode) != 0)
            return -1;
          return 101;

        case E_V128SFmode:
          if (pattern495 (x1, 
E_V128SFmode, 
E_V128BImode) != 0)
            return -1;
          return 102;

        case E_V256SFmode:
          if (pattern495 (x1, 
E_V256SFmode, 
E_V256BImode) != 0)
            return -1;
          return 103;

        case E_V512SFmode:
          if (pattern495 (x1, 
E_V512SFmode, 
E_V512BImode) != 0)
            return -1;
          return 104;

        case E_V1024SFmode:
          if (pattern495 (x1, 
E_V1024SFmode, 
E_V1024BImode) != 0)
            return -1;
          return 105;

        case E_V1DFmode:
          if (pattern495 (x1, 
E_V1DFmode, 
E_V1BImode) != 0)
            return -1;
          return 106;

        case E_V2DFmode:
          if (pattern495 (x1, 
E_V2DFmode, 
E_V2BImode) != 0)
            return -1;
          return 107;

        case E_V4DFmode:
          if (pattern495 (x1, 
E_V4DFmode, 
E_V4BImode) != 0)
            return -1;
          return 108;

        case E_V8DFmode:
          if (pattern495 (x1, 
E_V8DFmode, 
E_V8BImode) != 0)
            return -1;
          return 109;

        case E_V16DFmode:
          if (pattern495 (x1, 
E_V16DFmode, 
E_V16BImode) != 0)
            return -1;
          return 110;

        case E_V32DFmode:
          if (pattern495 (x1, 
E_V32DFmode, 
E_V32BImode) != 0)
            return -1;
          return 111;

        case E_V64DFmode:
          if (pattern495 (x1, 
E_V64DFmode, 
E_V64BImode) != 0)
            return -1;
          return 112;

        case E_V128DFmode:
          if (pattern495 (x1, 
E_V128DFmode, 
E_V128BImode) != 0)
            return -1;
          return 113;

        case E_V256DFmode:
          if (pattern495 (x1, 
E_V256DFmode, 
E_V256BImode) != 0)
            return -1;
          return 114;

        case E_V512DFmode:
          if (pattern495 (x1, 
E_V512DFmode, 
E_V512BImode) != 0)
            return -1;
          return 115;

        default:
          return -1;
        }

    case VEC_DUPLICATE:
      x10 = XEXP (x8, 1);
      operands[3] = x10;
      x11 = XEXP (x9, 0);
      switch (GET_CODE (x11))
        {
        case CONST_INT:
        case CONST_WIDE_INT:
        case CONST_DOUBLE:
        case CONST_VECTOR:
        case REG:
        case SUBREG:
          operands[4] = x11;
          switch (GET_MODE (operands[0]))
            {
            case E_RVVM8QImode:
              if (pattern488 (x1, 
E_RVVM8QImode, 
E_RVVM1BImode, 
E_QImode) != 0)
                return -1;
              return 116;

            case E_RVVM4QImode:
              if (pattern488 (x1, 
E_RVVM4QImode, 
E_RVVMF2BImode, 
E_QImode) != 0)
                return -1;
              return 117;

            case E_RVVM2QImode:
              if (pattern488 (x1, 
E_RVVM2QImode, 
E_RVVMF4BImode, 
E_QImode) != 0)
                return -1;
              return 118;

            case E_RVVM1QImode:
              if (pattern488 (x1, 
E_RVVM1QImode, 
E_RVVMF8BImode, 
E_QImode) != 0)
                return -1;
              return 119;

            case E_RVVMF2QImode:
              if (pattern488 (x1, 
E_RVVMF2QImode, 
E_RVVMF16BImode, 
E_QImode) != 0)
                return -1;
              return 120;

            case E_RVVMF4QImode:
              if (pattern488 (x1, 
E_RVVMF4QImode, 
E_RVVMF32BImode, 
E_QImode) != 0)
                return -1;
              return 121;

            case E_RVVMF8QImode:
              if (pattern488 (x1, 
E_RVVMF8QImode, 
E_RVVMF64BImode, 
E_QImode) != 0)
                return -1;
              return 122;

            case E_RVVM8HImode:
              if (pattern488 (x1, 
E_RVVM8HImode, 
E_RVVMF2BImode, 
E_HImode) != 0)
                return -1;
              return 123;

            case E_RVVM4HImode:
              if (pattern488 (x1, 
E_RVVM4HImode, 
E_RVVMF4BImode, 
E_HImode) != 0)
                return -1;
              return 124;

            case E_RVVM2HImode:
              if (pattern488 (x1, 
E_RVVM2HImode, 
E_RVVMF8BImode, 
E_HImode) != 0)
                return -1;
              return 125;

            case E_RVVM1HImode:
              if (pattern488 (x1, 
E_RVVM1HImode, 
E_RVVMF16BImode, 
E_HImode) != 0)
                return -1;
              return 126;

            case E_RVVMF2HImode:
              if (pattern488 (x1, 
E_RVVMF2HImode, 
E_RVVMF32BImode, 
E_HImode) != 0)
                return -1;
              return 127;

            case E_RVVMF4HImode:
              if (pattern488 (x1, 
E_RVVMF4HImode, 
E_RVVMF64BImode, 
E_HImode) != 0)
                return -1;
              return 128;

            case E_RVVM8SImode:
              if (pattern488 (x1, 
E_RVVM8SImode, 
E_RVVMF4BImode, 
E_SImode) != 0)
                return -1;
              return 129;

            case E_RVVM4SImode:
              if (pattern488 (x1, 
E_RVVM4SImode, 
E_RVVMF8BImode, 
E_SImode) != 0)
                return -1;
              return 130;

            case E_RVVM2SImode:
              if (pattern488 (x1, 
E_RVVM2SImode, 
E_RVVMF16BImode, 
E_SImode) != 0)
                return -1;
              return 131;

            case E_RVVM1SImode:
              if (pattern488 (x1, 
E_RVVM1SImode, 
E_RVVMF32BImode, 
E_SImode) != 0)
                return -1;
              return 132;

            case E_RVVMF2SImode:
              if (pattern488 (x1, 
E_RVVMF2SImode, 
E_RVVMF64BImode, 
E_SImode) != 0)
                return -1;
              return 133;

            case E_V1QImode:
              if (pattern488 (x1, 
E_V1QImode, 
E_V1BImode, 
E_QImode) != 0)
                return -1;
              return 134;

            case E_V2QImode:
              if (pattern488 (x1, 
E_V2QImode, 
E_V2BImode, 
E_QImode) != 0)
                return -1;
              return 135;

            case E_V4QImode:
              if (pattern488 (x1, 
E_V4QImode, 
E_V4BImode, 
E_QImode) != 0)
                return -1;
              return 136;

            case E_V8QImode:
              if (pattern488 (x1, 
E_V8QImode, 
E_V8BImode, 
E_QImode) != 0)
                return -1;
              return 137;

            case E_V16QImode:
              if (pattern488 (x1, 
E_V16QImode, 
E_V16BImode, 
E_QImode) != 0)
                return -1;
              return 138;

            case E_V32QImode:
              if (pattern488 (x1, 
E_V32QImode, 
E_V32BImode, 
E_QImode) != 0)
                return -1;
              return 139;

            case E_V64QImode:
              if (pattern488 (x1, 
E_V64QImode, 
E_V64BImode, 
E_QImode) != 0)
                return -1;
              return 140;

            case E_V128QImode:
              if (pattern488 (x1, 
E_V128QImode, 
E_V128BImode, 
E_QImode) != 0)
                return -1;
              return 141;

            case E_V256QImode:
              if (pattern488 (x1, 
E_V256QImode, 
E_V256BImode, 
E_QImode) != 0)
                return -1;
              return 142;

            case E_V512QImode:
              if (pattern488 (x1, 
E_V512QImode, 
E_V512BImode, 
E_QImode) != 0)
                return -1;
              return 143;

            case E_V1024QImode:
              if (pattern488 (x1, 
E_V1024QImode, 
E_V1024BImode, 
E_QImode) != 0)
                return -1;
              return 144;

            case E_V2048QImode:
              if (pattern488 (x1, 
E_V2048QImode, 
E_V2048BImode, 
E_QImode) != 0)
                return -1;
              return 145;

            case E_V4096QImode:
              if (pattern488 (x1, 
E_V4096QImode, 
E_V4096BImode, 
E_QImode) != 0)
                return -1;
              return 146;

            case E_V1HImode:
              if (pattern488 (x1, 
E_V1HImode, 
E_V1BImode, 
E_HImode) != 0)
                return -1;
              return 147;

            case E_V2HImode:
              if (pattern488 (x1, 
E_V2HImode, 
E_V2BImode, 
E_HImode) != 0)
                return -1;
              return 148;

            case E_V4HImode:
              if (pattern488 (x1, 
E_V4HImode, 
E_V4BImode, 
E_HImode) != 0)
                return -1;
              return 149;

            case E_V8HImode:
              if (pattern488 (x1, 
E_V8HImode, 
E_V8BImode, 
E_HImode) != 0)
                return -1;
              return 150;

            case E_V16HImode:
              if (pattern488 (x1, 
E_V16HImode, 
E_V16BImode, 
E_HImode) != 0)
                return -1;
              return 151;

            case E_V32HImode:
              if (pattern488 (x1, 
E_V32HImode, 
E_V32BImode, 
E_HImode) != 0)
                return -1;
              return 152;

            case E_V64HImode:
              if (pattern488 (x1, 
E_V64HImode, 
E_V64BImode, 
E_HImode) != 0)
                return -1;
              return 153;

            case E_V128HImode:
              if (pattern488 (x1, 
E_V128HImode, 
E_V128BImode, 
E_HImode) != 0)
                return -1;
              return 154;

            case E_V256HImode:
              if (pattern488 (x1, 
E_V256HImode, 
E_V256BImode, 
E_HImode) != 0)
                return -1;
              return 155;

            case E_V512HImode:
              if (pattern488 (x1, 
E_V512HImode, 
E_V512BImode, 
E_HImode) != 0)
                return -1;
              return 156;

            case E_V1024HImode:
              if (pattern488 (x1, 
E_V1024HImode, 
E_V1024BImode, 
E_HImode) != 0)
                return -1;
              return 157;

            case E_V2048HImode:
              if (pattern488 (x1, 
E_V2048HImode, 
E_V2048BImode, 
E_HImode) != 0)
                return -1;
              return 158;

            case E_V1SImode:
              if (pattern488 (x1, 
E_V1SImode, 
E_V1BImode, 
E_SImode) != 0)
                return -1;
              return 159;

            case E_V2SImode:
              if (pattern488 (x1, 
E_V2SImode, 
E_V2BImode, 
E_SImode) != 0)
                return -1;
              return 160;

            case E_V4SImode:
              if (pattern488 (x1, 
E_V4SImode, 
E_V4BImode, 
E_SImode) != 0)
                return -1;
              return 161;

            case E_V8SImode:
              if (pattern488 (x1, 
E_V8SImode, 
E_V8BImode, 
E_SImode) != 0)
                return -1;
              return 162;

            case E_V16SImode:
              if (pattern488 (x1, 
E_V16SImode, 
E_V16BImode, 
E_SImode) != 0)
                return -1;
              return 163;

            case E_V32SImode:
              if (pattern488 (x1, 
E_V32SImode, 
E_V32BImode, 
E_SImode) != 0)
                return -1;
              return 164;

            case E_V64SImode:
              if (pattern488 (x1, 
E_V64SImode, 
E_V64BImode, 
E_SImode) != 0)
                return -1;
              return 165;

            case E_V128SImode:
              if (pattern488 (x1, 
E_V128SImode, 
E_V128BImode, 
E_SImode) != 0)
                return -1;
              return 166;

            case E_V256SImode:
              if (pattern488 (x1, 
E_V256SImode, 
E_V256BImode, 
E_SImode) != 0)
                return -1;
              return 167;

            case E_V512SImode:
              if (pattern488 (x1, 
E_V512SImode, 
E_V512BImode, 
E_SImode) != 0)
                return -1;
              return 168;

            case E_V1024SImode:
              if (pattern488 (x1, 
E_V1024SImode, 
E_V1024BImode, 
E_SImode) != 0)
                return -1;
              return 169;

            case E_RVVM8DImode:
              if (pattern488 (x1, 
E_RVVM8DImode, 
E_RVVMF8BImode, 
E_DImode) != 0)
                return -1;
              return 170;

            case E_RVVM4DImode:
              if (pattern488 (x1, 
E_RVVM4DImode, 
E_RVVMF16BImode, 
E_DImode) != 0)
                return -1;
              return 171;

            case E_RVVM2DImode:
              if (pattern488 (x1, 
E_RVVM2DImode, 
E_RVVMF32BImode, 
E_DImode) != 0)
                return -1;
              return 172;

            case E_RVVM1DImode:
              if (pattern488 (x1, 
E_RVVM1DImode, 
E_RVVMF64BImode, 
E_DImode) != 0)
                return -1;
              return 173;

            case E_V1DImode:
              if (pattern488 (x1, 
E_V1DImode, 
E_V1BImode, 
E_DImode) != 0)
                return -1;
              return 174;

            case E_V2DImode:
              if (pattern488 (x1, 
E_V2DImode, 
E_V2BImode, 
E_DImode) != 0)
                return -1;
              return 175;

            case E_V4DImode:
              if (pattern488 (x1, 
E_V4DImode, 
E_V4BImode, 
E_DImode) != 0)
                return -1;
              return 176;

            case E_V8DImode:
              if (pattern488 (x1, 
E_V8DImode, 
E_V8BImode, 
E_DImode) != 0)
                return -1;
              return 177;

            case E_V16DImode:
              if (pattern488 (x1, 
E_V16DImode, 
E_V16BImode, 
E_DImode) != 0)
                return -1;
              return 178;

            case E_V32DImode:
              if (pattern488 (x1, 
E_V32DImode, 
E_V32BImode, 
E_DImode) != 0)
                return -1;
              return 179;

            case E_V64DImode:
              if (pattern488 (x1, 
E_V64DImode, 
E_V64BImode, 
E_DImode) != 0)
                return -1;
              return 180;

            case E_V128DImode:
              if (pattern488 (x1, 
E_V128DImode, 
E_V128BImode, 
E_DImode) != 0)
                return -1;
              return 181;

            case E_V256DImode:
              if (pattern488 (x1, 
E_V256DImode, 
E_V256BImode, 
E_DImode) != 0)
                return -1;
              return 182;

            case E_V512DImode:
              if (pattern488 (x1, 
E_V512DImode, 
E_V512BImode, 
E_DImode) != 0)
                return -1;
              return 183;

            case E_RVVM8HFmode:
              if (pattern496 (x1, 
E_RVVM8HFmode, 
E_HFmode, 
E_RVVMF2BImode) != 0)
                return -1;
              return 184;

            case E_RVVM4HFmode:
              if (pattern496 (x1, 
E_RVVM4HFmode, 
E_HFmode, 
E_RVVMF4BImode) != 0)
                return -1;
              return 185;

            case E_RVVM2HFmode:
              if (pattern496 (x1, 
E_RVVM2HFmode, 
E_HFmode, 
E_RVVMF8BImode) != 0)
                return -1;
              return 186;

            case E_RVVM1HFmode:
              if (pattern496 (x1, 
E_RVVM1HFmode, 
E_HFmode, 
E_RVVMF16BImode) != 0)
                return -1;
              return 187;

            case E_RVVMF2HFmode:
              if (pattern496 (x1, 
E_RVVMF2HFmode, 
E_HFmode, 
E_RVVMF32BImode) != 0)
                return -1;
              return 188;

            case E_RVVMF4HFmode:
              if (pattern496 (x1, 
E_RVVMF4HFmode, 
E_HFmode, 
E_RVVMF64BImode) != 0)
                return -1;
              return 189;

            case E_RVVM8SFmode:
              if (pattern496 (x1, 
E_RVVM8SFmode, 
E_SFmode, 
E_RVVMF4BImode) != 0)
                return -1;
              return 190;

            case E_RVVM4SFmode:
              if (pattern496 (x1, 
E_RVVM4SFmode, 
E_SFmode, 
E_RVVMF8BImode) != 0)
                return -1;
              return 191;

            case E_RVVM2SFmode:
              if (pattern496 (x1, 
E_RVVM2SFmode, 
E_SFmode, 
E_RVVMF16BImode) != 0)
                return -1;
              return 192;

            case E_RVVM1SFmode:
              if (pattern496 (x1, 
E_RVVM1SFmode, 
E_SFmode, 
E_RVVMF32BImode) != 0)
                return -1;
              return 193;

            case E_RVVMF2SFmode:
              if (pattern496 (x1, 
E_RVVMF2SFmode, 
E_SFmode, 
E_RVVMF64BImode) != 0)
                return -1;
              return 194;

            case E_RVVM8DFmode:
              if (pattern496 (x1, 
E_RVVM8DFmode, 
E_DFmode, 
E_RVVMF8BImode) != 0)
                return -1;
              return 195;

            case E_RVVM4DFmode:
              if (pattern496 (x1, 
E_RVVM4DFmode, 
E_DFmode, 
E_RVVMF16BImode) != 0)
                return -1;
              return 196;

            case E_RVVM2DFmode:
              if (pattern496 (x1, 
E_RVVM2DFmode, 
E_DFmode, 
E_RVVMF32BImode) != 0)
                return -1;
              return 197;

            case E_RVVM1DFmode:
              if (pattern496 (x1, 
E_RVVM1DFmode, 
E_DFmode, 
E_RVVMF64BImode) != 0)
                return -1;
              return 198;

            default:
              return -1;
            }

        case SIGN_EXTEND:
          res = pattern491 (x1);
          if (res >= 0)
            return res + 199; /* [199, 212] */
          return -1;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern563 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i3
      || !vector_mask_operand (operands[1], i3))
    return -1;
  x3 = XEXP (x1, 1);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[3], i2)
      || !vector_merge_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern565 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XVECEXP (x2, 0, 1);
  operands[5] = x3;
  x4 = XVECEXP (x2, 0, 2);
  operands[6] = x4;
  x5 = XVECEXP (x2, 0, 3);
  operands[7] = x5;
  x6 = XVECEXP (x2, 0, 4);
  operands[8] = x6;
  x7 = XEXP (x1, 1);
  x8 = XVECEXP (x7, 0, 0);
  switch (GET_CODE (x8))
    {
    case REG:
    case SUBREG:
      operands[3] = x8;
      x9 = XVECEXP (x7, 0, 1);
      operands[4] = x9;
      switch (GET_MODE (operands[0]))
        {
        case E_RVVM8DImode:
          return pattern554 (x1, 
E_RVVM8DImode, 
E_RVVMF8BImode); /* [-1, 0] */

        case E_RVVM4DImode:
          if (pattern554 (x1, 
E_RVVM4DImode, 
E_RVVMF16BImode) != 0)
            return -1;
          return 1;

        case E_RVVM2DImode:
          if (pattern554 (x1, 
E_RVVM2DImode, 
E_RVVMF32BImode) != 0)
            return -1;
          return 2;

        case E_RVVM1DImode:
          if (pattern554 (x1, 
E_RVVM1DImode, 
E_RVVMF64BImode) != 0)
            return -1;
          return 3;

        default:
          return -1;
        }

    case VEC_DUPLICATE:
      x9 = XVECEXP (x7, 0, 1);
      operands[3] = x9;
      x10 = XEXP (x8, 0);
      switch (GET_CODE (x10))
        {
        case CONST_INT:
        case CONST_WIDE_INT:
        case CONST_DOUBLE:
        case CONST_VECTOR:
        case REG:
        case SUBREG:
          operands[4] = x10;
          if (!reg_or_0_operand (operands[4], E_DImode))
            return -1;
          switch (GET_MODE (operands[0]))
            {
            case E_RVVM8DImode:
              if (pattern556 (x1, 
E_RVVM8DImode, 
E_RVVMF8BImode) != 0)
                return -1;
              return 4;

            case E_RVVM4DImode:
              if (pattern556 (x1, 
E_RVVM4DImode, 
E_RVVMF16BImode) != 0)
                return -1;
              return 5;

            case E_RVVM2DImode:
              if (pattern556 (x1, 
E_RVVM2DImode, 
E_RVVMF32BImode) != 0)
                return -1;
              return 6;

            case E_RVVM1DImode:
              if (pattern556 (x1, 
E_RVVM1DImode, 
E_RVVMF64BImode) != 0)
                return -1;
              return 7;

            default:
              return -1;
            }

        case SIGN_EXTEND:
          res = pattern557 (x1);
          if (res >= 0)
            return res + 8; /* [8, 11] */
          return -1;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern574 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2
      || !vector_mask_operand (operands[1], i2))
    return -1;
  x3 = XEXP (x1, 1);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (!register_operand (x4, i1))
    return -1;
  return 0;
}

int
pattern576 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XVECEXP (x2, 0, 1);
  operands[4] = x3;
  x4 = XVECEXP (x2, 0, 2);
  operands[5] = x4;
  x5 = XVECEXP (x2, 0, 3);
  operands[6] = x5;
  x6 = XVECEXP (x2, 0, 4);
  operands[7] = x6;
  x7 = XVECEXP (x2, 0, 5);
  operands[8] = x7;
  x8 = XEXP (x1, 1);
  x9 = XEXP (x8, 0);
  operands[3] = x9;
  x10 = XEXP (x1, 2);
  operands[2] = x10;
  switch (GET_MODE (operands[0]))
    {
    case E_RVVM8HFmode:
      return pattern504 (x1, 
E_RVVM8HFmode, 
E_RVVM8HImode, 
E_RVVMF2BImode); /* [-1, 0] */

    case E_RVVM4HFmode:
      if (!register_operand (operands[0], E_RVVM4HFmode)
          || GET_MODE (x1) != E_RVVM4HFmode
          || GET_MODE (x2) != E_RVVMF4BImode
          || !vector_mask_operand (operands[1], E_RVVMF4BImode)
          || GET_MODE (x8) != E_RVVM4HFmode
          || !vector_merge_operand (operands[2], E_RVVM4HFmode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_RVVM4HImode:
          if (!register_operand (operands[3], E_RVVM4HImode))
            return -1;
          return 1;

        case E_RVVM8SImode:
          if (!register_operand (operands[3], E_RVVM8SImode))
            return -1;
          return 2;

        default:
          return -1;
        }

    case E_RVVM2HFmode:
      if (!register_operand (operands[0], E_RVVM2HFmode)
          || GET_MODE (x1) != E_RVVM2HFmode
          || GET_MODE (x2) != E_RVVMF8BImode
          || !vector_mask_operand (operands[1], E_RVVMF8BImode)
          || GET_MODE (x8) != E_RVVM2HFmode
          || !vector_merge_operand (operands[2], E_RVVM2HFmode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_RVVM2HImode:
          if (!register_operand (operands[3], E_RVVM2HImode))
            return -1;
          return 3;

        case E_RVVM4SImode:
          if (!register_operand (operands[3], E_RVVM4SImode))
            return -1;
          return 4;

        default:
          return -1;
        }

    case E_RVVM1HFmode:
      if (!register_operand (operands[0], E_RVVM1HFmode)
          || GET_MODE (x1) != E_RVVM1HFmode
          || GET_MODE (x2) != E_RVVMF16BImode
          || !vector_mask_operand (operands[1], E_RVVMF16BImode)
          || GET_MODE (x8) != E_RVVM1HFmode
          || !vector_merge_operand (operands[2], E_RVVM1HFmode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_RVVM1HImode:
          if (!register_operand (operands[3], E_RVVM1HImode))
            return -1;
          return 5;

        case E_RVVM2SImode:
          if (!register_operand (operands[3], E_RVVM2SImode))
            return -1;
          return 6;

        default:
          return -1;
        }

    case E_RVVMF2HFmode:
      if (!register_operand (operands[0], E_RVVMF2HFmode)
          || GET_MODE (x1) != E_RVVMF2HFmode
          || GET_MODE (x2) != E_RVVMF32BImode
          || !vector_mask_operand (operands[1], E_RVVMF32BImode)
          || GET_MODE (x8) != E_RVVMF2HFmode
          || !vector_merge_operand (operands[2], E_RVVMF2HFmode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_RVVMF2HImode:
          if (!register_operand (operands[3], E_RVVMF2HImode))
            return -1;
          return 7;

        case E_RVVM1SImode:
          if (!register_operand (operands[3], E_RVVM1SImode))
            return -1;
          return 8;

        default:
          return -1;
        }

    case E_RVVMF4HFmode:
      if (!register_operand (operands[0], E_RVVMF4HFmode)
          || GET_MODE (x1) != E_RVVMF4HFmode
          || GET_MODE (x2) != E_RVVMF64BImode
          || !vector_mask_operand (operands[1], E_RVVMF64BImode)
          || GET_MODE (x8) != E_RVVMF4HFmode
          || !vector_merge_operand (operands[2], E_RVVMF4HFmode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_RVVMF4HImode:
          if (!register_operand (operands[3], E_RVVMF4HImode))
            return -1;
          return 9;

        case E_RVVMF2SImode:
          if (!register_operand (operands[3], E_RVVMF2SImode))
            return -1;
          return 10;

        default:
          return -1;
        }

    case E_RVVM8SFmode:
      if (pattern504 (x1, 
E_RVVM8SFmode, 
E_RVVM8SImode, 
E_RVVMF4BImode) != 0)
        return -1;
      return 11;

    case E_RVVM4SFmode:
      if (!register_operand (operands[0], E_RVVM4SFmode)
          || GET_MODE (x1) != E_RVVM4SFmode
          || GET_MODE (x2) != E_RVVMF8BImode
          || !vector_mask_operand (operands[1], E_RVVMF8BImode)
          || GET_MODE (x8) != E_RVVM4SFmode
          || !vector_merge_operand (operands[2], E_RVVM4SFmode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_RVVM4SImode:
          if (!register_operand (operands[3], E_RVVM4SImode))
            return -1;
          return 12;

        case E_RVVM8DImode:
          if (!register_operand (operands[3], E_RVVM8DImode))
            return -1;
          return 13;

        default:
          return -1;
        }

    case E_RVVM2SFmode:
      if (!register_operand (operands[0], E_RVVM2SFmode)
          || GET_MODE (x1) != E_RVVM2SFmode
          || GET_MODE (x2) != E_RVVMF16BImode
          || !vector_mask_operand (operands[1], E_RVVMF16BImode)
          || GET_MODE (x8) != E_RVVM2SFmode
          || !vector_merge_operand (operands[2], E_RVVM2SFmode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_RVVM2SImode:
          if (!register_operand (operands[3], E_RVVM2SImode))
            return -1;
          return 14;

        case E_RVVM4DImode:
          if (!register_operand (operands[3], E_RVVM4DImode))
            return -1;
          return 15;

        default:
          return -1;
        }

    case E_RVVM1SFmode:
      if (!register_operand (operands[0], E_RVVM1SFmode)
          || GET_MODE (x1) != E_RVVM1SFmode
          || GET_MODE (x2) != E_RVVMF32BImode
          || !vector_mask_operand (operands[1], E_RVVMF32BImode)
          || GET_MODE (x8) != E_RVVM1SFmode
          || !vector_merge_operand (operands[2], E_RVVM1SFmode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_RVVM1SImode:
          if (!register_operand (operands[3], E_RVVM1SImode))
            return -1;
          return 16;

        case E_RVVM2DImode:
          if (!register_operand (operands[3], E_RVVM2DImode))
            return -1;
          return 17;

        default:
          return -1;
        }

    case E_RVVMF2SFmode:
      if (!register_operand (operands[0], E_RVVMF2SFmode)
          || GET_MODE (x1) != E_RVVMF2SFmode
          || GET_MODE (x2) != E_RVVMF64BImode
          || !vector_mask_operand (operands[1], E_RVVMF64BImode)
          || GET_MODE (x8) != E_RVVMF2SFmode
          || !vector_merge_operand (operands[2], E_RVVMF2SFmode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_RVVMF2SImode:
          if (!register_operand (operands[3], E_RVVMF2SImode))
            return -1;
          return 18;

        case E_RVVM1DImode:
          if (!register_operand (operands[3], E_RVVM1DImode))
            return -1;
          return 19;

        default:
          return -1;
        }

    case E_RVVM8DFmode:
      if (pattern504 (x1, 
E_RVVM8DFmode, 
E_RVVM8DImode, 
E_RVVMF8BImode) != 0)
        return -1;
      return 20;

    case E_RVVM4DFmode:
      if (pattern504 (x1, 
E_RVVM4DFmode, 
E_RVVM4DImode, 
E_RVVMF16BImode) != 0)
        return -1;
      return 21;

    case E_RVVM2DFmode:
      if (pattern504 (x1, 
E_RVVM2DFmode, 
E_RVVM2DImode, 
E_RVVMF32BImode) != 0)
        return -1;
      return 22;

    case E_RVVM1DFmode:
      if (pattern504 (x1, 
E_RVVM1DFmode, 
E_RVVM1DImode, 
E_RVVMF64BImode) != 0)
        return -1;
      return 23;

    case E_V1HFmode:
      if (!register_operand (operands[0], E_V1HFmode)
          || GET_MODE (x1) != E_V1HFmode
          || GET_MODE (x2) != E_V1BImode
          || !vector_mask_operand (operands[1], E_V1BImode)
          || GET_MODE (x8) != E_V1HFmode
          || !vector_merge_operand (operands[2], E_V1HFmode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V1HImode:
          if (!register_operand (operands[3], E_V1HImode))
            return -1;
          return 24;

        case E_V1SImode:
          if (!register_operand (operands[3], E_V1SImode))
            return -1;
          return 25;

        default:
          return -1;
        }

    case E_V2HFmode:
      if (!register_operand (operands[0], E_V2HFmode)
          || GET_MODE (x1) != E_V2HFmode
          || GET_MODE (x2) != E_V2BImode
          || !vector_mask_operand (operands[1], E_V2BImode)
          || GET_MODE (x8) != E_V2HFmode
          || !vector_merge_operand (operands[2], E_V2HFmode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V2HImode:
          if (!register_operand (operands[3], E_V2HImode))
            return -1;
          return 26;

        case E_V2SImode:
          if (!register_operand (operands[3], E_V2SImode))
            return -1;
          return 27;

        default:
          return -1;
        }

    case E_V4HFmode:
      if (!register_operand (operands[0], E_V4HFmode)
          || GET_MODE (x1) != E_V4HFmode
          || GET_MODE (x2) != E_V4BImode
          || !vector_mask_operand (operands[1], E_V4BImode)
          || GET_MODE (x8) != E_V4HFmode
          || !vector_merge_operand (operands[2], E_V4HFmode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V4HImode:
          if (!register_operand (operands[3], E_V4HImode))
            return -1;
          return 28;

        case E_V4SImode:
          if (!register_operand (operands[3], E_V4SImode))
            return -1;
          return 29;

        default:
          return -1;
        }

    case E_V8HFmode:
      if (!register_operand (operands[0], E_V8HFmode)
          || GET_MODE (x1) != E_V8HFmode
          || GET_MODE (x2) != E_V8BImode
          || !vector_mask_operand (operands[1], E_V8BImode)
          || GET_MODE (x8) != E_V8HFmode
          || !vector_merge_operand (operands[2], E_V8HFmode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V8HImode:
          if (!register_operand (operands[3], E_V8HImode))
            return -1;
          return 30;

        case E_V8SImode:
          if (!register_operand (operands[3], E_V8SImode))
            return -1;
          return 31;

        default:
          return -1;
        }

    case E_V16HFmode:
      if (!register_operand (operands[0], E_V16HFmode)
          || GET_MODE (x1) != E_V16HFmode
          || GET_MODE (x2) != E_V16BImode
          || !vector_mask_operand (operands[1], E_V16BImode)
          || GET_MODE (x8) != E_V16HFmode
          || !vector_merge_operand (operands[2], E_V16HFmode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V16HImode:
          if (!register_operand (operands[3], E_V16HImode))
            return -1;
          return 32;

        case E_V16SImode:
          if (!register_operand (operands[3], E_V16SImode))
            return -1;
          return 33;

        default:
          return -1;
        }

    case E_V32HFmode:
      if (!register_operand (operands[0], E_V32HFmode)
          || GET_MODE (x1) != E_V32HFmode
          || GET_MODE (x2) != E_V32BImode
          || !vector_mask_operand (operands[1], E_V32BImode)
          || GET_MODE (x8) != E_V32HFmode
          || !vector_merge_operand (operands[2], E_V32HFmode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V32HImode:
          if (!register_operand (operands[3], E_V32HImode))
            return -1;
          return 34;

        case E_V32SImode:
          if (!register_operand (operands[3], E_V32SImode))
            return -1;
          return 35;

        default:
          return -1;
        }

    case E_V64HFmode:
      if (!register_operand (operands[0], E_V64HFmode)
          || GET_MODE (x1) != E_V64HFmode
          || GET_MODE (x2) != E_V64BImode
          || !vector_mask_operand (operands[1], E_V64BImode)
          || GET_MODE (x8) != E_V64HFmode
          || !vector_merge_operand (operands[2], E_V64HFmode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V64HImode:
          if (!register_operand (operands[3], E_V64HImode))
            return -1;
          return 36;

        case E_V64SImode:
          if (!register_operand (operands[3], E_V64SImode))
            return -1;
          return 37;

        default:
          return -1;
        }

    case E_V128HFmode:
      if (!register_operand (operands[0], E_V128HFmode)
          || GET_MODE (x1) != E_V128HFmode
          || GET_MODE (x2) != E_V128BImode
          || !vector_mask_operand (operands[1], E_V128BImode)
          || GET_MODE (x8) != E_V128HFmode
          || !vector_merge_operand (operands[2], E_V128HFmode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V128HImode:
          if (!register_operand (operands[3], E_V128HImode))
            return -1;
          return 38;

        case E_V128SImode:
          if (!register_operand (operands[3], E_V128SImode))
            return -1;
          return 39;

        default:
          return -1;
        }

    case E_V256HFmode:
      if (!register_operand (operands[0], E_V256HFmode)
          || GET_MODE (x1) != E_V256HFmode
          || GET_MODE (x2) != E_V256BImode
          || !vector_mask_operand (operands[1], E_V256BImode)
          || GET_MODE (x8) != E_V256HFmode
          || !vector_merge_operand (operands[2], E_V256HFmode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V256HImode:
          if (!register_operand (operands[3], E_V256HImode))
            return -1;
          return 40;

        case E_V256SImode:
          if (!register_operand (operands[3], E_V256SImode))
            return -1;
          return 41;

        default:
          return -1;
        }

    case E_V512HFmode:
      if (!register_operand (operands[0], E_V512HFmode)
          || GET_MODE (x1) != E_V512HFmode
          || GET_MODE (x2) != E_V512BImode
          || !vector_mask_operand (operands[1], E_V512BImode)
          || GET_MODE (x8) != E_V512HFmode
          || !vector_merge_operand (operands[2], E_V512HFmode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V512HImode:
          if (!register_operand (operands[3], E_V512HImode))
            return -1;
          return 42;

        case E_V512SImode:
          if (!register_operand (operands[3], E_V512SImode))
            return -1;
          return 43;

        default:
          return -1;
        }

    case E_V1024HFmode:
      if (!register_operand (operands[0], E_V1024HFmode)
          || GET_MODE (x1) != E_V1024HFmode
          || GET_MODE (x2) != E_V1024BImode
          || !vector_mask_operand (operands[1], E_V1024BImode)
          || GET_MODE (x8) != E_V1024HFmode
          || !vector_merge_operand (operands[2], E_V1024HFmode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V1024HImode:
          if (!register_operand (operands[3], E_V1024HImode))
            return -1;
          return 44;

        case E_V1024SImode:
          if (!register_operand (operands[3], E_V1024SImode))
            return -1;
          return 45;

        default:
          return -1;
        }

    case E_V2048HFmode:
      if (pattern504 (x1, 
E_V2048HFmode, 
E_V2048HImode, 
E_V2048BImode) != 0)
        return -1;
      return 46;

    case E_V1SFmode:
      if (!register_operand (operands[0], E_V1SFmode)
          || GET_MODE (x1) != E_V1SFmode
          || GET_MODE (x2) != E_V1BImode
          || !vector_mask_operand (operands[1], E_V1BImode)
          || GET_MODE (x8) != E_V1SFmode
          || !vector_merge_operand (operands[2], E_V1SFmode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V1SImode:
          if (!register_operand (operands[3], E_V1SImode))
            return -1;
          return 47;

        case E_V1DImode:
          if (!register_operand (operands[3], E_V1DImode))
            return -1;
          return 48;

        default:
          return -1;
        }

    case E_V2SFmode:
      if (!register_operand (operands[0], E_V2SFmode)
          || GET_MODE (x1) != E_V2SFmode
          || GET_MODE (x2) != E_V2BImode
          || !vector_mask_operand (operands[1], E_V2BImode)
          || GET_MODE (x8) != E_V2SFmode
          || !vector_merge_operand (operands[2], E_V2SFmode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V2SImode:
          if (!register_operand (operands[3], E_V2SImode))
            return -1;
          return 49;

        case E_V2DImode:
          if (!register_operand (operands[3], E_V2DImode))
            return -1;
          return 50;

        default:
          return -1;
        }

    case E_V4SFmode:
      if (!register_operand (operands[0], E_V4SFmode)
          || GET_MODE (x1) != E_V4SFmode
          || GET_MODE (x2) != E_V4BImode
          || !vector_mask_operand (operands[1], E_V4BImode)
          || GET_MODE (x8) != E_V4SFmode
          || !vector_merge_operand (operands[2], E_V4SFmode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V4SImode:
          if (!register_operand (operands[3], E_V4SImode))
            return -1;
          return 51;

        case E_V4DImode:
          if (!register_operand (operands[3], E_V4DImode))
            return -1;
          return 52;

        default:
          return -1;
        }

    case E_V8SFmode:
      if (!register_operand (operands[0], E_V8SFmode)
          || GET_MODE (x1) != E_V8SFmode
          || GET_MODE (x2) != E_V8BImode
          || !vector_mask_operand (operands[1], E_V8BImode)
          || GET_MODE (x8) != E_V8SFmode
          || !vector_merge_operand (operands[2], E_V8SFmode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V8SImode:
          if (!register_operand (operands[3], E_V8SImode))
            return -1;
          return 53;

        case E_V8DImode:
          if (!register_operand (operands[3], E_V8DImode))
            return -1;
          return 54;

        default:
          return -1;
        }

    case E_V16SFmode:
      if (!register_operand (operands[0], E_V16SFmode)
          || GET_MODE (x1) != E_V16SFmode
          || GET_MODE (x2) != E_V16BImode
          || !vector_mask_operand (operands[1], E_V16BImode)
          || GET_MODE (x8) != E_V16SFmode
          || !vector_merge_operand (operands[2], E_V16SFmode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V16SImode:
          if (!register_operand (operands[3], E_V16SImode))
            return -1;
          return 55;

        case E_V16DImode:
          if (!register_operand (operands[3], E_V16DImode))
            return -1;
          return 56;

        default:
          return -1;
        }

    case E_V32SFmode:
      if (!register_operand (operands[0], E_V32SFmode)
          || GET_MODE (x1) != E_V32SFmode
          || GET_MODE (x2) != E_V32BImode
          || !vector_mask_operand (operands[1], E_V32BImode)
          || GET_MODE (x8) != E_V32SFmode
          || !vector_merge_operand (operands[2], E_V32SFmode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V32SImode:
          if (!register_operand (operands[3], E_V32SImode))
            return -1;
          return 57;

        case E_V32DImode:
          if (!register_operand (operands[3], E_V32DImode))
            return -1;
          return 58;

        default:
          return -1;
        }

    case E_V64SFmode:
      if (!register_operand (operands[0], E_V64SFmode)
          || GET_MODE (x1) != E_V64SFmode
          || GET_MODE (x2) != E_V64BImode
          || !vector_mask_operand (operands[1], E_V64BImode)
          || GET_MODE (x8) != E_V64SFmode
          || !vector_merge_operand (operands[2], E_V64SFmode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V64SImode:
          if (!register_operand (operands[3], E_V64SImode))
            return -1;
          return 59;

        case E_V64DImode:
          if (!register_operand (operands[3], E_V64DImode))
            return -1;
          return 60;

        default:
          return -1;
        }

    case E_V128SFmode:
      if (!register_operand (operands[0], E_V128SFmode)
          || GET_MODE (x1) != E_V128SFmode
          || GET_MODE (x2) != E_V128BImode
          || !vector_mask_operand (operands[1], E_V128BImode)
          || GET_MODE (x8) != E_V128SFmode
          || !vector_merge_operand (operands[2], E_V128SFmode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V128SImode:
          if (!register_operand (operands[3], E_V128SImode))
            return -1;
          return 61;

        case E_V128DImode:
          if (!register_operand (operands[3], E_V128DImode))
            return -1;
          return 62;

        default:
          return -1;
        }

    case E_V256SFmode:
      if (!register_operand (operands[0], E_V256SFmode)
          || GET_MODE (x1) != E_V256SFmode
          || GET_MODE (x2) != E_V256BImode
          || !vector_mask_operand (operands[1], E_V256BImode)
          || GET_MODE (x8) != E_V256SFmode
          || !vector_merge_operand (operands[2], E_V256SFmode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V256SImode:
          if (!register_operand (operands[3], E_V256SImode))
            return -1;
          return 63;

        case E_V256DImode:
          if (!register_operand (operands[3], E_V256DImode))
            return -1;
          return 64;

        default:
          return -1;
        }

    case E_V512SFmode:
      if (!register_operand (operands[0], E_V512SFmode)
          || GET_MODE (x1) != E_V512SFmode
          || GET_MODE (x2) != E_V512BImode
          || !vector_mask_operand (operands[1], E_V512BImode)
          || GET_MODE (x8) != E_V512SFmode
          || !vector_merge_operand (operands[2], E_V512SFmode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V512SImode:
          if (!register_operand (operands[3], E_V512SImode))
            return -1;
          return 65;

        case E_V512DImode:
          if (!register_operand (operands[3], E_V512DImode))
            return -1;
          return 66;

        default:
          return -1;
        }

    case E_V1024SFmode:
      if (pattern504 (x1, 
E_V1024SFmode, 
E_V1024SImode, 
E_V1024BImode) != 0)
        return -1;
      return 67;

    case E_V1DFmode:
      if (pattern504 (x1, 
E_V1DFmode, 
E_V1DImode, 
E_V1BImode) != 0)
        return -1;
      return 68;

    case E_V2DFmode:
      if (pattern504 (x1, 
E_V2DFmode, 
E_V2DImode, 
E_V2BImode) != 0)
        return -1;
      return 69;

    case E_V4DFmode:
      if (pattern504 (x1, 
E_V4DFmode, 
E_V4DImode, 
E_V4BImode) != 0)
        return -1;
      return 70;

    case E_V8DFmode:
      if (pattern504 (x1, 
E_V8DFmode, 
E_V8DImode, 
E_V8BImode) != 0)
        return -1;
      return 71;

    case E_V16DFmode:
      if (pattern504 (x1, 
E_V16DFmode, 
E_V16DImode, 
E_V16BImode) != 0)
        return -1;
      return 72;

    case E_V32DFmode:
      if (pattern504 (x1, 
E_V32DFmode, 
E_V32DImode, 
E_V32BImode) != 0)
        return -1;
      return 73;

    case E_V64DFmode:
      if (pattern504 (x1, 
E_V64DFmode, 
E_V64DImode, 
E_V64BImode) != 0)
        return -1;
      return 74;

    case E_V128DFmode:
      if (pattern504 (x1, 
E_V128DFmode, 
E_V128DImode, 
E_V128BImode) != 0)
        return -1;
      return 75;

    case E_V256DFmode:
      if (pattern504 (x1, 
E_V256DFmode, 
E_V256DImode, 
E_V256BImode) != 0)
        return -1;
      return 76;

    case E_V512DFmode:
      if (pattern504 (x1, 
E_V512DFmode, 
E_V512DImode, 
E_V512BImode) != 0)
        return -1;
      return 77;

    default:
      return -1;
    }
}

int
pattern682 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[4], i1)
      || !vector_merge_operand (operands[2], i1))
    return -1;
  x3 = XVECEXP (x1, 0, 0);
  switch (GET_MODE (x3))
    {
    case E_RVVMF4BImode:
      if (!vector_mask_operand (operands[1], E_RVVMF4BImode)
          || !register_operand (operands[3], E_RVVM8SFmode))
        return -1;
      return 0;

    case E_RVVMF8BImode:
      if (!vector_mask_operand (operands[1], E_RVVMF8BImode)
          || !register_operand (operands[3], E_RVVM4SFmode))
        return -1;
      return 1;

    case E_RVVMF16BImode:
      if (!vector_mask_operand (operands[1], E_RVVMF16BImode)
          || !register_operand (operands[3], E_RVVM2SFmode))
        return -1;
      return 2;

    case E_RVVMF32BImode:
      if (!vector_mask_operand (operands[1], E_RVVMF32BImode)
          || !register_operand (operands[3], E_RVVM1SFmode))
        return -1;
      return 3;

    case E_RVVMF64BImode:
      if (!vector_mask_operand (operands[1], E_RVVMF64BImode)
          || !register_operand (operands[3], E_RVVMF2SFmode))
        return -1;
      return 4;

    case E_V1BImode:
      if (!vector_mask_operand (operands[1], E_V1BImode)
          || !register_operand (operands[3], E_V1SFmode))
        return -1;
      return 5;

    case E_V2BImode:
      if (!vector_mask_operand (operands[1], E_V2BImode)
          || !register_operand (operands[3], E_V2SFmode))
        return -1;
      return 6;

    case E_V4BImode:
      if (!vector_mask_operand (operands[1], E_V4BImode)
          || !register_operand (operands[3], E_V4SFmode))
        return -1;
      return 7;

    case E_V8BImode:
      if (!vector_mask_operand (operands[1], E_V8BImode)
          || !register_operand (operands[3], E_V8SFmode))
        return -1;
      return 8;

    case E_V16BImode:
      if (!vector_mask_operand (operands[1], E_V16BImode)
          || !register_operand (operands[3], E_V16SFmode))
        return -1;
      return 9;

    case E_V32BImode:
      if (!vector_mask_operand (operands[1], E_V32BImode)
          || !register_operand (operands[3], E_V32SFmode))
        return -1;
      return 10;

    case E_V64BImode:
      if (!vector_mask_operand (operands[1], E_V64BImode)
          || !register_operand (operands[3], E_V64SFmode))
        return -1;
      return 11;

    case E_V128BImode:
      if (!vector_mask_operand (operands[1], E_V128BImode)
          || !register_operand (operands[3], E_V128SFmode))
        return -1;
      return 12;

    case E_V256BImode:
      if (!vector_mask_operand (operands[1], E_V256BImode)
          || !register_operand (operands[3], E_V256SFmode))
        return -1;
      return 13;

    case E_V512BImode:
      if (!vector_mask_operand (operands[1], E_V512BImode)
          || !register_operand (operands[3], E_V512SFmode))
        return -1;
      return 14;

    case E_V1024BImode:
      if (!vector_mask_operand (operands[1], E_V1024BImode)
          || !register_operand (operands[3], E_V1024SFmode))
        return -1;
      return 15;

    default:
      return -1;
    }
}

int
pattern692 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2
      || !vector_mask_operand (operands[1], i2))
    return -1;
  x3 = XEXP (x1, 1);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1
      || !register_operand (operands[4], i1)
      || !register_operand (operands[3], i1)
      || !vector_merge_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern699 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2)
    return -1;
  x3 = XEXP (x1, 1);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XVECEXP (x3, 0, 0);
  if (GET_MODE (x4) != i1
      || !register_operand (operands[2], i1))
    return -1;
  x5 = XEXP (x4, 1);
  if (GET_MODE (x5) != i1
      || !reg_or_0_operand (operands[3], i3)
      || !register_operand (operands[4], i2)
      || !vector_merge_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern705 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 1);
  x5 = XEXP (x4, 0);
  operands[4] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_RVVM8HImode:
      return pattern704 (x1, 
E_RVVM8HImode, 
E_RVVM4QImode, 
E_RVVMF2BImode, 
E_QImode); /* [-1, 0] */

    case E_RVVM4HImode:
      if (pattern704 (x1, 
E_RVVM4HImode, 
E_RVVM2QImode, 
E_RVVMF4BImode, 
E_QImode) != 0)
        return -1;
      return 1;

    case E_RVVM2HImode:
      if (pattern704 (x1, 
E_RVVM2HImode, 
E_RVVM1QImode, 
E_RVVMF8BImode, 
E_QImode) != 0)
        return -1;
      return 2;

    case E_RVVM1HImode:
      if (pattern704 (x1, 
E_RVVM1HImode, 
E_RVVMF2QImode, 
E_RVVMF16BImode, 
E_QImode) != 0)
        return -1;
      return 3;

    case E_RVVMF2HImode:
      if (pattern704 (x1, 
E_RVVMF2HImode, 
E_RVVMF4QImode, 
E_RVVMF32BImode, 
E_QImode) != 0)
        return -1;
      return 4;

    case E_RVVMF4HImode:
      if (pattern704 (x1, 
E_RVVMF4HImode, 
E_RVVMF8QImode, 
E_RVVMF64BImode, 
E_QImode) != 0)
        return -1;
      return 5;

    case E_RVVM8SImode:
      if (pattern704 (x1, 
E_RVVM8SImode, 
E_RVVM4HImode, 
E_RVVMF4BImode, 
E_HImode) != 0)
        return -1;
      return 6;

    case E_RVVM4SImode:
      if (pattern704 (x1, 
E_RVVM4SImode, 
E_RVVM2HImode, 
E_RVVMF8BImode, 
E_HImode) != 0)
        return -1;
      return 7;

    case E_RVVM2SImode:
      if (pattern704 (x1, 
E_RVVM2SImode, 
E_RVVM1HImode, 
E_RVVMF16BImode, 
E_HImode) != 0)
        return -1;
      return 8;

    case E_RVVM1SImode:
      if (pattern704 (x1, 
E_RVVM1SImode, 
E_RVVMF2HImode, 
E_RVVMF32BImode, 
E_HImode) != 0)
        return -1;
      return 9;

    case E_RVVMF2SImode:
      if (pattern704 (x1, 
E_RVVMF2SImode, 
E_RVVMF4HImode, 
E_RVVMF64BImode, 
E_HImode) != 0)
        return -1;
      return 10;

    case E_RVVM8DImode:
      if (pattern704 (x1, 
E_RVVM8DImode, 
E_RVVM4SImode, 
E_RVVMF8BImode, 
E_SImode) != 0)
        return -1;
      return 11;

    case E_RVVM4DImode:
      if (pattern704 (x1, 
E_RVVM4DImode, 
E_RVVM2SImode, 
E_RVVMF16BImode, 
E_SImode) != 0)
        return -1;
      return 12;

    case E_RVVM2DImode:
      if (pattern704 (x1, 
E_RVVM2DImode, 
E_RVVM1SImode, 
E_RVVMF32BImode, 
E_SImode) != 0)
        return -1;
      return 13;

    case E_RVVM1DImode:
      if (pattern704 (x1, 
E_RVVM1DImode, 
E_RVVMF2SImode, 
E_RVVMF64BImode, 
E_SImode) != 0)
        return -1;
      return 14;

    case E_V1HImode:
      if (pattern704 (x1, 
E_V1HImode, 
E_V1QImode, 
E_V1BImode, 
E_QImode) != 0)
        return -1;
      return 15;

    case E_V2HImode:
      if (pattern704 (x1, 
E_V2HImode, 
E_V2QImode, 
E_V2BImode, 
E_QImode) != 0)
        return -1;
      return 16;

    case E_V4HImode:
      if (pattern704 (x1, 
E_V4HImode, 
E_V4QImode, 
E_V4BImode, 
E_QImode) != 0)
        return -1;
      return 17;

    case E_V8HImode:
      if (pattern704 (x1, 
E_V8HImode, 
E_V8QImode, 
E_V8BImode, 
E_QImode) != 0)
        return -1;
      return 18;

    case E_V16HImode:
      if (pattern704 (x1, 
E_V16HImode, 
E_V16QImode, 
E_V16BImode, 
E_QImode) != 0)
        return -1;
      return 19;

    case E_V32HImode:
      if (pattern704 (x1, 
E_V32HImode, 
E_V32QImode, 
E_V32BImode, 
E_QImode) != 0)
        return -1;
      return 20;

    case E_V64HImode:
      if (pattern704 (x1, 
E_V64HImode, 
E_V64QImode, 
E_V64BImode, 
E_QImode) != 0)
        return -1;
      return 21;

    case E_V128HImode:
      if (pattern704 (x1, 
E_V128HImode, 
E_V128QImode, 
E_V128BImode, 
E_QImode) != 0)
        return -1;
      return 22;

    case E_V256HImode:
      if (pattern704 (x1, 
E_V256HImode, 
E_V256QImode, 
E_V256BImode, 
E_QImode) != 0)
        return -1;
      return 23;

    case E_V512HImode:
      if (pattern704 (x1, 
E_V512HImode, 
E_V512QImode, 
E_V512BImode, 
E_QImode) != 0)
        return -1;
      return 24;

    case E_V1024HImode:
      if (pattern704 (x1, 
E_V1024HImode, 
E_V1024QImode, 
E_V1024BImode, 
E_QImode) != 0)
        return -1;
      return 25;

    case E_V2048HImode:
      if (pattern704 (x1, 
E_V2048HImode, 
E_V2048QImode, 
E_V2048BImode, 
E_QImode) != 0)
        return -1;
      return 26;

    case E_V1SImode:
      if (pattern704 (x1, 
E_V1SImode, 
E_V1HImode, 
E_V1BImode, 
E_HImode) != 0)
        return -1;
      return 27;

    case E_V2SImode:
      if (pattern704 (x1, 
E_V2SImode, 
E_V2HImode, 
E_V2BImode, 
E_HImode) != 0)
        return -1;
      return 28;

    case E_V4SImode:
      if (pattern704 (x1, 
E_V4SImode, 
E_V4HImode, 
E_V4BImode, 
E_HImode) != 0)
        return -1;
      return 29;

    case E_V8SImode:
      if (pattern704 (x1, 
E_V8SImode, 
E_V8HImode, 
E_V8BImode, 
E_HImode) != 0)
        return -1;
      return 30;

    case E_V16SImode:
      if (pattern704 (x1, 
E_V16SImode, 
E_V16HImode, 
E_V16BImode, 
E_HImode) != 0)
        return -1;
      return 31;

    case E_V32SImode:
      if (pattern704 (x1, 
E_V32SImode, 
E_V32HImode, 
E_V32BImode, 
E_HImode) != 0)
        return -1;
      return 32;

    case E_V64SImode:
      if (pattern704 (x1, 
E_V64SImode, 
E_V64HImode, 
E_V64BImode, 
E_HImode) != 0)
        return -1;
      return 33;

    case E_V128SImode:
      if (pattern704 (x1, 
E_V128SImode, 
E_V128HImode, 
E_V128BImode, 
E_HImode) != 0)
        return -1;
      return 34;

    case E_V256SImode:
      if (pattern704 (x1, 
E_V256SImode, 
E_V256HImode, 
E_V256BImode, 
E_HImode) != 0)
        return -1;
      return 35;

    case E_V512SImode:
      if (pattern704 (x1, 
E_V512SImode, 
E_V512HImode, 
E_V512BImode, 
E_HImode) != 0)
        return -1;
      return 36;

    case E_V1024SImode:
      if (pattern704 (x1, 
E_V1024SImode, 
E_V1024HImode, 
E_V1024BImode, 
E_HImode) != 0)
        return -1;
      return 37;

    case E_V1DImode:
      if (pattern704 (x1, 
E_V1DImode, 
E_V1SImode, 
E_V1BImode, 
E_SImode) != 0)
        return -1;
      return 38;

    case E_V2DImode:
      if (pattern704 (x1, 
E_V2DImode, 
E_V2SImode, 
E_V2BImode, 
E_SImode) != 0)
        return -1;
      return 39;

    case E_V4DImode:
      if (pattern704 (x1, 
E_V4DImode, 
E_V4SImode, 
E_V4BImode, 
E_SImode) != 0)
        return -1;
      return 40;

    case E_V8DImode:
      if (pattern704 (x1, 
E_V8DImode, 
E_V8SImode, 
E_V8BImode, 
E_SImode) != 0)
        return -1;
      return 41;

    case E_V16DImode:
      if (pattern704 (x1, 
E_V16DImode, 
E_V16SImode, 
E_V16BImode, 
E_SImode) != 0)
        return -1;
      return 42;

    case E_V32DImode:
      if (pattern704 (x1, 
E_V32DImode, 
E_V32SImode, 
E_V32BImode, 
E_SImode) != 0)
        return -1;
      return 43;

    case E_V64DImode:
      if (pattern704 (x1, 
E_V64DImode, 
E_V64SImode, 
E_V64BImode, 
E_SImode) != 0)
        return -1;
      return 44;

    case E_V128DImode:
      if (pattern704 (x1, 
E_V128DImode, 
E_V128SImode, 
E_V128BImode, 
E_SImode) != 0)
        return -1;
      return 45;

    case E_V256DImode:
      if (pattern704 (x1, 
E_V256DImode, 
E_V256SImode, 
E_V256BImode, 
E_SImode) != 0)
        return -1;
      return 46;

    case E_V512DImode:
      if (pattern704 (x1, 
E_V512DImode, 
E_V512SImode, 
E_V512BImode, 
E_SImode) != 0)
        return -1;
      return 47;

    default:
      return -1;
    }
}

int
pattern730 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14, x15, x16;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 1);
  operands[0] = x4;
  x5 = XVECEXP (x1, 0, 1);
  x6 = XEXP (x5, 1);
  x7 = XEXP (x6, 0);
  x8 = XEXP (x7, 1);
  switch (XWINT (x8, 0))
    {
    case -4L:
      x9 = XVECEXP (x1, 0, 2);
      x10 = XEXP (x9, 1);
      x11 = XEXP (x10, 0);
      x12 = XEXP (x11, 1);
      if (XWINT (x12, 0) != -8L)
        return -1;
      x13 = XVECEXP (x1, 0, 3);
      x14 = XEXP (x13, 1);
      x15 = XEXP (x14, 0);
      x16 = XEXP (x15, 1);
      if (XWINT (x16, 0) != -12L)
        return -1;
      return 0;

    case -8L:
      x9 = XVECEXP (x1, 0, 2);
      x10 = XEXP (x9, 1);
      x11 = XEXP (x10, 0);
      x12 = XEXP (x11, 1);
      if (XWINT (x12, 0) != -16L)
        return -1;
      x13 = XVECEXP (x1, 0, 3);
      x14 = XEXP (x13, 1);
      x15 = XEXP (x14, 0);
      x16 = XEXP (x15, 1);
      if (XWINT (x16, 0) != -24L)
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern733 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3, machine_mode i4)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i3
      || !vector_mask_operand (operands[1], i3))
    return -1;
  x3 = XEXP (x1, 1);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[3], i1))
    return -1;
  x4 = XEXP (x3, 1);
  return pattern725 (x4, 
i1, 
i2, 
i4); /* [-1, 0] */
}

int
pattern735 (rtx x1, unsigned int i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (GET_CODE (x2) != REG
      || REGNO (x2) != i1)
    return -1;
  x3 = XEXP (x1, 0);
  if (GET_CODE (x3) != MEM)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_CODE (x4) != PLUS)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_CODE (x5) != REG
      || REGNO (x5) != 2)
    return -1;
  x6 = XEXP (x4, 1);
  if (GET_CODE (x6) != CONST_INT)
    return -1;
  return 0;
}

int
pattern736 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 1);
  switch (XWINT (x5, 0))
    {
    case -4L:
      x6 = XVECEXP (x1, 0, 1);
      x7 = XEXP (x6, 0);
      x8 = XEXP (x7, 0);
      x9 = XEXP (x8, 1);
      if (XWINT (x9, 0) != -8L)
        return -1;
      x10 = XVECEXP (x1, 0, 2);
      x11 = XEXP (x10, 0);
      x12 = XEXP (x11, 0);
      x13 = XEXP (x12, 1);
      if (XWINT (x13, 0) != -12L)
        return -1;
      return 0;

    case -8L:
      x6 = XVECEXP (x1, 0, 1);
      x7 = XEXP (x6, 0);
      x8 = XEXP (x7, 0);
      x9 = XEXP (x8, 1);
      if (XWINT (x9, 0) != -16L)
        return -1;
      x10 = XVECEXP (x1, 0, 2);
      x11 = XEXP (x10, 0);
      x12 = XEXP (x11, 0);
      x13 = XEXP (x12, 1);
      if (XWINT (x13, 0) != -24L)
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern739 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14, x15, x16, x17;
  rtx x18, x19, x20;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i1)
    return -1;
  x6 = XEXP (x2, 1);
  if (GET_MODE (x6) != i1)
    return -1;
  x7 = XVECEXP (x1, 0, 1);
  x8 = XEXP (x7, 0);
  if (GET_MODE (x8) != i1)
    return -1;
  x9 = XEXP (x8, 0);
  if (GET_MODE (x9) != i1)
    return -1;
  x10 = XEXP (x9, 0);
  if (GET_MODE (x10) != i1)
    return -1;
  x11 = XEXP (x7, 1);
  if (GET_MODE (x11) != i1)
    return -1;
  x12 = XVECEXP (x1, 0, 2);
  x13 = XEXP (x12, 0);
  if (GET_MODE (x13) != i1)
    return -1;
  x14 = XEXP (x13, 0);
  if (GET_MODE (x14) != i1)
    return -1;
  x15 = XEXP (x14, 0);
  if (GET_MODE (x15) != i1)
    return -1;
  x16 = XEXP (x12, 1);
  if (GET_MODE (x16) != i1)
    return -1;
  x17 = XVECEXP (x1, 0, 3);
  x18 = XEXP (x17, 0);
  if (GET_MODE (x18) != i1)
    return -1;
  x19 = XEXP (x17, 1);
  if (GET_MODE (x19) != i1)
    return -1;
  x20 = XEXP (x19, 0);
  if (GET_MODE (x20) != i1)
    return -1;
  return 0;
}

int
pattern742 (rtx x1, machine_mode i1, int i2, int i3, int i4, int i5)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14, x15, x16, x17;
  rtx x18, x19, x20, x21, x22, x23, x24, x25;
  rtx x26, x27, x28, x29, x30, x31, x32, x33;
  rtx x34, x35, x36, x37, x38, x39, x40, x41;
  rtx x42, x43, x44, x45, x46, x47, x48, x49;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x2, 1);
  if (GET_MODE (x4) != i1)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i1)
    return -1;
  x6 = XVECEXP (x1, 0, 1);
  x7 = XEXP (x6, 0);
  if (GET_MODE (x7) != i1)
    return -1;
  x8 = XEXP (x6, 1);
  if (GET_MODE (x8) != i1)
    return -1;
  x9 = XEXP (x8, 0);
  if (GET_MODE (x9) != i1)
    return -1;
  x10 = XEXP (x9, 0);
  if (GET_MODE (x10) != i1)
    return -1;
  x11 = XVECEXP (x1, 0, 2);
  x12 = XEXP (x11, 0);
  if (GET_MODE (x12) != i1)
    return -1;
  x13 = XEXP (x11, 1);
  if (GET_MODE (x13) != i1)
    return -1;
  x14 = XEXP (x13, 0);
  if (GET_MODE (x14) != i1)
    return -1;
  x15 = XEXP (x14, 0);
  if (GET_MODE (x15) != i1)
    return -1;
  x16 = XVECEXP (x1, 0, 3);
  x17 = XEXP (x16, 0);
  if (GET_MODE (x17) != i1)
    return -1;
  x18 = XEXP (x16, 1);
  if (GET_MODE (x18) != i1)
    return -1;
  x19 = XEXP (x18, 0);
  if (GET_MODE (x19) != i1)
    return -1;
  x20 = XEXP (x19, 0);
  if (GET_MODE (x20) != i1)
    return -1;
  x21 = XVECEXP (x1, 0, 4);
  x22 = XEXP (x21, 0);
  if (GET_MODE (x22) != i1)
    return -1;
  x23 = XEXP (x21, 1);
  if (GET_MODE (x23) != i1)
    return -1;
  x24 = XEXP (x23, 0);
  if (GET_MODE (x24) != i1)
    return -1;
  x25 = XEXP (x24, 0);
  if (GET_MODE (x25) != i1)
    return -1;
  x26 = XVECEXP (x1, 0, 5);
  x27 = XEXP (x26, 0);
  if (GET_MODE (x27) != i1)
    return -1;
  switch (REGNO (x7))
    {
    case 22:
      if (REGNO (x12) != 21
          || REGNO (x17) != 20
          || REGNO (x22) != 19)
        return -1;
      x28 = XEXP (x26, 1);
      if (GET_CODE (x28) != MEM
          || GET_MODE (x28) != i1)
        return -1;
      x29 = XEXP (x28, 0);
      if (GET_CODE (x29) != PLUS
          || GET_MODE (x29) != i1)
        return -1;
      x30 = XEXP (x29, 0);
      if (GET_CODE (x30) != REG
          || REGNO (x30) != 2
          || GET_MODE (x30) != i1)
        return -1;
      x31 = XEXP (x29, 1);
      if (x31 != const_int_rtx[MAX_SAVED_CONST_INT + i5]
          || REGNO (x27) != 18)
        return -1;
      x32 = XVECEXP (x1, 0, 6);
      if (GET_CODE (x32) != SET)
        return -1;
      x33 = XEXP (x32, 1);
      if (GET_CODE (x33) != MEM
          || GET_MODE (x33) != i1)
        return -1;
      x34 = XEXP (x33, 0);
      if (GET_CODE (x34) != PLUS
          || GET_MODE (x34) != i1)
        return -1;
      x35 = XEXP (x34, 0);
      if (GET_CODE (x35) != REG
          || REGNO (x35) != 2
          || GET_MODE (x35) != i1)
        return -1;
      x36 = XEXP (x34, 1);
      if (x36 != const_int_rtx[MAX_SAVED_CONST_INT + i4])
        return -1;
      x37 = XEXP (x32, 0);
      if (GET_CODE (x37) != REG
          || REGNO (x37) != 9
          || GET_MODE (x37) != i1)
        return -1;
      x38 = XVECEXP (x1, 0, 7);
      if (GET_CODE (x38) != SET)
        return -1;
      x39 = XEXP (x38, 1);
      if (GET_CODE (x39) != MEM
          || GET_MODE (x39) != i1)
        return -1;
      x40 = XEXP (x39, 0);
      if (GET_CODE (x40) != PLUS
          || GET_MODE (x40) != i1)
        return -1;
      x41 = XEXP (x40, 0);
      if (GET_CODE (x41) != REG
          || REGNO (x41) != 2
          || GET_MODE (x41) != i1)
        return -1;
      x42 = XEXP (x40, 1);
      if (x42 != const_int_rtx[MAX_SAVED_CONST_INT + i3])
        return -1;
      x43 = XEXP (x38, 0);
      if (GET_CODE (x43) != REG
          || REGNO (x43) != 8
          || GET_MODE (x43) != i1)
        return -1;
      x44 = XVECEXP (x1, 0, 8);
      if (GET_CODE (x44) != SET)
        return -1;
      x45 = XEXP (x44, 1);
      if (GET_CODE (x45) != MEM
          || GET_MODE (x45) != i1)
        return -1;
      x46 = XEXP (x45, 0);
      if (GET_CODE (x46) != PLUS
          || GET_MODE (x46) != i1)
        return -1;
      x47 = XEXP (x46, 0);
      if (GET_CODE (x47) != REG
          || REGNO (x47) != 2
          || GET_MODE (x47) != i1)
        return -1;
      x48 = XEXP (x46, 1);
      if (x48 != const_int_rtx[MAX_SAVED_CONST_INT + i2])
        return -1;
      x49 = XEXP (x44, 0);
      if (GET_CODE (x49) != REG
          || REGNO (x49) != 1
          || GET_MODE (x49) != i1
          || !stack_pop_up_to_s6_operand (operands[0], E_VOIDmode))
        return -1;
      return 0;

    case 20:
      if (REGNO (x12) != 19
          || REGNO (x17) != 18
          || REGNO (x22) != 9)
        return -1;
      x28 = XEXP (x26, 1);
      if (GET_CODE (x28) != MEM
          || GET_MODE (x28) != i1)
        return -1;
      x29 = XEXP (x28, 0);
      if (GET_CODE (x29) != PLUS
          || GET_MODE (x29) != i1)
        return -1;
      x30 = XEXP (x29, 0);
      if (GET_CODE (x30) != REG
          || REGNO (x30) != 2
          || GET_MODE (x30) != i1)
        return -1;
      x31 = XEXP (x29, 1);
      if (x31 != const_int_rtx[MAX_SAVED_CONST_INT + i5]
          || REGNO (x27) != 8)
        return -1;
      x32 = XVECEXP (x1, 0, 6);
      if (GET_CODE (x32) != SET)
        return -1;
      x33 = XEXP (x32, 1);
      if (GET_CODE (x33) != MEM
          || GET_MODE (x33) != i1)
        return -1;
      x34 = XEXP (x33, 0);
      if (GET_CODE (x34) != PLUS
          || GET_MODE (x34) != i1)
        return -1;
      x35 = XEXP (x34, 0);
      if (GET_CODE (x35) != REG
          || REGNO (x35) != 2
          || GET_MODE (x35) != i1)
        return -1;
      x36 = XEXP (x34, 1);
      if (x36 != const_int_rtx[MAX_SAVED_CONST_INT + i4])
        return -1;
      x37 = XEXP (x32, 0);
      if (GET_CODE (x37) != REG
          || REGNO (x37) != 1
          || GET_MODE (x37) != i1)
        return -1;
      x38 = XVECEXP (x1, 0, 7);
      if (GET_CODE (x38) != RETURN)
        return -1;
      x44 = XVECEXP (x1, 0, 8);
      if (GET_CODE (x44) != USE)
        return -1;
      x49 = XEXP (x44, 0);
      if (GET_CODE (x49) != REG
          || REGNO (x49) != 1
          || GET_MODE (x49) != E_SImode
          || !stack_pop_up_to_s4_operand (operands[0], E_VOIDmode))
        return -1;
      return 1;

    case 18:
      if (REGNO (x12) != 9
          || REGNO (x17) != 8
          || REGNO (x22) != 1)
        return -1;
      x28 = XEXP (x26, 1);
      if (x28 != const_int_rtx[MAX_SAVED_CONST_INT + 0]
          || REGNO (x27) != 10)
        return -1;
      x32 = XVECEXP (x1, 0, 6);
      if (GET_CODE (x32) != USE)
        return -1;
      x37 = XEXP (x32, 0);
      if (GET_CODE (x37) != REG
          || REGNO (x37) != 10
          || GET_MODE (x37) != i1)
        return -1;
      x38 = XVECEXP (x1, 0, 7);
      if (GET_CODE (x38) != RETURN)
        return -1;
      x44 = XVECEXP (x1, 0, 8);
      if (GET_CODE (x44) != USE)
        return -1;
      x49 = XEXP (x44, 0);
      if (GET_CODE (x49) != REG
          || REGNO (x49) != 1
          || GET_MODE (x49) != E_SImode
          || !stack_pop_up_to_s2_operand (operands[0], E_VOIDmode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern767 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (GET_CODE (x1) != SET)
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_CODE (x2) != MEM)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_CODE (x3) != PLUS)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_CODE (x4) != REG
      || REGNO (x4) != 2)
    return -1;
  x5 = XEXP (x3, 1);
  if (GET_CODE (x5) != CONST_INT)
    return -1;
  return 0;
}

int
pattern770 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14, x15, x16, x17;
  rtx x18, x19, x20, x21, x22, x23, x24, x25;
  rtx x26, x27, x28, x29, x30, x31, x32, x33;
  rtx x34, x35, x36, x37;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 1);
  switch (XWINT (x5, 0))
    {
    case -4L:
      x6 = XVECEXP (x1, 0, 1);
      x7 = XEXP (x6, 0);
      x8 = XEXP (x7, 0);
      x9 = XEXP (x8, 1);
      if (XWINT (x9, 0) != -8L)
        return -1;
      x10 = XVECEXP (x1, 0, 2);
      x11 = XEXP (x10, 0);
      x12 = XEXP (x11, 0);
      x13 = XEXP (x12, 1);
      if (XWINT (x13, 0) != -12L)
        return -1;
      x14 = XVECEXP (x1, 0, 3);
      x15 = XEXP (x14, 0);
      x16 = XEXP (x15, 0);
      x17 = XEXP (x16, 1);
      if (XWINT (x17, 0) != -16L)
        return -1;
      x18 = XVECEXP (x1, 0, 4);
      x19 = XEXP (x18, 0);
      x20 = XEXP (x19, 0);
      x21 = XEXP (x20, 1);
      if (XWINT (x21, 0) != -20L)
        return -1;
      x22 = XVECEXP (x1, 0, 5);
      x23 = XEXP (x22, 0);
      x24 = XEXP (x23, 0);
      x25 = XEXP (x24, 1);
      if (XWINT (x25, 0) != -24L)
        return -1;
      x26 = XVECEXP (x1, 0, 6);
      x27 = XEXP (x26, 0);
      x28 = XEXP (x27, 0);
      x29 = XEXP (x28, 1);
      if (XWINT (x29, 0) != -28L)
        return -1;
      x30 = XVECEXP (x1, 0, 7);
      x31 = XEXP (x30, 0);
      x32 = XEXP (x31, 0);
      x33 = XEXP (x32, 1);
      if (XWINT (x33, 0) != -32L)
        return -1;
      x34 = XVECEXP (x1, 0, 8);
      x35 = XEXP (x34, 0);
      x36 = XEXP (x35, 0);
      x37 = XEXP (x36, 1);
      if (XWINT (x37, 0) != -36L)
        return -1;
      return 0;

    case -8L:
      x6 = XVECEXP (x1, 0, 1);
      x7 = XEXP (x6, 0);
      x8 = XEXP (x7, 0);
      x9 = XEXP (x8, 1);
      if (XWINT (x9, 0) != -16L)
        return -1;
      x10 = XVECEXP (x1, 0, 2);
      x11 = XEXP (x10, 0);
      x12 = XEXP (x11, 0);
      x13 = XEXP (x12, 1);
      if (XWINT (x13, 0) != -24L)
        return -1;
      x14 = XVECEXP (x1, 0, 3);
      x15 = XEXP (x14, 0);
      x16 = XEXP (x15, 0);
      x17 = XEXP (x16, 1);
      if (XWINT (x17, 0) != -32L)
        return -1;
      x18 = XVECEXP (x1, 0, 4);
      x19 = XEXP (x18, 0);
      x20 = XEXP (x19, 0);
      x21 = XEXP (x20, 1);
      if (XWINT (x21, 0) != -40L)
        return -1;
      x22 = XVECEXP (x1, 0, 5);
      x23 = XEXP (x22, 0);
      x24 = XEXP (x23, 0);
      x25 = XEXP (x24, 1);
      if (XWINT (x25, 0) != -48L)
        return -1;
      x26 = XVECEXP (x1, 0, 6);
      x27 = XEXP (x26, 0);
      x28 = XEXP (x27, 0);
      x29 = XEXP (x28, 1);
      if (XWINT (x29, 0) != -56L)
        return -1;
      x30 = XVECEXP (x1, 0, 7);
      x31 = XEXP (x30, 0);
      x32 = XEXP (x31, 0);
      x33 = XEXP (x32, 1);
      if (XWINT (x33, 0) != -64L)
        return -1;
      x34 = XVECEXP (x1, 0, 8);
      x35 = XEXP (x34, 0);
      x36 = XEXP (x35, 0);
      x37 = XEXP (x36, 1);
      if (XWINT (x37, 0) != -72L)
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern779 (rtx x1, unsigned int i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 8);
  if (GET_CODE (x2) != SET)
    return -1;
  x3 = XEXP (x2, 1);
  if (GET_CODE (x3) != MEM
      || GET_MODE (x3) != E_SImode)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_CODE (x4) != PLUS
      || GET_MODE (x4) != E_SImode)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_CODE (x5) != REG
      || REGNO (x5) != 2
      || GET_MODE (x5) != E_SImode)
    return -1;
  x6 = XEXP (x4, 1);
  if (x6 != const_int_rtx[MAX_SAVED_CONST_INT + -32])
    return -1;
  x7 = XEXP (x2, 0);
  if (GET_CODE (x7) != REG
      || REGNO (x7) != i1
      || GET_MODE (x7) != E_SImode)
    return -1;
  x8 = XVECEXP (x1, 0, 9);
  if (GET_CODE (x8) != SET)
    return -1;
  x9 = XEXP (x8, 1);
  return pattern778 (x9); /* [-1, 0] */
}

int
pattern783 (rtx x1, machine_mode i1, unsigned int i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (GET_CODE (x1) != USE)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_CODE (x2) != REG
      || REGNO (x2) != i2
      || GET_MODE (x2) != i1
      || !stack_pop_up_to_s9_operand (operands[0], E_VOIDmode))
    return -1;
  return 0;
}

int
pattern784 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14, x15, x16, x17;
  rtx x18, x19, x20, x21, x22, x23, x24, x25;
  rtx x26, x27, x28, x29, x30, x31, x32, x33;
  rtx x34, x35, x36, x37, x38, x39, x40, x41;
  rtx x42, x43, x44, x45, x46, x47, x48, x49;
  rtx x50, x51, x52, x53, x54, x55, x56, x57;
  rtx x58, x59, x60, x61, x62, x63, x64;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x2, 1);
  if (GET_MODE (x4) != i1)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i1)
    return -1;
  x6 = XVECEXP (x1, 0, 1);
  x7 = XEXP (x6, 0);
  if (GET_MODE (x7) != i1)
    return -1;
  x8 = XEXP (x6, 1);
  if (GET_MODE (x8) != i1)
    return -1;
  x9 = XEXP (x8, 0);
  if (GET_MODE (x9) != i1)
    return -1;
  x10 = XEXP (x9, 0);
  if (GET_MODE (x10) != i1)
    return -1;
  x11 = XVECEXP (x1, 0, 2);
  x12 = XEXP (x11, 0);
  if (GET_MODE (x12) != i1)
    return -1;
  x13 = XEXP (x11, 1);
  if (GET_MODE (x13) != i1)
    return -1;
  x14 = XEXP (x13, 0);
  if (GET_MODE (x14) != i1)
    return -1;
  x15 = XEXP (x14, 0);
  if (GET_MODE (x15) != i1)
    return -1;
  x16 = XVECEXP (x1, 0, 3);
  x17 = XEXP (x16, 0);
  if (GET_MODE (x17) != i1)
    return -1;
  x18 = XEXP (x16, 1);
  if (GET_MODE (x18) != i1)
    return -1;
  x19 = XEXP (x18, 0);
  if (GET_MODE (x19) != i1)
    return -1;
  x20 = XEXP (x19, 0);
  if (GET_MODE (x20) != i1)
    return -1;
  x21 = XVECEXP (x1, 0, 4);
  x22 = XEXP (x21, 0);
  if (GET_MODE (x22) != i1)
    return -1;
  x23 = XEXP (x21, 1);
  if (GET_MODE (x23) != i1)
    return -1;
  x24 = XEXP (x23, 0);
  if (GET_MODE (x24) != i1)
    return -1;
  x25 = XEXP (x24, 0);
  if (GET_MODE (x25) != i1)
    return -1;
  x26 = XVECEXP (x1, 0, 5);
  x27 = XEXP (x26, 0);
  if (GET_MODE (x27) != i1)
    return -1;
  x28 = XEXP (x26, 1);
  if (GET_MODE (x28) != i1)
    return -1;
  x29 = XEXP (x28, 0);
  if (GET_MODE (x29) != i1)
    return -1;
  x30 = XEXP (x29, 0);
  if (GET_MODE (x30) != i1)
    return -1;
  x31 = XVECEXP (x1, 0, 6);
  x32 = XEXP (x31, 0);
  if (GET_MODE (x32) != i1)
    return -1;
  x33 = XEXP (x31, 1);
  if (GET_MODE (x33) != i1)
    return -1;
  x34 = XEXP (x33, 0);
  if (GET_MODE (x34) != i1)
    return -1;
  x35 = XEXP (x34, 0);
  if (GET_MODE (x35) != i1)
    return -1;
  x36 = XVECEXP (x1, 0, 7);
  x37 = XEXP (x36, 0);
  if (GET_MODE (x37) != i1)
    return -1;
  x38 = XEXP (x36, 1);
  if (GET_MODE (x38) != i1)
    return -1;
  x39 = XEXP (x38, 0);
  if (GET_MODE (x39) != i1)
    return -1;
  x40 = XEXP (x39, 0);
  if (GET_MODE (x40) != i1)
    return -1;
  x41 = XVECEXP (x1, 0, 8);
  x42 = XEXP (x41, 0);
  if (GET_MODE (x42) != i1)
    return -1;
  x43 = XEXP (x41, 1);
  if (GET_MODE (x43) != i1)
    return -1;
  x44 = XEXP (x43, 0);
  if (GET_MODE (x44) != i1)
    return -1;
  x45 = XEXP (x44, 0);
  if (GET_MODE (x45) != i1)
    return -1;
  x46 = XVECEXP (x1, 0, 9);
  x47 = XEXP (x46, 0);
  if (GET_MODE (x47) != i1)
    return -1;
  x48 = XEXP (x46, 1);
  if (GET_MODE (x48) != i1)
    return -1;
  x49 = XEXP (x48, 0);
  if (GET_MODE (x49) != i1)
    return -1;
  x50 = XEXP (x49, 0);
  if (GET_MODE (x50) != i1)
    return -1;
  x51 = XVECEXP (x1, 0, 10);
  x52 = XEXP (x51, 0);
  if (GET_MODE (x52) != i1)
    return -1;
  x53 = XEXP (x51, 1);
  if (GET_MODE (x53) != i1)
    return -1;
  x54 = XEXP (x53, 0);
  if (GET_MODE (x54) != i1)
    return -1;
  x55 = XEXP (x54, 0);
  if (GET_MODE (x55) != i1)
    return -1;
  x56 = XVECEXP (x1, 0, 11);
  x57 = XEXP (x56, 0);
  if (GET_MODE (x57) != i1)
    return -1;
  x58 = XEXP (x56, 1);
  if (GET_MODE (x58) != i1)
    return -1;
  x59 = XEXP (x58, 0);
  if (GET_MODE (x59) != i1)
    return -1;
  x60 = XEXP (x59, 0);
  if (GET_MODE (x60) != i1)
    return -1;
  x61 = XVECEXP (x1, 0, 12);
  x62 = XEXP (x61, 0);
  if (GET_MODE (x62) != i1)
    return -1;
  switch (REGNO (x7))
    {
    case 27:
      if (REGNO (x12) != 26
          || REGNO (x17) != 25
          || REGNO (x22) != 24
          || REGNO (x27) != 23
          || REGNO (x32) != 22
          || REGNO (x37) != 21
          || REGNO (x42) != 20
          || REGNO (x47) != 19
          || REGNO (x52) != 18
          || REGNO (x57) != 9)
        return -1;
      return 0;

    case 25:
      if (REGNO (x12) != 24
          || REGNO (x17) != 23
          || REGNO (x22) != 22
          || REGNO (x27) != 21
          || REGNO (x32) != 20
          || REGNO (x37) != 19
          || REGNO (x42) != 18
          || REGNO (x47) != 9
          || REGNO (x52) != 8
          || REGNO (x57) != 1)
        return -1;
      x63 = XEXP (x61, 1);
      if (x63 != const_int_rtx[MAX_SAVED_CONST_INT + 0]
          || REGNO (x62) != 10)
        return -1;
      x64 = XVECEXP (x1, 0, 13);
      if (pattern783 (x64, 
i1, 
10) != 0)
        return -1;
      return 1;

    default:
      return -1;
    }
}

 int
recog_6 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 1);
  switch (GET_CODE (x4))
    {
    case SIGN_EXTEND:
      return recog_5 (x1, insn, pnum_clobbers);

    case ZERO_EXTEND:
      x5 = XEXP (x3, 0);
      x6 = XEXP (x5, 0);
      operands[2] = x6;
      x7 = XEXP (x4, 0);
      operands[3] = x7;
      x8 = XEXP (x2, 1);
      operands[1] = x8;
      switch (GET_MODE (operands[0]))
        {
        case E_RVVM8HImode:
          if (pattern137 (x2, 
E_RVVM8HImode, 
E_RVVM4QImode) != 0
              || !
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
            return -1;
          return 31406; /* *dual_widen_fmasurvvm8hi */

        case E_RVVM4HImode:
          if (pattern137 (x2, 
E_RVVM4HImode, 
E_RVVM2QImode) != 0
              || !
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
            return -1;
          return 31407; /* *dual_widen_fmasurvvm4hi */

        case E_RVVM2HImode:
          if (pattern137 (x2, 
E_RVVM2HImode, 
E_RVVM1QImode) != 0
              || !
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
            return -1;
          return 31408; /* *dual_widen_fmasurvvm2hi */

        case E_RVVM1HImode:
          if (pattern137 (x2, 
E_RVVM1HImode, 
E_RVVMF2QImode) != 0
              || !
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
            return -1;
          return 31409; /* *dual_widen_fmasurvvm1hi */

        case E_RVVMF2HImode:
          if (pattern137 (x2, 
E_RVVMF2HImode, 
E_RVVMF4QImode) != 0
              || !
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
            return -1;
          return 31410; /* *dual_widen_fmasurvvmf2hi */

        case E_RVVMF4HImode:
          if (pattern137 (x2, 
E_RVVMF4HImode, 
E_RVVMF8QImode) != 0
              || !(
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 946 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
            return -1;
          return 31411; /* *dual_widen_fmasurvvmf4hi */

        case E_RVVM8SImode:
          if (pattern137 (x2, 
E_RVVM8SImode, 
E_RVVM4HImode) != 0
              || !
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
            return -1;
          return 31412; /* *dual_widen_fmasurvvm8si */

        case E_RVVM4SImode:
          if (pattern137 (x2, 
E_RVVM4SImode, 
E_RVVM2HImode) != 0
              || !
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
            return -1;
          return 31413; /* *dual_widen_fmasurvvm4si */

        case E_RVVM2SImode:
          if (pattern137 (x2, 
E_RVVM2SImode, 
E_RVVM1HImode) != 0
              || !
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
            return -1;
          return 31414; /* *dual_widen_fmasurvvm2si */

        case E_RVVM1SImode:
          if (pattern137 (x2, 
E_RVVM1SImode, 
E_RVVMF2HImode) != 0
              || !
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
            return -1;
          return 31415; /* *dual_widen_fmasurvvm1si */

        case E_RVVMF2SImode:
          if (pattern137 (x2, 
E_RVVMF2SImode, 
E_RVVMF4HImode) != 0
              || !(
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 948 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
            return -1;
          return 31416; /* *dual_widen_fmasurvvmf2si */

        case E_RVVM8DImode:
          if (pattern137 (x2, 
E_RVVM8DImode, 
E_RVVM4SImode) != 0
              || !(
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 31417; /* *dual_widen_fmasurvvm8di */

        case E_RVVM4DImode:
          if (pattern137 (x2, 
E_RVVM4DImode, 
E_RVVM2SImode) != 0
              || !(
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 31418; /* *dual_widen_fmasurvvm4di */

        case E_RVVM2DImode:
          if (pattern137 (x2, 
E_RVVM2DImode, 
E_RVVM1SImode) != 0
              || !(
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 31419; /* *dual_widen_fmasurvvm2di */

        case E_RVVM1DImode:
          if (pattern137 (x2, 
E_RVVM1DImode, 
E_RVVMF2SImode) != 0
              || !(
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 31420; /* *dual_widen_fmasurvvm1di */

        case E_V1HImode:
          if (pattern137 (x2, 
E_V1HImode, 
E_V1QImode) != 0
              || !(
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 953 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
            return -1;
          return 31421; /* *dual_widen_fmasuv1hi */

        case E_V2HImode:
          if (pattern137 (x2, 
E_V2HImode, 
E_V2QImode) != 0
              || !(
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 954 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
            return -1;
          return 31422; /* *dual_widen_fmasuv2hi */

        case E_V4HImode:
          if (pattern137 (x2, 
E_V4HImode, 
E_V4QImode) != 0
              || !(
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
            return -1;
          return 31423; /* *dual_widen_fmasuv4hi */

        case E_V8HImode:
          if (pattern137 (x2, 
E_V8HImode, 
E_V8QImode) != 0
              || !(
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 956 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
            return -1;
          return 31424; /* *dual_widen_fmasuv8hi */

        case E_V16HImode:
          if (pattern137 (x2, 
E_V16HImode, 
E_V16QImode) != 0
              || !(
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 957 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
            return -1;
          return 31425; /* *dual_widen_fmasuv16hi */

        case E_V32HImode:
          if (pattern137 (x2, 
E_V32HImode, 
E_V32QImode) != 0
              || !(
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 958 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 31426; /* *dual_widen_fmasuv32hi */

        case E_V64HImode:
          if (pattern137 (x2, 
E_V64HImode, 
E_V64QImode) != 0
              || !(
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 959 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 31427; /* *dual_widen_fmasuv64hi */

        case E_V128HImode:
          if (pattern137 (x2, 
E_V128HImode, 
E_V128QImode) != 0
              || !(
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 960 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 31428; /* *dual_widen_fmasuv128hi */

        case E_V256HImode:
          if (pattern137 (x2, 
E_V256HImode, 
E_V256QImode) != 0
              || !(
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 961 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 31429; /* *dual_widen_fmasuv256hi */

        case E_V512HImode:
          if (pattern137 (x2, 
E_V512HImode, 
E_V512QImode) != 0
              || !(
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 962 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 31430; /* *dual_widen_fmasuv512hi */

        case E_V1024HImode:
          if (pattern137 (x2, 
E_V1024HImode, 
E_V1024QImode) != 0
              || !(
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 963 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 31431; /* *dual_widen_fmasuv1024hi */

        case E_V2048HImode:
          if (pattern137 (x2, 
E_V2048HImode, 
E_V2048QImode) != 0
              || !(
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 31432; /* *dual_widen_fmasuv2048hi */

        case E_V1SImode:
          if (pattern137 (x2, 
E_V1SImode, 
E_V1HImode) != 0
              || !(
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 965 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
            return -1;
          return 31433; /* *dual_widen_fmasuv1si */

        case E_V2SImode:
          if (pattern137 (x2, 
E_V2SImode, 
E_V2HImode) != 0
              || !(
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 966 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
            return -1;
          return 31434; /* *dual_widen_fmasuv2si */

        case E_V4SImode:
          if (pattern137 (x2, 
E_V4SImode, 
E_V4HImode) != 0
              || !(
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 967 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
            return -1;
          return 31435; /* *dual_widen_fmasuv4si */

        case E_V8SImode:
          if (pattern137 (x2, 
E_V8SImode, 
E_V8HImode) != 0
              || !(
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 968 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
            return -1;
          return 31436; /* *dual_widen_fmasuv8si */

        case E_V16SImode:
          if (pattern137 (x2, 
E_V16SImode, 
E_V16HImode) != 0
              || !(
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 969 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 31437; /* *dual_widen_fmasuv16si */

        case E_V32SImode:
          if (pattern137 (x2, 
E_V32SImode, 
E_V32HImode) != 0
              || !(
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 970 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 31438; /* *dual_widen_fmasuv32si */

        case E_V64SImode:
          if (pattern137 (x2, 
E_V64SImode, 
E_V64HImode) != 0
              || !(
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 31439; /* *dual_widen_fmasuv64si */

        case E_V128SImode:
          if (pattern137 (x2, 
E_V128SImode, 
E_V128HImode) != 0
              || !(
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 972 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 31440; /* *dual_widen_fmasuv128si */

        case E_V256SImode:
          if (pattern137 (x2, 
E_V256SImode, 
E_V256HImode) != 0
              || !(
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 973 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 31441; /* *dual_widen_fmasuv256si */

        case E_V512SImode:
          if (pattern137 (x2, 
E_V512SImode, 
E_V512HImode) != 0
              || !(
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 974 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 31442; /* *dual_widen_fmasuv512si */

        case E_V1024SImode:
          if (pattern137 (x2, 
E_V1024SImode, 
E_V1024HImode) != 0
              || !(
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 31443; /* *dual_widen_fmasuv1024si */

        case E_V1DImode:
          if (pattern137 (x2, 
E_V1DImode, 
E_V1SImode) != 0
              || !(
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 976 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
            return -1;
          return 31444; /* *dual_widen_fmasuv1di */

        case E_V2DImode:
          if (pattern137 (x2, 
E_V2DImode, 
E_V2SImode) != 0
              || !(
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
            return -1;
          return 31445; /* *dual_widen_fmasuv2di */

        case E_V4DImode:
          if (pattern137 (x2, 
E_V4DImode, 
E_V4SImode) != 0
              || !(
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 978 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
            return -1;
          return 31446; /* *dual_widen_fmasuv4di */

        case E_V8DImode:
          if (pattern137 (x2, 
E_V8DImode, 
E_V8SImode) != 0
              || !(
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 979 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 31447; /* *dual_widen_fmasuv8di */

        case E_V16DImode:
          if (pattern137 (x2, 
E_V16DImode, 
E_V16SImode) != 0
              || !(
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 980 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 31448; /* *dual_widen_fmasuv16di */

        case E_V32DImode:
          if (pattern137 (x2, 
E_V32DImode, 
E_V32SImode) != 0
              || !(
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 981 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 31449; /* *dual_widen_fmasuv32di */

        case E_V64DImode:
          if (pattern137 (x2, 
E_V64DImode, 
E_V64SImode) != 0
              || !(
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 982 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 31450; /* *dual_widen_fmasuv64di */

        case E_V128DImode:
          if (pattern137 (x2, 
E_V128DImode, 
E_V128SImode) != 0
              || !(
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 31451; /* *dual_widen_fmasuv128di */

        case E_V256DImode:
          if (pattern137 (x2, 
E_V256DImode, 
E_V256SImode) != 0
              || !(
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 984 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 31452; /* *dual_widen_fmasuv256di */

        case E_V512DImode:
          if (pattern137 (x2, 
E_V512DImode, 
E_V512SImode) != 0
              || !(
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 985 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 31453; /* *dual_widen_fmasuv512di */

        default:
          return -1;
        }

    case REG:
    case SUBREG:
      operands[3] = x4;
      x5 = XEXP (x3, 0);
      x6 = XEXP (x5, 0);
      operands[2] = x6;
      x8 = XEXP (x2, 1);
      operands[1] = x8;
      switch (GET_MODE (operands[0]))
        {
        case E_RVVM8HImode:
          if (pattern138 (x2, 
E_RVVM8HImode, 
E_RVVM4QImode) != 0
              || !
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
            return -1;
          return 31502; /* *single_widen_fmasrvvm8hi */

        case E_RVVM4HImode:
          if (pattern138 (x2, 
E_RVVM4HImode, 
E_RVVM2QImode) != 0
              || !
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
            return -1;
          return 31504; /* *single_widen_fmasrvvm4hi */

        case E_RVVM2HImode:
          if (pattern138 (x2, 
E_RVVM2HImode, 
E_RVVM1QImode) != 0
              || !
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
            return -1;
          return 31506; /* *single_widen_fmasrvvm2hi */

        case E_RVVM1HImode:
          if (pattern138 (x2, 
E_RVVM1HImode, 
E_RVVMF2QImode) != 0
              || !
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
            return -1;
          return 31508; /* *single_widen_fmasrvvm1hi */

        case E_RVVMF2HImode:
          if (pattern138 (x2, 
E_RVVMF2HImode, 
E_RVVMF4QImode) != 0
              || !
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
            return -1;
          return 31510; /* *single_widen_fmasrvvmf2hi */

        case E_RVVMF4HImode:
          if (pattern138 (x2, 
E_RVVMF4HImode, 
E_RVVMF8QImode) != 0
              || !(
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 946 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
            return -1;
          return 31512; /* *single_widen_fmasrvvmf4hi */

        case E_RVVM8SImode:
          if (pattern138 (x2, 
E_RVVM8SImode, 
E_RVVM4HImode) != 0
              || !
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
            return -1;
          return 31514; /* *single_widen_fmasrvvm8si */

        case E_RVVM4SImode:
          if (pattern138 (x2, 
E_RVVM4SImode, 
E_RVVM2HImode) != 0
              || !
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
            return -1;
          return 31516; /* *single_widen_fmasrvvm4si */

        case E_RVVM2SImode:
          if (pattern138 (x2, 
E_RVVM2SImode, 
E_RVVM1HImode) != 0
              || !
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
            return -1;
          return 31518; /* *single_widen_fmasrvvm2si */

        case E_RVVM1SImode:
          if (pattern138 (x2, 
E_RVVM1SImode, 
E_RVVMF2HImode) != 0
              || !
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
            return -1;
          return 31520; /* *single_widen_fmasrvvm1si */

        case E_RVVMF2SImode:
          if (pattern138 (x2, 
E_RVVMF2SImode, 
E_RVVMF4HImode) != 0
              || !(
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 948 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
            return -1;
          return 31522; /* *single_widen_fmasrvvmf2si */

        case E_RVVM8DImode:
          if (pattern138 (x2, 
E_RVVM8DImode, 
E_RVVM4SImode) != 0
              || !(
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 31524; /* *single_widen_fmasrvvm8di */

        case E_RVVM4DImode:
          if (pattern138 (x2, 
E_RVVM4DImode, 
E_RVVM2SImode) != 0
              || !(
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 31526; /* *single_widen_fmasrvvm4di */

        case E_RVVM2DImode:
          if (pattern138 (x2, 
E_RVVM2DImode, 
E_RVVM1SImode) != 0
              || !(
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 31528; /* *single_widen_fmasrvvm2di */

        case E_RVVM1DImode:
          if (pattern138 (x2, 
E_RVVM1DImode, 
E_RVVMF2SImode) != 0
              || !(
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 31530; /* *single_widen_fmasrvvm1di */

        case E_V1HImode:
          if (pattern138 (x2, 
E_V1HImode, 
E_V1QImode) != 0
              || !(
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 953 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
            return -1;
          return 31532; /* *single_widen_fmasv1hi */

        case E_V2HImode:
          if (pattern138 (x2, 
E_V2HImode, 
E_V2QImode) != 0
              || !(
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 954 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
            return -1;
          return 31534; /* *single_widen_fmasv2hi */

        case E_V4HImode:
          if (pattern138 (x2, 
E_V4HImode, 
E_V4QImode) != 0
              || !(
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
            return -1;
          return 31536; /* *single_widen_fmasv4hi */

        case E_V8HImode:
          if (pattern138 (x2, 
E_V8HImode, 
E_V8QImode) != 0
              || !(
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 956 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
            return -1;
          return 31538; /* *single_widen_fmasv8hi */

        case E_V16HImode:
          if (pattern138 (x2, 
E_V16HImode, 
E_V16QImode) != 0
              || !(
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 957 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
            return -1;
          return 31540; /* *single_widen_fmasv16hi */

        case E_V32HImode:
          if (pattern138 (x2, 
E_V32HImode, 
E_V32QImode) != 0
              || !(
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 958 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 31542; /* *single_widen_fmasv32hi */

        case E_V64HImode:
          if (pattern138 (x2, 
E_V64HImode, 
E_V64QImode) != 0
              || !(
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 959 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 31544; /* *single_widen_fmasv64hi */

        case E_V128HImode:
          if (pattern138 (x2, 
E_V128HImode, 
E_V128QImode) != 0
              || !(
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 960 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 31546; /* *single_widen_fmasv128hi */

        case E_V256HImode:
          if (pattern138 (x2, 
E_V256HImode, 
E_V256QImode) != 0
              || !(
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 961 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 31548; /* *single_widen_fmasv256hi */

        case E_V512HImode:
          if (pattern138 (x2, 
E_V512HImode, 
E_V512QImode) != 0
              || !(
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 962 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 31550; /* *single_widen_fmasv512hi */

        case E_V1024HImode:
          if (pattern138 (x2, 
E_V1024HImode, 
E_V1024QImode) != 0
              || !(
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 963 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 31552; /* *single_widen_fmasv1024hi */

        case E_V2048HImode:
          if (pattern138 (x2, 
E_V2048HImode, 
E_V2048QImode) != 0
              || !(
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 31554; /* *single_widen_fmasv2048hi */

        case E_V1SImode:
          if (pattern138 (x2, 
E_V1SImode, 
E_V1HImode) != 0
              || !(
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 965 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
            return -1;
          return 31556; /* *single_widen_fmasv1si */

        case E_V2SImode:
          if (pattern138 (x2, 
E_V2SImode, 
E_V2HImode) != 0
              || !(
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 966 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
            return -1;
          return 31558; /* *single_widen_fmasv2si */

        case E_V4SImode:
          if (pattern138 (x2, 
E_V4SImode, 
E_V4HImode) != 0
              || !(
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 967 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
            return -1;
          return 31560; /* *single_widen_fmasv4si */

        case E_V8SImode:
          if (pattern138 (x2, 
E_V8SImode, 
E_V8HImode) != 0
              || !(
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 968 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
            return -1;
          return 31562; /* *single_widen_fmasv8si */

        case E_V16SImode:
          if (pattern138 (x2, 
E_V16SImode, 
E_V16HImode) != 0
              || !(
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 969 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 31564; /* *single_widen_fmasv16si */

        case E_V32SImode:
          if (pattern138 (x2, 
E_V32SImode, 
E_V32HImode) != 0
              || !(
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 970 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 31566; /* *single_widen_fmasv32si */

        case E_V64SImode:
          if (pattern138 (x2, 
E_V64SImode, 
E_V64HImode) != 0
              || !(
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 31568; /* *single_widen_fmasv64si */

        case E_V128SImode:
          if (pattern138 (x2, 
E_V128SImode, 
E_V128HImode) != 0
              || !(
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 972 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 31570; /* *single_widen_fmasv128si */

        case E_V256SImode:
          if (pattern138 (x2, 
E_V256SImode, 
E_V256HImode) != 0
              || !(
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 973 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 31572; /* *single_widen_fmasv256si */

        case E_V512SImode:
          if (pattern138 (x2, 
E_V512SImode, 
E_V512HImode) != 0
              || !(
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 974 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 31574; /* *single_widen_fmasv512si */

        case E_V1024SImode:
          if (pattern138 (x2, 
E_V1024SImode, 
E_V1024HImode) != 0
              || !(
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 31576; /* *single_widen_fmasv1024si */

        case E_V1DImode:
          if (pattern138 (x2, 
E_V1DImode, 
E_V1SImode) != 0
              || !(
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 976 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
            return -1;
          return 31578; /* *single_widen_fmasv1di */

        case E_V2DImode:
          if (pattern138 (x2, 
E_V2DImode, 
E_V2SImode) != 0
              || !(
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
            return -1;
          return 31580; /* *single_widen_fmasv2di */

        case E_V4DImode:
          if (pattern138 (x2, 
E_V4DImode, 
E_V4SImode) != 0
              || !(
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 978 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
            return -1;
          return 31582; /* *single_widen_fmasv4di */

        case E_V8DImode:
          if (pattern138 (x2, 
E_V8DImode, 
E_V8SImode) != 0
              || !(
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 979 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 31584; /* *single_widen_fmasv8di */

        case E_V16DImode:
          if (pattern138 (x2, 
E_V16DImode, 
E_V16SImode) != 0
              || !(
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 980 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 31586; /* *single_widen_fmasv16di */

        case E_V32DImode:
          if (pattern138 (x2, 
E_V32DImode, 
E_V32SImode) != 0
              || !(
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 981 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 31588; /* *single_widen_fmasv32di */

        case E_V64DImode:
          if (pattern138 (x2, 
E_V64DImode, 
E_V64SImode) != 0
              || !(
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 982 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 31590; /* *single_widen_fmasv64di */

        case E_V128DImode:
          if (pattern138 (x2, 
E_V128DImode, 
E_V128SImode) != 0
              || !(
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 31592; /* *single_widen_fmasv128di */

        case E_V256DImode:
          if (pattern138 (x2, 
E_V256DImode, 
E_V256SImode) != 0
              || !(
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 984 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 31594; /* *single_widen_fmasv256di */

        case E_V512DImode:
          if (pattern138 (x2, 
E_V512DImode, 
E_V512SImode) != 0
              || !(
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 985 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 31596; /* *single_widen_fmasv512di */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_21 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  switch (GET_CODE (x3))
    {
    case CONST_VECTOR:
    case REG:
    case SUBREG:
      operands[2] = x3;
      x4 = XEXP (x2, 0);
      operands[1] = x4;
      return recog_17 (x1, insn, pnum_clobbers);

    case MULT:
      return recog_19 (x1, insn, pnum_clobbers);

    case SIGN_EXTEND:
      switch (pattern239 (x2))
        {
        case 0:
          if (!
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
            return -1;
          return 30434; /* *single_widen_subsrvvm8hi */

        case 1:
          if (!
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
            return -1;
          return 30436; /* *single_widen_subsrvvm4hi */

        case 2:
          if (!
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
            return -1;
          return 30438; /* *single_widen_subsrvvm2hi */

        case 3:
          if (!
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
            return -1;
          return 30440; /* *single_widen_subsrvvm1hi */

        case 4:
          if (!
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
            return -1;
          return 30442; /* *single_widen_subsrvvmf2hi */

        case 5:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 946 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
            return -1;
          return 30444; /* *single_widen_subsrvvmf4hi */

        case 6:
          if (!
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
            return -1;
          return 30446; /* *single_widen_subsrvvm8si */

        case 7:
          if (!
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
            return -1;
          return 30448; /* *single_widen_subsrvvm4si */

        case 8:
          if (!
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
            return -1;
          return 30450; /* *single_widen_subsrvvm2si */

        case 9:
          if (!
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
            return -1;
          return 30452; /* *single_widen_subsrvvm1si */

        case 10:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 948 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
            return -1;
          return 30454; /* *single_widen_subsrvvmf2si */

        case 11:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 30456; /* *single_widen_subsrvvm8di */

        case 12:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 30458; /* *single_widen_subsrvvm4di */

        case 13:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 30460; /* *single_widen_subsrvvm2di */

        case 14:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 30462; /* *single_widen_subsrvvm1di */

        case 15:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 953 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
            return -1;
          return 30464; /* *single_widen_subsv1hi */

        case 16:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 954 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
            return -1;
          return 30466; /* *single_widen_subsv2hi */

        case 17:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
            return -1;
          return 30468; /* *single_widen_subsv4hi */

        case 18:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 956 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
            return -1;
          return 30470; /* *single_widen_subsv8hi */

        case 19:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 957 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
            return -1;
          return 30472; /* *single_widen_subsv16hi */

        case 20:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 958 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 30474; /* *single_widen_subsv32hi */

        case 21:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 959 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 30476; /* *single_widen_subsv64hi */

        case 22:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 960 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 30478; /* *single_widen_subsv128hi */

        case 23:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 961 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 30480; /* *single_widen_subsv256hi */

        case 24:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 962 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 30482; /* *single_widen_subsv512hi */

        case 25:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 963 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 30484; /* *single_widen_subsv1024hi */

        case 26:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 30486; /* *single_widen_subsv2048hi */

        case 27:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 965 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
            return -1;
          return 30488; /* *single_widen_subsv1si */

        case 28:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 966 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
            return -1;
          return 30490; /* *single_widen_subsv2si */

        case 29:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 967 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
            return -1;
          return 30492; /* *single_widen_subsv4si */

        case 30:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 968 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
            return -1;
          return 30494; /* *single_widen_subsv8si */

        case 31:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 969 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 30496; /* *single_widen_subsv16si */

        case 32:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 970 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 30498; /* *single_widen_subsv32si */

        case 33:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 30500; /* *single_widen_subsv64si */

        case 34:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 972 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 30502; /* *single_widen_subsv128si */

        case 35:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 973 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 30504; /* *single_widen_subsv256si */

        case 36:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 974 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 30506; /* *single_widen_subsv512si */

        case 37:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 30508; /* *single_widen_subsv1024si */

        case 38:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 976 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
            return -1;
          return 30510; /* *single_widen_subsv1di */

        case 39:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
            return -1;
          return 30512; /* *single_widen_subsv2di */

        case 40:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 978 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
            return -1;
          return 30514; /* *single_widen_subsv4di */

        case 41:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 979 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 30516; /* *single_widen_subsv8di */

        case 42:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 980 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 30518; /* *single_widen_subsv16di */

        case 43:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 981 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 30520; /* *single_widen_subsv32di */

        case 44:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 982 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 30522; /* *single_widen_subsv64di */

        case 45:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 30524; /* *single_widen_subsv128di */

        case 46:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 984 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 30526; /* *single_widen_subsv256di */

        case 47:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 985 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 30528; /* *single_widen_subsv512di */

        default:
          return -1;
        }

    case ZERO_EXTEND:
      switch (pattern239 (x2))
        {
        case 0:
          if (!
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
            return -1;
          return 30435; /* *single_widen_suburvvm8hi */

        case 1:
          if (!
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
            return -1;
          return 30437; /* *single_widen_suburvvm4hi */

        case 2:
          if (!
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
            return -1;
          return 30439; /* *single_widen_suburvvm2hi */

        case 3:
          if (!
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
            return -1;
          return 30441; /* *single_widen_suburvvm1hi */

        case 4:
          if (!
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
            return -1;
          return 30443; /* *single_widen_suburvvmf2hi */

        case 5:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 946 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
            return -1;
          return 30445; /* *single_widen_suburvvmf4hi */

        case 6:
          if (!
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
            return -1;
          return 30447; /* *single_widen_suburvvm8si */

        case 7:
          if (!
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
            return -1;
          return 30449; /* *single_widen_suburvvm4si */

        case 8:
          if (!
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
            return -1;
          return 30451; /* *single_widen_suburvvm2si */

        case 9:
          if (!
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
            return -1;
          return 30453; /* *single_widen_suburvvm1si */

        case 10:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 948 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
            return -1;
          return 30455; /* *single_widen_suburvvmf2si */

        case 11:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 30457; /* *single_widen_suburvvm8di */

        case 12:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 30459; /* *single_widen_suburvvm4di */

        case 13:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 30461; /* *single_widen_suburvvm2di */

        case 14:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 30463; /* *single_widen_suburvvm1di */

        case 15:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 953 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
            return -1;
          return 30465; /* *single_widen_subuv1hi */

        case 16:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 954 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
            return -1;
          return 30467; /* *single_widen_subuv2hi */

        case 17:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
            return -1;
          return 30469; /* *single_widen_subuv4hi */

        case 18:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 956 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
            return -1;
          return 30471; /* *single_widen_subuv8hi */

        case 19:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 957 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
            return -1;
          return 30473; /* *single_widen_subuv16hi */

        case 20:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 958 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 30475; /* *single_widen_subuv32hi */

        case 21:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 959 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 30477; /* *single_widen_subuv64hi */

        case 22:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 960 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 30479; /* *single_widen_subuv128hi */

        case 23:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 961 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 30481; /* *single_widen_subuv256hi */

        case 24:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 962 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 30483; /* *single_widen_subuv512hi */

        case 25:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 963 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 30485; /* *single_widen_subuv1024hi */

        case 26:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 30487; /* *single_widen_subuv2048hi */

        case 27:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 965 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
            return -1;
          return 30489; /* *single_widen_subuv1si */

        case 28:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 966 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
            return -1;
          return 30491; /* *single_widen_subuv2si */

        case 29:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 967 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
            return -1;
          return 30493; /* *single_widen_subuv4si */

        case 30:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 968 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
            return -1;
          return 30495; /* *single_widen_subuv8si */

        case 31:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 969 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 30497; /* *single_widen_subuv16si */

        case 32:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 970 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 30499; /* *single_widen_subuv32si */

        case 33:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 30501; /* *single_widen_subuv64si */

        case 34:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 972 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 30503; /* *single_widen_subuv128si */

        case 35:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 973 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 30505; /* *single_widen_subuv256si */

        case 36:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 974 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 30507; /* *single_widen_subuv512si */

        case 37:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 30509; /* *single_widen_subuv1024si */

        case 38:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 976 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
            return -1;
          return 30511; /* *single_widen_subuv1di */

        case 39:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
            return -1;
          return 30513; /* *single_widen_subuv2di */

        case 40:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 978 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
            return -1;
          return 30515; /* *single_widen_subuv4di */

        case 41:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 979 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 30517; /* *single_widen_subuv8di */

        case 42:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 980 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 30519; /* *single_widen_subuv16di */

        case 43:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 981 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 30521; /* *single_widen_subuv32di */

        case 44:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 982 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 30523; /* *single_widen_subuv64di */

        case 45:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 30525; /* *single_widen_subuv128di */

        case 46:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 984 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 30527; /* *single_widen_subuv256di */

        case 47:
          if (!(
#line 629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 985 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 30529; /* *single_widen_subuv512di */

        default:
          return -1;
        }

    case FLOAT_EXTEND:
      switch (pattern240 (x2))
        {
        case 0:
          if (!(
#line 792 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1023 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH && TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 31034; /* *single_widen_subrvvm8sf */

        case 1:
          if (!(
#line 792 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1024 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH && TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 31035; /* *single_widen_subrvvm4sf */

        case 2:
          if (!(
#line 792 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1025 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH && TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 31036; /* *single_widen_subrvvm2sf */

        case 3:
          if (!(
#line 792 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1026 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH && TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 31037; /* *single_widen_subrvvm1sf */

        case 4:
          if (!(
#line 792 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1027 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32)))
            return -1;
          return 31038; /* *single_widen_subrvvmf2sf */

        case 5:
          if (!(
#line 792 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 31039; /* *single_widen_subrvvm8df */

        case 6:
          if (!(
#line 792 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 31040; /* *single_widen_subrvvm4df */

        case 7:
          if (!(
#line 792 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1030 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 31041; /* *single_widen_subrvvm2df */

        case 8:
          if (!(
#line 792 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1030 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 31042; /* *single_widen_subrvvm1df */

        case 9:
          if (!(
#line 792 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1032 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 31043; /* *single_widen_subv1sf */

        case 10:
          if (!(
#line 792 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1033 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 31044; /* *single_widen_subv2sf */

        case 11:
          if (!(
#line 792 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1034 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 31045; /* *single_widen_subv4sf */

        case 12:
          if (!(
#line 792 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1035 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 31046; /* *single_widen_subv8sf */

        case 13:
          if (!(
#line 792 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1036 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 31047; /* *single_widen_subv16sf */

        case 14:
          if (!(
#line 792 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1037 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 31048; /* *single_widen_subv32sf */

        case 15:
          if (!(
#line 792 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1038 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 31049; /* *single_widen_subv64sf */

        case 16:
          if (!(
#line 792 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1039 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 31050; /* *single_widen_subv128sf */

        case 17:
          if (!(
#line 792 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1040 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 31051; /* *single_widen_subv256sf */

        case 18:
          if (!(
#line 792 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1041 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 31052; /* *single_widen_subv512sf */

        case 19:
          if (!(
#line 792 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1042 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 31053; /* *single_widen_subv1024sf */

        case 20:
          if (!(
#line 792 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1043 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DFmode) && TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 31054; /* *single_widen_subv1df */

        case 21:
          if (!(
#line 792 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1044 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DFmode) && TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 31055; /* *single_widen_subv2df */

        case 22:
          if (!(
#line 792 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1045 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DFmode) && TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 31056; /* *single_widen_subv4df */

        case 23:
          if (!(
#line 792 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1046 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 31057; /* *single_widen_subv8df */

        case 24:
          if (!(
#line 792 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1047 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 31058; /* *single_widen_subv16df */

        case 25:
          if (!(
#line 792 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1048 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 31059; /* *single_widen_subv32df */

        case 26:
          if (!(
#line 792 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1049 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 31060; /* *single_widen_subv64df */

        case 27:
          if (!(
#line 792 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1050 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 31061; /* *single_widen_subv128df */

        case 28:
          if (!(
#line 792 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1051 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 31062; /* *single_widen_subv256df */

        case 29:
          if (!(
#line 792 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1052 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 31063; /* *single_widen_subv512df */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_32 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 0);
  x4 = XEXP (x3, 1);
  x5 = XVECEXP (x4, 0, 0);
  if (XWINT (x5, 0) != 0L)
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_QImode:
      switch (pattern444 (x2))
        {
        case 0:
          if (!
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 19949; /* *pred_extract_firstrvvm8qi */

        case 1:
          if (!
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 19950; /* *pred_extract_firstrvvm4qi */

        case 2:
          if (!
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 19951; /* *pred_extract_firstrvvm2qi */

        case 3:
          if (!
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 19952; /* *pred_extract_firstrvvm1qi */

        case 4:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
            return -1;
          return 19965; /* *pred_extract_firstrvvmf2qi */

        case 5:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
            return -1;
          return 19966; /* *pred_extract_firstrvvmf4qi */

        case 6:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 131 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 19967; /* *pred_extract_firstrvvmf8qi */

        case 7:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 188 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1QImode))))
            return -1;
          return 19971; /* *pred_extract_firstv1qi */

        case 8:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 189 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2QImode))))
            return -1;
          return 19972; /* *pred_extract_firstv2qi */

        case 9:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 190 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4QImode))))
            return -1;
          return 19973; /* *pred_extract_firstv4qi */

        case 10:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 191 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8QImode))))
            return -1;
          return 19974; /* *pred_extract_firstv8qi */

        case 11:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16QImode))))
            return -1;
          return 19975; /* *pred_extract_firstv16qi */

        case 12:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 193 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32QImode))))
            return -1;
          return 19976; /* *pred_extract_firstv32qi */

        case 13:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 194 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64QImode) && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 19977; /* *pred_extract_firstv64qi */

        case 14:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 195 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128QImode) && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 19978; /* *pred_extract_firstv128qi */

        case 15:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 196 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256QImode) && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 19979; /* *pred_extract_firstv256qi */

        case 16:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 197 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512QImode) && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 19980; /* *pred_extract_firstv512qi */

        case 17:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 198 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024QImode) && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 19981; /* *pred_extract_firstv1024qi */

        case 18:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 199 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048QImode) && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 19982; /* *pred_extract_firstv2048qi */

        case 19:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 200 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4096QImode) && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 19983; /* *pred_extract_firstv4096qi */

        default:
          return -1;
        }

    case E_HImode:
      switch (pattern445 (x2))
        {
        case 0:
          if (!
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 19953; /* *pred_extract_firstrvvm8hi */

        case 1:
          if (!
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 19954; /* *pred_extract_firstrvvm4hi */

        case 2:
          if (!
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 19955; /* *pred_extract_firstrvvm2hi */

        case 3:
          if (!
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 19956; /* *pred_extract_firstrvvm1hi */

        case 4:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
            return -1;
          return 19968; /* *pred_extract_firstrvvmf2hi */

        case 5:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 132 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 19969; /* *pred_extract_firstrvvmf4hi */

        case 6:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 201 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
            return -1;
          return 19984; /* *pred_extract_firstv1hi */

        case 7:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
            return -1;
          return 19985; /* *pred_extract_firstv2hi */

        case 8:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 203 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
            return -1;
          return 19986; /* *pred_extract_firstv4hi */

        case 9:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 204 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
            return -1;
          return 19987; /* *pred_extract_firstv8hi */

        case 10:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
            return -1;
          return 19988; /* *pred_extract_firstv16hi */

        case 11:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 206 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 19989; /* *pred_extract_firstv32hi */

        case 12:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 207 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 19990; /* *pred_extract_firstv64hi */

        case 13:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 208 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 19991; /* *pred_extract_firstv128hi */

        case 14:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 209 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 19992; /* *pred_extract_firstv256hi */

        case 15:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 19993; /* *pred_extract_firstv512hi */

        case 16:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 211 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 19994; /* *pred_extract_firstv1024hi */

        case 17:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 19995; /* *pred_extract_firstv2048hi */

        default:
          return -1;
        }

    case E_SImode:
      switch (pattern446 (x2))
        {
        case 0:
          if (!
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 19957; /* *pred_extract_firstrvvm8si */

        case 1:
          if (!
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 19958; /* *pred_extract_firstrvvm4si */

        case 2:
          if (!
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 19959; /* *pred_extract_firstrvvm2si */

        case 3:
          if (!
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 19960; /* *pred_extract_firstrvvm1si */

        case 4:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 133 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 19970; /* *pred_extract_firstrvvmf2si */

        case 5:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 213 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
            return -1;
          return 19996; /* *pred_extract_firstv1si */

        case 6:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
            return -1;
          return 19997; /* *pred_extract_firstv2si */

        case 7:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 215 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
            return -1;
          return 19998; /* *pred_extract_firstv4si */

        case 8:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 216 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
            return -1;
          return 19999; /* *pred_extract_firstv8si */

        case 9:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 217 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 20000; /* *pred_extract_firstv16si */

        case 10:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 218 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 20001; /* *pred_extract_firstv32si */

        case 11:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 219 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 20002; /* *pred_extract_firstv64si */

        case 12:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 220 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 20003; /* *pred_extract_firstv128si */

        case 13:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 20004; /* *pred_extract_firstv256si */

        case 14:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 222 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 20005; /* *pred_extract_firstv512si */

        case 15:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 223 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 20006; /* *pred_extract_firstv1024si */

        default:
          return -1;
        }

    case E_DImode:
      switch (pattern447 (x2))
        {
        case 0:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 19961; /* *pred_extract_firstrvvm8di */

        case 1:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 19962; /* *pred_extract_firstrvvm4di */

        case 2:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 19963; /* *pred_extract_firstrvvm2di */

        case 3:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 19964; /* *pred_extract_firstrvvm1di */

        case 4:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 224 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
            return -1;
          return 20007; /* *pred_extract_firstv1di */

        case 5:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 225 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
            return -1;
          return 20008; /* *pred_extract_firstv2di */

        case 6:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 226 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
            return -1;
          return 20009; /* *pred_extract_firstv4di */

        case 7:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 227 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 20010; /* *pred_extract_firstv8di */

        case 8:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 228 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 20011; /* *pred_extract_firstv16di */

        case 9:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 229 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 20012; /* *pred_extract_firstv32di */

        case 10:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 230 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 20013; /* *pred_extract_firstv64di */

        case 11:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 20014; /* *pred_extract_firstv128di */

        case 12:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 232 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 20015; /* *pred_extract_firstv256di */

        case 13:
          if (!(
#line 8031 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 233 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 20016; /* *pred_extract_firstv512di */

        default:
          return -1;
        }

    case E_HFmode:
      if (!register_operand (operands[0], E_HFmode)
          || GET_MODE (x2) != E_HFmode
          || GET_MODE (x3) != E_HFmode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_RVVM8HFmode:
          if (!register_operand (operands[1], E_RVVM8HFmode)
              || !(
#line 8094 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
            return -1;
          return 20031; /* *pred_extract_firstrvvm8hf */

        case E_RVVM4HFmode:
          if (!register_operand (operands[1], E_RVVM4HFmode)
              || !(
#line 8094 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
            return -1;
          return 20032; /* *pred_extract_firstrvvm4hf */

        case E_RVVM2HFmode:
          if (!register_operand (operands[1], E_RVVM2HFmode)
              || !(
#line 8094 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
            return -1;
          return 20033; /* *pred_extract_firstrvvm2hf */

        case E_RVVM1HFmode:
          if (!register_operand (operands[1], E_RVVM1HFmode)
              || !(
#line 8094 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
            return -1;
          return 20034; /* *pred_extract_firstrvvm1hf */

        case E_RVVMF2HFmode:
          if (!register_operand (operands[1], E_RVVMF2HFmode)
              || !(
#line 8094 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
            return -1;
          return 20035; /* *pred_extract_firstrvvmf2hf */

        case E_RVVMF4HFmode:
          if (!register_operand (operands[1], E_RVVMF4HFmode)
              || !(
#line 8094 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 157 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH && TARGET_MIN_VLEN > 32)))
            return -1;
          return 20036; /* *pred_extract_firstrvvmf4hf */

        case E_V1HFmode:
          if (!register_operand (operands[1], E_V1HFmode)
              || !(
#line 8094 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 236 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HFmode) && TARGET_ZVFH)))
            return -1;
          return 20046; /* *pred_extract_firstv1hf */

        case E_V2HFmode:
          if (!register_operand (operands[1], E_V2HFmode)
              || !(
#line 8094 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 237 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HFmode) && TARGET_ZVFH)))
            return -1;
          return 20047; /* *pred_extract_firstv2hf */

        case E_V4HFmode:
          if (!register_operand (operands[1], E_V4HFmode)
              || !(
#line 8094 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HFmode) && TARGET_ZVFH)))
            return -1;
          return 20048; /* *pred_extract_firstv4hf */

        case E_V8HFmode:
          if (!register_operand (operands[1], E_V8HFmode)
              || !(
#line 8094 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 239 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HFmode) && TARGET_ZVFH)))
            return -1;
          return 20049; /* *pred_extract_firstv8hf */

        case E_V16HFmode:
          if (!register_operand (operands[1], E_V16HFmode)
              || !(
#line 8094 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HFmode) && TARGET_ZVFH)))
            return -1;
          return 20050; /* *pred_extract_firstv16hf */

        case E_V32HFmode:
          if (!register_operand (operands[1], E_V32HFmode)
              || !(
#line 8094 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 20051; /* *pred_extract_firstv32hf */

        case E_V64HFmode:
          if (!register_operand (operands[1], E_V64HFmode)
              || !(
#line 8094 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 242 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 20052; /* *pred_extract_firstv64hf */

        case E_V128HFmode:
          if (!register_operand (operands[1], E_V128HFmode)
              || !(
#line 8094 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 243 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 20053; /* *pred_extract_firstv128hf */

        case E_V256HFmode:
          if (!register_operand (operands[1], E_V256HFmode)
              || !(
#line 8094 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 244 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 20054; /* *pred_extract_firstv256hf */

        case E_V512HFmode:
          if (!register_operand (operands[1], E_V512HFmode)
              || !(
#line 8094 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 245 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 20055; /* *pred_extract_firstv512hf */

        case E_V1024HFmode:
          if (!register_operand (operands[1], E_V1024HFmode)
              || !(
#line 8094 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 246 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 20056; /* *pred_extract_firstv1024hf */

        case E_V2048HFmode:
          if (!register_operand (operands[1], E_V2048HFmode)
              || !(
#line 8094 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 247 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 20057; /* *pred_extract_firstv2048hf */

        default:
          return -1;
        }

    case E_SFmode:
      if (!register_operand (operands[0], E_SFmode)
          || GET_MODE (x2) != E_SFmode
          || GET_MODE (x3) != E_SFmode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_RVVM8SFmode:
          if (!register_operand (operands[1], E_RVVM8SFmode)
              || !(
#line 8094 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 20037; /* *pred_extract_firstrvvm8sf */

        case E_RVVM4SFmode:
          if (!register_operand (operands[1], E_RVVM4SFmode)
              || !(
#line 8094 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 20038; /* *pred_extract_firstrvvm4sf */

        case E_RVVM2SFmode:
          if (!register_operand (operands[1], E_RVVM2SFmode)
              || !(
#line 8094 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 20039; /* *pred_extract_firstrvvm2sf */

        case E_RVVM1SFmode:
          if (!register_operand (operands[1], E_RVVM1SFmode)
              || !(
#line 8094 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 20040; /* *pred_extract_firstrvvm1sf */

        case E_RVVMF2SFmode:
          if (!register_operand (operands[1], E_RVVMF2SFmode)
              || !(
#line 8094 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32)))
            return -1;
          return 20041; /* *pred_extract_firstrvvmf2sf */

        case E_V1SFmode:
          if (!register_operand (operands[1], E_V1SFmode)
              || !(
#line 8094 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 248 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SFmode) && TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 20058; /* *pred_extract_firstv1sf */

        case E_V2SFmode:
          if (!register_operand (operands[1], E_V2SFmode)
              || !(
#line 8094 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 249 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SFmode) && TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 20059; /* *pred_extract_firstv2sf */

        case E_V4SFmode:
          if (!register_operand (operands[1], E_V4SFmode)
              || !(
#line 8094 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 250 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SFmode) && TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 20060; /* *pred_extract_firstv4sf */

        case E_V8SFmode:
          if (!register_operand (operands[1], E_V8SFmode)
              || !(
#line 8094 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 251 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SFmode) && TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 20061; /* *pred_extract_firstv8sf */

        case E_V16SFmode:
          if (!register_operand (operands[1], E_V16SFmode)
              || !(
#line 8094 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 252 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 20062; /* *pred_extract_firstv16sf */

        case E_V32SFmode:
          if (!register_operand (operands[1], E_V32SFmode)
              || !(
#line 8094 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 253 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 20063; /* *pred_extract_firstv32sf */

        case E_V64SFmode:
          if (!register_operand (operands[1], E_V64SFmode)
              || !(
#line 8094 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 254 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 20064; /* *pred_extract_firstv64sf */

        case E_V128SFmode:
          if (!register_operand (operands[1], E_V128SFmode)
              || !(
#line 8094 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 255 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 20065; /* *pred_extract_firstv128sf */

        case E_V256SFmode:
          if (!register_operand (operands[1], E_V256SFmode)
              || !(
#line 8094 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 256 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 20066; /* *pred_extract_firstv256sf */

        case E_V512SFmode:
          if (!register_operand (operands[1], E_V512SFmode)
              || !(
#line 8094 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 257 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 20067; /* *pred_extract_firstv512sf */

        case E_V1024SFmode:
          if (!register_operand (operands[1], E_V1024SFmode)
              || !(
#line 8094 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 258 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 20068; /* *pred_extract_firstv1024sf */

        default:
          return -1;
        }

    case E_DFmode:
      if (!register_operand (operands[0], E_DFmode)
          || GET_MODE (x2) != E_DFmode
          || GET_MODE (x3) != E_DFmode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_RVVM8DFmode:
          if (!register_operand (operands[1], E_RVVM8DFmode)
              || !(
#line 8094 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 20042; /* *pred_extract_firstrvvm8df */

        case E_RVVM4DFmode:
          if (!register_operand (operands[1], E_RVVM4DFmode)
              || !(
#line 8094 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 20043; /* *pred_extract_firstrvvm4df */

        case E_RVVM2DFmode:
          if (!register_operand (operands[1], E_RVVM2DFmode)
              || !(
#line 8094 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 20044; /* *pred_extract_firstrvvm2df */

        case E_RVVM1DFmode:
          if (!register_operand (operands[1], E_RVVM1DFmode)
              || !(
#line 8094 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 20045; /* *pred_extract_firstrvvm1df */

        case E_V1DFmode:
          if (!register_operand (operands[1], E_V1DFmode)
              || !(
#line 8094 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 259 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DFmode) && TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 20069; /* *pred_extract_firstv1df */

        case E_V2DFmode:
          if (!register_operand (operands[1], E_V2DFmode)
              || !(
#line 8094 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DFmode) && TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 20070; /* *pred_extract_firstv2df */

        case E_V4DFmode:
          if (!register_operand (operands[1], E_V4DFmode)
              || !(
#line 8094 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 261 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DFmode) && TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 20071; /* *pred_extract_firstv4df */

        case E_V8DFmode:
          if (!register_operand (operands[1], E_V8DFmode)
              || !(
#line 8094 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 262 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 20072; /* *pred_extract_firstv8df */

        case E_V16DFmode:
          if (!register_operand (operands[1], E_V16DFmode)
              || !(
#line 8094 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 20073; /* *pred_extract_firstv16df */

        case E_V32DFmode:
          if (!register_operand (operands[1], E_V32DFmode)
              || !(
#line 8094 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 264 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 20074; /* *pred_extract_firstv32df */

        case E_V64DFmode:
          if (!register_operand (operands[1], E_V64DFmode)
              || !(
#line 8094 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 265 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 20075; /* *pred_extract_firstv64df */

        case E_V128DFmode:
          if (!register_operand (operands[1], E_V128DFmode)
              || !(
#line 8094 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 266 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 20076; /* *pred_extract_firstv128df */

        case E_V256DFmode:
          if (!register_operand (operands[1], E_V256DFmode)
              || !(
#line 8094 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 267 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 20077; /* *pred_extract_firstv256df */

        case E_V512DFmode:
          if (!register_operand (operands[1], E_V512DFmode)
              || !(
#line 8094 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 20078; /* *pred_extract_firstv512df */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_56 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], E_RVVMF8BImode))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != E_RVVMF8BImode
      || !register_operand (operands[3], E_RVVMF8BImode))
    return -1;
  x3 = XVECEXP (x2, 0, 2);
  if (GET_MODE (x3) != E_RVVMF8BImode)
    return -1;
  x4 = XVECEXP (x2, 0, 0);
  switch (GET_MODE (x4))
    {
    case E_RVVM1QImode:
      x5 = XEXP (x4, 0);
      if (GET_MODE (x5) != E_RVVM1QImode
          || !register_operand (operands[2], E_QImode)
          || !register_operand (operands[1], E_RVVM1QImode)
          || !
#line 3496 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 8692; /* pred_madcrvvm1qi_scalar */

    case E_RVVM2HImode:
      x5 = XEXP (x4, 0);
      if (GET_MODE (x5) != E_RVVM2HImode
          || !register_operand (operands[2], E_HImode)
          || !register_operand (operands[1], E_RVVM2HImode)
          || !
#line 3496 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 8698; /* pred_madcrvvm2hi_scalar */

    case E_RVVM4SImode:
      x5 = XEXP (x4, 0);
      if (GET_MODE (x5) != E_RVVM4SImode
          || !register_operand (operands[2], E_SImode)
          || !register_operand (operands[1], E_RVVM4SImode)
          || !
#line 3496 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 8703; /* pred_madcrvvm4si_scalar */

    case E_RVVM8DImode:
      x5 = XEXP (x4, 0);
      if (GET_MODE (x5) != E_RVVM8DImode
          || !reg_or_0_operand (operands[2], E_DImode)
          || !register_operand (operands[1], E_RVVM8DImode)
          || !(
#line 3567 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 769 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 8797; /* *pred_madcrvvm8di_scalar */

    default:
      return -1;
    }
}

 int
recog_61 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (pattern589 (x2, 
E_V1024BImode) != 0)
    return -1;
  x3 = XVECEXP (x2, 0, 0);
  switch (GET_MODE (x3))
    {
    case E_V1024QImode:
      x4 = XEXP (x3, 0);
      if (GET_MODE (x4) != E_V1024QImode
          || !register_operand (operands[2], E_QImode)
          || !register_operand (operands[1], E_V1024QImode)
          || !(
#line 3496 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 581 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024QImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 8717; /* pred_madcv1024qi_scalar */

    case E_V1024HImode:
      x4 = XEXP (x3, 0);
      if (GET_MODE (x4) != E_V1024HImode
          || !register_operand (operands[2], E_HImode)
          || !register_operand (operands[1], E_V1024HImode)
          || !(
#line 3496 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 8730; /* pred_madcv1024hi_scalar */

    case E_V1024SImode:
      x4 = XEXP (x3, 0);
      if (GET_MODE (x4) != E_V1024SImode
          || !register_operand (operands[2], E_SImode)
          || !register_operand (operands[1], E_V1024SImode)
          || !(
#line 3496 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 606 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 8742; /* pred_madcv1024si_scalar */

    default:
      return -1;
    }
}

 int
recog_66 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[0]))
    {
    case E_RVVM1QImode:
      x2 = XEXP (x1, 1);
      switch (pattern677 (x2, 
E_RVVM1QImode))
        {
        case 0:
          if (!
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 18127; /* pred_redmaxrvvm8qi */

        case 1:
          if (!
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 18135; /* pred_redmaxrvvm4qi */

        case 2:
          if (!
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 18143; /* pred_redmaxrvvm2qi */

        case 3:
          if (!
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 18151; /* pred_redmaxrvvm1qi */

        case 4:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
            return -1;
          return 18255; /* pred_redmaxrvvmf2qi */

        case 5:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
            return -1;
          return 18263; /* pred_redmaxrvvmf4qi */

        case 6:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 131 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 18271; /* pred_redmaxrvvmf8qi */

        case 7:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 188 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1QImode))))
            return -1;
          return 18303; /* pred_redmaxv1qi */

        case 8:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 189 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2QImode))))
            return -1;
          return 18311; /* pred_redmaxv2qi */

        case 9:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 190 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4QImode))))
            return -1;
          return 18319; /* pred_redmaxv4qi */

        case 10:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 191 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8QImode))))
            return -1;
          return 18327; /* pred_redmaxv8qi */

        case 11:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16QImode))))
            return -1;
          return 18335; /* pred_redmaxv16qi */

        case 12:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 193 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32QImode))))
            return -1;
          return 18343; /* pred_redmaxv32qi */

        case 13:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 194 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64QImode) && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 18351; /* pred_redmaxv64qi */

        case 14:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 195 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128QImode) && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 18359; /* pred_redmaxv128qi */

        case 15:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 196 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256QImode) && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 18367; /* pred_redmaxv256qi */

        case 16:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 197 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512QImode) && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 18375; /* pred_redmaxv512qi */

        case 17:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 198 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024QImode) && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 18383; /* pred_redmaxv1024qi */

        case 18:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 199 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048QImode) && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 18391; /* pred_redmaxv2048qi */

        case 19:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 200 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4096QImode) && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 18399; /* pred_redmaxv4096qi */

        default:
          return -1;
        }

    case E_RVVM1HImode:
      x2 = XEXP (x1, 1);
      switch (pattern678 (x2, 
E_RVVM1HImode))
        {
        case 0:
          if (!
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 18159; /* pred_redmaxrvvm8hi */

        case 1:
          if (!
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 18167; /* pred_redmaxrvvm4hi */

        case 2:
          if (!
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 18175; /* pred_redmaxrvvm2hi */

        case 3:
          if (!
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 18183; /* pred_redmaxrvvm1hi */

        case 4:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
            return -1;
          return 18279; /* pred_redmaxrvvmf2hi */

        case 5:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 132 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 18287; /* pred_redmaxrvvmf4hi */

        case 6:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 201 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
            return -1;
          return 18407; /* pred_redmaxv1hi */

        case 7:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
            return -1;
          return 18415; /* pred_redmaxv2hi */

        case 8:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 203 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
            return -1;
          return 18423; /* pred_redmaxv4hi */

        case 9:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 204 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
            return -1;
          return 18431; /* pred_redmaxv8hi */

        case 10:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
            return -1;
          return 18439; /* pred_redmaxv16hi */

        case 11:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 206 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 18447; /* pred_redmaxv32hi */

        case 12:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 207 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 18455; /* pred_redmaxv64hi */

        case 13:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 208 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 18463; /* pred_redmaxv128hi */

        case 14:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 209 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 18471; /* pred_redmaxv256hi */

        case 15:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 18479; /* pred_redmaxv512hi */

        case 16:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 211 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 18487; /* pred_redmaxv1024hi */

        case 17:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 18495; /* pred_redmaxv2048hi */

        default:
          return -1;
        }

    case E_RVVM1SImode:
      x2 = XEXP (x1, 1);
      switch (pattern679 (x2, 
E_RVVM1SImode))
        {
        case 0:
          if (!
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 18191; /* pred_redmaxrvvm8si */

        case 1:
          if (!
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 18199; /* pred_redmaxrvvm4si */

        case 2:
          if (!
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 18207; /* pred_redmaxrvvm2si */

        case 3:
          if (!
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 18215; /* pred_redmaxrvvm1si */

        case 4:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 133 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 18295; /* pred_redmaxrvvmf2si */

        case 5:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 213 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
            return -1;
          return 18503; /* pred_redmaxv1si */

        case 6:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
            return -1;
          return 18511; /* pred_redmaxv2si */

        case 7:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 215 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
            return -1;
          return 18519; /* pred_redmaxv4si */

        case 8:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 216 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
            return -1;
          return 18527; /* pred_redmaxv8si */

        case 9:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 217 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 18535; /* pred_redmaxv16si */

        case 10:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 218 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 18543; /* pred_redmaxv32si */

        case 11:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 219 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 18551; /* pred_redmaxv64si */

        case 12:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 220 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 18559; /* pred_redmaxv128si */

        case 13:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 18567; /* pred_redmaxv256si */

        case 14:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 222 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 18575; /* pred_redmaxv512si */

        case 15:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 223 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 18583; /* pred_redmaxv1024si */

        default:
          return -1;
        }

    case E_RVVM1DImode:
      x2 = XEXP (x1, 1);
      switch (pattern680 (x2))
        {
        case 0:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 18223; /* pred_redmaxrvvm8di */

        case 1:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 18231; /* pred_redmaxrvvm4di */

        case 2:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 18239; /* pred_redmaxrvvm2di */

        case 3:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 18247; /* pred_redmaxrvvm1di */

        case 4:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 224 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
            return -1;
          return 18591; /* pred_redmaxv1di */

        case 5:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 225 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
            return -1;
          return 18599; /* pred_redmaxv2di */

        case 6:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 226 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
            return -1;
          return 18607; /* pred_redmaxv4di */

        case 7:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 227 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 18615; /* pred_redmaxv8di */

        case 8:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 228 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 18623; /* pred_redmaxv16di */

        case 9:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 229 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 18631; /* pred_redmaxv32di */

        case 10:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 230 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 18639; /* pred_redmaxv64di */

        case 11:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 18647; /* pred_redmaxv128di */

        case 12:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 232 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 18655; /* pred_redmaxv256di */

        case 13:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 233 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 18663; /* pred_redmaxv512di */

        default:
          return -1;
        }

    case E_RVVM1HFmode:
      x2 = XEXP (x1, 1);
      switch (pattern681 (x2, 
E_RVVM1HFmode))
        {
        case 0:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
            return -1;
          return 19429; /* pred_redmaxrvvm8hf */

        case 1:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
            return -1;
          return 19431; /* pred_redmaxrvvm4hf */

        case 2:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
            return -1;
          return 19433; /* pred_redmaxrvvm2hf */

        case 3:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
            return -1;
          return 19435; /* pred_redmaxrvvm1hf */

        case 4:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
            return -1;
          return 19437; /* pred_redmaxrvvmf2hf */

        case 5:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 157 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH && TARGET_MIN_VLEN > 32)))
            return -1;
          return 19439; /* pred_redmaxrvvmf4hf */

        case 6:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 236 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HFmode) && TARGET_ZVFH)))
            return -1;
          return 19459; /* pred_redmaxv1hf */

        case 7:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 237 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HFmode) && TARGET_ZVFH)))
            return -1;
          return 19461; /* pred_redmaxv2hf */

        case 8:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HFmode) && TARGET_ZVFH)))
            return -1;
          return 19463; /* pred_redmaxv4hf */

        case 9:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 239 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HFmode) && TARGET_ZVFH)))
            return -1;
          return 19465; /* pred_redmaxv8hf */

        case 10:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HFmode) && TARGET_ZVFH)))
            return -1;
          return 19467; /* pred_redmaxv16hf */

        case 11:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 19469; /* pred_redmaxv32hf */

        case 12:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 242 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 19471; /* pred_redmaxv64hf */

        case 13:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 243 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 19473; /* pred_redmaxv128hf */

        case 14:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 244 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 19475; /* pred_redmaxv256hf */

        case 15:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 245 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 19477; /* pred_redmaxv512hf */

        case 16:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 246 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 19479; /* pred_redmaxv1024hf */

        case 17:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 247 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 19481; /* pred_redmaxv2048hf */

        default:
          return -1;
        }

    case E_RVVM1SFmode:
      x2 = XEXP (x1, 1);
      switch (pattern682 (x2, 
E_RVVM1SFmode))
        {
        case 0:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 19441; /* pred_redmaxrvvm8sf */

        case 1:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 19443; /* pred_redmaxrvvm4sf */

        case 2:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 19445; /* pred_redmaxrvvm2sf */

        case 3:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 19447; /* pred_redmaxrvvm1sf */

        case 4:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32)))
            return -1;
          return 19449; /* pred_redmaxrvvmf2sf */

        case 5:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 248 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SFmode) && TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 19483; /* pred_redmaxv1sf */

        case 6:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 249 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SFmode) && TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 19485; /* pred_redmaxv2sf */

        case 7:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 250 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SFmode) && TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 19487; /* pred_redmaxv4sf */

        case 8:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 251 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SFmode) && TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 19489; /* pred_redmaxv8sf */

        case 9:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 252 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 19491; /* pred_redmaxv16sf */

        case 10:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 253 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 19493; /* pred_redmaxv32sf */

        case 11:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 254 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 19495; /* pred_redmaxv64sf */

        case 12:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 255 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 19497; /* pred_redmaxv128sf */

        case 13:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 256 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 19499; /* pred_redmaxv256sf */

        case 14:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 257 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 19501; /* pred_redmaxv512sf */

        case 15:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 258 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 19503; /* pred_redmaxv1024sf */

        default:
          return -1;
        }

    case E_RVVM1DFmode:
      x2 = XEXP (x1, 1);
      switch (pattern683 (x2))
        {
        case 0:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 19451; /* pred_redmaxrvvm8df */

        case 1:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 19453; /* pred_redmaxrvvm4df */

        case 2:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 19455; /* pred_redmaxrvvm2df */

        case 3:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 19457; /* pred_redmaxrvvm1df */

        case 4:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 259 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DFmode) && TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 19505; /* pred_redmaxv1df */

        case 5:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DFmode) && TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 19507; /* pred_redmaxv2df */

        case 6:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 261 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DFmode) && TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 19509; /* pred_redmaxv4df */

        case 7:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 262 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 19511; /* pred_redmaxv8df */

        case 8:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 19513; /* pred_redmaxv16df */

        case 9:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 264 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 19515; /* pred_redmaxv32df */

        case 10:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 265 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 19517; /* pred_redmaxv64df */

        case 11:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 266 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 19519; /* pred_redmaxv128df */

        case 12:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 267 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 19521; /* pred_redmaxv256df */

        case 13:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 19523; /* pred_redmaxv512df */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_76 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[0]))
    {
    case E_RVVM1QImode:
      x2 = XEXP (x1, 1);
      switch (pattern677 (x2, 
E_RVVM1QImode))
        {
        case 0:
          if (!
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 18128; /* pred_redminurvvm8qi */

        case 1:
          if (!
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 18136; /* pred_redminurvvm4qi */

        case 2:
          if (!
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 18144; /* pred_redminurvvm2qi */

        case 3:
          if (!
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 18152; /* pred_redminurvvm1qi */

        case 4:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
            return -1;
          return 18256; /* pred_redminurvvmf2qi */

        case 5:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
            return -1;
          return 18264; /* pred_redminurvvmf4qi */

        case 6:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 131 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 18272; /* pred_redminurvvmf8qi */

        case 7:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 188 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1QImode))))
            return -1;
          return 18304; /* pred_redminuv1qi */

        case 8:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 189 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2QImode))))
            return -1;
          return 18312; /* pred_redminuv2qi */

        case 9:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 190 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4QImode))))
            return -1;
          return 18320; /* pred_redminuv4qi */

        case 10:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 191 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8QImode))))
            return -1;
          return 18328; /* pred_redminuv8qi */

        case 11:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16QImode))))
            return -1;
          return 18336; /* pred_redminuv16qi */

        case 12:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 193 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32QImode))))
            return -1;
          return 18344; /* pred_redminuv32qi */

        case 13:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 194 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64QImode) && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 18352; /* pred_redminuv64qi */

        case 14:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 195 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128QImode) && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 18360; /* pred_redminuv128qi */

        case 15:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 196 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256QImode) && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 18368; /* pred_redminuv256qi */

        case 16:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 197 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512QImode) && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 18376; /* pred_redminuv512qi */

        case 17:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 198 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024QImode) && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 18384; /* pred_redminuv1024qi */

        case 18:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 199 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048QImode) && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 18392; /* pred_redminuv2048qi */

        case 19:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 200 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4096QImode) && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 18400; /* pred_redminuv4096qi */

        default:
          return -1;
        }

    case E_RVVM1HImode:
      x2 = XEXP (x1, 1);
      switch (pattern678 (x2, 
E_RVVM1HImode))
        {
        case 0:
          if (!
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 18160; /* pred_redminurvvm8hi */

        case 1:
          if (!
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 18168; /* pred_redminurvvm4hi */

        case 2:
          if (!
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 18176; /* pred_redminurvvm2hi */

        case 3:
          if (!
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 18184; /* pred_redminurvvm1hi */

        case 4:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
            return -1;
          return 18280; /* pred_redminurvvmf2hi */

        case 5:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 132 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 18288; /* pred_redminurvvmf4hi */

        case 6:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 201 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
            return -1;
          return 18408; /* pred_redminuv1hi */

        case 7:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
            return -1;
          return 18416; /* pred_redminuv2hi */

        case 8:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 203 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
            return -1;
          return 18424; /* pred_redminuv4hi */

        case 9:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 204 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
            return -1;
          return 18432; /* pred_redminuv8hi */

        case 10:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
            return -1;
          return 18440; /* pred_redminuv16hi */

        case 11:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 206 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 18448; /* pred_redminuv32hi */

        case 12:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 207 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 18456; /* pred_redminuv64hi */

        case 13:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 208 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 18464; /* pred_redminuv128hi */

        case 14:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 209 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 18472; /* pred_redminuv256hi */

        case 15:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 18480; /* pred_redminuv512hi */

        case 16:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 211 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 18488; /* pred_redminuv1024hi */

        case 17:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 18496; /* pred_redminuv2048hi */

        default:
          return -1;
        }

    case E_RVVM1SImode:
      x2 = XEXP (x1, 1);
      switch (pattern679 (x2, 
E_RVVM1SImode))
        {
        case 0:
          if (!
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 18192; /* pred_redminurvvm8si */

        case 1:
          if (!
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 18200; /* pred_redminurvvm4si */

        case 2:
          if (!
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 18208; /* pred_redminurvvm2si */

        case 3:
          if (!
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 18216; /* pred_redminurvvm1si */

        case 4:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 133 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 18296; /* pred_redminurvvmf2si */

        case 5:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 213 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
            return -1;
          return 18504; /* pred_redminuv1si */

        case 6:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
            return -1;
          return 18512; /* pred_redminuv2si */

        case 7:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 215 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
            return -1;
          return 18520; /* pred_redminuv4si */

        case 8:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 216 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
            return -1;
          return 18528; /* pred_redminuv8si */

        case 9:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 217 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 18536; /* pred_redminuv16si */

        case 10:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 218 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 18544; /* pred_redminuv32si */

        case 11:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 219 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 18552; /* pred_redminuv64si */

        case 12:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 220 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 18560; /* pred_redminuv128si */

        case 13:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 18568; /* pred_redminuv256si */

        case 14:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 222 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 18576; /* pred_redminuv512si */

        case 15:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 223 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 18584; /* pred_redminuv1024si */

        default:
          return -1;
        }

    case E_RVVM1DImode:
      x2 = XEXP (x1, 1);
      switch (pattern680 (x2))
        {
        case 0:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 18224; /* pred_redminurvvm8di */

        case 1:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 18232; /* pred_redminurvvm4di */

        case 2:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 18240; /* pred_redminurvvm2di */

        case 3:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 18248; /* pred_redminurvvm1di */

        case 4:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 224 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
            return -1;
          return 18592; /* pred_redminuv1di */

        case 5:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 225 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
            return -1;
          return 18600; /* pred_redminuv2di */

        case 6:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 226 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
            return -1;
          return 18608; /* pred_redminuv4di */

        case 7:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 227 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 18616; /* pred_redminuv8di */

        case 8:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 228 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 18624; /* pred_redminuv16di */

        case 9:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 229 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 18632; /* pred_redminuv32di */

        case 10:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 230 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 18640; /* pred_redminuv64di */

        case 11:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 18648; /* pred_redminuv128di */

        case 12:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 232 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 18656; /* pred_redminuv256di */

        case 13:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 233 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 18664; /* pred_redminuv512di */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_84 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 0);
  if (pattern361 (x3) != 0)
    return -1;
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[5] = x5;
  if (!vector_length_operand (operands[5], E_VOIDmode))
    return -1;
  x6 = XVECEXP (x3, 0, 2);
  operands[6] = x6;
  if (!const_int_operand (operands[6], E_VOIDmode))
    return -1;
  x7 = XVECEXP (x3, 0, 3);
  operands[7] = x7;
  if (!const_int_operand (operands[7], E_VOIDmode))
    return -1;
  x8 = XVECEXP (x2, 0, 1);
  switch (XINT (x8, 1))
    {
    case 143:
      return recog_78 (x1, insn, pnum_clobbers);

    case 149:
      return recog_77 (x1, insn, pnum_clobbers);

    case 150:
      return recog_66 (x1, insn, pnum_clobbers);

    case 151:
      return recog_76 (x1, insn, pnum_clobbers);

    case 152:
      return recog_65 (x1, insn, pnum_clobbers);

    case 153:
      return recog_75 (x1, insn, pnum_clobbers);

    case 154:
      return recog_74 (x1, insn, pnum_clobbers);

    case 155:
      return recog_73 (x1, insn, pnum_clobbers);

    case 144:
      return recog_72 (x1, insn, pnum_clobbers);

    case 156:
      return recog_71 (x1, insn, pnum_clobbers);

    case 157:
      return recog_64 (x1, insn, pnum_clobbers);

    case 158:
      return recog_70 (x1, insn, pnum_clobbers);

    case 159:
      return recog_63 (x1, insn, pnum_clobbers);

    case 160:
      return recog_69 (x1, insn, pnum_clobbers);

    case 161:
      return recog_68 (x1, insn, pnum_clobbers);

    case 162:
      return recog_67 (x1, insn, pnum_clobbers);

    case 163:
      switch (GET_MODE (operands[0]))
        {
        case E_RVVM1HImode:
          switch (pattern677 (x2, 
E_RVVM1HImode))
            {
            case 0:
              if (!
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 19213; /* pred_wredsumrvvm8qi */

            case 1:
              if (!
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 19215; /* pred_wredsumrvvm4qi */

            case 2:
              if (!
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 19217; /* pred_wredsumrvvm2qi */

            case 3:
              if (!
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 19219; /* pred_wredsumrvvm1qi */

            case 4:
              if (!
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 19221; /* pred_wredsumrvvmf2qi */

            case 5:
              if (!
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 19223; /* pred_wredsumrvvmf4qi */

            case 6:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 565 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
                return -1;
              return 19225; /* pred_wredsumrvvmf8qi */

            case 7:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1QImode))))
                return -1;
              return 19249; /* pred_wredsumv1qi */

            case 8:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 572 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2QImode))))
                return -1;
              return 19251; /* pred_wredsumv2qi */

            case 9:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 573 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4QImode))))
                return -1;
              return 19253; /* pred_wredsumv4qi */

            case 10:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 574 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8QImode))))
                return -1;
              return 19255; /* pred_wredsumv8qi */

            case 11:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 575 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16QImode))))
                return -1;
              return 19257; /* pred_wredsumv16qi */

            case 12:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32QImode))))
                return -1;
              return 19259; /* pred_wredsumv32qi */

            case 13:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 577 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64QImode) && TARGET_MIN_VLEN >= 64)))
                return -1;
              return 19261; /* pred_wredsumv64qi */

            case 14:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 578 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128QImode) && TARGET_MIN_VLEN >= 128)))
                return -1;
              return 19263; /* pred_wredsumv128qi */

            case 15:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 579 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256QImode) && TARGET_MIN_VLEN >= 256)))
                return -1;
              return 19265; /* pred_wredsumv256qi */

            case 16:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 580 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512QImode) && TARGET_MIN_VLEN >= 512)))
                return -1;
              return 19267; /* pred_wredsumv512qi */

            case 17:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 581 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024QImode) && TARGET_MIN_VLEN >= 1024)))
                return -1;
              return 19269; /* pred_wredsumv1024qi */

            case 18:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 582 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048QImode) && TARGET_MIN_VLEN >= 2048)))
                return -1;
              return 19271; /* pred_wredsumv2048qi */

            case 19:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 583 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4096QImode) && TARGET_MIN_VLEN >= 4096)))
                return -1;
              return 19273; /* pred_wredsumv4096qi */

            default:
              return -1;
            }

        case E_RVVM1SImode:
          switch (pattern678 (x2, 
E_RVVM1SImode))
            {
            case 0:
              if (!
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 19227; /* pred_wredsumrvvm8hi */

            case 1:
              if (!
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 19229; /* pred_wredsumrvvm4hi */

            case 2:
              if (!
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 19231; /* pred_wredsumrvvm2hi */

            case 3:
              if (!
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 19233; /* pred_wredsumrvvm1hi */

            case 4:
              if (!
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 19235; /* pred_wredsumrvvmf2hi */

            case 5:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 567 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
                return -1;
              return 19237; /* pred_wredsumrvvmf4hi */

            case 6:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 584 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
                return -1;
              return 19275; /* pred_wredsumv1hi */

            case 7:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 585 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
                return -1;
              return 19277; /* pred_wredsumv2hi */

            case 8:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 586 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
                return -1;
              return 19279; /* pred_wredsumv4hi */

            case 9:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
                return -1;
              return 19281; /* pred_wredsumv8hi */

            case 10:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 588 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
                return -1;
              return 19283; /* pred_wredsumv16hi */

            case 11:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
                return -1;
              return 19285; /* pred_wredsumv32hi */

            case 12:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 590 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
                return -1;
              return 19287; /* pred_wredsumv64hi */

            case 13:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 591 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
                return -1;
              return 19289; /* pred_wredsumv128hi */

            case 14:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
                return -1;
              return 19291; /* pred_wredsumv256hi */

            case 15:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 593 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
                return -1;
              return 19293; /* pred_wredsumv512hi */

            case 16:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
                return -1;
              return 19295; /* pred_wredsumv1024hi */

            case 17:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 595 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
                return -1;
              return 19297; /* pred_wredsumv2048hi */

            default:
              return -1;
            }

        case E_RVVM1DImode:
          switch (pattern679 (x2, 
E_RVVM1DImode))
            {
            case 0:
              if (!
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 19239; /* pred_wredsumrvvm8si */

            case 1:
              if (!
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 19241; /* pred_wredsumrvvm4si */

            case 2:
              if (!
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 19243; /* pred_wredsumrvvm2si */

            case 3:
              if (!
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 19245; /* pred_wredsumrvvm1si */

            case 4:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
                return -1;
              return 19247; /* pred_wredsumrvvmf2si */

            case 5:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 596 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
                return -1;
              return 19299; /* pred_wredsumv1si */

            case 6:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 597 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
                return -1;
              return 19301; /* pred_wredsumv2si */

            case 7:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 598 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
                return -1;
              return 19303; /* pred_wredsumv4si */

            case 8:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 599 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
                return -1;
              return 19305; /* pred_wredsumv8si */

            case 9:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 600 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
                return -1;
              return 19307; /* pred_wredsumv16si */

            case 10:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 601 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
                return -1;
              return 19309; /* pred_wredsumv32si */

            case 11:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 602 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
                return -1;
              return 19311; /* pred_wredsumv64si */

            case 12:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
                return -1;
              return 19313; /* pred_wredsumv128si */

            case 13:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 604 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
                return -1;
              return 19315; /* pred_wredsumv256si */

            case 14:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 605 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
                return -1;
              return 19317; /* pred_wredsumv512si */

            case 15:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 606 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
                return -1;
              return 19319; /* pred_wredsumv1024si */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case 164:
      switch (GET_MODE (operands[0]))
        {
        case E_RVVM1HImode:
          switch (pattern677 (x2, 
E_RVVM1HImode))
            {
            case 0:
              if (!
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 19214; /* pred_wredsumurvvm8qi */

            case 1:
              if (!
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 19216; /* pred_wredsumurvvm4qi */

            case 2:
              if (!
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 19218; /* pred_wredsumurvvm2qi */

            case 3:
              if (!
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 19220; /* pred_wredsumurvvm1qi */

            case 4:
              if (!
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 19222; /* pred_wredsumurvvmf2qi */

            case 5:
              if (!
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 19224; /* pred_wredsumurvvmf4qi */

            case 6:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 565 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
                return -1;
              return 19226; /* pred_wredsumurvvmf8qi */

            case 7:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1QImode))))
                return -1;
              return 19250; /* pred_wredsumuv1qi */

            case 8:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 572 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2QImode))))
                return -1;
              return 19252; /* pred_wredsumuv2qi */

            case 9:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 573 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4QImode))))
                return -1;
              return 19254; /* pred_wredsumuv4qi */

            case 10:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 574 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8QImode))))
                return -1;
              return 19256; /* pred_wredsumuv8qi */

            case 11:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 575 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16QImode))))
                return -1;
              return 19258; /* pred_wredsumuv16qi */

            case 12:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32QImode))))
                return -1;
              return 19260; /* pred_wredsumuv32qi */

            case 13:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 577 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64QImode) && TARGET_MIN_VLEN >= 64)))
                return -1;
              return 19262; /* pred_wredsumuv64qi */

            case 14:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 578 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128QImode) && TARGET_MIN_VLEN >= 128)))
                return -1;
              return 19264; /* pred_wredsumuv128qi */

            case 15:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 579 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256QImode) && TARGET_MIN_VLEN >= 256)))
                return -1;
              return 19266; /* pred_wredsumuv256qi */

            case 16:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 580 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512QImode) && TARGET_MIN_VLEN >= 512)))
                return -1;
              return 19268; /* pred_wredsumuv512qi */

            case 17:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 581 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024QImode) && TARGET_MIN_VLEN >= 1024)))
                return -1;
              return 19270; /* pred_wredsumuv1024qi */

            case 18:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 582 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048QImode) && TARGET_MIN_VLEN >= 2048)))
                return -1;
              return 19272; /* pred_wredsumuv2048qi */

            case 19:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 583 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4096QImode) && TARGET_MIN_VLEN >= 4096)))
                return -1;
              return 19274; /* pred_wredsumuv4096qi */

            default:
              return -1;
            }

        case E_RVVM1SImode:
          switch (pattern678 (x2, 
E_RVVM1SImode))
            {
            case 0:
              if (!
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 19228; /* pred_wredsumurvvm8hi */

            case 1:
              if (!
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 19230; /* pred_wredsumurvvm4hi */

            case 2:
              if (!
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 19232; /* pred_wredsumurvvm2hi */

            case 3:
              if (!
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 19234; /* pred_wredsumurvvm1hi */

            case 4:
              if (!
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 19236; /* pred_wredsumurvvmf2hi */

            case 5:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 567 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
                return -1;
              return 19238; /* pred_wredsumurvvmf4hi */

            case 6:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 584 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
                return -1;
              return 19276; /* pred_wredsumuv1hi */

            case 7:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 585 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
                return -1;
              return 19278; /* pred_wredsumuv2hi */

            case 8:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 586 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
                return -1;
              return 19280; /* pred_wredsumuv4hi */

            case 9:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
                return -1;
              return 19282; /* pred_wredsumuv8hi */

            case 10:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 588 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
                return -1;
              return 19284; /* pred_wredsumuv16hi */

            case 11:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
                return -1;
              return 19286; /* pred_wredsumuv32hi */

            case 12:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 590 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
                return -1;
              return 19288; /* pred_wredsumuv64hi */

            case 13:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 591 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
                return -1;
              return 19290; /* pred_wredsumuv128hi */

            case 14:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
                return -1;
              return 19292; /* pred_wredsumuv256hi */

            case 15:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 593 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
                return -1;
              return 19294; /* pred_wredsumuv512hi */

            case 16:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
                return -1;
              return 19296; /* pred_wredsumuv1024hi */

            case 17:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 595 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
                return -1;
              return 19298; /* pred_wredsumuv2048hi */

            default:
              return -1;
            }

        case E_RVVM1DImode:
          switch (pattern679 (x2, 
E_RVVM1DImode))
            {
            case 0:
              if (!
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 19240; /* pred_wredsumurvvm8si */

            case 1:
              if (!
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 19242; /* pred_wredsumurvvm4si */

            case 2:
              if (!
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 19244; /* pred_wredsumurvvm2si */

            case 3:
              if (!
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 19246; /* pred_wredsumurvvm1si */

            case 4:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
                return -1;
              return 19248; /* pred_wredsumurvvmf2si */

            case 5:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 596 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
                return -1;
              return 19300; /* pred_wredsumuv1si */

            case 6:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 597 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
                return -1;
              return 19302; /* pred_wredsumuv2si */

            case 7:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 598 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
                return -1;
              return 19304; /* pred_wredsumuv4si */

            case 8:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 599 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
                return -1;
              return 19306; /* pred_wredsumuv8si */

            case 9:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 600 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
                return -1;
              return 19308; /* pred_wredsumuv16si */

            case 10:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 601 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
                return -1;
              return 19310; /* pred_wredsumuv32si */

            case 11:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 602 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
                return -1;
              return 19312; /* pred_wredsumuv64si */

            case 12:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
                return -1;
              return 19314; /* pred_wredsumuv128si */

            case 13:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 604 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
                return -1;
              return 19316; /* pred_wredsumuv256si */

            case 14:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 605 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
                return -1;
              return 19318; /* pred_wredsumuv512si */

            case 15:
              if (!(
#line 7824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 606 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
                return -1;
              return 19320; /* pred_wredsumuv1024si */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case 165:
      return recog_79 (x1, insn, pnum_clobbers);

    case 166:
      switch (GET_MODE (operands[0]))
        {
        case E_RVVM1HImode:
          switch (pattern677 (x2, 
E_RVVM1HImode))
            {
            case 0:
              if (!
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 19322; /* pred_wredsumu_vl0srvvm8qi */

            case 1:
              if (!
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 19324; /* pred_wredsumu_vl0srvvm4qi */

            case 2:
              if (!
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 19326; /* pred_wredsumu_vl0srvvm2qi */

            case 3:
              if (!
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 19328; /* pred_wredsumu_vl0srvvm1qi */

            case 4:
              if (!
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 19330; /* pred_wredsumu_vl0srvvmf2qi */

            case 5:
              if (!
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 19332; /* pred_wredsumu_vl0srvvmf4qi */

            case 6:
              if (!(
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 565 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
                return -1;
              return 19334; /* pred_wredsumu_vl0srvvmf8qi */

            case 7:
              if (!(
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1QImode))))
                return -1;
              return 19358; /* pred_wredsumu_vl0sv1qi */

            case 8:
              if (!(
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 572 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2QImode))))
                return -1;
              return 19360; /* pred_wredsumu_vl0sv2qi */

            case 9:
              if (!(
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 573 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4QImode))))
                return -1;
              return 19362; /* pred_wredsumu_vl0sv4qi */

            case 10:
              if (!(
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 574 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8QImode))))
                return -1;
              return 19364; /* pred_wredsumu_vl0sv8qi */

            case 11:
              if (!(
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 575 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16QImode))))
                return -1;
              return 19366; /* pred_wredsumu_vl0sv16qi */

            case 12:
              if (!(
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32QImode))))
                return -1;
              return 19368; /* pred_wredsumu_vl0sv32qi */

            case 13:
              if (!(
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 577 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64QImode) && TARGET_MIN_VLEN >= 64)))
                return -1;
              return 19370; /* pred_wredsumu_vl0sv64qi */

            case 14:
              if (!(
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 578 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128QImode) && TARGET_MIN_VLEN >= 128)))
                return -1;
              return 19372; /* pred_wredsumu_vl0sv128qi */

            case 15:
              if (!(
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 579 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256QImode) && TARGET_MIN_VLEN >= 256)))
                return -1;
              return 19374; /* pred_wredsumu_vl0sv256qi */

            case 16:
              if (!(
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 580 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512QImode) && TARGET_MIN_VLEN >= 512)))
                return -1;
              return 19376; /* pred_wredsumu_vl0sv512qi */

            case 17:
              if (!(
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 581 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024QImode) && TARGET_MIN_VLEN >= 1024)))
                return -1;
              return 19378; /* pred_wredsumu_vl0sv1024qi */

            case 18:
              if (!(
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 582 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048QImode) && TARGET_MIN_VLEN >= 2048)))
                return -1;
              return 19380; /* pred_wredsumu_vl0sv2048qi */

            case 19:
              if (!(
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 583 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4096QImode) && TARGET_MIN_VLEN >= 4096)))
                return -1;
              return 19382; /* pred_wredsumu_vl0sv4096qi */

            default:
              return -1;
            }

        case E_RVVM1SImode:
          switch (pattern678 (x2, 
E_RVVM1SImode))
            {
            case 0:
              if (!
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 19336; /* pred_wredsumu_vl0srvvm8hi */

            case 1:
              if (!
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 19338; /* pred_wredsumu_vl0srvvm4hi */

            case 2:
              if (!
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 19340; /* pred_wredsumu_vl0srvvm2hi */

            case 3:
              if (!
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 19342; /* pred_wredsumu_vl0srvvm1hi */

            case 4:
              if (!
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 19344; /* pred_wredsumu_vl0srvvmf2hi */

            case 5:
              if (!(
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 567 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
                return -1;
              return 19346; /* pred_wredsumu_vl0srvvmf4hi */

            case 6:
              if (!(
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 584 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
                return -1;
              return 19384; /* pred_wredsumu_vl0sv1hi */

            case 7:
              if (!(
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 585 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
                return -1;
              return 19386; /* pred_wredsumu_vl0sv2hi */

            case 8:
              if (!(
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 586 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
                return -1;
              return 19388; /* pred_wredsumu_vl0sv4hi */

            case 9:
              if (!(
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
                return -1;
              return 19390; /* pred_wredsumu_vl0sv8hi */

            case 10:
              if (!(
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 588 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
                return -1;
              return 19392; /* pred_wredsumu_vl0sv16hi */

            case 11:
              if (!(
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
                return -1;
              return 19394; /* pred_wredsumu_vl0sv32hi */

            case 12:
              if (!(
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 590 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
                return -1;
              return 19396; /* pred_wredsumu_vl0sv64hi */

            case 13:
              if (!(
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 591 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
                return -1;
              return 19398; /* pred_wredsumu_vl0sv128hi */

            case 14:
              if (!(
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
                return -1;
              return 19400; /* pred_wredsumu_vl0sv256hi */

            case 15:
              if (!(
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 593 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
                return -1;
              return 19402; /* pred_wredsumu_vl0sv512hi */

            case 16:
              if (!(
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
                return -1;
              return 19404; /* pred_wredsumu_vl0sv1024hi */

            case 17:
              if (!(
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 595 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
                return -1;
              return 19406; /* pred_wredsumu_vl0sv2048hi */

            default:
              return -1;
            }

        case E_RVVM1DImode:
          switch (pattern679 (x2, 
E_RVVM1DImode))
            {
            case 0:
              if (!
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 19348; /* pred_wredsumu_vl0srvvm8si */

            case 1:
              if (!
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 19350; /* pred_wredsumu_vl0srvvm4si */

            case 2:
              if (!
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 19352; /* pred_wredsumu_vl0srvvm2si */

            case 3:
              if (!
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 19354; /* pred_wredsumu_vl0srvvm1si */

            case 4:
              if (!(
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
                return -1;
              return 19356; /* pred_wredsumu_vl0srvvmf2si */

            case 5:
              if (!(
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 596 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
                return -1;
              return 19408; /* pred_wredsumu_vl0sv1si */

            case 6:
              if (!(
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 597 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
                return -1;
              return 19410; /* pred_wredsumu_vl0sv2si */

            case 7:
              if (!(
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 598 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
                return -1;
              return 19412; /* pred_wredsumu_vl0sv4si */

            case 8:
              if (!(
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 599 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
                return -1;
              return 19414; /* pred_wredsumu_vl0sv8si */

            case 9:
              if (!(
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 600 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
                return -1;
              return 19416; /* pred_wredsumu_vl0sv16si */

            case 10:
              if (!(
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 601 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
                return -1;
              return 19418; /* pred_wredsumu_vl0sv32si */

            case 11:
              if (!(
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 602 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
                return -1;
              return 19420; /* pred_wredsumu_vl0sv64si */

            case 12:
              if (!(
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
                return -1;
              return 19422; /* pred_wredsumu_vl0sv128si */

            case 13:
              if (!(
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 604 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
                return -1;
              return 19424; /* pred_wredsumu_vl0sv256si */

            case 14:
              if (!(
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 605 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
                return -1;
              return 19426; /* pred_wredsumu_vl0sv512si */

            case 15:
              if (!(
#line 7846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 606 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
                return -1;
              return 19428; /* pred_wredsumu_vl0sv1024si */

            default:
              return -1;
            }

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_101 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern195 (x1))
    {
    case 0:
      if (!
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 20323; /* pred_slide1uprvvm8qi */

    case 1:
      if (!
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 20325; /* pred_slide1uprvvm4qi */

    case 2:
      if (!
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 20327; /* pred_slide1uprvvm2qi */

    case 3:
      if (!
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 20329; /* pred_slide1uprvvm1qi */

    case 4:
      if (!
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 20331; /* pred_slide1uprvvmf2qi */

    case 5:
      if (!
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 20333; /* pred_slide1uprvvmf4qi */

    case 6:
      if (!(
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 724 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 20335; /* pred_slide1uprvvmf8qi */

    case 7:
      if (!
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 20337; /* pred_slide1uprvvm8hi */

    case 8:
      if (!
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 20339; /* pred_slide1uprvvm4hi */

    case 9:
      if (!
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 20341; /* pred_slide1uprvvm2hi */

    case 10:
      if (!
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 20343; /* pred_slide1uprvvm1hi */

    case 11:
      if (!
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 20345; /* pred_slide1uprvvmf2hi */

    case 12:
      if (!(
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 726 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 20347; /* pred_slide1uprvvmf4hi */

    case 13:
      if (!
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 20349; /* pred_slide1uprvvm8si */

    case 14:
      if (!
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 20351; /* pred_slide1uprvvm4si */

    case 15:
      if (!
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 20353; /* pred_slide1uprvvm2si */

    case 16:
      if (!
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 20355; /* pred_slide1uprvvm1si */

    case 17:
      if (!(
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 728 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 20357; /* pred_slide1uprvvmf2si */

    case 18:
      if (!(
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 730 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1QImode))))
        return -1;
      return 20359; /* pred_slide1upv1qi */

    case 19:
      if (!(
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 731 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2QImode))))
        return -1;
      return 20361; /* pred_slide1upv2qi */

    case 20:
      if (!(
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 732 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4QImode))))
        return -1;
      return 20363; /* pred_slide1upv4qi */

    case 21:
      if (!(
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 733 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8QImode))))
        return -1;
      return 20365; /* pred_slide1upv8qi */

    case 22:
      if (!(
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 734 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16QImode))))
        return -1;
      return 20367; /* pred_slide1upv16qi */

    case 23:
      if (!(
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 735 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32QImode))))
        return -1;
      return 20369; /* pred_slide1upv32qi */

    case 24:
      if (!(
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 736 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64QImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 20371; /* pred_slide1upv64qi */

    case 25:
      if (!(
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 737 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128QImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 20373; /* pred_slide1upv128qi */

    case 26:
      if (!(
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256QImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 20375; /* pred_slide1upv256qi */

    case 27:
      if (!(
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 739 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512QImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 20377; /* pred_slide1upv512qi */

    case 28:
      if (!(
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024QImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 20379; /* pred_slide1upv1024qi */

    case 29:
      if (!(
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 741 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048QImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 20381; /* pred_slide1upv2048qi */

    case 30:
      if (!(
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 742 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4096QImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 20383; /* pred_slide1upv4096qi */

    case 31:
      if (!(
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 743 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
        return -1;
      return 20385; /* pred_slide1upv1hi */

    case 32:
      if (!(
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 744 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
        return -1;
      return 20387; /* pred_slide1upv2hi */

    case 33:
      if (!(
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 745 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
        return -1;
      return 20389; /* pred_slide1upv4hi */

    case 34:
      if (!(
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 746 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
        return -1;
      return 20391; /* pred_slide1upv8hi */

    case 35:
      if (!(
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 747 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
        return -1;
      return 20393; /* pred_slide1upv16hi */

    case 36:
      if (!(
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 748 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 20395; /* pred_slide1upv32hi */

    case 37:
      if (!(
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 749 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 20397; /* pred_slide1upv64hi */

    case 38:
      if (!(
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 750 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 20399; /* pred_slide1upv128hi */

    case 39:
      if (!(
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 751 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 20401; /* pred_slide1upv256hi */

    case 40:
      if (!(
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 752 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 20403; /* pred_slide1upv512hi */

    case 41:
      if (!(
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 753 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 20405; /* pred_slide1upv1024hi */

    case 42:
      if (!(
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 20407; /* pred_slide1upv2048hi */

    case 43:
      if (!(
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 755 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
        return -1;
      return 20409; /* pred_slide1upv1si */

    case 44:
      if (!(
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 756 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
        return -1;
      return 20411; /* pred_slide1upv2si */

    case 45:
      if (!(
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 757 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
        return -1;
      return 20413; /* pred_slide1upv4si */

    case 46:
      if (!(
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 758 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
        return -1;
      return 20415; /* pred_slide1upv8si */

    case 47:
      if (!(
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 759 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 20417; /* pred_slide1upv16si */

    case 48:
      if (!(
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 760 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 20419; /* pred_slide1upv32si */

    case 49:
      if (!(
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 761 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 20421; /* pred_slide1upv64si */

    case 50:
      if (!(
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 762 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 20423; /* pred_slide1upv128si */

    case 51:
      if (!(
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 763 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 20425; /* pred_slide1upv256si */

    case 52:
      if (!(
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 764 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 20427; /* pred_slide1upv512si */

    case 53:
      if (!(
#line 8134 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 765 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 20429; /* pred_slide1upv1024si */

    case 54:
      if (!(
#line 8178 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 774 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 20431; /* *pred_slide1uprvvm8di */

    case 55:
      if (!(
#line 8178 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 774 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 20433; /* *pred_slide1uprvvm4di */

    case 56:
      if (!(
#line 8178 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 775 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 20435; /* *pred_slide1uprvvm2di */

    case 57:
      if (!(
#line 8178 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 775 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 20437; /* *pred_slide1uprvvm1di */

    case 58:
      if (!(
#line 8178 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 777 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 20439; /* *pred_slide1upv1di */

    case 59:
      if (!(
#line 8178 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 778 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 20441; /* *pred_slide1upv2di */

    case 60:
      if (!(
#line 8178 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 779 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 20443; /* *pred_slide1upv4di */

    case 61:
      if (!(
#line 8178 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 780 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 20445; /* *pred_slide1upv8di */

    case 62:
      if (!(
#line 8178 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 20447; /* *pred_slide1upv16di */

    case 63:
      if (!(
#line 8178 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 782 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 20449; /* *pred_slide1upv32di */

    case 64:
      if (!(
#line 8178 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 783 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 20451; /* *pred_slide1upv64di */

    case 65:
      if (!(
#line 8178 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 784 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 20453; /* *pred_slide1upv128di */

    case 66:
      if (!(
#line 8178 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 785 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 20455; /* *pred_slide1upv256di */

    case 67:
      if (!(
#line 8178 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 786 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 20457; /* *pred_slide1upv512di */

    case 68:
      if (!(
#line 8198 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 774 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 20459; /* *pred_slide1uprvvm8di_extended */

    case 69:
      if (!(
#line 8198 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 774 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 20461; /* *pred_slide1uprvvm4di_extended */

    case 70:
      if (!(
#line 8198 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 775 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 20463; /* *pred_slide1uprvvm2di_extended */

    case 71:
      if (!(
#line 8198 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 775 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 20465; /* *pred_slide1uprvvm1di_extended */

    case 72:
      if (!(
#line 8198 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 777 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 20467; /* *pred_slide1upv1di_extended */

    case 73:
      if (!(
#line 8198 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 778 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 20469; /* *pred_slide1upv2di_extended */

    case 74:
      if (!(
#line 8198 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 779 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 20471; /* *pred_slide1upv4di_extended */

    case 75:
      if (!(
#line 8198 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 780 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 20473; /* *pred_slide1upv8di_extended */

    case 76:
      if (!(
#line 8198 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 20475; /* *pred_slide1upv16di_extended */

    case 77:
      if (!(
#line 8198 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 782 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 20477; /* *pred_slide1upv32di_extended */

    case 78:
      if (!(
#line 8198 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 783 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 20479; /* *pred_slide1upv64di_extended */

    case 79:
      if (!(
#line 8198 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 784 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 20481; /* *pred_slide1upv128di_extended */

    case 80:
      if (!(
#line 8198 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 785 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 20483; /* *pred_slide1upv256di_extended */

    case 81:
      if (!(
#line 8198 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 786 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 20485; /* *pred_slide1upv512di_extended */

    default:
      return -1;
    }
}

 int
recog_106 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (XINT (x2, 1))
    {
    case 36:
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      x4 = XVECEXP (x2, 0, 0);
      operands[1] = x4;
      switch (GET_MODE (operands[0]))
        {
        case E_HFmode:
          switch (pattern334 (x2, 
E_HFmode))
            {
            case 0:
              if (!(
#line 2077 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(!TARGET_ZFHMIN) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT)))
                return -1;
              return 142; /* *movhf_softfloat_boxing */

            case 1:
              if (!(
#line 2077 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(!TARGET_ZFHMIN) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)))
                return -1;
              return 144; /* *movhf_softfloat_boxing */

            default:
              return -1;
            }

        case E_BFmode:
          switch (pattern334 (x2, 
E_BFmode))
            {
            case 0:
              if (!(
#line 2077 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(!TARGET_ZFHMIN) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT)))
                return -1;
              return 143; /* *movbf_softfloat_boxing */

            case 1:
              if (!(
#line 2077 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(!TARGET_ZFHMIN) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)))
                return -1;
              return 145; /* *movbf_softfloat_boxing */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case 23:
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      x4 = XVECEXP (x2, 0, 0);
      operands[1] = x4;
      switch (GET_MODE (operands[0]))
        {
        case E_SImode:
          switch (pattern177 (x2, 
E_SImode))
            {
            case 0:
              if (!
#line 2176 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX))
                return -1;
              return 176; /* *lrintsfsi2 */

            case 1:
              if (!(
#line 2176 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX) && 
#line 106 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_DOUBLE_FLOAT || TARGET_ZDINX)))
                return -1;
              return 177; /* *lrintdfsi2 */

            case 2:
              if (!(
#line 2176 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX) && 
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_ZFH || TARGET_ZHINX)))
                return -1;
              return 178; /* *lrinthfsi2 */

            default:
              return -1;
            }

        case E_DImode:
          switch (pattern177 (x2, 
E_DImode))
            {
            case 0:
              if (!(
#line 2196 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_64BIT && (TARGET_HARD_FLOAT || TARGET_ZFINX)) && 
#line 105 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX)))
                return -1;
              return 182; /* lrintsfdi2 */

            case 1:
              if (!(
#line 2196 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_64BIT && (TARGET_HARD_FLOAT || TARGET_ZFINX)) && 
#line 106 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_DOUBLE_FLOAT || TARGET_ZDINX)))
                return -1;
              return 183; /* lrintdfdi2 */

            case 2:
              if (!(
#line 2196 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_64BIT && (TARGET_HARD_FLOAT || TARGET_ZFINX)) && 
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_ZFH || TARGET_ZHINX)))
                return -1;
              return 184; /* lrinthfdi2 */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case 17:
      switch (pattern178 (x1))
        {
        case 0:
          if (!
#line 2225 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX))
            return -1;
          return 185; /* *lroundsfsi2 */

        case 1:
          if (!(
#line 2225 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX) && 
#line 106 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_DOUBLE_FLOAT || TARGET_ZDINX)))
            return -1;
          return 191; /* *lrounddfsi2 */

        case 2:
          if (!(
#line 2225 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX) && 
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_ZFH || TARGET_ZHINX)))
            return -1;
          return 197; /* *lroundhfsi2 */

        case 3:
          if (!(
#line 2245 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_64BIT && (TARGET_HARD_FLOAT || TARGET_ZFINX)) && 
#line 105 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX)))
            return -1;
          return 221; /* lroundsfdi2 */

        case 4:
          if (!(
#line 2245 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_64BIT && (TARGET_HARD_FLOAT || TARGET_ZFINX)) && 
#line 106 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_DOUBLE_FLOAT || TARGET_ZDINX)))
            return -1;
          return 227; /* lrounddfdi2 */

        case 5:
          if (!(
#line 2245 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_64BIT && (TARGET_HARD_FLOAT || TARGET_ZFINX)) && 
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_ZFH || TARGET_ZHINX)))
            return -1;
          return 233; /* lroundhfdi2 */

        case 6:
          if (!(
#line 2323 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT && TARGET_ZFA) && 
#line 105 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX)))
            return -1;
          return 239; /* roundsf_zfa2 */

        case 7:
          if (!(
#line 2323 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT && TARGET_ZFA) && 
#line 106 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_DOUBLE_FLOAT || TARGET_ZDINX)))
            return -1;
          return 245; /* rounddf_zfa2 */

        case 8:
          if (!(
#line 2323 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT && TARGET_ZFA) && 
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_ZFH || TARGET_ZHINX)))
            return -1;
          return 251; /* roundhf_zfa2 */

        default:
          return -1;
        }

    case 18:
      switch (pattern178 (x1))
        {
        case 0:
          if (!
#line 2225 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX))
            return -1;
          return 186; /* *lfloorsfsi2 */

        case 1:
          if (!(
#line 2225 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX) && 
#line 106 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_DOUBLE_FLOAT || TARGET_ZDINX)))
            return -1;
          return 192; /* *lfloordfsi2 */

        case 2:
          if (!(
#line 2225 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX) && 
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_ZFH || TARGET_ZHINX)))
            return -1;
          return 198; /* *lfloorhfsi2 */

        case 3:
          if (!(
#line 2245 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_64BIT && (TARGET_HARD_FLOAT || TARGET_ZFINX)) && 
#line 105 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX)))
            return -1;
          return 222; /* lfloorsfdi2 */

        case 4:
          if (!(
#line 2245 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_64BIT && (TARGET_HARD_FLOAT || TARGET_ZFINX)) && 
#line 106 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_DOUBLE_FLOAT || TARGET_ZDINX)))
            return -1;
          return 228; /* lfloordfdi2 */

        case 5:
          if (!(
#line 2245 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_64BIT && (TARGET_HARD_FLOAT || TARGET_ZFINX)) && 
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_ZFH || TARGET_ZHINX)))
            return -1;
          return 234; /* lfloorhfdi2 */

        case 6:
          if (!(
#line 2323 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT && TARGET_ZFA) && 
#line 105 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX)))
            return -1;
          return 240; /* floorsf_zfa2 */

        case 7:
          if (!(
#line 2323 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT && TARGET_ZFA) && 
#line 106 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_DOUBLE_FLOAT || TARGET_ZDINX)))
            return -1;
          return 246; /* floordf_zfa2 */

        case 8:
          if (!(
#line 2323 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT && TARGET_ZFA) && 
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_ZFH || TARGET_ZHINX)))
            return -1;
          return 252; /* floorhf_zfa2 */

        default:
          return -1;
        }

    case 19:
      switch (pattern178 (x1))
        {
        case 0:
          if (!
#line 2225 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX))
            return -1;
          return 187; /* *lceilsfsi2 */

        case 1:
          if (!(
#line 2225 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX) && 
#line 106 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_DOUBLE_FLOAT || TARGET_ZDINX)))
            return -1;
          return 193; /* *lceildfsi2 */

        case 2:
          if (!(
#line 2225 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX) && 
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_ZFH || TARGET_ZHINX)))
            return -1;
          return 199; /* *lceilhfsi2 */

        case 3:
          if (!(
#line 2245 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_64BIT && (TARGET_HARD_FLOAT || TARGET_ZFINX)) && 
#line 105 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX)))
            return -1;
          return 223; /* lceilsfdi2 */

        case 4:
          if (!(
#line 2245 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_64BIT && (TARGET_HARD_FLOAT || TARGET_ZFINX)) && 
#line 106 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_DOUBLE_FLOAT || TARGET_ZDINX)))
            return -1;
          return 229; /* lceildfdi2 */

        case 5:
          if (!(
#line 2245 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_64BIT && (TARGET_HARD_FLOAT || TARGET_ZFINX)) && 
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_ZFH || TARGET_ZHINX)))
            return -1;
          return 235; /* lceilhfdi2 */

        case 6:
          if (!(
#line 2323 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT && TARGET_ZFA) && 
#line 105 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX)))
            return -1;
          return 241; /* ceilsf_zfa2 */

        case 7:
          if (!(
#line 2323 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT && TARGET_ZFA) && 
#line 106 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_DOUBLE_FLOAT || TARGET_ZDINX)))
            return -1;
          return 247; /* ceildf_zfa2 */

        case 8:
          if (!(
#line 2323 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT && TARGET_ZFA) && 
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_ZFH || TARGET_ZHINX)))
            return -1;
          return 253; /* ceilhf_zfa2 */

        default:
          return -1;
        }

    case 20:
      switch (pattern178 (x1))
        {
        case 0:
          if (!
#line 2225 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX))
            return -1;
          return 188; /* *lbtruncsfsi2 */

        case 1:
          if (!(
#line 2225 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX) && 
#line 106 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_DOUBLE_FLOAT || TARGET_ZDINX)))
            return -1;
          return 194; /* *lbtruncdfsi2 */

        case 2:
          if (!(
#line 2225 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX) && 
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_ZFH || TARGET_ZHINX)))
            return -1;
          return 200; /* *lbtrunchfsi2 */

        case 3:
          if (!(
#line 2245 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_64BIT && (TARGET_HARD_FLOAT || TARGET_ZFINX)) && 
#line 105 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX)))
            return -1;
          return 224; /* lbtruncsfdi2 */

        case 4:
          if (!(
#line 2245 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_64BIT && (TARGET_HARD_FLOAT || TARGET_ZFINX)) && 
#line 106 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_DOUBLE_FLOAT || TARGET_ZDINX)))
            return -1;
          return 230; /* lbtruncdfdi2 */

        case 5:
          if (!(
#line 2245 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_64BIT && (TARGET_HARD_FLOAT || TARGET_ZFINX)) && 
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_ZFH || TARGET_ZHINX)))
            return -1;
          return 236; /* lbtrunchfdi2 */

        case 6:
          if (!(
#line 2323 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT && TARGET_ZFA) && 
#line 105 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX)))
            return -1;
          return 242; /* btruncsf_zfa2 */

        case 7:
          if (!(
#line 2323 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT && TARGET_ZFA) && 
#line 106 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_DOUBLE_FLOAT || TARGET_ZDINX)))
            return -1;
          return 248; /* btruncdf_zfa2 */

        case 8:
          if (!(
#line 2323 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT && TARGET_ZFA) && 
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_ZFH || TARGET_ZHINX)))
            return -1;
          return 254; /* btrunchf_zfa2 */

        default:
          return -1;
        }

    case 21:
      switch (pattern178 (x1))
        {
        case 0:
          if (!
#line 2225 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX))
            return -1;
          return 189; /* *lroundevensfsi2 */

        case 1:
          if (!(
#line 2225 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX) && 
#line 106 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_DOUBLE_FLOAT || TARGET_ZDINX)))
            return -1;
          return 195; /* *lroundevendfsi2 */

        case 2:
          if (!(
#line 2225 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX) && 
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_ZFH || TARGET_ZHINX)))
            return -1;
          return 201; /* *lroundevenhfsi2 */

        case 3:
          if (!(
#line 2245 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_64BIT && (TARGET_HARD_FLOAT || TARGET_ZFINX)) && 
#line 105 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX)))
            return -1;
          return 225; /* lroundevensfdi2 */

        case 4:
          if (!(
#line 2245 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_64BIT && (TARGET_HARD_FLOAT || TARGET_ZFINX)) && 
#line 106 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_DOUBLE_FLOAT || TARGET_ZDINX)))
            return -1;
          return 231; /* lroundevendfdi2 */

        case 5:
          if (!(
#line 2245 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_64BIT && (TARGET_HARD_FLOAT || TARGET_ZFINX)) && 
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_ZFH || TARGET_ZHINX)))
            return -1;
          return 237; /* lroundevenhfdi2 */

        case 6:
          if (!(
#line 2323 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT && TARGET_ZFA) && 
#line 105 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX)))
            return -1;
          return 243; /* roundevensf_zfa2 */

        case 7:
          if (!(
#line 2323 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT && TARGET_ZFA) && 
#line 106 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_DOUBLE_FLOAT || TARGET_ZDINX)))
            return -1;
          return 249; /* roundevendf_zfa2 */

        case 8:
          if (!(
#line 2323 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT && TARGET_ZFA) && 
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_ZFH || TARGET_ZHINX)))
            return -1;
          return 255; /* roundevenhf_zfa2 */

        default:
          return -1;
        }

    case 22:
      switch (pattern178 (x1))
        {
        case 0:
          if (!
#line 2225 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX))
            return -1;
          return 190; /* *lnearbyintsfsi2 */

        case 1:
          if (!(
#line 2225 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX) && 
#line 106 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_DOUBLE_FLOAT || TARGET_ZDINX)))
            return -1;
          return 196; /* *lnearbyintdfsi2 */

        case 2:
          if (!(
#line 2225 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX) && 
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_ZFH || TARGET_ZHINX)))
            return -1;
          return 202; /* *lnearbyinthfsi2 */

        case 3:
          if (!(
#line 2245 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_64BIT && (TARGET_HARD_FLOAT || TARGET_ZFINX)) && 
#line 105 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX)))
            return -1;
          return 226; /* lnearbyintsfdi2 */

        case 4:
          if (!(
#line 2245 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_64BIT && (TARGET_HARD_FLOAT || TARGET_ZFINX)) && 
#line 106 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_DOUBLE_FLOAT || TARGET_ZDINX)))
            return -1;
          return 232; /* lnearbyintdfdi2 */

        case 5:
          if (!(
#line 2245 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_64BIT && (TARGET_HARD_FLOAT || TARGET_ZFINX)) && 
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_ZFH || TARGET_ZHINX)))
            return -1;
          return 238; /* lnearbyinthfdi2 */

        case 6:
          if (!(
#line 2323 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT && TARGET_ZFA) && 
#line 105 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX)))
            return -1;
          return 244; /* nearbyintsf_zfa2 */

        case 7:
          if (!(
#line 2323 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT && TARGET_ZFA) && 
#line 106 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_DOUBLE_FLOAT || TARGET_ZDINX)))
            return -1;
          return 250; /* nearbyintdf_zfa2 */

        case 8:
          if (!(
#line 2323 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT && TARGET_ZFA) && 
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_ZFH || TARGET_ZHINX)))
            return -1;
          return 256; /* nearbyinthf_zfa2 */

        default:
          return -1;
        }

    case 16:
      return recog_53 (x1, insn, pnum_clobbers);

    case 4:
      switch (pattern179 (x1))
        {
        case 0:
          if (!
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == SImode))
            return -1;
          return 260; /* got_loadsi */

        case 1:
          if (!
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == DImode))
            return -1;
          return 261; /* got_loaddi */

        default:
          return -1;
        }

    case 8:
      switch (pattern179 (x1))
        {
        case 0:
          if (!
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == SImode))
            return -1;
          return 264; /* got_load_tls_gdsi */

        case 1:
          if (!
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == DImode))
            return -1;
          return 265; /* got_load_tls_gddi */

        default:
          return -1;
        }

    case 7:
      switch (pattern179 (x1))
        {
        case 0:
          if (!
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == SImode))
            return -1;
          return 266; /* got_load_tls_iesi */

        case 1:
          if (!
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == DImode))
            return -1;
          return 267; /* got_load_tls_iedi */

        default:
          return -1;
        }

    case 9:
      return recog_55 (x1, insn, pnum_clobbers);

    case 14:
      if (GET_MODE (x2) != E_SImode)
        return -1;
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      if (!register_operand (operands[0], E_SImode))
        return -1;
      x4 = XVECEXP (x2, 0, 0);
      operands[1] = x4;
      if (!register_operand (operands[1], E_DFmode)
          || !
#line 2699 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT && !TARGET_64BIT && TARGET_ZFA))
        return -1;
      return 290; /* movsidf2_low_rv32 */

    case 15:
      if (GET_MODE (x2) != E_SImode)
        return -1;
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      if (!register_operand (operands[0], E_SImode))
        return -1;
      x4 = XVECEXP (x2, 0, 0);
      operands[1] = x4;
      if (!register_operand (operands[1], E_DFmode)
          || !
#line 2711 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT && !TARGET_64BIT && TARGET_ZFA))
        return -1;
      return 291; /* movsidf2_high_rv32 */

    case 28:
      return recog_54 (x1, insn, pnum_clobbers);

    case 30:
      switch (pattern180 (x1))
        {
        case 0:
          if (
#line 465 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
(TARGET_ZBB))
            return 566; /* orcbsi2 */
          if (!(
#line 140 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead.md"
(TARGET_XTHEADBB) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT)))
            return -1;
          return 889; /* th_tstnbzsi2 */

        case 1:
          if ((
#line 465 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
(TARGET_ZBB) && 
#line 27 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)))
            return 567; /* orcbdi2 */
          if (!(
#line 140 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead.md"
(TARGET_XTHEADBB) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)))
            return -1;
          return 890; /* th_tstnbzdi2 */

        default:
          return -1;
        }

    case 43:
      switch (pattern180 (x1))
        {
        case 0:
          if (!
#line 78 "../../gcc-15.0.1-20250329/gcc/config/riscv/crypto.md"
(TARGET_ZBKB))
            return -1;
          return 661; /* riscv_brev8_si */

        case 1:
          if (!(
#line 78 "../../gcc-15.0.1-20250329/gcc/config/riscv/crypto.md"
(TARGET_ZBKB) && 
#line 27 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)))
            return -1;
          return 662; /* riscv_brev8_di */

        default:
          return -1;
        }

    case 44:
      if (GET_MODE (x2) != E_SImode)
        return -1;
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      if (!register_operand (operands[0], E_SImode))
        return -1;
      x4 = XVECEXP (x2, 0, 0);
      operands[1] = x4;
      if (!register_operand (operands[1], E_SImode)
          || !
#line 86 "../../gcc-15.0.1-20250329/gcc/config/riscv/crypto.md"
(TARGET_ZBKB && !TARGET_64BIT))
        return -1;
      return 663; /* riscv_zip */

    case 45:
      if (GET_MODE (x2) != E_SImode)
        return -1;
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      if (!register_operand (operands[0], E_SImode))
        return -1;
      x4 = XVECEXP (x2, 0, 0);
      operands[1] = x4;
      if (!register_operand (operands[1], E_SImode)
          || !
#line 94 "../../gcc-15.0.1-20250329/gcc/config/riscv/crypto.md"
(TARGET_ZBKB && !TARGET_64BIT))
        return -1;
      return 664; /* riscv_unzip */

    case 55:
      if (GET_MODE (x2) != E_DImode)
        return -1;
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      if (!register_operand (operands[0], E_DImode))
        return -1;
      x4 = XVECEXP (x2, 0, 0);
      operands[1] = x4;
      if (!register_operand (operands[1], E_DImode)
          || !
#line 252 "../../gcc-15.0.1-20250329/gcc/config/riscv/crypto.md"
(TARGET_ZKND && TARGET_64BIT))
        return -1;
      return 687; /* riscv_aes64im */

    case 62:
      if (GET_MODE (x2) != E_SImode)
        return -1;
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      if (!register_operand (operands[0], E_SImode))
        return -1;
      x4 = XVECEXP (x2, 0, 0);
      operands[1] = x4;
      if (!register_operand (operands[1], E_SImode)
          || !
#line 327 "../../gcc-15.0.1-20250329/gcc/config/riscv/crypto.md"
(TARGET_ZKNH && !TARGET_64BIT))
        return -1;
      return 694; /* *riscv_sha256sig0_si */

    case 63:
      if (GET_MODE (x2) != E_SImode)
        return -1;
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      if (!register_operand (operands[0], E_SImode))
        return -1;
      x4 = XVECEXP (x2, 0, 0);
      operands[1] = x4;
      if (!register_operand (operands[1], E_SImode)
          || !
#line 327 "../../gcc-15.0.1-20250329/gcc/config/riscv/crypto.md"
(TARGET_ZKNH && !TARGET_64BIT))
        return -1;
      return 695; /* *riscv_sha256sig1_si */

    case 64:
      if (GET_MODE (x2) != E_SImode)
        return -1;
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      if (!register_operand (operands[0], E_SImode))
        return -1;
      x4 = XVECEXP (x2, 0, 0);
      operands[1] = x4;
      if (!register_operand (operands[1], E_SImode)
          || !
#line 327 "../../gcc-15.0.1-20250329/gcc/config/riscv/crypto.md"
(TARGET_ZKNH && !TARGET_64BIT))
        return -1;
      return 696; /* *riscv_sha256sum0_si */

    case 65:
      if (GET_MODE (x2) != E_SImode)
        return -1;
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      if (!register_operand (operands[0], E_SImode))
        return -1;
      x4 = XVECEXP (x2, 0, 0);
      operands[1] = x4;
      if (!register_operand (operands[1], E_SImode)
          || !
#line 327 "../../gcc-15.0.1-20250329/gcc/config/riscv/crypto.md"
(TARGET_ZKNH && !TARGET_64BIT))
        return -1;
      return 697; /* *riscv_sha256sum1_si */

    case 66:
      if (GET_MODE (x2) != E_DImode)
        return -1;
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      if (!register_operand (operands[0], E_DImode))
        return -1;
      x4 = XVECEXP (x2, 0, 0);
      operands[1] = x4;
      if (!register_operand (operands[1], E_DImode)
          || !
#line 419 "../../gcc-15.0.1-20250329/gcc/config/riscv/crypto.md"
(TARGET_ZKNH && TARGET_64BIT))
        return -1;
      return 708; /* riscv_sha512sig0 */

    case 69:
      if (GET_MODE (x2) != E_DImode)
        return -1;
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      if (!register_operand (operands[0], E_DImode))
        return -1;
      x4 = XVECEXP (x2, 0, 0);
      operands[1] = x4;
      if (!register_operand (operands[1], E_DImode)
          || !
#line 427 "../../gcc-15.0.1-20250329/gcc/config/riscv/crypto.md"
(TARGET_ZKNH && TARGET_64BIT))
        return -1;
      return 709; /* riscv_sha512sig1 */

    case 72:
      if (GET_MODE (x2) != E_DImode)
        return -1;
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      if (!register_operand (operands[0], E_DImode))
        return -1;
      x4 = XVECEXP (x2, 0, 0);
      operands[1] = x4;
      if (!register_operand (operands[1], E_DImode)
          || !
#line 435 "../../gcc-15.0.1-20250329/gcc/config/riscv/crypto.md"
(TARGET_ZKNH && TARGET_64BIT))
        return -1;
      return 710; /* riscv_sha512sum0 */

    case 74:
      if (GET_MODE (x2) != E_DImode)
        return -1;
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      if (!register_operand (operands[0], E_DImode))
        return -1;
      x4 = XVECEXP (x2, 0, 0);
      operands[1] = x4;
      if (!register_operand (operands[1], E_DImode)
          || !
#line 443 "../../gcc-15.0.1-20250329/gcc/config/riscv/crypto.md"
(TARGET_ZKNH && TARGET_64BIT))
        return -1;
      return 711; /* riscv_sha512sum1 */

    case 76:
      if (GET_MODE (x2) != E_SImode)
        return -1;
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      if (!register_operand (operands[0], E_SImode))
        return -1;
      x4 = XVECEXP (x2, 0, 0);
      operands[1] = x4;
      if (!register_operand (operands[1], E_SImode)
          || !
#line 456 "../../gcc-15.0.1-20250329/gcc/config/riscv/crypto.md"
(TARGET_ZKSH && !TARGET_64BIT))
        return -1;
      return 712; /* *riscv_sm3p0_si */

    case 77:
      if (GET_MODE (x2) != E_SImode)
        return -1;
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      if (!register_operand (operands[0], E_SImode))
        return -1;
      x4 = XVECEXP (x2, 0, 0);
      operands[1] = x4;
      if (!register_operand (operands[1], E_SImode)
          || !
#line 456 "../../gcc-15.0.1-20250329/gcc/config/riscv/crypto.md"
(TARGET_ZKSH && !TARGET_64BIT))
        return -1;
      return 713; /* *riscv_sm3p1_si */

    case 37:
      if (GET_MODE (x2) != E_SImode)
        return -1;
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      if (!register_operand (operands[0], E_SImode))
        return -1;
      x4 = XVECEXP (x2, 0, 0);
      operands[1] = x4;
      if (!register_operand (operands[1], E_DFmode)
          || !
#line 199 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead.md"
(!TARGET_64BIT && TARGET_XTHEADFMV))
        return -1;
      return 897; /* th_fmv_x_w */

    case 38:
      if (GET_MODE (x2) != E_SImode)
        return -1;
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      if (!register_operand (operands[0], E_SImode))
        return -1;
      x4 = XVECEXP (x2, 0, 0);
      operands[1] = x4;
      if (!register_operand (operands[1], E_DFmode)
          || !
#line 209 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead.md"
(!TARGET_64BIT && TARGET_XTHEADFMV))
        return -1;
      return 898; /* th_fmv_x_hw */

    case 92:
      x4 = XVECEXP (x2, 0, 0);
      if (GET_CODE (x4) != REG
          || REGNO (x4) != 0
          || GET_MODE (x4) != E_SImode)
        return -1;
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      return recog_50 (x1, insn, pnum_clobbers);

    case 94:
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      x4 = XVECEXP (x2, 0, 0);
      operands[1] = x4;
      switch (GET_MODE (operands[0]))
        {
        case E_SImode:
          if (!register_operand (operands[0], E_SImode)
              || GET_MODE (x2) != E_SImode
              || !const_int_operand (operands[1], E_SImode)
              || !(
#line 1080 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == SImode)))
            return -1;
          return 2719; /* vlmax_avlsi */

        case E_DImode:
          if (!register_operand (operands[0], E_DImode)
              || GET_MODE (x2) != E_DImode
              || !const_int_operand (operands[1], E_DImode)
              || !(
#line 1080 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == DImode)))
            return -1;
          return 2720; /* vlmax_avldi */

        default:
          return -1;
        }

    case 143:
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      return recog_51 (x1, insn, pnum_clobbers);

    case 146:
      return recog_52 (x1, insn, pnum_clobbers);

    case 290:
      if (GET_MODE (x2) != E_SImode)
        return -1;
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      if (!register_operand (operands[0], E_SImode))
        return -1;
      x4 = XVECEXP (x2, 0, 0);
      operands[1] = x4;
      if (!register_operand (operands[1], E_SImode)
          || !
#line 1555 "../../gcc-15.0.1-20250329/gcc/config/riscv/corev.md"
(TARGET_XCVSIMD && !TARGET_64BIT))
        return -1;
      return 34000; /* riscv_cv_simd_abs_h_si */

    case 291:
      if (GET_MODE (x2) != E_SImode)
        return -1;
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      if (!register_operand (operands[0], E_SImode))
        return -1;
      x4 = XVECEXP (x2, 0, 0);
      operands[1] = x4;
      if (!register_operand (operands[1], E_SImode)
          || !
#line 1564 "../../gcc-15.0.1-20250329/gcc/config/riscv/corev.md"
(TARGET_XCVSIMD && !TARGET_64BIT))
        return -1;
      return 34001; /* riscv_cv_simd_abs_b_si */

    case 292:
      if (GET_MODE (x2) != E_SImode)
        return -1;
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      if (!register_operand (operands[0], E_SImode))
        return -1;
      x4 = XVECEXP (x2, 0, 0);
      operands[1] = x4;
      if (!register_operand (operands[1], E_SImode)
          || !
#line 1573 "../../gcc-15.0.1-20250329/gcc/config/riscv/corev.md"
(TARGET_XCVSIMD && !TARGET_64BIT))
        return -1;
      return 34002; /* riscv_cv_simd_neg_h_si */

    case 293:
      if (GET_MODE (x2) != E_SImode)
        return -1;
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      if (!register_operand (operands[0], E_SImode))
        return -1;
      x4 = XVECEXP (x2, 0, 0);
      operands[1] = x4;
      if (!register_operand (operands[1], E_SImode)
          || !
#line 1582 "../../gcc-15.0.1-20250329/gcc/config/riscv/corev.md"
(TARGET_XCVSIMD && !TARGET_64BIT))
        return -1;
      return 34003; /* riscv_cv_simd_neg_b_si */

    case 376:
      if (GET_MODE (x2) != E_SImode)
        return -1;
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      if (!register_operand (operands[0], E_SImode))
        return -1;
      x4 = XVECEXP (x2, 0, 0);
      operands[1] = x4;
      if (!register_operand (operands[1], E_SImode)
          || !
#line 2597 "../../gcc-15.0.1-20250329/gcc/config/riscv/corev.md"
(TARGET_XCVSIMD && !TARGET_64BIT))
        return -1;
      return 34086; /* riscv_cv_simd_cplxconj_si */

    default:
      return -1;
    }
}

 int
recog_114 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[0]))
    {
    case E_DImode:
      x2 = XEXP (x1, 1);
      switch (pattern295 (x2))
        {
        case 0:
          if (
#line 1878 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_64BIT && !TARGET_ZBA && !TARGET_XTHEADBB && !TARGET_XTHEADMEMIDX
   && !(REG_P (operands[1]) && VL_REG_P (REGNO (operands[1])))))
            return 121; /* *zero_extendsidi2_internal */
          if (!
#line 25 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
(TARGET_64BIT && TARGET_ZBA && !TARGET_XTHEADMEMIDX))
            return -1;
          return 508; /* *zero_extendsidi2_bitmanip */

        case 1:
          if ((
#line 1905 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(!TARGET_ZBB && !TARGET_XTHEADBB && !TARGET_XTHEADMEMIDX) && 
#line 27 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)))
            return 123; /* *zero_extendhidi2 */
          if (!(
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
(TARGET_ZBB && !TARGET_XTHEADMEMIDX) && 
#line 27 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)))
            return -1;
          return 541; /* *zero_extendhidi2_bitmanip */

        case 2:
          if (!(
#line 1934 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(!TARGET_XTHEADMEMIDX) && 
#line 60 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)))
            return -1;
          return 126; /* *zero_extendqidi2_internal */

        default:
          return -1;
        }

    case E_SImode:
      x2 = XEXP (x1, 1);
      switch (pattern286 (x2, 
E_SImode))
        {
        case 0:
          if (
#line 1905 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(!TARGET_ZBB && !TARGET_XTHEADBB && !TARGET_XTHEADMEMIDX))
            return 122; /* *zero_extendhisi2 */
          if (!
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
(TARGET_ZBB && !TARGET_XTHEADMEMIDX))
            return -1;
          return 540; /* *zero_extendhisi2_bitmanip */

        case 1:
          if (!
#line 1934 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(!TARGET_XTHEADMEMIDX))
            return -1;
          return 125; /* *zero_extendqisi2_internal */

        default:
          return -1;
        }

    case E_HImode:
      if (!register_operand (operands[0], E_HImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_HImode
          || !nonimmediate_operand (operands[1], E_QImode)
          || !
#line 1934 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(!TARGET_XTHEADMEMIDX))
        return -1;
      return 124; /* *zero_extendqihi2_internal */

    case E_RVVM8HImode:
      if (!register_operand (operands[0], E_RVVM8HImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_RVVM8HImode
          || !register_operand (operands[1], E_RVVM4QImode)
          || !
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 26104; /* zero_extendrvvm4qirvvm8hi2 */

    case E_RVVM4HImode:
      if (!register_operand (operands[0], E_RVVM4HImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_RVVM4HImode
          || !register_operand (operands[1], E_RVVM2QImode)
          || !
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 26106; /* zero_extendrvvm2qirvvm4hi2 */

    case E_RVVM2HImode:
      if (!register_operand (operands[0], E_RVVM2HImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_RVVM2HImode
          || !register_operand (operands[1], E_RVVM1QImode)
          || !
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 26108; /* zero_extendrvvm1qirvvm2hi2 */

    case E_RVVM1HImode:
      if (!register_operand (operands[0], E_RVVM1HImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_RVVM1HImode
          || !register_operand (operands[1], E_RVVMF2QImode)
          || !
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 26110; /* zero_extendrvvmf2qirvvm1hi2 */

    case E_RVVMF2HImode:
      if (!register_operand (operands[0], E_RVVMF2HImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_RVVMF2HImode
          || !register_operand (operands[1], E_RVVMF4QImode)
          || !
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 26112; /* zero_extendrvvmf4qirvvmf2hi2 */

    case E_RVVMF4HImode:
      if (!register_operand (operands[0], E_RVVMF4HImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_RVVMF4HImode
          || !register_operand (operands[1], E_RVVMF8QImode)
          || !(
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 946 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 26114; /* zero_extendrvvmf8qirvvmf4hi2 */

    case E_RVVM8SImode:
      x2 = XEXP (x1, 1);
      switch (pattern296 (x2))
        {
        case 0:
          if (!
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
            return -1;
          return 26116; /* zero_extendrvvm4hirvvm8si2 */

        case 1:
          if (!
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
            return -1;
          return 26200; /* zero_extendrvvm2qirvvm8si2 */

        default:
          return -1;
        }

    case E_RVVM4SImode:
      x2 = XEXP (x1, 1);
      switch (pattern297 (x2))
        {
        case 0:
          if (!
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
            return -1;
          return 26118; /* zero_extendrvvm2hirvvm4si2 */

        case 1:
          if (!
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
            return -1;
          return 26202; /* zero_extendrvvm1qirvvm4si2 */

        default:
          return -1;
        }

    case E_RVVM2SImode:
      x2 = XEXP (x1, 1);
      switch (pattern298 (x2))
        {
        case 0:
          if (!
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
            return -1;
          return 26120; /* zero_extendrvvm1hirvvm2si2 */

        case 1:
          if (!
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
            return -1;
          return 26204; /* zero_extendrvvmf2qirvvm2si2 */

        default:
          return -1;
        }

    case E_RVVM1SImode:
      x2 = XEXP (x1, 1);
      switch (pattern299 (x2))
        {
        case 0:
          if (!
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
            return -1;
          return 26122; /* zero_extendrvvmf2hirvvm1si2 */

        case 1:
          if (!
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
            return -1;
          return 26206; /* zero_extendrvvmf4qirvvm1si2 */

        default:
          return -1;
        }

    case E_RVVMF2SImode:
      x2 = XEXP (x1, 1);
      switch (pattern300 (x2))
        {
        case 0:
          if (!(
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 948 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
            return -1;
          return 26124; /* zero_extendrvvmf4hirvvmf2si2 */

        case 1:
          if (!(
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1106 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
            return -1;
          return 26208; /* zero_extendrvvmf8qirvvmf2si2 */

        default:
          return -1;
        }

    case E_RVVM8DImode:
      x2 = XEXP (x1, 1);
      switch (pattern301 (x2))
        {
        case 0:
          if (!(
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 26126; /* zero_extendrvvm4sirvvm8di2 */

        case 1:
          if (!(
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1108 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 26210; /* zero_extendrvvm2hirvvm8di2 */

        case 2:
          if (!(
#line 769 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1151 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 26260; /* zero_extendrvvm1qirvvm8di2 */

        default:
          return -1;
        }

    case E_RVVM4DImode:
      x2 = XEXP (x1, 1);
      switch (pattern302 (x2))
        {
        case 0:
          if (!(
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 26128; /* zero_extendrvvm2sirvvm4di2 */

        case 1:
          if (!(
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1108 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 26212; /* zero_extendrvvm1hirvvm4di2 */

        case 2:
          if (!(
#line 769 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1151 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 26262; /* zero_extendrvvmf2qirvvm4di2 */

        default:
          return -1;
        }

    case E_RVVM2DImode:
      x2 = XEXP (x1, 1);
      switch (pattern303 (x2))
        {
        case 0:
          if (!(
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 26130; /* zero_extendrvvm1sirvvm2di2 */

        case 1:
          if (!(
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1109 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 26214; /* zero_extendrvvmf2hirvvm2di2 */

        case 2:
          if (!(
#line 769 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1152 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 26264; /* zero_extendrvvmf4qirvvm2di2 */

        default:
          return -1;
        }

    case E_RVVM1DImode:
      x2 = XEXP (x1, 1);
      switch (pattern304 (x2))
        {
        case 0:
          if (!(
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 26132; /* zero_extendrvvmf2sirvvm1di2 */

        case 1:
          if (!(
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1109 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 26216; /* zero_extendrvvmf4hirvvm1di2 */

        case 2:
          if (!(
#line 769 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1152 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 26266; /* zero_extendrvvmf8qirvvm1di2 */

        default:
          return -1;
        }

    case E_V1HImode:
      if (!register_operand (operands[0], E_V1HImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V1HImode
          || !register_operand (operands[1], E_V1QImode)
          || !(
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 953 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
        return -1;
      return 26134; /* zero_extendv1qiv1hi2 */

    case E_V2HImode:
      if (!register_operand (operands[0], E_V2HImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V2HImode
          || !register_operand (operands[1], E_V2QImode)
          || !(
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 954 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
        return -1;
      return 26136; /* zero_extendv2qiv2hi2 */

    case E_V4HImode:
      if (!register_operand (operands[0], E_V4HImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V4HImode
          || !register_operand (operands[1], E_V4QImode)
          || !(
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
        return -1;
      return 26138; /* zero_extendv4qiv4hi2 */

    case E_V8HImode:
      if (!register_operand (operands[0], E_V8HImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V8HImode
          || !register_operand (operands[1], E_V8QImode)
          || !(
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 956 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
        return -1;
      return 26140; /* zero_extendv8qiv8hi2 */

    case E_V16HImode:
      if (!register_operand (operands[0], E_V16HImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V16HImode
          || !register_operand (operands[1], E_V16QImode)
          || !(
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 957 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
        return -1;
      return 26142; /* zero_extendv16qiv16hi2 */

    case E_V32HImode:
      if (!register_operand (operands[0], E_V32HImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V32HImode
          || !register_operand (operands[1], E_V32QImode)
          || !(
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 958 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 26144; /* zero_extendv32qiv32hi2 */

    case E_V64HImode:
      if (!register_operand (operands[0], E_V64HImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V64HImode
          || !register_operand (operands[1], E_V64QImode)
          || !(
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 959 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 26146; /* zero_extendv64qiv64hi2 */

    case E_V128HImode:
      if (!register_operand (operands[0], E_V128HImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V128HImode
          || !register_operand (operands[1], E_V128QImode)
          || !(
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 960 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 26148; /* zero_extendv128qiv128hi2 */

    case E_V256HImode:
      if (!register_operand (operands[0], E_V256HImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V256HImode
          || !register_operand (operands[1], E_V256QImode)
          || !(
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 961 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 26150; /* zero_extendv256qiv256hi2 */

    case E_V512HImode:
      if (!register_operand (operands[0], E_V512HImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V512HImode
          || !register_operand (operands[1], E_V512QImode)
          || !(
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 962 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 26152; /* zero_extendv512qiv512hi2 */

    case E_V1024HImode:
      if (!register_operand (operands[0], E_V1024HImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V1024HImode
          || !register_operand (operands[1], E_V1024QImode)
          || !(
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 963 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 26154; /* zero_extendv1024qiv1024hi2 */

    case E_V2048HImode:
      if (!register_operand (operands[0], E_V2048HImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V2048HImode
          || !register_operand (operands[1], E_V2048QImode)
          || !(
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 26156; /* zero_extendv2048qiv2048hi2 */

    case E_V1SImode:
      x2 = XEXP (x1, 1);
      switch (pattern305 (x2))
        {
        case 0:
          if (!(
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 965 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
            return -1;
          return 26158; /* zero_extendv1hiv1si2 */

        case 1:
          if (!(
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1111 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
            return -1;
          return 26218; /* zero_extendv1qiv1si2 */

        default:
          return -1;
        }

    case E_V2SImode:
      x2 = XEXP (x1, 1);
      switch (pattern306 (x2))
        {
        case 0:
          if (!(
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 966 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
            return -1;
          return 26160; /* zero_extendv2hiv2si2 */

        case 1:
          if (!(
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1112 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
            return -1;
          return 26220; /* zero_extendv2qiv2si2 */

        default:
          return -1;
        }

    case E_V4SImode:
      x2 = XEXP (x1, 1);
      switch (pattern307 (x2))
        {
        case 0:
          if (!(
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 967 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
            return -1;
          return 26162; /* zero_extendv4hiv4si2 */

        case 1:
          if (!(
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1113 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
            return -1;
          return 26222; /* zero_extendv4qiv4si2 */

        default:
          return -1;
        }

    case E_V8SImode:
      x2 = XEXP (x1, 1);
      switch (pattern308 (x2))
        {
        case 0:
          if (!(
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 968 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
            return -1;
          return 26164; /* zero_extendv8hiv8si2 */

        case 1:
          if (!(
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1114 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
            return -1;
          return 26224; /* zero_extendv8qiv8si2 */

        default:
          return -1;
        }

    case E_V16SImode:
      x2 = XEXP (x1, 1);
      switch (pattern309 (x2))
        {
        case 0:
          if (!(
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 969 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 26166; /* zero_extendv16hiv16si2 */

        case 1:
          if (!(
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1115 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 26226; /* zero_extendv16qiv16si2 */

        default:
          return -1;
        }

    case E_V32SImode:
      x2 = XEXP (x1, 1);
      switch (pattern310 (x2))
        {
        case 0:
          if (!(
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 970 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 26168; /* zero_extendv32hiv32si2 */

        case 1:
          if (!(
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1116 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 26228; /* zero_extendv32qiv32si2 */

        default:
          return -1;
        }

    case E_V64SImode:
      x2 = XEXP (x1, 1);
      switch (pattern311 (x2))
        {
        case 0:
          if (!(
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 26170; /* zero_extendv64hiv64si2 */

        case 1:
          if (!(
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1117 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 26230; /* zero_extendv64qiv64si2 */

        default:
          return -1;
        }

    case E_V128SImode:
      x2 = XEXP (x1, 1);
      switch (pattern312 (x2))
        {
        case 0:
          if (!(
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 972 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 26172; /* zero_extendv128hiv128si2 */

        case 1:
          if (!(
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1118 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 26232; /* zero_extendv128qiv128si2 */

        default:
          return -1;
        }

    case E_V256SImode:
      x2 = XEXP (x1, 1);
      switch (pattern313 (x2))
        {
        case 0:
          if (!(
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 973 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 26174; /* zero_extendv256hiv256si2 */

        case 1:
          if (!(
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1119 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 26234; /* zero_extendv256qiv256si2 */

        default:
          return -1;
        }

    case E_V512SImode:
      x2 = XEXP (x1, 1);
      switch (pattern314 (x2))
        {
        case 0:
          if (!(
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 974 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 26176; /* zero_extendv512hiv512si2 */

        case 1:
          if (!(
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1120 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 26236; /* zero_extendv512qiv512si2 */

        default:
          return -1;
        }

    case E_V1024SImode:
      x2 = XEXP (x1, 1);
      switch (pattern315 (x2))
        {
        case 0:
          if (!(
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 26178; /* zero_extendv1024hiv1024si2 */

        case 1:
          if (!(
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 26238; /* zero_extendv1024qiv1024si2 */

        default:
          return -1;
        }

    case E_V1DImode:
      x2 = XEXP (x1, 1);
      switch (pattern316 (x2))
        {
        case 0:
          if (!(
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 976 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
            return -1;
          return 26180; /* zero_extendv1siv1di2 */

        case 1:
          if (!(
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1122 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
            return -1;
          return 26240; /* zero_extendv1hiv1di2 */

        case 2:
          if (!(
#line 769 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1154 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
            return -1;
          return 26268; /* zero_extendv1qiv1di2 */

        default:
          return -1;
        }

    case E_V2DImode:
      x2 = XEXP (x1, 1);
      switch (pattern317 (x2))
        {
        case 0:
          if (!(
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
            return -1;
          return 26182; /* zero_extendv2siv2di2 */

        case 1:
          if (!(
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
            return -1;
          return 26242; /* zero_extendv2hiv2di2 */

        case 2:
          if (!(
#line 769 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
            return -1;
          return 26270; /* zero_extendv2qiv2di2 */

        default:
          return -1;
        }

    case E_V4DImode:
      x2 = XEXP (x1, 1);
      switch (pattern318 (x2))
        {
        case 0:
          if (!(
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 978 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
            return -1;
          return 26184; /* zero_extendv4siv4di2 */

        case 1:
          if (!(
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1124 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
            return -1;
          return 26244; /* zero_extendv4hiv4di2 */

        case 2:
          if (!(
#line 769 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
            return -1;
          return 26272; /* zero_extendv4qiv4di2 */

        default:
          return -1;
        }

    case E_V8DImode:
      x2 = XEXP (x1, 1);
      switch (pattern319 (x2))
        {
        case 0:
          if (!(
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 979 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 26186; /* zero_extendv8siv8di2 */

        case 1:
          if (!(
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1125 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 26246; /* zero_extendv8hiv8di2 */

        case 2:
          if (!(
#line 769 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1157 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 26274; /* zero_extendv8qiv8di2 */

        default:
          return -1;
        }

    case E_V16DImode:
      x2 = XEXP (x1, 1);
      switch (pattern320 (x2))
        {
        case 0:
          if (!(
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 980 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 26188; /* zero_extendv16siv16di2 */

        case 1:
          if (!(
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1126 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 26248; /* zero_extendv16hiv16di2 */

        case 2:
          if (!(
#line 769 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1158 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 26276; /* zero_extendv16qiv16di2 */

        default:
          return -1;
        }

    case E_V32DImode:
      x2 = XEXP (x1, 1);
      switch (pattern321 (x2))
        {
        case 0:
          if (!(
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 981 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 26190; /* zero_extendv32siv32di2 */

        case 1:
          if (!(
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1127 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 26250; /* zero_extendv32hiv32di2 */

        case 2:
          if (!(
#line 769 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 26278; /* zero_extendv32qiv32di2 */

        default:
          return -1;
        }

    case E_V64DImode:
      x2 = XEXP (x1, 1);
      switch (pattern322 (x2))
        {
        case 0:
          if (!(
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 982 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 26192; /* zero_extendv64siv64di2 */

        case 1:
          if (!(
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1128 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 26252; /* zero_extendv64hiv64di2 */

        case 2:
          if (!(
#line 769 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 26280; /* zero_extendv64qiv64di2 */

        default:
          return -1;
        }

    case E_V128DImode:
      x2 = XEXP (x1, 1);
      switch (pattern323 (x2))
        {
        case 0:
          if (!(
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 26194; /* zero_extendv128siv128di2 */

        case 1:
          if (!(
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1129 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 26254; /* zero_extendv128hiv128di2 */

        case 2:
          if (!(
#line 769 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1161 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 26282; /* zero_extendv128qiv128di2 */

        default:
          return -1;
        }

    case E_V256DImode:
      x2 = XEXP (x1, 1);
      switch (pattern324 (x2))
        {
        case 0:
          if (!(
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 984 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 26196; /* zero_extendv256siv256di2 */

        case 1:
          if (!(
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1130 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 26256; /* zero_extendv256hiv256di2 */

        case 2:
          if (!(
#line 769 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 26284; /* zero_extendv256qiv256di2 */

        default:
          return -1;
        }

    case E_V512DImode:
      x2 = XEXP (x1, 1);
      switch (pattern325 (x2))
        {
        case 0:
          if (!(
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 985 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 26198; /* zero_extendv512siv512di2 */

        case 1:
          if (!(
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1131 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 26258; /* zero_extendv512hiv512di2 */

        case 2:
          if (!(
#line 769 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 26286; /* zero_extendv512qiv512di2 */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_270 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (pnum_clobbers == NULL
      || !reg_or_mem_operand (operands[0], E_RVVM4x2DImode)
      || !reg_or_mem_operand (operands[1], E_RVVM4x2DImode))
    return -1;
  if ((
#line 1405 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (((
#line 1294 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == SImode)) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == SImode)) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == SImode))))
    {
      *pnum_clobbers = 3;
      return 3104; /* *movrvvm4x2di_si */
    }
  if (!(
#line 1405 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (((
#line 1294 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == DImode)) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == DImode)) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == DImode))))
    return -1;
  *pnum_clobbers = 3;
  return 3105; /* *movrvvm4x2di_di */
}

 int
recog_281 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (pnum_clobbers == NULL
      || !reg_or_mem_operand (operands[0], E_RVVMF2x8QImode)
      || !reg_or_mem_operand (operands[1], E_RVVMF2x8QImode))
    return -1;
  if ((
#line 1405 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == SImode)))
    {
      *pnum_clobbers = 3;
      return 3082; /* *movrvvmf2x8qi_si */
    }
  if (!(
#line 1405 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == DImode)))
    return -1;
  *pnum_clobbers = 3;
  return 3083; /* *movrvvmf2x8qi_di */
}

 int
recog_289 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (pnum_clobbers == NULL
      || !reg_or_mem_operand (operands[0], E_RVVM2x3DFmode)
      || !reg_or_mem_operand (operands[1], E_RVVM2x3DFmode))
    return -1;
  if ((
#line 1405 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (((
#line 1272 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == SImode)) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == SImode)) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == SImode))))
    {
      *pnum_clobbers = 3;
      return 3066; /* *movrvvm2x3df_si */
    }
  if (!(
#line 1405 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (((
#line 1272 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == DImode)) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == DImode)) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == DImode))))
    return -1;
  *pnum_clobbers = 3;
  return 3067; /* *movrvvm2x3df_di */
}

 int
recog_297 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (pnum_clobbers == NULL
      || !reg_or_mem_operand (operands[0], E_RVVM1x2SFmode)
      || !reg_or_mem_operand (operands[1], E_RVVM1x2SFmode))
    return -1;
  if ((
#line 1405 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (((
#line 1264 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == SImode)) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == SImode)) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == SImode))))
    {
      *pnum_clobbers = 3;
      return 3050; /* *movrvvm1x2sf_si */
    }
  if (!(
#line 1405 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (((
#line 1264 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == DImode)) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == DImode)) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == DImode))))
    return -1;
  *pnum_clobbers = 3;
  return 3051; /* *movrvvm1x2sf_di */
}

 int
recog_305 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (pnum_clobbers == NULL
      || !reg_or_mem_operand (operands[0], E_RVVMF2x8BFmode)
      || !reg_or_mem_operand (operands[1], E_RVVMF2x8BFmode))
    return -1;
  if ((
#line 1405 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (((
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == SImode)) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == SImode)) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == SImode))))
    {
      *pnum_clobbers = 3;
      return 3034; /* *movrvvmf2x8bf_si */
    }
  if (!(
#line 1405 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (((
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == DImode)) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == DImode)) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == DImode))))
    return -1;
  *pnum_clobbers = 3;
  return 3035; /* *movrvvmf2x8bf_di */
}

 int
recog_313 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (pnum_clobbers == NULL
      || !reg_or_mem_operand (operands[0], E_RVVM2x3DImode)
      || !reg_or_mem_operand (operands[1], E_RVVM2x3DImode))
    return -1;
  if ((
#line 1405 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (((
#line 1248 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == SImode)) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == SImode)) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == SImode))))
    {
      *pnum_clobbers = 3;
      return 3018; /* *movrvvm2x3di_si */
    }
  if (!(
#line 1405 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (((
#line 1248 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == DImode)) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == DImode)) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == DImode))))
    return -1;
  *pnum_clobbers = 3;
  return 3019; /* *movrvvm2x3di_di */
}

 int
recog_324 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (pnum_clobbers == NULL
      || !reg_or_mem_operand (operands[0], E_RVVMF2x6HImode)
      || !reg_or_mem_operand (operands[1], E_RVVMF2x6HImode))
    return -1;
  if ((
#line 1405 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == SImode)))
    {
      *pnum_clobbers = 3;
      return 2996; /* *movrvvmf2x6hi_si */
    }
  if (!(
#line 1405 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == DImode)))
    return -1;
  *pnum_clobbers = 3;
  return 2997; /* *movrvvmf2x6hi_di */
}

 int
recog_332 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (pnum_clobbers == NULL
      || !reg_or_mem_operand (operands[0], E_RVVMF4x5QImode)
      || !reg_or_mem_operand (operands[1], E_RVVMF4x5QImode))
    return -1;
  if ((
#line 1405 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == SImode)))
    {
      *pnum_clobbers = 3;
      return 2980; /* *movrvvmf4x5qi_si */
    }
  if (!(
#line 1405 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == DImode)))
    return -1;
  *pnum_clobbers = 3;
  return 2981; /* *movrvvmf4x5qi_di */
}

 int
recog_340 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (pnum_clobbers == NULL
      || !reg_or_mem_operand (operands[0], E_RVVM1x4DFmode)
      || !reg_or_mem_operand (operands[1], E_RVVM1x4DFmode))
    return -1;
  if ((
#line 1405 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (((
#line 1218 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == SImode)) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == SImode)) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == SImode))))
    {
      *pnum_clobbers = 3;
      return 2964; /* *movrvvm1x4df_si */
    }
  if (!(
#line 1405 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (((
#line 1218 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == DImode)) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == DImode)) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == DImode))))
    return -1;
  *pnum_clobbers = 3;
  return 2965; /* *movrvvm1x4df_di */
}

 int
recog_348 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (pnum_clobbers == NULL
      || !reg_or_mem_operand (operands[0], E_RVVMF2x3SFmode)
      || !reg_or_mem_operand (operands[1], E_RVVMF2x3SFmode))
    return -1;
  if ((
#line 1405 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (((
#line 1210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == SImode)) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == SImode)) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == SImode))))
    {
      *pnum_clobbers = 3;
      return 2948; /* *movrvvmf2x3sf_si */
    }
  if (!(
#line 1405 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (((
#line 1210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == DImode)) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == DImode)) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == DImode))))
    return -1;
  *pnum_clobbers = 3;
  return 2949; /* *movrvvmf2x3sf_di */
}

 int
recog_356 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (pnum_clobbers == NULL
      || !reg_or_mem_operand (operands[0], E_RVVMF4x2HFmode)
      || !reg_or_mem_operand (operands[1], E_RVVMF4x2HFmode))
    return -1;
  if ((
#line 1405 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (((
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == SImode)) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == SImode)) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == SImode))))
    {
      *pnum_clobbers = 3;
      return 2932; /* *movrvvmf4x2hf_si */
    }
  if (!(
#line 1405 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (((
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == DImode)) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == DImode)) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == DImode))))
    return -1;
  *pnum_clobbers = 3;
  return 2933; /* *movrvvmf4x2hf_di */
}

 int
recog_364 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (pnum_clobbers == NULL
      || !reg_or_mem_operand (operands[0], E_RVVM1x8DImode)
      || !reg_or_mem_operand (operands[1], E_RVVM1x8DImode))
    return -1;
  if ((
#line 1405 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (((
#line 1194 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == SImode)) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == SImode)) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == SImode))))
    {
      *pnum_clobbers = 3;
      return 2916; /* *movrvvm1x8di_si */
    }
  if (!(
#line 1405 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (((
#line 1194 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == DImode)) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == DImode)) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == DImode))))
    return -1;
  *pnum_clobbers = 3;
  return 2917; /* *movrvvm1x8di_di */
}

 int
recog_371 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (pnum_clobbers == NULL
      || !reg_or_mem_operand (operands[0], E_RVVMF2x8SImode)
      || !reg_or_mem_operand (operands[1], E_RVVMF2x8SImode))
    return -1;
  if ((
#line 1405 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (((
#line 1187 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == SImode)) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == SImode)) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == SImode))))
    {
      *pnum_clobbers = 3;
      return 2902; /* *movrvvmf2x8si_si */
    }
  if (!(
#line 1405 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (((
#line 1187 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == DImode)) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == DImode)) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == DImode))))
    return -1;
  *pnum_clobbers = 3;
  return 2903; /* *movrvvmf2x8si_di */
}

 int
recog_379 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern328 (x2))
    {
    case 0:
      return 296; /* *ashlsi3 */

    case 1:
      if (!
#line 2914 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_64BIT))
        return -1;
      return 299; /* ashldi3 */

    case 2:
      if (vector_scalar_shift_operand (operands[2], E_QImode)
          && 
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return 25493; /* ashlrvvm8qi3 */
      if (!vector_shift_operand (operands[2], E_RVVM8QImode)
          || !
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 25697; /* vashlrvvm8qi3 */

    case 3:
      if (vector_scalar_shift_operand (operands[2], E_QImode)
          && 
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return 25496; /* ashlrvvm4qi3 */
      if (!vector_shift_operand (operands[2], E_RVVM4QImode)
          || !
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 25700; /* vashlrvvm4qi3 */

    case 4:
      if (vector_scalar_shift_operand (operands[2], E_QImode)
          && 
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return 25499; /* ashlrvvm2qi3 */
      if (!vector_shift_operand (operands[2], E_RVVM2QImode)
          || !
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 25703; /* vashlrvvm2qi3 */

    case 5:
      if (vector_scalar_shift_operand (operands[2], E_QImode)
          && 
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return 25502; /* ashlrvvm1qi3 */
      if (!vector_shift_operand (operands[2], E_RVVM1QImode)
          || !
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 25706; /* vashlrvvm1qi3 */

    case 6:
      if (vector_scalar_shift_operand (operands[2], E_HImode)
          && 
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return 25505; /* ashlrvvm8hi3 */
      if (!vector_shift_operand (operands[2], E_RVVM8HImode)
          || !
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 25709; /* vashlrvvm8hi3 */

    case 7:
      if (vector_scalar_shift_operand (operands[2], E_HImode)
          && 
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return 25508; /* ashlrvvm4hi3 */
      if (!vector_shift_operand (operands[2], E_RVVM4HImode)
          || !
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 25712; /* vashlrvvm4hi3 */

    case 8:
      if (vector_scalar_shift_operand (operands[2], E_HImode)
          && 
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return 25511; /* ashlrvvm2hi3 */
      if (!vector_shift_operand (operands[2], E_RVVM2HImode)
          || !
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 25715; /* vashlrvvm2hi3 */

    case 9:
      if (vector_scalar_shift_operand (operands[2], E_HImode)
          && 
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return 25514; /* ashlrvvm1hi3 */
      if (!vector_shift_operand (operands[2], E_RVVM1HImode)
          || !
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 25718; /* vashlrvvm1hi3 */

    case 10:
      if (vector_scalar_shift_operand (operands[2], E_SImode)
          && 
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return 25517; /* ashlrvvm8si3 */
      if (!vector_shift_operand (operands[2], E_RVVM8SImode)
          || !
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 25721; /* vashlrvvm8si3 */

    case 11:
      if (vector_scalar_shift_operand (operands[2], E_SImode)
          && 
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return 25520; /* ashlrvvm4si3 */
      if (!vector_shift_operand (operands[2], E_RVVM4SImode)
          || !
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 25724; /* vashlrvvm4si3 */

    case 12:
      if (vector_scalar_shift_operand (operands[2], E_SImode)
          && 
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return 25523; /* ashlrvvm2si3 */
      if (!vector_shift_operand (operands[2], E_RVVM2SImode)
          || !
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 25727; /* vashlrvvm2si3 */

    case 13:
      if (vector_scalar_shift_operand (operands[2], E_SImode)
          && 
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return 25526; /* ashlrvvm1si3 */
      if (!vector_shift_operand (operands[2], E_RVVM1SImode)
          || !
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 25730; /* vashlrvvm1si3 */

    case 14:
      if (vector_scalar_shift_operand (operands[2], E_DImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return 25529; /* ashlrvvm8di3 */
      if (!vector_shift_operand (operands[2], E_RVVM8DImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 25733; /* vashlrvvm8di3 */

    case 15:
      if (vector_scalar_shift_operand (operands[2], E_DImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return 25532; /* ashlrvvm4di3 */
      if (!vector_shift_operand (operands[2], E_RVVM4DImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 25736; /* vashlrvvm4di3 */

    case 16:
      if (vector_scalar_shift_operand (operands[2], E_DImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return 25535; /* ashlrvvm2di3 */
      if (!vector_shift_operand (operands[2], E_RVVM2DImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 25739; /* vashlrvvm2di3 */

    case 17:
      if (vector_scalar_shift_operand (operands[2], E_DImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return 25538; /* ashlrvvm1di3 */
      if (!vector_shift_operand (operands[2], E_RVVM1DImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 25742; /* vashlrvvm1di3 */

    case 18:
      if (vector_scalar_shift_operand (operands[2], E_QImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
        return 25541; /* ashlrvvmf2qi3 */
      if (!vector_shift_operand (operands[2], E_RVVMF2QImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
        return -1;
      return 25745; /* vashlrvvmf2qi3 */

    case 19:
      if (vector_scalar_shift_operand (operands[2], E_QImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
        return 25544; /* ashlrvvmf4qi3 */
      if (!vector_shift_operand (operands[2], E_RVVMF4QImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
        return -1;
      return 25748; /* vashlrvvmf4qi3 */

    case 20:
      if (vector_scalar_shift_operand (operands[2], E_QImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && (
#line 131 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
        return 25547; /* ashlrvvmf8qi3 */
      if (!vector_shift_operand (operands[2], E_RVVMF8QImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && (
#line 131 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
        return -1;
      return 25751; /* vashlrvvmf8qi3 */

    case 21:
      if (vector_scalar_shift_operand (operands[2], E_HImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
        return 25550; /* ashlrvvmf2hi3 */
      if (!vector_shift_operand (operands[2], E_RVVMF2HImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
        return -1;
      return 25754; /* vashlrvvmf2hi3 */

    case 22:
      if (vector_scalar_shift_operand (operands[2], E_HImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && (
#line 132 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
        return 25553; /* ashlrvvmf4hi3 */
      if (!vector_shift_operand (operands[2], E_RVVMF4HImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && (
#line 132 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
        return -1;
      return 25757; /* vashlrvvmf4hi3 */

    case 23:
      if (vector_scalar_shift_operand (operands[2], E_SImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && (
#line 133 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
        return 25556; /* ashlrvvmf2si3 */
      if (!vector_shift_operand (operands[2], E_RVVMF2SImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && (
#line 133 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
        return -1;
      return 25760; /* vashlrvvmf2si3 */

    case 24:
      if (vector_scalar_shift_operand (operands[2], E_QImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 188 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1QImode))))
        return 25559; /* ashlv1qi3 */
      if (!vector_shift_operand (operands[2], E_V1QImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 188 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1QImode))))
        return -1;
      return 25763; /* vashlv1qi3 */

    case 25:
      if (vector_scalar_shift_operand (operands[2], E_QImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 189 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2QImode))))
        return 25562; /* ashlv2qi3 */
      if (!vector_shift_operand (operands[2], E_V2QImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 189 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2QImode))))
        return -1;
      return 25766; /* vashlv2qi3 */

    case 26:
      if (vector_scalar_shift_operand (operands[2], E_QImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 190 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4QImode))))
        return 25565; /* ashlv4qi3 */
      if (!vector_shift_operand (operands[2], E_V4QImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 190 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4QImode))))
        return -1;
      return 25769; /* vashlv4qi3 */

    case 27:
      if (vector_scalar_shift_operand (operands[2], E_QImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 191 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8QImode))))
        return 25568; /* ashlv8qi3 */
      if (!vector_shift_operand (operands[2], E_V8QImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 191 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8QImode))))
        return -1;
      return 25772; /* vashlv8qi3 */

    case 28:
      if (vector_scalar_shift_operand (operands[2], E_QImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16QImode))))
        return 25571; /* ashlv16qi3 */
      if (!vector_shift_operand (operands[2], E_V16QImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16QImode))))
        return -1;
      return 25775; /* vashlv16qi3 */

    case 29:
      if (vector_scalar_shift_operand (operands[2], E_QImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 193 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32QImode))))
        return 25574; /* ashlv32qi3 */
      if (!vector_shift_operand (operands[2], E_V32QImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 193 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32QImode))))
        return -1;
      return 25778; /* vashlv32qi3 */

    case 30:
      if (vector_scalar_shift_operand (operands[2], E_QImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 194 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64QImode) && TARGET_MIN_VLEN >= 64)))
        return 25577; /* ashlv64qi3 */
      if (!vector_shift_operand (operands[2], E_V64QImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 194 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64QImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 25781; /* vashlv64qi3 */

    case 31:
      if (vector_scalar_shift_operand (operands[2], E_QImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 195 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128QImode) && TARGET_MIN_VLEN >= 128)))
        return 25580; /* ashlv128qi3 */
      if (!vector_shift_operand (operands[2], E_V128QImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 195 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128QImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 25784; /* vashlv128qi3 */

    case 32:
      if (vector_scalar_shift_operand (operands[2], E_QImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 196 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256QImode) && TARGET_MIN_VLEN >= 256)))
        return 25583; /* ashlv256qi3 */
      if (!vector_shift_operand (operands[2], E_V256QImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 196 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256QImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 25787; /* vashlv256qi3 */

    case 33:
      if (vector_scalar_shift_operand (operands[2], E_QImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 197 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512QImode) && TARGET_MIN_VLEN >= 512)))
        return 25586; /* ashlv512qi3 */
      if (!vector_shift_operand (operands[2], E_V512QImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 197 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512QImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 25790; /* vashlv512qi3 */

    case 34:
      if (vector_scalar_shift_operand (operands[2], E_QImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 198 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024QImode) && TARGET_MIN_VLEN >= 1024)))
        return 25589; /* ashlv1024qi3 */
      if (!vector_shift_operand (operands[2], E_V1024QImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 198 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024QImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 25793; /* vashlv1024qi3 */

    case 35:
      if (vector_scalar_shift_operand (operands[2], E_QImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 199 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048QImode) && TARGET_MIN_VLEN >= 2048)))
        return 25592; /* ashlv2048qi3 */
      if (!vector_shift_operand (operands[2], E_V2048QImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 199 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048QImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 25796; /* vashlv2048qi3 */

    case 36:
      if (vector_scalar_shift_operand (operands[2], E_QImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 200 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4096QImode) && TARGET_MIN_VLEN >= 4096)))
        return 25595; /* ashlv4096qi3 */
      if (!vector_shift_operand (operands[2], E_V4096QImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 200 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4096QImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 25799; /* vashlv4096qi3 */

    case 37:
      if (vector_scalar_shift_operand (operands[2], E_HImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 201 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
        return 25598; /* ashlv1hi3 */
      if (!vector_shift_operand (operands[2], E_V1HImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 201 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
        return -1;
      return 25802; /* vashlv1hi3 */

    case 38:
      if (vector_scalar_shift_operand (operands[2], E_HImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
        return 25601; /* ashlv2hi3 */
      if (!vector_shift_operand (operands[2], E_V2HImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
        return -1;
      return 25805; /* vashlv2hi3 */

    case 39:
      if (vector_scalar_shift_operand (operands[2], E_HImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 203 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
        return 25604; /* ashlv4hi3 */
      if (!vector_shift_operand (operands[2], E_V4HImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 203 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
        return -1;
      return 25808; /* vashlv4hi3 */

    case 40:
      if (vector_scalar_shift_operand (operands[2], E_HImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 204 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
        return 25607; /* ashlv8hi3 */
      if (!vector_shift_operand (operands[2], E_V8HImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 204 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
        return -1;
      return 25811; /* vashlv8hi3 */

    case 41:
      if (vector_scalar_shift_operand (operands[2], E_HImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
        return 25610; /* ashlv16hi3 */
      if (!vector_shift_operand (operands[2], E_V16HImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
        return -1;
      return 25814; /* vashlv16hi3 */

    case 42:
      if (vector_scalar_shift_operand (operands[2], E_HImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 206 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
        return 25613; /* ashlv32hi3 */
      if (!vector_shift_operand (operands[2], E_V32HImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 206 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 25817; /* vashlv32hi3 */

    case 43:
      if (vector_scalar_shift_operand (operands[2], E_HImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 207 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
        return 25616; /* ashlv64hi3 */
      if (!vector_shift_operand (operands[2], E_V64HImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 207 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 25820; /* vashlv64hi3 */

    case 44:
      if (vector_scalar_shift_operand (operands[2], E_HImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 208 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
        return 25619; /* ashlv128hi3 */
      if (!vector_shift_operand (operands[2], E_V128HImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 208 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 25823; /* vashlv128hi3 */

    case 45:
      if (vector_scalar_shift_operand (operands[2], E_HImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 209 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
        return 25622; /* ashlv256hi3 */
      if (!vector_shift_operand (operands[2], E_V256HImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 209 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 25826; /* vashlv256hi3 */

    case 46:
      if (vector_scalar_shift_operand (operands[2], E_HImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
        return 25625; /* ashlv512hi3 */
      if (!vector_shift_operand (operands[2], E_V512HImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 25829; /* vashlv512hi3 */

    case 47:
      if (vector_scalar_shift_operand (operands[2], E_HImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 211 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
        return 25628; /* ashlv1024hi3 */
      if (!vector_shift_operand (operands[2], E_V1024HImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 211 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 25832; /* vashlv1024hi3 */

    case 48:
      if (vector_scalar_shift_operand (operands[2], E_HImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
        return 25631; /* ashlv2048hi3 */
      if (!vector_shift_operand (operands[2], E_V2048HImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 25835; /* vashlv2048hi3 */

    case 49:
      if (vector_scalar_shift_operand (operands[2], E_SImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 213 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
        return 25634; /* ashlv1si3 */
      if (!vector_shift_operand (operands[2], E_V1SImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 213 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
        return -1;
      return 25838; /* vashlv1si3 */

    case 50:
      if (vector_scalar_shift_operand (operands[2], E_SImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
        return 25637; /* ashlv2si3 */
      if (!vector_shift_operand (operands[2], E_V2SImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
        return -1;
      return 25841; /* vashlv2si3 */

    case 51:
      if (vector_scalar_shift_operand (operands[2], E_SImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 215 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
        return 25640; /* ashlv4si3 */
      if (!vector_shift_operand (operands[2], E_V4SImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 215 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
        return -1;
      return 25844; /* vashlv4si3 */

    case 52:
      if (vector_scalar_shift_operand (operands[2], E_SImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 216 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
        return 25643; /* ashlv8si3 */
      if (!vector_shift_operand (operands[2], E_V8SImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 216 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
        return -1;
      return 25847; /* vashlv8si3 */

    case 53:
      if (vector_scalar_shift_operand (operands[2], E_SImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 217 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
        return 25646; /* ashlv16si3 */
      if (!vector_shift_operand (operands[2], E_V16SImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 217 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 25850; /* vashlv16si3 */

    case 54:
      if (vector_scalar_shift_operand (operands[2], E_SImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 218 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
        return 25649; /* ashlv32si3 */
      if (!vector_shift_operand (operands[2], E_V32SImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 218 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 25853; /* vashlv32si3 */

    case 55:
      if (vector_scalar_shift_operand (operands[2], E_SImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 219 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
        return 25652; /* ashlv64si3 */
      if (!vector_shift_operand (operands[2], E_V64SImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 219 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 25856; /* vashlv64si3 */

    case 56:
      if (vector_scalar_shift_operand (operands[2], E_SImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 220 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
        return 25655; /* ashlv128si3 */
      if (!vector_shift_operand (operands[2], E_V128SImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 220 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 25859; /* vashlv128si3 */

    case 57:
      if (vector_scalar_shift_operand (operands[2], E_SImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
        return 25658; /* ashlv256si3 */
      if (!vector_shift_operand (operands[2], E_V256SImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 25862; /* vashlv256si3 */

    case 58:
      if (vector_scalar_shift_operand (operands[2], E_SImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 222 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
        return 25661; /* ashlv512si3 */
      if (!vector_shift_operand (operands[2], E_V512SImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 222 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 25865; /* vashlv512si3 */

    case 59:
      if (vector_scalar_shift_operand (operands[2], E_SImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 223 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
        return 25664; /* ashlv1024si3 */
      if (!vector_shift_operand (operands[2], E_V1024SImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 223 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 25868; /* vashlv1024si3 */

    case 60:
      if (vector_scalar_shift_operand (operands[2], E_DImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 224 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
        return 25667; /* ashlv1di3 */
      if (!vector_shift_operand (operands[2], E_V1DImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 224 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 25871; /* vashlv1di3 */

    case 61:
      if (vector_scalar_shift_operand (operands[2], E_DImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 225 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
        return 25670; /* ashlv2di3 */
      if (!vector_shift_operand (operands[2], E_V2DImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 225 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 25874; /* vashlv2di3 */

    case 62:
      if (vector_scalar_shift_operand (operands[2], E_DImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 226 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
        return 25673; /* ashlv4di3 */
      if (!vector_shift_operand (operands[2], E_V4DImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 226 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 25877; /* vashlv4di3 */

    case 63:
      if (vector_scalar_shift_operand (operands[2], E_DImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 227 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
        return 25676; /* ashlv8di3 */
      if (!vector_shift_operand (operands[2], E_V8DImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 227 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 25880; /* vashlv8di3 */

    case 64:
      if (vector_scalar_shift_operand (operands[2], E_DImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 228 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
        return 25679; /* ashlv16di3 */
      if (!vector_shift_operand (operands[2], E_V16DImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 228 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 25883; /* vashlv16di3 */

    case 65:
      if (vector_scalar_shift_operand (operands[2], E_DImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 229 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
        return 25682; /* ashlv32di3 */
      if (!vector_shift_operand (operands[2], E_V32DImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 229 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 25886; /* vashlv32di3 */

    case 66:
      if (vector_scalar_shift_operand (operands[2], E_DImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 230 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
        return 25685; /* ashlv64di3 */
      if (!vector_shift_operand (operands[2], E_V64DImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 230 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 25889; /* vashlv64di3 */

    case 67:
      if (vector_scalar_shift_operand (operands[2], E_DImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
        return 25688; /* ashlv128di3 */
      if (!vector_shift_operand (operands[2], E_V128DImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 25892; /* vashlv128di3 */

    case 68:
      if (vector_scalar_shift_operand (operands[2], E_DImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 232 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
        return 25691; /* ashlv256di3 */
      if (!vector_shift_operand (operands[2], E_V256DImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 232 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 25895; /* vashlv256di3 */

    case 69:
      if (vector_scalar_shift_operand (operands[2], E_DImode)
          && (
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 233 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
        return 25694; /* ashlv512di3 */
      if (!vector_shift_operand (operands[2], E_V512DImode)
          || !(
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 233 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 25898; /* vashlv512di3 */

    default:
      return -1;
    }
}

 int
recog_401 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  x4 = XVECEXP (x3, 0, 0);
  if (GET_CODE (x4) != PLUS)
    return -1;
  x5 = XEXP (x2, 0);
  x6 = XVECEXP (x5, 0, 0);
  operands[5] = x6;
  x7 = XVECEXP (x5, 0, 1);
  operands[6] = x7;
  x8 = XVECEXP (x5, 0, 2);
  operands[7] = x8;
  x9 = XVECEXP (x3, 0, 1);
  operands[4] = x9;
  x10 = XEXP (x2, 2);
  operands[1] = x10;
  x11 = XEXP (x4, 0);
  switch (GET_CODE (x11))
    {
    case REG:
    case SUBREG:
      operands[2] = x11;
      x12 = XEXP (x4, 1);
      operands[3] = x12;
      switch (GET_MODE (operands[0]))
        {
        case E_RVVM8QImode:
          if (pattern685 (x2, 
E_RVVM8QImode, 
E_RVVM1BImode) != 0
              || !
#line 3192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 8477; /* pred_adcrvvm8qi */

        case E_RVVM4QImode:
          if (pattern685 (x2, 
E_RVVM4QImode, 
E_RVVMF2BImode) != 0
              || !
#line 3192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 8478; /* pred_adcrvvm4qi */

        case E_RVVM2QImode:
          if (pattern685 (x2, 
E_RVVM2QImode, 
E_RVVMF4BImode) != 0
              || !
#line 3192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 8479; /* pred_adcrvvm2qi */

        case E_RVVM1QImode:
          if (pattern685 (x2, 
E_RVVM1QImode, 
E_RVVMF8BImode) != 0
              || !
#line 3192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 8480; /* pred_adcrvvm1qi */

        case E_RVVM8HImode:
          if (pattern685 (x2, 
E_RVVM8HImode, 
E_RVVMF2BImode) != 0
              || !
#line 3192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 8481; /* pred_adcrvvm8hi */

        case E_RVVM4HImode:
          if (pattern685 (x2, 
E_RVVM4HImode, 
E_RVVMF4BImode) != 0
              || !
#line 3192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 8482; /* pred_adcrvvm4hi */

        case E_RVVM2HImode:
          if (pattern685 (x2, 
E_RVVM2HImode, 
E_RVVMF8BImode) != 0
              || !
#line 3192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 8483; /* pred_adcrvvm2hi */

        case E_RVVM1HImode:
          if (pattern685 (x2, 
E_RVVM1HImode, 
E_RVVMF16BImode) != 0
              || !
#line 3192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 8484; /* pred_adcrvvm1hi */

        case E_RVVM8SImode:
          if (pattern685 (x2, 
E_RVVM8SImode, 
E_RVVMF4BImode) != 0
              || !
#line 3192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 8485; /* pred_adcrvvm8si */

        case E_RVVM4SImode:
          if (pattern685 (x2, 
E_RVVM4SImode, 
E_RVVMF8BImode) != 0
              || !
#line 3192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 8486; /* pred_adcrvvm4si */

        case E_RVVM2SImode:
          if (pattern685 (x2, 
E_RVVM2SImode, 
E_RVVMF16BImode) != 0
              || !
#line 3192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 8487; /* pred_adcrvvm2si */

        case E_RVVM1SImode:
          if (pattern685 (x2, 
E_RVVM1SImode, 
E_RVVMF32BImode) != 0
              || !
#line 3192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 8488; /* pred_adcrvvm1si */

        case E_RVVM8DImode:
          if (pattern685 (x2, 
E_RVVM8DImode, 
E_RVVMF8BImode) != 0
              || !(
#line 3192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 8489; /* pred_adcrvvm8di */

        case E_RVVM4DImode:
          if (pattern685 (x2, 
E_RVVM4DImode, 
E_RVVMF16BImode) != 0
              || !(
#line 3192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 8490; /* pred_adcrvvm4di */

        case E_RVVM2DImode:
          if (pattern685 (x2, 
E_RVVM2DImode, 
E_RVVMF32BImode) != 0
              || !(
#line 3192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 8491; /* pred_adcrvvm2di */

        case E_RVVM1DImode:
          if (pattern685 (x2, 
E_RVVM1DImode, 
E_RVVMF64BImode) != 0
              || !(
#line 3192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 8492; /* pred_adcrvvm1di */

        case E_RVVMF2QImode:
          if (pattern685 (x2, 
E_RVVMF2QImode, 
E_RVVMF16BImode) != 0
              || !(
#line 3192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
            return -1;
          return 8493; /* pred_adcrvvmf2qi */

        case E_RVVMF4QImode:
          if (pattern685 (x2, 
E_RVVMF4QImode, 
E_RVVMF32BImode) != 0
              || !(
#line 3192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
            return -1;
          return 8494; /* pred_adcrvvmf4qi */

        case E_RVVMF8QImode:
          if (pattern685 (x2, 
E_RVVMF8QImode, 
E_RVVMF64BImode) != 0
              || !(
#line 3192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 131 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 8495; /* pred_adcrvvmf8qi */

        case E_RVVMF2HImode:
          if (pattern685 (x2, 
E_RVVMF2HImode, 
E_RVVMF32BImode) != 0
              || !(
#line 3192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
            return -1;
          return 8496; /* pred_adcrvvmf2hi */

        case E_RVVMF4HImode:
          if (pattern685 (x2, 
E_RVVMF4HImode, 
E_RVVMF64BImode) != 0
              || !(
#line 3192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 132 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 8497; /* pred_adcrvvmf4hi */

        case E_RVVMF2SImode:
          if (pattern685 (x2, 
E_RVVMF2SImode, 
E_RVVMF64BImode) != 0
              || !(
#line 3192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 133 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 8498; /* pred_adcrvvmf2si */

        default:
          return -1;
        }

    case VEC_DUPLICATE:
      x12 = XEXP (x4, 1);
      operands[2] = x12;
      x13 = XEXP (x11, 0);
      switch (GET_CODE (x13))
        {
        case CONST_INT:
        case CONST_WIDE_INT:
        case CONST_DOUBLE:
        case CONST_VECTOR:
        case REG:
        case SUBREG:
          operands[3] = x13;
          switch (GET_MODE (operands[0]))
            {
            case E_RVVM8QImode:
              if (pattern697 (x2, 
E_RVVM8QImode, 
E_RVVM1BImode, 
E_QImode) != 0
                  || !
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 8521; /* pred_adcrvvm8qi_scalar */

            case E_RVVM4QImode:
              if (pattern697 (x2, 
E_RVVM4QImode, 
E_RVVMF2BImode, 
E_QImode) != 0
                  || !
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 8522; /* pred_adcrvvm4qi_scalar */

            case E_RVVM2QImode:
              if (pattern697 (x2, 
E_RVVM2QImode, 
E_RVVMF4BImode, 
E_QImode) != 0
                  || !
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 8523; /* pred_adcrvvm2qi_scalar */

            case E_RVVM1QImode:
              if (pattern697 (x2, 
E_RVVM1QImode, 
E_RVVMF8BImode, 
E_QImode) != 0
                  || !
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 8524; /* pred_adcrvvm1qi_scalar */

            case E_RVVMF2QImode:
              if (pattern697 (x2, 
E_RVVMF2QImode, 
E_RVVMF16BImode, 
E_QImode) != 0
                  || !
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 8525; /* pred_adcrvvmf2qi_scalar */

            case E_RVVMF4QImode:
              if (pattern697 (x2, 
E_RVVMF4QImode, 
E_RVVMF32BImode, 
E_QImode) != 0
                  || !
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 8526; /* pred_adcrvvmf4qi_scalar */

            case E_RVVMF8QImode:
              if (pattern697 (x2, 
E_RVVMF8QImode, 
E_RVVMF64BImode, 
E_QImode) != 0
                  || !(
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 565 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
                return -1;
              return 8527; /* pred_adcrvvmf8qi_scalar */

            case E_RVVM8HImode:
              if (pattern697 (x2, 
E_RVVM8HImode, 
E_RVVMF2BImode, 
E_HImode) != 0
                  || !
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 8528; /* pred_adcrvvm8hi_scalar */

            case E_RVVM4HImode:
              if (pattern697 (x2, 
E_RVVM4HImode, 
E_RVVMF4BImode, 
E_HImode) != 0
                  || !
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 8529; /* pred_adcrvvm4hi_scalar */

            case E_RVVM2HImode:
              if (pattern697 (x2, 
E_RVVM2HImode, 
E_RVVMF8BImode, 
E_HImode) != 0
                  || !
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 8530; /* pred_adcrvvm2hi_scalar */

            case E_RVVM1HImode:
              if (pattern697 (x2, 
E_RVVM1HImode, 
E_RVVMF16BImode, 
E_HImode) != 0
                  || !
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 8531; /* pred_adcrvvm1hi_scalar */

            case E_RVVMF2HImode:
              if (pattern697 (x2, 
E_RVVMF2HImode, 
E_RVVMF32BImode, 
E_HImode) != 0
                  || !
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 8532; /* pred_adcrvvmf2hi_scalar */

            case E_RVVMF4HImode:
              if (pattern697 (x2, 
E_RVVMF4HImode, 
E_RVVMF64BImode, 
E_HImode) != 0
                  || !(
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 567 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
                return -1;
              return 8533; /* pred_adcrvvmf4hi_scalar */

            case E_RVVM8SImode:
              if (pattern697 (x2, 
E_RVVM8SImode, 
E_RVVMF4BImode, 
E_SImode) != 0
                  || !
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 8534; /* pred_adcrvvm8si_scalar */

            case E_RVVM4SImode:
              if (pattern697 (x2, 
E_RVVM4SImode, 
E_RVVMF8BImode, 
E_SImode) != 0
                  || !
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 8535; /* pred_adcrvvm4si_scalar */

            case E_RVVM2SImode:
              if (pattern697 (x2, 
E_RVVM2SImode, 
E_RVVMF16BImode, 
E_SImode) != 0
                  || !
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 8536; /* pred_adcrvvm2si_scalar */

            case E_RVVM1SImode:
              if (pattern697 (x2, 
E_RVVM1SImode, 
E_RVVMF32BImode, 
E_SImode) != 0
                  || !
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 8537; /* pred_adcrvvm1si_scalar */

            case E_RVVMF2SImode:
              if (pattern697 (x2, 
E_RVVMF2SImode, 
E_RVVMF64BImode, 
E_SImode) != 0
                  || !(
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
                return -1;
              return 8538; /* pred_adcrvvmf2si_scalar */

            case E_V1QImode:
              if (pattern697 (x2, 
E_V1QImode, 
E_V1BImode, 
E_QImode) != 0
                  || !(
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1QImode))))
                return -1;
              return 8539; /* pred_adcv1qi_scalar */

            case E_V2QImode:
              if (pattern697 (x2, 
E_V2QImode, 
E_V2BImode, 
E_QImode) != 0
                  || !(
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 572 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2QImode))))
                return -1;
              return 8540; /* pred_adcv2qi_scalar */

            case E_V4QImode:
              if (pattern697 (x2, 
E_V4QImode, 
E_V4BImode, 
E_QImode) != 0
                  || !(
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 573 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4QImode))))
                return -1;
              return 8541; /* pred_adcv4qi_scalar */

            case E_V8QImode:
              if (pattern697 (x2, 
E_V8QImode, 
E_V8BImode, 
E_QImode) != 0
                  || !(
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 574 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8QImode))))
                return -1;
              return 8542; /* pred_adcv8qi_scalar */

            case E_V16QImode:
              if (pattern697 (x2, 
E_V16QImode, 
E_V16BImode, 
E_QImode) != 0
                  || !(
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 575 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16QImode))))
                return -1;
              return 8543; /* pred_adcv16qi_scalar */

            case E_V32QImode:
              if (pattern697 (x2, 
E_V32QImode, 
E_V32BImode, 
E_QImode) != 0
                  || !(
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32QImode))))
                return -1;
              return 8544; /* pred_adcv32qi_scalar */

            case E_V64QImode:
              if (pattern697 (x2, 
E_V64QImode, 
E_V64BImode, 
E_QImode) != 0
                  || !(
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 577 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64QImode) && TARGET_MIN_VLEN >= 64)))
                return -1;
              return 8545; /* pred_adcv64qi_scalar */

            case E_V128QImode:
              if (pattern697 (x2, 
E_V128QImode, 
E_V128BImode, 
E_QImode) != 0
                  || !(
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 578 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128QImode) && TARGET_MIN_VLEN >= 128)))
                return -1;
              return 8546; /* pred_adcv128qi_scalar */

            case E_V256QImode:
              if (pattern697 (x2, 
E_V256QImode, 
E_V256BImode, 
E_QImode) != 0
                  || !(
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 579 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256QImode) && TARGET_MIN_VLEN >= 256)))
                return -1;
              return 8547; /* pred_adcv256qi_scalar */

            case E_V512QImode:
              if (pattern697 (x2, 
E_V512QImode, 
E_V512BImode, 
E_QImode) != 0
                  || !(
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 580 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512QImode) && TARGET_MIN_VLEN >= 512)))
                return -1;
              return 8548; /* pred_adcv512qi_scalar */

            case E_V1024QImode:
              if (pattern697 (x2, 
E_V1024QImode, 
E_V1024BImode, 
E_QImode) != 0
                  || !(
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 581 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024QImode) && TARGET_MIN_VLEN >= 1024)))
                return -1;
              return 8549; /* pred_adcv1024qi_scalar */

            case E_V2048QImode:
              if (pattern697 (x2, 
E_V2048QImode, 
E_V2048BImode, 
E_QImode) != 0
                  || !(
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 582 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048QImode) && TARGET_MIN_VLEN >= 2048)))
                return -1;
              return 8550; /* pred_adcv2048qi_scalar */

            case E_V4096QImode:
              if (pattern697 (x2, 
E_V4096QImode, 
E_V4096BImode, 
E_QImode) != 0
                  || !(
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 583 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4096QImode) && TARGET_MIN_VLEN >= 4096)))
                return -1;
              return 8551; /* pred_adcv4096qi_scalar */

            case E_V1HImode:
              if (pattern697 (x2, 
E_V1HImode, 
E_V1BImode, 
E_HImode) != 0
                  || !(
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 584 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
                return -1;
              return 8552; /* pred_adcv1hi_scalar */

            case E_V2HImode:
              if (pattern697 (x2, 
E_V2HImode, 
E_V2BImode, 
E_HImode) != 0
                  || !(
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 585 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
                return -1;
              return 8553; /* pred_adcv2hi_scalar */

            case E_V4HImode:
              if (pattern697 (x2, 
E_V4HImode, 
E_V4BImode, 
E_HImode) != 0
                  || !(
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 586 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
                return -1;
              return 8554; /* pred_adcv4hi_scalar */

            case E_V8HImode:
              if (pattern697 (x2, 
E_V8HImode, 
E_V8BImode, 
E_HImode) != 0
                  || !(
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
                return -1;
              return 8555; /* pred_adcv8hi_scalar */

            case E_V16HImode:
              if (pattern697 (x2, 
E_V16HImode, 
E_V16BImode, 
E_HImode) != 0
                  || !(
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 588 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
                return -1;
              return 8556; /* pred_adcv16hi_scalar */

            case E_V32HImode:
              if (pattern697 (x2, 
E_V32HImode, 
E_V32BImode, 
E_HImode) != 0
                  || !(
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
                return -1;
              return 8557; /* pred_adcv32hi_scalar */

            case E_V64HImode:
              if (pattern697 (x2, 
E_V64HImode, 
E_V64BImode, 
E_HImode) != 0
                  || !(
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 590 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
                return -1;
              return 8558; /* pred_adcv64hi_scalar */

            case E_V128HImode:
              if (pattern697 (x2, 
E_V128HImode, 
E_V128BImode, 
E_HImode) != 0
                  || !(
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 591 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
                return -1;
              return 8559; /* pred_adcv128hi_scalar */

            case E_V256HImode:
              if (pattern697 (x2, 
E_V256HImode, 
E_V256BImode, 
E_HImode) != 0
                  || !(
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
                return -1;
              return 8560; /* pred_adcv256hi_scalar */

            case E_V512HImode:
              if (pattern697 (x2, 
E_V512HImode, 
E_V512BImode, 
E_HImode) != 0
                  || !(
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 593 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
                return -1;
              return 8561; /* pred_adcv512hi_scalar */

            case E_V1024HImode:
              if (pattern697 (x2, 
E_V1024HImode, 
E_V1024BImode, 
E_HImode) != 0
                  || !(
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
                return -1;
              return 8562; /* pred_adcv1024hi_scalar */

            case E_V2048HImode:
              if (pattern697 (x2, 
E_V2048HImode, 
E_V2048BImode, 
E_HImode) != 0
                  || !(
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 595 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
                return -1;
              return 8563; /* pred_adcv2048hi_scalar */

            case E_V1SImode:
              if (pattern697 (x2, 
E_V1SImode, 
E_V1BImode, 
E_SImode) != 0
                  || !(
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 596 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
                return -1;
              return 8564; /* pred_adcv1si_scalar */

            case E_V2SImode:
              if (pattern697 (x2, 
E_V2SImode, 
E_V2BImode, 
E_SImode) != 0
                  || !(
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 597 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
                return -1;
              return 8565; /* pred_adcv2si_scalar */

            case E_V4SImode:
              if (pattern697 (x2, 
E_V4SImode, 
E_V4BImode, 
E_SImode) != 0
                  || !(
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 598 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
                return -1;
              return 8566; /* pred_adcv4si_scalar */

            case E_V8SImode:
              if (pattern697 (x2, 
E_V8SImode, 
E_V8BImode, 
E_SImode) != 0
                  || !(
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 599 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
                return -1;
              return 8567; /* pred_adcv8si_scalar */

            case E_V16SImode:
              if (pattern697 (x2, 
E_V16SImode, 
E_V16BImode, 
E_SImode) != 0
                  || !(
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 600 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
                return -1;
              return 8568; /* pred_adcv16si_scalar */

            case E_V32SImode:
              if (pattern697 (x2, 
E_V32SImode, 
E_V32BImode, 
E_SImode) != 0
                  || !(
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 601 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
                return -1;
              return 8569; /* pred_adcv32si_scalar */

            case E_V64SImode:
              if (pattern697 (x2, 
E_V64SImode, 
E_V64BImode, 
E_SImode) != 0
                  || !(
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 602 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
                return -1;
              return 8570; /* pred_adcv64si_scalar */

            case E_V128SImode:
              if (pattern697 (x2, 
E_V128SImode, 
E_V128BImode, 
E_SImode) != 0
                  || !(
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
                return -1;
              return 8571; /* pred_adcv128si_scalar */

            case E_V256SImode:
              if (pattern697 (x2, 
E_V256SImode, 
E_V256BImode, 
E_SImode) != 0
                  || !(
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 604 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
                return -1;
              return 8572; /* pred_adcv256si_scalar */

            case E_V512SImode:
              if (pattern697 (x2, 
E_V512SImode, 
E_V512BImode, 
E_SImode) != 0
                  || !(
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 605 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
                return -1;
              return 8573; /* pred_adcv512si_scalar */

            case E_V1024SImode:
              if (pattern697 (x2, 
E_V1024SImode, 
E_V1024BImode, 
E_SImode) != 0
                  || !(
#line 3241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 606 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
                return -1;
              return 8574; /* pred_adcv1024si_scalar */

            case E_RVVM8DImode:
              if (pattern698 (x2, 
E_RVVM8DImode, 
E_RVVMF8BImode) != 0
                  || !(
#line 3324 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 769 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
                return -1;
              return 8629; /* *pred_adcrvvm8di_scalar */

            case E_RVVM4DImode:
              if (pattern698 (x2, 
E_RVVM4DImode, 
E_RVVMF16BImode) != 0
                  || !(
#line 3324 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 769 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
                return -1;
              return 8630; /* *pred_adcrvvm4di_scalar */

            case E_RVVM2DImode:
              if (pattern698 (x2, 
E_RVVM2DImode, 
E_RVVMF32BImode) != 0
                  || !(
#line 3324 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 770 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
                return -1;
              return 8631; /* *pred_adcrvvm2di_scalar */

            case E_RVVM1DImode:
              if (pattern698 (x2, 
E_RVVM1DImode, 
E_RVVMF64BImode) != 0
                  || !(
#line 3324 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 770 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
                return -1;
              return 8632; /* *pred_adcrvvm1di_scalar */

            default:
              return -1;
            }

        case SIGN_EXTEND:
          if (GET_MODE (x13) != E_DImode)
            return -1;
          x14 = XEXP (x13, 0);
          operands[3] = x14;
          if (!reg_or_0_operand (operands[3], E_SImode))
            return -1;
          switch (GET_MODE (operands[0]))
            {
            case E_RVVM8DImode:
              if (pattern714 (x2, 
E_RVVM8DImode, 
E_RVVMF8BImode) != 0
                  || !(
#line 3350 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 769 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
                return -1;
              return 8633; /* *pred_adcrvvm8di_extended_scalar */

            case E_RVVM4DImode:
              if (pattern714 (x2, 
E_RVVM4DImode, 
E_RVVMF16BImode) != 0
                  || !(
#line 3350 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 769 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
                return -1;
              return 8634; /* *pred_adcrvvm4di_extended_scalar */

            case E_RVVM2DImode:
              if (pattern714 (x2, 
E_RVVM2DImode, 
E_RVVMF32BImode) != 0
                  || !(
#line 3350 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 770 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
                return -1;
              return 8635; /* *pred_adcrvvm2di_extended_scalar */

            case E_RVVM1DImode:
              if (pattern714 (x2, 
E_RVVM1DImode, 
E_RVVMF64BImode) != 0
                  || !(
#line 3350 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 770 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
                return -1;
              return 8636; /* *pred_adcrvvm1di_extended_scalar */

            default:
              return -1;
            }

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_414 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[0]))
    {
    case E_RVVM8QImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_RVVM8QImode, 
E_RVVM1BImode, 
E_QImode) != 0
          || !
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 4047; /* *pred_broadcastrvvm8qi */

    case E_RVVM4QImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_RVVM4QImode, 
E_RVVMF2BImode, 
E_QImode) != 0
          || !
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 4048; /* *pred_broadcastrvvm4qi */

    case E_RVVM2QImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_RVVM2QImode, 
E_RVVMF4BImode, 
E_QImode) != 0
          || !
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 4049; /* *pred_broadcastrvvm2qi */

    case E_RVVM1QImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_RVVM1QImode, 
E_RVVMF8BImode, 
E_QImode) != 0
          || !
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 4050; /* *pred_broadcastrvvm1qi */

    case E_RVVM8HImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_RVVM8HImode, 
E_RVVMF2BImode, 
E_HImode) != 0
          || !
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 4051; /* *pred_broadcastrvvm8hi */

    case E_RVVM4HImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_RVVM4HImode, 
E_RVVMF4BImode, 
E_HImode) != 0
          || !
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 4052; /* *pred_broadcastrvvm4hi */

    case E_RVVM2HImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_RVVM2HImode, 
E_RVVMF8BImode, 
E_HImode) != 0
          || !
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 4053; /* *pred_broadcastrvvm2hi */

    case E_RVVM1HImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_RVVM1HImode, 
E_RVVMF16BImode, 
E_HImode) != 0
          || !
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 4054; /* *pred_broadcastrvvm1hi */

    case E_RVVM8SImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_RVVM8SImode, 
E_RVVMF4BImode, 
E_SImode) != 0
          || !
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 4055; /* *pred_broadcastrvvm8si */

    case E_RVVM4SImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_RVVM4SImode, 
E_RVVMF8BImode, 
E_SImode) != 0
          || !
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 4056; /* *pred_broadcastrvvm4si */

    case E_RVVM2SImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_RVVM2SImode, 
E_RVVMF16BImode, 
E_SImode) != 0
          || !
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 4057; /* *pred_broadcastrvvm2si */

    case E_RVVM1SImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_RVVM1SImode, 
E_RVVMF32BImode, 
E_SImode) != 0
          || !
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 4058; /* *pred_broadcastrvvm1si */

    case E_RVVM8DImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_RVVM8DImode, 
E_RVVMF8BImode, 
E_DImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 4059; /* *pred_broadcastrvvm8di */

    case E_RVVM4DImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_RVVM4DImode, 
E_RVVMF16BImode, 
E_DImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 4060; /* *pred_broadcastrvvm4di */

    case E_RVVM2DImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_RVVM2DImode, 
E_RVVMF32BImode, 
E_DImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 4061; /* *pred_broadcastrvvm2di */

    case E_RVVM1DImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_RVVM1DImode, 
E_RVVMF64BImode, 
E_DImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 4062; /* *pred_broadcastrvvm1di */

    case E_RVVMF2QImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_RVVMF2QImode, 
E_RVVMF16BImode, 
E_QImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
        return -1;
      return 4063; /* *pred_broadcastrvvmf2qi */

    case E_RVVMF4QImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_RVVMF4QImode, 
E_RVVMF32BImode, 
E_QImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
        return -1;
      return 4064; /* *pred_broadcastrvvmf4qi */

    case E_RVVMF8QImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_RVVMF8QImode, 
E_RVVMF64BImode, 
E_QImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 131 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
        return -1;
      return 4065; /* *pred_broadcastrvvmf8qi */

    case E_RVVMF2HImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_RVVMF2HImode, 
E_RVVMF32BImode, 
E_HImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
        return -1;
      return 4066; /* *pred_broadcastrvvmf2hi */

    case E_RVVMF4HImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_RVVMF4HImode, 
E_RVVMF64BImode, 
E_HImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 132 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
        return -1;
      return 4067; /* *pred_broadcastrvvmf4hi */

    case E_RVVMF2SImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_RVVMF2SImode, 
E_RVVMF64BImode, 
E_SImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 133 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
        return -1;
      return 4068; /* *pred_broadcastrvvmf2si */

    case E_V1QImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V1QImode, 
E_V1BImode, 
E_QImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 188 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1QImode))))
        return -1;
      return 4069; /* *pred_broadcastv1qi */

    case E_V2QImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V2QImode, 
E_V2BImode, 
E_QImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 189 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2QImode))))
        return -1;
      return 4070; /* *pred_broadcastv2qi */

    case E_V4QImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V4QImode, 
E_V4BImode, 
E_QImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 190 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4QImode))))
        return -1;
      return 4071; /* *pred_broadcastv4qi */

    case E_V8QImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V8QImode, 
E_V8BImode, 
E_QImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 191 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8QImode))))
        return -1;
      return 4072; /* *pred_broadcastv8qi */

    case E_V16QImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V16QImode, 
E_V16BImode, 
E_QImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16QImode))))
        return -1;
      return 4073; /* *pred_broadcastv16qi */

    case E_V32QImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V32QImode, 
E_V32BImode, 
E_QImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 193 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32QImode))))
        return -1;
      return 4074; /* *pred_broadcastv32qi */

    case E_V64QImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V64QImode, 
E_V64BImode, 
E_QImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 194 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64QImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 4075; /* *pred_broadcastv64qi */

    case E_V128QImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V128QImode, 
E_V128BImode, 
E_QImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 195 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128QImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 4076; /* *pred_broadcastv128qi */

    case E_V256QImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V256QImode, 
E_V256BImode, 
E_QImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 196 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256QImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 4077; /* *pred_broadcastv256qi */

    case E_V512QImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V512QImode, 
E_V512BImode, 
E_QImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 197 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512QImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 4078; /* *pred_broadcastv512qi */

    case E_V1024QImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V1024QImode, 
E_V1024BImode, 
E_QImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 198 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024QImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 4079; /* *pred_broadcastv1024qi */

    case E_V2048QImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V2048QImode, 
E_V2048BImode, 
E_QImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 199 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048QImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 4080; /* *pred_broadcastv2048qi */

    case E_V4096QImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V4096QImode, 
E_V4096BImode, 
E_QImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 200 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4096QImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 4081; /* *pred_broadcastv4096qi */

    case E_V1HImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V1HImode, 
E_V1BImode, 
E_HImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 201 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
        return -1;
      return 4082; /* *pred_broadcastv1hi */

    case E_V2HImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V2HImode, 
E_V2BImode, 
E_HImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
        return -1;
      return 4083; /* *pred_broadcastv2hi */

    case E_V4HImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V4HImode, 
E_V4BImode, 
E_HImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 203 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
        return -1;
      return 4084; /* *pred_broadcastv4hi */

    case E_V8HImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V8HImode, 
E_V8BImode, 
E_HImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 204 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
        return -1;
      return 4085; /* *pred_broadcastv8hi */

    case E_V16HImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V16HImode, 
E_V16BImode, 
E_HImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
        return -1;
      return 4086; /* *pred_broadcastv16hi */

    case E_V32HImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V32HImode, 
E_V32BImode, 
E_HImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 206 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 4087; /* *pred_broadcastv32hi */

    case E_V64HImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V64HImode, 
E_V64BImode, 
E_HImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 207 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 4088; /* *pred_broadcastv64hi */

    case E_V128HImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V128HImode, 
E_V128BImode, 
E_HImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 208 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 4089; /* *pred_broadcastv128hi */

    case E_V256HImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V256HImode, 
E_V256BImode, 
E_HImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 209 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 4090; /* *pred_broadcastv256hi */

    case E_V512HImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V512HImode, 
E_V512BImode, 
E_HImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 4091; /* *pred_broadcastv512hi */

    case E_V1024HImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V1024HImode, 
E_V1024BImode, 
E_HImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 211 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 4092; /* *pred_broadcastv1024hi */

    case E_V2048HImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V2048HImode, 
E_V2048BImode, 
E_HImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 4093; /* *pred_broadcastv2048hi */

    case E_V1SImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V1SImode, 
E_V1BImode, 
E_SImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 213 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
        return -1;
      return 4094; /* *pred_broadcastv1si */

    case E_V2SImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V2SImode, 
E_V2BImode, 
E_SImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
        return -1;
      return 4095; /* *pred_broadcastv2si */

    case E_V4SImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V4SImode, 
E_V4BImode, 
E_SImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 215 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
        return -1;
      return 4096; /* *pred_broadcastv4si */

    case E_V8SImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V8SImode, 
E_V8BImode, 
E_SImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 216 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
        return -1;
      return 4097; /* *pred_broadcastv8si */

    case E_V16SImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V16SImode, 
E_V16BImode, 
E_SImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 217 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 4098; /* *pred_broadcastv16si */

    case E_V32SImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V32SImode, 
E_V32BImode, 
E_SImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 218 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 4099; /* *pred_broadcastv32si */

    case E_V64SImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V64SImode, 
E_V64BImode, 
E_SImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 219 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 4100; /* *pred_broadcastv64si */

    case E_V128SImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V128SImode, 
E_V128BImode, 
E_SImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 220 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 4101; /* *pred_broadcastv128si */

    case E_V256SImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V256SImode, 
E_V256BImode, 
E_SImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 4102; /* *pred_broadcastv256si */

    case E_V512SImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V512SImode, 
E_V512BImode, 
E_SImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 222 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 4103; /* *pred_broadcastv512si */

    case E_V1024SImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V1024SImode, 
E_V1024BImode, 
E_SImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 223 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 4104; /* *pred_broadcastv1024si */

    case E_V1DImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V1DImode, 
E_V1BImode, 
E_DImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 224 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 4105; /* *pred_broadcastv1di */

    case E_V2DImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V2DImode, 
E_V2BImode, 
E_DImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 225 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 4106; /* *pred_broadcastv2di */

    case E_V4DImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V4DImode, 
E_V4BImode, 
E_DImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 226 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 4107; /* *pred_broadcastv4di */

    case E_V8DImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V8DImode, 
E_V8BImode, 
E_DImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 227 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 4108; /* *pred_broadcastv8di */

    case E_V16DImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V16DImode, 
E_V16BImode, 
E_DImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 228 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 4109; /* *pred_broadcastv16di */

    case E_V32DImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V32DImode, 
E_V32BImode, 
E_DImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 229 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 4110; /* *pred_broadcastv32di */

    case E_V64DImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V64DImode, 
E_V64BImode, 
E_DImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 230 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 4111; /* *pred_broadcastv64di */

    case E_V128DImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V128DImode, 
E_V128BImode, 
E_DImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 4112; /* *pred_broadcastv128di */

    case E_V256DImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V256DImode, 
E_V256BImode, 
E_DImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 232 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 4113; /* *pred_broadcastv256di */

    case E_V512DImode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V512DImode, 
E_V512BImode, 
E_DImode) != 0
          || !(
#line 2210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 233 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 4114; /* *pred_broadcastv512di */

    case E_RVVM8HFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_RVVM8HFmode, 
E_RVVMF2BImode, 
E_HFmode) != 0)
        return -1;
      if ((
#line 2271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return 4115; /* *pred_broadcastrvvm8hf_zvfh */
      if (!(
#line 2294 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 176 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 4169; /* *pred_broadcastrvvm8hf_zvfhmin */

    case E_RVVM4HFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_RVVM4HFmode, 
E_RVVMF4BImode, 
E_HFmode) != 0)
        return -1;
      if ((
#line 2271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return 4116; /* *pred_broadcastrvvm4hf_zvfh */
      if (!(
#line 2294 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 176 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 4170; /* *pred_broadcastrvvm4hf_zvfhmin */

    case E_RVVM2HFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_RVVM2HFmode, 
E_RVVMF8BImode, 
E_HFmode) != 0)
        return -1;
      if ((
#line 2271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return 4117; /* *pred_broadcastrvvm2hf_zvfh */
      if (!(
#line 2294 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 176 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 4171; /* *pred_broadcastrvvm2hf_zvfhmin */

    case E_RVVM1HFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_RVVM1HFmode, 
E_RVVMF16BImode, 
E_HFmode) != 0)
        return -1;
      if ((
#line 2271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return 4118; /* *pred_broadcastrvvm1hf_zvfh */
      if (!(
#line 2294 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 177 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 4172; /* *pred_broadcastrvvm1hf_zvfhmin */

    case E_RVVMF2HFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_RVVMF2HFmode, 
E_RVVMF32BImode, 
E_HFmode) != 0)
        return -1;
      if ((
#line 2271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return 4119; /* *pred_broadcastrvvmf2hf_zvfh */
      if (!(
#line 2294 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 177 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 4173; /* *pred_broadcastrvvmf2hf_zvfhmin */

    case E_RVVMF4HFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_RVVMF4HFmode, 
E_RVVMF64BImode, 
E_HFmode) != 0)
        return -1;
      if ((
#line 2271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 157 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH && TARGET_MIN_VLEN > 32)))
        return 4120; /* *pred_broadcastrvvmf4hf_zvfh */
      if (!(
#line 2294 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 178 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN > 32)))
        return -1;
      return 4174; /* *pred_broadcastrvvmf4hf_zvfhmin */

    case E_RVVM8SFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_RVVM8SFmode, 
E_RVVMF4BImode, 
E_SFmode) != 0
          || !(
#line 2271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 4121; /* *pred_broadcastrvvm8sf_zvfh */

    case E_RVVM4SFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_RVVM4SFmode, 
E_RVVMF8BImode, 
E_SFmode) != 0
          || !(
#line 2271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 4122; /* *pred_broadcastrvvm4sf_zvfh */

    case E_RVVM2SFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_RVVM2SFmode, 
E_RVVMF16BImode, 
E_SFmode) != 0
          || !(
#line 2271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 4123; /* *pred_broadcastrvvm2sf_zvfh */

    case E_RVVM1SFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_RVVM1SFmode, 
E_RVVMF32BImode, 
E_SFmode) != 0
          || !(
#line 2271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 4124; /* *pred_broadcastrvvm1sf_zvfh */

    case E_RVVMF2SFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_RVVMF2SFmode, 
E_RVVMF64BImode, 
E_SFmode) != 0
          || !(
#line 2271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32)))
        return -1;
      return 4125; /* *pred_broadcastrvvmf2sf_zvfh */

    case E_RVVM8DFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_RVVM8DFmode, 
E_RVVMF8BImode, 
E_DFmode) != 0
          || !(
#line 2271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 4126; /* *pred_broadcastrvvm8df_zvfh */

    case E_RVVM4DFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_RVVM4DFmode, 
E_RVVMF16BImode, 
E_DFmode) != 0
          || !(
#line 2271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 4127; /* *pred_broadcastrvvm4df_zvfh */

    case E_RVVM2DFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_RVVM2DFmode, 
E_RVVMF32BImode, 
E_DFmode) != 0
          || !(
#line 2271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 4128; /* *pred_broadcastrvvm2df_zvfh */

    case E_RVVM1DFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_RVVM1DFmode, 
E_RVVMF64BImode, 
E_DFmode) != 0
          || !(
#line 2271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 4129; /* *pred_broadcastrvvm1df_zvfh */

    case E_V1HFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V1HFmode, 
E_V1BImode, 
E_HFmode) != 0)
        return -1;
      if ((
#line 2271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 236 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HFmode) && TARGET_ZVFH)))
        return 4130; /* *pred_broadcastv1hf_zvfh */
      if (!(
#line 2294 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 272 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HFmode) && TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 4184; /* *pred_broadcastv1hf_zvfhmin */

    case E_V2HFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V2HFmode, 
E_V2BImode, 
E_HFmode) != 0)
        return -1;
      if ((
#line 2271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 237 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HFmode) && TARGET_ZVFH)))
        return 4131; /* *pred_broadcastv2hf_zvfh */
      if (!(
#line 2294 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 273 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HFmode) && TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 4185; /* *pred_broadcastv2hf_zvfhmin */

    case E_V4HFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V4HFmode, 
E_V4BImode, 
E_HFmode) != 0)
        return -1;
      if ((
#line 2271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HFmode) && TARGET_ZVFH)))
        return 4132; /* *pred_broadcastv4hf_zvfh */
      if (!(
#line 2294 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 274 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HFmode) && TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 4186; /* *pred_broadcastv4hf_zvfhmin */

    case E_V8HFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V8HFmode, 
E_V8BImode, 
E_HFmode) != 0)
        return -1;
      if ((
#line 2271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 239 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HFmode) && TARGET_ZVFH)))
        return 4133; /* *pred_broadcastv8hf_zvfh */
      if (!(
#line 2294 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 275 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HFmode) && TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 4187; /* *pred_broadcastv8hf_zvfhmin */

    case E_V16HFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V16HFmode, 
E_V16BImode, 
E_HFmode) != 0)
        return -1;
      if ((
#line 2271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HFmode) && TARGET_ZVFH)))
        return 4134; /* *pred_broadcastv16hf_zvfh */
      if (!(
#line 2294 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 276 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HFmode) && TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 4188; /* *pred_broadcastv16hf_zvfhmin */

    case E_V32HFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V32HFmode, 
E_V32BImode, 
E_HFmode) != 0)
        return -1;
      if ((
#line 2271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 64)))
        return 4135; /* *pred_broadcastv32hf_zvfh */
      if (!(
#line 2294 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 277 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 4189; /* *pred_broadcastv32hf_zvfhmin */

    case E_V64HFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V64HFmode, 
E_V64BImode, 
E_HFmode) != 0)
        return -1;
      if ((
#line 2271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 242 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 128)))
        return 4136; /* *pred_broadcastv64hf_zvfh */
      if (!(
#line 2294 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 278 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 4190; /* *pred_broadcastv64hf_zvfhmin */

    case E_V128HFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V128HFmode, 
E_V128BImode, 
E_HFmode) != 0)
        return -1;
      if ((
#line 2271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 243 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 256)))
        return 4137; /* *pred_broadcastv128hf_zvfh */
      if (!(
#line 2294 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 279 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 4191; /* *pred_broadcastv128hf_zvfhmin */

    case E_V256HFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V256HFmode, 
E_V256BImode, 
E_HFmode) != 0)
        return -1;
      if ((
#line 2271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 244 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 512)))
        return 4138; /* *pred_broadcastv256hf_zvfh */
      if (!(
#line 2294 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 280 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 4192; /* *pred_broadcastv256hf_zvfhmin */

    case E_V512HFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V512HFmode, 
E_V512BImode, 
E_HFmode) != 0)
        return -1;
      if ((
#line 2271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 245 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 1024)))
        return 4139; /* *pred_broadcastv512hf_zvfh */
      if (!(
#line 2294 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 281 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 4193; /* *pred_broadcastv512hf_zvfhmin */

    case E_V1024HFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V1024HFmode, 
E_V1024BImode, 
E_HFmode) != 0)
        return -1;
      if ((
#line 2271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 246 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 2048)))
        return 4140; /* *pred_broadcastv1024hf_zvfh */
      if (!(
#line 2294 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 282 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 4194; /* *pred_broadcastv1024hf_zvfhmin */

    case E_V2048HFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V2048HFmode, 
E_V2048BImode, 
E_HFmode) != 0)
        return -1;
      if ((
#line 2271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 247 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 4096)))
        return 4141; /* *pred_broadcastv2048hf_zvfh */
      if (!(
#line 2294 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 4195; /* *pred_broadcastv2048hf_zvfhmin */

    case E_V1SFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V1SFmode, 
E_V1BImode, 
E_SFmode) != 0
          || !(
#line 2271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 248 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 4142; /* *pred_broadcastv1sf_zvfh */

    case E_V2SFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V2SFmode, 
E_V2BImode, 
E_SFmode) != 0
          || !(
#line 2271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 249 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 4143; /* *pred_broadcastv2sf_zvfh */

    case E_V4SFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V4SFmode, 
E_V4BImode, 
E_SFmode) != 0
          || !(
#line 2271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 250 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 4144; /* *pred_broadcastv4sf_zvfh */

    case E_V8SFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V8SFmode, 
E_V8BImode, 
E_SFmode) != 0
          || !(
#line 2271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 251 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 4145; /* *pred_broadcastv8sf_zvfh */

    case E_V16SFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V16SFmode, 
E_V16BImode, 
E_SFmode) != 0
          || !(
#line 2271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 252 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 4146; /* *pred_broadcastv16sf_zvfh */

    case E_V32SFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V32SFmode, 
E_V32BImode, 
E_SFmode) != 0
          || !(
#line 2271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 253 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 4147; /* *pred_broadcastv32sf_zvfh */

    case E_V64SFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V64SFmode, 
E_V64BImode, 
E_SFmode) != 0
          || !(
#line 2271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 254 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 4148; /* *pred_broadcastv64sf_zvfh */

    case E_V128SFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V128SFmode, 
E_V128BImode, 
E_SFmode) != 0
          || !(
#line 2271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 255 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 4149; /* *pred_broadcastv128sf_zvfh */

    case E_V256SFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V256SFmode, 
E_V256BImode, 
E_SFmode) != 0
          || !(
#line 2271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 256 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 4150; /* *pred_broadcastv256sf_zvfh */

    case E_V512SFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V512SFmode, 
E_V512BImode, 
E_SFmode) != 0
          || !(
#line 2271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 257 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 4151; /* *pred_broadcastv512sf_zvfh */

    case E_V1024SFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V1024SFmode, 
E_V1024BImode, 
E_SFmode) != 0
          || !(
#line 2271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 258 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 4152; /* *pred_broadcastv1024sf_zvfh */

    case E_V1DFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V1DFmode, 
E_V1BImode, 
E_DFmode) != 0
          || !(
#line 2271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 259 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 4153; /* *pred_broadcastv1df_zvfh */

    case E_V2DFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V2DFmode, 
E_V2BImode, 
E_DFmode) != 0
          || !(
#line 2271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 4154; /* *pred_broadcastv2df_zvfh */

    case E_V4DFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V4DFmode, 
E_V4BImode, 
E_DFmode) != 0
          || !(
#line 2271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 261 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 4155; /* *pred_broadcastv4df_zvfh */

    case E_V8DFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V8DFmode, 
E_V8BImode, 
E_DFmode) != 0
          || !(
#line 2271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 262 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 4156; /* *pred_broadcastv8df_zvfh */

    case E_V16DFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V16DFmode, 
E_V16BImode, 
E_DFmode) != 0
          || !(
#line 2271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 4157; /* *pred_broadcastv16df_zvfh */

    case E_V32DFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V32DFmode, 
E_V32BImode, 
E_DFmode) != 0
          || !(
#line 2271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 264 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 4158; /* *pred_broadcastv32df_zvfh */

    case E_V64DFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V64DFmode, 
E_V64BImode, 
E_DFmode) != 0
          || !(
#line 2271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 265 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 4159; /* *pred_broadcastv64df_zvfh */

    case E_V128DFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V128DFmode, 
E_V128BImode, 
E_DFmode) != 0
          || !(
#line 2271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 266 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 4160; /* *pred_broadcastv128df_zvfh */

    case E_V256DFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V256DFmode, 
E_V256BImode, 
E_DFmode) != 0
          || !(
#line 2271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 267 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 4161; /* *pred_broadcastv256df_zvfh */

    case E_V512DFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_V512DFmode, 
E_V512BImode, 
E_DFmode) != 0
          || !(
#line 2271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 4162; /* *pred_broadcastv512df_zvfh */

    case E_RVVM8BFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_RVVM8BFmode, 
E_RVVMF2BImode, 
E_BFmode) != 0
          || !(
#line 2294 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 167 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 4163; /* *pred_broadcastrvvm8bf_zvfhmin */

    case E_RVVM4BFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_RVVM4BFmode, 
E_RVVMF4BImode, 
E_BFmode) != 0
          || !(
#line 2294 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 168 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 4164; /* *pred_broadcastrvvm4bf_zvfhmin */

    case E_RVVM2BFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_RVVM2BFmode, 
E_RVVMF8BImode, 
E_BFmode) != 0
          || !(
#line 2294 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 169 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 4165; /* *pred_broadcastrvvm2bf_zvfhmin */

    case E_RVVM1BFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_RVVM1BFmode, 
E_RVVMF16BImode, 
E_BFmode) != 0
          || !(
#line 2294 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 4166; /* *pred_broadcastrvvm1bf_zvfhmin */

    case E_RVVMF2BFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_RVVMF2BFmode, 
E_RVVMF32BImode, 
E_BFmode) != 0
          || !(
#line 2294 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 171 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 4167; /* *pred_broadcastrvvmf2bf_zvfhmin */

    case E_RVVMF4BFmode:
      x2 = XEXP (x1, 1);
      if (pattern601 (x2, 
E_RVVMF4BFmode, 
E_RVVMF64BImode, 
E_BFmode) != 0
          || !(
#line 2294 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 172 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16 && TARGET_MIN_VLEN > 32)))
        return -1;
      return 4168; /* *pred_broadcastrvvmf4bf_zvfhmin */

    default:
      return -1;
    }
}

 int
recog_600 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern558 (x2))
    {
    case 0:
      if (!
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 8087; /* pred_mulhrvvm8qi */

    case 1:
      if (!
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 8090; /* pred_mulhrvvm4qi */

    case 2:
      if (!
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 8093; /* pred_mulhrvvm2qi */

    case 3:
      if (!
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 8096; /* pred_mulhrvvm1qi */

    case 4:
      if (!
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 8099; /* pred_mulhrvvmf2qi */

    case 5:
      if (!
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 8102; /* pred_mulhrvvmf4qi */

    case 6:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 502 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 8105; /* pred_mulhrvvmf8qi */

    case 7:
      if (!
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 8108; /* pred_mulhrvvm8hi */

    case 8:
      if (!
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 8111; /* pred_mulhrvvm4hi */

    case 9:
      if (!
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 8114; /* pred_mulhrvvm2hi */

    case 10:
      if (!
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 8117; /* pred_mulhrvvm1hi */

    case 11:
      if (!
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 8120; /* pred_mulhrvvmf2hi */

    case 12:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 504 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 8123; /* pred_mulhrvvmf4hi */

    case 13:
      if (!
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 8126; /* pred_mulhrvvm8si */

    case 14:
      if (!
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 8129; /* pred_mulhrvvm4si */

    case 15:
      if (!
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 8132; /* pred_mulhrvvm2si */

    case 16:
      if (!
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 8135; /* pred_mulhrvvm1si */

    case 17:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 506 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 8138; /* pred_mulhrvvmf2si */

    case 18:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_FULL_V)))
        return -1;
      return 8141; /* pred_mulhrvvm8di */

    case 19:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_FULL_V)))
        return -1;
      return 8144; /* pred_mulhrvvm4di */

    case 20:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_FULL_V)))
        return -1;
      return 8147; /* pred_mulhrvvm2di */

    case 21:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_FULL_V)))
        return -1;
      return 8150; /* pred_mulhrvvm1di */

    case 22:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 510 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1QImode))))
        return -1;
      return 8153; /* pred_mulhv1qi */

    case 23:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 511 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2QImode))))
        return -1;
      return 8156; /* pred_mulhv2qi */

    case 24:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 512 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4QImode))))
        return -1;
      return 8159; /* pred_mulhv4qi */

    case 25:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 513 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8QImode))))
        return -1;
      return 8162; /* pred_mulhv8qi */

    case 26:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 514 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16QImode))))
        return -1;
      return 8165; /* pred_mulhv16qi */

    case 27:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 515 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32QImode))))
        return -1;
      return 8168; /* pred_mulhv32qi */

    case 28:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 516 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64QImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 8171; /* pred_mulhv64qi */

    case 29:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 517 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128QImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 8174; /* pred_mulhv128qi */

    case 30:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 518 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256QImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 8177; /* pred_mulhv256qi */

    case 31:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 519 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512QImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 8180; /* pred_mulhv512qi */

    case 32:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 520 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024QImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 8183; /* pred_mulhv1024qi */

    case 33:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 521 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048QImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 8186; /* pred_mulhv2048qi */

    case 34:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4096QImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 8189; /* pred_mulhv4096qi */

    case 35:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 523 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
        return -1;
      return 8192; /* pred_mulhv1hi */

    case 36:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 524 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
        return -1;
      return 8195; /* pred_mulhv2hi */

    case 37:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
        return -1;
      return 8198; /* pred_mulhv4hi */

    case 38:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 526 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
        return -1;
      return 8201; /* pred_mulhv8hi */

    case 39:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 527 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
        return -1;
      return 8204; /* pred_mulhv16hi */

    case 40:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 528 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 8207; /* pred_mulhv32hi */

    case 41:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 8210; /* pred_mulhv64hi */

    case 42:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 530 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 8213; /* pred_mulhv128hi */

    case 43:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 531 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 8216; /* pred_mulhv256hi */

    case 44:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 532 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 8219; /* pred_mulhv512hi */

    case 45:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 533 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 8222; /* pred_mulhv1024hi */

    case 46:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 534 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 8225; /* pred_mulhv2048hi */

    case 47:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 535 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
        return -1;
      return 8228; /* pred_mulhv1si */

    case 48:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 536 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
        return -1;
      return 8231; /* pred_mulhv2si */

    case 49:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 537 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
        return -1;
      return 8234; /* pred_mulhv4si */

    case 50:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 538 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
        return -1;
      return 8237; /* pred_mulhv8si */

    case 51:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 539 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 8240; /* pred_mulhv16si */

    case 52:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 540 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 8243; /* pred_mulhv32si */

    case 53:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 541 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 8246; /* pred_mulhv64si */

    case 54:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 542 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 8249; /* pred_mulhv128si */

    case 55:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 543 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 8252; /* pred_mulhv256si */

    case 56:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 8255; /* pred_mulhv512si */

    case 57:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 545 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 8258; /* pred_mulhv1024si */

    case 58:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 546 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_FULL_V)))
        return -1;
      return 8261; /* pred_mulhv1di */

    case 59:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 547 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_FULL_V)))
        return -1;
      return 8264; /* pred_mulhv2di */

    case 60:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 548 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_FULL_V)))
        return -1;
      return 8267; /* pred_mulhv4di */

    case 61:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 549 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_FULL_V && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 8270; /* pred_mulhv8di */

    case 62:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_FULL_V && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 8273; /* pred_mulhv16di */

    case 63:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 551 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_FULL_V && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 8276; /* pred_mulhv32di */

    case 64:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 552 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_FULL_V && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 8279; /* pred_mulhv64di */

    case 65:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_FULL_V && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 8282; /* pred_mulhv128di */

    case 66:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 554 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_FULL_V && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 8285; /* pred_mulhv256di */

    case 67:
      if (!(
#line 3074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 555 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_FULL_V && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 8288; /* pred_mulhv512di */

    case 68:
      if (!
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 8291; /* pred_mulhrvvm8qi_scalar */

    case 69:
      if (!
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 8294; /* pred_mulhrvvm4qi_scalar */

    case 70:
      if (!
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 8297; /* pred_mulhrvvm2qi_scalar */

    case 71:
      if (!
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 8300; /* pred_mulhrvvm1qi_scalar */

    case 72:
      if (!
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 8303; /* pred_mulhrvvmf2qi_scalar */

    case 73:
      if (!
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 8306; /* pred_mulhrvvmf4qi_scalar */

    case 74:
      if (!(
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 565 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 8309; /* pred_mulhrvvmf8qi_scalar */

    case 75:
      if (!
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 8312; /* pred_mulhrvvm8hi_scalar */

    case 76:
      if (!
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 8315; /* pred_mulhrvvm4hi_scalar */

    case 77:
      if (!
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 8318; /* pred_mulhrvvm2hi_scalar */

    case 78:
      if (!
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 8321; /* pred_mulhrvvm1hi_scalar */

    case 79:
      if (!
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 8324; /* pred_mulhrvvmf2hi_scalar */

    case 80:
      if (!(
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 567 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 8327; /* pred_mulhrvvmf4hi_scalar */

    case 81:
      if (!
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 8330; /* pred_mulhrvvm8si_scalar */

    case 82:
      if (!
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 8333; /* pred_mulhrvvm4si_scalar */

    case 83:
      if (!
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 8336; /* pred_mulhrvvm2si_scalar */

    case 84:
      if (!
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 8339; /* pred_mulhrvvm1si_scalar */

    case 85:
      if (!(
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 8342; /* pred_mulhrvvmf2si_scalar */

    case 86:
      if (!(
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1QImode))))
        return -1;
      return 8345; /* pred_mulhv1qi_scalar */

    case 87:
      if (!(
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 572 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2QImode))))
        return -1;
      return 8348; /* pred_mulhv2qi_scalar */

    case 88:
      if (!(
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 573 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4QImode))))
        return -1;
      return 8351; /* pred_mulhv4qi_scalar */

    case 89:
      if (!(
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 574 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8QImode))))
        return -1;
      return 8354; /* pred_mulhv8qi_scalar */

    case 90:
      if (!(
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 575 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16QImode))))
        return -1;
      return 8357; /* pred_mulhv16qi_scalar */

    case 91:
      if (!(
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32QImode))))
        return -1;
      return 8360; /* pred_mulhv32qi_scalar */

    case 92:
      if (!(
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 577 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64QImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 8363; /* pred_mulhv64qi_scalar */

    case 93:
      if (!(
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 578 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128QImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 8366; /* pred_mulhv128qi_scalar */

    case 94:
      if (!(
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 579 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256QImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 8369; /* pred_mulhv256qi_scalar */

    case 95:
      if (!(
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 580 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512QImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 8372; /* pred_mulhv512qi_scalar */

    case 96:
      if (!(
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 581 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024QImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 8375; /* pred_mulhv1024qi_scalar */

    case 97:
      if (!(
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 582 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048QImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 8378; /* pred_mulhv2048qi_scalar */

    case 98:
      if (!(
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 583 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4096QImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 8381; /* pred_mulhv4096qi_scalar */

    case 99:
      if (!(
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 584 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
        return -1;
      return 8384; /* pred_mulhv1hi_scalar */

    case 100:
      if (!(
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 585 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
        return -1;
      return 8387; /* pred_mulhv2hi_scalar */

    case 101:
      if (!(
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 586 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
        return -1;
      return 8390; /* pred_mulhv4hi_scalar */

    case 102:
      if (!(
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
        return -1;
      return 8393; /* pred_mulhv8hi_scalar */

    case 103:
      if (!(
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 588 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
        return -1;
      return 8396; /* pred_mulhv16hi_scalar */

    case 104:
      if (!(
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 8399; /* pred_mulhv32hi_scalar */

    case 105:
      if (!(
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 590 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 8402; /* pred_mulhv64hi_scalar */

    case 106:
      if (!(
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 591 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 8405; /* pred_mulhv128hi_scalar */

    case 107:
      if (!(
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 8408; /* pred_mulhv256hi_scalar */

    case 108:
      if (!(
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 593 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 8411; /* pred_mulhv512hi_scalar */

    case 109:
      if (!(
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 8414; /* pred_mulhv1024hi_scalar */

    case 110:
      if (!(
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 595 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 8417; /* pred_mulhv2048hi_scalar */

    case 111:
      if (!(
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 596 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
        return -1;
      return 8420; /* pred_mulhv1si_scalar */

    case 112:
      if (!(
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 597 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
        return -1;
      return 8423; /* pred_mulhv2si_scalar */

    case 113:
      if (!(
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 598 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
        return -1;
      return 8426; /* pred_mulhv4si_scalar */

    case 114:
      if (!(
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 599 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
        return -1;
      return 8429; /* pred_mulhv8si_scalar */

    case 115:
      if (!(
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 600 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 8432; /* pred_mulhv16si_scalar */

    case 116:
      if (!(
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 601 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 8435; /* pred_mulhv32si_scalar */

    case 117:
      if (!(
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 602 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 8438; /* pred_mulhv64si_scalar */

    case 118:
      if (!(
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 8441; /* pred_mulhv128si_scalar */

    case 119:
      if (!(
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 604 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 8444; /* pred_mulhv256si_scalar */

    case 120:
      if (!(
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 605 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 8447; /* pred_mulhv512si_scalar */

    case 121:
      if (!(
#line 3095 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 606 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 8450; /* pred_mulhv1024si_scalar */

    case 122:
      if (!(
#line 3149 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 790 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_FULL_V)))
        return -1;
      return 8453; /* *pred_mulhrvvm8di_scalar */

    case 123:
      if (!(
#line 3149 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 790 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_FULL_V)))
        return -1;
      return 8456; /* *pred_mulhrvvm4di_scalar */

    case 124:
      if (!(
#line 3149 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 791 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_FULL_V)))
        return -1;
      return 8459; /* *pred_mulhrvvm2di_scalar */

    case 125:
      if (!(
#line 3149 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 791 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_FULL_V)))
        return -1;
      return 8462; /* *pred_mulhrvvm1di_scalar */

    case 126:
      if (!(
#line 3171 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 790 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_FULL_V)))
        return -1;
      return 8465; /* *pred_mulhrvvm8di_extended_scalar */

    case 127:
      if (!(
#line 3171 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 790 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_FULL_V)))
        return -1;
      return 8468; /* *pred_mulhrvvm4di_extended_scalar */

    case 128:
      if (!(
#line 3171 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 791 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_FULL_V)))
        return -1;
      return 8471; /* *pred_mulhrvvm2di_extended_scalar */

    case 129:
      if (!(
#line 3171 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 791 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_FULL_V)))
        return -1;
      return 8474; /* *pred_mulhrvvm1di_extended_scalar */

    default:
      return -1;
    }
}

 int
recog_607 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[4] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[5] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[6] = x6;
  x7 = XVECEXP (x3, 0, 4);
  operands[7] = x7;
  x8 = XEXP (x2, 1);
  switch (XINT (x8, 1))
    {
    case 119:
      x9 = XVECEXP (x8, 0, 0);
      operands[3] = x9;
      switch (GET_MODE (operands[0]))
        {
        case E_RVVM8QImode:
          if (pattern670 (x2, 
E_RVVM8QImode, 
E_RVVM1BImode) != 0
              || !
#line 6152 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 14408; /* pred_iotarvvm8qi */

        case E_RVVM4QImode:
          if (pattern670 (x2, 
E_RVVM4QImode, 
E_RVVMF2BImode) != 0
              || !
#line 6152 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 14409; /* pred_iotarvvm4qi */

        case E_RVVM2QImode:
          if (pattern670 (x2, 
E_RVVM2QImode, 
E_RVVMF4BImode) != 0
              || !
#line 6152 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 14410; /* pred_iotarvvm2qi */

        case E_RVVM1QImode:
          if (pattern670 (x2, 
E_RVVM1QImode, 
E_RVVMF8BImode) != 0
              || !
#line 6152 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 14411; /* pred_iotarvvm1qi */

        case E_RVVM8HImode:
          if (pattern670 (x2, 
E_RVVM8HImode, 
E_RVVMF2BImode) != 0
              || !
#line 6152 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 14412; /* pred_iotarvvm8hi */

        case E_RVVM4HImode:
          if (pattern670 (x2, 
E_RVVM4HImode, 
E_RVVMF4BImode) != 0
              || !
#line 6152 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 14413; /* pred_iotarvvm4hi */

        case E_RVVM2HImode:
          if (pattern670 (x2, 
E_RVVM2HImode, 
E_RVVMF8BImode) != 0
              || !
#line 6152 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 14414; /* pred_iotarvvm2hi */

        case E_RVVM1HImode:
          if (pattern670 (x2, 
E_RVVM1HImode, 
E_RVVMF16BImode) != 0
              || !
#line 6152 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 14415; /* pred_iotarvvm1hi */

        case E_RVVM8SImode:
          if (pattern670 (x2, 
E_RVVM8SImode, 
E_RVVMF4BImode) != 0
              || !
#line 6152 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 14416; /* pred_iotarvvm8si */

        case E_RVVM4SImode:
          if (pattern670 (x2, 
E_RVVM4SImode, 
E_RVVMF8BImode) != 0
              || !
#line 6152 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 14417; /* pred_iotarvvm4si */

        case E_RVVM2SImode:
          if (pattern670 (x2, 
E_RVVM2SImode, 
E_RVVMF16BImode) != 0
              || !
#line 6152 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 14418; /* pred_iotarvvm2si */

        case E_RVVM1SImode:
          if (pattern670 (x2, 
E_RVVM1SImode, 
E_RVVMF32BImode) != 0
              || !
#line 6152 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 14419; /* pred_iotarvvm1si */

        case E_RVVM8DImode:
          if (pattern670 (x2, 
E_RVVM8DImode, 
E_RVVMF8BImode) != 0
              || !(
#line 6152 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 14420; /* pred_iotarvvm8di */

        case E_RVVM4DImode:
          if (pattern670 (x2, 
E_RVVM4DImode, 
E_RVVMF16BImode) != 0
              || !(
#line 6152 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 14421; /* pred_iotarvvm4di */

        case E_RVVM2DImode:
          if (pattern670 (x2, 
E_RVVM2DImode, 
E_RVVMF32BImode) != 0
              || !(
#line 6152 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 14422; /* pred_iotarvvm2di */

        case E_RVVM1DImode:
          if (pattern670 (x2, 
E_RVVM1DImode, 
E_RVVMF64BImode) != 0
              || !(
#line 6152 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 14423; /* pred_iotarvvm1di */

        case E_RVVMF2QImode:
          if (pattern670 (x2, 
E_RVVMF2QImode, 
E_RVVMF16BImode) != 0
              || !(
#line 6152 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
            return -1;
          return 14424; /* pred_iotarvvmf2qi */

        case E_RVVMF4QImode:
          if (pattern670 (x2, 
E_RVVMF4QImode, 
E_RVVMF32BImode) != 0
              || !(
#line 6152 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
            return -1;
          return 14425; /* pred_iotarvvmf4qi */

        case E_RVVMF8QImode:
          if (pattern670 (x2, 
E_RVVMF8QImode, 
E_RVVMF64BImode) != 0
              || !(
#line 6152 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 131 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 14426; /* pred_iotarvvmf8qi */

        case E_RVVMF2HImode:
          if (pattern670 (x2, 
E_RVVMF2HImode, 
E_RVVMF32BImode) != 0
              || !(
#line 6152 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
            return -1;
          return 14427; /* pred_iotarvvmf2hi */

        case E_RVVMF4HImode:
          if (pattern670 (x2, 
E_RVVMF4HImode, 
E_RVVMF64BImode) != 0
              || !(
#line 6152 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 132 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 14428; /* pred_iotarvvmf4hi */

        case E_RVVMF2SImode:
          if (pattern670 (x2, 
E_RVVMF2SImode, 
E_RVVMF64BImode) != 0
              || !(
#line 6152 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 133 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 14429; /* pred_iotarvvmf2si */

        default:
          return -1;
        }

    case 120:
      x9 = XVECEXP (x8, 0, 0);
      operands[3] = x9;
      switch (GET_MODE (operands[0]))
        {
        case E_RVVM8HFmode:
          if (pattern603 (x2, 
E_RVVM8HFmode, 
E_RVVMF2BImode) != 0
              || !(
#line 6963 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
            return -1;
          return 16358; /* pred_rsqrt7rvvm8hf */

        case E_RVVM4HFmode:
          if (pattern603 (x2, 
E_RVVM4HFmode, 
E_RVVMF4BImode) != 0
              || !(
#line 6963 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
            return -1;
          return 16359; /* pred_rsqrt7rvvm4hf */

        case E_RVVM2HFmode:
          if (pattern603 (x2, 
E_RVVM2HFmode, 
E_RVVMF8BImode) != 0
              || !(
#line 6963 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
            return -1;
          return 16360; /* pred_rsqrt7rvvm2hf */

        case E_RVVM1HFmode:
          if (pattern603 (x2, 
E_RVVM1HFmode, 
E_RVVMF16BImode) != 0
              || !(
#line 6963 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
            return -1;
          return 16361; /* pred_rsqrt7rvvm1hf */

        case E_RVVMF2HFmode:
          if (pattern603 (x2, 
E_RVVMF2HFmode, 
E_RVVMF32BImode) != 0
              || !(
#line 6963 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
            return -1;
          return 16362; /* pred_rsqrt7rvvmf2hf */

        case E_RVVMF4HFmode:
          if (pattern603 (x2, 
E_RVVMF4HFmode, 
E_RVVMF64BImode) != 0
              || !(
#line 6963 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 157 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH && TARGET_MIN_VLEN > 32)))
            return -1;
          return 16363; /* pred_rsqrt7rvvmf4hf */

        case E_RVVM8SFmode:
          if (pattern603 (x2, 
E_RVVM8SFmode, 
E_RVVMF4BImode) != 0
              || !(
#line 6963 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 16364; /* pred_rsqrt7rvvm8sf */

        case E_RVVM4SFmode:
          if (pattern603 (x2, 
E_RVVM4SFmode, 
E_RVVMF8BImode) != 0
              || !(
#line 6963 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 16365; /* pred_rsqrt7rvvm4sf */

        case E_RVVM2SFmode:
          if (pattern603 (x2, 
E_RVVM2SFmode, 
E_RVVMF16BImode) != 0
              || !(
#line 6963 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 16366; /* pred_rsqrt7rvvm2sf */

        case E_RVVM1SFmode:
          if (pattern603 (x2, 
E_RVVM1SFmode, 
E_RVVMF32BImode) != 0
              || !(
#line 6963 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 16367; /* pred_rsqrt7rvvm1sf */

        case E_RVVMF2SFmode:
          if (pattern603 (x2, 
E_RVVMF2SFmode, 
E_RVVMF64BImode) != 0
              || !(
#line 6963 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32)))
            return -1;
          return 16368; /* pred_rsqrt7rvvmf2sf */

        case E_RVVM8DFmode:
          if (pattern603 (x2, 
E_RVVM8DFmode, 
E_RVVMF8BImode) != 0
              || !(
#line 6963 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 16369; /* pred_rsqrt7rvvm8df */

        case E_RVVM4DFmode:
          if (pattern603 (x2, 
E_RVVM4DFmode, 
E_RVVMF16BImode) != 0
              || !(
#line 6963 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 16370; /* pred_rsqrt7rvvm4df */

        case E_RVVM2DFmode:
          if (pattern603 (x2, 
E_RVVM2DFmode, 
E_RVVMF32BImode) != 0
              || !(
#line 6963 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 16371; /* pred_rsqrt7rvvm2df */

        case E_RVVM1DFmode:
          if (pattern603 (x2, 
E_RVVM1DFmode, 
E_RVVMF64BImode) != 0
              || !(
#line 6963 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 16372; /* pred_rsqrt7rvvm1df */

        default:
          return -1;
        }

    case 122:
      x9 = XVECEXP (x8, 0, 0);
      operands[3] = x9;
      switch (GET_MODE (operands[0]))
        {
        case E_RVVM8HImode:
          if (pattern671 (x2, 
E_RVVM8HImode, 
E_RVVM8HFmode, 
E_RVVMF2BImode) != 0
              || !(
#line 7005 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
            return -1;
          return 16388; /* pred_classrvvm8hf */

        case E_RVVM4HImode:
          if (pattern671 (x2, 
E_RVVM4HImode, 
E_RVVM4HFmode, 
E_RVVMF4BImode) != 0
              || !(
#line 7005 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
            return -1;
          return 16389; /* pred_classrvvm4hf */

        case E_RVVM2HImode:
          if (pattern671 (x2, 
E_RVVM2HImode, 
E_RVVM2HFmode, 
E_RVVMF8BImode) != 0
              || !(
#line 7005 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
            return -1;
          return 16390; /* pred_classrvvm2hf */

        case E_RVVM1HImode:
          if (pattern671 (x2, 
E_RVVM1HImode, 
E_RVVM1HFmode, 
E_RVVMF16BImode) != 0
              || !(
#line 7005 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
            return -1;
          return 16391; /* pred_classrvvm1hf */

        case E_RVVMF2HImode:
          if (pattern671 (x2, 
E_RVVMF2HImode, 
E_RVVMF2HFmode, 
E_RVVMF32BImode) != 0
              || !(
#line 7005 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
            return -1;
          return 16392; /* pred_classrvvmf2hf */

        case E_RVVMF4HImode:
          if (pattern671 (x2, 
E_RVVMF4HImode, 
E_RVVMF4HFmode, 
E_RVVMF64BImode) != 0
              || !(
#line 7005 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 157 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH && TARGET_MIN_VLEN > 32)))
            return -1;
          return 16393; /* pred_classrvvmf4hf */

        case E_RVVM8SImode:
          if (pattern671 (x2, 
E_RVVM8SImode, 
E_RVVM8SFmode, 
E_RVVMF4BImode) != 0
              || !(
#line 7005 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 16394; /* pred_classrvvm8sf */

        case E_RVVM4SImode:
          if (pattern671 (x2, 
E_RVVM4SImode, 
E_RVVM4SFmode, 
E_RVVMF8BImode) != 0
              || !(
#line 7005 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 16395; /* pred_classrvvm4sf */

        case E_RVVM2SImode:
          if (pattern671 (x2, 
E_RVVM2SImode, 
E_RVVM2SFmode, 
E_RVVMF16BImode) != 0
              || !(
#line 7005 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 16396; /* pred_classrvvm2sf */

        case E_RVVM1SImode:
          if (pattern671 (x2, 
E_RVVM1SImode, 
E_RVVM1SFmode, 
E_RVVMF32BImode) != 0
              || !(
#line 7005 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 16397; /* pred_classrvvm1sf */

        case E_RVVMF2SImode:
          if (pattern671 (x2, 
E_RVVMF2SImode, 
E_RVVMF2SFmode, 
E_RVVMF64BImode) != 0
              || !(
#line 7005 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32)))
            return -1;
          return 16398; /* pred_classrvvmf2sf */

        case E_RVVM8DImode:
          if (pattern671 (x2, 
E_RVVM8DImode, 
E_RVVM8DFmode, 
E_RVVMF8BImode) != 0
              || !(
#line 7005 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 16399; /* pred_classrvvm8df */

        case E_RVVM4DImode:
          if (pattern671 (x2, 
E_RVVM4DImode, 
E_RVVM4DFmode, 
E_RVVMF16BImode) != 0
              || !(
#line 7005 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 16400; /* pred_classrvvm4df */

        case E_RVVM2DImode:
          if (pattern671 (x2, 
E_RVVM2DImode, 
E_RVVM2DFmode, 
E_RVVMF32BImode) != 0
              || !(
#line 7005 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 16401; /* pred_classrvvm2df */

        case E_RVVM1DImode:
          if (pattern671 (x2, 
E_RVVM1DImode, 
E_RVVM1DFmode, 
E_RVVMF64BImode) != 0
              || !(
#line 7005 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 16402; /* pred_classrvvm1df */

        default:
          return -1;
        }

    case 127:
      x9 = XVECEXP (x8, 0, 0);
      if (GET_CODE (x9) != FLOAT_TRUNCATE)
        return -1;
      x10 = XEXP (x9, 0);
      operands[3] = x10;
      switch (GET_MODE (operands[0]))
        {
        case E_RVVM4HFmode:
          if (pattern689 (x2, 
E_RVVM4HFmode, 
E_RVVM8SFmode, 
E_RVVMF4BImode) != 0
              || !(
#line 7745 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 990 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 18095; /* pred_rod_truncrvvm8sf */

        case E_RVVM2HFmode:
          if (pattern689 (x2, 
E_RVVM2HFmode, 
E_RVVM4SFmode, 
E_RVVMF8BImode) != 0
              || !(
#line 7745 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 991 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 18096; /* pred_rod_truncrvvm4sf */

        case E_RVVM1HFmode:
          if (pattern689 (x2, 
E_RVVM1HFmode, 
E_RVVM2SFmode, 
E_RVVMF16BImode) != 0
              || !(
#line 7745 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 992 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 18097; /* pred_rod_truncrvvm2sf */

        case E_RVVMF2HFmode:
          if (pattern689 (x2, 
E_RVVMF2HFmode, 
E_RVVM1SFmode, 
E_RVVMF32BImode) != 0
              || !(
#line 7745 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 993 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 18098; /* pred_rod_truncrvvm1sf */

        case E_RVVMF4HFmode:
          if (pattern689 (x2, 
E_RVVMF4HFmode, 
E_RVVMF2SFmode, 
E_RVVMF64BImode) != 0
              || !(
#line 7745 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 994 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32)))
            return -1;
          return 18099; /* pred_rod_truncrvvmf2sf */

        case E_RVVM4SFmode:
          if (pattern689 (x2, 
E_RVVM4SFmode, 
E_RVVM8DFmode, 
E_RVVMF8BImode) != 0
              || !(
#line 7745 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 996 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 18100; /* pred_rod_truncrvvm8df */

        case E_RVVM2SFmode:
          if (pattern689 (x2, 
E_RVVM2SFmode, 
E_RVVM4DFmode, 
E_RVVMF16BImode) != 0
              || !(
#line 7745 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 996 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 18101; /* pred_rod_truncrvvm4df */

        case E_RVVM1SFmode:
          if (pattern689 (x2, 
E_RVVM1SFmode, 
E_RVVM2DFmode, 
E_RVVMF32BImode) != 0
              || !(
#line 7745 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 997 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 18102; /* pred_rod_truncrvvm2df */

        case E_RVVMF2SFmode:
          if (pattern689 (x2, 
E_RVVMF2SFmode, 
E_RVVM1DFmode, 
E_RVVMF64BImode) != 0
              || !(
#line 7745 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 997 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 18103; /* pred_rod_truncrvvm1df */

        case E_V1HFmode:
          if (pattern689 (x2, 
E_V1HFmode, 
E_V1SFmode, 
E_V1BImode) != 0
              || !(
#line 7745 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 999 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 18104; /* pred_rod_truncv1sf */

        case E_V2HFmode:
          if (pattern689 (x2, 
E_V2HFmode, 
E_V2SFmode, 
E_V2BImode) != 0
              || !(
#line 7745 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1000 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 18105; /* pred_rod_truncv2sf */

        case E_V4HFmode:
          if (pattern689 (x2, 
E_V4HFmode, 
E_V4SFmode, 
E_V4BImode) != 0
              || !(
#line 7745 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1001 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 18106; /* pred_rod_truncv4sf */

        case E_V8HFmode:
          if (pattern689 (x2, 
E_V8HFmode, 
E_V8SFmode, 
E_V8BImode) != 0
              || !(
#line 7745 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1002 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 18107; /* pred_rod_truncv8sf */

        case E_V16HFmode:
          if (pattern689 (x2, 
E_V16HFmode, 
E_V16SFmode, 
E_V16BImode) != 0
              || !(
#line 7745 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1003 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 18108; /* pred_rod_truncv16sf */

        case E_V32HFmode:
          if (pattern689 (x2, 
E_V32HFmode, 
E_V32SFmode, 
E_V32BImode) != 0
              || !(
#line 7745 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1004 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 18109; /* pred_rod_truncv32sf */

        case E_V64HFmode:
          if (pattern689 (x2, 
E_V64HFmode, 
E_V64SFmode, 
E_V64BImode) != 0
              || !(
#line 7745 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1005 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 18110; /* pred_rod_truncv64sf */

        case E_V128HFmode:
          if (pattern689 (x2, 
E_V128HFmode, 
E_V128SFmode, 
E_V128BImode) != 0
              || !(
#line 7745 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1006 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 18111; /* pred_rod_truncv128sf */

        case E_V256HFmode:
          if (pattern689 (x2, 
E_V256HFmode, 
E_V256SFmode, 
E_V256BImode) != 0
              || !(
#line 7745 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1007 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 18112; /* pred_rod_truncv256sf */

        case E_V512HFmode:
          if (pattern689 (x2, 
E_V512HFmode, 
E_V512SFmode, 
E_V512BImode) != 0
              || !(
#line 7745 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1008 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 18113; /* pred_rod_truncv512sf */

        case E_V1024HFmode:
          if (pattern689 (x2, 
E_V1024HFmode, 
E_V1024SFmode, 
E_V1024BImode) != 0
              || !(
#line 7745 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1009 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 18114; /* pred_rod_truncv1024sf */

        case E_V1SFmode:
          if (pattern689 (x2, 
E_V1SFmode, 
E_V1DFmode, 
E_V1BImode) != 0
              || !(
#line 7745 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1010 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DFmode) && TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 18115; /* pred_rod_truncv1df */

        case E_V2SFmode:
          if (pattern689 (x2, 
E_V2SFmode, 
E_V2DFmode, 
E_V2BImode) != 0
              || !(
#line 7745 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1011 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DFmode) && TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 18116; /* pred_rod_truncv2df */

        case E_V4SFmode:
          if (pattern689 (x2, 
E_V4SFmode, 
E_V4DFmode, 
E_V4BImode) != 0
              || !(
#line 7745 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1012 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DFmode) && TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 18117; /* pred_rod_truncv4df */

        case E_V8SFmode:
          if (pattern689 (x2, 
E_V8SFmode, 
E_V8DFmode, 
E_V8BImode) != 0
              || !(
#line 7745 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1013 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 18118; /* pred_rod_truncv8df */

        case E_V16SFmode:
          if (pattern689 (x2, 
E_V16SFmode, 
E_V16DFmode, 
E_V16BImode) != 0
              || !(
#line 7745 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1014 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 18119; /* pred_rod_truncv16df */

        case E_V32SFmode:
          if (pattern689 (x2, 
E_V32SFmode, 
E_V32DFmode, 
E_V32BImode) != 0
              || !(
#line 7745 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1015 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 18120; /* pred_rod_truncv32df */

        case E_V64SFmode:
          if (pattern689 (x2, 
E_V64SFmode, 
E_V64DFmode, 
E_V64BImode) != 0
              || !(
#line 7745 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1016 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 18121; /* pred_rod_truncv64df */

        case E_V128SFmode:
          if (pattern689 (x2, 
E_V128SFmode, 
E_V128DFmode, 
E_V128BImode) != 0
              || !(
#line 7745 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1017 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 18122; /* pred_rod_truncv128df */

        case E_V256SFmode:
          if (pattern689 (x2, 
E_V256SFmode, 
E_V256DFmode, 
E_V256BImode) != 0
              || !(
#line 7745 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1018 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 18123; /* pred_rod_truncv256df */

        case E_V512SFmode:
          if (pattern689 (x2, 
E_V512SFmode, 
E_V512DFmode, 
E_V512BImode) != 0
              || !(
#line 7745 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 18124; /* pred_rod_truncv512df */

        default:
          return -1;
        }

    case 196:
      return recog_605 (x1, insn, pnum_clobbers);

    case 197:
      return recog_604 (x1, insn, pnum_clobbers);

    case 198:
      return recog_603 (x1, insn, pnum_clobbers);

    default:
      return -1;
    }
}

 int
recog_689 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (pattern570 (x2, 
E_V256SImode, 
E_V256BImode) != 0)
    return -1;
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  operands[3] = x5;
  res = recog_664 (x1, insn, pnum_clobbers);
  if (res >= 0)
    return res;
  operands[2] = x5;
  x6 = XEXP (x2, 0);
  x7 = XVECEXP (x6, 0, 1);
  operands[5] = x7;
  x8 = XVECEXP (x6, 0, 2);
  operands[6] = x8;
  x9 = XVECEXP (x6, 0, 3);
  operands[7] = x9;
  x10 = XVECEXP (x6, 0, 4);
  operands[8] = x10;
  x11 = XEXP (x4, 1);
  operands[3] = x11;
  if (!register_operand (operands[3], E_V256SImode))
    return -1;
  x12 = XEXP (x3, 1);
  operands[4] = x12;
  if (!register_operand (operands[4], E_V256SImode))
    return -1;
  x13 = XEXP (x2, 2);
  if (rtx_equal_p (x13, operands[2])
      && (
#line 5357 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
    return 13204; /* *pred_maddv256si */
  if (!rtx_equal_p (x13, operands[4])
      || !(
#line 5386 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
    return -1;
  return 13272; /* *pred_maccv256si */
}

 int
recog_696 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (pattern570 (x2, 
E_V2SImode, 
E_V2BImode) != 0)
    return -1;
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  operands[3] = x5;
  res = recog_657 (x1, insn, pnum_clobbers);
  if (res >= 0)
    return res;
  operands[2] = x5;
  x6 = XEXP (x2, 0);
  x7 = XVECEXP (x6, 0, 1);
  operands[5] = x7;
  x8 = XVECEXP (x6, 0, 2);
  operands[6] = x8;
  x9 = XVECEXP (x6, 0, 3);
  operands[7] = x9;
  x10 = XVECEXP (x6, 0, 4);
  operands[8] = x10;
  x11 = XEXP (x4, 1);
  operands[3] = x11;
  if (!register_operand (operands[3], E_V2SImode))
    return -1;
  x12 = XEXP (x3, 1);
  operands[4] = x12;
  if (!register_operand (operands[4], E_V2SImode))
    return -1;
  x13 = XEXP (x2, 2);
  if (rtx_equal_p (x13, operands[2])
      && (
#line 5357 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
    return 13197; /* *pred_maddv2si */
  if (!rtx_equal_p (x13, operands[4])
      || !(
#line 5386 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
    return -1;
  return 13265; /* *pred_maccv2si */
}

 int
recog_703 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (pattern570 (x2, 
E_V64HImode, 
E_V64BImode) != 0)
    return -1;
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  operands[3] = x5;
  res = recog_650 (x1, insn, pnum_clobbers);
  if (res >= 0)
    return res;
  operands[2] = x5;
  x6 = XEXP (x2, 0);
  x7 = XVECEXP (x6, 0, 1);
  operands[5] = x7;
  x8 = XVECEXP (x6, 0, 2);
  operands[6] = x8;
  x9 = XVECEXP (x6, 0, 3);
  operands[7] = x9;
  x10 = XVECEXP (x6, 0, 4);
  operands[8] = x10;
  x11 = XEXP (x4, 1);
  operands[3] = x11;
  if (!register_operand (operands[3], E_V64HImode))
    return -1;
  x12 = XEXP (x3, 1);
  operands[4] = x12;
  if (!register_operand (operands[4], E_V64HImode))
    return -1;
  x13 = XEXP (x2, 2);
  if (rtx_equal_p (x13, operands[2])
      && (
#line 5357 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 207 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
    return 13190; /* *pred_maddv64hi */
  if (!rtx_equal_p (x13, operands[4])
      || !(
#line 5386 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 207 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
    return -1;
  return 13258; /* *pred_maccv64hi */
}

 int
recog_710 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (pattern570 (x2, 
E_V4096QImode, 
E_V4096BImode) != 0)
    return -1;
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  operands[3] = x5;
  res = recog_643 (x1, insn, pnum_clobbers);
  if (res >= 0)
    return res;
  operands[2] = x5;
  x6 = XEXP (x2, 0);
  x7 = XVECEXP (x6, 0, 1);
  operands[5] = x7;
  x8 = XVECEXP (x6, 0, 2);
  operands[6] = x8;
  x9 = XVECEXP (x6, 0, 3);
  operands[7] = x9;
  x10 = XVECEXP (x6, 0, 4);
  operands[8] = x10;
  x11 = XEXP (x4, 1);
  operands[3] = x11;
  if (!register_operand (operands[3], E_V4096QImode))
    return -1;
  x12 = XEXP (x3, 1);
  operands[4] = x12;
  if (!register_operand (operands[4], E_V4096QImode))
    return -1;
  x13 = XEXP (x2, 2);
  if (rtx_equal_p (x13, operands[2])
      && (
#line 5357 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 200 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4096QImode) && TARGET_MIN_VLEN >= 4096)))
    return 13183; /* *pred_maddv4096qi */
  if (!rtx_equal_p (x13, operands[4])
      || !(
#line 5386 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 200 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4096QImode) && TARGET_MIN_VLEN >= 4096)))
    return -1;
  return 13251; /* *pred_maccv4096qi */
}

 int
recog_717 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (pattern701 (x2, 
E_V512DImode, 
E_V512BImode, 
E_DImode) != 0)
    return -1;
  x3 = XEXP (x2, 2);
  if (rtx_equal_p (x3, operands[3])
      && (
#line 5435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 233 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
    return 13352; /* *pred_maddv512di_scalar */
  if (!rtx_equal_p (x3, operands[4])
      || !(
#line 5465 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 233 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
    return -1;
  return 13420; /* *pred_maccv512di_scalar */
}

 int
recog_721 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (pattern701 (x2, 
E_V32DImode, 
E_V32BImode, 
E_DImode) != 0)
    return -1;
  x3 = XEXP (x2, 2);
  if (rtx_equal_p (x3, operands[3])
      && (
#line 5435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 229 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
    return 13348; /* *pred_maddv32di_scalar */
  if (!rtx_equal_p (x3, operands[4])
      || !(
#line 5465 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 229 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
    return -1;
  return 13416; /* *pred_maccv32di_scalar */
}

 int
recog_728 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (pattern701 (x2, 
E_V512SImode, 
E_V512BImode, 
E_SImode) != 0)
    return -1;
  x3 = XEXP (x2, 2);
  if (rtx_equal_p (x3, operands[3])
      && (
#line 5435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 222 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
    return 13341; /* *pred_maddv512si_scalar */
  if (!rtx_equal_p (x3, operands[4])
      || !(
#line 5465 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 222 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
    return -1;
  return 13409; /* *pred_maccv512si_scalar */
}

 int
recog_735 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (pattern701 (x2, 
E_V4SImode, 
E_V4BImode, 
E_SImode) != 0)
    return -1;
  x3 = XEXP (x2, 2);
  if (rtx_equal_p (x3, operands[3])
      && (
#line 5435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 215 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
    return 13334; /* *pred_maddv4si_scalar */
  if (!rtx_equal_p (x3, operands[4])
      || !(
#line 5465 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 215 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
    return -1;
  return 13402; /* *pred_maccv4si_scalar */
}

 int
recog_742 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (pattern701 (x2, 
E_V128HImode, 
E_V128BImode, 
E_HImode) != 0)
    return -1;
  x3 = XEXP (x2, 2);
  if (rtx_equal_p (x3, operands[3])
      && (
#line 5435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 208 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
    return 13327; /* *pred_maddv128hi_scalar */
  if (!rtx_equal_p (x3, operands[4])
      || !(
#line 5465 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 208 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
    return -1;
  return 13395; /* *pred_maccv128hi_scalar */
}

 int
recog_749 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14, x15, x16;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[5] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[6] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[7] = x6;
  x7 = XVECEXP (x3, 0, 4);
  operands[8] = x7;
  x8 = XEXP (x2, 1);
  x9 = XEXP (x8, 1);
  operands[2] = x9;
  x10 = XEXP (x2, 2);
  if (!rtx_equal_p (x10, operands[2]))
    return -1;
  x11 = XEXP (x8, 0);
  x12 = XEXP (x11, 0);
  x13 = XEXP (x12, 0);
  switch (GET_CODE (x13))
    {
    case REG:
    case SUBREG:
      operands[3] = x13;
      x14 = XEXP (x11, 1);
      switch (GET_CODE (x14))
        {
        case ZERO_EXTEND:
          switch (pattern703 (x2))
            {
            case 0:
              if (!
#line 5884 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 13818; /* pred_widen_mul_plusurvvm8hi */

            case 1:
              if (!
#line 5884 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 13820; /* pred_widen_mul_plusurvvm4hi */

            case 2:
              if (!
#line 5884 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 13822; /* pred_widen_mul_plusurvvm2hi */

            case 3:
              if (!
#line 5884 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 13824; /* pred_widen_mul_plusurvvm1hi */

            case 4:
              if (!
#line 5884 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 13826; /* pred_widen_mul_plusurvvmf2hi */

            case 5:
              if (!(
#line 5884 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 946 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
                return -1;
              return 13828; /* pred_widen_mul_plusurvvmf4hi */

            case 6:
              if (!
#line 5884 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 13830; /* pred_widen_mul_plusurvvm8si */

            case 7:
              if (!
#line 41 "../../gcc-15.0.1-20250329/gcc/config/riscv/sifive-vector.md"
(TARGET_VECTOR && TARGET_XSFVQMACCQOQ))
                return -1;
              return 32548; /* pred_matrix_mul_plusurvvm8si_qoq */

            case 8:
              if (!
#line 113 "../../gcc-15.0.1-20250329/gcc/config/riscv/sifive-vector.md"
(TARGET_VECTOR && TARGET_XSFVQMACCDOD))
                return -1;
              return 32564; /* pred_matrix_mul_plusurvvm8si_dod */

            case 9:
              if (!
#line 5884 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 13832; /* pred_widen_mul_plusurvvm4si */

            case 10:
              if (!
#line 41 "../../gcc-15.0.1-20250329/gcc/config/riscv/sifive-vector.md"
(TARGET_VECTOR && TARGET_XSFVQMACCQOQ))
                return -1;
              return 32550; /* pred_matrix_mul_plusurvvm4si_qoq */

            case 11:
              if (!
#line 113 "../../gcc-15.0.1-20250329/gcc/config/riscv/sifive-vector.md"
(TARGET_VECTOR && TARGET_XSFVQMACCDOD))
                return -1;
              return 32566; /* pred_matrix_mul_plusurvvm4si_dod */

            case 12:
              if (!
#line 5884 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 13834; /* pred_widen_mul_plusurvvm2si */

            case 13:
              if (!
#line 41 "../../gcc-15.0.1-20250329/gcc/config/riscv/sifive-vector.md"
(TARGET_VECTOR && TARGET_XSFVQMACCQOQ))
                return -1;
              return 32552; /* pred_matrix_mul_plusurvvm2si_qoq */

            case 14:
              if (!
#line 113 "../../gcc-15.0.1-20250329/gcc/config/riscv/sifive-vector.md"
(TARGET_VECTOR && TARGET_XSFVQMACCDOD))
                return -1;
              return 32568; /* pred_matrix_mul_plusurvvm2si_dod */

            case 15:
              if (!
#line 5884 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 13836; /* pred_widen_mul_plusurvvm1si */

            case 16:
              if (!
#line 41 "../../gcc-15.0.1-20250329/gcc/config/riscv/sifive-vector.md"
(TARGET_VECTOR && TARGET_XSFVQMACCQOQ))
                return -1;
              return 32554; /* pred_matrix_mul_plusurvvm1si_qoq */

            case 17:
              if (!
#line 113 "../../gcc-15.0.1-20250329/gcc/config/riscv/sifive-vector.md"
(TARGET_VECTOR && TARGET_XSFVQMACCDOD))
                return -1;
              return 32570; /* pred_matrix_mul_plusurvvm1si_dod */

            case 18:
              if (!(
#line 5884 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 948 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
                return -1;
              return 13838; /* pred_widen_mul_plusurvvmf2si */

            case 19:
              if (!(
#line 5884 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
                return -1;
              return 13840; /* pred_widen_mul_plusurvvm8di */

            case 20:
              if (!(
#line 5884 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
                return -1;
              return 13842; /* pred_widen_mul_plusurvvm4di */

            case 21:
              if (!(
#line 5884 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
                return -1;
              return 13844; /* pred_widen_mul_plusurvvm2di */

            case 22:
              if (!(
#line 5884 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
                return -1;
              return 13846; /* pred_widen_mul_plusurvvm1di */

            case 23:
              if (!(
#line 5884 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 953 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
                return -1;
              return 13848; /* pred_widen_mul_plusuv1hi */

            case 24:
              if (!(
#line 5884 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 954 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
                return -1;
              return 13850; /* pred_widen_mul_plusuv2hi */

            case 25:
              if (!(
#line 5884 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
                return -1;
              return 13852; /* pred_widen_mul_plusuv4hi */

            case 26:
              if (!(
#line 5884 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 956 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
                return -1;
              return 13854; /* pred_widen_mul_plusuv8hi */

            case 27:
              if (!(
#line 5884 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 957 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
                return -1;
              return 13856; /* pred_widen_mul_plusuv16hi */

            case 28:
              if (!(
#line 5884 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 958 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
                return -1;
              return 13858; /* pred_widen_mul_plusuv32hi */

            case 29:
              if (!(
#line 5884 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 959 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
                return -1;
              return 13860; /* pred_widen_mul_plusuv64hi */

            case 30:
              if (!(
#line 5884 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 960 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
                return -1;
              return 13862; /* pred_widen_mul_plusuv128hi */

            case 31:
              if (!(
#line 5884 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 961 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
                return -1;
              return 13864; /* pred_widen_mul_plusuv256hi */

            case 32:
              if (!(
#line 5884 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 962 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
                return -1;
              return 13866; /* pred_widen_mul_plusuv512hi */

            case 33:
              if (!(
#line 5884 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 963 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
                return -1;
              return 13868; /* pred_widen_mul_plusuv1024hi */

            case 34:
              if (!(
#line 5884 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
                return -1;
              return 13870; /* pred_widen_mul_plusuv2048hi */

            case 35:
              if (!(
#line 5884 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 965 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
                return -1;
              return 13872; /* pred_widen_mul_plusuv1si */

            case 36:
              if (!(
#line 5884 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 966 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
                return -1;
              return 13874; /* pred_widen_mul_plusuv2si */

            case 37:
              if (!(
#line 5884 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 967 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
                return -1;
              return 13876; /* pred_widen_mul_plusuv4si */

            case 38:
              if (!(
#line 5884 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 968 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
                return -1;
              return 13878; /* pred_widen_mul_plusuv8si */

            case 39:
              if (!(
#line 5884 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 969 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
                return -1;
              return 13880; /* pred_widen_mul_plusuv16si */

            case 40:
              if (!(
#line 5884 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 970 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
                return -1;
              return 13882; /* pred_widen_mul_plusuv32si */

            case 41:
              if (!(
#line 5884 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
                return -1;
              return 13884; /* pred_widen_mul_plusuv64si */

            case 42:
              if (!(
#line 5884 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 972 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
                return -1;
              return 13886; /* pred_widen_mul_plusuv128si */

            case 43:
              if (!(
#line 5884 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 973 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
                return -1;
              return 13888; /* pred_widen_mul_plusuv256si */

            case 44:
              if (!(
#line 5884 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 974 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
                return -1;
              return 13890; /* pred_widen_mul_plusuv512si */

            case 45:
              if (!(
#line 5884 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
                return -1;
              return 13892; /* pred_widen_mul_plusuv1024si */

            case 46:
              if (!(
#line 5884 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 976 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
                return -1;
              return 13894; /* pred_widen_mul_plusuv1di */

            case 47:
              if (!(
#line 5884 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
                return -1;
              return 13896; /* pred_widen_mul_plusuv2di */

            case 48:
              if (!(
#line 5884 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 978 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
                return -1;
              return 13898; /* pred_widen_mul_plusuv4di */

            case 49:
              if (!(
#line 5884 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 979 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
                return -1;
              return 13900; /* pred_widen_mul_plusuv8di */

            case 50:
              if (!(
#line 5884 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 980 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
                return -1;
              return 13902; /* pred_widen_mul_plusuv16di */

            case 51:
              if (!(
#line 5884 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 981 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
                return -1;
              return 13904; /* pred_widen_mul_plusuv32di */

            case 52:
              if (!(
#line 5884 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 982 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
                return -1;
              return 13906; /* pred_widen_mul_plusuv64di */

            case 53:
              if (!(
#line 5884 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
                return -1;
              return 13908; /* pred_widen_mul_plusuv128di */

            case 54:
              if (!(
#line 5884 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 984 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
                return -1;
              return 13910; /* pred_widen_mul_plusuv256di */

            case 55:
              if (!(
#line 5884 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 985 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
                return -1;
              return 13912; /* pred_widen_mul_plusuv512di */

            default:
              return -1;
            }

        case SIGN_EXTEND:
          if (!register_operand (operands[3], E_RVVM1QImode))
            return -1;
          x15 = XEXP (x14, 0);
          operands[4] = x15;
          switch (GET_MODE (operands[0]))
            {
            case E_RVVM8SImode:
              if (pattern731 (x2, 
E_RVVM8SImode, 
E_RVVMF4BImode) != 0)
                return -1;
              switch (GET_MODE (operands[4]))
                {
                case E_RVVM4QImode:
                  if (!register_operand (operands[4], E_RVVM4QImode)
                      || !
#line 89 "../../gcc-15.0.1-20250329/gcc/config/riscv/sifive-vector.md"
(TARGET_VECTOR && TARGET_XSFVQMACCQOQ))
                    return -1;
                  return 32559; /* pred_matrix_mul_plususrvvm8si_qoq */

                case E_RVVM8QImode:
                  if (!register_operand (operands[4], E_RVVM8QImode)
                      || !
#line 161 "../../gcc-15.0.1-20250329/gcc/config/riscv/sifive-vector.md"
(TARGET_VECTOR && TARGET_XSFVQMACCDOD))
                    return -1;
                  return 32575; /* pred_matrix_mul_plususrvvm8si_dod */

                default:
                  return -1;
                }

            case E_RVVM4SImode:
              if (pattern731 (x2, 
E_RVVM4SImode, 
E_RVVMF8BImode) != 0)
                return -1;
              switch (GET_MODE (operands[4]))
                {
                case E_RVVM2QImode:
                  if (!register_operand (operands[4], E_RVVM2QImode)
                      || !
#line 89 "../../gcc-15.0.1-20250329/gcc/config/riscv/sifive-vector.md"
(TARGET_VECTOR && TARGET_XSFVQMACCQOQ))
                    return -1;
                  return 32560; /* pred_matrix_mul_plususrvvm4si_qoq */

                case E_RVVM4QImode:
                  if (!register_operand (operands[4], E_RVVM4QImode)
                      || !
#line 161 "../../gcc-15.0.1-20250329/gcc/config/riscv/sifive-vector.md"
(TARGET_VECTOR && TARGET_XSFVQMACCDOD))
                    return -1;
                  return 32576; /* pred_matrix_mul_plususrvvm4si_dod */

                default:
                  return -1;
                }

            case E_RVVM2SImode:
              if (pattern731 (x2, 
E_RVVM2SImode, 
E_RVVMF16BImode) != 0)
                return -1;
              switch (GET_MODE (operands[4]))
                {
                case E_RVVM1QImode:
                  if (!register_operand (operands[4], E_RVVM1QImode)
                      || !
#line 89 "../../gcc-15.0.1-20250329/gcc/config/riscv/sifive-vector.md"
(TARGET_VECTOR && TARGET_XSFVQMACCQOQ))
                    return -1;
                  return 32561; /* pred_matrix_mul_plususrvvm2si_qoq */

                case E_RVVM2QImode:
                  if (!register_operand (operands[4], E_RVVM2QImode)
                      || !
#line 161 "../../gcc-15.0.1-20250329/gcc/config/riscv/sifive-vector.md"
(TARGET_VECTOR && TARGET_XSFVQMACCDOD))
                    return -1;
                  return 32577; /* pred_matrix_mul_plususrvvm2si_dod */

                default:
                  return -1;
                }

            case E_RVVM1SImode:
              if (pattern731 (x2, 
E_RVVM1SImode, 
E_RVVMF32BImode) != 0)
                return -1;
              switch (GET_MODE (operands[4]))
                {
                case E_RVVMF2QImode:
                  if (!register_operand (operands[4], E_RVVMF2QImode)
                      || !
#line 89 "../../gcc-15.0.1-20250329/gcc/config/riscv/sifive-vector.md"
(TARGET_VECTOR && TARGET_XSFVQMACCQOQ))
                    return -1;
                  return 32562; /* pred_matrix_mul_plususrvvm1si_qoq */

                case E_RVVM1QImode:
                  if (!register_operand (operands[4], E_RVVM1QImode)
                      || !
#line 161 "../../gcc-15.0.1-20250329/gcc/config/riscv/sifive-vector.md"
(TARGET_VECTOR && TARGET_XSFVQMACCDOD))
                    return -1;
                  return 32578; /* pred_matrix_mul_plususrvvm1si_dod */

                default:
                  return -1;
                }

            default:
              return -1;
            }

        default:
          return -1;
        }

    case VEC_DUPLICATE:
      x16 = XEXP (x13, 0);
      operands[3] = x16;
      x14 = XEXP (x11, 1);
      switch (GET_CODE (x14))
        {
        case ZERO_EXTEND:
          switch (pattern705 (x2))
            {
            case 0:
              if (!
#line 5909 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 13914; /* pred_widen_mul_plusurvvm8hi_scalar */

            case 1:
              if (!
#line 5909 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 13916; /* pred_widen_mul_plusurvvm4hi_scalar */

            case 2:
              if (!
#line 5909 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 13918; /* pred_widen_mul_plusurvvm2hi_scalar */

            case 3:
              if (!
#line 5909 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 13920; /* pred_widen_mul_plusurvvm1hi_scalar */

            case 4:
              if (!
#line 5909 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 13922; /* pred_widen_mul_plusurvvmf2hi_scalar */

            case 5:
              if (!(
#line 5909 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 946 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
                return -1;
              return 13924; /* pred_widen_mul_plusurvvmf4hi_scalar */

            case 6:
              if (!
#line 5909 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 13926; /* pred_widen_mul_plusurvvm8si_scalar */

            case 7:
              if (!
#line 5909 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 13928; /* pred_widen_mul_plusurvvm4si_scalar */

            case 8:
              if (!
#line 5909 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 13930; /* pred_widen_mul_plusurvvm2si_scalar */

            case 9:
              if (!
#line 5909 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 13932; /* pred_widen_mul_plusurvvm1si_scalar */

            case 10:
              if (!(
#line 5909 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 948 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
                return -1;
              return 13934; /* pred_widen_mul_plusurvvmf2si_scalar */

            case 11:
              if (!(
#line 5909 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
                return -1;
              return 13936; /* pred_widen_mul_plusurvvm8di_scalar */

            case 12:
              if (!(
#line 5909 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
                return -1;
              return 13938; /* pred_widen_mul_plusurvvm4di_scalar */

            case 13:
              if (!(
#line 5909 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
                return -1;
              return 13940; /* pred_widen_mul_plusurvvm2di_scalar */

            case 14:
              if (!(
#line 5909 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
                return -1;
              return 13942; /* pred_widen_mul_plusurvvm1di_scalar */

            case 15:
              if (!(
#line 5909 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 953 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
                return -1;
              return 13944; /* pred_widen_mul_plusuv1hi_scalar */

            case 16:
              if (!(
#line 5909 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 954 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
                return -1;
              return 13946; /* pred_widen_mul_plusuv2hi_scalar */

            case 17:
              if (!(
#line 5909 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
                return -1;
              return 13948; /* pred_widen_mul_plusuv4hi_scalar */

            case 18:
              if (!(
#line 5909 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 956 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
                return -1;
              return 13950; /* pred_widen_mul_plusuv8hi_scalar */

            case 19:
              if (!(
#line 5909 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 957 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
                return -1;
              return 13952; /* pred_widen_mul_plusuv16hi_scalar */

            case 20:
              if (!(
#line 5909 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 958 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
                return -1;
              return 13954; /* pred_widen_mul_plusuv32hi_scalar */

            case 21:
              if (!(
#line 5909 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 959 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
                return -1;
              return 13956; /* pred_widen_mul_plusuv64hi_scalar */

            case 22:
              if (!(
#line 5909 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 960 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
                return -1;
              return 13958; /* pred_widen_mul_plusuv128hi_scalar */

            case 23:
              if (!(
#line 5909 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 961 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
                return -1;
              return 13960; /* pred_widen_mul_plusuv256hi_scalar */

            case 24:
              if (!(
#line 5909 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 962 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
                return -1;
              return 13962; /* pred_widen_mul_plusuv512hi_scalar */

            case 25:
              if (!(
#line 5909 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 963 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
                return -1;
              return 13964; /* pred_widen_mul_plusuv1024hi_scalar */

            case 26:
              if (!(
#line 5909 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
                return -1;
              return 13966; /* pred_widen_mul_plusuv2048hi_scalar */

            case 27:
              if (!(
#line 5909 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 965 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
                return -1;
              return 13968; /* pred_widen_mul_plusuv1si_scalar */

            case 28:
              if (!(
#line 5909 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 966 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
                return -1;
              return 13970; /* pred_widen_mul_plusuv2si_scalar */

            case 29:
              if (!(
#line 5909 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 967 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
                return -1;
              return 13972; /* pred_widen_mul_plusuv4si_scalar */

            case 30:
              if (!(
#line 5909 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 968 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
                return -1;
              return 13974; /* pred_widen_mul_plusuv8si_scalar */

            case 31:
              if (!(
#line 5909 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 969 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
                return -1;
              return 13976; /* pred_widen_mul_plusuv16si_scalar */

            case 32:
              if (!(
#line 5909 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 970 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
                return -1;
              return 13978; /* pred_widen_mul_plusuv32si_scalar */

            case 33:
              if (!(
#line 5909 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
                return -1;
              return 13980; /* pred_widen_mul_plusuv64si_scalar */

            case 34:
              if (!(
#line 5909 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 972 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
                return -1;
              return 13982; /* pred_widen_mul_plusuv128si_scalar */

            case 35:
              if (!(
#line 5909 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 973 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
                return -1;
              return 13984; /* pred_widen_mul_plusuv256si_scalar */

            case 36:
              if (!(
#line 5909 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 974 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
                return -1;
              return 13986; /* pred_widen_mul_plusuv512si_scalar */

            case 37:
              if (!(
#line 5909 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
                return -1;
              return 13988; /* pred_widen_mul_plusuv1024si_scalar */

            case 38:
              if (!(
#line 5909 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 976 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
                return -1;
              return 13990; /* pred_widen_mul_plusuv1di_scalar */

            case 39:
              if (!(
#line 5909 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
                return -1;
              return 13992; /* pred_widen_mul_plusuv2di_scalar */

            case 40:
              if (!(
#line 5909 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 978 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
                return -1;
              return 13994; /* pred_widen_mul_plusuv4di_scalar */

            case 41:
              if (!(
#line 5909 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 979 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
                return -1;
              return 13996; /* pred_widen_mul_plusuv8di_scalar */

            case 42:
              if (!(
#line 5909 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 980 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
                return -1;
              return 13998; /* pred_widen_mul_plusuv16di_scalar */

            case 43:
              if (!(
#line 5909 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 981 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
                return -1;
              return 14000; /* pred_widen_mul_plusuv32di_scalar */

            case 44:
              if (!(
#line 5909 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 982 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
                return -1;
              return 14002; /* pred_widen_mul_plusuv64di_scalar */

            case 45:
              if (!(
#line 5909 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
                return -1;
              return 14004; /* pred_widen_mul_plusuv128di_scalar */

            case 46:
              if (!(
#line 5909 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 984 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
                return -1;
              return 14006; /* pred_widen_mul_plusuv256di_scalar */

            case 47:
              if (!(
#line 5909 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 985 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
                return -1;
              return 14008; /* pred_widen_mul_plusuv512di_scalar */

            default:
              return -1;
            }

        case SIGN_EXTEND:
          switch (pattern705 (x2))
            {
            case 0:
              if (!
#line 5983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 14105; /* pred_widen_mul_plususrvvm8hi_scalar */

            case 1:
              if (!
#line 5983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 14106; /* pred_widen_mul_plususrvvm4hi_scalar */

            case 2:
              if (!
#line 5983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 14107; /* pred_widen_mul_plususrvvm2hi_scalar */

            case 3:
              if (!
#line 5983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 14108; /* pred_widen_mul_plususrvvm1hi_scalar */

            case 4:
              if (!
#line 5983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 14109; /* pred_widen_mul_plususrvvmf2hi_scalar */

            case 5:
              if (!(
#line 5983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 946 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
                return -1;
              return 14110; /* pred_widen_mul_plususrvvmf4hi_scalar */

            case 6:
              if (!
#line 5983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 14111; /* pred_widen_mul_plususrvvm8si_scalar */

            case 7:
              if (!
#line 5983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 14112; /* pred_widen_mul_plususrvvm4si_scalar */

            case 8:
              if (!
#line 5983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 14113; /* pred_widen_mul_plususrvvm2si_scalar */

            case 9:
              if (!
#line 5983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 14114; /* pred_widen_mul_plususrvvm1si_scalar */

            case 10:
              if (!(
#line 5983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 948 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
                return -1;
              return 14115; /* pred_widen_mul_plususrvvmf2si_scalar */

            case 11:
              if (!(
#line 5983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
                return -1;
              return 14116; /* pred_widen_mul_plususrvvm8di_scalar */

            case 12:
              if (!(
#line 5983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
                return -1;
              return 14117; /* pred_widen_mul_plususrvvm4di_scalar */

            case 13:
              if (!(
#line 5983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
                return -1;
              return 14118; /* pred_widen_mul_plususrvvm2di_scalar */

            case 14:
              if (!(
#line 5983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
                return -1;
              return 14119; /* pred_widen_mul_plususrvvm1di_scalar */

            case 15:
              if (!(
#line 5983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 953 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
                return -1;
              return 14120; /* pred_widen_mul_plususv1hi_scalar */

            case 16:
              if (!(
#line 5983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 954 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
                return -1;
              return 14121; /* pred_widen_mul_plususv2hi_scalar */

            case 17:
              if (!(
#line 5983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
                return -1;
              return 14122; /* pred_widen_mul_plususv4hi_scalar */

            case 18:
              if (!(
#line 5983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 956 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
                return -1;
              return 14123; /* pred_widen_mul_plususv8hi_scalar */

            case 19:
              if (!(
#line 5983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 957 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
                return -1;
              return 14124; /* pred_widen_mul_plususv16hi_scalar */

            case 20:
              if (!(
#line 5983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 958 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
                return -1;
              return 14125; /* pred_widen_mul_plususv32hi_scalar */

            case 21:
              if (!(
#line 5983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 959 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
                return -1;
              return 14126; /* pred_widen_mul_plususv64hi_scalar */

            case 22:
              if (!(
#line 5983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 960 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
                return -1;
              return 14127; /* pred_widen_mul_plususv128hi_scalar */

            case 23:
              if (!(
#line 5983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 961 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
                return -1;
              return 14128; /* pred_widen_mul_plususv256hi_scalar */

            case 24:
              if (!(
#line 5983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 962 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
                return -1;
              return 14129; /* pred_widen_mul_plususv512hi_scalar */

            case 25:
              if (!(
#line 5983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 963 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
                return -1;
              return 14130; /* pred_widen_mul_plususv1024hi_scalar */

            case 26:
              if (!(
#line 5983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
                return -1;
              return 14131; /* pred_widen_mul_plususv2048hi_scalar */

            case 27:
              if (!(
#line 5983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 965 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
                return -1;
              return 14132; /* pred_widen_mul_plususv1si_scalar */

            case 28:
              if (!(
#line 5983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 966 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
                return -1;
              return 14133; /* pred_widen_mul_plususv2si_scalar */

            case 29:
              if (!(
#line 5983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 967 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
                return -1;
              return 14134; /* pred_widen_mul_plususv4si_scalar */

            case 30:
              if (!(
#line 5983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 968 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
                return -1;
              return 14135; /* pred_widen_mul_plususv8si_scalar */

            case 31:
              if (!(
#line 5983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 969 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
                return -1;
              return 14136; /* pred_widen_mul_plususv16si_scalar */

            case 32:
              if (!(
#line 5983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 970 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
                return -1;
              return 14137; /* pred_widen_mul_plususv32si_scalar */

            case 33:
              if (!(
#line 5983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
                return -1;
              return 14138; /* pred_widen_mul_plususv64si_scalar */

            case 34:
              if (!(
#line 5983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 972 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
                return -1;
              return 14139; /* pred_widen_mul_plususv128si_scalar */

            case 35:
              if (!(
#line 5983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 973 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
                return -1;
              return 14140; /* pred_widen_mul_plususv256si_scalar */

            case 36:
              if (!(
#line 5983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 974 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
                return -1;
              return 14141; /* pred_widen_mul_plususv512si_scalar */

            case 37:
              if (!(
#line 5983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
                return -1;
              return 14142; /* pred_widen_mul_plususv1024si_scalar */

            case 38:
              if (!(
#line 5983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 976 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
                return -1;
              return 14143; /* pred_widen_mul_plususv1di_scalar */

            case 39:
              if (!(
#line 5983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
                return -1;
              return 14144; /* pred_widen_mul_plususv2di_scalar */

            case 40:
              if (!(
#line 5983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 978 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
                return -1;
              return 14145; /* pred_widen_mul_plususv4di_scalar */

            case 41:
              if (!(
#line 5983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 979 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
                return -1;
              return 14146; /* pred_widen_mul_plususv8di_scalar */

            case 42:
              if (!(
#line 5983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 980 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
                return -1;
              return 14147; /* pred_widen_mul_plususv16di_scalar */

            case 43:
              if (!(
#line 5983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 981 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
                return -1;
              return 14148; /* pred_widen_mul_plususv32di_scalar */

            case 44:
              if (!(
#line 5983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 982 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
                return -1;
              return 14149; /* pred_widen_mul_plususv64di_scalar */

            case 45:
              if (!(
#line 5983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
                return -1;
              return 14150; /* pred_widen_mul_plususv128di_scalar */

            case 46:
              if (!(
#line 5983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 984 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
                return -1;
              return 14151; /* pred_widen_mul_plususv256di_scalar */

            case 47:
              if (!(
#line 5983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 985 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
                return -1;
              return 14152; /* pred_widen_mul_plususv512di_scalar */

            default:
              return -1;
            }

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_777 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (pattern574 (x2, 
E_V1024HImode, 
E_V1024BImode) != 0)
    return -1;
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  operands[5] = x4;
  if (pattern706 (x2, 
E_V1024HImode) == 0
      && (
#line 5613 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 211 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
    return 13494; /* *pred_minus_mulv1024hi_undef */
  operands[4] = x4;
  x5 = XEXP (x2, 0);
  x6 = XVECEXP (x5, 0, 1);
  operands[5] = x6;
  x7 = XVECEXP (x5, 0, 2);
  operands[6] = x7;
  x8 = XVECEXP (x5, 0, 3);
  operands[7] = x8;
  x9 = XVECEXP (x5, 0, 4);
  operands[8] = x9;
  x10 = XEXP (x3, 1);
  if (GET_MODE (x10) != E_V1024HImode)
    return -1;
  x11 = XEXP (x10, 0);
  operands[2] = x11;
  if (!register_operand (operands[2], E_V1024HImode))
    return -1;
  x12 = XEXP (x10, 1);
  operands[3] = x12;
  if (!register_operand (operands[3], E_V1024HImode))
    return -1;
  x13 = XEXP (x2, 2);
  if (rtx_equal_p (x13, operands[2])
      && (
#line 5639 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 211 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
    return 13562; /* *pred_nmsubv1024hi */
  if (!rtx_equal_p (x13, operands[4])
      || !(
#line 5668 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 211 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
    return -1;
  return 13630; /* *pred_nmsacv1024hi */
}

 int
recog_783 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (pattern574 (x2, 
E_V16HImode, 
E_V16BImode) != 0)
    return -1;
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  operands[5] = x4;
  if (pattern706 (x2, 
E_V16HImode) == 0
      && (
#line 5613 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
    return 13488; /* *pred_minus_mulv16hi_undef */
  operands[4] = x4;
  x5 = XEXP (x2, 0);
  x6 = XVECEXP (x5, 0, 1);
  operands[5] = x6;
  x7 = XVECEXP (x5, 0, 2);
  operands[6] = x7;
  x8 = XVECEXP (x5, 0, 3);
  operands[7] = x8;
  x9 = XVECEXP (x5, 0, 4);
  operands[8] = x9;
  x10 = XEXP (x3, 1);
  if (GET_MODE (x10) != E_V16HImode)
    return -1;
  x11 = XEXP (x10, 0);
  operands[2] = x11;
  if (!register_operand (operands[2], E_V16HImode))
    return -1;
  x12 = XEXP (x10, 1);
  operands[3] = x12;
  if (!register_operand (operands[3], E_V16HImode))
    return -1;
  x13 = XEXP (x2, 2);
  if (rtx_equal_p (x13, operands[2])
      && (
#line 5639 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
    return 13556; /* *pred_nmsubv16hi */
  if (!rtx_equal_p (x13, operands[4])
      || !(
#line 5668 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
    return -1;
  return 13624; /* *pred_nmsacv16hi */
}

 int
recog_789 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (pattern574 (x2, 
E_V2048QImode, 
E_V2048BImode) != 0)
    return -1;
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  operands[5] = x4;
  if (pattern706 (x2, 
E_V2048QImode) == 0
      && (
#line 5613 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 199 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048QImode) && TARGET_MIN_VLEN >= 2048)))
    return 13482; /* *pred_minus_mulv2048qi_undef */
  operands[4] = x4;
  x5 = XEXP (x2, 0);
  x6 = XVECEXP (x5, 0, 1);
  operands[5] = x6;
  x7 = XVECEXP (x5, 0, 2);
  operands[6] = x7;
  x8 = XVECEXP (x5, 0, 3);
  operands[7] = x8;
  x9 = XVECEXP (x5, 0, 4);
  operands[8] = x9;
  x10 = XEXP (x3, 1);
  if (GET_MODE (x10) != E_V2048QImode)
    return -1;
  x11 = XEXP (x10, 0);
  operands[2] = x11;
  if (!register_operand (operands[2], E_V2048QImode))
    return -1;
  x12 = XEXP (x10, 1);
  operands[3] = x12;
  if (!register_operand (operands[3], E_V2048QImode))
    return -1;
  x13 = XEXP (x2, 2);
  if (rtx_equal_p (x13, operands[2])
      && (
#line 5639 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 199 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048QImode) && TARGET_MIN_VLEN >= 2048)))
    return 13550; /* *pred_nmsubv2048qi */
  if (!rtx_equal_p (x13, operands[4])
      || !(
#line 5668 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 199 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048QImode) && TARGET_MIN_VLEN >= 2048)))
    return -1;
  return 13618; /* *pred_nmsacv2048qi */
}

 int
recog_797 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (pattern574 (x2, 
E_V8QImode, 
E_V8BImode) != 0)
    return -1;
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  operands[5] = x4;
  if (pattern706 (x2, 
E_V8QImode) == 0
      && (
#line 5613 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 191 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8QImode))))
    return 13474; /* *pred_minus_mulv8qi_undef */
  operands[4] = x4;
  x5 = XEXP (x2, 0);
  x6 = XVECEXP (x5, 0, 1);
  operands[5] = x6;
  x7 = XVECEXP (x5, 0, 2);
  operands[6] = x7;
  x8 = XVECEXP (x5, 0, 3);
  operands[7] = x8;
  x9 = XVECEXP (x5, 0, 4);
  operands[8] = x9;
  x10 = XEXP (x3, 1);
  if (GET_MODE (x10) != E_V8QImode)
    return -1;
  x11 = XEXP (x10, 0);
  operands[2] = x11;
  if (!register_operand (operands[2], E_V8QImode))
    return -1;
  x12 = XEXP (x10, 1);
  operands[3] = x12;
  if (!register_operand (operands[3], E_V8QImode))
    return -1;
  x13 = XEXP (x2, 2);
  if (rtx_equal_p (x13, operands[2])
      && (
#line 5639 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 191 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8QImode))))
    return 13542; /* *pred_nmsubv8qi */
  if (!rtx_equal_p (x13, operands[4])
      || !(
#line 5668 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 191 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8QImode))))
    return -1;
  return 13610; /* *pred_nmsacv8qi */
}

 int
recog_805 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (pattern710 (x2, 
E_V256DImode, 
E_V256BImode, 
E_DImode) != 0)
    return -1;
  x3 = XEXP (x2, 2);
  if (rtx_equal_p (x3, operands[3])
      && (
#line 5719 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 232 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
    return 13719; /* *pred_nmsubv256di_scalar */
  if (!rtx_equal_p (x3, operands[4])
      || !(
#line 5749 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 232 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
    return -1;
  return 13787; /* *pred_nmsacv256di_scalar */
}

 int
recog_811 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (pattern710 (x2, 
E_V4DImode, 
E_V4BImode, 
E_DImode) != 0)
    return -1;
  x3 = XEXP (x2, 2);
  if (rtx_equal_p (x3, operands[3])
      && (
#line 5719 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 226 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
    return 13713; /* *pred_nmsubv4di_scalar */
  if (!rtx_equal_p (x3, operands[4])
      || !(
#line 5749 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 226 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
    return -1;
  return 13781; /* *pred_nmsacv4di_scalar */
}

 int
recog_819 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (pattern710 (x2, 
E_V32SImode, 
E_V32BImode, 
E_SImode) != 0)
    return -1;
  x3 = XEXP (x2, 2);
  if (rtx_equal_p (x3, operands[3])
      && (
#line 5719 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 218 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
    return 13705; /* *pred_nmsubv32si_scalar */
  if (!rtx_equal_p (x3, operands[4])
      || !(
#line 5749 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 218 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
    return -1;
  return 13773; /* *pred_nmsacv32si_scalar */
}

 int
recog_827 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (pattern710 (x2, 
E_V512HImode, 
E_V512BImode, 
E_HImode) != 0)
    return -1;
  x3 = XEXP (x2, 2);
  if (rtx_equal_p (x3, operands[3])
      && (
#line 5719 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
    return 13697; /* *pred_nmsubv512hi_scalar */
  if (!rtx_equal_p (x3, operands[4])
      || !(
#line 5749 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
    return -1;
  return 13765; /* *pred_nmsacv512hi_scalar */
}

 int
recog_835 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[5] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[6] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[7] = x6;
  x7 = XVECEXP (x3, 0, 4);
  operands[8] = x7;
  x8 = XEXP (x2, 1);
  x9 = XEXP (x8, 0);
  operands[3] = x9;
  x10 = XEXP (x2, 2);
  operands[2] = x10;
  x11 = XEXP (x8, 1);
  x12 = XEXP (x11, 0);
  switch (GET_CODE (x12))
    {
    case CONST_INT:
    case CONST_WIDE_INT:
    case CONST_DOUBLE:
    case CONST_VECTOR:
    case REG:
    case SUBREG:
      switch (pattern501 (x2))
        {
        case 0:
          if (!
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 7343; /* pred_subrvvm8qi_scalar */

        case 1:
          if (!
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 7348; /* pred_subrvvm4qi_scalar */

        case 2:
          if (!
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 7353; /* pred_subrvvm2qi_scalar */

        case 3:
          if (!
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 7358; /* pred_subrvvm1qi_scalar */

        case 4:
          if (!
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 7363; /* pred_subrvvmf2qi_scalar */

        case 5:
          if (!
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 7368; /* pred_subrvvmf4qi_scalar */

        case 6:
          if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 724 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
            return -1;
          return 7373; /* pred_subrvvmf8qi_scalar */

        case 7:
          if (!
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 7378; /* pred_subrvvm8hi_scalar */

        case 8:
          if (!
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 7383; /* pred_subrvvm4hi_scalar */

        case 9:
          if (!
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 7388; /* pred_subrvvm2hi_scalar */

        case 10:
          if (!
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 7393; /* pred_subrvvm1hi_scalar */

        case 11:
          if (!
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 7398; /* pred_subrvvmf2hi_scalar */

        case 12:
          if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 726 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
            return -1;
          return 7403; /* pred_subrvvmf4hi_scalar */

        case 13:
          if (!
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 7408; /* pred_subrvvm8si_scalar */

        case 14:
          if (!
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 7413; /* pred_subrvvm4si_scalar */

        case 15:
          if (!
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 7418; /* pred_subrvvm2si_scalar */

        case 16:
          if (!
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 7423; /* pred_subrvvm1si_scalar */

        case 17:
          if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 728 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
            return -1;
          return 7428; /* pred_subrvvmf2si_scalar */

        case 18:
          if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 730 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1QImode))))
            return -1;
          return 7433; /* pred_subv1qi_scalar */

        case 19:
          if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 731 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2QImode))))
            return -1;
          return 7438; /* pred_subv2qi_scalar */

        case 20:
          if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 732 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4QImode))))
            return -1;
          return 7443; /* pred_subv4qi_scalar */

        case 21:
          if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 733 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8QImode))))
            return -1;
          return 7448; /* pred_subv8qi_scalar */

        case 22:
          if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 734 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16QImode))))
            return -1;
          return 7453; /* pred_subv16qi_scalar */

        case 23:
          if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 735 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32QImode))))
            return -1;
          return 7458; /* pred_subv32qi_scalar */

        case 24:
          if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 736 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64QImode) && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 7463; /* pred_subv64qi_scalar */

        case 25:
          if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 737 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128QImode) && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 7468; /* pred_subv128qi_scalar */

        case 26:
          if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256QImode) && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 7473; /* pred_subv256qi_scalar */

        case 27:
          if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 739 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512QImode) && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 7478; /* pred_subv512qi_scalar */

        case 28:
          if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024QImode) && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 7483; /* pred_subv1024qi_scalar */

        case 29:
          if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 741 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048QImode) && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 7488; /* pred_subv2048qi_scalar */

        case 30:
          if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 742 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4096QImode) && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 7493; /* pred_subv4096qi_scalar */

        case 31:
          if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 743 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
            return -1;
          return 7498; /* pred_subv1hi_scalar */

        case 32:
          if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 744 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
            return -1;
          return 7503; /* pred_subv2hi_scalar */

        case 33:
          if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 745 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
            return -1;
          return 7508; /* pred_subv4hi_scalar */

        case 34:
          if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 746 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
            return -1;
          return 7513; /* pred_subv8hi_scalar */

        case 35:
          if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 747 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
            return -1;
          return 7518; /* pred_subv16hi_scalar */

        case 36:
          if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 748 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 7523; /* pred_subv32hi_scalar */

        case 37:
          if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 749 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 7528; /* pred_subv64hi_scalar */

        case 38:
          if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 750 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 7533; /* pred_subv128hi_scalar */

        case 39:
          if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 751 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 7538; /* pred_subv256hi_scalar */

        case 40:
          if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 752 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 7543; /* pred_subv512hi_scalar */

        case 41:
          if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 753 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 7548; /* pred_subv1024hi_scalar */

        case 42:
          if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 7553; /* pred_subv2048hi_scalar */

        case 43:
          if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 755 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
            return -1;
          return 7558; /* pred_subv1si_scalar */

        case 44:
          if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 756 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
            return -1;
          return 7563; /* pred_subv2si_scalar */

        case 45:
          if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 757 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
            return -1;
          return 7568; /* pred_subv4si_scalar */

        case 46:
          if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 758 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
            return -1;
          return 7573; /* pred_subv8si_scalar */

        case 47:
          if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 759 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 7578; /* pred_subv16si_scalar */

        case 48:
          if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 760 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 7583; /* pred_subv32si_scalar */

        case 49:
          if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 761 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 7588; /* pred_subv64si_scalar */

        case 50:
          if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 762 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 7593; /* pred_subv128si_scalar */

        case 51:
          if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 763 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 7598; /* pred_subv256si_scalar */

        case 52:
          if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 764 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 7603; /* pred_subv512si_scalar */

        case 53:
          if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 765 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 7608; /* pred_subv1024si_scalar */

        case 54:
          if (!(
#line 2955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 774 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 7919; /* *pred_subrvvm8di_scalar */

        case 55:
          if (!(
#line 2955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 774 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 7924; /* *pred_subrvvm4di_scalar */

        case 56:
          if (!(
#line 2955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 775 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 7929; /* *pred_subrvvm2di_scalar */

        case 57:
          if (!(
#line 2955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 775 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 7934; /* *pred_subrvvm1di_scalar */

        case 58:
          if (!(
#line 2955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 777 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
            return -1;
          return 7939; /* *pred_subv1di_scalar */

        case 59:
          if (!(
#line 2955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 778 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
            return -1;
          return 7944; /* *pred_subv2di_scalar */

        case 60:
          if (!(
#line 2955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 779 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
            return -1;
          return 7949; /* *pred_subv4di_scalar */

        case 61:
          if (!(
#line 2955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 780 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 7954; /* *pred_subv8di_scalar */

        case 62:
          if (!(
#line 2955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 7959; /* *pred_subv16di_scalar */

        case 63:
          if (!(
#line 2955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 782 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 7964; /* *pred_subv32di_scalar */

        case 64:
          if (!(
#line 2955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 783 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 7969; /* *pred_subv64di_scalar */

        case 65:
          if (!(
#line 2955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 784 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 7974; /* *pred_subv128di_scalar */

        case 66:
          if (!(
#line 2955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 785 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 7979; /* *pred_subv256di_scalar */

        case 67:
          if (!(
#line 2955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 786 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 7984; /* *pred_subv512di_scalar */

        default:
          return -1;
        }

    case SIGN_EXTEND:
      return recog_754 (x1, insn, pnum_clobbers);

    case ZERO_EXTEND:
      x13 = XEXP (x12, 0);
      operands[4] = x13;
      switch (GET_MODE (operands[0]))
        {
        case E_RVVM8HImode:
          if (pattern543 (x2, 
E_RVVM8HImode, 
E_HImode, 
E_RVVMF2BImode, 
E_QImode) != 0
              || !
#line 4137 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 10358; /* pred_single_widen_suburvvm8hi_extended_scalar */

        case E_RVVM4HImode:
          if (pattern543 (x2, 
E_RVVM4HImode, 
E_HImode, 
E_RVVMF4BImode, 
E_QImode) != 0
              || !
#line 4137 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 10360; /* pred_single_widen_suburvvm4hi_extended_scalar */

        case E_RVVM2HImode:
          if (pattern543 (x2, 
E_RVVM2HImode, 
E_HImode, 
E_RVVMF8BImode, 
E_QImode) != 0
              || !
#line 4137 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 10362; /* pred_single_widen_suburvvm2hi_extended_scalar */

        case E_RVVM1HImode:
          if (pattern543 (x2, 
E_RVVM1HImode, 
E_HImode, 
E_RVVMF16BImode, 
E_QImode) != 0
              || !
#line 4137 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 10364; /* pred_single_widen_suburvvm1hi_extended_scalar */

        case E_RVVMF2HImode:
          if (pattern543 (x2, 
E_RVVMF2HImode, 
E_HImode, 
E_RVVMF32BImode, 
E_QImode) != 0
              || !
#line 4137 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 10366; /* pred_single_widen_suburvvmf2hi_extended_scalar */

        case E_RVVMF4HImode:
          if (pattern543 (x2, 
E_RVVMF4HImode, 
E_HImode, 
E_RVVMF64BImode, 
E_QImode) != 0
              || !(
#line 4137 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 946 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
            return -1;
          return 10368; /* pred_single_widen_suburvvmf4hi_extended_scalar */

        case E_RVVM8SImode:
          if (pattern543 (x2, 
E_RVVM8SImode, 
E_SImode, 
E_RVVMF4BImode, 
E_HImode) != 0
              || !
#line 4137 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 10370; /* pred_single_widen_suburvvm8si_extended_scalar */

        case E_RVVM4SImode:
          if (pattern543 (x2, 
E_RVVM4SImode, 
E_SImode, 
E_RVVMF8BImode, 
E_HImode) != 0
              || !
#line 4137 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 10372; /* pred_single_widen_suburvvm4si_extended_scalar */

        case E_RVVM2SImode:
          if (pattern543 (x2, 
E_RVVM2SImode, 
E_SImode, 
E_RVVMF16BImode, 
E_HImode) != 0
              || !
#line 4137 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 10374; /* pred_single_widen_suburvvm2si_extended_scalar */

        case E_RVVM1SImode:
          if (pattern543 (x2, 
E_RVVM1SImode, 
E_SImode, 
E_RVVMF32BImode, 
E_HImode) != 0
              || !
#line 4137 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 10376; /* pred_single_widen_suburvvm1si_extended_scalar */

        case E_RVVMF2SImode:
          if (pattern543 (x2, 
E_RVVMF2SImode, 
E_SImode, 
E_RVVMF64BImode, 
E_HImode) != 0
              || !(
#line 4137 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 948 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
            return -1;
          return 10378; /* pred_single_widen_suburvvmf2si_extended_scalar */

        case E_RVVM8DImode:
          if (pattern543 (x2, 
E_RVVM8DImode, 
E_DImode, 
E_RVVMF8BImode, 
E_SImode) != 0
              || !(
#line 4137 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 10380; /* pred_single_widen_suburvvm8di_extended_scalar */

        case E_RVVM4DImode:
          if (pattern543 (x2, 
E_RVVM4DImode, 
E_DImode, 
E_RVVMF16BImode, 
E_SImode) != 0
              || !(
#line 4137 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 10382; /* pred_single_widen_suburvvm4di_extended_scalar */

        case E_RVVM2DImode:
          if (pattern543 (x2, 
E_RVVM2DImode, 
E_DImode, 
E_RVVMF32BImode, 
E_SImode) != 0
              || !(
#line 4137 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 10384; /* pred_single_widen_suburvvm2di_extended_scalar */

        case E_RVVM1DImode:
          if (pattern543 (x2, 
E_RVVM1DImode, 
E_DImode, 
E_RVVMF64BImode, 
E_SImode) != 0
              || !(
#line 4137 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 10386; /* pred_single_widen_suburvvm1di_extended_scalar */

        case E_V1HImode:
          if (pattern543 (x2, 
E_V1HImode, 
E_HImode, 
E_V1BImode, 
E_QImode) != 0
              || !(
#line 4137 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 953 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
            return -1;
          return 10388; /* pred_single_widen_subuv1hi_extended_scalar */

        case E_V2HImode:
          if (pattern543 (x2, 
E_V2HImode, 
E_HImode, 
E_V2BImode, 
E_QImode) != 0
              || !(
#line 4137 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 954 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
            return -1;
          return 10390; /* pred_single_widen_subuv2hi_extended_scalar */

        case E_V4HImode:
          if (pattern543 (x2, 
E_V4HImode, 
E_HImode, 
E_V4BImode, 
E_QImode) != 0
              || !(
#line 4137 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
            return -1;
          return 10392; /* pred_single_widen_subuv4hi_extended_scalar */

        case E_V8HImode:
          if (pattern543 (x2, 
E_V8HImode, 
E_HImode, 
E_V8BImode, 
E_QImode) != 0
              || !(
#line 4137 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 956 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
            return -1;
          return 10394; /* pred_single_widen_subuv8hi_extended_scalar */

        case E_V16HImode:
          if (pattern543 (x2, 
E_V16HImode, 
E_HImode, 
E_V16BImode, 
E_QImode) != 0
              || !(
#line 4137 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 957 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
            return -1;
          return 10396; /* pred_single_widen_subuv16hi_extended_scalar */

        case E_V32HImode:
          if (pattern543 (x2, 
E_V32HImode, 
E_HImode, 
E_V32BImode, 
E_QImode) != 0
              || !(
#line 4137 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 958 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 10398; /* pred_single_widen_subuv32hi_extended_scalar */

        case E_V64HImode:
          if (pattern543 (x2, 
E_V64HImode, 
E_HImode, 
E_V64BImode, 
E_QImode) != 0
              || !(
#line 4137 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 959 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 10400; /* pred_single_widen_subuv64hi_extended_scalar */

        case E_V128HImode:
          if (pattern543 (x2, 
E_V128HImode, 
E_HImode, 
E_V128BImode, 
E_QImode) != 0
              || !(
#line 4137 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 960 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 10402; /* pred_single_widen_subuv128hi_extended_scalar */

        case E_V256HImode:
          if (pattern543 (x2, 
E_V256HImode, 
E_HImode, 
E_V256BImode, 
E_QImode) != 0
              || !(
#line 4137 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 961 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 10404; /* pred_single_widen_subuv256hi_extended_scalar */

        case E_V512HImode:
          if (pattern543 (x2, 
E_V512HImode, 
E_HImode, 
E_V512BImode, 
E_QImode) != 0
              || !(
#line 4137 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 962 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 10406; /* pred_single_widen_subuv512hi_extended_scalar */

        case E_V1024HImode:
          if (pattern543 (x2, 
E_V1024HImode, 
E_HImode, 
E_V1024BImode, 
E_QImode) != 0
              || !(
#line 4137 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 963 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 10408; /* pred_single_widen_subuv1024hi_extended_scalar */

        case E_V2048HImode:
          if (pattern543 (x2, 
E_V2048HImode, 
E_HImode, 
E_V2048BImode, 
E_QImode) != 0
              || !(
#line 4137 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 10410; /* pred_single_widen_subuv2048hi_extended_scalar */

        case E_V1SImode:
          if (pattern543 (x2, 
E_V1SImode, 
E_SImode, 
E_V1BImode, 
E_HImode) != 0
              || !(
#line 4137 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 965 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
            return -1;
          return 10412; /* pred_single_widen_subuv1si_extended_scalar */

        case E_V2SImode:
          if (pattern543 (x2, 
E_V2SImode, 
E_SImode, 
E_V2BImode, 
E_HImode) != 0
              || !(
#line 4137 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 966 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
            return -1;
          return 10414; /* pred_single_widen_subuv2si_extended_scalar */

        case E_V4SImode:
          if (pattern543 (x2, 
E_V4SImode, 
E_SImode, 
E_V4BImode, 
E_HImode) != 0
              || !(
#line 4137 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 967 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
            return -1;
          return 10416; /* pred_single_widen_subuv4si_extended_scalar */

        case E_V8SImode:
          if (pattern543 (x2, 
E_V8SImode, 
E_SImode, 
E_V8BImode, 
E_HImode) != 0
              || !(
#line 4137 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 968 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
            return -1;
          return 10418; /* pred_single_widen_subuv8si_extended_scalar */

        case E_V16SImode:
          if (pattern543 (x2, 
E_V16SImode, 
E_SImode, 
E_V16BImode, 
E_HImode) != 0
              || !(
#line 4137 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 969 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 10420; /* pred_single_widen_subuv16si_extended_scalar */

        case E_V32SImode:
          if (pattern543 (x2, 
E_V32SImode, 
E_SImode, 
E_V32BImode, 
E_HImode) != 0
              || !(
#line 4137 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 970 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 10422; /* pred_single_widen_subuv32si_extended_scalar */

        case E_V64SImode:
          if (pattern543 (x2, 
E_V64SImode, 
E_SImode, 
E_V64BImode, 
E_HImode) != 0
              || !(
#line 4137 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 10424; /* pred_single_widen_subuv64si_extended_scalar */

        case E_V128SImode:
          if (pattern543 (x2, 
E_V128SImode, 
E_SImode, 
E_V128BImode, 
E_HImode) != 0
              || !(
#line 4137 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 972 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 10426; /* pred_single_widen_subuv128si_extended_scalar */

        case E_V256SImode:
          if (pattern543 (x2, 
E_V256SImode, 
E_SImode, 
E_V256BImode, 
E_HImode) != 0
              || !(
#line 4137 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 973 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 10428; /* pred_single_widen_subuv256si_extended_scalar */

        case E_V512SImode:
          if (pattern543 (x2, 
E_V512SImode, 
E_SImode, 
E_V512BImode, 
E_HImode) != 0
              || !(
#line 4137 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 974 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 10430; /* pred_single_widen_subuv512si_extended_scalar */

        case E_V1024SImode:
          if (pattern543 (x2, 
E_V1024SImode, 
E_SImode, 
E_V1024BImode, 
E_HImode) != 0
              || !(
#line 4137 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 10432; /* pred_single_widen_subuv1024si_extended_scalar */

        case E_V1DImode:
          if (pattern543 (x2, 
E_V1DImode, 
E_DImode, 
E_V1BImode, 
E_SImode) != 0
              || !(
#line 4137 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 976 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
            return -1;
          return 10434; /* pred_single_widen_subuv1di_extended_scalar */

        case E_V2DImode:
          if (pattern543 (x2, 
E_V2DImode, 
E_DImode, 
E_V2BImode, 
E_SImode) != 0
              || !(
#line 4137 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
            return -1;
          return 10436; /* pred_single_widen_subuv2di_extended_scalar */

        case E_V4DImode:
          if (pattern543 (x2, 
E_V4DImode, 
E_DImode, 
E_V4BImode, 
E_SImode) != 0
              || !(
#line 4137 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 978 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
            return -1;
          return 10438; /* pred_single_widen_subuv4di_extended_scalar */

        case E_V8DImode:
          if (pattern543 (x2, 
E_V8DImode, 
E_DImode, 
E_V8BImode, 
E_SImode) != 0
              || !(
#line 4137 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 979 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 10440; /* pred_single_widen_subuv8di_extended_scalar */

        case E_V16DImode:
          if (pattern543 (x2, 
E_V16DImode, 
E_DImode, 
E_V16BImode, 
E_SImode) != 0
              || !(
#line 4137 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 980 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 10442; /* pred_single_widen_subuv16di_extended_scalar */

        case E_V32DImode:
          if (pattern543 (x2, 
E_V32DImode, 
E_DImode, 
E_V32BImode, 
E_SImode) != 0
              || !(
#line 4137 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 981 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 10444; /* pred_single_widen_subuv32di_extended_scalar */

        case E_V64DImode:
          if (pattern543 (x2, 
E_V64DImode, 
E_DImode, 
E_V64BImode, 
E_SImode) != 0
              || !(
#line 4137 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 982 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 10446; /* pred_single_widen_subuv64di_extended_scalar */

        case E_V128DImode:
          if (pattern543 (x2, 
E_V128DImode, 
E_DImode, 
E_V128BImode, 
E_SImode) != 0
              || !(
#line 4137 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 10448; /* pred_single_widen_subuv128di_extended_scalar */

        case E_V256DImode:
          if (pattern543 (x2, 
E_V256DImode, 
E_DImode, 
E_V256BImode, 
E_SImode) != 0
              || !(
#line 4137 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 984 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 10450; /* pred_single_widen_subuv256di_extended_scalar */

        case E_V512DImode:
          if (pattern543 (x2, 
E_V512DImode, 
E_DImode, 
E_V512BImode, 
E_SImode) != 0
              || !(
#line 4137 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 985 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 10452; /* pred_single_widen_subuv512di_extended_scalar */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_885 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern547 (x2))
    {
    case 0:
      if (vector_shift_operand (operands[4], E_RVVM4QImode)
          && 
#line 4241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return 10645; /* pred_narrow_ashrrvvm8hi */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !
#line 4263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 10741; /* pred_narrow_ashrrvvm8hi_scalar */

    case 1:
      if (vector_shift_operand (operands[4], E_RVVM2QImode)
          && 
#line 4241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return 10647; /* pred_narrow_ashrrvvm4hi */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !
#line 4263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 10743; /* pred_narrow_ashrrvvm4hi_scalar */

    case 2:
      if (vector_shift_operand (operands[4], E_RVVM1QImode)
          && 
#line 4241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return 10649; /* pred_narrow_ashrrvvm2hi */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !
#line 4263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 10745; /* pred_narrow_ashrrvvm2hi_scalar */

    case 3:
      if (vector_shift_operand (operands[4], E_RVVMF2QImode)
          && 
#line 4241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return 10651; /* pred_narrow_ashrrvvm1hi */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !
#line 4263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 10747; /* pred_narrow_ashrrvvm1hi_scalar */

    case 4:
      if (vector_shift_operand (operands[4], E_RVVMF4QImode)
          && 
#line 4241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return 10653; /* pred_narrow_ashrrvvmf2hi */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !
#line 4263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 10749; /* pred_narrow_ashrrvvmf2hi_scalar */

    case 5:
      if (vector_shift_operand (operands[4], E_RVVMF8QImode)
          && (
#line 4241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 946 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return 10655; /* pred_narrow_ashrrvvmf4hi */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 946 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 10751; /* pred_narrow_ashrrvvmf4hi_scalar */

    case 6:
      if (vector_shift_operand (operands[4], E_RVVM4HImode)
          && 
#line 4241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return 10657; /* pred_narrow_ashrrvvm8si */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !
#line 4263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 10753; /* pred_narrow_ashrrvvm8si_scalar */

    case 7:
      if (vector_shift_operand (operands[4], E_RVVM2HImode)
          && 
#line 4241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return 10659; /* pred_narrow_ashrrvvm4si */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !
#line 4263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 10755; /* pred_narrow_ashrrvvm4si_scalar */

    case 8:
      if (vector_shift_operand (operands[4], E_RVVM1HImode)
          && 
#line 4241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return 10661; /* pred_narrow_ashrrvvm2si */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !
#line 4263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 10757; /* pred_narrow_ashrrvvm2si_scalar */

    case 9:
      if (vector_shift_operand (operands[4], E_RVVMF2HImode)
          && 
#line 4241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return 10663; /* pred_narrow_ashrrvvm1si */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !
#line 4263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 10759; /* pred_narrow_ashrrvvm1si_scalar */

    case 10:
      if (vector_shift_operand (operands[4], E_RVVMF4HImode)
          && (
#line 4241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 948 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return 10665; /* pred_narrow_ashrrvvmf2si */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 948 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 10761; /* pred_narrow_ashrrvvmf2si_scalar */

    case 11:
      if (vector_shift_operand (operands[4], E_RVVM4SImode)
          && (
#line 4241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return 10667; /* pred_narrow_ashrrvvm8di */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 10763; /* pred_narrow_ashrrvvm8di_scalar */

    case 12:
      if (vector_shift_operand (operands[4], E_RVVM2SImode)
          && (
#line 4241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return 10669; /* pred_narrow_ashrrvvm4di */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 10765; /* pred_narrow_ashrrvvm4di_scalar */

    case 13:
      if (vector_shift_operand (operands[4], E_RVVM1SImode)
          && (
#line 4241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return 10671; /* pred_narrow_ashrrvvm2di */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 10767; /* pred_narrow_ashrrvvm2di_scalar */

    case 14:
      if (vector_shift_operand (operands[4], E_RVVMF2SImode)
          && (
#line 4241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return 10673; /* pred_narrow_ashrrvvm1di */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 10769; /* pred_narrow_ashrrvvm1di_scalar */

    case 15:
      if (vector_shift_operand (operands[4], E_V1QImode)
          && (
#line 4241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 953 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
        return 10675; /* pred_narrow_ashrv1hi */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 953 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
        return -1;
      return 10771; /* pred_narrow_ashrv1hi_scalar */

    case 16:
      if (vector_shift_operand (operands[4], E_V2QImode)
          && (
#line 4241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 954 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
        return 10677; /* pred_narrow_ashrv2hi */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 954 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
        return -1;
      return 10773; /* pred_narrow_ashrv2hi_scalar */

    case 17:
      if (vector_shift_operand (operands[4], E_V4QImode)
          && (
#line 4241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
        return 10679; /* pred_narrow_ashrv4hi */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
        return -1;
      return 10775; /* pred_narrow_ashrv4hi_scalar */

    case 18:
      if (vector_shift_operand (operands[4], E_V8QImode)
          && (
#line 4241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 956 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
        return 10681; /* pred_narrow_ashrv8hi */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 956 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
        return -1;
      return 10777; /* pred_narrow_ashrv8hi_scalar */

    case 19:
      if (vector_shift_operand (operands[4], E_V16QImode)
          && (
#line 4241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 957 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
        return 10683; /* pred_narrow_ashrv16hi */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 957 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
        return -1;
      return 10779; /* pred_narrow_ashrv16hi_scalar */

    case 20:
      if (vector_shift_operand (operands[4], E_V32QImode)
          && (
#line 4241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 958 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
        return 10685; /* pred_narrow_ashrv32hi */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 958 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 10781; /* pred_narrow_ashrv32hi_scalar */

    case 21:
      if (vector_shift_operand (operands[4], E_V64QImode)
          && (
#line 4241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 959 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
        return 10687; /* pred_narrow_ashrv64hi */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 959 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 10783; /* pred_narrow_ashrv64hi_scalar */

    case 22:
      if (vector_shift_operand (operands[4], E_V128QImode)
          && (
#line 4241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 960 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
        return 10689; /* pred_narrow_ashrv128hi */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 960 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 10785; /* pred_narrow_ashrv128hi_scalar */

    case 23:
      if (vector_shift_operand (operands[4], E_V256QImode)
          && (
#line 4241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 961 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
        return 10691; /* pred_narrow_ashrv256hi */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 961 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 10787; /* pred_narrow_ashrv256hi_scalar */

    case 24:
      if (vector_shift_operand (operands[4], E_V512QImode)
          && (
#line 4241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 962 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
        return 10693; /* pred_narrow_ashrv512hi */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 962 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 10789; /* pred_narrow_ashrv512hi_scalar */

    case 25:
      if (vector_shift_operand (operands[4], E_V1024QImode)
          && (
#line 4241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 963 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
        return 10695; /* pred_narrow_ashrv1024hi */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 963 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 10791; /* pred_narrow_ashrv1024hi_scalar */

    case 26:
      if (vector_shift_operand (operands[4], E_V2048QImode)
          && (
#line 4241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
        return 10697; /* pred_narrow_ashrv2048hi */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 10793; /* pred_narrow_ashrv2048hi_scalar */

    case 27:
      if (vector_shift_operand (operands[4], E_V1HImode)
          && (
#line 4241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 965 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
        return 10699; /* pred_narrow_ashrv1si */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 965 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
        return -1;
      return 10795; /* pred_narrow_ashrv1si_scalar */

    case 28:
      if (vector_shift_operand (operands[4], E_V2HImode)
          && (
#line 4241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 966 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
        return 10701; /* pred_narrow_ashrv2si */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 966 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
        return -1;
      return 10797; /* pred_narrow_ashrv2si_scalar */

    case 29:
      if (vector_shift_operand (operands[4], E_V4HImode)
          && (
#line 4241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 967 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
        return 10703; /* pred_narrow_ashrv4si */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 967 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
        return -1;
      return 10799; /* pred_narrow_ashrv4si_scalar */

    case 30:
      if (vector_shift_operand (operands[4], E_V8HImode)
          && (
#line 4241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 968 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
        return 10705; /* pred_narrow_ashrv8si */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 968 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
        return -1;
      return 10801; /* pred_narrow_ashrv8si_scalar */

    case 31:
      if (vector_shift_operand (operands[4], E_V16HImode)
          && (
#line 4241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 969 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
        return 10707; /* pred_narrow_ashrv16si */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 969 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 10803; /* pred_narrow_ashrv16si_scalar */

    case 32:
      if (vector_shift_operand (operands[4], E_V32HImode)
          && (
#line 4241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 970 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
        return 10709; /* pred_narrow_ashrv32si */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 970 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 10805; /* pred_narrow_ashrv32si_scalar */

    case 33:
      if (vector_shift_operand (operands[4], E_V64HImode)
          && (
#line 4241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
        return 10711; /* pred_narrow_ashrv64si */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 10807; /* pred_narrow_ashrv64si_scalar */

    case 34:
      if (vector_shift_operand (operands[4], E_V128HImode)
          && (
#line 4241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 972 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
        return 10713; /* pred_narrow_ashrv128si */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 972 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 10809; /* pred_narrow_ashrv128si_scalar */

    case 35:
      if (vector_shift_operand (operands[4], E_V256HImode)
          && (
#line 4241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 973 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
        return 10715; /* pred_narrow_ashrv256si */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 973 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 10811; /* pred_narrow_ashrv256si_scalar */

    case 36:
      if (vector_shift_operand (operands[4], E_V512HImode)
          && (
#line 4241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 974 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
        return 10717; /* pred_narrow_ashrv512si */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 974 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 10813; /* pred_narrow_ashrv512si_scalar */

    case 37:
      if (vector_shift_operand (operands[4], E_V1024HImode)
          && (
#line 4241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
        return 10719; /* pred_narrow_ashrv1024si */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 10815; /* pred_narrow_ashrv1024si_scalar */

    case 38:
      if (vector_shift_operand (operands[4], E_V1SImode)
          && (
#line 4241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 976 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
        return 10721; /* pred_narrow_ashrv1di */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 976 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 10817; /* pred_narrow_ashrv1di_scalar */

    case 39:
      if (vector_shift_operand (operands[4], E_V2SImode)
          && (
#line 4241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
        return 10723; /* pred_narrow_ashrv2di */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 10819; /* pred_narrow_ashrv2di_scalar */

    case 40:
      if (vector_shift_operand (operands[4], E_V4SImode)
          && (
#line 4241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 978 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
        return 10725; /* pred_narrow_ashrv4di */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 978 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 10821; /* pred_narrow_ashrv4di_scalar */

    case 41:
      if (vector_shift_operand (operands[4], E_V8SImode)
          && (
#line 4241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 979 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
        return 10727; /* pred_narrow_ashrv8di */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 979 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 10823; /* pred_narrow_ashrv8di_scalar */

    case 42:
      if (vector_shift_operand (operands[4], E_V16SImode)
          && (
#line 4241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 980 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
        return 10729; /* pred_narrow_ashrv16di */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 980 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 10825; /* pred_narrow_ashrv16di_scalar */

    case 43:
      if (vector_shift_operand (operands[4], E_V32SImode)
          && (
#line 4241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 981 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
        return 10731; /* pred_narrow_ashrv32di */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 981 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 10827; /* pred_narrow_ashrv32di_scalar */

    case 44:
      if (vector_shift_operand (operands[4], E_V64SImode)
          && (
#line 4241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 982 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
        return 10733; /* pred_narrow_ashrv64di */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 982 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 10829; /* pred_narrow_ashrv64di_scalar */

    case 45:
      if (vector_shift_operand (operands[4], E_V128SImode)
          && (
#line 4241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
        return 10735; /* pred_narrow_ashrv128di */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 10831; /* pred_narrow_ashrv128di_scalar */

    case 46:
      if (vector_shift_operand (operands[4], E_V256SImode)
          && (
#line 4241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 984 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
        return 10737; /* pred_narrow_ashrv256di */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 984 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 10833; /* pred_narrow_ashrv256di_scalar */

    case 47:
      if (vector_shift_operand (operands[4], E_V512SImode)
          && (
#line 4241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 985 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
        return 10739; /* pred_narrow_ashrv512di */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 985 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 10835; /* pred_narrow_ashrv512di_scalar */

    default:
      return -1;
    }
}

 int
recog_892 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  operands[3] = x3;
  x4 = XEXP (x2, 0);
  x5 = XVECEXP (x4, 0, 1);
  operands[4] = x5;
  x6 = XVECEXP (x4, 0, 2);
  operands[5] = x6;
  x7 = XVECEXP (x4, 0, 3);
  operands[6] = x7;
  x8 = XVECEXP (x4, 0, 4);
  operands[7] = x8;
  x9 = XEXP (x2, 2);
  operands[2] = x9;
  switch (GET_MODE (operands[0]))
    {
    case E_RVVM8QImode:
      if (pattern602 (x2, 
E_RVVM8QImode, 
E_RVVM1BImode) != 0)
        return -1;
      if (vector_least_significant_set_mask_operand (operands[1], E_RVVM1BImode)
          && vector_const_0_operand (operands[3], E_RVVM8QImode)
          && 
#line 2340 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return 4231; /* *pred_broadcastrvvm8qi_zero */
      if (!vector_all_trues_mask_operand (operands[1], E_RVVM1BImode)
          || !vector_const_int_or_double_0_operand (operands[3], E_RVVM8QImode)
          || !
#line 2360 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 4353; /* *pred_broadcastrvvm8qi_imm */

    case E_RVVM4QImode:
      if (pattern602 (x2, 
E_RVVM4QImode, 
E_RVVMF2BImode) != 0)
        return -1;
      if (vector_least_significant_set_mask_operand (operands[1], E_RVVMF2BImode)
          && vector_const_0_operand (operands[3], E_RVVM4QImode)
          && 
#line 2340 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return 4232; /* *pred_broadcastrvvm4qi_zero */
      if (!vector_all_trues_mask_operand (operands[1], E_RVVMF2BImode)
          || !vector_const_int_or_double_0_operand (operands[3], E_RVVM4QImode)
          || !
#line 2360 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 4354; /* *pred_broadcastrvvm4qi_imm */

    case E_RVVM2QImode:
      if (pattern602 (x2, 
E_RVVM2QImode, 
E_RVVMF4BImode) != 0)
        return -1;
      if (vector_least_significant_set_mask_operand (operands[1], E_RVVMF4BImode)
          && vector_const_0_operand (operands[3], E_RVVM2QImode)
          && 
#line 2340 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return 4233; /* *pred_broadcastrvvm2qi_zero */
      if (!vector_all_trues_mask_operand (operands[1], E_RVVMF4BImode)
          || !vector_const_int_or_double_0_operand (operands[3], E_RVVM2QImode)
          || !
#line 2360 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 4355; /* *pred_broadcastrvvm2qi_imm */

    case E_RVVM1QImode:
      if (pattern602 (x2, 
E_RVVM1QImode, 
E_RVVMF8BImode) != 0)
        return -1;
      if (vector_least_significant_set_mask_operand (operands[1], E_RVVMF8BImode)
          && vector_const_0_operand (operands[3], E_RVVM1QImode)
          && 
#line 2340 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return 4234; /* *pred_broadcastrvvm1qi_zero */
      if (!vector_all_trues_mask_operand (operands[1], E_RVVMF8BImode)
          || !vector_const_int_or_double_0_operand (operands[3], E_RVVM1QImode)
          || !
#line 2360 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 4356; /* *pred_broadcastrvvm1qi_imm */

    case E_RVVM8HImode:
      if (pattern602 (x2, 
E_RVVM8HImode, 
E_RVVMF2BImode) != 0)
        return -1;
      if (vector_least_significant_set_mask_operand (operands[1], E_RVVMF2BImode)
          && vector_const_0_operand (operands[3], E_RVVM8HImode)
          && 
#line 2340 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return 4235; /* *pred_broadcastrvvm8hi_zero */
      if (!vector_all_trues_mask_operand (operands[1], E_RVVMF2BImode)
          || !vector_const_int_or_double_0_operand (operands[3], E_RVVM8HImode)
          || !
#line 2360 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 4357; /* *pred_broadcastrvvm8hi_imm */

    case E_RVVM4HImode:
      if (pattern602 (x2, 
E_RVVM4HImode, 
E_RVVMF4BImode) != 0)
        return -1;
      if (vector_least_significant_set_mask_operand (operands[1], E_RVVMF4BImode)
          && vector_const_0_operand (operands[3], E_RVVM4HImode)
          && 
#line 2340 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return 4236; /* *pred_broadcastrvvm4hi_zero */
      if (!vector_all_trues_mask_operand (operands[1], E_RVVMF4BImode)
          || !vector_const_int_or_double_0_operand (operands[3], E_RVVM4HImode)
          || !
#line 2360 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 4358; /* *pred_broadcastrvvm4hi_imm */

    case E_RVVM2HImode:
      if (pattern602 (x2, 
E_RVVM2HImode, 
E_RVVMF8BImode) != 0)
        return -1;
      if (vector_least_significant_set_mask_operand (operands[1], E_RVVMF8BImode)
          && vector_const_0_operand (operands[3], E_RVVM2HImode)
          && 
#line 2340 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return 4237; /* *pred_broadcastrvvm2hi_zero */
      if (!vector_all_trues_mask_operand (operands[1], E_RVVMF8BImode)
          || !vector_const_int_or_double_0_operand (operands[3], E_RVVM2HImode)
          || !
#line 2360 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 4359; /* *pred_broadcastrvvm2hi_imm */

    case E_RVVM1HImode:
      if (pattern602 (x2, 
E_RVVM1HImode, 
E_RVVMF16BImode) != 0)
        return -1;
      if (vector_least_significant_set_mask_operand (operands[1], E_RVVMF16BImode)
          && vector_const_0_operand (operands[3], E_RVVM1HImode)
          && 
#line 2340 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return 4238; /* *pred_broadcastrvvm1hi_zero */
      if (!vector_all_trues_mask_operand (operands[1], E_RVVMF16BImode)
          || !vector_const_int_or_double_0_operand (operands[3], E_RVVM1HImode)
          || !
#line 2360 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 4360; /* *pred_broadcastrvvm1hi_imm */

    case E_RVVM8SImode:
      if (pattern602 (x2, 
E_RVVM8SImode, 
E_RVVMF4BImode) != 0)
        return -1;
      if (vector_least_significant_set_mask_operand (operands[1], E_RVVMF4BImode)
          && vector_const_0_operand (operands[3], E_RVVM8SImode)
          && 
#line 2340 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return 4239; /* *pred_broadcastrvvm8si_zero */
      if (!vector_all_trues_mask_operand (operands[1], E_RVVMF4BImode)
          || !vector_const_int_or_double_0_operand (operands[3], E_RVVM8SImode)
          || !
#line 2360 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 4361; /* *pred_broadcastrvvm8si_imm */

    case E_RVVM4SImode:
      if (pattern602 (x2, 
E_RVVM4SImode, 
E_RVVMF8BImode) != 0)
        return -1;
      if (vector_least_significant_set_mask_operand (operands[1], E_RVVMF8BImode)
          && vector_const_0_operand (operands[3], E_RVVM4SImode)
          && 
#line 2340 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return 4240; /* *pred_broadcastrvvm4si_zero */
      if (!vector_all_trues_mask_operand (operands[1], E_RVVMF8BImode)
          || !vector_const_int_or_double_0_operand (operands[3], E_RVVM4SImode)
          || !
#line 2360 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 4362; /* *pred_broadcastrvvm4si_imm */

    case E_RVVM2SImode:
      if (pattern602 (x2, 
E_RVVM2SImode, 
E_RVVMF16BImode) != 0)
        return -1;
      if (vector_least_significant_set_mask_operand (operands[1], E_RVVMF16BImode)
          && vector_const_0_operand (operands[3], E_RVVM2SImode)
          && 
#line 2340 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return 4241; /* *pred_broadcastrvvm2si_zero */
      if (!vector_all_trues_mask_operand (operands[1], E_RVVMF16BImode)
          || !vector_const_int_or_double_0_operand (operands[3], E_RVVM2SImode)
          || !
#line 2360 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 4363; /* *pred_broadcastrvvm2si_imm */

    case E_RVVM1SImode:
      if (pattern602 (x2, 
E_RVVM1SImode, 
E_RVVMF32BImode) != 0)
        return -1;
      if (vector_least_significant_set_mask_operand (operands[1], E_RVVMF32BImode)
          && vector_const_0_operand (operands[3], E_RVVM1SImode)
          && 
#line 2340 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return 4242; /* *pred_broadcastrvvm1si_zero */
      if (!vector_all_trues_mask_operand (operands[1], E_RVVMF32BImode)
          || !vector_const_int_or_double_0_operand (operands[3], E_RVVM1SImode)
          || !
#line 2360 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 4364; /* *pred_broadcastrvvm1si_imm */

    case E_RVVM8DImode:
      if (pattern602 (x2, 
E_RVVM8DImode, 
E_RVVMF8BImode) != 0)
        return -1;
      if (vector_least_significant_set_mask_operand (operands[1], E_RVVMF8BImode)
          && vector_const_0_operand (operands[3], E_RVVM8DImode)
          && (
#line 2340 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return 4243; /* *pred_broadcastrvvm8di_zero */
      if (!vector_all_trues_mask_operand (operands[1], E_RVVMF8BImode)
          || !vector_const_int_or_double_0_operand (operands[3], E_RVVM8DImode)
          || !(
#line 2360 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 4365; /* *pred_broadcastrvvm8di_imm */

    case E_RVVM4DImode:
      if (pattern602 (x2, 
E_RVVM4DImode, 
E_RVVMF16BImode) != 0)
        return -1;
      if (vector_least_significant_set_mask_operand (operands[1], E_RVVMF16BImode)
          && vector_const_0_operand (operands[3], E_RVVM4DImode)
          && (
#line 2340 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return 4244; /* *pred_broadcastrvvm4di_zero */
      if (!vector_all_trues_mask_operand (operands[1], E_RVVMF16BImode)
          || !vector_const_int_or_double_0_operand (operands[3], E_RVVM4DImode)
          || !(
#line 2360 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 4366; /* *pred_broadcastrvvm4di_imm */

    case E_RVVM2DImode:
      if (pattern602 (x2, 
E_RVVM2DImode, 
E_RVVMF32BImode) != 0)
        return -1;
      if (vector_least_significant_set_mask_operand (operands[1], E_RVVMF32BImode)
          && vector_const_0_operand (operands[3], E_RVVM2DImode)
          && (
#line 2340 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return 4245; /* *pred_broadcastrvvm2di_zero */
      if (!vector_all_trues_mask_operand (operands[1], E_RVVMF32BImode)
          || !vector_const_int_or_double_0_operand (operands[3], E_RVVM2DImode)
          || !(
#line 2360 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 4367; /* *pred_broadcastrvvm2di_imm */

    case E_RVVM1DImode:
      if (pattern602 (x2, 
E_RVVM1DImode, 
E_RVVMF64BImode) != 0)
        return -1;
      if (vector_least_significant_set_mask_operand (operands[1], E_RVVMF64BImode)
          && vector_const_0_operand (operands[3], E_RVVM1DImode)
          && (
#line 2340 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return 4246; /* *pred_broadcastrvvm1di_zero */
      if (!vector_all_trues_mask_operand (operands[1], E_RVVMF64BImode)
          || !vector_const_int_or_double_0_operand (operands[3], E_RVVM1DImode)
          || !(
#line 2360 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 4368; /* *pred_broadcastrvvm1di_imm */

    case E_RVVMF2QImode:
      if (pattern602 (x2, 
E_RVVMF2QImode, 
E_RVVMF16BImode) != 0)
        return -1;
      if (vector_least_significant_set_mask_operand (operands[1], E_RVVMF16BImode)
          && vector_const_0_operand (operands[3], E_RVVMF2QImode)
          && (
#line 2340 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
        return 4247; /* *pred_broadcastrvvmf2qi_zero */
      if (!vector_all_trues_mask_operand (operands[1], E_RVVMF16BImode)
          || !vector_const_int_or_double_0_operand (operands[3], E_RVVMF2QImode)
          || !(
#line 2360 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
        return -1;
      return 4369; /* *pred_broadcastrvvmf2qi_imm */

    case E_RVVMF4QImode:
      if (pattern602 (x2, 
E_RVVMF4QImode, 
E_RVVMF32BImode) != 0)
        return -1;
      if (vector_least_significant_set_mask_operand (operands[1], E_RVVMF32BImode)
          && vector_const_0_operand (operands[3], E_RVVMF4QImode)
          && (
#line 2340 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
        return 4248; /* *pred_broadcastrvvmf4qi_zero */
      if (!vector_all_trues_mask_operand (operands[1], E_RVVMF32BImode)
          || !vector_const_int_or_double_0_operand (operands[3], E_RVVMF4QImode)
          || !(
#line 2360 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
        return -1;
      return 4370; /* *pred_broadcastrvvmf4qi_imm */

    case E_RVVMF8QImode:
      if (pattern602 (x2, 
E_RVVMF8QImode, 
E_RVVMF64BImode) != 0)
        return -1;
      if (vector_least_significant_set_mask_operand (operands[1], E_RVVMF64BImode)
          && vector_const_0_operand (operands[3], E_RVVMF8QImode)
          && (
#line 2340 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 131 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
        return 4249; /* *pred_broadcastrvvmf8qi_zero */
      if (!vector_all_trues_mask_operand (operands[1], E_RVVMF64BImode)
          || !vector_const_int_or_double_0_operand (operands[3], E_RVVMF8QImode)
          || !(
#line 2360 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 131 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
        return -1;
      return 4371; /* *pred_broadcastrvvmf8qi_imm */

    case E_RVVMF2HImode:
      if (pattern602 (x2, 
E_RVVMF2HImode, 
E_RVVMF32BImode) != 0)
        return -1;
      if (vector_least_significant_set_mask_operand (operands[1], E_RVVMF32BImode)
          && vector_const_0_operand (operands[3], E_RVVMF2HImode)
          && (
#line 2340 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
        return 4250; /* *pred_broadcastrvvmf2hi_zero */
      if (!vector_all_trues_mask_operand (operands[1], E_RVVMF32BImode)
          || !vector_const_int_or_double_0_operand (operands[3], E_RVVMF2HImode)
          || !(
#line 2360 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
        return -1;
      return 4372; /* *pred_broadcastrvvmf2hi_imm */

    case E_RVVMF4HImode:
      if (pattern602 (x2, 
E_RVVMF4HImode, 
E_RVVMF64BImode) != 0)
        return -1;
      if (vector_least_significant_set_mask_operand (operands[1], E_RVVMF64BImode)
          && vector_const_0_operand (operands[3], E_RVVMF4HImode)
          && (
#line 2340 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 132 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
        return 4251; /* *pred_broadcastrvvmf4hi_zero */
      if (!vector_all_trues_mask_operand (operands[1], E_RVVMF64BImode)
          || !vector_const_int_or_double_0_operand (operands[3], E_RVVMF4HImode)
          || !(
#line 2360 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 132 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
        return -1;
      return 4373; /* *pred_broadcastrvvmf4hi_imm */

    case E_RVVMF2SImode:
      if (pattern602 (x2, 
E_RVVMF2SImode, 
E_RVVMF64BImode) != 0)
        return -1;
      if (vector_least_significant_set_mask_operand (operands[1], E_RVVMF64BImode)
          && vector_const_0_operand (operands[3], E_RVVMF2SImode)
          && (
#line 2340 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 133 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
        return 4252; /* *pred_broadcastrvvmf2si_zero */
      if (!vector_all_trues_mask_operand (operands[1], E_RVVMF64BImode)
          || !vector_const_int_or_double_0_operand (operands[3], E_RVVMF2SImode)
          || !(
#line 2360 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 133 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
        return -1;
      return 4374; /* *pred_broadcastrvvmf2si_imm */

    case E_RVVM8BFmode:
      if (pattern602 (x2, 
E_RVVM8BFmode, 
E_RVVMF2BImode) != 0)
        return -1;
      if (vector_least_significant_set_mask_operand (operands[1], E_RVVMF2BImode)
          && vector_const_0_operand (operands[3], E_RVVM8BFmode)
          && (
#line 2340 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 167 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return 4253; /* *pred_broadcastrvvm8bf_zero */
      if (!vector_all_trues_mask_operand (operands[1], E_RVVMF2BImode)
          || !vector_const_int_or_double_0_operand (operands[3], E_RVVM8BFmode)
          || !(
#line 2360 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 167 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 4375; /* *pred_broadcastrvvm8bf_imm */

    case E_RVVM4BFmode:
      if (pattern602 (x2, 
E_RVVM4BFmode, 
E_RVVMF4BImode) != 0)
        return -1;
      if (vector_least_significant_set_mask_operand (operands[1], E_RVVMF4BImode)
          && vector_const_0_operand (operands[3], E_RVVM4BFmode)
          && (
#line 2340 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 168 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return 4254; /* *pred_broadcastrvvm4bf_zero */
      if (!vector_all_trues_mask_operand (operands[1], E_RVVMF4BImode)
          || !vector_const_int_or_double_0_operand (operands[3], E_RVVM4BFmode)
          || !(
#line 2360 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 168 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 4376; /* *pred_broadcastrvvm4bf_imm */

    case E_RVVM2BFmode:
      if (pattern602 (x2, 
E_RVVM2BFmode, 
E_RVVMF8BImode) != 0)
        return -1;
      if (vector_least_significant_set_mask_operand (operands[1], E_RVVMF8BImode)
          && vector_const_0_operand (operands[3], E_RVVM2BFmode)
          && (
#line 2340 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 169 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return 4255; /* *pred_broadcastrvvm2bf_zero */
      if (!vector_all_trues_mask_operand (operands[1], E_RVVMF8BImode)
          || !vector_const_int_or_double_0_operand (operands[3], E_RVVM2BFmode)
          || !(
#line 2360 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 169 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 4377; /* *pred_broadcastrvvm2bf_imm */

    case E_RVVM1BFmode:
      if (pattern602 (x2, 
E_RVVM1BFmode, 
E_RVVMF16BImode) != 0)
        return -1;
      if (vector_least_significant_set_mask_operand (operands[1], E_RVVMF16BImode)
          && vector_const_0_operand (operands[3], E_RVVM1BFmode)
          && (
#line 2340 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return 4256; /* *pred_broadcastrvvm1bf_zero */
      if (!vector_all_trues_mask_operand (operands[1], E_RVVMF16BImode)
          || !vector_const_int_or_double_0_operand (operands[3], E_RVVM1BFmode)
          || !(
#line 2360 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 4378; /* *pred_broadcastrvvm1bf_imm */

    case E_RVVMF2BFmode:
      if (pattern602 (x2, 
E_RVVMF2BFmode, 
E_RVVMF32BImode) != 0)
        return -1;
      if (vector_least_significant_set_mask_operand (operands[1], E_RVVMF32BImode)
          && vector_const_0_operand (operands[3], E_RVVMF2BFmode)
          && (
#line 2340 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 171 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return 4257; /* *pred_broadcastrvvmf2bf_zero */
      if (!vector_all_trues_mask_operand (operands[1], E_RVVMF32BImode)
          || !vector_const_int_or_double_0_operand (operands[3], E_RVVMF2BFmode)
          || !(
#line 2360 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 171 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 4379; /* *pred_broadcastrvvmf2bf_imm */

    case E_RVVMF4BFmode:
      if (pattern602 (x2, 
E_RVVMF4BFmode, 
E_RVVMF64BImode) != 0)
        return -1;
      if (vector_least_significant_set_mask_operand (operands[1], E_RVVMF64BImode)
          && vector_const_0_operand (operands[3], E_RVVMF4BFmode)
          && (
#line 2340 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 172 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16 && TARGET_MIN_VLEN > 32)))
        return 4258; /* *pred_broadcastrvvmf4bf_zero */
      if (!vector_all_trues_mask_operand (operands[1], E_RVVMF64BImode)
          || !vector_const_int_or_double_0_operand (operands[3], E_RVVMF4BFmode)
          || !(
#line 2360 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 172 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16 && TARGET_MIN_VLEN > 32)))
        return -1;
      return 4380; /* *pred_broadcastrvvmf4bf_imm */

    case E_RVVM8HFmode:
      return recog_508 (x1, insn, pnum_clobbers);

    case E_RVVM4HFmode:
      return recog_507 (x1, insn, pnum_clobbers);

    case E_RVVM2HFmode:
      return recog_506 (x1, insn, pnum_clobbers);

    case E_RVVM1HFmode:
      return recog_505 (x1, insn, pnum_clobbers);

    case E_RVVMF2HFmode:
      return recog_504 (x1, insn, pnum_clobbers);

    case E_RVVMF4HFmode:
      return recog_503 (x1, insn, pnum_clobbers);

    case E_RVVM8SFmode:
      return recog_502 (x1, insn, pnum_clobbers);

    case E_RVVM4SFmode:
      return recog_501 (x1, insn, pnum_clobbers);

    case E_RVVM2SFmode:
      return recog_500 (x1, insn, pnum_clobbers);

    case E_RVVM1SFmode:
      return recog_499 (x1, insn, pnum_clobbers);

    case E_RVVMF2SFmode:
      return recog_498 (x1, insn, pnum_clobbers);

    case E_RVVM8DFmode:
      return recog_497 (x1, insn, pnum_clobbers);

    case E_RVVM4DFmode:
      return recog_496 (x1, insn, pnum_clobbers);

    case E_RVVM2DFmode:
      return recog_495 (x1, insn, pnum_clobbers);

    case E_RVVM1DFmode:
      return recog_494 (x1, insn, pnum_clobbers);

    case E_V1QImode:
      return recog_493 (x1, insn, pnum_clobbers);

    case E_V2QImode:
      return recog_492 (x1, insn, pnum_clobbers);

    case E_V4QImode:
      return recog_491 (x1, insn, pnum_clobbers);

    case E_V8QImode:
      return recog_490 (x1, insn, pnum_clobbers);

    case E_V16QImode:
      return recog_489 (x1, insn, pnum_clobbers);

    case E_V32QImode:
      return recog_488 (x1, insn, pnum_clobbers);

    case E_V64QImode:
      return recog_487 (x1, insn, pnum_clobbers);

    case E_V128QImode:
      return recog_486 (x1, insn, pnum_clobbers);

    case E_V256QImode:
      return recog_485 (x1, insn, pnum_clobbers);

    case E_V512QImode:
      return recog_484 (x1, insn, pnum_clobbers);

    case E_V1024QImode:
      return recog_483 (x1, insn, pnum_clobbers);

    case E_V2048QImode:
      return recog_482 (x1, insn, pnum_clobbers);

    case E_V4096QImode:
      return recog_481 (x1, insn, pnum_clobbers);

    case E_V1HImode:
      return recog_480 (x1, insn, pnum_clobbers);

    case E_V2HImode:
      return recog_479 (x1, insn, pnum_clobbers);

    case E_V4HImode:
      return recog_478 (x1, insn, pnum_clobbers);

    case E_V8HImode:
      return recog_477 (x1, insn, pnum_clobbers);

    case E_V16HImode:
      return recog_476 (x1, insn, pnum_clobbers);

    case E_V32HImode:
      return recog_475 (x1, insn, pnum_clobbers);

    case E_V64HImode:
      return recog_474 (x1, insn, pnum_clobbers);

    case E_V128HImode:
      return recog_473 (x1, insn, pnum_clobbers);

    case E_V256HImode:
      return recog_472 (x1, insn, pnum_clobbers);

    case E_V512HImode:
      return recog_471 (x1, insn, pnum_clobbers);

    case E_V1024HImode:
      return recog_470 (x1, insn, pnum_clobbers);

    case E_V2048HImode:
      return recog_469 (x1, insn, pnum_clobbers);

    case E_V1SImode:
      return recog_468 (x1, insn, pnum_clobbers);

    case E_V2SImode:
      return recog_467 (x1, insn, pnum_clobbers);

    case E_V4SImode:
      return recog_466 (x1, insn, pnum_clobbers);

    case E_V8SImode:
      return recog_465 (x1, insn, pnum_clobbers);

    case E_V16SImode:
      return recog_464 (x1, insn, pnum_clobbers);

    case E_V32SImode:
      return recog_463 (x1, insn, pnum_clobbers);

    case E_V64SImode:
      return recog_462 (x1, insn, pnum_clobbers);

    case E_V128SImode:
      return recog_461 (x1, insn, pnum_clobbers);

    case E_V256SImode:
      return recog_460 (x1, insn, pnum_clobbers);

    case E_V512SImode:
      return recog_459 (x1, insn, pnum_clobbers);

    case E_V1024SImode:
      return recog_458 (x1, insn, pnum_clobbers);

    case E_V1DImode:
      return recog_457 (x1, insn, pnum_clobbers);

    case E_V2DImode:
      return recog_456 (x1, insn, pnum_clobbers);

    case E_V4DImode:
      return recog_455 (x1, insn, pnum_clobbers);

    case E_V8DImode:
      return recog_454 (x1, insn, pnum_clobbers);

    case E_V16DImode:
      return recog_453 (x1, insn, pnum_clobbers);

    case E_V32DImode:
      return recog_452 (x1, insn, pnum_clobbers);

    case E_V64DImode:
      return recog_451 (x1, insn, pnum_clobbers);

    case E_V128DImode:
      return recog_450 (x1, insn, pnum_clobbers);

    case E_V256DImode:
      return recog_449 (x1, insn, pnum_clobbers);

    case E_V512DImode:
      return recog_448 (x1, insn, pnum_clobbers);

    case E_V1HFmode:
      return recog_447 (x1, insn, pnum_clobbers);

    case E_V2HFmode:
      return recog_446 (x1, insn, pnum_clobbers);

    case E_V4HFmode:
      return recog_445 (x1, insn, pnum_clobbers);

    case E_V8HFmode:
      return recog_444 (x1, insn, pnum_clobbers);

    case E_V16HFmode:
      return recog_443 (x1, insn, pnum_clobbers);

    case E_V32HFmode:
      return recog_442 (x1, insn, pnum_clobbers);

    case E_V64HFmode:
      return recog_441 (x1, insn, pnum_clobbers);

    case E_V128HFmode:
      return recog_440 (x1, insn, pnum_clobbers);

    case E_V256HFmode:
      return recog_439 (x1, insn, pnum_clobbers);

    case E_V512HFmode:
      return recog_438 (x1, insn, pnum_clobbers);

    case E_V1024HFmode:
      return recog_437 (x1, insn, pnum_clobbers);

    case E_V2048HFmode:
      return recog_436 (x1, insn, pnum_clobbers);

    case E_V1SFmode:
      return recog_435 (x1, insn, pnum_clobbers);

    case E_V2SFmode:
      return recog_434 (x1, insn, pnum_clobbers);

    case E_V4SFmode:
      return recog_433 (x1, insn, pnum_clobbers);

    case E_V8SFmode:
      return recog_432 (x1, insn, pnum_clobbers);

    case E_V16SFmode:
      return recog_431 (x1, insn, pnum_clobbers);

    case E_V32SFmode:
      return recog_430 (x1, insn, pnum_clobbers);

    case E_V64SFmode:
      return recog_429 (x1, insn, pnum_clobbers);

    case E_V128SFmode:
      return recog_428 (x1, insn, pnum_clobbers);

    case E_V256SFmode:
      return recog_427 (x1, insn, pnum_clobbers);

    case E_V512SFmode:
      return recog_426 (x1, insn, pnum_clobbers);

    case E_V1024SFmode:
      return recog_425 (x1, insn, pnum_clobbers);

    case E_V1DFmode:
      return recog_424 (x1, insn, pnum_clobbers);

    case E_V2DFmode:
      return recog_423 (x1, insn, pnum_clobbers);

    case E_V4DFmode:
      return recog_422 (x1, insn, pnum_clobbers);

    case E_V8DFmode:
      return recog_421 (x1, insn, pnum_clobbers);

    case E_V16DFmode:
      return recog_420 (x1, insn, pnum_clobbers);

    case E_V32DFmode:
      return recog_419 (x1, insn, pnum_clobbers);

    case E_V64DFmode:
      return recog_418 (x1, insn, pnum_clobbers);

    case E_V128DFmode:
      return recog_417 (x1, insn, pnum_clobbers);

    case E_V256DFmode:
      return recog_416 (x1, insn, pnum_clobbers);

    case E_V512DFmode:
      return recog_415 (x1, insn, pnum_clobbers);

    default:
      return -1;
    }
}

 int
recog_897 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[5] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[6] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[7] = x6;
  x7 = XVECEXP (x3, 0, 4);
  operands[8] = x7;
  x8 = XEXP (x2, 2);
  operands[2] = x8;
  x9 = XEXP (x2, 1);
  x10 = XEXP (x9, 0);
  switch (GET_CODE (x10))
    {
    case REG:
    case SUBREG:
      operands[3] = x10;
      switch (pattern498 (x2))
        {
        case 0:
          if (!
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 5509; /* pred_mulrvvm8qi */

        case 1:
          if (!
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 5526; /* pred_mulrvvm4qi */

        case 2:
          if (!
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 5543; /* pred_mulrvvm2qi */

        case 3:
          if (!
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 5560; /* pred_mulrvvm1qi */

        case 4:
          if (!
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 5577; /* pred_mulrvvm8hi */

        case 5:
          if (!
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 5594; /* pred_mulrvvm4hi */

        case 6:
          if (!
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 5611; /* pred_mulrvvm2hi */

        case 7:
          if (!
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 5628; /* pred_mulrvvm1hi */

        case 8:
          if (!
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 5645; /* pred_mulrvvm8si */

        case 9:
          if (!
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 5662; /* pred_mulrvvm4si */

        case 10:
          if (!
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 5679; /* pred_mulrvvm2si */

        case 11:
          if (!
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 5696; /* pred_mulrvvm1si */

        case 12:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 5713; /* pred_mulrvvm8di */

        case 13:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 5730; /* pred_mulrvvm4di */

        case 14:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 5747; /* pred_mulrvvm2di */

        case 15:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 5764; /* pred_mulrvvm1di */

        case 16:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
            return -1;
          return 5781; /* pred_mulrvvmf2qi */

        case 17:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
            return -1;
          return 5798; /* pred_mulrvvmf4qi */

        case 18:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 131 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 5815; /* pred_mulrvvmf8qi */

        case 19:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
            return -1;
          return 5832; /* pred_mulrvvmf2hi */

        case 20:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 132 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 5849; /* pred_mulrvvmf4hi */

        case 21:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 133 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 5866; /* pred_mulrvvmf2si */

        case 22:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 188 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1QImode))))
            return -1;
          return 5883; /* pred_mulv1qi */

        case 23:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 189 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2QImode))))
            return -1;
          return 5900; /* pred_mulv2qi */

        case 24:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 190 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4QImode))))
            return -1;
          return 5917; /* pred_mulv4qi */

        case 25:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 191 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8QImode))))
            return -1;
          return 5934; /* pred_mulv8qi */

        case 26:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16QImode))))
            return -1;
          return 5951; /* pred_mulv16qi */

        case 27:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 193 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32QImode))))
            return -1;
          return 5968; /* pred_mulv32qi */

        case 28:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 194 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64QImode) && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 5985; /* pred_mulv64qi */

        case 29:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 195 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128QImode) && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 6002; /* pred_mulv128qi */

        case 30:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 196 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256QImode) && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 6019; /* pred_mulv256qi */

        case 31:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 197 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512QImode) && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 6036; /* pred_mulv512qi */

        case 32:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 198 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024QImode) && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 6053; /* pred_mulv1024qi */

        case 33:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 199 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048QImode) && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 6070; /* pred_mulv2048qi */

        case 34:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 200 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4096QImode) && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 6087; /* pred_mulv4096qi */

        case 35:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 201 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
            return -1;
          return 6104; /* pred_mulv1hi */

        case 36:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
            return -1;
          return 6121; /* pred_mulv2hi */

        case 37:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 203 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
            return -1;
          return 6138; /* pred_mulv4hi */

        case 38:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 204 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
            return -1;
          return 6155; /* pred_mulv8hi */

        case 39:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
            return -1;
          return 6172; /* pred_mulv16hi */

        case 40:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 206 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 6189; /* pred_mulv32hi */

        case 41:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 207 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 6206; /* pred_mulv64hi */

        case 42:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 208 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 6223; /* pred_mulv128hi */

        case 43:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 209 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 6240; /* pred_mulv256hi */

        case 44:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 6257; /* pred_mulv512hi */

        case 45:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 211 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 6274; /* pred_mulv1024hi */

        case 46:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 6291; /* pred_mulv2048hi */

        case 47:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 213 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
            return -1;
          return 6308; /* pred_mulv1si */

        case 48:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
            return -1;
          return 6325; /* pred_mulv2si */

        case 49:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 215 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
            return -1;
          return 6342; /* pred_mulv4si */

        case 50:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 216 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
            return -1;
          return 6359; /* pred_mulv8si */

        case 51:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 217 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 6376; /* pred_mulv16si */

        case 52:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 218 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 6393; /* pred_mulv32si */

        case 53:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 219 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 6410; /* pred_mulv64si */

        case 54:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 220 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 6427; /* pred_mulv128si */

        case 55:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 6444; /* pred_mulv256si */

        case 56:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 222 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 6461; /* pred_mulv512si */

        case 57:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 223 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 6478; /* pred_mulv1024si */

        case 58:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 224 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
            return -1;
          return 6495; /* pred_mulv1di */

        case 59:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 225 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
            return -1;
          return 6512; /* pred_mulv2di */

        case 60:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 226 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
            return -1;
          return 6529; /* pred_mulv4di */

        case 61:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 227 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 6546; /* pred_mulv8di */

        case 62:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 228 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 6563; /* pred_mulv16di */

        case 63:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 229 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 6580; /* pred_mulv32di */

        case 64:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 230 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 6597; /* pred_mulv64di */

        case 65:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 6614; /* pred_mulv128di */

        case 66:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 232 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 6631; /* pred_mulv256di */

        case 67:
          if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 233 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 6648; /* pred_mulv512di */

        default:
          return -1;
        }

    case VEC_DUPLICATE:
      x11 = XEXP (x9, 1);
      operands[3] = x11;
      x12 = XEXP (x10, 0);
      switch (GET_CODE (x12))
        {
        case CONST_INT:
        case CONST_WIDE_INT:
        case CONST_DOUBLE:
        case CONST_VECTOR:
        case REG:
        case SUBREG:
          switch (pattern489 (x2))
            {
            case 0:
              if (!
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 6865; /* pred_mulrvvm8qi_scalar */

            case 1:
              if (!
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 6874; /* pred_mulrvvm4qi_scalar */

            case 2:
              if (!
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 6883; /* pred_mulrvvm2qi_scalar */

            case 3:
              if (!
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 6892; /* pred_mulrvvm1qi_scalar */

            case 4:
              if (!
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 6901; /* pred_mulrvvmf2qi_scalar */

            case 5:
              if (!
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 6910; /* pred_mulrvvmf4qi_scalar */

            case 6:
              if (!(
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 724 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
                return -1;
              return 6919; /* pred_mulrvvmf8qi_scalar */

            case 7:
              if (!
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 6928; /* pred_mulrvvm8hi_scalar */

            case 8:
              if (!
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 6937; /* pred_mulrvvm4hi_scalar */

            case 9:
              if (!
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 6946; /* pred_mulrvvm2hi_scalar */

            case 10:
              if (!
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 6955; /* pred_mulrvvm1hi_scalar */

            case 11:
              if (!
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 6964; /* pred_mulrvvmf2hi_scalar */

            case 12:
              if (!(
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 726 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
                return -1;
              return 6973; /* pred_mulrvvmf4hi_scalar */

            case 13:
              if (!
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 6982; /* pred_mulrvvm8si_scalar */

            case 14:
              if (!
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 6991; /* pred_mulrvvm4si_scalar */

            case 15:
              if (!
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 7000; /* pred_mulrvvm2si_scalar */

            case 16:
              if (!
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
                return -1;
              return 7009; /* pred_mulrvvm1si_scalar */

            case 17:
              if (!(
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 728 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
                return -1;
              return 7018; /* pred_mulrvvmf2si_scalar */

            case 18:
              if (!(
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 730 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1QImode))))
                return -1;
              return 7027; /* pred_mulv1qi_scalar */

            case 19:
              if (!(
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 731 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2QImode))))
                return -1;
              return 7036; /* pred_mulv2qi_scalar */

            case 20:
              if (!(
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 732 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4QImode))))
                return -1;
              return 7045; /* pred_mulv4qi_scalar */

            case 21:
              if (!(
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 733 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8QImode))))
                return -1;
              return 7054; /* pred_mulv8qi_scalar */

            case 22:
              if (!(
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 734 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16QImode))))
                return -1;
              return 7063; /* pred_mulv16qi_scalar */

            case 23:
              if (!(
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 735 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32QImode))))
                return -1;
              return 7072; /* pred_mulv32qi_scalar */

            case 24:
              if (!(
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 736 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64QImode) && TARGET_MIN_VLEN >= 64)))
                return -1;
              return 7081; /* pred_mulv64qi_scalar */

            case 25:
              if (!(
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 737 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128QImode) && TARGET_MIN_VLEN >= 128)))
                return -1;
              return 7090; /* pred_mulv128qi_scalar */

            case 26:
              if (!(
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256QImode) && TARGET_MIN_VLEN >= 256)))
                return -1;
              return 7099; /* pred_mulv256qi_scalar */

            case 27:
              if (!(
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 739 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512QImode) && TARGET_MIN_VLEN >= 512)))
                return -1;
              return 7108; /* pred_mulv512qi_scalar */

            case 28:
              if (!(
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024QImode) && TARGET_MIN_VLEN >= 1024)))
                return -1;
              return 7117; /* pred_mulv1024qi_scalar */

            case 29:
              if (!(
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 741 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048QImode) && TARGET_MIN_VLEN >= 2048)))
                return -1;
              return 7126; /* pred_mulv2048qi_scalar */

            case 30:
              if (!(
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 742 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4096QImode) && TARGET_MIN_VLEN >= 4096)))
                return -1;
              return 7135; /* pred_mulv4096qi_scalar */

            case 31:
              if (!(
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 743 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
                return -1;
              return 7144; /* pred_mulv1hi_scalar */

            case 32:
              if (!(
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 744 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
                return -1;
              return 7153; /* pred_mulv2hi_scalar */

            case 33:
              if (!(
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 745 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
                return -1;
              return 7162; /* pred_mulv4hi_scalar */

            case 34:
              if (!(
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 746 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
                return -1;
              return 7171; /* pred_mulv8hi_scalar */

            case 35:
              if (!(
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 747 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
                return -1;
              return 7180; /* pred_mulv16hi_scalar */

            case 36:
              if (!(
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 748 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
                return -1;
              return 7189; /* pred_mulv32hi_scalar */

            case 37:
              if (!(
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 749 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
                return -1;
              return 7198; /* pred_mulv64hi_scalar */

            case 38:
              if (!(
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 750 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
                return -1;
              return 7207; /* pred_mulv128hi_scalar */

            case 39:
              if (!(
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 751 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
                return -1;
              return 7216; /* pred_mulv256hi_scalar */

            case 40:
              if (!(
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 752 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
                return -1;
              return 7225; /* pred_mulv512hi_scalar */

            case 41:
              if (!(
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 753 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
                return -1;
              return 7234; /* pred_mulv1024hi_scalar */

            case 42:
              if (!(
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
                return -1;
              return 7243; /* pred_mulv2048hi_scalar */

            case 43:
              if (!(
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 755 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
                return -1;
              return 7252; /* pred_mulv1si_scalar */

            case 44:
              if (!(
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 756 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
                return -1;
              return 7261; /* pred_mulv2si_scalar */

            case 45:
              if (!(
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 757 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
                return -1;
              return 7270; /* pred_mulv4si_scalar */

            case 46:
              if (!(
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 758 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
                return -1;
              return 7279; /* pred_mulv8si_scalar */

            case 47:
              if (!(
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 759 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
                return -1;
              return 7288; /* pred_mulv16si_scalar */

            case 48:
              if (!(
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 760 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
                return -1;
              return 7297; /* pred_mulv32si_scalar */

            case 49:
              if (!(
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 761 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
                return -1;
              return 7306; /* pred_mulv64si_scalar */

            case 50:
              if (!(
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 762 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
                return -1;
              return 7315; /* pred_mulv128si_scalar */

            case 51:
              if (!(
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 763 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
                return -1;
              return 7324; /* pred_mulv256si_scalar */

            case 52:
              if (!(
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 764 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
                return -1;
              return 7333; /* pred_mulv512si_scalar */

            case 53:
              if (!(
#line 2781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 765 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
                return -1;
              return 7342; /* pred_mulv1024si_scalar */

            case 54:
              if (!(
#line 2879 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 774 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
                return -1;
              return 7675; /* *pred_mulrvvm8di_scalar */

            case 55:
              if (!(
#line 2879 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 774 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
                return -1;
              return 7684; /* *pred_mulrvvm4di_scalar */

            case 56:
              if (!(
#line 2879 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 775 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
                return -1;
              return 7693; /* *pred_mulrvvm2di_scalar */

            case 57:
              if (!(
#line 2879 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 775 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
                return -1;
              return 7702; /* *pred_mulrvvm1di_scalar */

            case 58:
              if (!(
#line 2879 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 777 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
                return -1;
              return 7711; /* *pred_mulv1di_scalar */

            case 59:
              if (!(
#line 2879 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 778 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
                return -1;
              return 7720; /* *pred_mulv2di_scalar */

            case 60:
              if (!(
#line 2879 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 779 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
                return -1;
              return 7729; /* *pred_mulv4di_scalar */

            case 61:
              if (!(
#line 2879 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 780 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
                return -1;
              return 7738; /* *pred_mulv8di_scalar */

            case 62:
              if (!(
#line 2879 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
                return -1;
              return 7747; /* *pred_mulv16di_scalar */

            case 63:
              if (!(
#line 2879 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 782 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
                return -1;
              return 7756; /* *pred_mulv32di_scalar */

            case 64:
              if (!(
#line 2879 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 783 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
                return -1;
              return 7765; /* *pred_mulv64di_scalar */

            case 65:
              if (!(
#line 2879 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 784 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
                return -1;
              return 7774; /* *pred_mulv128di_scalar */

            case 66:
              if (!(
#line 2879 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 785 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
                return -1;
              return 7783; /* *pred_mulv256di_scalar */

            case 67:
              if (!(
#line 2879 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 786 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
                return -1;
              return 7792; /* *pred_mulv512di_scalar */

            default:
              return -1;
            }

        case SIGN_EXTEND:
          switch (pattern491 (x2))
            {
            case 0:
              if (!(
#line 2901 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 774 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
                return -1;
              return 7801; /* *pred_mulrvvm8di_extended_scalar */

            case 1:
              if (!(
#line 2901 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 774 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
                return -1;
              return 7810; /* *pred_mulrvvm4di_extended_scalar */

            case 2:
              if (!(
#line 2901 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 775 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
                return -1;
              return 7819; /* *pred_mulrvvm2di_extended_scalar */

            case 3:
              if (!(
#line 2901 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 775 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
                return -1;
              return 7828; /* *pred_mulrvvm1di_extended_scalar */

            case 4:
              if (!(
#line 2901 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 777 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
                return -1;
              return 7837; /* *pred_mulv1di_extended_scalar */

            case 5:
              if (!(
#line 2901 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 778 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
                return -1;
              return 7846; /* *pred_mulv2di_extended_scalar */

            case 6:
              if (!(
#line 2901 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 779 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
                return -1;
              return 7855; /* *pred_mulv4di_extended_scalar */

            case 7:
              if (!(
#line 2901 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 780 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
                return -1;
              return 7864; /* *pred_mulv8di_extended_scalar */

            case 8:
              if (!(
#line 2901 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
                return -1;
              return 7873; /* *pred_mulv16di_extended_scalar */

            case 9:
              if (!(
#line 2901 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 782 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
                return -1;
              return 7882; /* *pred_mulv32di_extended_scalar */

            case 10:
              if (!(
#line 2901 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 783 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
                return -1;
              return 7891; /* *pred_mulv64di_extended_scalar */

            case 11:
              if (!(
#line 2901 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 784 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
                return -1;
              return 7900; /* *pred_mulv128di_extended_scalar */

            case 12:
              if (!(
#line 2901 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 785 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
                return -1;
              return 7909; /* *pred_mulv256di_extended_scalar */

            case 13:
              if (!(
#line 2901 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 786 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
                return -1;
              return 7918; /* *pred_mulv512di_extended_scalar */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case SIGN_EXTEND:
      return recog_881 (x1, insn, pnum_clobbers);

    case ZERO_EXTEND:
      return recog_882 (x1, insn, pnum_clobbers);

    default:
      return -1;
    }
}

 int
recog_907 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  if (x4 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
    return -1;
  x5 = XEXP (x3, 1);
  if (x5 != const_int_rtx[MAX_SAVED_CONST_INT + 1])
    return -1;
  x6 = XEXP (x2, 0);
  x7 = XVECEXP (x6, 0, 1);
  operands[3] = x7;
  x8 = XVECEXP (x6, 0, 2);
  operands[4] = x8;
  x9 = XVECEXP (x6, 0, 3);
  operands[5] = x9;
  x10 = XVECEXP (x6, 0, 4);
  operands[6] = x10;
  x11 = XEXP (x2, 2);
  operands[2] = x11;
  switch (GET_MODE (operands[0]))
    {
    case E_RVVM8QImode:
      if (pattern606 (x2, 
E_RVVM8QImode, 
E_RVVM1BImode) != 0
          || !
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 14430; /* pred_seriesrvvm8qi */

    case E_RVVM4QImode:
      if (pattern606 (x2, 
E_RVVM4QImode, 
E_RVVMF2BImode) != 0
          || !
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 14431; /* pred_seriesrvvm4qi */

    case E_RVVM2QImode:
      if (pattern606 (x2, 
E_RVVM2QImode, 
E_RVVMF4BImode) != 0
          || !
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 14432; /* pred_seriesrvvm2qi */

    case E_RVVM1QImode:
      if (pattern606 (x2, 
E_RVVM1QImode, 
E_RVVMF8BImode) != 0
          || !
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 14433; /* pred_seriesrvvm1qi */

    case E_RVVM8HImode:
      if (pattern606 (x2, 
E_RVVM8HImode, 
E_RVVMF2BImode) != 0
          || !
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 14434; /* pred_seriesrvvm8hi */

    case E_RVVM4HImode:
      if (pattern606 (x2, 
E_RVVM4HImode, 
E_RVVMF4BImode) != 0
          || !
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 14435; /* pred_seriesrvvm4hi */

    case E_RVVM2HImode:
      if (pattern606 (x2, 
E_RVVM2HImode, 
E_RVVMF8BImode) != 0
          || !
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 14436; /* pred_seriesrvvm2hi */

    case E_RVVM1HImode:
      if (pattern606 (x2, 
E_RVVM1HImode, 
E_RVVMF16BImode) != 0
          || !
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 14437; /* pred_seriesrvvm1hi */

    case E_RVVM8SImode:
      if (pattern606 (x2, 
E_RVVM8SImode, 
E_RVVMF4BImode) != 0
          || !
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 14438; /* pred_seriesrvvm8si */

    case E_RVVM4SImode:
      if (pattern606 (x2, 
E_RVVM4SImode, 
E_RVVMF8BImode) != 0
          || !
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 14439; /* pred_seriesrvvm4si */

    case E_RVVM2SImode:
      if (pattern606 (x2, 
E_RVVM2SImode, 
E_RVVMF16BImode) != 0
          || !
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 14440; /* pred_seriesrvvm2si */

    case E_RVVM1SImode:
      if (pattern606 (x2, 
E_RVVM1SImode, 
E_RVVMF32BImode) != 0
          || !
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 14441; /* pred_seriesrvvm1si */

    case E_RVVM8DImode:
      if (pattern606 (x2, 
E_RVVM8DImode, 
E_RVVMF8BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 14442; /* pred_seriesrvvm8di */

    case E_RVVM4DImode:
      if (pattern606 (x2, 
E_RVVM4DImode, 
E_RVVMF16BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 14443; /* pred_seriesrvvm4di */

    case E_RVVM2DImode:
      if (pattern606 (x2, 
E_RVVM2DImode, 
E_RVVMF32BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 14444; /* pred_seriesrvvm2di */

    case E_RVVM1DImode:
      if (pattern606 (x2, 
E_RVVM1DImode, 
E_RVVMF64BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 14445; /* pred_seriesrvvm1di */

    case E_RVVMF2QImode:
      if (pattern606 (x2, 
E_RVVMF2QImode, 
E_RVVMF16BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
        return -1;
      return 14446; /* pred_seriesrvvmf2qi */

    case E_RVVMF4QImode:
      if (pattern606 (x2, 
E_RVVMF4QImode, 
E_RVVMF32BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
        return -1;
      return 14447; /* pred_seriesrvvmf4qi */

    case E_RVVMF8QImode:
      if (pattern606 (x2, 
E_RVVMF8QImode, 
E_RVVMF64BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 131 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
        return -1;
      return 14448; /* pred_seriesrvvmf8qi */

    case E_RVVMF2HImode:
      if (pattern606 (x2, 
E_RVVMF2HImode, 
E_RVVMF32BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
        return -1;
      return 14449; /* pred_seriesrvvmf2hi */

    case E_RVVMF4HImode:
      if (pattern606 (x2, 
E_RVVMF4HImode, 
E_RVVMF64BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 132 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
        return -1;
      return 14450; /* pred_seriesrvvmf4hi */

    case E_RVVMF2SImode:
      if (pattern606 (x2, 
E_RVVMF2SImode, 
E_RVVMF64BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 133 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
        return -1;
      return 14451; /* pred_seriesrvvmf2si */

    case E_V1QImode:
      if (pattern606 (x2, 
E_V1QImode, 
E_V1BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 188 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1QImode))))
        return -1;
      return 14452; /* pred_seriesv1qi */

    case E_V2QImode:
      if (pattern606 (x2, 
E_V2QImode, 
E_V2BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 189 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2QImode))))
        return -1;
      return 14453; /* pred_seriesv2qi */

    case E_V4QImode:
      if (pattern606 (x2, 
E_V4QImode, 
E_V4BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 190 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4QImode))))
        return -1;
      return 14454; /* pred_seriesv4qi */

    case E_V8QImode:
      if (pattern606 (x2, 
E_V8QImode, 
E_V8BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 191 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8QImode))))
        return -1;
      return 14455; /* pred_seriesv8qi */

    case E_V16QImode:
      if (pattern606 (x2, 
E_V16QImode, 
E_V16BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16QImode))))
        return -1;
      return 14456; /* pred_seriesv16qi */

    case E_V32QImode:
      if (pattern606 (x2, 
E_V32QImode, 
E_V32BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 193 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32QImode))))
        return -1;
      return 14457; /* pred_seriesv32qi */

    case E_V64QImode:
      if (pattern606 (x2, 
E_V64QImode, 
E_V64BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 194 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64QImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 14458; /* pred_seriesv64qi */

    case E_V128QImode:
      if (pattern606 (x2, 
E_V128QImode, 
E_V128BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 195 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128QImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 14459; /* pred_seriesv128qi */

    case E_V256QImode:
      if (pattern606 (x2, 
E_V256QImode, 
E_V256BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 196 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256QImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 14460; /* pred_seriesv256qi */

    case E_V512QImode:
      if (pattern606 (x2, 
E_V512QImode, 
E_V512BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 197 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512QImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 14461; /* pred_seriesv512qi */

    case E_V1024QImode:
      if (pattern606 (x2, 
E_V1024QImode, 
E_V1024BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 198 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024QImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 14462; /* pred_seriesv1024qi */

    case E_V2048QImode:
      if (pattern606 (x2, 
E_V2048QImode, 
E_V2048BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 199 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048QImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 14463; /* pred_seriesv2048qi */

    case E_V4096QImode:
      if (pattern606 (x2, 
E_V4096QImode, 
E_V4096BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 200 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4096QImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 14464; /* pred_seriesv4096qi */

    case E_V1HImode:
      if (pattern606 (x2, 
E_V1HImode, 
E_V1BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 201 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
        return -1;
      return 14465; /* pred_seriesv1hi */

    case E_V2HImode:
      if (pattern606 (x2, 
E_V2HImode, 
E_V2BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
        return -1;
      return 14466; /* pred_seriesv2hi */

    case E_V4HImode:
      if (pattern606 (x2, 
E_V4HImode, 
E_V4BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 203 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
        return -1;
      return 14467; /* pred_seriesv4hi */

    case E_V8HImode:
      if (pattern606 (x2, 
E_V8HImode, 
E_V8BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 204 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
        return -1;
      return 14468; /* pred_seriesv8hi */

    case E_V16HImode:
      if (pattern606 (x2, 
E_V16HImode, 
E_V16BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
        return -1;
      return 14469; /* pred_seriesv16hi */

    case E_V32HImode:
      if (pattern606 (x2, 
E_V32HImode, 
E_V32BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 206 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 14470; /* pred_seriesv32hi */

    case E_V64HImode:
      if (pattern606 (x2, 
E_V64HImode, 
E_V64BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 207 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 14471; /* pred_seriesv64hi */

    case E_V128HImode:
      if (pattern606 (x2, 
E_V128HImode, 
E_V128BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 208 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 14472; /* pred_seriesv128hi */

    case E_V256HImode:
      if (pattern606 (x2, 
E_V256HImode, 
E_V256BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 209 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 14473; /* pred_seriesv256hi */

    case E_V512HImode:
      if (pattern606 (x2, 
E_V512HImode, 
E_V512BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 14474; /* pred_seriesv512hi */

    case E_V1024HImode:
      if (pattern606 (x2, 
E_V1024HImode, 
E_V1024BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 211 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 14475; /* pred_seriesv1024hi */

    case E_V2048HImode:
      if (pattern606 (x2, 
E_V2048HImode, 
E_V2048BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 14476; /* pred_seriesv2048hi */

    case E_V1SImode:
      if (pattern606 (x2, 
E_V1SImode, 
E_V1BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 213 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
        return -1;
      return 14477; /* pred_seriesv1si */

    case E_V2SImode:
      if (pattern606 (x2, 
E_V2SImode, 
E_V2BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
        return -1;
      return 14478; /* pred_seriesv2si */

    case E_V4SImode:
      if (pattern606 (x2, 
E_V4SImode, 
E_V4BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 215 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
        return -1;
      return 14479; /* pred_seriesv4si */

    case E_V8SImode:
      if (pattern606 (x2, 
E_V8SImode, 
E_V8BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 216 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
        return -1;
      return 14480; /* pred_seriesv8si */

    case E_V16SImode:
      if (pattern606 (x2, 
E_V16SImode, 
E_V16BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 217 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 14481; /* pred_seriesv16si */

    case E_V32SImode:
      if (pattern606 (x2, 
E_V32SImode, 
E_V32BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 218 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 14482; /* pred_seriesv32si */

    case E_V64SImode:
      if (pattern606 (x2, 
E_V64SImode, 
E_V64BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 219 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 14483; /* pred_seriesv64si */

    case E_V128SImode:
      if (pattern606 (x2, 
E_V128SImode, 
E_V128BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 220 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 14484; /* pred_seriesv128si */

    case E_V256SImode:
      if (pattern606 (x2, 
E_V256SImode, 
E_V256BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 14485; /* pred_seriesv256si */

    case E_V512SImode:
      if (pattern606 (x2, 
E_V512SImode, 
E_V512BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 222 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 14486; /* pred_seriesv512si */

    case E_V1024SImode:
      if (pattern606 (x2, 
E_V1024SImode, 
E_V1024BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 223 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 14487; /* pred_seriesv1024si */

    case E_V1DImode:
      if (pattern606 (x2, 
E_V1DImode, 
E_V1BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 224 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 14488; /* pred_seriesv1di */

    case E_V2DImode:
      if (pattern606 (x2, 
E_V2DImode, 
E_V2BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 225 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 14489; /* pred_seriesv2di */

    case E_V4DImode:
      if (pattern606 (x2, 
E_V4DImode, 
E_V4BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 226 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 14490; /* pred_seriesv4di */

    case E_V8DImode:
      if (pattern606 (x2, 
E_V8DImode, 
E_V8BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 227 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 14491; /* pred_seriesv8di */

    case E_V16DImode:
      if (pattern606 (x2, 
E_V16DImode, 
E_V16BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 228 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 14492; /* pred_seriesv16di */

    case E_V32DImode:
      if (pattern606 (x2, 
E_V32DImode, 
E_V32BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 229 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 14493; /* pred_seriesv32di */

    case E_V64DImode:
      if (pattern606 (x2, 
E_V64DImode, 
E_V64BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 230 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 14494; /* pred_seriesv64di */

    case E_V128DImode:
      if (pattern606 (x2, 
E_V128DImode, 
E_V128BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 14495; /* pred_seriesv128di */

    case E_V256DImode:
      if (pattern606 (x2, 
E_V256DImode, 
E_V256BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 232 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 14496; /* pred_seriesv256di */

    case E_V512DImode:
      if (pattern606 (x2, 
E_V512DImode, 
E_V512BImode) != 0
          || !(
#line 6170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 233 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 14497; /* pred_seriesv512di */

    default:
      return -1;
    }
}

 int
recog_914 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[5] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[6] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[7] = x6;
  x7 = XVECEXP (x3, 0, 4);
  operands[8] = x7;
  x8 = XEXP (x2, 1);
  x9 = XEXP (x8, 0);
  operands[3] = x9;
  x10 = XEXP (x8, 1);
  operands[4] = x10;
  x11 = XEXP (x2, 2);
  operands[2] = x11;
  switch (GET_MODE (operands[0]))
    {
    case E_RVVM8QImode:
      if (pattern493 (x2, 
E_RVVM8QImode, 
E_RVVM1BImode) != 0)
        return -1;
      if (register_operand (operands[4], E_RVVM8QImode)
          && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-crypto.md"
(TARGET_ZVBB || TARGET_ZVKB))
        return 32739; /* pred_vrotlrvvm8qi */
      if (!pmode_register_operand (operands[4], E_VOIDmode)
          || !
#line 260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-crypto.md"
(TARGET_ZVBB || TARGET_ZVKB))
        return -1;
      return 32783; /* pred_vrotlrvvm8qi_scalar */

    case E_RVVM4QImode:
      if (pattern493 (x2, 
E_RVVM4QImode, 
E_RVVMF2BImode) != 0)
        return -1;
      if (register_operand (operands[4], E_RVVM4QImode)
          && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-crypto.md"
(TARGET_ZVBB || TARGET_ZVKB))
        return 32741; /* pred_vrotlrvvm4qi */
      if (!pmode_register_operand (operands[4], E_VOIDmode)
          || !
#line 260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-crypto.md"
(TARGET_ZVBB || TARGET_ZVKB))
        return -1;
      return 32785; /* pred_vrotlrvvm4qi_scalar */

    case E_RVVM2QImode:
      if (pattern493 (x2, 
E_RVVM2QImode, 
E_RVVMF4BImode) != 0)
        return -1;
      if (register_operand (operands[4], E_RVVM2QImode)
          && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-crypto.md"
(TARGET_ZVBB || TARGET_ZVKB))
        return 32743; /* pred_vrotlrvvm2qi */
      if (!pmode_register_operand (operands[4], E_VOIDmode)
          || !
#line 260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-crypto.md"
(TARGET_ZVBB || TARGET_ZVKB))
        return -1;
      return 32787; /* pred_vrotlrvvm2qi_scalar */

    case E_RVVM1QImode:
      if (pattern493 (x2, 
E_RVVM1QImode, 
E_RVVMF8BImode) != 0)
        return -1;
      if (register_operand (operands[4], E_RVVM1QImode)
          && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-crypto.md"
(TARGET_ZVBB || TARGET_ZVKB))
        return 32745; /* pred_vrotlrvvm1qi */
      if (!pmode_register_operand (operands[4], E_VOIDmode)
          || !
#line 260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-crypto.md"
(TARGET_ZVBB || TARGET_ZVKB))
        return -1;
      return 32789; /* pred_vrotlrvvm1qi_scalar */

    case E_RVVM8HImode:
      if (pattern493 (x2, 
E_RVVM8HImode, 
E_RVVMF2BImode) != 0)
        return -1;
      if (register_operand (operands[4], E_RVVM8HImode)
          && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-crypto.md"
(TARGET_ZVBB || TARGET_ZVKB))
        return 32747; /* pred_vrotlrvvm8hi */
      if (!pmode_register_operand (operands[4], E_VOIDmode)
          || !
#line 260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-crypto.md"
(TARGET_ZVBB || TARGET_ZVKB))
        return -1;
      return 32791; /* pred_vrotlrvvm8hi_scalar */

    case E_RVVM4HImode:
      if (pattern493 (x2, 
E_RVVM4HImode, 
E_RVVMF4BImode) != 0)
        return -1;
      if (register_operand (operands[4], E_RVVM4HImode)
          && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-crypto.md"
(TARGET_ZVBB || TARGET_ZVKB))
        return 32749; /* pred_vrotlrvvm4hi */
      if (!pmode_register_operand (operands[4], E_VOIDmode)
          || !
#line 260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-crypto.md"
(TARGET_ZVBB || TARGET_ZVKB))
        return -1;
      return 32793; /* pred_vrotlrvvm4hi_scalar */

    case E_RVVM2HImode:
      if (pattern493 (x2, 
E_RVVM2HImode, 
E_RVVMF8BImode) != 0)
        return -1;
      if (register_operand (operands[4], E_RVVM2HImode)
          && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-crypto.md"
(TARGET_ZVBB || TARGET_ZVKB))
        return 32751; /* pred_vrotlrvvm2hi */
      if (!pmode_register_operand (operands[4], E_VOIDmode)
          || !
#line 260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-crypto.md"
(TARGET_ZVBB || TARGET_ZVKB))
        return -1;
      return 32795; /* pred_vrotlrvvm2hi_scalar */

    case E_RVVM1HImode:
      if (pattern493 (x2, 
E_RVVM1HImode, 
E_RVVMF16BImode) != 0)
        return -1;
      if (register_operand (operands[4], E_RVVM1HImode)
          && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-crypto.md"
(TARGET_ZVBB || TARGET_ZVKB))
        return 32753; /* pred_vrotlrvvm1hi */
      if (!pmode_register_operand (operands[4], E_VOIDmode)
          || !
#line 260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-crypto.md"
(TARGET_ZVBB || TARGET_ZVKB))
        return -1;
      return 32797; /* pred_vrotlrvvm1hi_scalar */

    case E_RVVM8SImode:
      if (pattern493 (x2, 
E_RVVM8SImode, 
E_RVVMF4BImode) != 0)
        return -1;
      if (register_operand (operands[4], E_RVVM8SImode)
          && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-crypto.md"
(TARGET_ZVBB || TARGET_ZVKB))
        return 32755; /* pred_vrotlrvvm8si */
      if (!pmode_register_operand (operands[4], E_VOIDmode)
          || !
#line 260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-crypto.md"
(TARGET_ZVBB || TARGET_ZVKB))
        return -1;
      return 32799; /* pred_vrotlrvvm8si_scalar */

    case E_RVVM4SImode:
      if (pattern493 (x2, 
E_RVVM4SImode, 
E_RVVMF8BImode) != 0)
        return -1;
      if (register_operand (operands[4], E_RVVM4SImode)
          && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-crypto.md"
(TARGET_ZVBB || TARGET_ZVKB))
        return 32757; /* pred_vrotlrvvm4si */
      if (!pmode_register_operand (operands[4], E_VOIDmode)
          || !
#line 260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-crypto.md"
(TARGET_ZVBB || TARGET_ZVKB))
        return -1;
      return 32801; /* pred_vrotlrvvm4si_scalar */

    case E_RVVM2SImode:
      if (pattern493 (x2, 
E_RVVM2SImode, 
E_RVVMF16BImode) != 0)
        return -1;
      if (register_operand (operands[4], E_RVVM2SImode)
          && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-crypto.md"
(TARGET_ZVBB || TARGET_ZVKB))
        return 32759; /* pred_vrotlrvvm2si */
      if (!pmode_register_operand (operands[4], E_VOIDmode)
          || !
#line 260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-crypto.md"
(TARGET_ZVBB || TARGET_ZVKB))
        return -1;
      return 32803; /* pred_vrotlrvvm2si_scalar */

    case E_RVVM1SImode:
      if (pattern493 (x2, 
E_RVVM1SImode, 
E_RVVMF32BImode) != 0)
        return -1;
      if (register_operand (operands[4], E_RVVM1SImode)
          && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-crypto.md"
(TARGET_ZVBB || TARGET_ZVKB))
        return 32761; /* pred_vrotlrvvm1si */
      if (!pmode_register_operand (operands[4], E_VOIDmode)
          || !
#line 260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-crypto.md"
(TARGET_ZVBB || TARGET_ZVKB))
        return -1;
      return 32805; /* pred_vrotlrvvm1si_scalar */

    case E_RVVM8DImode:
      if (pattern493 (x2, 
E_RVVM8DImode, 
E_RVVMF8BImode) != 0)
        return -1;
      if (register_operand (operands[4], E_RVVM8DImode)
          && (
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-crypto.md"
(TARGET_ZVBB || TARGET_ZVKB) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return 32763; /* pred_vrotlrvvm8di */
      if (!pmode_register_operand (operands[4], E_VOIDmode)
          || !(
#line 260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-crypto.md"
(TARGET_ZVBB || TARGET_ZVKB) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 32807; /* pred_vrotlrvvm8di_scalar */

    case E_RVVM4DImode:
      if (pattern493 (x2, 
E_RVVM4DImode, 
E_RVVMF16BImode) != 0)
        return -1;
      if (register_operand (operands[4], E_RVVM4DImode)
          && (
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-crypto.md"
(TARGET_ZVBB || TARGET_ZVKB) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return 32765; /* pred_vrotlrvvm4di */
      if (!pmode_register_operand (operands[4], E_VOIDmode)
          || !(
#line 260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-crypto.md"
(TARGET_ZVBB || TARGET_ZVKB) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 32809; /* pred_vrotlrvvm4di_scalar */

    case E_RVVM2DImode:
      if (pattern493 (x2, 
E_RVVM2DImode, 
E_RVVMF32BImode) != 0)
        return -1;
      if (register_operand (operands[4], E_RVVM2DImode)
          && (
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-crypto.md"
(TARGET_ZVBB || TARGET_ZVKB) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return 32767; /* pred_vrotlrvvm2di */
      if (!pmode_register_operand (operands[4], E_VOIDmode)
          || !(
#line 260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-crypto.md"
(TARGET_ZVBB || TARGET_ZVKB) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 32811; /* pred_vrotlrvvm2di_scalar */

    case E_RVVM1DImode:
      if (pattern493 (x2, 
E_RVVM1DImode, 
E_RVVMF64BImode) != 0)
        return -1;
      if (register_operand (operands[4], E_RVVM1DImode)
          && (
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-crypto.md"
(TARGET_ZVBB || TARGET_ZVKB) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return 32769; /* pred_vrotlrvvm1di */
      if (!pmode_register_operand (operands[4], E_VOIDmode)
          || !(
#line 260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-crypto.md"
(TARGET_ZVBB || TARGET_ZVKB) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 32813; /* pred_vrotlrvvm1di_scalar */

    case E_RVVMF2QImode:
      if (pattern493 (x2, 
E_RVVMF2QImode, 
E_RVVMF16BImode) != 0)
        return -1;
      if (register_operand (operands[4], E_RVVMF2QImode)
          && (
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-crypto.md"
(TARGET_ZVBB || TARGET_ZVKB) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
        return 32771; /* pred_vrotlrvvmf2qi */
      if (!pmode_register_operand (operands[4], E_VOIDmode)
          || !(
#line 260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-crypto.md"
(TARGET_ZVBB || TARGET_ZVKB) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
        return -1;
      return 32815; /* pred_vrotlrvvmf2qi_scalar */

    case E_RVVMF4QImode:
      if (pattern493 (x2, 
E_RVVMF4QImode, 
E_RVVMF32BImode) != 0)
        return -1;
      if (register_operand (operands[4], E_RVVMF4QImode)
          && (
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-crypto.md"
(TARGET_ZVBB || TARGET_ZVKB) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
        return 32773; /* pred_vrotlrvvmf4qi */
      if (!pmode_register_operand (operands[4], E_VOIDmode)
          || !(
#line 260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-crypto.md"
(TARGET_ZVBB || TARGET_ZVKB) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
        return -1;
      return 32817; /* pred_vrotlrvvmf4qi_scalar */

    case E_RVVMF8QImode:
      if (pattern493 (x2, 
E_RVVMF8QImode, 
E_RVVMF64BImode) != 0)
        return -1;
      if (register_operand (operands[4], E_RVVMF8QImode)
          && (
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-crypto.md"
(TARGET_ZVBB || TARGET_ZVKB) && (
#line 131 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
        return 32775; /* pred_vrotlrvvmf8qi */
      if (!pmode_register_operand (operands[4], E_VOIDmode)
          || !(
#line 260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-crypto.md"
(TARGET_ZVBB || TARGET_ZVKB) && (
#line 131 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
        return -1;
      return 32819; /* pred_vrotlrvvmf8qi_scalar */

    case E_RVVMF2HImode:
      if (pattern493 (x2, 
E_RVVMF2HImode, 
E_RVVMF32BImode) != 0)
        return -1;
      if (register_operand (operands[4], E_RVVMF2HImode)
          && (
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-crypto.md"
(TARGET_ZVBB || TARGET_ZVKB) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
        return 32777; /* pred_vrotlrvvmf2hi */
      if (!pmode_register_operand (operands[4], E_VOIDmode)
          || !(
#line 260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-crypto.md"
(TARGET_ZVBB || TARGET_ZVKB) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
        return -1;
      return 32821; /* pred_vrotlrvvmf2hi_scalar */

    case E_RVVMF4HImode:
      if (pattern493 (x2, 
E_RVVMF4HImode, 
E_RVVMF64BImode) != 0)
        return -1;
      if (register_operand (operands[4], E_RVVMF4HImode)
          && (
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-crypto.md"
(TARGET_ZVBB || TARGET_ZVKB) && (
#line 132 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
        return 32779; /* pred_vrotlrvvmf4hi */
      if (!pmode_register_operand (operands[4], E_VOIDmode)
          || !(
#line 260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-crypto.md"
(TARGET_ZVBB || TARGET_ZVKB) && (
#line 132 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
        return -1;
      return 32823; /* pred_vrotlrvvmf4hi_scalar */

    case E_RVVMF2SImode:
      if (pattern493 (x2, 
E_RVVMF2SImode, 
E_RVVMF64BImode) != 0)
        return -1;
      if (register_operand (operands[4], E_RVVMF2SImode)
          && (
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-crypto.md"
(TARGET_ZVBB || TARGET_ZVKB) && (
#line 133 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
        return 32781; /* pred_vrotlrvvmf2si */
      if (!pmode_register_operand (operands[4], E_VOIDmode)
          || !(
#line 260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-crypto.md"
(TARGET_ZVBB || TARGET_ZVKB) && (
#line 133 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
        return -1;
      return 32825; /* pred_vrotlrvvmf2si_scalar */

    default:
      return -1;
    }
}

 int
recog_918 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[4] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[5] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[6] = x6;
  x7 = XVECEXP (x3, 0, 4);
  operands[7] = x7;
  x8 = XEXP (x2, 1);
  x9 = XEXP (x8, 0);
  operands[3] = x9;
  x10 = XEXP (x2, 2);
  operands[2] = x10;
  switch (GET_MODE (operands[0]))
    {
    case E_RVVM8SFmode:
      if (pattern606 (x2, 
E_RVVM8SFmode, 
E_RVVMF4BImode) != 0)
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_RVVM4HFmode:
          if (!register_operand (operands[3], E_RVVM4HFmode)
              || !(
#line 7627 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 990 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 17783; /* pred_extendrvvm8sf */

        case E_RVVM4BFmode:
          if (!register_operand (operands[3], E_RVVM4BFmode)
              || !(
#line 74 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-bfloat16.md"
(TARGET_ZVFBFMIN) && 
#line 21 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-bfloat16.md"
(TARGET_VECTOR_ELEN_BF_16 && TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 33767; /* pred_extend_bf16_to_rvvm8sf */

        default:
          return -1;
        }

    case E_RVVM4SFmode:
      if (pattern606 (x2, 
E_RVVM4SFmode, 
E_RVVMF8BImode) != 0)
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_RVVM2HFmode:
          if (!register_operand (operands[3], E_RVVM2HFmode)
              || !(
#line 7627 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 991 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 17784; /* pred_extendrvvm4sf */

        case E_RVVM2BFmode:
          if (!register_operand (operands[3], E_RVVM2BFmode)
              || !(
#line 74 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-bfloat16.md"
(TARGET_ZVFBFMIN) && 
#line 22 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-bfloat16.md"
(TARGET_VECTOR_ELEN_BF_16 && TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 33768; /* pred_extend_bf16_to_rvvm4sf */

        default:
          return -1;
        }

    case E_RVVM2SFmode:
      if (pattern606 (x2, 
E_RVVM2SFmode, 
E_RVVMF16BImode) != 0)
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_RVVM1HFmode:
          if (!register_operand (operands[3], E_RVVM1HFmode)
              || !(
#line 7627 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 992 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 17785; /* pred_extendrvvm2sf */

        case E_RVVM1BFmode:
          if (!register_operand (operands[3], E_RVVM1BFmode)
              || !(
#line 74 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-bfloat16.md"
(TARGET_ZVFBFMIN) && 
#line 23 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-bfloat16.md"
(TARGET_VECTOR_ELEN_BF_16 && TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 33769; /* pred_extend_bf16_to_rvvm2sf */

        default:
          return -1;
        }

    case E_RVVM1SFmode:
      if (pattern606 (x2, 
E_RVVM1SFmode, 
E_RVVMF32BImode) != 0)
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_RVVMF2HFmode:
          if (!register_operand (operands[3], E_RVVMF2HFmode)
              || !(
#line 7627 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 993 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 17786; /* pred_extendrvvm1sf */

        case E_RVVMF2BFmode:
          if (!register_operand (operands[3], E_RVVMF2BFmode)
              || !(
#line 74 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-bfloat16.md"
(TARGET_ZVFBFMIN) && 
#line 24 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-bfloat16.md"
(TARGET_VECTOR_ELEN_BF_16 && TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 33770; /* pred_extend_bf16_to_rvvm1sf */

        default:
          return -1;
        }

    case E_RVVMF2SFmode:
      if (pattern606 (x2, 
E_RVVMF2SFmode, 
E_RVVMF64BImode) != 0)
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_RVVMF4HFmode:
          if (!register_operand (operands[3], E_RVVMF4HFmode)
              || !(
#line 7627 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 994 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32)))
            return -1;
          return 17787; /* pred_extendrvvmf2sf */

        case E_RVVMF4BFmode:
          if (!register_operand (operands[3], E_RVVMF4BFmode)
              || !(
#line 74 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-bfloat16.md"
(TARGET_ZVFBFMIN) && 
#line 25 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-bfloat16.md"
(TARGET_VECTOR_ELEN_BF_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32)))
            return -1;
          return 33771; /* pred_extend_bf16_to_rvvmf2sf */

        default:
          return -1;
        }

    case E_RVVM8DFmode:
      if (pattern504 (x2, 
E_RVVM8DFmode, 
E_RVVM4SFmode, 
E_RVVMF8BImode) != 0
          || !(
#line 7627 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 996 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 17788; /* pred_extendrvvm8df */

    case E_RVVM4DFmode:
      if (pattern504 (x2, 
E_RVVM4DFmode, 
E_RVVM2SFmode, 
E_RVVMF16BImode) != 0
          || !(
#line 7627 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 996 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 17789; /* pred_extendrvvm4df */

    case E_RVVM2DFmode:
      if (pattern504 (x2, 
E_RVVM2DFmode, 
E_RVVM1SFmode, 
E_RVVMF32BImode) != 0
          || !(
#line 7627 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 997 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 17790; /* pred_extendrvvm2df */

    case E_RVVM1DFmode:
      if (pattern504 (x2, 
E_RVVM1DFmode, 
E_RVVMF2SFmode, 
E_RVVMF64BImode) != 0
          || !(
#line 7627 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 997 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 17791; /* pred_extendrvvm1df */

    case E_V1SFmode:
      if (pattern504 (x2, 
E_V1SFmode, 
E_V1HFmode, 
E_V1BImode) != 0
          || !(
#line 7627 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 999 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 17792; /* pred_extendv1sf */

    case E_V2SFmode:
      if (pattern504 (x2, 
E_V2SFmode, 
E_V2HFmode, 
E_V2BImode) != 0
          || !(
#line 7627 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1000 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 17793; /* pred_extendv2sf */

    case E_V4SFmode:
      if (pattern504 (x2, 
E_V4SFmode, 
E_V4HFmode, 
E_V4BImode) != 0
          || !(
#line 7627 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1001 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 17794; /* pred_extendv4sf */

    case E_V8SFmode:
      if (pattern504 (x2, 
E_V8SFmode, 
E_V8HFmode, 
E_V8BImode) != 0
          || !(
#line 7627 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1002 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 17795; /* pred_extendv8sf */

    case E_V16SFmode:
      if (pattern504 (x2, 
E_V16SFmode, 
E_V16HFmode, 
E_V16BImode) != 0
          || !(
#line 7627 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1003 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 17796; /* pred_extendv16sf */

    case E_V32SFmode:
      if (pattern504 (x2, 
E_V32SFmode, 
E_V32HFmode, 
E_V32BImode) != 0
          || !(
#line 7627 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1004 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 17797; /* pred_extendv32sf */

    case E_V64SFmode:
      if (pattern504 (x2, 
E_V64SFmode, 
E_V64HFmode, 
E_V64BImode) != 0
          || !(
#line 7627 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1005 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 17798; /* pred_extendv64sf */

    case E_V128SFmode:
      if (pattern504 (x2, 
E_V128SFmode, 
E_V128HFmode, 
E_V128BImode) != 0
          || !(
#line 7627 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1006 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 17799; /* pred_extendv128sf */

    case E_V256SFmode:
      if (pattern504 (x2, 
E_V256SFmode, 
E_V256HFmode, 
E_V256BImode) != 0
          || !(
#line 7627 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1007 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 17800; /* pred_extendv256sf */

    case E_V512SFmode:
      if (pattern504 (x2, 
E_V512SFmode, 
E_V512HFmode, 
E_V512BImode) != 0
          || !(
#line 7627 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1008 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 17801; /* pred_extendv512sf */

    case E_V1024SFmode:
      if (pattern504 (x2, 
E_V1024SFmode, 
E_V1024HFmode, 
E_V1024BImode) != 0
          || !(
#line 7627 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1009 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 17802; /* pred_extendv1024sf */

    case E_V1DFmode:
      if (pattern504 (x2, 
E_V1DFmode, 
E_V1SFmode, 
E_V1BImode) != 0
          || !(
#line 7627 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1010 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 17803; /* pred_extendv1df */

    case E_V2DFmode:
      if (pattern504 (x2, 
E_V2DFmode, 
E_V2SFmode, 
E_V2BImode) != 0
          || !(
#line 7627 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1011 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 17804; /* pred_extendv2df */

    case E_V4DFmode:
      if (pattern504 (x2, 
E_V4DFmode, 
E_V4SFmode, 
E_V4BImode) != 0
          || !(
#line 7627 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1012 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 17805; /* pred_extendv4df */

    case E_V8DFmode:
      if (pattern504 (x2, 
E_V8DFmode, 
E_V8SFmode, 
E_V8BImode) != 0
          || !(
#line 7627 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1013 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 17806; /* pred_extendv8df */

    case E_V16DFmode:
      if (pattern504 (x2, 
E_V16DFmode, 
E_V16SFmode, 
E_V16BImode) != 0
          || !(
#line 7627 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1014 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 17807; /* pred_extendv16df */

    case E_V32DFmode:
      if (pattern504 (x2, 
E_V32DFmode, 
E_V32SFmode, 
E_V32BImode) != 0
          || !(
#line 7627 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1015 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 17808; /* pred_extendv32df */

    case E_V64DFmode:
      if (pattern504 (x2, 
E_V64DFmode, 
E_V64SFmode, 
E_V64BImode) != 0
          || !(
#line 7627 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1016 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 17809; /* pred_extendv64df */

    case E_V128DFmode:
      if (pattern504 (x2, 
E_V128DFmode, 
E_V128SFmode, 
E_V128BImode) != 0
          || !(
#line 7627 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1017 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 17810; /* pred_extendv128df */

    case E_V256DFmode:
      if (pattern504 (x2, 
E_V256DFmode, 
E_V256SFmode, 
E_V256BImode) != 0
          || !(
#line 7627 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1018 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 17811; /* pred_extendv256df */

    case E_V512DFmode:
      if (pattern504 (x2, 
E_V512DFmode, 
E_V512SFmode, 
E_V512BImode) != 0
          || !(
#line 7627 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 17812; /* pred_extendv512df */

    default:
      return -1;
    }
}

 int
recog_925 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern474 (x2))
    {
    case 0:
      if (!
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM8QImode)
	|| register_operand (operands[3], RVVM8QImode)))))
        return -1;
      return 1253; /* *pred_mov_widthhrvvm8qi */

    case 1:
      if (!
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM4QImode)
	|| register_operand (operands[3], RVVM4QImode)))))
        return -1;
      return 1259; /* *pred_mov_widthhrvvm4qi */

    case 2:
      if (!
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM2QImode)
	|| register_operand (operands[3], RVVM2QImode)))))
        return -1;
      return 1265; /* *pred_mov_widthhrvvm2qi */

    case 3:
      if (!
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM1QImode)
	|| register_operand (operands[3], RVVM1QImode)))))
        return -1;
      return 1271; /* *pred_mov_widthhrvvm1qi */

    case 4:
      if (!
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM8HImode)
	|| register_operand (operands[3], RVVM8HImode)))))
        return -1;
      return 1277; /* *pred_mov_widthhrvvm8hi */

    case 5:
      if (!
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM4HImode)
	|| register_operand (operands[3], RVVM4HImode)))))
        return -1;
      return 1283; /* *pred_mov_widthhrvvm4hi */

    case 6:
      if (!
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM2HImode)
	|| register_operand (operands[3], RVVM2HImode)))))
        return -1;
      return 1289; /* *pred_mov_widthhrvvm2hi */

    case 7:
      if (!
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM1HImode)
	|| register_operand (operands[3], RVVM1HImode)))))
        return -1;
      return 1295; /* *pred_mov_widthhrvvm1hi */

    case 8:
      if (!
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM8SImode)
	|| register_operand (operands[3], RVVM8SImode)))))
        return -1;
      return 1301; /* *pred_mov_widthhrvvm8si */

    case 9:
      if (!
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM4SImode)
	|| register_operand (operands[3], RVVM4SImode)))))
        return -1;
      return 1307; /* *pred_mov_widthhrvvm4si */

    case 10:
      if (!
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM2SImode)
	|| register_operand (operands[3], RVVM2SImode)))))
        return -1;
      return 1313; /* *pred_mov_widthhrvvm2si */

    case 11:
      if (!
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM1SImode)
	|| register_operand (operands[3], RVVM1SImode)))))
        return -1;
      return 1319; /* *pred_mov_widthhrvvm1si */

    case 12:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM8DImode)
	|| register_operand (operands[3], RVVM8DImode)))) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 1325; /* *pred_mov_widthhrvvm8di */

    case 13:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM4DImode)
	|| register_operand (operands[3], RVVM4DImode)))) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 1331; /* *pred_mov_widthhrvvm4di */

    case 14:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM2DImode)
	|| register_operand (operands[3], RVVM2DImode)))) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 1337; /* *pred_mov_widthhrvvm2di */

    case 15:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM1DImode)
	|| register_operand (operands[3], RVVM1DImode)))) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 1343; /* *pred_mov_widthhrvvm1di */

    case 16:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVMF2QImode)
	|| register_operand (operands[3], RVVMF2QImode)))) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
        return -1;
      return 1349; /* *pred_mov_widthhrvvmf2qi */

    case 17:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVMF4QImode)
	|| register_operand (operands[3], RVVMF4QImode)))) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
        return -1;
      return 1355; /* *pred_mov_widthhrvvmf4qi */

    case 18:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVMF8QImode)
	|| register_operand (operands[3], RVVMF8QImode)))) && (
#line 131 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
        return -1;
      return 1361; /* *pred_mov_widthhrvvmf8qi */

    case 19:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVMF2HImode)
	|| register_operand (operands[3], RVVMF2HImode)))) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
        return -1;
      return 1367; /* *pred_mov_widthhrvvmf2hi */

    case 20:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVMF4HImode)
	|| register_operand (operands[3], RVVMF4HImode)))) && (
#line 132 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
        return -1;
      return 1373; /* *pred_mov_widthhrvvmf4hi */

    case 21:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVMF2SImode)
	|| register_operand (operands[3], RVVMF2SImode)))) && (
#line 133 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
        return -1;
      return 1379; /* *pred_mov_widthhrvvmf2si */

    case 22:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM8BFmode)
	|| register_operand (operands[3], RVVM8BFmode)))) && 
#line 167 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 1385; /* *pred_mov_widthhrvvm8bf */

    case 23:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM4BFmode)
	|| register_operand (operands[3], RVVM4BFmode)))) && 
#line 168 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 1391; /* *pred_mov_widthhrvvm4bf */

    case 24:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM2BFmode)
	|| register_operand (operands[3], RVVM2BFmode)))) && 
#line 169 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 1397; /* *pred_mov_widthhrvvm2bf */

    case 25:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM1BFmode)
	|| register_operand (operands[3], RVVM1BFmode)))) && 
#line 170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 1403; /* *pred_mov_widthhrvvm1bf */

    case 26:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVMF2BFmode)
	|| register_operand (operands[3], RVVMF2BFmode)))) && 
#line 171 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 1409; /* *pred_mov_widthhrvvmf2bf */

    case 27:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVMF4BFmode)
	|| register_operand (operands[3], RVVMF4BFmode)))) && 
#line 172 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16 && TARGET_MIN_VLEN > 32)))
        return -1;
      return 1415; /* *pred_mov_widthhrvvmf4bf */

    case 28:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM8HFmode)
	|| register_operand (operands[3], RVVM8HFmode)))) && 
#line 176 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 1421; /* *pred_mov_widthhrvvm8hf */

    case 29:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM4HFmode)
	|| register_operand (operands[3], RVVM4HFmode)))) && 
#line 176 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 1427; /* *pred_mov_widthhrvvm4hf */

    case 30:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM2HFmode)
	|| register_operand (operands[3], RVVM2HFmode)))) && 
#line 176 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 1433; /* *pred_mov_widthhrvvm2hf */

    case 31:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM1HFmode)
	|| register_operand (operands[3], RVVM1HFmode)))) && 
#line 177 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 1439; /* *pred_mov_widthhrvvm1hf */

    case 32:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVMF2HFmode)
	|| register_operand (operands[3], RVVMF2HFmode)))) && 
#line 177 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 1445; /* *pred_mov_widthhrvvmf2hf */

    case 33:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVMF4HFmode)
	|| register_operand (operands[3], RVVMF4HFmode)))) && 
#line 178 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN > 32)))
        return -1;
      return 1451; /* *pred_mov_widthhrvvmf4hf */

    case 34:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM8SFmode)
	|| register_operand (operands[3], RVVM8SFmode)))) && 
#line 180 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 1457; /* *pred_mov_widthhrvvm8sf */

    case 35:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM4SFmode)
	|| register_operand (operands[3], RVVM4SFmode)))) && 
#line 180 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 1463; /* *pred_mov_widthhrvvm4sf */

    case 36:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM2SFmode)
	|| register_operand (operands[3], RVVM2SFmode)))) && 
#line 180 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 1469; /* *pred_mov_widthhrvvm2sf */

    case 37:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM1SFmode)
	|| register_operand (operands[3], RVVM1SFmode)))) && 
#line 181 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 1475; /* *pred_mov_widthhrvvm1sf */

    case 38:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVMF2SFmode)
	|| register_operand (operands[3], RVVMF2SFmode)))) && 
#line 181 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32)))
        return -1;
      return 1481; /* *pred_mov_widthhrvvmf2sf */

    case 39:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM8DFmode)
	|| register_operand (operands[3], RVVM8DFmode)))) && 
#line 183 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 1487; /* *pred_mov_widthhrvvm8df */

    case 40:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM4DFmode)
	|| register_operand (operands[3], RVVM4DFmode)))) && 
#line 183 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 1493; /* *pred_mov_widthhrvvm4df */

    case 41:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM2DFmode)
	|| register_operand (operands[3], RVVM2DFmode)))) && 
#line 184 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 1499; /* *pred_mov_widthhrvvm2df */

    case 42:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM1DFmode)
	|| register_operand (operands[3], RVVM1DFmode)))) && 
#line 184 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 1505; /* *pred_mov_widthhrvvm1df */

    case 43:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V1QImode)
	|| register_operand (operands[3], V1QImode)))) && 
#line 188 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1QImode))))
        return -1;
      return 1511; /* *pred_mov_widthhv1qi */

    case 44:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V2QImode)
	|| register_operand (operands[3], V2QImode)))) && 
#line 189 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2QImode))))
        return -1;
      return 1517; /* *pred_mov_widthhv2qi */

    case 45:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V4QImode)
	|| register_operand (operands[3], V4QImode)))) && 
#line 190 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4QImode))))
        return -1;
      return 1523; /* *pred_mov_widthhv4qi */

    case 46:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V8QImode)
	|| register_operand (operands[3], V8QImode)))) && 
#line 191 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8QImode))))
        return -1;
      return 1529; /* *pred_mov_widthhv8qi */

    case 47:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V16QImode)
	|| register_operand (operands[3], V16QImode)))) && 
#line 192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16QImode))))
        return -1;
      return 1535; /* *pred_mov_widthhv16qi */

    case 48:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V32QImode)
	|| register_operand (operands[3], V32QImode)))) && 
#line 193 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32QImode))))
        return -1;
      return 1541; /* *pred_mov_widthhv32qi */

    case 49:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V64QImode)
	|| register_operand (operands[3], V64QImode)))) && 
#line 194 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64QImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 1547; /* *pred_mov_widthhv64qi */

    case 50:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V128QImode)
	|| register_operand (operands[3], V128QImode)))) && 
#line 195 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128QImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 1553; /* *pred_mov_widthhv128qi */

    case 51:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V256QImode)
	|| register_operand (operands[3], V256QImode)))) && 
#line 196 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256QImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 1559; /* *pred_mov_widthhv256qi */

    case 52:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V512QImode)
	|| register_operand (operands[3], V512QImode)))) && 
#line 197 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512QImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 1565; /* *pred_mov_widthhv512qi */

    case 53:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V1024QImode)
	|| register_operand (operands[3], V1024QImode)))) && 
#line 198 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024QImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 1571; /* *pred_mov_widthhv1024qi */

    case 54:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V2048QImode)
	|| register_operand (operands[3], V2048QImode)))) && 
#line 199 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048QImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 1577; /* *pred_mov_widthhv2048qi */

    case 55:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V4096QImode)
	|| register_operand (operands[3], V4096QImode)))) && 
#line 200 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4096QImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 1583; /* *pred_mov_widthhv4096qi */

    case 56:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V1HImode)
	|| register_operand (operands[3], V1HImode)))) && 
#line 201 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
        return -1;
      return 1589; /* *pred_mov_widthhv1hi */

    case 57:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V2HImode)
	|| register_operand (operands[3], V2HImode)))) && 
#line 202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
        return -1;
      return 1595; /* *pred_mov_widthhv2hi */

    case 58:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V4HImode)
	|| register_operand (operands[3], V4HImode)))) && 
#line 203 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
        return -1;
      return 1601; /* *pred_mov_widthhv4hi */

    case 59:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V8HImode)
	|| register_operand (operands[3], V8HImode)))) && 
#line 204 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
        return -1;
      return 1607; /* *pred_mov_widthhv8hi */

    case 60:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V16HImode)
	|| register_operand (operands[3], V16HImode)))) && 
#line 205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
        return -1;
      return 1613; /* *pred_mov_widthhv16hi */

    case 61:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V32HImode)
	|| register_operand (operands[3], V32HImode)))) && 
#line 206 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 1619; /* *pred_mov_widthhv32hi */

    case 62:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V64HImode)
	|| register_operand (operands[3], V64HImode)))) && 
#line 207 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 1625; /* *pred_mov_widthhv64hi */

    case 63:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V128HImode)
	|| register_operand (operands[3], V128HImode)))) && 
#line 208 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 1631; /* *pred_mov_widthhv128hi */

    case 64:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V256HImode)
	|| register_operand (operands[3], V256HImode)))) && 
#line 209 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 1637; /* *pred_mov_widthhv256hi */

    case 65:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V512HImode)
	|| register_operand (operands[3], V512HImode)))) && 
#line 210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 1643; /* *pred_mov_widthhv512hi */

    case 66:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V1024HImode)
	|| register_operand (operands[3], V1024HImode)))) && 
#line 211 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 1649; /* *pred_mov_widthhv1024hi */

    case 67:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V2048HImode)
	|| register_operand (operands[3], V2048HImode)))) && 
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 1655; /* *pred_mov_widthhv2048hi */

    case 68:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V1SImode)
	|| register_operand (operands[3], V1SImode)))) && 
#line 213 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
        return -1;
      return 1661; /* *pred_mov_widthhv1si */

    case 69:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V2SImode)
	|| register_operand (operands[3], V2SImode)))) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
        return -1;
      return 1667; /* *pred_mov_widthhv2si */

    case 70:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V4SImode)
	|| register_operand (operands[3], V4SImode)))) && 
#line 215 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
        return -1;
      return 1673; /* *pred_mov_widthhv4si */

    case 71:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V8SImode)
	|| register_operand (operands[3], V8SImode)))) && 
#line 216 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
        return -1;
      return 1679; /* *pred_mov_widthhv8si */

    case 72:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V16SImode)
	|| register_operand (operands[3], V16SImode)))) && 
#line 217 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 1685; /* *pred_mov_widthhv16si */

    case 73:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V32SImode)
	|| register_operand (operands[3], V32SImode)))) && 
#line 218 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 1691; /* *pred_mov_widthhv32si */

    case 74:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V64SImode)
	|| register_operand (operands[3], V64SImode)))) && 
#line 219 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 1697; /* *pred_mov_widthhv64si */

    case 75:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V128SImode)
	|| register_operand (operands[3], V128SImode)))) && 
#line 220 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 1703; /* *pred_mov_widthhv128si */

    case 76:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V256SImode)
	|| register_operand (operands[3], V256SImode)))) && 
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 1709; /* *pred_mov_widthhv256si */

    case 77:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V512SImode)
	|| register_operand (operands[3], V512SImode)))) && 
#line 222 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 1715; /* *pred_mov_widthhv512si */

    case 78:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V1024SImode)
	|| register_operand (operands[3], V1024SImode)))) && 
#line 223 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 1721; /* *pred_mov_widthhv1024si */

    case 79:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V1DImode)
	|| register_operand (operands[3], V1DImode)))) && 
#line 224 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 1727; /* *pred_mov_widthhv1di */

    case 80:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V2DImode)
	|| register_operand (operands[3], V2DImode)))) && 
#line 225 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 1733; /* *pred_mov_widthhv2di */

    case 81:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V4DImode)
	|| register_operand (operands[3], V4DImode)))) && 
#line 226 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 1739; /* *pred_mov_widthhv4di */

    case 82:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V8DImode)
	|| register_operand (operands[3], V8DImode)))) && 
#line 227 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 1745; /* *pred_mov_widthhv8di */

    case 83:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V16DImode)
	|| register_operand (operands[3], V16DImode)))) && 
#line 228 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 1751; /* *pred_mov_widthhv16di */

    case 84:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V32DImode)
	|| register_operand (operands[3], V32DImode)))) && 
#line 229 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 1757; /* *pred_mov_widthhv32di */

    case 85:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V64DImode)
	|| register_operand (operands[3], V64DImode)))) && 
#line 230 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 1763; /* *pred_mov_widthhv64di */

    case 86:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V128DImode)
	|| register_operand (operands[3], V128DImode)))) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 1769; /* *pred_mov_widthhv128di */

    case 87:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V256DImode)
	|| register_operand (operands[3], V256DImode)))) && 
#line 232 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 1775; /* *pred_mov_widthhv256di */

    case 88:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V512DImode)
	|| register_operand (operands[3], V512DImode)))) && 
#line 233 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 1781; /* *pred_mov_widthhv512di */

    case 89:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V1HFmode)
	|| register_operand (operands[3], V1HFmode)))) && 
#line 272 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HFmode) && TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 1787; /* *pred_mov_widthhv1hf */

    case 90:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V2HFmode)
	|| register_operand (operands[3], V2HFmode)))) && 
#line 273 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HFmode) && TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 1793; /* *pred_mov_widthhv2hf */

    case 91:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V4HFmode)
	|| register_operand (operands[3], V4HFmode)))) && 
#line 274 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HFmode) && TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 1799; /* *pred_mov_widthhv4hf */

    case 92:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V8HFmode)
	|| register_operand (operands[3], V8HFmode)))) && 
#line 275 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HFmode) && TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 1805; /* *pred_mov_widthhv8hf */

    case 93:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V16HFmode)
	|| register_operand (operands[3], V16HFmode)))) && 
#line 276 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HFmode) && TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 1811; /* *pred_mov_widthhv16hf */

    case 94:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V32HFmode)
	|| register_operand (operands[3], V32HFmode)))) && 
#line 277 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 1817; /* *pred_mov_widthhv32hf */

    case 95:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V64HFmode)
	|| register_operand (operands[3], V64HFmode)))) && 
#line 278 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 1823; /* *pred_mov_widthhv64hf */

    case 96:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V128HFmode)
	|| register_operand (operands[3], V128HFmode)))) && 
#line 279 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 1829; /* *pred_mov_widthhv128hf */

    case 97:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V256HFmode)
	|| register_operand (operands[3], V256HFmode)))) && 
#line 280 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 1835; /* *pred_mov_widthhv256hf */

    case 98:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V512HFmode)
	|| register_operand (operands[3], V512HFmode)))) && 
#line 281 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 1841; /* *pred_mov_widthhv512hf */

    case 99:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V1024HFmode)
	|| register_operand (operands[3], V1024HFmode)))) && 
#line 282 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 1847; /* *pred_mov_widthhv1024hf */

    case 100:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V2048HFmode)
	|| register_operand (operands[3], V2048HFmode)))) && 
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 1853; /* *pred_mov_widthhv2048hf */

    case 101:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V1SFmode)
	|| register_operand (operands[3], V1SFmode)))) && 
#line 284 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 1859; /* *pred_mov_widthhv1sf */

    case 102:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V2SFmode)
	|| register_operand (operands[3], V2SFmode)))) && 
#line 285 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 1865; /* *pred_mov_widthhv2sf */

    case 103:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V4SFmode)
	|| register_operand (operands[3], V4SFmode)))) && 
#line 286 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 1871; /* *pred_mov_widthhv4sf */

    case 104:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V8SFmode)
	|| register_operand (operands[3], V8SFmode)))) && 
#line 287 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 1877; /* *pred_mov_widthhv8sf */

    case 105:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V16SFmode)
	|| register_operand (operands[3], V16SFmode)))) && 
#line 288 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 1883; /* *pred_mov_widthhv16sf */

    case 106:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V32SFmode)
	|| register_operand (operands[3], V32SFmode)))) && 
#line 289 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 1889; /* *pred_mov_widthhv32sf */

    case 107:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V64SFmode)
	|| register_operand (operands[3], V64SFmode)))) && 
#line 290 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 1895; /* *pred_mov_widthhv64sf */

    case 108:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V128SFmode)
	|| register_operand (operands[3], V128SFmode)))) && 
#line 291 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 1901; /* *pred_mov_widthhv128sf */

    case 109:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V256SFmode)
	|| register_operand (operands[3], V256SFmode)))) && 
#line 292 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 1907; /* *pred_mov_widthhv256sf */

    case 110:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V512SFmode)
	|| register_operand (operands[3], V512SFmode)))) && 
#line 293 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 1913; /* *pred_mov_widthhv512sf */

    case 111:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V1024SFmode)
	|| register_operand (operands[3], V1024SFmode)))) && 
#line 294 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 1919; /* *pred_mov_widthhv1024sf */

    case 112:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V1DFmode)
	|| register_operand (operands[3], V1DFmode)))) && 
#line 295 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 1925; /* *pred_mov_widthhv1df */

    case 113:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V2DFmode)
	|| register_operand (operands[3], V2DFmode)))) && 
#line 296 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 1931; /* *pred_mov_widthhv2df */

    case 114:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V4DFmode)
	|| register_operand (operands[3], V4DFmode)))) && 
#line 297 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 1937; /* *pred_mov_widthhv4df */

    case 115:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V8DFmode)
	|| register_operand (operands[3], V8DFmode)))) && 
#line 298 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 1943; /* *pred_mov_widthhv8df */

    case 116:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V16DFmode)
	|| register_operand (operands[3], V16DFmode)))) && 
#line 299 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 1949; /* *pred_mov_widthhv16df */

    case 117:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V32DFmode)
	|| register_operand (operands[3], V32DFmode)))) && 
#line 300 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 1955; /* *pred_mov_widthhv32df */

    case 118:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V64DFmode)
	|| register_operand (operands[3], V64DFmode)))) && 
#line 301 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 1961; /* *pred_mov_widthhv64df */

    case 119:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V128DFmode)
	|| register_operand (operands[3], V128DFmode)))) && 
#line 302 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 1967; /* *pred_mov_widthhv128df */

    case 120:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V256DFmode)
	|| register_operand (operands[3], V256DFmode)))) && 
#line 303 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 1973; /* *pred_mov_widthhv256df */

    case 121:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V512DFmode)
	|| register_operand (operands[3], V512DFmode)))) && 
#line 304 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 1979; /* *pred_mov_widthhv512df */

    default:
      return -1;
    }
}

 int
recog_937 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern724 (x2))
    {
    case 0:
      if (vector_shift_operand (operands[4], E_RVVM4QImode)
          && 
#line 4702 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return 12236; /* pred_narrow_clipurvvm8hi */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !
#line 4725 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 12332; /* pred_narrow_clipurvvm8hi_scalar */

    case 1:
      if (vector_shift_operand (operands[4], E_RVVM2QImode)
          && 
#line 4702 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return 12238; /* pred_narrow_clipurvvm4hi */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !
#line 4725 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 12334; /* pred_narrow_clipurvvm4hi_scalar */

    case 2:
      if (vector_shift_operand (operands[4], E_RVVM1QImode)
          && 
#line 4702 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return 12240; /* pred_narrow_clipurvvm2hi */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !
#line 4725 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 12336; /* pred_narrow_clipurvvm2hi_scalar */

    case 3:
      if (vector_shift_operand (operands[4], E_RVVMF2QImode)
          && 
#line 4702 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return 12242; /* pred_narrow_clipurvvm1hi */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !
#line 4725 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 12338; /* pred_narrow_clipurvvm1hi_scalar */

    case 4:
      if (vector_shift_operand (operands[4], E_RVVMF4QImode)
          && 
#line 4702 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return 12244; /* pred_narrow_clipurvvmf2hi */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !
#line 4725 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 12340; /* pred_narrow_clipurvvmf2hi_scalar */

    case 5:
      if (vector_shift_operand (operands[4], E_RVVMF8QImode)
          && (
#line 4702 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 946 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return 12246; /* pred_narrow_clipurvvmf4hi */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4725 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 946 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 12342; /* pred_narrow_clipurvvmf4hi_scalar */

    case 6:
      if (vector_shift_operand (operands[4], E_RVVM4HImode)
          && 
#line 4702 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return 12248; /* pred_narrow_clipurvvm8si */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !
#line 4725 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 12344; /* pred_narrow_clipurvvm8si_scalar */

    case 7:
      if (vector_shift_operand (operands[4], E_RVVM2HImode)
          && 
#line 4702 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return 12250; /* pred_narrow_clipurvvm4si */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !
#line 4725 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 12346; /* pred_narrow_clipurvvm4si_scalar */

    case 8:
      if (vector_shift_operand (operands[4], E_RVVM1HImode)
          && 
#line 4702 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return 12252; /* pred_narrow_clipurvvm2si */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !
#line 4725 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 12348; /* pred_narrow_clipurvvm2si_scalar */

    case 9:
      if (vector_shift_operand (operands[4], E_RVVMF2HImode)
          && 
#line 4702 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return 12254; /* pred_narrow_clipurvvm1si */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !
#line 4725 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 12350; /* pred_narrow_clipurvvm1si_scalar */

    case 10:
      if (vector_shift_operand (operands[4], E_RVVMF4HImode)
          && (
#line 4702 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 948 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return 12256; /* pred_narrow_clipurvvmf2si */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4725 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 948 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 12352; /* pred_narrow_clipurvvmf2si_scalar */

    case 11:
      if (vector_shift_operand (operands[4], E_RVVM4SImode)
          && (
#line 4702 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return 12258; /* pred_narrow_clipurvvm8di */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4725 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 12354; /* pred_narrow_clipurvvm8di_scalar */

    case 12:
      if (vector_shift_operand (operands[4], E_RVVM2SImode)
          && (
#line 4702 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return 12260; /* pred_narrow_clipurvvm4di */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4725 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 12356; /* pred_narrow_clipurvvm4di_scalar */

    case 13:
      if (vector_shift_operand (operands[4], E_RVVM1SImode)
          && (
#line 4702 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return 12262; /* pred_narrow_clipurvvm2di */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4725 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 12358; /* pred_narrow_clipurvvm2di_scalar */

    case 14:
      if (vector_shift_operand (operands[4], E_RVVMF2SImode)
          && (
#line 4702 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return 12264; /* pred_narrow_clipurvvm1di */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4725 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 12360; /* pred_narrow_clipurvvm1di_scalar */

    case 15:
      if (vector_shift_operand (operands[4], E_V1QImode)
          && (
#line 4702 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 953 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
        return 12266; /* pred_narrow_clipuv1hi */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4725 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 953 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
        return -1;
      return 12362; /* pred_narrow_clipuv1hi_scalar */

    case 16:
      if (vector_shift_operand (operands[4], E_V2QImode)
          && (
#line 4702 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 954 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
        return 12268; /* pred_narrow_clipuv2hi */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4725 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 954 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
        return -1;
      return 12364; /* pred_narrow_clipuv2hi_scalar */

    case 17:
      if (vector_shift_operand (operands[4], E_V4QImode)
          && (
#line 4702 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
        return 12270; /* pred_narrow_clipuv4hi */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4725 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
        return -1;
      return 12366; /* pred_narrow_clipuv4hi_scalar */

    case 18:
      if (vector_shift_operand (operands[4], E_V8QImode)
          && (
#line 4702 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 956 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
        return 12272; /* pred_narrow_clipuv8hi */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4725 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 956 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
        return -1;
      return 12368; /* pred_narrow_clipuv8hi_scalar */

    case 19:
      if (vector_shift_operand (operands[4], E_V16QImode)
          && (
#line 4702 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 957 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
        return 12274; /* pred_narrow_clipuv16hi */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4725 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 957 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
        return -1;
      return 12370; /* pred_narrow_clipuv16hi_scalar */

    case 20:
      if (vector_shift_operand (operands[4], E_V32QImode)
          && (
#line 4702 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 958 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
        return 12276; /* pred_narrow_clipuv32hi */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4725 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 958 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 12372; /* pred_narrow_clipuv32hi_scalar */

    case 21:
      if (vector_shift_operand (operands[4], E_V64QImode)
          && (
#line 4702 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 959 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
        return 12278; /* pred_narrow_clipuv64hi */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4725 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 959 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 12374; /* pred_narrow_clipuv64hi_scalar */

    case 22:
      if (vector_shift_operand (operands[4], E_V128QImode)
          && (
#line 4702 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 960 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
        return 12280; /* pred_narrow_clipuv128hi */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4725 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 960 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 12376; /* pred_narrow_clipuv128hi_scalar */

    case 23:
      if (vector_shift_operand (operands[4], E_V256QImode)
          && (
#line 4702 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 961 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
        return 12282; /* pred_narrow_clipuv256hi */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4725 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 961 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 12378; /* pred_narrow_clipuv256hi_scalar */

    case 24:
      if (vector_shift_operand (operands[4], E_V512QImode)
          && (
#line 4702 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 962 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
        return 12284; /* pred_narrow_clipuv512hi */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4725 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 962 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 12380; /* pred_narrow_clipuv512hi_scalar */

    case 25:
      if (vector_shift_operand (operands[4], E_V1024QImode)
          && (
#line 4702 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 963 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
        return 12286; /* pred_narrow_clipuv1024hi */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4725 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 963 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 12382; /* pred_narrow_clipuv1024hi_scalar */

    case 26:
      if (vector_shift_operand (operands[4], E_V2048QImode)
          && (
#line 4702 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
        return 12288; /* pred_narrow_clipuv2048hi */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4725 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 12384; /* pred_narrow_clipuv2048hi_scalar */

    case 27:
      if (vector_shift_operand (operands[4], E_V1HImode)
          && (
#line 4702 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 965 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
        return 12290; /* pred_narrow_clipuv1si */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4725 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 965 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
        return -1;
      return 12386; /* pred_narrow_clipuv1si_scalar */

    case 28:
      if (vector_shift_operand (operands[4], E_V2HImode)
          && (
#line 4702 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 966 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
        return 12292; /* pred_narrow_clipuv2si */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4725 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 966 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
        return -1;
      return 12388; /* pred_narrow_clipuv2si_scalar */

    case 29:
      if (vector_shift_operand (operands[4], E_V4HImode)
          && (
#line 4702 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 967 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
        return 12294; /* pred_narrow_clipuv4si */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4725 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 967 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
        return -1;
      return 12390; /* pred_narrow_clipuv4si_scalar */

    case 30:
      if (vector_shift_operand (operands[4], E_V8HImode)
          && (
#line 4702 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 968 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
        return 12296; /* pred_narrow_clipuv8si */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4725 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 968 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
        return -1;
      return 12392; /* pred_narrow_clipuv8si_scalar */

    case 31:
      if (vector_shift_operand (operands[4], E_V16HImode)
          && (
#line 4702 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 969 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
        return 12298; /* pred_narrow_clipuv16si */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4725 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 969 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 12394; /* pred_narrow_clipuv16si_scalar */

    case 32:
      if (vector_shift_operand (operands[4], E_V32HImode)
          && (
#line 4702 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 970 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
        return 12300; /* pred_narrow_clipuv32si */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4725 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 970 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 12396; /* pred_narrow_clipuv32si_scalar */

    case 33:
      if (vector_shift_operand (operands[4], E_V64HImode)
          && (
#line 4702 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
        return 12302; /* pred_narrow_clipuv64si */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4725 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 12398; /* pred_narrow_clipuv64si_scalar */

    case 34:
      if (vector_shift_operand (operands[4], E_V128HImode)
          && (
#line 4702 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 972 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
        return 12304; /* pred_narrow_clipuv128si */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4725 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 972 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 12400; /* pred_narrow_clipuv128si_scalar */

    case 35:
      if (vector_shift_operand (operands[4], E_V256HImode)
          && (
#line 4702 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 973 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
        return 12306; /* pred_narrow_clipuv256si */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4725 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 973 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 12402; /* pred_narrow_clipuv256si_scalar */

    case 36:
      if (vector_shift_operand (operands[4], E_V512HImode)
          && (
#line 4702 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 974 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
        return 12308; /* pred_narrow_clipuv512si */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4725 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 974 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 12404; /* pred_narrow_clipuv512si_scalar */

    case 37:
      if (vector_shift_operand (operands[4], E_V1024HImode)
          && (
#line 4702 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
        return 12310; /* pred_narrow_clipuv1024si */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4725 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 12406; /* pred_narrow_clipuv1024si_scalar */

    case 38:
      if (vector_shift_operand (operands[4], E_V1SImode)
          && (
#line 4702 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 976 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
        return 12312; /* pred_narrow_clipuv1di */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4725 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 976 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 12408; /* pred_narrow_clipuv1di_scalar */

    case 39:
      if (vector_shift_operand (operands[4], E_V2SImode)
          && (
#line 4702 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
        return 12314; /* pred_narrow_clipuv2di */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4725 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 12410; /* pred_narrow_clipuv2di_scalar */

    case 40:
      if (vector_shift_operand (operands[4], E_V4SImode)
          && (
#line 4702 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 978 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
        return 12316; /* pred_narrow_clipuv4di */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4725 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 978 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 12412; /* pred_narrow_clipuv4di_scalar */

    case 41:
      if (vector_shift_operand (operands[4], E_V8SImode)
          && (
#line 4702 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 979 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
        return 12318; /* pred_narrow_clipuv8di */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4725 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 979 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 12414; /* pred_narrow_clipuv8di_scalar */

    case 42:
      if (vector_shift_operand (operands[4], E_V16SImode)
          && (
#line 4702 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 980 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
        return 12320; /* pred_narrow_clipuv16di */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4725 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 980 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 12416; /* pred_narrow_clipuv16di_scalar */

    case 43:
      if (vector_shift_operand (operands[4], E_V32SImode)
          && (
#line 4702 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 981 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
        return 12322; /* pred_narrow_clipuv32di */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4725 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 981 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 12418; /* pred_narrow_clipuv32di_scalar */

    case 44:
      if (vector_shift_operand (operands[4], E_V64SImode)
          && (
#line 4702 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 982 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
        return 12324; /* pred_narrow_clipuv64di */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4725 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 982 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 12420; /* pred_narrow_clipuv64di_scalar */

    case 45:
      if (vector_shift_operand (operands[4], E_V128SImode)
          && (
#line 4702 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
        return 12326; /* pred_narrow_clipuv128di */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4725 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 12422; /* pred_narrow_clipuv128di_scalar */

    case 46:
      if (vector_shift_operand (operands[4], E_V256SImode)
          && (
#line 4702 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 984 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
        return 12328; /* pred_narrow_clipuv256di */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4725 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 984 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 12424; /* pred_narrow_clipuv256di_scalar */

    case 47:
      if (vector_shift_operand (operands[4], E_V512SImode)
          && (
#line 4702 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 985 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
        return 12330; /* pred_narrow_clipuv512di */
      if (!pmode_reg_or_uimm5_operand (operands[4], E_VOIDmode)
          || !(
#line 4725 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 985 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 12426; /* pred_narrow_clipuv512di_scalar */

    default:
      return -1;
    }
}

 int
recog_1050 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[6] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[7] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[8] = x6;
  x7 = XVECEXP (x3, 0, 4);
  operands[9] = x7;
  x8 = XVECEXP (x3, 0, 5);
  operands[10] = x8;
  x9 = XEXP (x2, 1);
  x10 = XEXP (x9, 0);
  x11 = XEXP (x10, 0);
  x12 = XEXP (x11, 1);
  operands[4] = x12;
  if (!register_operand (operands[4], E_RVVMF4HFmode))
    return -1;
  x13 = XEXP (x9, 1);
  operands[5] = x13;
  if (!register_operand (operands[5], E_RVVMF4HFmode))
    return -1;
  x14 = XEXP (x2, 2);
  operands[2] = x14;
  if (!vector_undef_operand (operands[2], E_RVVMF4HFmode)
      || !(
#line 6715 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 157 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH && TARGET_MIN_VLEN > 32)))
    return -1;
  return 15744; /* *pred_mul_neg_addrvvmf4hf_undef */
}

 int
recog_1058 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[6] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[7] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[8] = x6;
  x7 = XVECEXP (x3, 0, 4);
  operands[9] = x7;
  x8 = XVECEXP (x3, 0, 5);
  operands[10] = x8;
  x9 = XEXP (x2, 1);
  x10 = XEXP (x9, 0);
  x11 = XEXP (x10, 0);
  x12 = XEXP (x11, 1);
  operands[4] = x12;
  if (!register_operand (operands[4], E_RVVM2DFmode))
    return -1;
  x13 = XEXP (x9, 1);
  operands[5] = x13;
  if (!register_operand (operands[5], E_RVVM2DFmode))
    return -1;
  x14 = XEXP (x2, 2);
  operands[2] = x14;
  if (!vector_undef_operand (operands[2], E_RVVM2DFmode)
      || !(
#line 6715 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
    return -1;
  return 15760; /* *pred_mul_neg_addrvvm2df_undef */
}

 int
recog_1066 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[6] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[7] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[8] = x6;
  x7 = XVECEXP (x3, 0, 4);
  operands[9] = x7;
  x8 = XVECEXP (x3, 0, 5);
  operands[10] = x8;
  x9 = XEXP (x2, 1);
  x10 = XEXP (x9, 0);
  x11 = XEXP (x10, 0);
  x12 = XEXP (x11, 1);
  operands[4] = x12;
  if (!register_operand (operands[4], E_V64HFmode))
    return -1;
  x13 = XEXP (x9, 1);
  operands[5] = x13;
  if (!register_operand (operands[5], E_V64HFmode))
    return -1;
  x14 = XEXP (x2, 2);
  operands[2] = x14;
  if (!vector_undef_operand (operands[2], E_V64HFmode)
      || !(
#line 6715 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 242 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 128)))
    return -1;
  return 15776; /* *pred_mul_neg_addv64hf_undef */
}

 int
recog_1074 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[6] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[7] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[8] = x6;
  x7 = XVECEXP (x3, 0, 4);
  operands[9] = x7;
  x8 = XVECEXP (x3, 0, 5);
  operands[10] = x8;
  x9 = XEXP (x2, 1);
  x10 = XEXP (x9, 0);
  x11 = XEXP (x10, 0);
  x12 = XEXP (x11, 1);
  operands[4] = x12;
  if (!register_operand (operands[4], E_V4SFmode))
    return -1;
  x13 = XEXP (x9, 1);
  operands[5] = x13;
  if (!register_operand (operands[5], E_V4SFmode))
    return -1;
  x14 = XEXP (x2, 2);
  operands[2] = x14;
  if (!vector_undef_operand (operands[2], E_V4SFmode)
      || !(
#line 6715 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 250 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SFmode) && TARGET_VECTOR_ELEN_FP_32)))
    return -1;
  return 15792; /* *pred_mul_neg_addv4sf_undef */
}

 int
recog_1082 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[6] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[7] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[8] = x6;
  x7 = XVECEXP (x3, 0, 4);
  operands[9] = x7;
  x8 = XVECEXP (x3, 0, 5);
  operands[10] = x8;
  x9 = XEXP (x2, 1);
  x10 = XEXP (x9, 0);
  x11 = XEXP (x10, 0);
  x12 = XEXP (x11, 1);
  operands[4] = x12;
  if (!register_operand (operands[4], E_V1024SFmode))
    return -1;
  x13 = XEXP (x9, 1);
  operands[5] = x13;
  if (!register_operand (operands[5], E_V1024SFmode))
    return -1;
  x14 = XEXP (x2, 2);
  operands[2] = x14;
  if (!vector_undef_operand (operands[2], E_V1024SFmode)
      || !(
#line 6715 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 258 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 4096)))
    return -1;
  return 15808; /* *pred_mul_neg_addv1024sf_undef */
}

 int
recog_1091 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[6] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[7] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[8] = x6;
  x7 = XVECEXP (x3, 0, 4);
  operands[9] = x7;
  x8 = XVECEXP (x3, 0, 5);
  operands[10] = x8;
  x9 = XEXP (x2, 1);
  x10 = XEXP (x9, 0);
  x11 = XEXP (x10, 0);
  x12 = XEXP (x11, 1);
  operands[4] = x12;
  if (!register_operand (operands[4], E_V256DFmode))
    return -1;
  x13 = XEXP (x9, 1);
  operands[5] = x13;
  if (!register_operand (operands[5], E_V256DFmode))
    return -1;
  x14 = XEXP (x2, 2);
  operands[2] = x14;
  if (!vector_undef_operand (operands[2], E_V256DFmode)
      || !(
#line 6715 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 267 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 2048)))
    return -1;
  return 15826; /* *pred_mul_neg_addv256df_undef */
}

 int
recog_1101 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14, x15;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  x6 = XEXP (x5, 0);
  operands[3] = x6;
  res = recog_1084 (x1, insn, pnum_clobbers);
  if (res >= 0)
    return res;
  operands[2] = x6;
  x7 = XEXP (x2, 0);
  x8 = XVECEXP (x7, 0, 1);
  operands[5] = x8;
  x9 = XVECEXP (x7, 0, 2);
  operands[6] = x9;
  x10 = XVECEXP (x7, 0, 3);
  operands[7] = x10;
  x11 = XVECEXP (x7, 0, 4);
  operands[8] = x11;
  x12 = XVECEXP (x7, 0, 5);
  operands[9] = x12;
  x13 = XEXP (x5, 1);
  operands[3] = x13;
  if (!register_operand (operands[3], E_V2DFmode))
    return -1;
  x14 = XEXP (x3, 1);
  operands[4] = x14;
  if (!register_operand (operands[4], E_V2DFmode))
    return -1;
  x15 = XEXP (x2, 2);
  if (rtx_equal_p (x15, operands[2])
      && (
#line 6746 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DFmode) && TARGET_VECTOR_ELEN_FP_64)))
    return 15908; /* *pred_nmsubv2df */
  if (!rtx_equal_p (x15, operands[4])
      || !(
#line 6780 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DFmode) && TARGET_VECTOR_ELEN_FP_64)))
    return -1;
  return 16004; /* *pred_nmsacv2df */
}

 int
recog_1111 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14, x15;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  x6 = XEXP (x5, 0);
  operands[3] = x6;
  res = recog_1074 (x1, insn, pnum_clobbers);
  if (res >= 0)
    return res;
  operands[2] = x6;
  x7 = XEXP (x2, 0);
  x8 = XVECEXP (x7, 0, 1);
  operands[5] = x8;
  x9 = XVECEXP (x7, 0, 2);
  operands[6] = x9;
  x10 = XVECEXP (x7, 0, 3);
  operands[7] = x10;
  x11 = XVECEXP (x7, 0, 4);
  operands[8] = x11;
  x12 = XVECEXP (x7, 0, 5);
  operands[9] = x12;
  x13 = XEXP (x5, 1);
  operands[3] = x13;
  if (!register_operand (operands[3], E_V4SFmode))
    return -1;
  x14 = XEXP (x3, 1);
  operands[4] = x14;
  if (!register_operand (operands[4], E_V4SFmode))
    return -1;
  x15 = XEXP (x2, 2);
  if (rtx_equal_p (x15, operands[2])
      && (
#line 6746 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 250 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SFmode) && TARGET_VECTOR_ELEN_FP_32)))
    return 15888; /* *pred_nmsubv4sf */
  if (!rtx_equal_p (x15, operands[4])
      || !(
#line 6780 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 250 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SFmode) && TARGET_VECTOR_ELEN_FP_32)))
    return -1;
  return 15984; /* *pred_nmsacv4sf */
}

 int
recog_1121 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14, x15;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  x6 = XEXP (x5, 0);
  operands[3] = x6;
  res = recog_1064 (x1, insn, pnum_clobbers);
  if (res >= 0)
    return res;
  operands[2] = x6;
  x7 = XEXP (x2, 0);
  x8 = XVECEXP (x7, 0, 1);
  operands[5] = x8;
  x9 = XVECEXP (x7, 0, 2);
  operands[6] = x9;
  x10 = XVECEXP (x7, 0, 3);
  operands[7] = x10;
  x11 = XVECEXP (x7, 0, 4);
  operands[8] = x11;
  x12 = XVECEXP (x7, 0, 5);
  operands[9] = x12;
  x13 = XEXP (x5, 1);
  operands[3] = x13;
  if (!register_operand (operands[3], E_V16HFmode))
    return -1;
  x14 = XEXP (x3, 1);
  operands[4] = x14;
  if (!register_operand (operands[4], E_V16HFmode))
    return -1;
  x15 = XEXP (x2, 2);
  if (rtx_equal_p (x15, operands[2])
      && (
#line 6746 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HFmode) && TARGET_ZVFH)))
    return 15868; /* *pred_nmsubv16hf */
  if (!rtx_equal_p (x15, operands[4])
      || !(
#line 6780 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HFmode) && TARGET_ZVFH)))
    return -1;
  return 15964; /* *pred_nmsacv16hf */
}

 int
recog_1130 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14, x15;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  x6 = XEXP (x5, 0);
  operands[3] = x6;
  res = recog_1055 (x1, insn, pnum_clobbers);
  if (res >= 0)
    return res;
  operands[2] = x6;
  x7 = XEXP (x2, 0);
  x8 = XVECEXP (x7, 0, 1);
  operands[5] = x8;
  x9 = XVECEXP (x7, 0, 2);
  operands[6] = x9;
  x10 = XVECEXP (x7, 0, 3);
  operands[7] = x10;
  x11 = XVECEXP (x7, 0, 4);
  operands[8] = x11;
  x12 = XVECEXP (x7, 0, 5);
  operands[9] = x12;
  x13 = XEXP (x5, 1);
  operands[3] = x13;
  if (!register_operand (operands[3], E_RVVMF2SFmode))
    return -1;
  x14 = XEXP (x3, 1);
  operands[4] = x14;
  if (!register_operand (operands[4], E_RVVMF2SFmode))
    return -1;
  x15 = XEXP (x2, 2);
  if (rtx_equal_p (x15, operands[2])
      && (
#line 6746 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32)))
    return 15850; /* *pred_nmsubrvvmf2sf */
  if (!rtx_equal_p (x15, operands[4])
      || !(
#line 6780 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32)))
    return -1;
  return 15946; /* *pred_nmsacrvvmf2sf */
}

 int
recog_1141 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern583 (x2))
    {
    case 0:
      return recog_1044 (x1, insn, pnum_clobbers);

    case 1:
      return recog_1043 (x1, insn, pnum_clobbers);

    case 2:
      return recog_1042 (x1, insn, pnum_clobbers);

    case 3:
      return recog_1041 (x1, insn, pnum_clobbers);

    case 4:
      return recog_1040 (x1, insn, pnum_clobbers);

    case 5:
      return recog_1039 (x1, insn, pnum_clobbers);

    case 6:
      return recog_1038 (x1, insn, pnum_clobbers);

    case 7:
      return recog_1037 (x1, insn, pnum_clobbers);

    case 8:
      return recog_1036 (x1, insn, pnum_clobbers);

    case 9:
      return recog_1035 (x1, insn, pnum_clobbers);

    case 10:
      return recog_1034 (x1, insn, pnum_clobbers);

    case 11:
      return recog_1033 (x1, insn, pnum_clobbers);

    case 12:
      return recog_1032 (x1, insn, pnum_clobbers);

    case 13:
      return recog_1031 (x1, insn, pnum_clobbers);

    case 14:
      return recog_1030 (x1, insn, pnum_clobbers);

    case 15:
      return recog_1029 (x1, insn, pnum_clobbers);

    case 16:
      return recog_1028 (x1, insn, pnum_clobbers);

    case 17:
      return recog_1027 (x1, insn, pnum_clobbers);

    case 18:
      return recog_1026 (x1, insn, pnum_clobbers);

    case 19:
      return recog_1025 (x1, insn, pnum_clobbers);

    case 20:
      return recog_1024 (x1, insn, pnum_clobbers);

    case 21:
      return recog_1023 (x1, insn, pnum_clobbers);

    case 22:
      return recog_1022 (x1, insn, pnum_clobbers);

    case 23:
      return recog_1021 (x1, insn, pnum_clobbers);

    case 24:
      return recog_1020 (x1, insn, pnum_clobbers);

    case 25:
      return recog_1019 (x1, insn, pnum_clobbers);

    case 26:
      return recog_1018 (x1, insn, pnum_clobbers);

    case 27:
      return recog_1017 (x1, insn, pnum_clobbers);

    case 28:
      return recog_1016 (x1, insn, pnum_clobbers);

    case 29:
      return recog_1015 (x1, insn, pnum_clobbers);

    case 30:
      return recog_1014 (x1, insn, pnum_clobbers);

    case 31:
      return recog_1013 (x1, insn, pnum_clobbers);

    case 32:
      return recog_1012 (x1, insn, pnum_clobbers);

    case 33:
      return recog_1011 (x1, insn, pnum_clobbers);

    case 34:
      return recog_1010 (x1, insn, pnum_clobbers);

    case 35:
      return recog_1009 (x1, insn, pnum_clobbers);

    case 36:
      return recog_1008 (x1, insn, pnum_clobbers);

    case 37:
      return recog_1007 (x1, insn, pnum_clobbers);

    case 38:
      return recog_1006 (x1, insn, pnum_clobbers);

    case 39:
      return recog_1005 (x1, insn, pnum_clobbers);

    case 40:
      return recog_1004 (x1, insn, pnum_clobbers);

    case 41:
      return recog_1003 (x1, insn, pnum_clobbers);

    case 42:
      return recog_1002 (x1, insn, pnum_clobbers);

    case 43:
      return recog_1001 (x1, insn, pnum_clobbers);

    case 44:
      return recog_1000 (x1, insn, pnum_clobbers);

    case 45:
      return recog_999 (x1, insn, pnum_clobbers);

    case 46:
      return recog_998 (x1, insn, pnum_clobbers);

    case 47:
      return recog_997 (x1, insn, pnum_clobbers);

    case 48:
      x3 = XEXP (x2, 2);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 6622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return 15542; /* *pred_maddrvvm8hf_scalar */
      if (!rtx_equal_p (x3, operands[4])
          || !(
#line 6656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 15638; /* *pred_maccrvvm8hf_scalar */

    case 49:
      x3 = XEXP (x2, 2);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 6622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return 15544; /* *pred_maddrvvm4hf_scalar */
      if (!rtx_equal_p (x3, operands[4])
          || !(
#line 6656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 15640; /* *pred_maccrvvm4hf_scalar */

    case 50:
      x3 = XEXP (x2, 2);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 6622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return 15546; /* *pred_maddrvvm2hf_scalar */
      if (!rtx_equal_p (x3, operands[4])
          || !(
#line 6656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 15642; /* *pred_maccrvvm2hf_scalar */

    case 51:
      x3 = XEXP (x2, 2);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 6622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return 15548; /* *pred_maddrvvm1hf_scalar */
      if (!rtx_equal_p (x3, operands[4])
          || !(
#line 6656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 15644; /* *pred_maccrvvm1hf_scalar */

    case 52:
      x3 = XEXP (x2, 2);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 6622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return 15550; /* *pred_maddrvvmf2hf_scalar */
      if (!rtx_equal_p (x3, operands[4])
          || !(
#line 6656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 15646; /* *pred_maccrvvmf2hf_scalar */

    case 53:
      x3 = XEXP (x2, 2);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 6622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 157 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH && TARGET_MIN_VLEN > 32)))
        return 15552; /* *pred_maddrvvmf4hf_scalar */
      if (!rtx_equal_p (x3, operands[4])
          || !(
#line 6656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 157 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH && TARGET_MIN_VLEN > 32)))
        return -1;
      return 15648; /* *pred_maccrvvmf4hf_scalar */

    case 54:
      x3 = XEXP (x2, 2);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 6622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return 15554; /* *pred_maddrvvm8sf_scalar */
      if (!rtx_equal_p (x3, operands[4])
          || !(
#line 6656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 15650; /* *pred_maccrvvm8sf_scalar */

    case 55:
      x3 = XEXP (x2, 2);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 6622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return 15556; /* *pred_maddrvvm4sf_scalar */
      if (!rtx_equal_p (x3, operands[4])
          || !(
#line 6656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 15652; /* *pred_maccrvvm4sf_scalar */

    case 56:
      x3 = XEXP (x2, 2);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 6622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return 15558; /* *pred_maddrvvm2sf_scalar */
      if (!rtx_equal_p (x3, operands[4])
          || !(
#line 6656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 15654; /* *pred_maccrvvm2sf_scalar */

    case 57:
      x3 = XEXP (x2, 2);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 6622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return 15560; /* *pred_maddrvvm1sf_scalar */
      if (!rtx_equal_p (x3, operands[4])
          || !(
#line 6656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 15656; /* *pred_maccrvvm1sf_scalar */

    case 58:
      x3 = XEXP (x2, 2);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 6622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32)))
        return 15562; /* *pred_maddrvvmf2sf_scalar */
      if (!rtx_equal_p (x3, operands[4])
          || !(
#line 6656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32)))
        return -1;
      return 15658; /* *pred_maccrvvmf2sf_scalar */

    case 59:
      x3 = XEXP (x2, 2);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 6622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return 15564; /* *pred_maddrvvm8df_scalar */
      if (!rtx_equal_p (x3, operands[4])
          || !(
#line 6656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 15660; /* *pred_maccrvvm8df_scalar */

    case 60:
      x3 = XEXP (x2, 2);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 6622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return 15566; /* *pred_maddrvvm4df_scalar */
      if (!rtx_equal_p (x3, operands[4])
          || !(
#line 6656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 15662; /* *pred_maccrvvm4df_scalar */

    case 61:
      x3 = XEXP (x2, 2);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 6622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return 15568; /* *pred_maddrvvm2df_scalar */
      if (!rtx_equal_p (x3, operands[4])
          || !(
#line 6656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 15664; /* *pred_maccrvvm2df_scalar */

    case 62:
      x3 = XEXP (x2, 2);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 6622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return 15570; /* *pred_maddrvvm1df_scalar */
      if (!rtx_equal_p (x3, operands[4])
          || !(
#line 6656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 15666; /* *pred_maccrvvm1df_scalar */

    case 63:
      x3 = XEXP (x2, 2);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 6622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 236 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HFmode) && TARGET_ZVFH)))
        return 15572; /* *pred_maddv1hf_scalar */
      if (!rtx_equal_p (x3, operands[4])
          || !(
#line 6656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 236 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HFmode) && TARGET_ZVFH)))
        return -1;
      return 15668; /* *pred_maccv1hf_scalar */

    case 64:
      x3 = XEXP (x2, 2);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 6622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 237 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HFmode) && TARGET_ZVFH)))
        return 15574; /* *pred_maddv2hf_scalar */
      if (!rtx_equal_p (x3, operands[4])
          || !(
#line 6656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 237 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HFmode) && TARGET_ZVFH)))
        return -1;
      return 15670; /* *pred_maccv2hf_scalar */

    case 65:
      x3 = XEXP (x2, 2);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 6622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HFmode) && TARGET_ZVFH)))
        return 15576; /* *pred_maddv4hf_scalar */
      if (!rtx_equal_p (x3, operands[4])
          || !(
#line 6656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HFmode) && TARGET_ZVFH)))
        return -1;
      return 15672; /* *pred_maccv4hf_scalar */

    case 66:
      x3 = XEXP (x2, 2);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 6622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 239 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HFmode) && TARGET_ZVFH)))
        return 15578; /* *pred_maddv8hf_scalar */
      if (!rtx_equal_p (x3, operands[4])
          || !(
#line 6656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 239 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HFmode) && TARGET_ZVFH)))
        return -1;
      return 15674; /* *pred_maccv8hf_scalar */

    case 67:
      x3 = XEXP (x2, 2);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 6622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HFmode) && TARGET_ZVFH)))
        return 15580; /* *pred_maddv16hf_scalar */
      if (!rtx_equal_p (x3, operands[4])
          || !(
#line 6656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HFmode) && TARGET_ZVFH)))
        return -1;
      return 15676; /* *pred_maccv16hf_scalar */

    case 68:
      x3 = XEXP (x2, 2);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 6622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 64)))
        return 15582; /* *pred_maddv32hf_scalar */
      if (!rtx_equal_p (x3, operands[4])
          || !(
#line 6656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 15678; /* *pred_maccv32hf_scalar */

    case 69:
      x3 = XEXP (x2, 2);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 6622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 242 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 128)))
        return 15584; /* *pred_maddv64hf_scalar */
      if (!rtx_equal_p (x3, operands[4])
          || !(
#line 6656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 242 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 15680; /* *pred_maccv64hf_scalar */

    case 70:
      x3 = XEXP (x2, 2);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 6622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 243 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 256)))
        return 15586; /* *pred_maddv128hf_scalar */
      if (!rtx_equal_p (x3, operands[4])
          || !(
#line 6656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 243 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 15682; /* *pred_maccv128hf_scalar */

    case 71:
      x3 = XEXP (x2, 2);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 6622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 244 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 512)))
        return 15588; /* *pred_maddv256hf_scalar */
      if (!rtx_equal_p (x3, operands[4])
          || !(
#line 6656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 244 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 15684; /* *pred_maccv256hf_scalar */

    case 72:
      x3 = XEXP (x2, 2);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 6622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 245 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 1024)))
        return 15590; /* *pred_maddv512hf_scalar */
      if (!rtx_equal_p (x3, operands[4])
          || !(
#line 6656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 245 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 15686; /* *pred_maccv512hf_scalar */

    case 73:
      x3 = XEXP (x2, 2);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 6622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 246 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 2048)))
        return 15592; /* *pred_maddv1024hf_scalar */
      if (!rtx_equal_p (x3, operands[4])
          || !(
#line 6656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 246 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 15688; /* *pred_maccv1024hf_scalar */

    case 74:
      x3 = XEXP (x2, 2);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 6622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 247 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 4096)))
        return 15594; /* *pred_maddv2048hf_scalar */
      if (!rtx_equal_p (x3, operands[4])
          || !(
#line 6656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 247 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 15690; /* *pred_maccv2048hf_scalar */

    case 75:
      x3 = XEXP (x2, 2);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 6622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 248 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return 15596; /* *pred_maddv1sf_scalar */
      if (!rtx_equal_p (x3, operands[4])
          || !(
#line 6656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 248 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 15692; /* *pred_maccv1sf_scalar */

    case 76:
      x3 = XEXP (x2, 2);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 6622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 249 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return 15598; /* *pred_maddv2sf_scalar */
      if (!rtx_equal_p (x3, operands[4])
          || !(
#line 6656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 249 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 15694; /* *pred_maccv2sf_scalar */

    case 77:
      x3 = XEXP (x2, 2);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 6622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 250 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return 15600; /* *pred_maddv4sf_scalar */
      if (!rtx_equal_p (x3, operands[4])
          || !(
#line 6656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 250 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 15696; /* *pred_maccv4sf_scalar */

    case 78:
      x3 = XEXP (x2, 2);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 6622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 251 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return 15602; /* *pred_maddv8sf_scalar */
      if (!rtx_equal_p (x3, operands[4])
          || !(
#line 6656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 251 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 15698; /* *pred_maccv8sf_scalar */

    case 79:
      x3 = XEXP (x2, 2);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 6622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 252 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 64)))
        return 15604; /* *pred_maddv16sf_scalar */
      if (!rtx_equal_p (x3, operands[4])
          || !(
#line 6656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 252 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 15700; /* *pred_maccv16sf_scalar */

    case 80:
      x3 = XEXP (x2, 2);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 6622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 253 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 128)))
        return 15606; /* *pred_maddv32sf_scalar */
      if (!rtx_equal_p (x3, operands[4])
          || !(
#line 6656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 253 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 15702; /* *pred_maccv32sf_scalar */

    case 81:
      x3 = XEXP (x2, 2);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 6622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 254 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 256)))
        return 15608; /* *pred_maddv64sf_scalar */
      if (!rtx_equal_p (x3, operands[4])
          || !(
#line 6656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 254 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 15704; /* *pred_maccv64sf_scalar */

    case 82:
      x3 = XEXP (x2, 2);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 6622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 255 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 512)))
        return 15610; /* *pred_maddv128sf_scalar */
      if (!rtx_equal_p (x3, operands[4])
          || !(
#line 6656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 255 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 15706; /* *pred_maccv128sf_scalar */

    case 83:
      x3 = XEXP (x2, 2);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 6622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 256 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 1024)))
        return 15612; /* *pred_maddv256sf_scalar */
      if (!rtx_equal_p (x3, operands[4])
          || !(
#line 6656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 256 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 15708; /* *pred_maccv256sf_scalar */

    case 84:
      x3 = XEXP (x2, 2);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 6622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 257 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 2048)))
        return 15614; /* *pred_maddv512sf_scalar */
      if (!rtx_equal_p (x3, operands[4])
          || !(
#line 6656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 257 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 15710; /* *pred_maccv512sf_scalar */

    case 85:
      x3 = XEXP (x2, 2);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 6622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 258 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 4096)))
        return 15616; /* *pred_maddv1024sf_scalar */
      if (!rtx_equal_p (x3, operands[4])
          || !(
#line 6656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 258 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 15712; /* *pred_maccv1024sf_scalar */

    case 86:
      x3 = XEXP (x2, 2);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 6622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 259 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return 15618; /* *pred_maddv1df_scalar */
      if (!rtx_equal_p (x3, operands[4])
          || !(
#line 6656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 259 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 15714; /* *pred_maccv1df_scalar */

    case 87:
      x3 = XEXP (x2, 2);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 6622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return 15620; /* *pred_maddv2df_scalar */
      if (!rtx_equal_p (x3, operands[4])
          || !(
#line 6656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 15716; /* *pred_maccv2df_scalar */

    case 88:
      x3 = XEXP (x2, 2);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 6622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 261 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return 15622; /* *pred_maddv4df_scalar */
      if (!rtx_equal_p (x3, operands[4])
          || !(
#line 6656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 261 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 15718; /* *pred_maccv4df_scalar */

    case 89:
      x3 = XEXP (x2, 2);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 6622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 262 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 64)))
        return 15624; /* *pred_maddv8df_scalar */
      if (!rtx_equal_p (x3, operands[4])
          || !(
#line 6656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 262 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 15720; /* *pred_maccv8df_scalar */

    case 90:
      x3 = XEXP (x2, 2);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 6622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 128)))
        return 15626; /* *pred_maddv16df_scalar */
      if (!rtx_equal_p (x3, operands[4])
          || !(
#line 6656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 15722; /* *pred_maccv16df_scalar */

    case 91:
      x3 = XEXP (x2, 2);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 6622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 264 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 256)))
        return 15628; /* *pred_maddv32df_scalar */
      if (!rtx_equal_p (x3, operands[4])
          || !(
#line 6656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 264 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 15724; /* *pred_maccv32df_scalar */

    case 92:
      x3 = XEXP (x2, 2);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 6622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 265 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 512)))
        return 15630; /* *pred_maddv64df_scalar */
      if (!rtx_equal_p (x3, operands[4])
          || !(
#line 6656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 265 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 15726; /* *pred_maccv64df_scalar */

    case 93:
      x3 = XEXP (x2, 2);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 6622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 266 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 1024)))
        return 15632; /* *pred_maddv128df_scalar */
      if (!rtx_equal_p (x3, operands[4])
          || !(
#line 6656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 266 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 15728; /* *pred_maccv128df_scalar */

    case 94:
      x3 = XEXP (x2, 2);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 6622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 267 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 2048)))
        return 15634; /* *pred_maddv256df_scalar */
      if (!rtx_equal_p (x3, operands[4])
          || !(
#line 6656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 267 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 15730; /* *pred_maccv256df_scalar */

    case 95:
      x3 = XEXP (x2, 2);
      if (rtx_equal_p (x3, operands[3])
          && (
#line 6622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 4096)))
        return 15636; /* *pred_maddv512df_scalar */
      if (!rtx_equal_p (x3, operands[4])
          || !(
#line 6656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 15732; /* *pred_maccv512df_scalar */

    case 96:
      return recog_996 (x1, insn, pnum_clobbers);

    case 97:
      return recog_995 (x1, insn, pnum_clobbers);

    case 98:
      return recog_994 (x1, insn, pnum_clobbers);

    case 99:
      return recog_993 (x1, insn, pnum_clobbers);

    case 100:
      return recog_992 (x1, insn, pnum_clobbers);

    case 101:
      if (pattern702 (x2, 
E_RVVM8DFmode, 
E_RVVM4SFmode, 
E_RVVMF8BImode) != 0
          || !(
#line 7176 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 16713; /* pred_widen_mul_addrvvm8df */

    case 102:
      if (pattern702 (x2, 
E_RVVM4DFmode, 
E_RVVM2SFmode, 
E_RVVMF16BImode) != 0
          || !(
#line 7176 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 16715; /* pred_widen_mul_addrvvm4df */

    case 103:
      if (pattern702 (x2, 
E_RVVM2DFmode, 
E_RVVM1SFmode, 
E_RVVMF32BImode) != 0
          || !(
#line 7176 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1030 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 16717; /* pred_widen_mul_addrvvm2df */

    case 104:
      if (pattern702 (x2, 
E_RVVM1DFmode, 
E_RVVMF2SFmode, 
E_RVVMF64BImode) != 0
          || !(
#line 7176 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1030 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 16719; /* pred_widen_mul_addrvvm1df */

    case 105:
      if (pattern702 (x2, 
E_V1SFmode, 
E_V1HFmode, 
E_V1BImode) != 0
          || !(
#line 7176 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1032 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 16721; /* pred_widen_mul_addv1sf */

    case 106:
      if (pattern702 (x2, 
E_V2SFmode, 
E_V2HFmode, 
E_V2BImode) != 0
          || !(
#line 7176 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1033 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 16723; /* pred_widen_mul_addv2sf */

    case 107:
      if (pattern702 (x2, 
E_V4SFmode, 
E_V4HFmode, 
E_V4BImode) != 0
          || !(
#line 7176 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1034 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 16725; /* pred_widen_mul_addv4sf */

    case 108:
      if (pattern702 (x2, 
E_V8SFmode, 
E_V8HFmode, 
E_V8BImode) != 0
          || !(
#line 7176 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1035 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 16727; /* pred_widen_mul_addv8sf */

    case 109:
      if (pattern702 (x2, 
E_V16SFmode, 
E_V16HFmode, 
E_V16BImode) != 0
          || !(
#line 7176 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1036 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 16729; /* pred_widen_mul_addv16sf */

    case 110:
      if (pattern702 (x2, 
E_V32SFmode, 
E_V32HFmode, 
E_V32BImode) != 0
          || !(
#line 7176 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1037 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 16731; /* pred_widen_mul_addv32sf */

    case 111:
      if (pattern702 (x2, 
E_V64SFmode, 
E_V64HFmode, 
E_V64BImode) != 0
          || !(
#line 7176 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1038 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 16733; /* pred_widen_mul_addv64sf */

    case 112:
      if (pattern702 (x2, 
E_V128SFmode, 
E_V128HFmode, 
E_V128BImode) != 0
          || !(
#line 7176 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1039 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 16735; /* pred_widen_mul_addv128sf */

    case 113:
      if (pattern702 (x2, 
E_V256SFmode, 
E_V256HFmode, 
E_V256BImode) != 0
          || !(
#line 7176 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1040 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 16737; /* pred_widen_mul_addv256sf */

    case 114:
      if (pattern702 (x2, 
E_V512SFmode, 
E_V512HFmode, 
E_V512BImode) != 0
          || !(
#line 7176 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1041 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 16739; /* pred_widen_mul_addv512sf */

    case 115:
      if (pattern702 (x2, 
E_V1024SFmode, 
E_V1024HFmode, 
E_V1024BImode) != 0
          || !(
#line 7176 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1042 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 16741; /* pred_widen_mul_addv1024sf */

    case 116:
      if (pattern702 (x2, 
E_V1DFmode, 
E_V1SFmode, 
E_V1BImode) != 0
          || !(
#line 7176 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1043 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 16743; /* pred_widen_mul_addv1df */

    case 117:
      if (pattern702 (x2, 
E_V2DFmode, 
E_V2SFmode, 
E_V2BImode) != 0
          || !(
#line 7176 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1044 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 16745; /* pred_widen_mul_addv2df */

    case 118:
      if (pattern702 (x2, 
E_V4DFmode, 
E_V4SFmode, 
E_V4BImode) != 0
          || !(
#line 7176 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1045 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 16747; /* pred_widen_mul_addv4df */

    case 119:
      if (pattern702 (x2, 
E_V8DFmode, 
E_V8SFmode, 
E_V8BImode) != 0
          || !(
#line 7176 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1046 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 16749; /* pred_widen_mul_addv8df */

    case 120:
      if (pattern702 (x2, 
E_V16DFmode, 
E_V16SFmode, 
E_V16BImode) != 0
          || !(
#line 7176 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1047 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 16751; /* pred_widen_mul_addv16df */

    case 121:
      if (pattern702 (x2, 
E_V32DFmode, 
E_V32SFmode, 
E_V32BImode) != 0
          || !(
#line 7176 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1048 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 16753; /* pred_widen_mul_addv32df */

    case 122:
      if (pattern702 (x2, 
E_V64DFmode, 
E_V64SFmode, 
E_V64BImode) != 0
          || !(
#line 7176 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1049 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 16755; /* pred_widen_mul_addv64df */

    case 123:
      if (pattern702 (x2, 
E_V128DFmode, 
E_V128SFmode, 
E_V128BImode) != 0
          || !(
#line 7176 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1050 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 16757; /* pred_widen_mul_addv128df */

    case 124:
      if (pattern702 (x2, 
E_V256DFmode, 
E_V256SFmode, 
E_V256BImode) != 0
          || !(
#line 7176 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1051 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 16759; /* pred_widen_mul_addv256df */

    case 125:
      if (pattern702 (x2, 
E_V512DFmode, 
E_V512SFmode, 
E_V512BImode) != 0
          || !(
#line 7176 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1052 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 16761; /* pred_widen_mul_addv512df */

    case 126:
      return recog_991 (x1, insn, pnum_clobbers);

    case 127:
      return recog_990 (x1, insn, pnum_clobbers);

    case 128:
      return recog_989 (x1, insn, pnum_clobbers);

    case 129:
      return recog_988 (x1, insn, pnum_clobbers);

    case 130:
      return recog_987 (x1, insn, pnum_clobbers);

    case 131:
      if (pattern704 (x2, 
E_RVVM8DFmode, 
E_RVVM4SFmode, 
E_RVVMF8BImode, 
E_SFmode) != 0
          || !(
#line 7205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 16773; /* pred_widen_mul_addrvvm8df_scalar */

    case 132:
      if (pattern704 (x2, 
E_RVVM4DFmode, 
E_RVVM2SFmode, 
E_RVVMF16BImode, 
E_SFmode) != 0
          || !(
#line 7205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 16775; /* pred_widen_mul_addrvvm4df_scalar */

    case 133:
      if (pattern704 (x2, 
E_RVVM2DFmode, 
E_RVVM1SFmode, 
E_RVVMF32BImode, 
E_SFmode) != 0
          || !(
#line 7205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1030 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 16777; /* pred_widen_mul_addrvvm2df_scalar */

    case 134:
      if (pattern704 (x2, 
E_RVVM1DFmode, 
E_RVVMF2SFmode, 
E_RVVMF64BImode, 
E_SFmode) != 0
          || !(
#line 7205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1030 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 16779; /* pred_widen_mul_addrvvm1df_scalar */

    case 135:
      if (pattern704 (x2, 
E_V1SFmode, 
E_V1HFmode, 
E_V1BImode, 
E_HFmode) != 0
          || !(
#line 7205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1032 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 16781; /* pred_widen_mul_addv1sf_scalar */

    case 136:
      if (pattern704 (x2, 
E_V2SFmode, 
E_V2HFmode, 
E_V2BImode, 
E_HFmode) != 0
          || !(
#line 7205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1033 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 16783; /* pred_widen_mul_addv2sf_scalar */

    case 137:
      if (pattern704 (x2, 
E_V4SFmode, 
E_V4HFmode, 
E_V4BImode, 
E_HFmode) != 0
          || !(
#line 7205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1034 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 16785; /* pred_widen_mul_addv4sf_scalar */

    case 138:
      if (pattern704 (x2, 
E_V8SFmode, 
E_V8HFmode, 
E_V8BImode, 
E_HFmode) != 0
          || !(
#line 7205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1035 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 16787; /* pred_widen_mul_addv8sf_scalar */

    case 139:
      if (pattern704 (x2, 
E_V16SFmode, 
E_V16HFmode, 
E_V16BImode, 
E_HFmode) != 0
          || !(
#line 7205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1036 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 16789; /* pred_widen_mul_addv16sf_scalar */

    case 140:
      if (pattern704 (x2, 
E_V32SFmode, 
E_V32HFmode, 
E_V32BImode, 
E_HFmode) != 0
          || !(
#line 7205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1037 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 16791; /* pred_widen_mul_addv32sf_scalar */

    case 141:
      if (pattern704 (x2, 
E_V64SFmode, 
E_V64HFmode, 
E_V64BImode, 
E_HFmode) != 0
          || !(
#line 7205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1038 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 16793; /* pred_widen_mul_addv64sf_scalar */

    case 142:
      if (pattern704 (x2, 
E_V128SFmode, 
E_V128HFmode, 
E_V128BImode, 
E_HFmode) != 0
          || !(
#line 7205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1039 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 16795; /* pred_widen_mul_addv128sf_scalar */

    case 143:
      if (pattern704 (x2, 
E_V256SFmode, 
E_V256HFmode, 
E_V256BImode, 
E_HFmode) != 0
          || !(
#line 7205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1040 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 16797; /* pred_widen_mul_addv256sf_scalar */

    case 144:
      if (pattern704 (x2, 
E_V512SFmode, 
E_V512HFmode, 
E_V512BImode, 
E_HFmode) != 0
          || !(
#line 7205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1041 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 16799; /* pred_widen_mul_addv512sf_scalar */

    case 145:
      if (pattern704 (x2, 
E_V1024SFmode, 
E_V1024HFmode, 
E_V1024BImode, 
E_HFmode) != 0
          || !(
#line 7205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1042 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 16801; /* pred_widen_mul_addv1024sf_scalar */

    case 146:
      if (pattern704 (x2, 
E_V1DFmode, 
E_V1SFmode, 
E_V1BImode, 
E_SFmode) != 0
          || !(
#line 7205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1043 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 16803; /* pred_widen_mul_addv1df_scalar */

    case 147:
      if (pattern704 (x2, 
E_V2DFmode, 
E_V2SFmode, 
E_V2BImode, 
E_SFmode) != 0
          || !(
#line 7205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1044 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 16805; /* pred_widen_mul_addv2df_scalar */

    case 148:
      if (pattern704 (x2, 
E_V4DFmode, 
E_V4SFmode, 
E_V4BImode, 
E_SFmode) != 0
          || !(
#line 7205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1045 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 16807; /* pred_widen_mul_addv4df_scalar */

    case 149:
      if (pattern704 (x2, 
E_V8DFmode, 
E_V8SFmode, 
E_V8BImode, 
E_SFmode) != 0
          || !(
#line 7205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1046 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 16809; /* pred_widen_mul_addv8df_scalar */

    case 150:
      if (pattern704 (x2, 
E_V16DFmode, 
E_V16SFmode, 
E_V16BImode, 
E_SFmode) != 0
          || !(
#line 7205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1047 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 16811; /* pred_widen_mul_addv16df_scalar */

    case 151:
      if (pattern704 (x2, 
E_V32DFmode, 
E_V32SFmode, 
E_V32BImode, 
E_SFmode) != 0
          || !(
#line 7205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1048 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 16813; /* pred_widen_mul_addv32df_scalar */

    case 152:
      if (pattern704 (x2, 
E_V64DFmode, 
E_V64SFmode, 
E_V64BImode, 
E_SFmode) != 0
          || !(
#line 7205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1049 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 16815; /* pred_widen_mul_addv64df_scalar */

    case 153:
      if (pattern704 (x2, 
E_V128DFmode, 
E_V128SFmode, 
E_V128BImode, 
E_SFmode) != 0
          || !(
#line 7205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1050 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 16817; /* pred_widen_mul_addv128df_scalar */

    case 154:
      if (pattern704 (x2, 
E_V256DFmode, 
E_V256SFmode, 
E_V256BImode, 
E_SFmode) != 0
          || !(
#line 7205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1051 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 16819; /* pred_widen_mul_addv256df_scalar */

    case 155:
      if (pattern704 (x2, 
E_V512DFmode, 
E_V512SFmode, 
E_V512BImode, 
E_SFmode) != 0
          || !(
#line 7205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1052 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 16821; /* pred_widen_mul_addv512df_scalar */

    default:
      return -1;
    }
}

 int
recog_1345 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern576 (x2))
    {
    case 0:
      if (!(
#line 7538 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 17472; /* pred_floatunsrvvm8hf */

    case 1:
      if (!(
#line 7538 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 17474; /* pred_floatunsrvvm4hf */

    case 2:
      if (!(
#line 7698 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1056 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 18006; /* pred_narrow_floatunsrvvm8si */

    case 3:
      if (!(
#line 7538 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 17476; /* pred_floatunsrvvm2hf */

    case 4:
      if (!(
#line 7698 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1056 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 18008; /* pred_narrow_floatunsrvvm4si */

    case 5:
      if (!(
#line 7538 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 17478; /* pred_floatunsrvvm1hf */

    case 6:
      if (!(
#line 7698 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1056 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 18010; /* pred_narrow_floatunsrvvm2si */

    case 7:
      if (!(
#line 7538 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 17480; /* pred_floatunsrvvmf2hf */

    case 8:
      if (!(
#line 7698 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1056 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 18012; /* pred_narrow_floatunsrvvm1si */

    case 9:
      if (!(
#line 7538 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 157 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH && TARGET_MIN_VLEN > 32)))
        return -1;
      return 17482; /* pred_floatunsrvvmf4hf */

    case 10:
      if (!(
#line 7698 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1057 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 18014; /* pred_narrow_floatunsrvvmf2si */

    case 11:
      if (!(
#line 7538 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 17484; /* pred_floatunsrvvm8sf */

    case 12:
      if (!(
#line 7538 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 17486; /* pred_floatunsrvvm4sf */

    case 13:
      if (!(
#line 7698 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1059 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 18016; /* pred_narrow_floatunsrvvm8di */

    case 14:
      if (!(
#line 7538 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 17488; /* pred_floatunsrvvm2sf */

    case 15:
      if (!(
#line 7698 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1060 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 18018; /* pred_narrow_floatunsrvvm4di */

    case 16:
      if (!(
#line 7538 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 17490; /* pred_floatunsrvvm1sf */

    case 17:
      if (!(
#line 7698 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1061 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 18020; /* pred_narrow_floatunsrvvm2di */

    case 18:
      if (!(
#line 7538 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32)))
        return -1;
      return 17492; /* pred_floatunsrvvmf2sf */

    case 19:
      if (!(
#line 7698 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1062 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 18022; /* pred_narrow_floatunsrvvm1di */

    case 20:
      if (!(
#line 7538 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 17494; /* pred_floatunsrvvm8df */

    case 21:
      if (!(
#line 7538 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 17496; /* pred_floatunsrvvm4df */

    case 22:
      if (!(
#line 7538 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 17498; /* pred_floatunsrvvm2df */

    case 23:
      if (!(
#line 7538 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 17500; /* pred_floatunsrvvm1df */

    case 24:
      if (!(
#line 7538 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 236 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HFmode) && TARGET_ZVFH)))
        return -1;
      return 17502; /* pred_floatunsv1hf */

    case 25:
      if (!(
#line 7698 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1064 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode) && TARGET_ZVFH)))
        return -1;
      return 18024; /* pred_narrow_floatunsv1si */

    case 26:
      if (!(
#line 7538 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 237 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HFmode) && TARGET_ZVFH)))
        return -1;
      return 17504; /* pred_floatunsv2hf */

    case 27:
      if (!(
#line 7698 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1065 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode) && TARGET_ZVFH)))
        return -1;
      return 18026; /* pred_narrow_floatunsv2si */

    case 28:
      if (!(
#line 7538 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HFmode) && TARGET_ZVFH)))
        return -1;
      return 17506; /* pred_floatunsv4hf */

    case 29:
      if (!(
#line 7698 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1066 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode) && TARGET_ZVFH)))
        return -1;
      return 18028; /* pred_narrow_floatunsv4si */

    case 30:
      if (!(
#line 7538 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 239 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HFmode) && TARGET_ZVFH)))
        return -1;
      return 17508; /* pred_floatunsv8hf */

    case 31:
      if (!(
#line 7698 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1067 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode) && TARGET_ZVFH)))
        return -1;
      return 18030; /* pred_narrow_floatunsv8si */

    case 32:
      if (!(
#line 7538 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HFmode) && TARGET_ZVFH)))
        return -1;
      return 17510; /* pred_floatunsv16hf */

    case 33:
      if (!(
#line 7698 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1068 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 18032; /* pred_narrow_floatunsv16si */

    case 34:
      if (!(
#line 7538 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 17512; /* pred_floatunsv32hf */

    case 35:
      if (!(
#line 7698 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1069 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 18034; /* pred_narrow_floatunsv32si */

    case 36:
      if (!(
#line 7538 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 242 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 17514; /* pred_floatunsv64hf */

    case 37:
      if (!(
#line 7698 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1070 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 18036; /* pred_narrow_floatunsv64si */

    case 38:
      if (!(
#line 7538 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 243 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 17516; /* pred_floatunsv128hf */

    case 39:
      if (!(
#line 7698 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1071 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 18038; /* pred_narrow_floatunsv128si */

    case 40:
      if (!(
#line 7538 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 244 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 17518; /* pred_floatunsv256hf */

    case 41:
      if (!(
#line 7698 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1072 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 18040; /* pred_narrow_floatunsv256si */

    case 42:
      if (!(
#line 7538 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 245 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 17520; /* pred_floatunsv512hf */

    case 43:
      if (!(
#line 7698 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1073 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 18042; /* pred_narrow_floatunsv512si */

    case 44:
      if (!(
#line 7538 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 246 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 17522; /* pred_floatunsv1024hf */

    case 45:
      if (!(
#line 7698 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 18044; /* pred_narrow_floatunsv1024si */

    case 46:
      if (!(
#line 7538 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 247 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 17524; /* pred_floatunsv2048hf */

    case 47:
      if (!(
#line 7538 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 248 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 17526; /* pred_floatunsv1sf */

    case 48:
      if (!(
#line 7698 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1075 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 18046; /* pred_narrow_floatunsv1di */

    case 49:
      if (!(
#line 7538 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 249 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 17528; /* pred_floatunsv2sf */

    case 50:
      if (!(
#line 7698 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1076 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 18048; /* pred_narrow_floatunsv2di */

    case 51:
      if (!(
#line 7538 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 250 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 17530; /* pred_floatunsv4sf */

    case 52:
      if (!(
#line 7698 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1077 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 18050; /* pred_narrow_floatunsv4di */

    case 53:
      if (!(
#line 7538 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 251 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 17532; /* pred_floatunsv8sf */

    case 54:
      if (!(
#line 7698 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1078 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 18052; /* pred_narrow_floatunsv8di */

    case 55:
      if (!(
#line 7538 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 252 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 17534; /* pred_floatunsv16sf */

    case 56:
      if (!(
#line 7698 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1079 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 18054; /* pred_narrow_floatunsv16di */

    case 57:
      if (!(
#line 7538 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 253 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 17536; /* pred_floatunsv32sf */

    case 58:
      if (!(
#line 7698 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1080 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 18056; /* pred_narrow_floatunsv32di */

    case 59:
      if (!(
#line 7538 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 254 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 17538; /* pred_floatunsv64sf */

    case 60:
      if (!(
#line 7698 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1081 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 18058; /* pred_narrow_floatunsv64di */

    case 61:
      if (!(
#line 7538 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 255 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 17540; /* pred_floatunsv128sf */

    case 62:
      if (!(
#line 7698 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1082 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 18060; /* pred_narrow_floatunsv128di */

    case 63:
      if (!(
#line 7538 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 256 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 17542; /* pred_floatunsv256sf */

    case 64:
      if (!(
#line 7698 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1083 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 18062; /* pred_narrow_floatunsv256di */

    case 65:
      if (!(
#line 7538 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 257 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 17544; /* pred_floatunsv512sf */

    case 66:
      if (!(
#line 7698 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1084 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 18064; /* pred_narrow_floatunsv512di */

    case 67:
      if (!(
#line 7538 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 258 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 17546; /* pred_floatunsv1024sf */

    case 68:
      if (!(
#line 7538 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 259 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 17548; /* pred_floatunsv1df */

    case 69:
      if (!(
#line 7538 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 17550; /* pred_floatunsv2df */

    case 70:
      if (!(
#line 7538 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 261 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 17552; /* pred_floatunsv4df */

    case 71:
      if (!(
#line 7538 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 262 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 17554; /* pred_floatunsv8df */

    case 72:
      if (!(
#line 7538 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 17556; /* pred_floatunsv16df */

    case 73:
      if (!(
#line 7538 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 264 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 17558; /* pred_floatunsv32df */

    case 74:
      if (!(
#line 7538 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 265 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 17560; /* pred_floatunsv64df */

    case 75:
      if (!(
#line 7538 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 266 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 17562; /* pred_floatunsv128df */

    case 76:
      if (!(
#line 7538 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 267 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 17564; /* pred_floatunsv256df */

    case 77:
      if (!(
#line 7538 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 17566; /* pred_floatunsv512df */

    default:
      return -1;
    }
}

 int
recog_1359 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[5] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[6] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[7] = x6;
  x7 = XEXP (x2, 1);
  x8 = XEXP (x7, 0);
  operands[3] = x8;
  x9 = XEXP (x7, 1);
  operands[4] = x9;
  x10 = XEXP (x2, 2);
  if (!rtx_equal_p (x10, operands[1]))
    return -1;
  switch (GET_MODE (operands[3]))
    {
    case E_V64QImode:
      if (!register_operand (operands[3], E_V64QImode)
          || !vector_arith_operand (operands[4], E_V64QImode)
          || !(
#line 4769 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 194 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64QImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 12455; /* *pred_cmpv64qi_merge_tie_mask */

    case E_V64HImode:
      if (!register_operand (operands[3], E_V64HImode)
          || !vector_arith_operand (operands[4], E_V64HImode)
          || !(
#line 4769 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 207 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 12468; /* *pred_cmpv64hi_merge_tie_mask */

    case E_V64SImode:
      if (!register_operand (operands[3], E_V64SImode)
          || !vector_arith_operand (operands[4], E_V64SImode)
          || !(
#line 4769 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 219 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 12480; /* *pred_cmpv64si_merge_tie_mask */

    case E_V64DImode:
      if (!register_operand (operands[3], E_V64DImode)
          || !vector_arith_operand (operands[4], E_V64DImode)
          || !(
#line 4769 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 230 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 12491; /* *pred_cmpv64di_merge_tie_mask */

    default:
      return -1;
    }
}

 int
recog_1365 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (pattern536 (x2, 
E_V512BImode) != 0)
    return -1;
  x3 = XEXP (x2, 1);
  operands[2] = x3;
  if (register_operand (operands[1], E_V512BImode))
    {
      res = recog_1362 (x1, insn, pnum_clobbers);
      if (res >= 0)
        return res;
    }
  operands[3] = x3;
  if (!vector_mask_operand (operands[1], E_V512BImode))
    return -1;
  x4 = XEXP (x2, 0);
  x5 = XVECEXP (x4, 0, 1);
  operands[6] = x5;
  x6 = XVECEXP (x4, 0, 2);
  operands[7] = x6;
  x7 = XVECEXP (x4, 0, 3);
  operands[8] = x7;
  x8 = XEXP (x3, 0);
  operands[4] = x8;
  x9 = XEXP (x3, 1);
  operands[5] = x9;
  x10 = XEXP (x2, 2);
  operands[2] = x10;
  if (!vector_merge_operand (operands[2], E_V512BImode))
    return -1;
  switch (GET_MODE (operands[4]))
    {
    case E_V512QImode:
      if (!register_operand (operands[4], E_V512QImode)
          || !vector_arith_operand (operands[5], E_V512QImode))
        return -1;
      if ((
#line 4793 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_le_one (V512QImode)) && 
#line 197 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512QImode) && TARGET_MIN_VLEN >= 512)))
        return 12526; /* *pred_cmpv512qi */
      if (!(
#line 4814 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_gt_one (V512QImode)) && 
#line 197 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512QImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 12594; /* *pred_cmpv512qi_narrow */

    case E_V512HImode:
      if (!register_operand (operands[4], E_V512HImode)
          || !vector_arith_operand (operands[5], E_V512HImode))
        return -1;
      if ((
#line 4793 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_le_one (V512HImode)) && 
#line 210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
        return 12539; /* *pred_cmpv512hi */
      if (!(
#line 4814 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_gt_one (V512HImode)) && 
#line 210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 12607; /* *pred_cmpv512hi_narrow */

    case E_V512SImode:
      if (!register_operand (operands[4], E_V512SImode)
          || !vector_arith_operand (operands[5], E_V512SImode))
        return -1;
      if ((
#line 4793 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_le_one (V512SImode)) && 
#line 222 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
        return 12551; /* *pred_cmpv512si */
      if (!(
#line 4814 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_gt_one (V512SImode)) && 
#line 222 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 12619; /* *pred_cmpv512si_narrow */

    case E_V512DImode:
      if (!register_operand (operands[4], E_V512DImode)
          || !vector_arith_operand (operands[5], E_V512DImode))
        return -1;
      if ((
#line 4793 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_le_one (V512DImode)) && 
#line 233 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
        return 12562; /* *pred_cmpv512di */
      if (!(
#line 4814 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_gt_one (V512DImode)) && 
#line 233 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 12630; /* *pred_cmpv512di_narrow */

    default:
      return -1;
    }
}

 int
recog_1372 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (pattern536 (x2, 
E_V4BImode) != 0)
    return -1;
  x3 = XEXP (x2, 1);
  operands[2] = x3;
  if (register_operand (operands[1], E_V4BImode))
    {
      res = recog_1355 (x1, insn, pnum_clobbers);
      if (res >= 0)
        return res;
    }
  operands[3] = x3;
  if (!vector_mask_operand (operands[1], E_V4BImode))
    return -1;
  x4 = XEXP (x2, 0);
  x5 = XVECEXP (x4, 0, 1);
  operands[6] = x5;
  x6 = XVECEXP (x4, 0, 2);
  operands[7] = x6;
  x7 = XVECEXP (x4, 0, 3);
  operands[8] = x7;
  x8 = XEXP (x3, 0);
  operands[4] = x8;
  x9 = XEXP (x3, 1);
  operands[5] = x9;
  x10 = XEXP (x2, 2);
  operands[2] = x10;
  if (!vector_merge_operand (operands[2], E_V4BImode))
    return -1;
  switch (GET_MODE (operands[4]))
    {
    case E_V4QImode:
      if (!register_operand (operands[4], E_V4QImode)
          || !vector_arith_operand (operands[5], E_V4QImode))
        return -1;
      if ((
#line 4793 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_le_one (V4QImode)) && 
#line 190 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4QImode))))
        return 12519; /* *pred_cmpv4qi */
      if (!(
#line 4814 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_gt_one (V4QImode)) && 
#line 190 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4QImode))))
        return -1;
      return 12587; /* *pred_cmpv4qi_narrow */

    case E_V4HImode:
      if (!register_operand (operands[4], E_V4HImode)
          || !vector_arith_operand (operands[5], E_V4HImode))
        return -1;
      if ((
#line 4793 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_le_one (V4HImode)) && 
#line 203 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
        return 12532; /* *pred_cmpv4hi */
      if (!(
#line 4814 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_gt_one (V4HImode)) && 
#line 203 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
        return -1;
      return 12600; /* *pred_cmpv4hi_narrow */

    case E_V4SImode:
      if (!register_operand (operands[4], E_V4SImode)
          || !vector_arith_operand (operands[5], E_V4SImode))
        return -1;
      if ((
#line 4793 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_le_one (V4SImode)) && 
#line 215 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
        return 12544; /* *pred_cmpv4si */
      if (!(
#line 4814 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_gt_one (V4SImode)) && 
#line 215 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
        return -1;
      return 12612; /* *pred_cmpv4si_narrow */

    case E_V4DImode:
      if (!register_operand (operands[4], E_V4DImode)
          || !vector_arith_operand (operands[5], E_V4DImode))
        return -1;
      if ((
#line 4793 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_le_one (V4DImode)) && 
#line 226 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
        return 12555; /* *pred_cmpv4di */
      if (!(
#line 4814 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_gt_one (V4DImode)) && 
#line 226 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 12623; /* *pred_cmpv4di_narrow */

    default:
      return -1;
    }
}

 int
recog_1384 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[5] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[6] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[7] = x6;
  x7 = XEXP (x2, 1);
  x8 = XEXP (x7, 0);
  operands[3] = x8;
  x9 = XEXP (x7, 1);
  operands[4] = x9;
  x10 = XEXP (x2, 2);
  if (!rtx_equal_p (x10, operands[1]))
    return -1;
  switch (GET_MODE (operands[3]))
    {
    case E_V16QImode:
      if (!register_operand (operands[3], E_V16QImode)
          || !vector_neg_arith_operand (operands[4], E_V16QImode)
          || !(
#line 4851 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16QImode))))
        return -1;
      return 12657; /* *pred_ltgev16qi_merge_tie_mask */

    case E_V16HImode:
      if (!register_operand (operands[3], E_V16HImode)
          || !vector_neg_arith_operand (operands[4], E_V16HImode)
          || !(
#line 4851 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
        return -1;
      return 12670; /* *pred_ltgev16hi_merge_tie_mask */

    case E_V16SImode:
      if (!register_operand (operands[3], E_V16SImode)
          || !vector_neg_arith_operand (operands[4], E_V16SImode)
          || !(
#line 4851 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 217 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 12682; /* *pred_ltgev16si_merge_tie_mask */

    case E_V16DImode:
      if (!register_operand (operands[3], E_V16DImode)
          || !vector_neg_arith_operand (operands[4], E_V16DImode)
          || !(
#line 4851 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 228 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 12693; /* *pred_ltgev16di_merge_tie_mask */

    default:
      return -1;
    }
}

 int
recog_1391 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[5] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[6] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[7] = x6;
  x7 = XEXP (x2, 1);
  x8 = XEXP (x7, 0);
  operands[3] = x8;
  x9 = XEXP (x7, 1);
  operands[4] = x9;
  x10 = XEXP (x2, 2);
  if (!rtx_equal_p (x10, operands[1]))
    return -1;
  switch (GET_MODE (operands[3]))
    {
    case E_V2048QImode:
      if (!register_operand (operands[3], E_V2048QImode)
          || !vector_neg_arith_operand (operands[4], E_V2048QImode)
          || !(
#line 4851 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 199 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048QImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 12664; /* *pred_ltgev2048qi_merge_tie_mask */

    case E_V2048HImode:
      if (!register_operand (operands[3], E_V2048HImode)
          || !vector_neg_arith_operand (operands[4], E_V2048HImode)
          || !(
#line 4851 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 12677; /* *pred_ltgev2048hi_merge_tie_mask */

    default:
      return -1;
    }
}

 int
recog_1396 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (pattern537 (x2, 
E_V32BImode) != 0)
    return -1;
  x3 = XEXP (x2, 1);
  operands[2] = x3;
  if (register_operand (operands[1], E_V32BImode))
    {
      res = recog_1385 (x1, insn, pnum_clobbers);
      if (res >= 0)
        return res;
    }
  operands[3] = x3;
  if (!vector_mask_operand (operands[1], E_V32BImode))
    return -1;
  x4 = XEXP (x2, 0);
  x5 = XVECEXP (x4, 0, 1);
  operands[6] = x5;
  x6 = XVECEXP (x4, 0, 2);
  operands[7] = x6;
  x7 = XVECEXP (x4, 0, 3);
  operands[8] = x7;
  x8 = XEXP (x3, 0);
  operands[4] = x8;
  x9 = XEXP (x3, 1);
  operands[5] = x9;
  x10 = XEXP (x2, 2);
  operands[2] = x10;
  if (!vector_merge_operand (operands[2], E_V32BImode))
    return -1;
  switch (GET_MODE (operands[4]))
    {
    case E_V32QImode:
      if (!register_operand (operands[4], E_V32QImode)
          || !vector_neg_arith_operand (operands[5], E_V32QImode))
        return -1;
      if ((
#line 4875 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_le_one (V32QImode)) && 
#line 193 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32QImode))))
        return 12726; /* *pred_ltgev32qi */
      if (!(
#line 4896 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_gt_one (V32QImode)) && 
#line 193 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32QImode))))
        return -1;
      return 12794; /* *pred_ltgev32qi_narrow */

    case E_V32HImode:
      if (!register_operand (operands[4], E_V32HImode)
          || !vector_neg_arith_operand (operands[5], E_V32HImode))
        return -1;
      if ((
#line 4875 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_le_one (V32HImode)) && 
#line 206 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
        return 12739; /* *pred_ltgev32hi */
      if (!(
#line 4896 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_gt_one (V32HImode)) && 
#line 206 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 12807; /* *pred_ltgev32hi_narrow */

    case E_V32SImode:
      if (!register_operand (operands[4], E_V32SImode)
          || !vector_neg_arith_operand (operands[5], E_V32SImode))
        return -1;
      if ((
#line 4875 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_le_one (V32SImode)) && 
#line 218 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
        return 12751; /* *pred_ltgev32si */
      if (!(
#line 4896 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_gt_one (V32SImode)) && 
#line 218 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 12819; /* *pred_ltgev32si_narrow */

    case E_V32DImode:
      if (!register_operand (operands[4], E_V32DImode)
          || !vector_neg_arith_operand (operands[5], E_V32DImode))
        return -1;
      if ((
#line 4875 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_le_one (V32DImode)) && 
#line 229 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
        return 12762; /* *pred_ltgev32di */
      if (!(
#line 4896 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_gt_one (V32DImode)) && 
#line 229 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 12830; /* *pred_ltgev32di_narrow */

    default:
      return -1;
    }
}

 int
recog_1405 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[5] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[6] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[7] = x6;
  x7 = XEXP (x2, 1);
  x8 = XEXP (x7, 0);
  operands[3] = x8;
  x9 = XEXP (x7, 1);
  x10 = XEXP (x9, 0);
  operands[4] = x10;
  x11 = XEXP (x2, 2);
  if (!rtx_equal_p (x11, operands[1]))
    return -1;
  switch (GET_MODE (operands[3]))
    {
    case E_RVVMF4QImode:
      if (!register_operand (operands[3], E_RVVMF4QImode)
          || GET_MODE (x9) != E_RVVMF4QImode
          || !register_operand (operands[4], E_QImode)
          || !
#line 4935 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 12840; /* *pred_cmprvvmf4qi_scalar_merge_tie_mask */

    case E_RVVMF2HImode:
      if (!register_operand (operands[3], E_RVVMF2HImode)
          || GET_MODE (x9) != E_RVVMF2HImode
          || !register_operand (operands[4], E_HImode)
          || !
#line 4935 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 12846; /* *pred_cmprvvmf2hi_scalar_merge_tie_mask */

    case E_RVVM1SImode:
      if (!register_operand (operands[3], E_RVVM1SImode)
          || GET_MODE (x9) != E_RVVM1SImode
          || !register_operand (operands[4], E_SImode)
          || !
#line 4935 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 12851; /* *pred_cmprvvm1si_scalar_merge_tie_mask */

    case E_RVVM2DImode:
      if (!register_operand (operands[3], E_RVVM2DImode)
          || GET_MODE (x9) != E_RVVM2DImode
          || !register_operand (operands[4], E_DImode)
          || !(
#line 5045 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 775 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 12999; /* *pred_cmprvvm2di_scalar_merge_tie_mask */

    default:
      return -1;
    }
}

 int
recog_1412 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[5] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[6] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[7] = x6;
  x7 = XEXP (x2, 1);
  x8 = XEXP (x7, 0);
  operands[3] = x8;
  x9 = XEXP (x7, 1);
  x10 = XEXP (x9, 0);
  operands[4] = x10;
  x11 = XEXP (x2, 2);
  if (!rtx_equal_p (x11, operands[1]))
    return -1;
  switch (GET_MODE (operands[3]))
    {
    case E_V32QImode:
      if (!register_operand (operands[3], E_V32QImode)
          || GET_MODE (x9) != E_V32QImode
          || !register_operand (operands[4], E_QImode)
          || !(
#line 4935 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 735 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32QImode))))
        return -1;
      return 12858; /* *pred_cmpv32qi_scalar_merge_tie_mask */

    case E_V32HImode:
      if (!register_operand (operands[3], E_V32HImode)
          || GET_MODE (x9) != E_V32HImode
          || !register_operand (operands[4], E_HImode)
          || !(
#line 4935 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 748 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 12871; /* *pred_cmpv32hi_scalar_merge_tie_mask */

    case E_V32SImode:
      if (!register_operand (operands[3], E_V32SImode)
          || GET_MODE (x9) != E_V32SImode
          || !register_operand (operands[4], E_SImode)
          || !(
#line 4935 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 760 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 12883; /* *pred_cmpv32si_scalar_merge_tie_mask */

    case E_V32DImode:
      if (!register_operand (operands[3], E_V32DImode)
          || GET_MODE (x9) != E_V32DImode
          || !register_operand (operands[4], E_DImode)
          || !(
#line 5045 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 782 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 13006; /* *pred_cmpv32di_scalar_merge_tie_mask */

    default:
      return -1;
    }
}

 int
recog_1419 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (pattern571 (x2, 
E_V512BImode) != 0)
    return -1;
  x3 = XEXP (x2, 1);
  operands[2] = x3;
  if (register_operand (operands[1], E_V512BImode))
    {
      res = recog_1416 (x1, insn, pnum_clobbers);
      if (res >= 0)
        return res;
    }
  operands[3] = x3;
  if (!vector_mask_operand (operands[1], E_V512BImode))
    return -1;
  x4 = XEXP (x2, 0);
  x5 = XVECEXP (x4, 0, 1);
  operands[6] = x5;
  x6 = XVECEXP (x4, 0, 2);
  operands[7] = x6;
  x7 = XVECEXP (x4, 0, 3);
  operands[8] = x7;
  x8 = XEXP (x3, 0);
  operands[4] = x8;
  x9 = XEXP (x3, 1);
  x10 = XEXP (x9, 0);
  operands[5] = x10;
  x11 = XEXP (x2, 2);
  operands[2] = x11;
  if (!vector_merge_operand (operands[2], E_V512BImode))
    return -1;
  switch (GET_MODE (operands[4]))
    {
    case E_V512QImode:
      if (!register_operand (operands[4], E_V512QImode)
          || GET_MODE (x9) != E_V512QImode
          || !register_operand (operands[5], E_QImode))
        return -1;
      if ((
#line 4960 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_le_one (V512QImode)) && 
#line 739 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512QImode) && TARGET_MIN_VLEN >= 512)))
        return 12916; /* *pred_cmpv512qi_scalar */
      if (!(
#line 4982 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_gt_one (V512QImode)) && 
#line 739 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512QImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 12970; /* *pred_cmpv512qi_scalar_narrow */

    case E_V512HImode:
      if (!register_operand (operands[4], E_V512HImode)
          || GET_MODE (x9) != E_V512HImode
          || !register_operand (operands[5], E_HImode))
        return -1;
      if ((
#line 4960 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_le_one (V512HImode)) && 
#line 752 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
        return 12929; /* *pred_cmpv512hi_scalar */
      if (!(
#line 4982 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_gt_one (V512HImode)) && 
#line 752 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 12983; /* *pred_cmpv512hi_scalar_narrow */

    case E_V512SImode:
      if (!register_operand (operands[4], E_V512SImode)
          || GET_MODE (x9) != E_V512SImode
          || !register_operand (operands[5], E_SImode))
        return -1;
      if ((
#line 4960 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_le_one (V512SImode)) && 
#line 764 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
        return 12941; /* *pred_cmpv512si_scalar */
      if (!(
#line 4982 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_gt_one (V512SImode)) && 
#line 764 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 12995; /* *pred_cmpv512si_scalar_narrow */

    case E_V512DImode:
      if (!register_operand (operands[4], E_V512DImode)
          || GET_MODE (x9) != E_V512DImode
          || !register_operand (operands[5], E_DImode))
        return -1;
      if ((
#line 5070 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_le_one (V512DImode)) && 
#line 786 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
        return 13024; /* *pred_cmpv512di_scalar */
      if (!(
#line 5092 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_gt_one (V512DImode)) && 
#line 786 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 13038; /* *pred_cmpv512di_scalar_narrow */

    default:
      return -1;
    }
}

 int
recog_1426 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (pattern571 (x2, 
E_V4BImode) != 0)
    return -1;
  x3 = XEXP (x2, 1);
  operands[2] = x3;
  if (register_operand (operands[1], E_V4BImode))
    {
      res = recog_1409 (x1, insn, pnum_clobbers);
      if (res >= 0)
        return res;
    }
  operands[3] = x3;
  if (!vector_mask_operand (operands[1], E_V4BImode))
    return -1;
  x4 = XEXP (x2, 0);
  x5 = XVECEXP (x4, 0, 1);
  operands[6] = x5;
  x6 = XVECEXP (x4, 0, 2);
  operands[7] = x6;
  x7 = XVECEXP (x4, 0, 3);
  operands[8] = x7;
  x8 = XEXP (x3, 0);
  operands[4] = x8;
  x9 = XEXP (x3, 1);
  x10 = XEXP (x9, 0);
  operands[5] = x10;
  x11 = XEXP (x2, 2);
  operands[2] = x11;
  if (!vector_merge_operand (operands[2], E_V4BImode))
    return -1;
  switch (GET_MODE (operands[4]))
    {
    case E_V4QImode:
      if (!register_operand (operands[4], E_V4QImode)
          || GET_MODE (x9) != E_V4QImode
          || !register_operand (operands[5], E_QImode))
        return -1;
      if ((
#line 4960 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_le_one (V4QImode)) && 
#line 732 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4QImode))))
        return 12909; /* *pred_cmpv4qi_scalar */
      if (!(
#line 4982 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_gt_one (V4QImode)) && 
#line 732 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4QImode))))
        return -1;
      return 12963; /* *pred_cmpv4qi_scalar_narrow */

    case E_V4HImode:
      if (!register_operand (operands[4], E_V4HImode)
          || GET_MODE (x9) != E_V4HImode
          || !register_operand (operands[5], E_HImode))
        return -1;
      if ((
#line 4960 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_le_one (V4HImode)) && 
#line 745 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
        return 12922; /* *pred_cmpv4hi_scalar */
      if (!(
#line 4982 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_gt_one (V4HImode)) && 
#line 745 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
        return -1;
      return 12976; /* *pred_cmpv4hi_scalar_narrow */

    case E_V4SImode:
      if (!register_operand (operands[4], E_V4SImode)
          || GET_MODE (x9) != E_V4SImode
          || !register_operand (operands[5], E_SImode))
        return -1;
      if ((
#line 4960 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_le_one (V4SImode)) && 
#line 757 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
        return 12934; /* *pred_cmpv4si_scalar */
      if (!(
#line 4982 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_gt_one (V4SImode)) && 
#line 757 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
        return -1;
      return 12988; /* *pred_cmpv4si_scalar_narrow */

    case E_V4DImode:
      if (!register_operand (operands[4], E_V4DImode)
          || GET_MODE (x9) != E_V4DImode
          || !register_operand (operands[5], E_DImode))
        return -1;
      if ((
#line 5070 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_le_one (V4DImode)) && 
#line 779 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
        return 13017; /* *pred_cmpv4di_scalar */
      if (!(
#line 5092 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_gt_one (V4DImode)) && 
#line 779 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 13031; /* *pred_cmpv4di_scalar_narrow */

    default:
      return -1;
    }
}

 int
recog_1435 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[5] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[6] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[7] = x6;
  x7 = XEXP (x2, 1);
  x8 = XEXP (x7, 0);
  operands[3] = x8;
  x9 = XEXP (x7, 1);
  operands[4] = x9;
  x10 = XEXP (x2, 2);
  if (!rtx_equal_p (x10, operands[1]))
    return -1;
  switch (GET_MODE (operands[3]))
    {
    case E_RVVMF4HFmode:
      if (!register_operand (operands[3], E_RVVMF4HFmode)
          || !register_operand (operands[4], E_RVVMF4HFmode)
          || !(
#line 7330 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 157 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH && TARGET_MIN_VLEN > 32)))
        return -1;
      return 16996; /* *pred_cmprvvmf4hf_narrow_merge_tie_mask */

    case E_RVVMF2SFmode:
      if (!register_operand (operands[3], E_RVVMF2SFmode)
          || !register_operand (operands[4], E_RVVMF2SFmode)
          || !(
#line 7330 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32)))
        return -1;
      return 17001; /* *pred_cmprvvmf2sf_narrow_merge_tie_mask */

    case E_RVVM1DFmode:
      if (!register_operand (operands[3], E_RVVM1DFmode)
          || !register_operand (operands[4], E_RVVM1DFmode)
          || !(
#line 7330 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 17005; /* *pred_cmprvvm1df_narrow_merge_tie_mask */

    default:
      return -1;
    }
}

 int
recog_1440 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[5] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[6] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[7] = x6;
  x7 = XEXP (x2, 1);
  x8 = XEXP (x7, 0);
  operands[3] = x8;
  x9 = XEXP (x7, 1);
  operands[4] = x9;
  x10 = XEXP (x2, 2);
  if (!rtx_equal_p (x10, operands[1]))
    return -1;
  switch (GET_MODE (operands[3]))
    {
    case E_V16HFmode:
      if (!register_operand (operands[3], E_V16HFmode)
          || !register_operand (operands[4], E_V16HFmode)
          || !(
#line 7330 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HFmode) && TARGET_ZVFH)))
        return -1;
      return 17010; /* *pred_cmpv16hf_narrow_merge_tie_mask */

    case E_V16SFmode:
      if (!register_operand (operands[3], E_V16SFmode)
          || !register_operand (operands[4], E_V16SFmode)
          || !(
#line 7330 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 252 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 17022; /* *pred_cmpv16sf_narrow_merge_tie_mask */

    case E_V16DFmode:
      if (!register_operand (operands[3], E_V16DFmode)
          || !register_operand (operands[4], E_V16DFmode)
          || !(
#line 7330 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 17033; /* *pred_cmpv16df_narrow_merge_tie_mask */

    default:
      return -1;
    }
}

 int
recog_1445 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[5] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[6] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[7] = x6;
  x7 = XEXP (x2, 1);
  x8 = XEXP (x7, 0);
  operands[3] = x8;
  x9 = XEXP (x7, 1);
  operands[4] = x9;
  x10 = XEXP (x2, 2);
  if (!rtx_equal_p (x10, operands[1]))
    return -1;
  switch (GET_MODE (operands[3]))
    {
    case E_V512HFmode:
      if (!register_operand (operands[3], E_V512HFmode)
          || !register_operand (operands[4], E_V512HFmode)
          || !(
#line 7330 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 245 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 17015; /* *pred_cmpv512hf_narrow_merge_tie_mask */

    case E_V512SFmode:
      if (!register_operand (operands[3], E_V512SFmode)
          || !register_operand (operands[4], E_V512SFmode)
          || !(
#line 7330 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 257 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 17027; /* *pred_cmpv512sf_narrow_merge_tie_mask */

    case E_V512DFmode:
      if (!register_operand (operands[3], E_V512DFmode)
          || !register_operand (operands[4], E_V512DFmode)
          || !(
#line 7330 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 17038; /* *pred_cmpv512df_narrow_merge_tie_mask */

    default:
      return -1;
    }
}

 int
recog_1451 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[5] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[6] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[7] = x6;
  x7 = XEXP (x2, 1);
  x8 = XEXP (x7, 0);
  operands[3] = x8;
  x9 = XEXP (x7, 1);
  x10 = XEXP (x9, 0);
  operands[4] = x10;
  x11 = XEXP (x2, 2);
  if (!rtx_equal_p (x11, operands[1]))
    return -1;
  switch (GET_MODE (operands[3]))
    {
    case E_RVVMF4HFmode:
      if (!register_operand (operands[3], E_RVVMF4HFmode)
          || GET_MODE (x9) != E_RVVMF4HFmode
          || !register_operand (operands[4], E_HFmode)
          || !(
#line 7393 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 157 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH && TARGET_MIN_VLEN > 32)))
        return -1;
      return 17092; /* *pred_cmprvvmf4hf_scalar_merge_tie_mask */

    case E_RVVMF2SFmode:
      if (!register_operand (operands[3], E_RVVMF2SFmode)
          || GET_MODE (x9) != E_RVVMF2SFmode
          || !register_operand (operands[4], E_SFmode)
          || !(
#line 7393 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32)))
        return -1;
      return 17097; /* *pred_cmprvvmf2sf_scalar_merge_tie_mask */

    case E_RVVM1DFmode:
      if (!register_operand (operands[3], E_RVVM1DFmode)
          || GET_MODE (x9) != E_RVVM1DFmode
          || !register_operand (operands[4], E_DFmode)
          || !(
#line 7393 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 17101; /* *pred_cmprvvm1df_scalar_merge_tie_mask */

    default:
      return -1;
    }
}

 int
recog_1456 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[5] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[6] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[7] = x6;
  x7 = XEXP (x2, 1);
  x8 = XEXP (x7, 0);
  operands[3] = x8;
  x9 = XEXP (x7, 1);
  x10 = XEXP (x9, 0);
  operands[4] = x10;
  x11 = XEXP (x2, 2);
  if (!rtx_equal_p (x11, operands[1]))
    return -1;
  switch (GET_MODE (operands[3]))
    {
    case E_V16HFmode:
      if (!register_operand (operands[3], E_V16HFmode)
          || GET_MODE (x9) != E_V16HFmode
          || !register_operand (operands[4], E_HFmode)
          || !(
#line 7393 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HFmode) && TARGET_ZVFH)))
        return -1;
      return 17106; /* *pred_cmpv16hf_scalar_merge_tie_mask */

    case E_V16SFmode:
      if (!register_operand (operands[3], E_V16SFmode)
          || GET_MODE (x9) != E_V16SFmode
          || !register_operand (operands[4], E_SFmode)
          || !(
#line 7393 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 252 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 17118; /* *pred_cmpv16sf_scalar_merge_tie_mask */

    case E_V16DFmode:
      if (!register_operand (operands[3], E_V16DFmode)
          || GET_MODE (x9) != E_V16DFmode
          || !register_operand (operands[4], E_DFmode)
          || !(
#line 7393 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 17129; /* *pred_cmpv16df_scalar_merge_tie_mask */

    default:
      return -1;
    }
}

 int
recog_1462 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[5] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[6] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[7] = x6;
  x7 = XEXP (x2, 1);
  x8 = XEXP (x7, 0);
  operands[3] = x8;
  x9 = XEXP (x7, 1);
  x10 = XEXP (x9, 0);
  operands[4] = x10;
  x11 = XEXP (x2, 2);
  if (!rtx_equal_p (x11, operands[1]))
    return -1;
  switch (GET_MODE (operands[3]))
    {
    case E_V1024HFmode:
      if (!register_operand (operands[3], E_V1024HFmode)
          || GET_MODE (x9) != E_V1024HFmode
          || !register_operand (operands[4], E_HFmode)
          || !(
#line 7393 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 246 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 17112; /* *pred_cmpv1024hf_scalar_merge_tie_mask */

    case E_V1024SFmode:
      if (!register_operand (operands[3], E_V1024SFmode)
          || GET_MODE (x9) != E_V1024SFmode
          || !register_operand (operands[4], E_SFmode)
          || !(
#line 7393 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 258 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 17124; /* *pred_cmpv1024sf_scalar_merge_tie_mask */

    default:
      return -1;
    }
}

 int
recog_1467 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (pattern548 (x2, 
E_V32BImode) != 0)
    return -1;
  x3 = XEXP (x2, 1);
  operands[2] = x3;
  if (register_operand (operands[1], E_V32BImode))
    {
      res = recog_1457 (x1, insn, pnum_clobbers);
      if (res >= 0)
        return res;
    }
  operands[3] = x3;
  if (!vector_mask_operand (operands[1], E_V32BImode))
    return -1;
  x4 = XEXP (x2, 0);
  x5 = XVECEXP (x4, 0, 1);
  operands[6] = x5;
  x6 = XVECEXP (x4, 0, 2);
  operands[7] = x6;
  x7 = XVECEXP (x4, 0, 3);
  operands[8] = x7;
  x8 = XEXP (x3, 0);
  operands[4] = x8;
  x9 = XEXP (x3, 1);
  x10 = XEXP (x9, 0);
  operands[5] = x10;
  x11 = XEXP (x2, 2);
  operands[2] = x11;
  if (!vector_merge_operand (operands[2], E_V32BImode))
    return -1;
  switch (GET_MODE (operands[4]))
    {
    case E_V32HFmode:
      if (!register_operand (operands[4], E_V32HFmode)
          || GET_MODE (x9) != E_V32HFmode
          || !register_operand (operands[5], E_HFmode))
        return -1;
      if ((
#line 7418 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_le_one (V32HFmode)) && 
#line 241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 64)))
        return 17155; /* *pred_cmpv32hf_scalar */
      if (!(
#line 7440 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_gt_one (V32HFmode)) && 
#line 241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 17203; /* *pred_cmpv32hf_scalar_narrow */

    case E_V32SFmode:
      if (!register_operand (operands[4], E_V32SFmode)
          || GET_MODE (x9) != E_V32SFmode
          || !register_operand (operands[5], E_SFmode))
        return -1;
      if ((
#line 7418 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_le_one (V32SFmode)) && 
#line 253 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 128)))
        return 17167; /* *pred_cmpv32sf_scalar */
      if (!(
#line 7440 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_gt_one (V32SFmode)) && 
#line 253 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 17215; /* *pred_cmpv32sf_scalar_narrow */

    case E_V32DFmode:
      if (!register_operand (operands[4], E_V32DFmode)
          || GET_MODE (x9) != E_V32DFmode
          || !register_operand (operands[5], E_DFmode))
        return -1;
      if ((
#line 7418 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_le_one (V32DFmode)) && 
#line 264 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 256)))
        return 17178; /* *pred_cmpv32df_scalar */
      if (!(
#line 7440 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_gt_one (V32DFmode)) && 
#line 264 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 17226; /* *pred_cmpv32df_scalar_narrow */

    default:
      return -1;
    }
}

 int
recog_1474 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern219 (x2))
    {
    case 0:
      if (!
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 25981; /* vcond_mask_rvvm8qirvvm1bi */

    case 1:
      if (!
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 25982; /* vcond_mask_rvvm4qirvvmf2bi */

    case 2:
      if (!
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 25983; /* vcond_mask_rvvm2qirvvmf4bi */

    case 3:
      if (!
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 25984; /* vcond_mask_rvvm1qirvvmf8bi */

    case 4:
      if (!
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 25985; /* vcond_mask_rvvm8hirvvmf2bi */

    case 5:
      if (!
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 25986; /* vcond_mask_rvvm4hirvvmf4bi */

    case 6:
      if (!
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 25987; /* vcond_mask_rvvm2hirvvmf8bi */

    case 7:
      if (!
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 25988; /* vcond_mask_rvvm1hirvvmf16bi */

    case 8:
      if (!
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 25989; /* vcond_mask_rvvm8sirvvmf4bi */

    case 9:
      if (!
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 25990; /* vcond_mask_rvvm4sirvvmf8bi */

    case 10:
      if (!
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 25991; /* vcond_mask_rvvm2sirvvmf16bi */

    case 11:
      if (!
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 25992; /* vcond_mask_rvvm1sirvvmf32bi */

    case 12:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 25993; /* vcond_mask_rvvm8dirvvmf8bi */

    case 13:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 25994; /* vcond_mask_rvvm4dirvvmf16bi */

    case 14:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 25995; /* vcond_mask_rvvm2dirvvmf32bi */

    case 15:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 25996; /* vcond_mask_rvvm1dirvvmf64bi */

    case 16:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
        return -1;
      return 25997; /* vcond_mask_rvvmf2qirvvmf16bi */

    case 17:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
        return -1;
      return 25998; /* vcond_mask_rvvmf4qirvvmf32bi */

    case 18:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && (
#line 131 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
        return -1;
      return 25999; /* vcond_mask_rvvmf8qirvvmf64bi */

    case 19:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
        return -1;
      return 26000; /* vcond_mask_rvvmf2hirvvmf32bi */

    case 20:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && (
#line 132 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
        return -1;
      return 26001; /* vcond_mask_rvvmf4hirvvmf64bi */

    case 21:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && (
#line 133 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
        return -1;
      return 26002; /* vcond_mask_rvvmf2sirvvmf64bi */

    case 22:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 167 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 26003; /* vcond_mask_rvvm8bfrvvmf2bi */

    case 23:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 168 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 26004; /* vcond_mask_rvvm4bfrvvmf4bi */

    case 24:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 169 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 26005; /* vcond_mask_rvvm2bfrvvmf8bi */

    case 25:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 26006; /* vcond_mask_rvvm1bfrvvmf16bi */

    case 26:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 171 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 26007; /* vcond_mask_rvvmf2bfrvvmf32bi */

    case 27:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 172 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16 && TARGET_MIN_VLEN > 32)))
        return -1;
      return 26008; /* vcond_mask_rvvmf4bfrvvmf64bi */

    case 28:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 176 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 26009; /* vcond_mask_rvvm8hfrvvmf2bi */

    case 29:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 176 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 26010; /* vcond_mask_rvvm4hfrvvmf4bi */

    case 30:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 176 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 26011; /* vcond_mask_rvvm2hfrvvmf8bi */

    case 31:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 177 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 26012; /* vcond_mask_rvvm1hfrvvmf16bi */

    case 32:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 177 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 26013; /* vcond_mask_rvvmf2hfrvvmf32bi */

    case 33:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 178 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN > 32)))
        return -1;
      return 26014; /* vcond_mask_rvvmf4hfrvvmf64bi */

    case 34:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 180 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 26015; /* vcond_mask_rvvm8sfrvvmf4bi */

    case 35:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 180 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 26016; /* vcond_mask_rvvm4sfrvvmf8bi */

    case 36:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 180 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 26017; /* vcond_mask_rvvm2sfrvvmf16bi */

    case 37:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 181 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 26018; /* vcond_mask_rvvm1sfrvvmf32bi */

    case 38:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 181 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32)))
        return -1;
      return 26019; /* vcond_mask_rvvmf2sfrvvmf64bi */

    case 39:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 183 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 26020; /* vcond_mask_rvvm8dfrvvmf8bi */

    case 40:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 183 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 26021; /* vcond_mask_rvvm4dfrvvmf16bi */

    case 41:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 184 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 26022; /* vcond_mask_rvvm2dfrvvmf32bi */

    case 42:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 184 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 26023; /* vcond_mask_rvvm1dfrvvmf64bi */

    case 43:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 188 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1QImode))))
        return -1;
      return 26024; /* vcond_mask_v1qiv1bi */

    case 44:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 189 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2QImode))))
        return -1;
      return 26025; /* vcond_mask_v2qiv2bi */

    case 45:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 190 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4QImode))))
        return -1;
      return 26026; /* vcond_mask_v4qiv4bi */

    case 46:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 191 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8QImode))))
        return -1;
      return 26027; /* vcond_mask_v8qiv8bi */

    case 47:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16QImode))))
        return -1;
      return 26028; /* vcond_mask_v16qiv16bi */

    case 48:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 193 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32QImode))))
        return -1;
      return 26029; /* vcond_mask_v32qiv32bi */

    case 49:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 194 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64QImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 26030; /* vcond_mask_v64qiv64bi */

    case 50:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 195 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128QImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 26031; /* vcond_mask_v128qiv128bi */

    case 51:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 196 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256QImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 26032; /* vcond_mask_v256qiv256bi */

    case 52:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 197 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512QImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 26033; /* vcond_mask_v512qiv512bi */

    case 53:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 198 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024QImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 26034; /* vcond_mask_v1024qiv1024bi */

    case 54:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 199 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048QImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 26035; /* vcond_mask_v2048qiv2048bi */

    case 55:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 200 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4096QImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 26036; /* vcond_mask_v4096qiv4096bi */

    case 56:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 201 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
        return -1;
      return 26037; /* vcond_mask_v1hiv1bi */

    case 57:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
        return -1;
      return 26038; /* vcond_mask_v2hiv2bi */

    case 58:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 203 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
        return -1;
      return 26039; /* vcond_mask_v4hiv4bi */

    case 59:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 204 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
        return -1;
      return 26040; /* vcond_mask_v8hiv8bi */

    case 60:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
        return -1;
      return 26041; /* vcond_mask_v16hiv16bi */

    case 61:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 206 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 26042; /* vcond_mask_v32hiv32bi */

    case 62:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 207 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 26043; /* vcond_mask_v64hiv64bi */

    case 63:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 208 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 26044; /* vcond_mask_v128hiv128bi */

    case 64:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 209 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 26045; /* vcond_mask_v256hiv256bi */

    case 65:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 26046; /* vcond_mask_v512hiv512bi */

    case 66:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 211 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 26047; /* vcond_mask_v1024hiv1024bi */

    case 67:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 26048; /* vcond_mask_v2048hiv2048bi */

    case 68:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 213 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
        return -1;
      return 26049; /* vcond_mask_v1siv1bi */

    case 69:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
        return -1;
      return 26050; /* vcond_mask_v2siv2bi */

    case 70:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 215 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
        return -1;
      return 26051; /* vcond_mask_v4siv4bi */

    case 71:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 216 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
        return -1;
      return 26052; /* vcond_mask_v8siv8bi */

    case 72:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 217 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 26053; /* vcond_mask_v16siv16bi */

    case 73:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 218 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 26054; /* vcond_mask_v32siv32bi */

    case 74:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 219 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 26055; /* vcond_mask_v64siv64bi */

    case 75:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 220 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 26056; /* vcond_mask_v128siv128bi */

    case 76:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 26057; /* vcond_mask_v256siv256bi */

    case 77:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 222 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 26058; /* vcond_mask_v512siv512bi */

    case 78:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 223 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 26059; /* vcond_mask_v1024siv1024bi */

    case 79:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 224 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 26060; /* vcond_mask_v1div1bi */

    case 80:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 225 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 26061; /* vcond_mask_v2div2bi */

    case 81:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 226 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 26062; /* vcond_mask_v4div4bi */

    case 82:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 227 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 26063; /* vcond_mask_v8div8bi */

    case 83:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 228 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 26064; /* vcond_mask_v16div16bi */

    case 84:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 229 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 26065; /* vcond_mask_v32div32bi */

    case 85:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 230 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 26066; /* vcond_mask_v64div64bi */

    case 86:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 26067; /* vcond_mask_v128div128bi */

    case 87:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 232 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 26068; /* vcond_mask_v256div256bi */

    case 88:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 233 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 26069; /* vcond_mask_v512div512bi */

    case 89:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 272 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HFmode) && TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 26070; /* vcond_mask_v1hfv1bi */

    case 90:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 273 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HFmode) && TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 26071; /* vcond_mask_v2hfv2bi */

    case 91:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 274 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HFmode) && TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 26072; /* vcond_mask_v4hfv4bi */

    case 92:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 275 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HFmode) && TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 26073; /* vcond_mask_v8hfv8bi */

    case 93:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 276 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HFmode) && TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 26074; /* vcond_mask_v16hfv16bi */

    case 94:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 277 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 26075; /* vcond_mask_v32hfv32bi */

    case 95:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 278 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 26076; /* vcond_mask_v64hfv64bi */

    case 96:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 279 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 26077; /* vcond_mask_v128hfv128bi */

    case 97:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 280 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 26078; /* vcond_mask_v256hfv256bi */

    case 98:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 281 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 26079; /* vcond_mask_v512hfv512bi */

    case 99:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 282 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 26080; /* vcond_mask_v1024hfv1024bi */

    case 100:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 26081; /* vcond_mask_v2048hfv2048bi */

    case 101:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 284 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 26082; /* vcond_mask_v1sfv1bi */

    case 102:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 285 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 26083; /* vcond_mask_v2sfv2bi */

    case 103:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 286 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 26084; /* vcond_mask_v4sfv4bi */

    case 104:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 287 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 26085; /* vcond_mask_v8sfv8bi */

    case 105:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 288 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 26086; /* vcond_mask_v16sfv16bi */

    case 106:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 289 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 26087; /* vcond_mask_v32sfv32bi */

    case 107:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 290 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 26088; /* vcond_mask_v64sfv64bi */

    case 108:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 291 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 26089; /* vcond_mask_v128sfv128bi */

    case 109:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 292 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 26090; /* vcond_mask_v256sfv256bi */

    case 110:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 293 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 26091; /* vcond_mask_v512sfv512bi */

    case 111:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 294 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 26092; /* vcond_mask_v1024sfv1024bi */

    case 112:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 295 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 26093; /* vcond_mask_v1dfv1bi */

    case 113:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 296 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 26094; /* vcond_mask_v2dfv2bi */

    case 114:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 297 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 26095; /* vcond_mask_v4dfv4bi */

    case 115:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 298 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 26096; /* vcond_mask_v8dfv8bi */

    case 116:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 299 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 26097; /* vcond_mask_v16dfv16bi */

    case 117:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 300 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 26098; /* vcond_mask_v32dfv32bi */

    case 118:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 301 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 26099; /* vcond_mask_v64dfv64bi */

    case 119:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 302 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 26100; /* vcond_mask_v128dfv128bi */

    case 120:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 303 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 26101; /* vcond_mask_v256dfv256bi */

    case 121:
      if (!(
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 304 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 26102; /* vcond_mask_v512dfv512bi */

    case 122:
      if (!(
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 28328; /* *cond_absrvvm8hf */

    case 123:
      if (!(
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 28329; /* *cond_absrvvm4hf */

    case 124:
      if (!(
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 28330; /* *cond_absrvvm2hf */

    case 125:
      if (!(
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 28331; /* *cond_absrvvm1hf */

    case 126:
      if (!(
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 28332; /* *cond_absrvvmf2hf */

    case 127:
      if (!(
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 157 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH && TARGET_MIN_VLEN > 32)))
        return -1;
      return 28333; /* *cond_absrvvmf4hf */

    case 128:
      if (!(
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 28334; /* *cond_absrvvm8sf */

    case 129:
      if (!(
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 28335; /* *cond_absrvvm4sf */

    case 130:
      if (!(
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 28336; /* *cond_absrvvm2sf */

    case 131:
      if (!(
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 28337; /* *cond_absrvvm1sf */

    case 132:
      if (!(
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32)))
        return -1;
      return 28338; /* *cond_absrvvmf2sf */

    case 133:
      if (!(
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 28339; /* *cond_absrvvm8df */

    case 134:
      if (!(
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 28340; /* *cond_absrvvm4df */

    case 135:
      if (!(
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 28341; /* *cond_absrvvm2df */

    case 136:
      if (!(
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 28342; /* *cond_absrvvm1df */

    case 137:
      if (!(
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 236 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HFmode) && TARGET_ZVFH)))
        return -1;
      return 28343; /* *cond_absv1hf */

    case 138:
      if (!(
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 237 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HFmode) && TARGET_ZVFH)))
        return -1;
      return 28344; /* *cond_absv2hf */

    case 139:
      if (!(
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HFmode) && TARGET_ZVFH)))
        return -1;
      return 28345; /* *cond_absv4hf */

    case 140:
      if (!(
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 239 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HFmode) && TARGET_ZVFH)))
        return -1;
      return 28346; /* *cond_absv8hf */

    case 141:
      if (!(
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HFmode) && TARGET_ZVFH)))
        return -1;
      return 28347; /* *cond_absv16hf */

    case 142:
      if (!(
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 28348; /* *cond_absv32hf */

    case 143:
      if (!(
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 242 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 28349; /* *cond_absv64hf */

    case 144:
      if (!(
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 243 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 28350; /* *cond_absv128hf */

    case 145:
      if (!(
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 244 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 28351; /* *cond_absv256hf */

    case 146:
      if (!(
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 245 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 28352; /* *cond_absv512hf */

    case 147:
      if (!(
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 246 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 28353; /* *cond_absv1024hf */

    case 148:
      if (!(
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 247 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 28354; /* *cond_absv2048hf */

    case 149:
      if (!(
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 248 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 28355; /* *cond_absv1sf */

    case 150:
      if (!(
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 249 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 28356; /* *cond_absv2sf */

    case 151:
      if (!(
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 250 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 28357; /* *cond_absv4sf */

    case 152:
      if (!(
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 251 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 28358; /* *cond_absv8sf */

    case 153:
      if (!(
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 252 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 28359; /* *cond_absv16sf */

    case 154:
      if (!(
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 253 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 28360; /* *cond_absv32sf */

    case 155:
      if (!(
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 254 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 28361; /* *cond_absv64sf */

    case 156:
      if (!(
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 255 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 28362; /* *cond_absv128sf */

    case 157:
      if (!(
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 256 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 28363; /* *cond_absv256sf */

    case 158:
      if (!(
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 257 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 28364; /* *cond_absv512sf */

    case 159:
      if (!(
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 258 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 28365; /* *cond_absv1024sf */

    case 160:
      if (!(
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 259 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 28366; /* *cond_absv1df */

    case 161:
      if (!(
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 28367; /* *cond_absv2df */

    case 162:
      if (!(
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 261 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 28368; /* *cond_absv4df */

    case 163:
      if (!(
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 262 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 28369; /* *cond_absv8df */

    case 164:
      if (!(
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 28370; /* *cond_absv16df */

    case 165:
      if (!(
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 264 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 28371; /* *cond_absv32df */

    case 166:
      if (!(
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 265 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 28372; /* *cond_absv64df */

    case 167:
      if (!(
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 266 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 28373; /* *cond_absv128df */

    case 168:
      if (!(
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 267 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 28374; /* *cond_absv256df */

    case 169:
      if (!(
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 28375; /* *cond_absv512df */

    case 170:
      if (!(
#line 126 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 28376; /* *cond_sqrtrvvm8hf */

    case 171:
      if (!(
#line 126 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 28377; /* *cond_sqrtrvvm4hf */

    case 172:
      if (!(
#line 126 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 28378; /* *cond_sqrtrvvm2hf */

    case 173:
      if (!(
#line 126 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 28379; /* *cond_sqrtrvvm1hf */

    case 174:
      if (!(
#line 126 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 28380; /* *cond_sqrtrvvmf2hf */

    case 175:
      if (!(
#line 126 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 157 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH && TARGET_MIN_VLEN > 32)))
        return -1;
      return 28381; /* *cond_sqrtrvvmf4hf */

    case 176:
      if (!(
#line 126 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 28382; /* *cond_sqrtrvvm8sf */

    case 177:
      if (!(
#line 126 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 28383; /* *cond_sqrtrvvm4sf */

    case 178:
      if (!(
#line 126 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 28384; /* *cond_sqrtrvvm2sf */

    case 179:
      if (!(
#line 126 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 28385; /* *cond_sqrtrvvm1sf */

    case 180:
      if (!(
#line 126 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32)))
        return -1;
      return 28386; /* *cond_sqrtrvvmf2sf */

    case 181:
      if (!(
#line 126 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 28387; /* *cond_sqrtrvvm8df */

    case 182:
      if (!(
#line 126 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 28388; /* *cond_sqrtrvvm4df */

    case 183:
      if (!(
#line 126 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 28389; /* *cond_sqrtrvvm2df */

    case 184:
      if (!(
#line 126 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 28390; /* *cond_sqrtrvvm1df */

    case 185:
      if (!(
#line 126 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 236 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HFmode) && TARGET_ZVFH)))
        return -1;
      return 28391; /* *cond_sqrtv1hf */

    case 186:
      if (!(
#line 126 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 237 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HFmode) && TARGET_ZVFH)))
        return -1;
      return 28392; /* *cond_sqrtv2hf */

    case 187:
      if (!(
#line 126 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HFmode) && TARGET_ZVFH)))
        return -1;
      return 28393; /* *cond_sqrtv4hf */

    case 188:
      if (!(
#line 126 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 239 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HFmode) && TARGET_ZVFH)))
        return -1;
      return 28394; /* *cond_sqrtv8hf */

    case 189:
      if (!(
#line 126 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HFmode) && TARGET_ZVFH)))
        return -1;
      return 28395; /* *cond_sqrtv16hf */

    case 190:
      if (!(
#line 126 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 28396; /* *cond_sqrtv32hf */

    case 191:
      if (!(
#line 126 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 242 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 28397; /* *cond_sqrtv64hf */

    case 192:
      if (!(
#line 126 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 243 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 28398; /* *cond_sqrtv128hf */

    case 193:
      if (!(
#line 126 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 244 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 28399; /* *cond_sqrtv256hf */

    case 194:
      if (!(
#line 126 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 245 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 28400; /* *cond_sqrtv512hf */

    case 195:
      if (!(
#line 126 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 246 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 28401; /* *cond_sqrtv1024hf */

    case 196:
      if (!(
#line 126 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 247 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 28402; /* *cond_sqrtv2048hf */

    case 197:
      if (!(
#line 126 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 248 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 28403; /* *cond_sqrtv1sf */

    case 198:
      if (!(
#line 126 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 249 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 28404; /* *cond_sqrtv2sf */

    case 199:
      if (!(
#line 126 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 250 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 28405; /* *cond_sqrtv4sf */

    case 200:
      if (!(
#line 126 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 251 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 28406; /* *cond_sqrtv8sf */

    case 201:
      if (!(
#line 126 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 252 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 28407; /* *cond_sqrtv16sf */

    case 202:
      if (!(
#line 126 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 253 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 28408; /* *cond_sqrtv32sf */

    case 203:
      if (!(
#line 126 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 254 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 28409; /* *cond_sqrtv64sf */

    case 204:
      if (!(
#line 126 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 255 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 28410; /* *cond_sqrtv128sf */

    case 205:
      if (!(
#line 126 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 256 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 28411; /* *cond_sqrtv256sf */

    case 206:
      if (!(
#line 126 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 257 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 28412; /* *cond_sqrtv512sf */

    case 207:
      if (!(
#line 126 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 258 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 28413; /* *cond_sqrtv1024sf */

    case 208:
      if (!(
#line 126 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 259 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 28414; /* *cond_sqrtv1df */

    case 209:
      if (!(
#line 126 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 28415; /* *cond_sqrtv2df */

    case 210:
      if (!(
#line 126 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 261 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 28416; /* *cond_sqrtv4df */

    case 211:
      if (!(
#line 126 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 262 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 28417; /* *cond_sqrtv8df */

    case 212:
      if (!(
#line 126 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 28418; /* *cond_sqrtv16df */

    case 213:
      if (!(
#line 126 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 264 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 28419; /* *cond_sqrtv32df */

    case 214:
      if (!(
#line 126 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 265 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 28420; /* *cond_sqrtv64df */

    case 215:
      if (!(
#line 126 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 266 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 28421; /* *cond_sqrtv128df */

    case 216:
      if (!(
#line 126 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 267 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 28422; /* *cond_sqrtv256df */

    case 217:
      if (!(
#line 126 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 28423; /* *cond_sqrtv512df */

    case 218:
      if (!
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 28424; /* *cond_extendrvvm4qirvvm8hi */

    case 219:
      if (!
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 28426; /* *cond_extendrvvm2qirvvm4hi */

    case 220:
      if (!
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 28428; /* *cond_extendrvvm1qirvvm2hi */

    case 221:
      if (!
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 28430; /* *cond_extendrvvmf2qirvvm1hi */

    case 222:
      if (!
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 28432; /* *cond_extendrvvmf4qirvvmf2hi */

    case 223:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 946 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 28434; /* *cond_extendrvvmf8qirvvmf4hi */

    case 224:
      if (!
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 28436; /* *cond_extendrvvm4hirvvm8si */

    case 225:
      if (!
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 28520; /* *cond_extendrvvm2qirvvm8si */

    case 226:
      if (!
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 28438; /* *cond_extendrvvm2hirvvm4si */

    case 227:
      if (!
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 28522; /* *cond_extendrvvm1qirvvm4si */

    case 228:
      if (!
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 28440; /* *cond_extendrvvm1hirvvm2si */

    case 229:
      if (!
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 28524; /* *cond_extendrvvmf2qirvvm2si */

    case 230:
      if (!
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 28442; /* *cond_extendrvvmf2hirvvm1si */

    case 231:
      if (!
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 28526; /* *cond_extendrvvmf4qirvvm1si */

    case 232:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 948 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 28444; /* *cond_extendrvvmf4hirvvmf2si */

    case 233:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1106 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 28528; /* *cond_extendrvvmf8qirvvmf2si */

    case 234:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 28446; /* *cond_extendrvvm4sirvvm8di */

    case 235:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1108 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 28530; /* *cond_extendrvvm2hirvvm8di */

    case 236:
      if (!(
#line 184 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1151 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 28580; /* *cond_extendrvvm1qirvvm8di */

    case 237:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 28448; /* *cond_extendrvvm2sirvvm4di */

    case 238:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1108 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 28532; /* *cond_extendrvvm1hirvvm4di */

    case 239:
      if (!(
#line 184 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1151 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 28582; /* *cond_extendrvvmf2qirvvm4di */

    case 240:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 28450; /* *cond_extendrvvm1sirvvm2di */

    case 241:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1109 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 28534; /* *cond_extendrvvmf2hirvvm2di */

    case 242:
      if (!(
#line 184 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1152 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 28584; /* *cond_extendrvvmf4qirvvm2di */

    case 243:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 28452; /* *cond_extendrvvmf2sirvvm1di */

    case 244:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1109 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 28536; /* *cond_extendrvvmf4hirvvm1di */

    case 245:
      if (!(
#line 184 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1152 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 28586; /* *cond_extendrvvmf8qirvvm1di */

    case 246:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 953 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
        return -1;
      return 28454; /* *cond_extendv1qiv1hi */

    case 247:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 954 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
        return -1;
      return 28456; /* *cond_extendv2qiv2hi */

    case 248:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
        return -1;
      return 28458; /* *cond_extendv4qiv4hi */

    case 249:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 956 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
        return -1;
      return 28460; /* *cond_extendv8qiv8hi */

    case 250:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 957 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
        return -1;
      return 28462; /* *cond_extendv16qiv16hi */

    case 251:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 958 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 28464; /* *cond_extendv32qiv32hi */

    case 252:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 959 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 28466; /* *cond_extendv64qiv64hi */

    case 253:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 960 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 28468; /* *cond_extendv128qiv128hi */

    case 254:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 961 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 28470; /* *cond_extendv256qiv256hi */

    case 255:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 962 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 28472; /* *cond_extendv512qiv512hi */

    case 256:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 963 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 28474; /* *cond_extendv1024qiv1024hi */

    case 257:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 28476; /* *cond_extendv2048qiv2048hi */

    case 258:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 965 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
        return -1;
      return 28478; /* *cond_extendv1hiv1si */

    case 259:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1111 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
        return -1;
      return 28538; /* *cond_extendv1qiv1si */

    case 260:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 966 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
        return -1;
      return 28480; /* *cond_extendv2hiv2si */

    case 261:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1112 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
        return -1;
      return 28540; /* *cond_extendv2qiv2si */

    case 262:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 967 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
        return -1;
      return 28482; /* *cond_extendv4hiv4si */

    case 263:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1113 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
        return -1;
      return 28542; /* *cond_extendv4qiv4si */

    case 264:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 968 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
        return -1;
      return 28484; /* *cond_extendv8hiv8si */

    case 265:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1114 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
        return -1;
      return 28544; /* *cond_extendv8qiv8si */

    case 266:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 969 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 28486; /* *cond_extendv16hiv16si */

    case 267:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1115 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 28546; /* *cond_extendv16qiv16si */

    case 268:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 970 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 28488; /* *cond_extendv32hiv32si */

    case 269:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1116 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 28548; /* *cond_extendv32qiv32si */

    case 270:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 28490; /* *cond_extendv64hiv64si */

    case 271:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1117 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 28550; /* *cond_extendv64qiv64si */

    case 272:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 972 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 28492; /* *cond_extendv128hiv128si */

    case 273:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1118 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 28552; /* *cond_extendv128qiv128si */

    case 274:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 973 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 28494; /* *cond_extendv256hiv256si */

    case 275:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1119 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 28554; /* *cond_extendv256qiv256si */

    case 276:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 974 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 28496; /* *cond_extendv512hiv512si */

    case 277:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1120 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 28556; /* *cond_extendv512qiv512si */

    case 278:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 28498; /* *cond_extendv1024hiv1024si */

    case 279:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 28558; /* *cond_extendv1024qiv1024si */

    case 280:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 976 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 28500; /* *cond_extendv1siv1di */

    case 281:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1122 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 28560; /* *cond_extendv1hiv1di */

    case 282:
      if (!(
#line 184 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1154 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 28588; /* *cond_extendv1qiv1di */

    case 283:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 28502; /* *cond_extendv2siv2di */

    case 284:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 28562; /* *cond_extendv2hiv2di */

    case 285:
      if (!(
#line 184 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 28590; /* *cond_extendv2qiv2di */

    case 286:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 978 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 28504; /* *cond_extendv4siv4di */

    case 287:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1124 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 28564; /* *cond_extendv4hiv4di */

    case 288:
      if (!(
#line 184 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 28592; /* *cond_extendv4qiv4di */

    case 289:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 979 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 28506; /* *cond_extendv8siv8di */

    case 290:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1125 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 28566; /* *cond_extendv8hiv8di */

    case 291:
      if (!(
#line 184 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1157 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 28594; /* *cond_extendv8qiv8di */

    case 292:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 980 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 28508; /* *cond_extendv16siv16di */

    case 293:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1126 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 28568; /* *cond_extendv16hiv16di */

    case 294:
      if (!(
#line 184 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1158 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 28596; /* *cond_extendv16qiv16di */

    case 295:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 981 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 28510; /* *cond_extendv32siv32di */

    case 296:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1127 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 28570; /* *cond_extendv32hiv32di */

    case 297:
      if (!(
#line 184 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 28598; /* *cond_extendv32qiv32di */

    case 298:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 982 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 28512; /* *cond_extendv64siv64di */

    case 299:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1128 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 28572; /* *cond_extendv64hiv64di */

    case 300:
      if (!(
#line 184 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 28600; /* *cond_extendv64qiv64di */

    case 301:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 28514; /* *cond_extendv128siv128di */

    case 302:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1129 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 28574; /* *cond_extendv128hiv128di */

    case 303:
      if (!(
#line 184 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1161 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 28602; /* *cond_extendv128qiv128di */

    case 304:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 984 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 28516; /* *cond_extendv256siv256di */

    case 305:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1130 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 28576; /* *cond_extendv256hiv256di */

    case 306:
      if (!(
#line 184 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 28604; /* *cond_extendv256qiv256di */

    case 307:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 985 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 28518; /* *cond_extendv512siv512di */

    case 308:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1131 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 28578; /* *cond_extendv512hiv512di */

    case 309:
      if (!(
#line 184 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 28606; /* *cond_extendv512qiv512di */

    case 310:
      if (!
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 28425; /* *cond_zero_extendrvvm4qirvvm8hi */

    case 311:
      if (!
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 28427; /* *cond_zero_extendrvvm2qirvvm4hi */

    case 312:
      if (!
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 28429; /* *cond_zero_extendrvvm1qirvvm2hi */

    case 313:
      if (!
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 28431; /* *cond_zero_extendrvvmf2qirvvm1hi */

    case 314:
      if (!
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 28433; /* *cond_zero_extendrvvmf4qirvvmf2hi */

    case 315:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 946 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 28435; /* *cond_zero_extendrvvmf8qirvvmf4hi */

    case 316:
      if (!
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 28437; /* *cond_zero_extendrvvm4hirvvm8si */

    case 317:
      if (!
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 28521; /* *cond_zero_extendrvvm2qirvvm8si */

    case 318:
      if (!
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 28439; /* *cond_zero_extendrvvm2hirvvm4si */

    case 319:
      if (!
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 28523; /* *cond_zero_extendrvvm1qirvvm4si */

    case 320:
      if (!
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 28441; /* *cond_zero_extendrvvm1hirvvm2si */

    case 321:
      if (!
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 28525; /* *cond_zero_extendrvvmf2qirvvm2si */

    case 322:
      if (!
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 28443; /* *cond_zero_extendrvvmf2hirvvm1si */

    case 323:
      if (!
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 28527; /* *cond_zero_extendrvvmf4qirvvm1si */

    case 324:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 948 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 28445; /* *cond_zero_extendrvvmf4hirvvmf2si */

    case 325:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1106 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 28529; /* *cond_zero_extendrvvmf8qirvvmf2si */

    case 326:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 28447; /* *cond_zero_extendrvvm4sirvvm8di */

    case 327:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1108 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 28531; /* *cond_zero_extendrvvm2hirvvm8di */

    case 328:
      if (!(
#line 184 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1151 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 28581; /* *cond_zero_extendrvvm1qirvvm8di */

    case 329:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 28449; /* *cond_zero_extendrvvm2sirvvm4di */

    case 330:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1108 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 28533; /* *cond_zero_extendrvvm1hirvvm4di */

    case 331:
      if (!(
#line 184 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1151 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 28583; /* *cond_zero_extendrvvmf2qirvvm4di */

    case 332:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 28451; /* *cond_zero_extendrvvm1sirvvm2di */

    case 333:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1109 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 28535; /* *cond_zero_extendrvvmf2hirvvm2di */

    case 334:
      if (!(
#line 184 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1152 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 28585; /* *cond_zero_extendrvvmf4qirvvm2di */

    case 335:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 28453; /* *cond_zero_extendrvvmf2sirvvm1di */

    case 336:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1109 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 28537; /* *cond_zero_extendrvvmf4hirvvm1di */

    case 337:
      if (!(
#line 184 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1152 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 28587; /* *cond_zero_extendrvvmf8qirvvm1di */

    case 338:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 953 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
        return -1;
      return 28455; /* *cond_zero_extendv1qiv1hi */

    case 339:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 954 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
        return -1;
      return 28457; /* *cond_zero_extendv2qiv2hi */

    case 340:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
        return -1;
      return 28459; /* *cond_zero_extendv4qiv4hi */

    case 341:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 956 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
        return -1;
      return 28461; /* *cond_zero_extendv8qiv8hi */

    case 342:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 957 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
        return -1;
      return 28463; /* *cond_zero_extendv16qiv16hi */

    case 343:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 958 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 28465; /* *cond_zero_extendv32qiv32hi */

    case 344:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 959 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 28467; /* *cond_zero_extendv64qiv64hi */

    case 345:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 960 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 28469; /* *cond_zero_extendv128qiv128hi */

    case 346:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 961 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 28471; /* *cond_zero_extendv256qiv256hi */

    case 347:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 962 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 28473; /* *cond_zero_extendv512qiv512hi */

    case 348:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 963 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 28475; /* *cond_zero_extendv1024qiv1024hi */

    case 349:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 28477; /* *cond_zero_extendv2048qiv2048hi */

    case 350:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 965 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
        return -1;
      return 28479; /* *cond_zero_extendv1hiv1si */

    case 351:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1111 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
        return -1;
      return 28539; /* *cond_zero_extendv1qiv1si */

    case 352:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 966 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
        return -1;
      return 28481; /* *cond_zero_extendv2hiv2si */

    case 353:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1112 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
        return -1;
      return 28541; /* *cond_zero_extendv2qiv2si */

    case 354:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 967 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
        return -1;
      return 28483; /* *cond_zero_extendv4hiv4si */

    case 355:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1113 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
        return -1;
      return 28543; /* *cond_zero_extendv4qiv4si */

    case 356:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 968 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
        return -1;
      return 28485; /* *cond_zero_extendv8hiv8si */

    case 357:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1114 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
        return -1;
      return 28545; /* *cond_zero_extendv8qiv8si */

    case 358:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 969 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 28487; /* *cond_zero_extendv16hiv16si */

    case 359:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1115 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 28547; /* *cond_zero_extendv16qiv16si */

    case 360:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 970 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 28489; /* *cond_zero_extendv32hiv32si */

    case 361:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1116 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 28549; /* *cond_zero_extendv32qiv32si */

    case 362:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 28491; /* *cond_zero_extendv64hiv64si */

    case 363:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1117 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 28551; /* *cond_zero_extendv64qiv64si */

    case 364:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 972 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 28493; /* *cond_zero_extendv128hiv128si */

    case 365:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1118 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 28553; /* *cond_zero_extendv128qiv128si */

    case 366:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 973 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 28495; /* *cond_zero_extendv256hiv256si */

    case 367:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1119 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 28555; /* *cond_zero_extendv256qiv256si */

    case 368:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 974 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 28497; /* *cond_zero_extendv512hiv512si */

    case 369:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1120 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 28557; /* *cond_zero_extendv512qiv512si */

    case 370:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 28499; /* *cond_zero_extendv1024hiv1024si */

    case 371:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 28559; /* *cond_zero_extendv1024qiv1024si */

    case 372:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 976 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 28501; /* *cond_zero_extendv1siv1di */

    case 373:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1122 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 28561; /* *cond_zero_extendv1hiv1di */

    case 374:
      if (!(
#line 184 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1154 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 28589; /* *cond_zero_extendv1qiv1di */

    case 375:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 28503; /* *cond_zero_extendv2siv2di */

    case 376:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 28563; /* *cond_zero_extendv2hiv2di */

    case 377:
      if (!(
#line 184 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 28591; /* *cond_zero_extendv2qiv2di */

    case 378:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 978 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 28505; /* *cond_zero_extendv4siv4di */

    case 379:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1124 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 28565; /* *cond_zero_extendv4hiv4di */

    case 380:
      if (!(
#line 184 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 28593; /* *cond_zero_extendv4qiv4di */

    case 381:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 979 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 28507; /* *cond_zero_extendv8siv8di */

    case 382:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1125 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 28567; /* *cond_zero_extendv8hiv8di */

    case 383:
      if (!(
#line 184 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1157 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 28595; /* *cond_zero_extendv8qiv8di */

    case 384:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 980 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 28509; /* *cond_zero_extendv16siv16di */

    case 385:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1126 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 28569; /* *cond_zero_extendv16hiv16di */

    case 386:
      if (!(
#line 184 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1158 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 28597; /* *cond_zero_extendv16qiv16di */

    case 387:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 981 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 28511; /* *cond_zero_extendv32siv32di */

    case 388:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1127 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 28571; /* *cond_zero_extendv32hiv32di */

    case 389:
      if (!(
#line 184 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 28599; /* *cond_zero_extendv32qiv32di */

    case 390:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 982 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 28513; /* *cond_zero_extendv64siv64di */

    case 391:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1128 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 28573; /* *cond_zero_extendv64hiv64di */

    case 392:
      if (!(
#line 184 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 28601; /* *cond_zero_extendv64qiv64di */

    case 393:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 28515; /* *cond_zero_extendv128siv128di */

    case 394:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1129 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 28575; /* *cond_zero_extendv128hiv128di */

    case 395:
      if (!(
#line 184 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1161 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 28603; /* *cond_zero_extendv128qiv128di */

    case 396:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 984 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 28517; /* *cond_zero_extendv256siv256di */

    case 397:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1130 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 28577; /* *cond_zero_extendv256hiv256di */

    case 398:
      if (!(
#line 184 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 28605; /* *cond_zero_extendv256qiv256di */

    case 399:
      if (!(
#line 144 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 985 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 28519; /* *cond_zero_extendv512siv512di */

    case 400:
      if (!(
#line 164 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1131 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 28579; /* *cond_zero_extendv512hiv512di */

    case 401:
      if (!(
#line 184 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 28607; /* *cond_zero_extendv512qiv512di */

    case 402:
      if (!
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 28792; /* *cond_truncrvvm8hirvvm4qi */

    case 403:
      if (!
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 28793; /* *cond_truncrvvm4hirvvm2qi */

    case 404:
      if (!
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 28794; /* *cond_truncrvvm2hirvvm1qi */

    case 405:
      if (!
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 28795; /* *cond_truncrvvm1hirvvmf2qi */

    case 406:
      if (!
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 28796; /* *cond_truncrvvmf2hirvvmf4qi */

    case 407:
      if (!(
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 946 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 28797; /* *cond_truncrvvmf4hirvvmf8qi */

    case 408:
      if (!
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 28798; /* *cond_truncrvvm8sirvvm4hi */

    case 409:
      if (!
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 28799; /* *cond_truncrvvm4sirvvm2hi */

    case 410:
      if (!
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 28800; /* *cond_truncrvvm2sirvvm1hi */

    case 411:
      if (!
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 28801; /* *cond_truncrvvm1sirvvmf2hi */

    case 412:
      if (!(
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 948 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 28802; /* *cond_truncrvvmf2sirvvmf4hi */

    case 413:
      if (!(
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 28803; /* *cond_truncrvvm8dirvvm4si */

    case 414:
      if (!(
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 28804; /* *cond_truncrvvm4dirvvm2si */

    case 415:
      if (!(
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 28805; /* *cond_truncrvvm2dirvvm1si */

    case 416:
      if (!(
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 28806; /* *cond_truncrvvm1dirvvmf2si */

    case 417:
      if (!(
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 953 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
        return -1;
      return 28807; /* *cond_truncv1hiv1qi */

    case 418:
      if (!(
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 954 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
        return -1;
      return 28808; /* *cond_truncv2hiv2qi */

    case 419:
      if (!(
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
        return -1;
      return 28809; /* *cond_truncv4hiv4qi */

    case 420:
      if (!(
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 956 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
        return -1;
      return 28810; /* *cond_truncv8hiv8qi */

    case 421:
      if (!(
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 957 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
        return -1;
      return 28811; /* *cond_truncv16hiv16qi */

    case 422:
      if (!(
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 958 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 28812; /* *cond_truncv32hiv32qi */

    case 423:
      if (!(
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 959 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 28813; /* *cond_truncv64hiv64qi */

    case 424:
      if (!(
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 960 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 28814; /* *cond_truncv128hiv128qi */

    case 425:
      if (!(
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 961 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 28815; /* *cond_truncv256hiv256qi */

    case 426:
      if (!(
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 962 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 28816; /* *cond_truncv512hiv512qi */

    case 427:
      if (!(
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 963 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 28817; /* *cond_truncv1024hiv1024qi */

    case 428:
      if (!(
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 28818; /* *cond_truncv2048hiv2048qi */

    case 429:
      if (!(
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 965 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
        return -1;
      return 28819; /* *cond_truncv1siv1hi */

    case 430:
      if (!(
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 966 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
        return -1;
      return 28820; /* *cond_truncv2siv2hi */

    case 431:
      if (!(
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 967 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
        return -1;
      return 28821; /* *cond_truncv4siv4hi */

    case 432:
      if (!(
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 968 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
        return -1;
      return 28822; /* *cond_truncv8siv8hi */

    case 433:
      if (!(
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 969 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 28823; /* *cond_truncv16siv16hi */

    case 434:
      if (!(
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 970 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 28824; /* *cond_truncv32siv32hi */

    case 435:
      if (!(
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 28825; /* *cond_truncv64siv64hi */

    case 436:
      if (!(
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 972 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 28826; /* *cond_truncv128siv128hi */

    case 437:
      if (!(
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 973 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 28827; /* *cond_truncv256siv256hi */

    case 438:
      if (!(
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 974 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 28828; /* *cond_truncv512siv512hi */

    case 439:
      if (!(
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 28829; /* *cond_truncv1024siv1024hi */

    case 440:
      if (!(
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 976 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 28830; /* *cond_truncv1div1si */

    case 441:
      if (!(
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 28831; /* *cond_truncv2div2si */

    case 442:
      if (!(
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 978 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 28832; /* *cond_truncv4div4si */

    case 443:
      if (!(
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 979 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 28833; /* *cond_truncv8div8si */

    case 444:
      if (!(
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 980 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 28834; /* *cond_truncv16div16si */

    case 445:
      if (!(
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 981 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 28835; /* *cond_truncv32div32si */

    case 446:
      if (!(
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 982 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 28836; /* *cond_truncv64div64si */

    case 447:
      if (!(
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 28837; /* *cond_truncv128div128si */

    case 448:
      if (!(
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 984 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 28838; /* *cond_truncv256div256si */

    case 449:
      if (!(
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 985 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 28839; /* *cond_truncv512div512si */

    case 450:
      if (!
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29434; /* *cond_vashrextendtruncrvvm8hi */

    case 451:
      if (!
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29438; /* *cond_vashrextendtruncrvvm4hi */

    case 452:
      if (!
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29442; /* *cond_vashrextendtruncrvvm2hi */

    case 453:
      if (!
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29446; /* *cond_vashrextendtruncrvvm1hi */

    case 454:
      if (!
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29450; /* *cond_vashrextendtruncrvvmf2hi */

    case 455:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 946 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 29454; /* *cond_vashrextendtruncrvvmf4hi */

    case 456:
      if (!
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29458; /* *cond_vashrextendtruncrvvm8si */

    case 457:
      if (!
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29462; /* *cond_vashrextendtruncrvvm4si */

    case 458:
      if (!
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29466; /* *cond_vashrextendtruncrvvm2si */

    case 459:
      if (!
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29470; /* *cond_vashrextendtruncrvvm1si */

    case 460:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 948 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 29474; /* *cond_vashrextendtruncrvvmf2si */

    case 461:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 29478; /* *cond_vashrextendtruncrvvm8di */

    case 462:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 29482; /* *cond_vashrextendtruncrvvm4di */

    case 463:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 29486; /* *cond_vashrextendtruncrvvm2di */

    case 464:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 29490; /* *cond_vashrextendtruncrvvm1di */

    case 465:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 953 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
        return -1;
      return 29494; /* *cond_vashrextendtruncv1hi */

    case 466:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 954 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
        return -1;
      return 29498; /* *cond_vashrextendtruncv2hi */

    case 467:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
        return -1;
      return 29502; /* *cond_vashrextendtruncv4hi */

    case 468:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 956 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
        return -1;
      return 29506; /* *cond_vashrextendtruncv8hi */

    case 469:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 957 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
        return -1;
      return 29510; /* *cond_vashrextendtruncv16hi */

    case 470:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 958 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29514; /* *cond_vashrextendtruncv32hi */

    case 471:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 959 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29518; /* *cond_vashrextendtruncv64hi */

    case 472:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 960 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29522; /* *cond_vashrextendtruncv128hi */

    case 473:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 961 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29526; /* *cond_vashrextendtruncv256hi */

    case 474:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 962 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29530; /* *cond_vashrextendtruncv512hi */

    case 475:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 963 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29534; /* *cond_vashrextendtruncv1024hi */

    case 476:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29538; /* *cond_vashrextendtruncv2048hi */

    case 477:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 965 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
        return -1;
      return 29542; /* *cond_vashrextendtruncv1si */

    case 478:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 966 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
        return -1;
      return 29546; /* *cond_vashrextendtruncv2si */

    case 479:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 967 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
        return -1;
      return 29550; /* *cond_vashrextendtruncv4si */

    case 480:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 968 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
        return -1;
      return 29554; /* *cond_vashrextendtruncv8si */

    case 481:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 969 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29558; /* *cond_vashrextendtruncv16si */

    case 482:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 970 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29562; /* *cond_vashrextendtruncv32si */

    case 483:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29566; /* *cond_vashrextendtruncv64si */

    case 484:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 972 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29570; /* *cond_vashrextendtruncv128si */

    case 485:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 973 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29574; /* *cond_vashrextendtruncv256si */

    case 486:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 974 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29578; /* *cond_vashrextendtruncv512si */

    case 487:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29582; /* *cond_vashrextendtruncv1024si */

    case 488:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 976 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 29586; /* *cond_vashrextendtruncv1di */

    case 489:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 29590; /* *cond_vashrextendtruncv2di */

    case 490:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 978 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 29594; /* *cond_vashrextendtruncv4di */

    case 491:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 979 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29598; /* *cond_vashrextendtruncv8di */

    case 492:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 980 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29602; /* *cond_vashrextendtruncv16di */

    case 493:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 981 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29606; /* *cond_vashrextendtruncv32di */

    case 494:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 982 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29610; /* *cond_vashrextendtruncv64di */

    case 495:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29614; /* *cond_vashrextendtruncv128di */

    case 496:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 984 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29618; /* *cond_vashrextendtruncv256di */

    case 497:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 985 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29622; /* *cond_vashrextendtruncv512di */

    case 498:
      if (!
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29436; /* *cond_vashrzero_extendtruncrvvm8hi */

    case 499:
      if (!
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29440; /* *cond_vashrzero_extendtruncrvvm4hi */

    case 500:
      if (!
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29444; /* *cond_vashrzero_extendtruncrvvm2hi */

    case 501:
      if (!
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29448; /* *cond_vashrzero_extendtruncrvvm1hi */

    case 502:
      if (!
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29452; /* *cond_vashrzero_extendtruncrvvmf2hi */

    case 503:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 946 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 29456; /* *cond_vashrzero_extendtruncrvvmf4hi */

    case 504:
      if (!
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29460; /* *cond_vashrzero_extendtruncrvvm8si */

    case 505:
      if (!
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29464; /* *cond_vashrzero_extendtruncrvvm4si */

    case 506:
      if (!
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29468; /* *cond_vashrzero_extendtruncrvvm2si */

    case 507:
      if (!
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29472; /* *cond_vashrzero_extendtruncrvvm1si */

    case 508:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 948 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 29476; /* *cond_vashrzero_extendtruncrvvmf2si */

    case 509:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 29480; /* *cond_vashrzero_extendtruncrvvm8di */

    case 510:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 29484; /* *cond_vashrzero_extendtruncrvvm4di */

    case 511:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 29488; /* *cond_vashrzero_extendtruncrvvm2di */

    case 512:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 29492; /* *cond_vashrzero_extendtruncrvvm1di */

    case 513:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 953 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
        return -1;
      return 29496; /* *cond_vashrzero_extendtruncv1hi */

    case 514:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 954 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
        return -1;
      return 29500; /* *cond_vashrzero_extendtruncv2hi */

    case 515:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
        return -1;
      return 29504; /* *cond_vashrzero_extendtruncv4hi */

    case 516:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 956 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
        return -1;
      return 29508; /* *cond_vashrzero_extendtruncv8hi */

    case 517:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 957 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
        return -1;
      return 29512; /* *cond_vashrzero_extendtruncv16hi */

    case 518:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 958 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29516; /* *cond_vashrzero_extendtruncv32hi */

    case 519:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 959 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29520; /* *cond_vashrzero_extendtruncv64hi */

    case 520:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 960 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29524; /* *cond_vashrzero_extendtruncv128hi */

    case 521:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 961 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29528; /* *cond_vashrzero_extendtruncv256hi */

    case 522:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 962 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29532; /* *cond_vashrzero_extendtruncv512hi */

    case 523:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 963 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29536; /* *cond_vashrzero_extendtruncv1024hi */

    case 524:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29540; /* *cond_vashrzero_extendtruncv2048hi */

    case 525:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 965 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
        return -1;
      return 29544; /* *cond_vashrzero_extendtruncv1si */

    case 526:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 966 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
        return -1;
      return 29548; /* *cond_vashrzero_extendtruncv2si */

    case 527:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 967 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
        return -1;
      return 29552; /* *cond_vashrzero_extendtruncv4si */

    case 528:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 968 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
        return -1;
      return 29556; /* *cond_vashrzero_extendtruncv8si */

    case 529:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 969 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29560; /* *cond_vashrzero_extendtruncv16si */

    case 530:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 970 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29564; /* *cond_vashrzero_extendtruncv32si */

    case 531:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29568; /* *cond_vashrzero_extendtruncv64si */

    case 532:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 972 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29572; /* *cond_vashrzero_extendtruncv128si */

    case 533:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 973 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29576; /* *cond_vashrzero_extendtruncv256si */

    case 534:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 974 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29580; /* *cond_vashrzero_extendtruncv512si */

    case 535:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29584; /* *cond_vashrzero_extendtruncv1024si */

    case 536:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 976 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 29588; /* *cond_vashrzero_extendtruncv1di */

    case 537:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 29592; /* *cond_vashrzero_extendtruncv2di */

    case 538:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 978 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 29596; /* *cond_vashrzero_extendtruncv4di */

    case 539:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 979 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29600; /* *cond_vashrzero_extendtruncv8di */

    case 540:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 980 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29604; /* *cond_vashrzero_extendtruncv16di */

    case 541:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 981 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29608; /* *cond_vashrzero_extendtruncv32di */

    case 542:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 982 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29612; /* *cond_vashrzero_extendtruncv64di */

    case 543:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29616; /* *cond_vashrzero_extendtruncv128di */

    case 544:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 984 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29620; /* *cond_vashrzero_extendtruncv256di */

    case 545:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 985 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29624; /* *cond_vashrzero_extendtruncv512di */

    case 546:
      if (!
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29626; /* *cond_ashrtruncrvvm8hi */

    case 547:
      if (!
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29628; /* *cond_ashrtruncrvvm4hi */

    case 548:
      if (!
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29630; /* *cond_ashrtruncrvvm2hi */

    case 549:
      if (!
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29632; /* *cond_ashrtruncrvvm1hi */

    case 550:
      if (!
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29634; /* *cond_ashrtruncrvvmf2hi */

    case 551:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 946 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 29636; /* *cond_ashrtruncrvvmf4hi */

    case 552:
      if (!
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29638; /* *cond_ashrtruncrvvm8si */

    case 553:
      if (!
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29640; /* *cond_ashrtruncrvvm4si */

    case 554:
      if (!
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29642; /* *cond_ashrtruncrvvm2si */

    case 555:
      if (!
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29644; /* *cond_ashrtruncrvvm1si */

    case 556:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 948 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 29646; /* *cond_ashrtruncrvvmf2si */

    case 557:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 29648; /* *cond_ashrtruncrvvm8di */

    case 558:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 29650; /* *cond_ashrtruncrvvm4di */

    case 559:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 29652; /* *cond_ashrtruncrvvm2di */

    case 560:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 29654; /* *cond_ashrtruncrvvm1di */

    case 561:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 953 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
        return -1;
      return 29656; /* *cond_ashrtruncv1hi */

    case 562:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 954 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
        return -1;
      return 29658; /* *cond_ashrtruncv2hi */

    case 563:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
        return -1;
      return 29660; /* *cond_ashrtruncv4hi */

    case 564:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 956 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
        return -1;
      return 29662; /* *cond_ashrtruncv8hi */

    case 565:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 957 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
        return -1;
      return 29664; /* *cond_ashrtruncv16hi */

    case 566:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 958 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29666; /* *cond_ashrtruncv32hi */

    case 567:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 959 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29668; /* *cond_ashrtruncv64hi */

    case 568:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 960 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29670; /* *cond_ashrtruncv128hi */

    case 569:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 961 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29672; /* *cond_ashrtruncv256hi */

    case 570:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 962 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29674; /* *cond_ashrtruncv512hi */

    case 571:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 963 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29676; /* *cond_ashrtruncv1024hi */

    case 572:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29678; /* *cond_ashrtruncv2048hi */

    case 573:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 965 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
        return -1;
      return 29680; /* *cond_ashrtruncv1si */

    case 574:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 966 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
        return -1;
      return 29682; /* *cond_ashrtruncv2si */

    case 575:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 967 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
        return -1;
      return 29684; /* *cond_ashrtruncv4si */

    case 576:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 968 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
        return -1;
      return 29686; /* *cond_ashrtruncv8si */

    case 577:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 969 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29688; /* *cond_ashrtruncv16si */

    case 578:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 970 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29690; /* *cond_ashrtruncv32si */

    case 579:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29692; /* *cond_ashrtruncv64si */

    case 580:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 972 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29694; /* *cond_ashrtruncv128si */

    case 581:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 973 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29696; /* *cond_ashrtruncv256si */

    case 582:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 974 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29698; /* *cond_ashrtruncv512si */

    case 583:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29700; /* *cond_ashrtruncv1024si */

    case 584:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 976 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 29702; /* *cond_ashrtruncv1di */

    case 585:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 29704; /* *cond_ashrtruncv2di */

    case 586:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 978 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 29706; /* *cond_ashrtruncv4di */

    case 587:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 979 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29708; /* *cond_ashrtruncv8di */

    case 588:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 980 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29710; /* *cond_ashrtruncv16di */

    case 589:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 981 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29712; /* *cond_ashrtruncv32di */

    case 590:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 982 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29714; /* *cond_ashrtruncv64di */

    case 591:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29716; /* *cond_ashrtruncv128di */

    case 592:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 984 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29718; /* *cond_ashrtruncv256di */

    case 593:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 985 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29720; /* *cond_ashrtruncv512di */

    case 594:
      if (!
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29435; /* *cond_vlshrextendtruncrvvm8hi */

    case 595:
      if (!
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29439; /* *cond_vlshrextendtruncrvvm4hi */

    case 596:
      if (!
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29443; /* *cond_vlshrextendtruncrvvm2hi */

    case 597:
      if (!
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29447; /* *cond_vlshrextendtruncrvvm1hi */

    case 598:
      if (!
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29451; /* *cond_vlshrextendtruncrvvmf2hi */

    case 599:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 946 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 29455; /* *cond_vlshrextendtruncrvvmf4hi */

    case 600:
      if (!
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29459; /* *cond_vlshrextendtruncrvvm8si */

    case 601:
      if (!
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29463; /* *cond_vlshrextendtruncrvvm4si */

    case 602:
      if (!
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29467; /* *cond_vlshrextendtruncrvvm2si */

    case 603:
      if (!
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29471; /* *cond_vlshrextendtruncrvvm1si */

    case 604:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 948 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 29475; /* *cond_vlshrextendtruncrvvmf2si */

    case 605:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 29479; /* *cond_vlshrextendtruncrvvm8di */

    case 606:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 29483; /* *cond_vlshrextendtruncrvvm4di */

    case 607:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 29487; /* *cond_vlshrextendtruncrvvm2di */

    case 608:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 29491; /* *cond_vlshrextendtruncrvvm1di */

    case 609:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 953 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
        return -1;
      return 29495; /* *cond_vlshrextendtruncv1hi */

    case 610:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 954 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
        return -1;
      return 29499; /* *cond_vlshrextendtruncv2hi */

    case 611:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
        return -1;
      return 29503; /* *cond_vlshrextendtruncv4hi */

    case 612:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 956 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
        return -1;
      return 29507; /* *cond_vlshrextendtruncv8hi */

    case 613:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 957 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
        return -1;
      return 29511; /* *cond_vlshrextendtruncv16hi */

    case 614:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 958 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29515; /* *cond_vlshrextendtruncv32hi */

    case 615:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 959 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29519; /* *cond_vlshrextendtruncv64hi */

    case 616:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 960 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29523; /* *cond_vlshrextendtruncv128hi */

    case 617:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 961 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29527; /* *cond_vlshrextendtruncv256hi */

    case 618:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 962 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29531; /* *cond_vlshrextendtruncv512hi */

    case 619:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 963 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29535; /* *cond_vlshrextendtruncv1024hi */

    case 620:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29539; /* *cond_vlshrextendtruncv2048hi */

    case 621:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 965 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
        return -1;
      return 29543; /* *cond_vlshrextendtruncv1si */

    case 622:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 966 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
        return -1;
      return 29547; /* *cond_vlshrextendtruncv2si */

    case 623:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 967 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
        return -1;
      return 29551; /* *cond_vlshrextendtruncv4si */

    case 624:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 968 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
        return -1;
      return 29555; /* *cond_vlshrextendtruncv8si */

    case 625:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 969 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29559; /* *cond_vlshrextendtruncv16si */

    case 626:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 970 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29563; /* *cond_vlshrextendtruncv32si */

    case 627:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29567; /* *cond_vlshrextendtruncv64si */

    case 628:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 972 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29571; /* *cond_vlshrextendtruncv128si */

    case 629:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 973 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29575; /* *cond_vlshrextendtruncv256si */

    case 630:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 974 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29579; /* *cond_vlshrextendtruncv512si */

    case 631:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29583; /* *cond_vlshrextendtruncv1024si */

    case 632:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 976 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 29587; /* *cond_vlshrextendtruncv1di */

    case 633:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 29591; /* *cond_vlshrextendtruncv2di */

    case 634:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 978 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 29595; /* *cond_vlshrextendtruncv4di */

    case 635:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 979 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29599; /* *cond_vlshrextendtruncv8di */

    case 636:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 980 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29603; /* *cond_vlshrextendtruncv16di */

    case 637:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 981 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29607; /* *cond_vlshrextendtruncv32di */

    case 638:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 982 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29611; /* *cond_vlshrextendtruncv64di */

    case 639:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29615; /* *cond_vlshrextendtruncv128di */

    case 640:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 984 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29619; /* *cond_vlshrextendtruncv256di */

    case 641:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 985 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29623; /* *cond_vlshrextendtruncv512di */

    case 642:
      if (!
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29437; /* *cond_vlshrzero_extendtruncrvvm8hi */

    case 643:
      if (!
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29441; /* *cond_vlshrzero_extendtruncrvvm4hi */

    case 644:
      if (!
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29445; /* *cond_vlshrzero_extendtruncrvvm2hi */

    case 645:
      if (!
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29449; /* *cond_vlshrzero_extendtruncrvvm1hi */

    case 646:
      if (!
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29453; /* *cond_vlshrzero_extendtruncrvvmf2hi */

    case 647:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 946 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 29457; /* *cond_vlshrzero_extendtruncrvvmf4hi */

    case 648:
      if (!
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29461; /* *cond_vlshrzero_extendtruncrvvm8si */

    case 649:
      if (!
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29465; /* *cond_vlshrzero_extendtruncrvvm4si */

    case 650:
      if (!
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29469; /* *cond_vlshrzero_extendtruncrvvm2si */

    case 651:
      if (!
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29473; /* *cond_vlshrzero_extendtruncrvvm1si */

    case 652:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 948 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 29477; /* *cond_vlshrzero_extendtruncrvvmf2si */

    case 653:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 29481; /* *cond_vlshrzero_extendtruncrvvm8di */

    case 654:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 29485; /* *cond_vlshrzero_extendtruncrvvm4di */

    case 655:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 29489; /* *cond_vlshrzero_extendtruncrvvm2di */

    case 656:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 29493; /* *cond_vlshrzero_extendtruncrvvm1di */

    case 657:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 953 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
        return -1;
      return 29497; /* *cond_vlshrzero_extendtruncv1hi */

    case 658:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 954 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
        return -1;
      return 29501; /* *cond_vlshrzero_extendtruncv2hi */

    case 659:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
        return -1;
      return 29505; /* *cond_vlshrzero_extendtruncv4hi */

    case 660:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 956 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
        return -1;
      return 29509; /* *cond_vlshrzero_extendtruncv8hi */

    case 661:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 957 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
        return -1;
      return 29513; /* *cond_vlshrzero_extendtruncv16hi */

    case 662:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 958 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29517; /* *cond_vlshrzero_extendtruncv32hi */

    case 663:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 959 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29521; /* *cond_vlshrzero_extendtruncv64hi */

    case 664:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 960 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29525; /* *cond_vlshrzero_extendtruncv128hi */

    case 665:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 961 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29529; /* *cond_vlshrzero_extendtruncv256hi */

    case 666:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 962 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29533; /* *cond_vlshrzero_extendtruncv512hi */

    case 667:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 963 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29537; /* *cond_vlshrzero_extendtruncv1024hi */

    case 668:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29541; /* *cond_vlshrzero_extendtruncv2048hi */

    case 669:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 965 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
        return -1;
      return 29545; /* *cond_vlshrzero_extendtruncv1si */

    case 670:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 966 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
        return -1;
      return 29549; /* *cond_vlshrzero_extendtruncv2si */

    case 671:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 967 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
        return -1;
      return 29553; /* *cond_vlshrzero_extendtruncv4si */

    case 672:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 968 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
        return -1;
      return 29557; /* *cond_vlshrzero_extendtruncv8si */

    case 673:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 969 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29561; /* *cond_vlshrzero_extendtruncv16si */

    case 674:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 970 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29565; /* *cond_vlshrzero_extendtruncv32si */

    case 675:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29569; /* *cond_vlshrzero_extendtruncv64si */

    case 676:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 972 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29573; /* *cond_vlshrzero_extendtruncv128si */

    case 677:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 973 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29577; /* *cond_vlshrzero_extendtruncv256si */

    case 678:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 974 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29581; /* *cond_vlshrzero_extendtruncv512si */

    case 679:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29585; /* *cond_vlshrzero_extendtruncv1024si */

    case 680:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 976 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 29589; /* *cond_vlshrzero_extendtruncv1di */

    case 681:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 29593; /* *cond_vlshrzero_extendtruncv2di */

    case 682:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 978 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 29597; /* *cond_vlshrzero_extendtruncv4di */

    case 683:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 979 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29601; /* *cond_vlshrzero_extendtruncv8di */

    case 684:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 980 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29605; /* *cond_vlshrzero_extendtruncv16di */

    case 685:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 981 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29609; /* *cond_vlshrzero_extendtruncv32di */

    case 686:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 982 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29613; /* *cond_vlshrzero_extendtruncv64di */

    case 687:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29617; /* *cond_vlshrzero_extendtruncv128di */

    case 688:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 984 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29621; /* *cond_vlshrzero_extendtruncv256di */

    case 689:
      if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 985 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29625; /* *cond_vlshrzero_extendtruncv512di */

    case 690:
      if (!
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29627; /* *cond_lshrtruncrvvm8hi */

    case 691:
      if (!
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29629; /* *cond_lshrtruncrvvm4hi */

    case 692:
      if (!
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29631; /* *cond_lshrtruncrvvm2hi */

    case 693:
      if (!
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29633; /* *cond_lshrtruncrvvm1hi */

    case 694:
      if (!
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29635; /* *cond_lshrtruncrvvmf2hi */

    case 695:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 946 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 29637; /* *cond_lshrtruncrvvmf4hi */

    case 696:
      if (!
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29639; /* *cond_lshrtruncrvvm8si */

    case 697:
      if (!
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29641; /* *cond_lshrtruncrvvm4si */

    case 698:
      if (!
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29643; /* *cond_lshrtruncrvvm2si */

    case 699:
      if (!
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29645; /* *cond_lshrtruncrvvm1si */

    case 700:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 948 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 29647; /* *cond_lshrtruncrvvmf2si */

    case 701:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 29649; /* *cond_lshrtruncrvvm8di */

    case 702:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 29651; /* *cond_lshrtruncrvvm4di */

    case 703:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 29653; /* *cond_lshrtruncrvvm2di */

    case 704:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 29655; /* *cond_lshrtruncrvvm1di */

    case 705:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 953 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
        return -1;
      return 29657; /* *cond_lshrtruncv1hi */

    case 706:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 954 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
        return -1;
      return 29659; /* *cond_lshrtruncv2hi */

    case 707:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
        return -1;
      return 29661; /* *cond_lshrtruncv4hi */

    case 708:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 956 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
        return -1;
      return 29663; /* *cond_lshrtruncv8hi */

    case 709:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 957 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
        return -1;
      return 29665; /* *cond_lshrtruncv16hi */

    case 710:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 958 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29667; /* *cond_lshrtruncv32hi */

    case 711:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 959 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29669; /* *cond_lshrtruncv64hi */

    case 712:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 960 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29671; /* *cond_lshrtruncv128hi */

    case 713:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 961 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29673; /* *cond_lshrtruncv256hi */

    case 714:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 962 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29675; /* *cond_lshrtruncv512hi */

    case 715:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 963 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29677; /* *cond_lshrtruncv1024hi */

    case 716:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29679; /* *cond_lshrtruncv2048hi */

    case 717:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 965 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
        return -1;
      return 29681; /* *cond_lshrtruncv1si */

    case 718:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 966 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
        return -1;
      return 29683; /* *cond_lshrtruncv2si */

    case 719:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 967 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
        return -1;
      return 29685; /* *cond_lshrtruncv4si */

    case 720:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 968 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
        return -1;
      return 29687; /* *cond_lshrtruncv8si */

    case 721:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 969 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29689; /* *cond_lshrtruncv16si */

    case 722:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 970 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29691; /* *cond_lshrtruncv32si */

    case 723:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29693; /* *cond_lshrtruncv64si */

    case 724:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 972 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29695; /* *cond_lshrtruncv128si */

    case 725:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 973 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29697; /* *cond_lshrtruncv256si */

    case 726:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 974 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29699; /* *cond_lshrtruncv512si */

    case 727:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29701; /* *cond_lshrtruncv1024si */

    case 728:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 976 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 29703; /* *cond_lshrtruncv1di */

    case 729:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 29705; /* *cond_lshrtruncv2di */

    case 730:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 978 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 29707; /* *cond_lshrtruncv4di */

    case 731:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 979 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29709; /* *cond_lshrtruncv8di */

    case 732:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 980 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29711; /* *cond_lshrtruncv16di */

    case 733:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 981 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29713; /* *cond_lshrtruncv32di */

    case 734:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 982 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29715; /* *cond_lshrtruncv64di */

    case 735:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29717; /* *cond_lshrtruncv128di */

    case 736:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 984 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29719; /* *cond_lshrtruncv256di */

    case 737:
      if (!(
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 985 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29721; /* *cond_lshrtruncv512di */

    case 738:
      if (!(
#line 303 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 990 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 28840; /* *cond_extendrvvm4hfrvvm8sf */

    case 739:
      if (!(
#line 303 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 991 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 28841; /* *cond_extendrvvm2hfrvvm4sf */

    case 740:
      if (!(
#line 303 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 992 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 28842; /* *cond_extendrvvm1hfrvvm2sf */

    case 741:
      if (!(
#line 303 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 993 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 28843; /* *cond_extendrvvmf2hfrvvm1sf */

    case 742:
      if (!(
#line 303 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 994 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32)))
        return -1;
      return 28844; /* *cond_extendrvvmf4hfrvvmf2sf */

    case 743:
      if (!(
#line 303 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 996 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 28845; /* *cond_extendrvvm4sfrvvm8df */

    case 744:
      if (!(
#line 303 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 996 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 28846; /* *cond_extendrvvm2sfrvvm4df */

    case 745:
      if (!(
#line 303 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 997 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 28847; /* *cond_extendrvvm1sfrvvm2df */

    case 746:
      if (!(
#line 303 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 997 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 28848; /* *cond_extendrvvmf2sfrvvm1df */

    case 747:
      if (!(
#line 303 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 999 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 28849; /* *cond_extendv1hfv1sf */

    case 748:
      if (!(
#line 303 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1000 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 28850; /* *cond_extendv2hfv2sf */

    case 749:
      if (!(
#line 303 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1001 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 28851; /* *cond_extendv4hfv4sf */

    case 750:
      if (!(
#line 303 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1002 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 28852; /* *cond_extendv8hfv8sf */

    case 751:
      if (!(
#line 303 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1003 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 28853; /* *cond_extendv16hfv16sf */

    case 752:
      if (!(
#line 303 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1004 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 28854; /* *cond_extendv32hfv32sf */

    case 753:
      if (!(
#line 303 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1005 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 28855; /* *cond_extendv64hfv64sf */

    case 754:
      if (!(
#line 303 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1006 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 28856; /* *cond_extendv128hfv128sf */

    case 755:
      if (!(
#line 303 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1007 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 28857; /* *cond_extendv256hfv256sf */

    case 756:
      if (!(
#line 303 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1008 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 28858; /* *cond_extendv512hfv512sf */

    case 757:
      if (!(
#line 303 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1009 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 28859; /* *cond_extendv1024hfv1024sf */

    case 758:
      if (!(
#line 303 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1010 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 28860; /* *cond_extendv1sfv1df */

    case 759:
      if (!(
#line 303 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1011 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 28861; /* *cond_extendv2sfv2df */

    case 760:
      if (!(
#line 303 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1012 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 28862; /* *cond_extendv4sfv4df */

    case 761:
      if (!(
#line 303 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1013 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 28863; /* *cond_extendv8sfv8df */

    case 762:
      if (!(
#line 303 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1014 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 28864; /* *cond_extendv16sfv16df */

    case 763:
      if (!(
#line 303 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1015 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 28865; /* *cond_extendv32sfv32df */

    case 764:
      if (!(
#line 303 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1016 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 28866; /* *cond_extendv64sfv64df */

    case 765:
      if (!(
#line 303 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1017 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 28867; /* *cond_extendv128sfv128df */

    case 766:
      if (!(
#line 303 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1018 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 28868; /* *cond_extendv256sfv256df */

    case 767:
      if (!(
#line 303 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 28869; /* *cond_extendv512sfv512df */

    case 768:
      if (!(
#line 350 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 990 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 28900; /* *cond_truncrvvm8sfrvvm4hf */

    case 769:
      if (!(
#line 350 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 991 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 28901; /* *cond_truncrvvm4sfrvvm2hf */

    case 770:
      if (!(
#line 350 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 992 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 28902; /* *cond_truncrvvm2sfrvvm1hf */

    case 771:
      if (!(
#line 350 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 993 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 28903; /* *cond_truncrvvm1sfrvvmf2hf */

    case 772:
      if (!(
#line 350 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 994 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32)))
        return -1;
      return 28904; /* *cond_truncrvvmf2sfrvvmf4hf */

    case 773:
      if (!(
#line 350 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 996 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 28905; /* *cond_truncrvvm8dfrvvm4sf */

    case 774:
      if (!(
#line 350 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 996 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 28906; /* *cond_truncrvvm4dfrvvm2sf */

    case 775:
      if (!(
#line 350 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 997 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 28907; /* *cond_truncrvvm2dfrvvm1sf */

    case 776:
      if (!(
#line 350 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 997 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 28908; /* *cond_truncrvvm1dfrvvmf2sf */

    case 777:
      if (!(
#line 350 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 999 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 28909; /* *cond_truncv1sfv1hf */

    case 778:
      if (!(
#line 350 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1000 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 28910; /* *cond_truncv2sfv2hf */

    case 779:
      if (!(
#line 350 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1001 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 28911; /* *cond_truncv4sfv4hf */

    case 780:
      if (!(
#line 350 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1002 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 28912; /* *cond_truncv8sfv8hf */

    case 781:
      if (!(
#line 350 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1003 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 28913; /* *cond_truncv16sfv16hf */

    case 782:
      if (!(
#line 350 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1004 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 28914; /* *cond_truncv32sfv32hf */

    case 783:
      if (!(
#line 350 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1005 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 28915; /* *cond_truncv64sfv64hf */

    case 784:
      if (!(
#line 350 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1006 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 28916; /* *cond_truncv128sfv128hf */

    case 785:
      if (!(
#line 350 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1007 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 28917; /* *cond_truncv256sfv256hf */

    case 786:
      if (!(
#line 350 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1008 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 28918; /* *cond_truncv512sfv512hf */

    case 787:
      if (!(
#line 350 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1009 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 28919; /* *cond_truncv1024sfv1024hf */

    case 788:
      if (!(
#line 350 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1010 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 28920; /* *cond_truncv1dfv1sf */

    case 789:
      if (!(
#line 350 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1011 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 28921; /* *cond_truncv2dfv2sf */

    case 790:
      if (!(
#line 350 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1012 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 28922; /* *cond_truncv4dfv4sf */

    case 791:
      if (!(
#line 350 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1013 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 28923; /* *cond_truncv8dfv8sf */

    case 792:
      if (!(
#line 350 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1014 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 28924; /* *cond_truncv16dfv16sf */

    case 793:
      if (!(
#line 350 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1015 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 28925; /* *cond_truncv32dfv32sf */

    case 794:
      if (!(
#line 350 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1016 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 28926; /* *cond_truncv64dfv64sf */

    case 795:
      if (!(
#line 350 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1017 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 28927; /* *cond_truncv128dfv128sf */

    case 796:
      if (!(
#line 350 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1018 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 28928; /* *cond_truncv256dfv256sf */

    case 797:
      if (!(
#line 350 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 28929; /* *cond_truncv512dfv512sf */

    case 798:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 28930; /* *cond_fix_truncrvvm8hfrvvm8hi */

    case 799:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 28932; /* *cond_fix_truncrvvm4hfrvvm4hi */

    case 800:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29290; /* *cond_fix_truncrvvm8sfrvvm4hi */

    case 801:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 28934; /* *cond_fix_truncrvvm2hfrvvm2hi */

    case 802:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29292; /* *cond_fix_truncrvvm4sfrvvm2hi */

    case 803:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 28936; /* *cond_fix_truncrvvm1hfrvvm1hi */

    case 804:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29294; /* *cond_fix_truncrvvm2sfrvvm1hi */

    case 805:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 28938; /* *cond_fix_truncrvvmf2hfrvvmf2hi */

    case 806:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29296; /* *cond_fix_truncrvvm1sfrvvmf2hi */

    case 807:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 157 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH && TARGET_MIN_VLEN > 32)))
        return -1;
      return 28940; /* *cond_fix_truncrvvmf4hfrvvmf4hi */

    case 808:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32)))
        return -1;
      return 29298; /* *cond_fix_truncrvvmf2sfrvvmf4hi */

    case 809:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 28942; /* *cond_fix_truncrvvm8sfrvvm8si */

    case 810:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1056 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 29122; /* *cond_fix_truncrvvm4hfrvvm8si */

    case 811:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 28944; /* *cond_fix_truncrvvm4sfrvvm4si */

    case 812:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1056 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 29124; /* *cond_fix_truncrvvm2hfrvvm4si */

    case 813:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 29300; /* *cond_fix_truncrvvm8dfrvvm4si */

    case 814:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 28946; /* *cond_fix_truncrvvm2sfrvvm2si */

    case 815:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1056 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 29126; /* *cond_fix_truncrvvm1hfrvvm2si */

    case 816:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 29302; /* *cond_fix_truncrvvm4dfrvvm2si */

    case 817:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 28948; /* *cond_fix_truncrvvm1sfrvvm1si */

    case 818:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1056 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 29128; /* *cond_fix_truncrvvmf2hfrvvm1si */

    case 819:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 29304; /* *cond_fix_truncrvvm2dfrvvm1si */

    case 820:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32)))
        return -1;
      return 28950; /* *cond_fix_truncrvvmf2sfrvvmf2si */

    case 821:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1057 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 29130; /* *cond_fix_truncrvvmf4hfrvvmf2si */

    case 822:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 29306; /* *cond_fix_truncrvvm1dfrvvmf2si */

    case 823:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 28952; /* *cond_fix_truncrvvm8dfrvvm8di */

    case 824:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1059 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29132; /* *cond_fix_truncrvvm4sfrvvm8di */

    case 825:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 28954; /* *cond_fix_truncrvvm4dfrvvm4di */

    case 826:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1060 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29134; /* *cond_fix_truncrvvm2sfrvvm4di */

    case 827:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 28956; /* *cond_fix_truncrvvm2dfrvvm2di */

    case 828:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1061 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29136; /* *cond_fix_truncrvvm1sfrvvm2di */

    case 829:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 28958; /* *cond_fix_truncrvvm1dfrvvm1di */

    case 830:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1062 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29138; /* *cond_fix_truncrvvmf2sfrvvm1di */

    case 831:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 236 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HFmode) && TARGET_ZVFH)))
        return -1;
      return 28960; /* *cond_fix_truncv1hfv1hi */

    case 832:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 248 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29332; /* *cond_fix_truncv1sfv1hi */

    case 833:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 237 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HFmode) && TARGET_ZVFH)))
        return -1;
      return 28962; /* *cond_fix_truncv2hfv2hi */

    case 834:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 249 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29334; /* *cond_fix_truncv2sfv2hi */

    case 835:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HFmode) && TARGET_ZVFH)))
        return -1;
      return 28964; /* *cond_fix_truncv4hfv4hi */

    case 836:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 250 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29336; /* *cond_fix_truncv4sfv4hi */

    case 837:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 239 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HFmode) && TARGET_ZVFH)))
        return -1;
      return 28966; /* *cond_fix_truncv8hfv8hi */

    case 838:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 251 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29338; /* *cond_fix_truncv8sfv8hi */

    case 839:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HFmode) && TARGET_ZVFH)))
        return -1;
      return 28968; /* *cond_fix_truncv16hfv16hi */

    case 840:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 252 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29340; /* *cond_fix_truncv16sfv16hi */

    case 841:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 28970; /* *cond_fix_truncv32hfv32hi */

    case 842:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 253 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29342; /* *cond_fix_truncv32sfv32hi */

    case 843:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 242 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 28972; /* *cond_fix_truncv64hfv64hi */

    case 844:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 254 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29344; /* *cond_fix_truncv64sfv64hi */

    case 845:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 243 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 28974; /* *cond_fix_truncv128hfv128hi */

    case 846:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 255 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29346; /* *cond_fix_truncv128sfv128hi */

    case 847:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 244 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 28976; /* *cond_fix_truncv256hfv256hi */

    case 848:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 256 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29348; /* *cond_fix_truncv256sfv256hi */

    case 849:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 245 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 28978; /* *cond_fix_truncv512hfv512hi */

    case 850:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 257 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29350; /* *cond_fix_truncv512sfv512hi */

    case 851:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 246 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 28980; /* *cond_fix_truncv1024hfv1024hi */

    case 852:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 258 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29352; /* *cond_fix_truncv1024sfv1024hi */

    case 853:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 247 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 28982; /* *cond_fix_truncv2048hfv2048hi */

    case 854:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 248 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 28984; /* *cond_fix_truncv1sfv1si */

    case 855:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1064 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode) && TARGET_ZVFH)))
        return -1;
      return 29140; /* *cond_fix_truncv1hfv1si */

    case 856:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 259 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 29354; /* *cond_fix_truncv1dfv1si */

    case 857:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 249 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 28986; /* *cond_fix_truncv2sfv2si */

    case 858:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1065 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode) && TARGET_ZVFH)))
        return -1;
      return 29142; /* *cond_fix_truncv2hfv2si */

    case 859:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 29356; /* *cond_fix_truncv2dfv2si */

    case 860:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 250 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 28988; /* *cond_fix_truncv4sfv4si */

    case 861:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1066 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode) && TARGET_ZVFH)))
        return -1;
      return 29144; /* *cond_fix_truncv4hfv4si */

    case 862:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 261 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 29358; /* *cond_fix_truncv4dfv4si */

    case 863:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 251 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 28990; /* *cond_fix_truncv8sfv8si */

    case 864:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1067 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode) && TARGET_ZVFH)))
        return -1;
      return 29146; /* *cond_fix_truncv8hfv8si */

    case 865:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 262 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29360; /* *cond_fix_truncv8dfv8si */

    case 866:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 252 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 28992; /* *cond_fix_truncv16sfv16si */

    case 867:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1068 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29148; /* *cond_fix_truncv16hfv16si */

    case 868:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29362; /* *cond_fix_truncv16dfv16si */

    case 869:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 253 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 28994; /* *cond_fix_truncv32sfv32si */

    case 870:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1069 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29150; /* *cond_fix_truncv32hfv32si */

    case 871:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 264 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29364; /* *cond_fix_truncv32dfv32si */

    case 872:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 254 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 28996; /* *cond_fix_truncv64sfv64si */

    case 873:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1070 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29152; /* *cond_fix_truncv64hfv64si */

    case 874:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 265 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29366; /* *cond_fix_truncv64dfv64si */

    case 875:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 255 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 28998; /* *cond_fix_truncv128sfv128si */

    case 876:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1071 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29154; /* *cond_fix_truncv128hfv128si */

    case 877:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 266 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29368; /* *cond_fix_truncv128dfv128si */

    case 878:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 256 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29000; /* *cond_fix_truncv256sfv256si */

    case 879:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1072 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29156; /* *cond_fix_truncv256hfv256si */

    case 880:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 267 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29370; /* *cond_fix_truncv256dfv256si */

    case 881:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 257 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29002; /* *cond_fix_truncv512sfv512si */

    case 882:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1073 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29158; /* *cond_fix_truncv512hfv512si */

    case 883:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29372; /* *cond_fix_truncv512dfv512si */

    case 884:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 258 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29004; /* *cond_fix_truncv1024sfv1024si */

    case 885:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29160; /* *cond_fix_truncv1024hfv1024si */

    case 886:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 259 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 29006; /* *cond_fix_truncv1dfv1di */

    case 887:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1075 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29162; /* *cond_fix_truncv1sfv1di */

    case 888:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 29008; /* *cond_fix_truncv2dfv2di */

    case 889:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1076 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29164; /* *cond_fix_truncv2sfv2di */

    case 890:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 261 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 29010; /* *cond_fix_truncv4dfv4di */

    case 891:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1077 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29166; /* *cond_fix_truncv4sfv4di */

    case 892:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 262 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29012; /* *cond_fix_truncv8dfv8di */

    case 893:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1078 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29168; /* *cond_fix_truncv8sfv8di */

    case 894:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29014; /* *cond_fix_truncv16dfv16di */

    case 895:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1079 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29170; /* *cond_fix_truncv16sfv16di */

    case 896:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 264 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29016; /* *cond_fix_truncv32dfv32di */

    case 897:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1080 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29172; /* *cond_fix_truncv32sfv32di */

    case 898:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 265 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29018; /* *cond_fix_truncv64dfv64di */

    case 899:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1081 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29174; /* *cond_fix_truncv64sfv64di */

    case 900:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 266 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29020; /* *cond_fix_truncv128dfv128di */

    case 901:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1082 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29176; /* *cond_fix_truncv128sfv128di */

    case 902:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 267 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29022; /* *cond_fix_truncv256dfv256di */

    case 903:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1083 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29178; /* *cond_fix_truncv256sfv256di */

    case 904:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29024; /* *cond_fix_truncv512dfv512di */

    case 905:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1084 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29180; /* *cond_fix_truncv512sfv512di */

    case 906:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 29278; /* *cond_fix_truncrvvm8hfrvvm4qi */

    case 907:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 29280; /* *cond_fix_truncrvvm4hfrvvm2qi */

    case 908:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 29282; /* *cond_fix_truncrvvm2hfrvvm1qi */

    case 909:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 29284; /* *cond_fix_truncrvvm1hfrvvmf2qi */

    case 910:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 29286; /* *cond_fix_truncrvvmf2hfrvvmf4qi */

    case 911:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 157 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH && TARGET_MIN_VLEN > 32)))
        return -1;
      return 29288; /* *cond_fix_truncrvvmf4hfrvvmf8qi */

    case 912:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 236 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HFmode) && TARGET_ZVFH)))
        return -1;
      return 29308; /* *cond_fix_truncv1hfv1qi */

    case 913:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 237 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HFmode) && TARGET_ZVFH)))
        return -1;
      return 29310; /* *cond_fix_truncv2hfv2qi */

    case 914:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HFmode) && TARGET_ZVFH)))
        return -1;
      return 29312; /* *cond_fix_truncv4hfv4qi */

    case 915:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 239 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HFmode) && TARGET_ZVFH)))
        return -1;
      return 29314; /* *cond_fix_truncv8hfv8qi */

    case 916:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HFmode) && TARGET_ZVFH)))
        return -1;
      return 29316; /* *cond_fix_truncv16hfv16qi */

    case 917:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29318; /* *cond_fix_truncv32hfv32qi */

    case 918:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 242 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29320; /* *cond_fix_truncv64hfv64qi */

    case 919:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 243 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29322; /* *cond_fix_truncv128hfv128qi */

    case 920:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 244 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29324; /* *cond_fix_truncv256hfv256qi */

    case 921:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 245 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29326; /* *cond_fix_truncv512hfv512qi */

    case 922:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 246 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29328; /* *cond_fix_truncv1024hfv1024qi */

    case 923:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 247 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29330; /* *cond_fix_truncv2048hfv2048qi */

    case 924:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 28931; /* *cond_fixuns_truncrvvm8hfrvvm8hi */

    case 925:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 28933; /* *cond_fixuns_truncrvvm4hfrvvm4hi */

    case 926:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29291; /* *cond_fixuns_truncrvvm8sfrvvm4hi */

    case 927:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 28935; /* *cond_fixuns_truncrvvm2hfrvvm2hi */

    case 928:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29293; /* *cond_fixuns_truncrvvm4sfrvvm2hi */

    case 929:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 28937; /* *cond_fixuns_truncrvvm1hfrvvm1hi */

    case 930:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29295; /* *cond_fixuns_truncrvvm2sfrvvm1hi */

    case 931:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 28939; /* *cond_fixuns_truncrvvmf2hfrvvmf2hi */

    case 932:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29297; /* *cond_fixuns_truncrvvm1sfrvvmf2hi */

    case 933:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 157 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH && TARGET_MIN_VLEN > 32)))
        return -1;
      return 28941; /* *cond_fixuns_truncrvvmf4hfrvvmf4hi */

    case 934:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32)))
        return -1;
      return 29299; /* *cond_fixuns_truncrvvmf2sfrvvmf4hi */

    case 935:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 28943; /* *cond_fixuns_truncrvvm8sfrvvm8si */

    case 936:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1056 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 29123; /* *cond_fixuns_truncrvvm4hfrvvm8si */

    case 937:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 28945; /* *cond_fixuns_truncrvvm4sfrvvm4si */

    case 938:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1056 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 29125; /* *cond_fixuns_truncrvvm2hfrvvm4si */

    case 939:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 29301; /* *cond_fixuns_truncrvvm8dfrvvm4si */

    case 940:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 28947; /* *cond_fixuns_truncrvvm2sfrvvm2si */

    case 941:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1056 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 29127; /* *cond_fixuns_truncrvvm1hfrvvm2si */

    case 942:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 29303; /* *cond_fixuns_truncrvvm4dfrvvm2si */

    case 943:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 28949; /* *cond_fixuns_truncrvvm1sfrvvm1si */

    case 944:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1056 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 29129; /* *cond_fixuns_truncrvvmf2hfrvvm1si */

    case 945:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 29305; /* *cond_fixuns_truncrvvm2dfrvvm1si */

    case 946:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32)))
        return -1;
      return 28951; /* *cond_fixuns_truncrvvmf2sfrvvmf2si */

    case 947:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1057 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 29131; /* *cond_fixuns_truncrvvmf4hfrvvmf2si */

    case 948:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 29307; /* *cond_fixuns_truncrvvm1dfrvvmf2si */

    case 949:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 28953; /* *cond_fixuns_truncrvvm8dfrvvm8di */

    case 950:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1059 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29133; /* *cond_fixuns_truncrvvm4sfrvvm8di */

    case 951:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 28955; /* *cond_fixuns_truncrvvm4dfrvvm4di */

    case 952:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1060 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29135; /* *cond_fixuns_truncrvvm2sfrvvm4di */

    case 953:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 28957; /* *cond_fixuns_truncrvvm2dfrvvm2di */

    case 954:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1061 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29137; /* *cond_fixuns_truncrvvm1sfrvvm2di */

    case 955:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 28959; /* *cond_fixuns_truncrvvm1dfrvvm1di */

    case 956:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1062 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29139; /* *cond_fixuns_truncrvvmf2sfrvvm1di */

    case 957:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 236 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HFmode) && TARGET_ZVFH)))
        return -1;
      return 28961; /* *cond_fixuns_truncv1hfv1hi */

    case 958:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 248 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29333; /* *cond_fixuns_truncv1sfv1hi */

    case 959:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 237 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HFmode) && TARGET_ZVFH)))
        return -1;
      return 28963; /* *cond_fixuns_truncv2hfv2hi */

    case 960:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 249 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29335; /* *cond_fixuns_truncv2sfv2hi */

    case 961:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HFmode) && TARGET_ZVFH)))
        return -1;
      return 28965; /* *cond_fixuns_truncv4hfv4hi */

    case 962:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 250 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29337; /* *cond_fixuns_truncv4sfv4hi */

    case 963:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 239 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HFmode) && TARGET_ZVFH)))
        return -1;
      return 28967; /* *cond_fixuns_truncv8hfv8hi */

    case 964:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 251 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29339; /* *cond_fixuns_truncv8sfv8hi */

    case 965:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HFmode) && TARGET_ZVFH)))
        return -1;
      return 28969; /* *cond_fixuns_truncv16hfv16hi */

    case 966:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 252 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29341; /* *cond_fixuns_truncv16sfv16hi */

    case 967:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 28971; /* *cond_fixuns_truncv32hfv32hi */

    case 968:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 253 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29343; /* *cond_fixuns_truncv32sfv32hi */

    case 969:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 242 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 28973; /* *cond_fixuns_truncv64hfv64hi */

    case 970:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 254 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29345; /* *cond_fixuns_truncv64sfv64hi */

    case 971:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 243 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 28975; /* *cond_fixuns_truncv128hfv128hi */

    case 972:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 255 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29347; /* *cond_fixuns_truncv128sfv128hi */

    case 973:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 244 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 28977; /* *cond_fixuns_truncv256hfv256hi */

    case 974:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 256 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29349; /* *cond_fixuns_truncv256sfv256hi */

    case 975:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 245 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 28979; /* *cond_fixuns_truncv512hfv512hi */

    case 976:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 257 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29351; /* *cond_fixuns_truncv512sfv512hi */

    case 977:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 246 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 28981; /* *cond_fixuns_truncv1024hfv1024hi */

    case 978:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 258 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29353; /* *cond_fixuns_truncv1024sfv1024hi */

    case 979:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 247 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 28983; /* *cond_fixuns_truncv2048hfv2048hi */

    case 980:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 248 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 28985; /* *cond_fixuns_truncv1sfv1si */

    case 981:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1064 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode) && TARGET_ZVFH)))
        return -1;
      return 29141; /* *cond_fixuns_truncv1hfv1si */

    case 982:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 259 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 29355; /* *cond_fixuns_truncv1dfv1si */

    case 983:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 249 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 28987; /* *cond_fixuns_truncv2sfv2si */

    case 984:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1065 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode) && TARGET_ZVFH)))
        return -1;
      return 29143; /* *cond_fixuns_truncv2hfv2si */

    case 985:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 29357; /* *cond_fixuns_truncv2dfv2si */

    case 986:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 250 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 28989; /* *cond_fixuns_truncv4sfv4si */

    case 987:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1066 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode) && TARGET_ZVFH)))
        return -1;
      return 29145; /* *cond_fixuns_truncv4hfv4si */

    case 988:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 261 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 29359; /* *cond_fixuns_truncv4dfv4si */

    case 989:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 251 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 28991; /* *cond_fixuns_truncv8sfv8si */

    case 990:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1067 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode) && TARGET_ZVFH)))
        return -1;
      return 29147; /* *cond_fixuns_truncv8hfv8si */

    case 991:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 262 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29361; /* *cond_fixuns_truncv8dfv8si */

    case 992:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 252 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 28993; /* *cond_fixuns_truncv16sfv16si */

    case 993:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1068 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29149; /* *cond_fixuns_truncv16hfv16si */

    case 994:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29363; /* *cond_fixuns_truncv16dfv16si */

    case 995:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 253 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 28995; /* *cond_fixuns_truncv32sfv32si */

    case 996:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1069 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29151; /* *cond_fixuns_truncv32hfv32si */

    case 997:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 264 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29365; /* *cond_fixuns_truncv32dfv32si */

    case 998:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 254 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 28997; /* *cond_fixuns_truncv64sfv64si */

    case 999:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1070 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29153; /* *cond_fixuns_truncv64hfv64si */

    case 1000:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 265 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29367; /* *cond_fixuns_truncv64dfv64si */

    case 1001:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 255 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 28999; /* *cond_fixuns_truncv128sfv128si */

    case 1002:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1071 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29155; /* *cond_fixuns_truncv128hfv128si */

    case 1003:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 266 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29369; /* *cond_fixuns_truncv128dfv128si */

    case 1004:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 256 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29001; /* *cond_fixuns_truncv256sfv256si */

    case 1005:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1072 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29157; /* *cond_fixuns_truncv256hfv256si */

    case 1006:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 267 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29371; /* *cond_fixuns_truncv256dfv256si */

    case 1007:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 257 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29003; /* *cond_fixuns_truncv512sfv512si */

    case 1008:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1073 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29159; /* *cond_fixuns_truncv512hfv512si */

    case 1009:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29373; /* *cond_fixuns_truncv512dfv512si */

    case 1010:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 258 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29005; /* *cond_fixuns_truncv1024sfv1024si */

    case 1011:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29161; /* *cond_fixuns_truncv1024hfv1024si */

    case 1012:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 259 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 29007; /* *cond_fixuns_truncv1dfv1di */

    case 1013:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1075 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29163; /* *cond_fixuns_truncv1sfv1di */

    case 1014:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 29009; /* *cond_fixuns_truncv2dfv2di */

    case 1015:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1076 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29165; /* *cond_fixuns_truncv2sfv2di */

    case 1016:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 261 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 29011; /* *cond_fixuns_truncv4dfv4di */

    case 1017:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1077 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29167; /* *cond_fixuns_truncv4sfv4di */

    case 1018:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 262 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29013; /* *cond_fixuns_truncv8dfv8di */

    case 1019:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1078 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29169; /* *cond_fixuns_truncv8sfv8di */

    case 1020:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29015; /* *cond_fixuns_truncv16dfv16di */

    case 1021:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1079 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29171; /* *cond_fixuns_truncv16sfv16di */

    case 1022:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 264 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29017; /* *cond_fixuns_truncv32dfv32di */

    case 1023:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1080 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29173; /* *cond_fixuns_truncv32sfv32di */

    case 1024:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 265 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29019; /* *cond_fixuns_truncv64dfv64di */

    case 1025:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1081 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29175; /* *cond_fixuns_truncv64sfv64di */

    case 1026:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 266 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29021; /* *cond_fixuns_truncv128dfv128di */

    case 1027:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1082 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29177; /* *cond_fixuns_truncv128sfv128di */

    case 1028:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 267 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29023; /* *cond_fixuns_truncv256dfv256di */

    case 1029:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1083 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29179; /* *cond_fixuns_truncv256sfv256di */

    case 1030:
      if (!(
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29025; /* *cond_fixuns_truncv512dfv512di */

    case 1031:
      if (!(
#line 413 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1084 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29181; /* *cond_fixuns_truncv512sfv512di */

    case 1032:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 29279; /* *cond_fixuns_truncrvvm8hfrvvm4qi */

    case 1033:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 29281; /* *cond_fixuns_truncrvvm4hfrvvm2qi */

    case 1034:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 29283; /* *cond_fixuns_truncrvvm2hfrvvm1qi */

    case 1035:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 29285; /* *cond_fixuns_truncrvvm1hfrvvmf2qi */

    case 1036:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 29287; /* *cond_fixuns_truncrvvmf2hfrvvmf4qi */

    case 1037:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 157 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH && TARGET_MIN_VLEN > 32)))
        return -1;
      return 29289; /* *cond_fixuns_truncrvvmf4hfrvvmf8qi */

    case 1038:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 236 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HFmode) && TARGET_ZVFH)))
        return -1;
      return 29309; /* *cond_fixuns_truncv1hfv1qi */

    case 1039:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 237 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HFmode) && TARGET_ZVFH)))
        return -1;
      return 29311; /* *cond_fixuns_truncv2hfv2qi */

    case 1040:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HFmode) && TARGET_ZVFH)))
        return -1;
      return 29313; /* *cond_fixuns_truncv4hfv4qi */

    case 1041:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 239 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HFmode) && TARGET_ZVFH)))
        return -1;
      return 29315; /* *cond_fixuns_truncv8hfv8qi */

    case 1042:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HFmode) && TARGET_ZVFH)))
        return -1;
      return 29317; /* *cond_fixuns_truncv16hfv16qi */

    case 1043:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29319; /* *cond_fixuns_truncv32hfv32qi */

    case 1044:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 242 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29321; /* *cond_fixuns_truncv64hfv64qi */

    case 1045:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 243 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29323; /* *cond_fixuns_truncv128hfv128qi */

    case 1046:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 244 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29325; /* *cond_fixuns_truncv256hfv256qi */

    case 1047:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 245 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29327; /* *cond_fixuns_truncv512hfv512qi */

    case 1048:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 246 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29329; /* *cond_fixuns_truncv1024hfv1024qi */

    case 1049:
      if (!(
#line 455 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 247 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29331; /* *cond_fixuns_truncv2048hfv2048qi */

    case 1050:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 29026; /* *cond_floatrvvm8hirvvm8hf */

    case 1051:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 29182; /* *cond_floatrvvm4qirvvm8hf */

    case 1052:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 29028; /* *cond_floatrvvm4hirvvm4hf */

    case 1053:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 29184; /* *cond_floatrvvm2qirvvm4hf */

    case 1054:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1056 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 29374; /* *cond_floatrvvm8sirvvm4hf2 */

    case 1055:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 29030; /* *cond_floatrvvm2hirvvm2hf */

    case 1056:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 29186; /* *cond_floatrvvm1qirvvm2hf */

    case 1057:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1056 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 29376; /* *cond_floatrvvm4sirvvm2hf2 */

    case 1058:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 29032; /* *cond_floatrvvm1hirvvm1hf */

    case 1059:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 29188; /* *cond_floatrvvmf2qirvvm1hf */

    case 1060:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1056 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 29378; /* *cond_floatrvvm2sirvvm1hf2 */

    case 1061:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 29034; /* *cond_floatrvvmf2hirvvmf2hf */

    case 1062:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 29190; /* *cond_floatrvvmf4qirvvmf2hf */

    case 1063:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1056 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 29380; /* *cond_floatrvvm1sirvvmf2hf2 */

    case 1064:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 157 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH && TARGET_MIN_VLEN > 32)))
        return -1;
      return 29036; /* *cond_floatrvvmf4hirvvmf4hf */

    case 1065:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 157 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH && TARGET_MIN_VLEN > 32)))
        return -1;
      return 29192; /* *cond_floatrvvmf8qirvvmf4hf */

    case 1066:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1057 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 29382; /* *cond_floatrvvmf2sirvvmf4hf2 */

    case 1067:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29038; /* *cond_floatrvvm8sirvvm8sf */

    case 1068:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29194; /* *cond_floatrvvm4hirvvm8sf */

    case 1069:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29040; /* *cond_floatrvvm4sirvvm4sf */

    case 1070:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29196; /* *cond_floatrvvm2hirvvm4sf */

    case 1071:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1059 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29384; /* *cond_floatrvvm8dirvvm4sf2 */

    case 1072:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29042; /* *cond_floatrvvm2sirvvm2sf */

    case 1073:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29198; /* *cond_floatrvvm1hirvvm2sf */

    case 1074:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1060 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29386; /* *cond_floatrvvm4dirvvm2sf2 */

    case 1075:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29044; /* *cond_floatrvvm1sirvvm1sf */

    case 1076:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29200; /* *cond_floatrvvmf2hirvvm1sf */

    case 1077:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1061 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29388; /* *cond_floatrvvm2dirvvm1sf2 */

    case 1078:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32)))
        return -1;
      return 29046; /* *cond_floatrvvmf2sirvvmf2sf */

    case 1079:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32)))
        return -1;
      return 29202; /* *cond_floatrvvmf4hirvvmf2sf */

    case 1080:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1062 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29390; /* *cond_floatrvvm1dirvvmf2sf2 */

    case 1081:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 29048; /* *cond_floatrvvm8dirvvm8df */

    case 1082:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 29204; /* *cond_floatrvvm4sirvvm8df */

    case 1083:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 29050; /* *cond_floatrvvm4dirvvm4df */

    case 1084:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 29206; /* *cond_floatrvvm2sirvvm4df */

    case 1085:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 29052; /* *cond_floatrvvm2dirvvm2df */

    case 1086:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 29208; /* *cond_floatrvvm1sirvvm2df */

    case 1087:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 29054; /* *cond_floatrvvm1dirvvm1df */

    case 1088:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 29210; /* *cond_floatrvvmf2sirvvm1df */

    case 1089:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 236 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HFmode) && TARGET_ZVFH)))
        return -1;
      return 29056; /* *cond_floatv1hiv1hf */

    case 1090:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 236 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HFmode) && TARGET_ZVFH)))
        return -1;
      return 29212; /* *cond_floatv1qiv1hf */

    case 1091:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1064 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode) && TARGET_ZVFH)))
        return -1;
      return 29392; /* *cond_floatv1siv1hf2 */

    case 1092:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 237 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HFmode) && TARGET_ZVFH)))
        return -1;
      return 29058; /* *cond_floatv2hiv2hf */

    case 1093:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 237 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HFmode) && TARGET_ZVFH)))
        return -1;
      return 29214; /* *cond_floatv2qiv2hf */

    case 1094:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1065 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode) && TARGET_ZVFH)))
        return -1;
      return 29394; /* *cond_floatv2siv2hf2 */

    case 1095:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HFmode) && TARGET_ZVFH)))
        return -1;
      return 29060; /* *cond_floatv4hiv4hf */

    case 1096:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HFmode) && TARGET_ZVFH)))
        return -1;
      return 29216; /* *cond_floatv4qiv4hf */

    case 1097:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1066 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode) && TARGET_ZVFH)))
        return -1;
      return 29396; /* *cond_floatv4siv4hf2 */

    case 1098:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 239 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HFmode) && TARGET_ZVFH)))
        return -1;
      return 29062; /* *cond_floatv8hiv8hf */

    case 1099:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 239 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HFmode) && TARGET_ZVFH)))
        return -1;
      return 29218; /* *cond_floatv8qiv8hf */

    case 1100:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1067 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode) && TARGET_ZVFH)))
        return -1;
      return 29398; /* *cond_floatv8siv8hf2 */

    case 1101:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HFmode) && TARGET_ZVFH)))
        return -1;
      return 29064; /* *cond_floatv16hiv16hf */

    case 1102:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HFmode) && TARGET_ZVFH)))
        return -1;
      return 29220; /* *cond_floatv16qiv16hf */

    case 1103:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1068 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29400; /* *cond_floatv16siv16hf2 */

    case 1104:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29066; /* *cond_floatv32hiv32hf */

    case 1105:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29222; /* *cond_floatv32qiv32hf */

    case 1106:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1069 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29402; /* *cond_floatv32siv32hf2 */

    case 1107:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 242 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29068; /* *cond_floatv64hiv64hf */

    case 1108:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 242 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29224; /* *cond_floatv64qiv64hf */

    case 1109:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1070 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29404; /* *cond_floatv64siv64hf2 */

    case 1110:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 243 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29070; /* *cond_floatv128hiv128hf */

    case 1111:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 243 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29226; /* *cond_floatv128qiv128hf */

    case 1112:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1071 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29406; /* *cond_floatv128siv128hf2 */

    case 1113:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 244 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29072; /* *cond_floatv256hiv256hf */

    case 1114:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 244 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29228; /* *cond_floatv256qiv256hf */

    case 1115:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1072 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29408; /* *cond_floatv256siv256hf2 */

    case 1116:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 245 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29074; /* *cond_floatv512hiv512hf */

    case 1117:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 245 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29230; /* *cond_floatv512qiv512hf */

    case 1118:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1073 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29410; /* *cond_floatv512siv512hf2 */

    case 1119:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 246 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29076; /* *cond_floatv1024hiv1024hf */

    case 1120:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 246 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29232; /* *cond_floatv1024qiv1024hf */

    case 1121:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29412; /* *cond_floatv1024siv1024hf2 */

    case 1122:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 247 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29078; /* *cond_floatv2048hiv2048hf */

    case 1123:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 247 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29234; /* *cond_floatv2048qiv2048hf */

    case 1124:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 248 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29080; /* *cond_floatv1siv1sf */

    case 1125:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 248 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29236; /* *cond_floatv1hiv1sf */

    case 1126:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1075 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29414; /* *cond_floatv1div1sf2 */

    case 1127:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 249 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29082; /* *cond_floatv2siv2sf */

    case 1128:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 249 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29238; /* *cond_floatv2hiv2sf */

    case 1129:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1076 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29416; /* *cond_floatv2div2sf2 */

    case 1130:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 250 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29084; /* *cond_floatv4siv4sf */

    case 1131:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 250 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29240; /* *cond_floatv4hiv4sf */

    case 1132:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1077 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29418; /* *cond_floatv4div4sf2 */

    case 1133:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 251 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29086; /* *cond_floatv8siv8sf */

    case 1134:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 251 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29242; /* *cond_floatv8hiv8sf */

    case 1135:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1078 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29420; /* *cond_floatv8div8sf2 */

    case 1136:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 252 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29088; /* *cond_floatv16siv16sf */

    case 1137:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 252 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29244; /* *cond_floatv16hiv16sf */

    case 1138:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1079 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29422; /* *cond_floatv16div16sf2 */

    case 1139:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 253 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29090; /* *cond_floatv32siv32sf */

    case 1140:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 253 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29246; /* *cond_floatv32hiv32sf */

    case 1141:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1080 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29424; /* *cond_floatv32div32sf2 */

    case 1142:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 254 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29092; /* *cond_floatv64siv64sf */

    case 1143:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 254 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29248; /* *cond_floatv64hiv64sf */

    case 1144:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1081 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29426; /* *cond_floatv64div64sf2 */

    case 1145:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 255 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29094; /* *cond_floatv128siv128sf */

    case 1146:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 255 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29250; /* *cond_floatv128hiv128sf */

    case 1147:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1082 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29428; /* *cond_floatv128div128sf2 */

    case 1148:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 256 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29096; /* *cond_floatv256siv256sf */

    case 1149:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 256 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29252; /* *cond_floatv256hiv256sf */

    case 1150:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1083 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29430; /* *cond_floatv256div256sf2 */

    case 1151:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 257 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29098; /* *cond_floatv512siv512sf */

    case 1152:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 257 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29254; /* *cond_floatv512hiv512sf */

    case 1153:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1084 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29432; /* *cond_floatv512div512sf2 */

    case 1154:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 258 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29100; /* *cond_floatv1024siv1024sf */

    case 1155:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 258 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29256; /* *cond_floatv1024hiv1024sf */

    case 1156:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 259 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 29102; /* *cond_floatv1div1df */

    case 1157:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 259 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 29258; /* *cond_floatv1siv1df */

    case 1158:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 29104; /* *cond_floatv2div2df */

    case 1159:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 29260; /* *cond_floatv2siv2df */

    case 1160:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 261 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 29106; /* *cond_floatv4div4df */

    case 1161:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 261 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 29262; /* *cond_floatv4siv4df */

    case 1162:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 262 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29108; /* *cond_floatv8div8df */

    case 1163:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 262 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29264; /* *cond_floatv8siv8df */

    case 1164:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29110; /* *cond_floatv16div16df */

    case 1165:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29266; /* *cond_floatv16siv16df */

    case 1166:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 264 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29112; /* *cond_floatv32div32df */

    case 1167:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 264 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29268; /* *cond_floatv32siv32df */

    case 1168:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 265 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29114; /* *cond_floatv64div64df */

    case 1169:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 265 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29270; /* *cond_floatv64siv64df */

    case 1170:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 266 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29116; /* *cond_floatv128div128df */

    case 1171:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 266 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29272; /* *cond_floatv128siv128df */

    case 1172:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 267 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29118; /* *cond_floatv256div256df */

    case 1173:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 267 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29274; /* *cond_floatv256siv256df */

    case 1174:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29120; /* *cond_floatv512div512df */

    case 1175:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29276; /* *cond_floatv512siv512df */

    case 1176:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 29027; /* *cond_floatunsrvvm8hirvvm8hf */

    case 1177:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 29183; /* *cond_floatunsrvvm4qirvvm8hf */

    case 1178:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 29029; /* *cond_floatunsrvvm4hirvvm4hf */

    case 1179:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 29185; /* *cond_floatunsrvvm2qirvvm4hf */

    case 1180:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1056 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 29375; /* *cond_floatunsrvvm8sirvvm4hf2 */

    case 1181:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 29031; /* *cond_floatunsrvvm2hirvvm2hf */

    case 1182:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 29187; /* *cond_floatunsrvvm1qirvvm2hf */

    case 1183:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1056 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 29377; /* *cond_floatunsrvvm4sirvvm2hf2 */

    case 1184:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 29033; /* *cond_floatunsrvvm1hirvvm1hf */

    case 1185:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 29189; /* *cond_floatunsrvvmf2qirvvm1hf */

    case 1186:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1056 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 29379; /* *cond_floatunsrvvm2sirvvm1hf2 */

    case 1187:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 29035; /* *cond_floatunsrvvmf2hirvvmf2hf */

    case 1188:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 29191; /* *cond_floatunsrvvmf4qirvvmf2hf */

    case 1189:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1056 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 29381; /* *cond_floatunsrvvm1sirvvmf2hf2 */

    case 1190:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 157 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH && TARGET_MIN_VLEN > 32)))
        return -1;
      return 29037; /* *cond_floatunsrvvmf4hirvvmf4hf */

    case 1191:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 157 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH && TARGET_MIN_VLEN > 32)))
        return -1;
      return 29193; /* *cond_floatunsrvvmf8qirvvmf4hf */

    case 1192:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1057 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 29383; /* *cond_floatunsrvvmf2sirvvmf4hf2 */

    case 1193:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29039; /* *cond_floatunsrvvm8sirvvm8sf */

    case 1194:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29195; /* *cond_floatunsrvvm4hirvvm8sf */

    case 1195:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29041; /* *cond_floatunsrvvm4sirvvm4sf */

    case 1196:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29197; /* *cond_floatunsrvvm2hirvvm4sf */

    case 1197:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1059 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29385; /* *cond_floatunsrvvm8dirvvm4sf2 */

    case 1198:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29043; /* *cond_floatunsrvvm2sirvvm2sf */

    case 1199:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29199; /* *cond_floatunsrvvm1hirvvm2sf */

    case 1200:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1060 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29387; /* *cond_floatunsrvvm4dirvvm2sf2 */

    case 1201:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29045; /* *cond_floatunsrvvm1sirvvm1sf */

    case 1202:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29201; /* *cond_floatunsrvvmf2hirvvm1sf */

    case 1203:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1061 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29389; /* *cond_floatunsrvvm2dirvvm1sf2 */

    case 1204:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32)))
        return -1;
      return 29047; /* *cond_floatunsrvvmf2sirvvmf2sf */

    case 1205:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32)))
        return -1;
      return 29203; /* *cond_floatunsrvvmf4hirvvmf2sf */

    case 1206:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1062 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29391; /* *cond_floatunsrvvm1dirvvmf2sf2 */

    case 1207:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 29049; /* *cond_floatunsrvvm8dirvvm8df */

    case 1208:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 29205; /* *cond_floatunsrvvm4sirvvm8df */

    case 1209:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 29051; /* *cond_floatunsrvvm4dirvvm4df */

    case 1210:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 29207; /* *cond_floatunsrvvm2sirvvm4df */

    case 1211:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 29053; /* *cond_floatunsrvvm2dirvvm2df */

    case 1212:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 29209; /* *cond_floatunsrvvm1sirvvm2df */

    case 1213:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 29055; /* *cond_floatunsrvvm1dirvvm1df */

    case 1214:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 29211; /* *cond_floatunsrvvmf2sirvvm1df */

    case 1215:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 236 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HFmode) && TARGET_ZVFH)))
        return -1;
      return 29057; /* *cond_floatunsv1hiv1hf */

    case 1216:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 236 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HFmode) && TARGET_ZVFH)))
        return -1;
      return 29213; /* *cond_floatunsv1qiv1hf */

    case 1217:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1064 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode) && TARGET_ZVFH)))
        return -1;
      return 29393; /* *cond_floatunsv1siv1hf2 */

    case 1218:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 237 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HFmode) && TARGET_ZVFH)))
        return -1;
      return 29059; /* *cond_floatunsv2hiv2hf */

    case 1219:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 237 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HFmode) && TARGET_ZVFH)))
        return -1;
      return 29215; /* *cond_floatunsv2qiv2hf */

    case 1220:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1065 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode) && TARGET_ZVFH)))
        return -1;
      return 29395; /* *cond_floatunsv2siv2hf2 */

    case 1221:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HFmode) && TARGET_ZVFH)))
        return -1;
      return 29061; /* *cond_floatunsv4hiv4hf */

    case 1222:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HFmode) && TARGET_ZVFH)))
        return -1;
      return 29217; /* *cond_floatunsv4qiv4hf */

    case 1223:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1066 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode) && TARGET_ZVFH)))
        return -1;
      return 29397; /* *cond_floatunsv4siv4hf2 */

    case 1224:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 239 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HFmode) && TARGET_ZVFH)))
        return -1;
      return 29063; /* *cond_floatunsv8hiv8hf */

    case 1225:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 239 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HFmode) && TARGET_ZVFH)))
        return -1;
      return 29219; /* *cond_floatunsv8qiv8hf */

    case 1226:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1067 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode) && TARGET_ZVFH)))
        return -1;
      return 29399; /* *cond_floatunsv8siv8hf2 */

    case 1227:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HFmode) && TARGET_ZVFH)))
        return -1;
      return 29065; /* *cond_floatunsv16hiv16hf */

    case 1228:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HFmode) && TARGET_ZVFH)))
        return -1;
      return 29221; /* *cond_floatunsv16qiv16hf */

    case 1229:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1068 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29401; /* *cond_floatunsv16siv16hf2 */

    case 1230:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29067; /* *cond_floatunsv32hiv32hf */

    case 1231:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29223; /* *cond_floatunsv32qiv32hf */

    case 1232:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1069 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29403; /* *cond_floatunsv32siv32hf2 */

    case 1233:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 242 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29069; /* *cond_floatunsv64hiv64hf */

    case 1234:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 242 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29225; /* *cond_floatunsv64qiv64hf */

    case 1235:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1070 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29405; /* *cond_floatunsv64siv64hf2 */

    case 1236:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 243 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29071; /* *cond_floatunsv128hiv128hf */

    case 1237:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 243 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29227; /* *cond_floatunsv128qiv128hf */

    case 1238:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1071 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29407; /* *cond_floatunsv128siv128hf2 */

    case 1239:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 244 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29073; /* *cond_floatunsv256hiv256hf */

    case 1240:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 244 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29229; /* *cond_floatunsv256qiv256hf */

    case 1241:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1072 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29409; /* *cond_floatunsv256siv256hf2 */

    case 1242:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 245 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29075; /* *cond_floatunsv512hiv512hf */

    case 1243:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 245 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29231; /* *cond_floatunsv512qiv512hf */

    case 1244:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1073 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29411; /* *cond_floatunsv512siv512hf2 */

    case 1245:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 246 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29077; /* *cond_floatunsv1024hiv1024hf */

    case 1246:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 246 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29233; /* *cond_floatunsv1024qiv1024hf */

    case 1247:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29413; /* *cond_floatunsv1024siv1024hf2 */

    case 1248:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 247 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29079; /* *cond_floatunsv2048hiv2048hf */

    case 1249:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 247 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29235; /* *cond_floatunsv2048qiv2048hf */

    case 1250:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 248 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29081; /* *cond_floatunsv1siv1sf */

    case 1251:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 248 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29237; /* *cond_floatunsv1hiv1sf */

    case 1252:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1075 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29415; /* *cond_floatunsv1div1sf2 */

    case 1253:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 249 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29083; /* *cond_floatunsv2siv2sf */

    case 1254:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 249 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29239; /* *cond_floatunsv2hiv2sf */

    case 1255:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1076 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29417; /* *cond_floatunsv2div2sf2 */

    case 1256:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 250 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29085; /* *cond_floatunsv4siv4sf */

    case 1257:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 250 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29241; /* *cond_floatunsv4hiv4sf */

    case 1258:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1077 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29419; /* *cond_floatunsv4div4sf2 */

    case 1259:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 251 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29087; /* *cond_floatunsv8siv8sf */

    case 1260:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 251 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 29243; /* *cond_floatunsv8hiv8sf */

    case 1261:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1078 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29421; /* *cond_floatunsv8div8sf2 */

    case 1262:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 252 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29089; /* *cond_floatunsv16siv16sf */

    case 1263:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 252 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29245; /* *cond_floatunsv16hiv16sf */

    case 1264:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1079 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29423; /* *cond_floatunsv16div16sf2 */

    case 1265:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 253 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29091; /* *cond_floatunsv32siv32sf */

    case 1266:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 253 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29247; /* *cond_floatunsv32hiv32sf */

    case 1267:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1080 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29425; /* *cond_floatunsv32div32sf2 */

    case 1268:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 254 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29093; /* *cond_floatunsv64siv64sf */

    case 1269:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 254 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29249; /* *cond_floatunsv64hiv64sf */

    case 1270:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1081 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29427; /* *cond_floatunsv64div64sf2 */

    case 1271:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 255 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29095; /* *cond_floatunsv128siv128sf */

    case 1272:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 255 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29251; /* *cond_floatunsv128hiv128sf */

    case 1273:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1082 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29429; /* *cond_floatunsv128div128sf2 */

    case 1274:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 256 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29097; /* *cond_floatunsv256siv256sf */

    case 1275:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 256 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29253; /* *cond_floatunsv256hiv256sf */

    case 1276:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1083 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29431; /* *cond_floatunsv256div256sf2 */

    case 1277:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 257 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29099; /* *cond_floatunsv512siv512sf */

    case 1278:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 257 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29255; /* *cond_floatunsv512hiv512sf */

    case 1279:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1084 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29433; /* *cond_floatunsv512div512sf2 */

    case 1280:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 258 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29101; /* *cond_floatunsv1024siv1024sf */

    case 1281:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 258 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29257; /* *cond_floatunsv1024hiv1024sf */

    case 1282:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 259 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 29103; /* *cond_floatunsv1div1df */

    case 1283:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 259 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 29259; /* *cond_floatunsv1siv1df */

    case 1284:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 29105; /* *cond_floatunsv2div2df */

    case 1285:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 29261; /* *cond_floatunsv2siv2df */

    case 1286:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 261 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 29107; /* *cond_floatunsv4div4df */

    case 1287:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 261 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 29263; /* *cond_floatunsv4siv4df */

    case 1288:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 262 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29109; /* *cond_floatunsv8div8df */

    case 1289:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 262 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29265; /* *cond_floatunsv8siv8df */

    case 1290:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29111; /* *cond_floatunsv16div16df */

    case 1291:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29267; /* *cond_floatunsv16siv16df */

    case 1292:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 264 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29113; /* *cond_floatunsv32div32df */

    case 1293:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 264 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29269; /* *cond_floatunsv32siv32df */

    case 1294:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 265 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29115; /* *cond_floatunsv64div64df */

    case 1295:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 265 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29271; /* *cond_floatunsv64siv64df */

    case 1296:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 266 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29117; /* *cond_floatunsv128div128df */

    case 1297:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 266 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29273; /* *cond_floatunsv128siv128df */

    case 1298:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 267 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29119; /* *cond_floatunsv256div256df */

    case 1299:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 267 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29275; /* *cond_floatunsv256siv256df */

    case 1300:
      if (!(
#line 392 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29121; /* *cond_floatunsv512div512df */

    case 1301:
      if (!(
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29277; /* *cond_floatunsv512siv512df */

    case 1302:
      if (!
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29722; /* *cond_smulrvvm8qi3_highpart */

    case 1303:
      if (!
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29724; /* *cond_smulrvvm4qi3_highpart */

    case 1304:
      if (!
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29726; /* *cond_smulrvvm2qi3_highpart */

    case 1305:
      if (!
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29728; /* *cond_smulrvvm1qi3_highpart */

    case 1306:
      if (!
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29730; /* *cond_smulrvvmf2qi3_highpart */

    case 1307:
      if (!
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29732; /* *cond_smulrvvmf4qi3_highpart */

    case 1308:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 502 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 29734; /* *cond_smulrvvmf8qi3_highpart */

    case 1309:
      if (!
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29736; /* *cond_smulrvvm8hi3_highpart */

    case 1310:
      if (!
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29738; /* *cond_smulrvvm4hi3_highpart */

    case 1311:
      if (!
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29740; /* *cond_smulrvvm2hi3_highpart */

    case 1312:
      if (!
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29742; /* *cond_smulrvvm1hi3_highpart */

    case 1313:
      if (!
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29744; /* *cond_smulrvvmf2hi3_highpart */

    case 1314:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 504 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 29746; /* *cond_smulrvvmf4hi3_highpart */

    case 1315:
      if (!
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29748; /* *cond_smulrvvm8si3_highpart */

    case 1316:
      if (!
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29750; /* *cond_smulrvvm4si3_highpart */

    case 1317:
      if (!
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29752; /* *cond_smulrvvm2si3_highpart */

    case 1318:
      if (!
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29754; /* *cond_smulrvvm1si3_highpart */

    case 1319:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 506 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 29756; /* *cond_smulrvvmf2si3_highpart */

    case 1320:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_FULL_V)))
        return -1;
      return 29758; /* *cond_smulrvvm8di3_highpart */

    case 1321:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_FULL_V)))
        return -1;
      return 29760; /* *cond_smulrvvm4di3_highpart */

    case 1322:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_FULL_V)))
        return -1;
      return 29762; /* *cond_smulrvvm2di3_highpart */

    case 1323:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_FULL_V)))
        return -1;
      return 29764; /* *cond_smulrvvm1di3_highpart */

    case 1324:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 510 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1QImode))))
        return -1;
      return 29766; /* *cond_smulv1qi3_highpart */

    case 1325:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 511 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2QImode))))
        return -1;
      return 29768; /* *cond_smulv2qi3_highpart */

    case 1326:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 512 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4QImode))))
        return -1;
      return 29770; /* *cond_smulv4qi3_highpart */

    case 1327:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 513 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8QImode))))
        return -1;
      return 29772; /* *cond_smulv8qi3_highpart */

    case 1328:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 514 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16QImode))))
        return -1;
      return 29774; /* *cond_smulv16qi3_highpart */

    case 1329:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 515 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32QImode))))
        return -1;
      return 29776; /* *cond_smulv32qi3_highpart */

    case 1330:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 516 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64QImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29778; /* *cond_smulv64qi3_highpart */

    case 1331:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 517 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128QImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29780; /* *cond_smulv128qi3_highpart */

    case 1332:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 518 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256QImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29782; /* *cond_smulv256qi3_highpart */

    case 1333:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 519 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512QImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29784; /* *cond_smulv512qi3_highpart */

    case 1334:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 520 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024QImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29786; /* *cond_smulv1024qi3_highpart */

    case 1335:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 521 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048QImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29788; /* *cond_smulv2048qi3_highpart */

    case 1336:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4096QImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29790; /* *cond_smulv4096qi3_highpart */

    case 1337:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 523 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
        return -1;
      return 29792; /* *cond_smulv1hi3_highpart */

    case 1338:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 524 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
        return -1;
      return 29794; /* *cond_smulv2hi3_highpart */

    case 1339:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
        return -1;
      return 29796; /* *cond_smulv4hi3_highpart */

    case 1340:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 526 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
        return -1;
      return 29798; /* *cond_smulv8hi3_highpart */

    case 1341:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 527 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
        return -1;
      return 29800; /* *cond_smulv16hi3_highpart */

    case 1342:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 528 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29802; /* *cond_smulv32hi3_highpart */

    case 1343:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29804; /* *cond_smulv64hi3_highpart */

    case 1344:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 530 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29806; /* *cond_smulv128hi3_highpart */

    case 1345:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 531 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29808; /* *cond_smulv256hi3_highpart */

    case 1346:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 532 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29810; /* *cond_smulv512hi3_highpart */

    case 1347:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 533 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29812; /* *cond_smulv1024hi3_highpart */

    case 1348:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 534 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29814; /* *cond_smulv2048hi3_highpart */

    case 1349:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 535 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
        return -1;
      return 29816; /* *cond_smulv1si3_highpart */

    case 1350:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 536 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
        return -1;
      return 29818; /* *cond_smulv2si3_highpart */

    case 1351:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 537 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
        return -1;
      return 29820; /* *cond_smulv4si3_highpart */

    case 1352:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 538 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
        return -1;
      return 29822; /* *cond_smulv8si3_highpart */

    case 1353:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 539 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29824; /* *cond_smulv16si3_highpart */

    case 1354:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 540 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29826; /* *cond_smulv32si3_highpart */

    case 1355:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 541 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29828; /* *cond_smulv64si3_highpart */

    case 1356:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 542 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29830; /* *cond_smulv128si3_highpart */

    case 1357:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 543 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29832; /* *cond_smulv256si3_highpart */

    case 1358:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29834; /* *cond_smulv512si3_highpart */

    case 1359:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 545 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29836; /* *cond_smulv1024si3_highpart */

    case 1360:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 546 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_FULL_V)))
        return -1;
      return 29838; /* *cond_smulv1di3_highpart */

    case 1361:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 547 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_FULL_V)))
        return -1;
      return 29840; /* *cond_smulv2di3_highpart */

    case 1362:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 548 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_FULL_V)))
        return -1;
      return 29842; /* *cond_smulv4di3_highpart */

    case 1363:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 549 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_FULL_V && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29844; /* *cond_smulv8di3_highpart */

    case 1364:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_FULL_V && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29846; /* *cond_smulv16di3_highpart */

    case 1365:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 551 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_FULL_V && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29848; /* *cond_smulv32di3_highpart */

    case 1366:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 552 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_FULL_V && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29850; /* *cond_smulv64di3_highpart */

    case 1367:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_FULL_V && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29852; /* *cond_smulv128di3_highpart */

    case 1368:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 554 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_FULL_V && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29854; /* *cond_smulv256di3_highpart */

    case 1369:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 555 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_FULL_V && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29856; /* *cond_smulv512di3_highpart */

    case 1370:
      if (!
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29723; /* *cond_umulrvvm8qi3_highpart */

    case 1371:
      if (!
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29725; /* *cond_umulrvvm4qi3_highpart */

    case 1372:
      if (!
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29727; /* *cond_umulrvvm2qi3_highpart */

    case 1373:
      if (!
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29729; /* *cond_umulrvvm1qi3_highpart */

    case 1374:
      if (!
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29731; /* *cond_umulrvvmf2qi3_highpart */

    case 1375:
      if (!
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29733; /* *cond_umulrvvmf4qi3_highpart */

    case 1376:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 502 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 29735; /* *cond_umulrvvmf8qi3_highpart */

    case 1377:
      if (!
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29737; /* *cond_umulrvvm8hi3_highpart */

    case 1378:
      if (!
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29739; /* *cond_umulrvvm4hi3_highpart */

    case 1379:
      if (!
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29741; /* *cond_umulrvvm2hi3_highpart */

    case 1380:
      if (!
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29743; /* *cond_umulrvvm1hi3_highpart */

    case 1381:
      if (!
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29745; /* *cond_umulrvvmf2hi3_highpart */

    case 1382:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 504 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 29747; /* *cond_umulrvvmf4hi3_highpart */

    case 1383:
      if (!
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29749; /* *cond_umulrvvm8si3_highpart */

    case 1384:
      if (!
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29751; /* *cond_umulrvvm4si3_highpart */

    case 1385:
      if (!
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29753; /* *cond_umulrvvm2si3_highpart */

    case 1386:
      if (!
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29755; /* *cond_umulrvvm1si3_highpart */

    case 1387:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 506 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 29757; /* *cond_umulrvvmf2si3_highpart */

    case 1388:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_FULL_V)))
        return -1;
      return 29759; /* *cond_umulrvvm8di3_highpart */

    case 1389:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_FULL_V)))
        return -1;
      return 29761; /* *cond_umulrvvm4di3_highpart */

    case 1390:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_FULL_V)))
        return -1;
      return 29763; /* *cond_umulrvvm2di3_highpart */

    case 1391:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_FULL_V)))
        return -1;
      return 29765; /* *cond_umulrvvm1di3_highpart */

    case 1392:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 510 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1QImode))))
        return -1;
      return 29767; /* *cond_umulv1qi3_highpart */

    case 1393:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 511 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2QImode))))
        return -1;
      return 29769; /* *cond_umulv2qi3_highpart */

    case 1394:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 512 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4QImode))))
        return -1;
      return 29771; /* *cond_umulv4qi3_highpart */

    case 1395:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 513 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8QImode))))
        return -1;
      return 29773; /* *cond_umulv8qi3_highpart */

    case 1396:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 514 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16QImode))))
        return -1;
      return 29775; /* *cond_umulv16qi3_highpart */

    case 1397:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 515 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32QImode))))
        return -1;
      return 29777; /* *cond_umulv32qi3_highpart */

    case 1398:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 516 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64QImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29779; /* *cond_umulv64qi3_highpart */

    case 1399:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 517 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128QImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29781; /* *cond_umulv128qi3_highpart */

    case 1400:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 518 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256QImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29783; /* *cond_umulv256qi3_highpart */

    case 1401:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 519 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512QImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29785; /* *cond_umulv512qi3_highpart */

    case 1402:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 520 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024QImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29787; /* *cond_umulv1024qi3_highpart */

    case 1403:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 521 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048QImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29789; /* *cond_umulv2048qi3_highpart */

    case 1404:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 522 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4096QImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29791; /* *cond_umulv4096qi3_highpart */

    case 1405:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 523 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
        return -1;
      return 29793; /* *cond_umulv1hi3_highpart */

    case 1406:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 524 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
        return -1;
      return 29795; /* *cond_umulv2hi3_highpart */

    case 1407:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 525 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
        return -1;
      return 29797; /* *cond_umulv4hi3_highpart */

    case 1408:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 526 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
        return -1;
      return 29799; /* *cond_umulv8hi3_highpart */

    case 1409:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 527 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
        return -1;
      return 29801; /* *cond_umulv16hi3_highpart */

    case 1410:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 528 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29803; /* *cond_umulv32hi3_highpart */

    case 1411:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29805; /* *cond_umulv64hi3_highpart */

    case 1412:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 530 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29807; /* *cond_umulv128hi3_highpart */

    case 1413:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 531 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29809; /* *cond_umulv256hi3_highpart */

    case 1414:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 532 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29811; /* *cond_umulv512hi3_highpart */

    case 1415:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 533 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29813; /* *cond_umulv1024hi3_highpart */

    case 1416:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 534 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29815; /* *cond_umulv2048hi3_highpart */

    case 1417:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 535 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
        return -1;
      return 29817; /* *cond_umulv1si3_highpart */

    case 1418:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 536 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
        return -1;
      return 29819; /* *cond_umulv2si3_highpart */

    case 1419:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 537 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
        return -1;
      return 29821; /* *cond_umulv4si3_highpart */

    case 1420:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 538 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
        return -1;
      return 29823; /* *cond_umulv8si3_highpart */

    case 1421:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 539 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29825; /* *cond_umulv16si3_highpart */

    case 1422:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 540 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29827; /* *cond_umulv32si3_highpart */

    case 1423:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 541 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29829; /* *cond_umulv64si3_highpart */

    case 1424:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 542 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29831; /* *cond_umulv128si3_highpart */

    case 1425:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 543 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29833; /* *cond_umulv256si3_highpart */

    case 1426:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29835; /* *cond_umulv512si3_highpart */

    case 1427:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 545 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29837; /* *cond_umulv1024si3_highpart */

    case 1428:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 546 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_FULL_V)))
        return -1;
      return 29839; /* *cond_umulv1di3_highpart */

    case 1429:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 547 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_FULL_V)))
        return -1;
      return 29841; /* *cond_umulv2di3_highpart */

    case 1430:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 548 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_FULL_V)))
        return -1;
      return 29843; /* *cond_umulv4di3_highpart */

    case 1431:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 549 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_FULL_V && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29845; /* *cond_umulv8di3_highpart */

    case 1432:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_FULL_V && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29847; /* *cond_umulv16di3_highpart */

    case 1433:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 551 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_FULL_V && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29849; /* *cond_umulv32di3_highpart */

    case 1434:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 552 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_FULL_V && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29851; /* *cond_umulv64di3_highpart */

    case 1435:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_FULL_V && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29853; /* *cond_umulv128di3_highpart */

    case 1436:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 554 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_FULL_V && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29855; /* *cond_umulv256di3_highpart */

    case 1437:
      if (!(
#line 544 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 555 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_FULL_V && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29857; /* *cond_umulv512di3_highpart */

    default:
      return -1;
    }
}

 rtx_insn *
split_143 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern163 (x2))
    {
    case 0:
      if (vector_shift_operand (operands[2], E_RVVM8SImode)
          && (
#line 1606 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1608 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10375 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_SImode)
          || !(
#line 1647 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1649 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10435 (insn, operands);

    case 1:
      if (vector_shift_operand (operands[2], E_RVVM4SImode)
          && (
#line 1606 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1608 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10376 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_SImode)
          || !(
#line 1647 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1649 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10436 (insn, operands);

    case 2:
      if (vector_shift_operand (operands[2], E_RVVM2SImode)
          && (
#line 1606 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1608 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10377 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_SImode)
          || !(
#line 1647 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1649 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10437 (insn, operands);

    case 3:
      if (vector_shift_operand (operands[2], E_RVVM1SImode)
          && (
#line 1606 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1608 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10378 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_SImode)
          || !(
#line 1647 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1649 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10438 (insn, operands);

    case 4:
      if (vector_shift_operand (operands[2], E_RVVMF2SImode)
          && ((
#line 1606 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1106 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1608 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10379 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_SImode)
          || !((
#line 1647 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1106 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1649 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10439 (insn, operands);

    case 5:
      if (vector_shift_operand (operands[2], E_RVVM8DImode)
          && ((
#line 1606 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1108 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 1608 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10380 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_DImode)
          || !((
#line 1647 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1108 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 1649 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10440 (insn, operands);

    case 6:
      if (vector_shift_operand (operands[2], E_RVVM4DImode)
          && ((
#line 1606 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1108 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 1608 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10381 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_DImode)
          || !((
#line 1647 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1108 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 1649 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10441 (insn, operands);

    case 7:
      if (vector_shift_operand (operands[2], E_RVVM2DImode)
          && ((
#line 1606 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1109 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 1608 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10382 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_DImode)
          || !((
#line 1647 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1109 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 1649 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10442 (insn, operands);

    case 8:
      if (vector_shift_operand (operands[2], E_RVVM1DImode)
          && ((
#line 1606 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1109 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 1608 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10383 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_DImode)
          || !((
#line 1647 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1109 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 1649 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10443 (insn, operands);

    case 9:
      if (vector_shift_operand (operands[2], E_V1SImode)
          && ((
#line 1606 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1111 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))) && 
#line 1608 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10384 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_SImode)
          || !((
#line 1647 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1111 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))) && 
#line 1649 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10444 (insn, operands);

    case 10:
      if (vector_shift_operand (operands[2], E_V2SImode)
          && ((
#line 1606 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1112 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))) && 
#line 1608 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10385 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_SImode)
          || !((
#line 1647 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1112 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))) && 
#line 1649 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10445 (insn, operands);

    case 11:
      if (vector_shift_operand (operands[2], E_V4SImode)
          && ((
#line 1606 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1113 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))) && 
#line 1608 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10386 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_SImode)
          || !((
#line 1647 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1113 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))) && 
#line 1649 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10446 (insn, operands);

    case 12:
      if (vector_shift_operand (operands[2], E_V8SImode)
          && ((
#line 1606 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1114 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))) && 
#line 1608 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10387 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_SImode)
          || !((
#line 1647 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1114 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))) && 
#line 1649 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10447 (insn, operands);

    case 13:
      if (vector_shift_operand (operands[2], E_V16SImode)
          && ((
#line 1606 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1115 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)) && 
#line 1608 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10388 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_SImode)
          || !((
#line 1647 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1115 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)) && 
#line 1649 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10448 (insn, operands);

    case 14:
      if (vector_shift_operand (operands[2], E_V32SImode)
          && ((
#line 1606 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1116 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)) && 
#line 1608 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10389 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_SImode)
          || !((
#line 1647 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1116 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)) && 
#line 1649 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10449 (insn, operands);

    case 15:
      if (vector_shift_operand (operands[2], E_V64SImode)
          && ((
#line 1606 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1117 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)) && 
#line 1608 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10390 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_SImode)
          || !((
#line 1647 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1117 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)) && 
#line 1649 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10450 (insn, operands);

    case 16:
      if (vector_shift_operand (operands[2], E_V128SImode)
          && ((
#line 1606 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1118 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)) && 
#line 1608 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10391 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_SImode)
          || !((
#line 1647 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1118 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)) && 
#line 1649 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10451 (insn, operands);

    case 17:
      if (vector_shift_operand (operands[2], E_V256SImode)
          && ((
#line 1606 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1119 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)) && 
#line 1608 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10392 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_SImode)
          || !((
#line 1647 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1119 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)) && 
#line 1649 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10452 (insn, operands);

    case 18:
      if (vector_shift_operand (operands[2], E_V512SImode)
          && ((
#line 1606 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1120 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)) && 
#line 1608 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10393 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_SImode)
          || !((
#line 1647 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1120 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)) && 
#line 1649 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10453 (insn, operands);

    case 19:
      if (vector_shift_operand (operands[2], E_V1024SImode)
          && ((
#line 1606 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)) && 
#line 1608 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10394 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_SImode)
          || !((
#line 1647 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)) && 
#line 1649 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10454 (insn, operands);

    case 20:
      if (vector_shift_operand (operands[2], E_V1DImode)
          && ((
#line 1606 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1122 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 1608 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10395 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_DImode)
          || !((
#line 1647 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1122 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 1649 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10455 (insn, operands);

    case 21:
      if (vector_shift_operand (operands[2], E_V2DImode)
          && ((
#line 1606 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 1608 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10396 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_DImode)
          || !((
#line 1647 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 1649 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10456 (insn, operands);

    case 22:
      if (vector_shift_operand (operands[2], E_V4DImode)
          && ((
#line 1606 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1124 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 1608 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10397 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_DImode)
          || !((
#line 1647 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1124 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 1649 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10457 (insn, operands);

    case 23:
      if (vector_shift_operand (operands[2], E_V8DImode)
          && ((
#line 1606 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1125 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)) && 
#line 1608 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10398 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_DImode)
          || !((
#line 1647 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1125 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)) && 
#line 1649 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10458 (insn, operands);

    case 24:
      if (vector_shift_operand (operands[2], E_V16DImode)
          && ((
#line 1606 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1126 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)) && 
#line 1608 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10399 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_DImode)
          || !((
#line 1647 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1126 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)) && 
#line 1649 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10459 (insn, operands);

    case 25:
      if (vector_shift_operand (operands[2], E_V32DImode)
          && ((
#line 1606 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1127 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)) && 
#line 1608 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10400 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_DImode)
          || !((
#line 1647 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1127 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)) && 
#line 1649 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10460 (insn, operands);

    case 26:
      if (vector_shift_operand (operands[2], E_V64DImode)
          && ((
#line 1606 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1128 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)) && 
#line 1608 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10401 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_DImode)
          || !((
#line 1647 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1128 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)) && 
#line 1649 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10461 (insn, operands);

    case 27:
      if (vector_shift_operand (operands[2], E_V128DImode)
          && ((
#line 1606 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1129 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)) && 
#line 1608 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10402 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_DImode)
          || !((
#line 1647 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1129 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)) && 
#line 1649 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10462 (insn, operands);

    case 28:
      if (vector_shift_operand (operands[2], E_V256DImode)
          && ((
#line 1606 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1130 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)) && 
#line 1608 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10403 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_DImode)
          || !((
#line 1647 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1130 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)) && 
#line 1649 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10463 (insn, operands);

    case 29:
      if (vector_shift_operand (operands[2], E_V512DImode)
          && ((
#line 1606 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1131 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)) && 
#line 1608 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10404 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_DImode)
          || !((
#line 1647 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1131 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)) && 
#line 1649 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10464 (insn, operands);

    case 30:
      if (!(
#line 1629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1631 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10405 (insn, operands);

    case 31:
      if (!(
#line 1629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1631 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10406 (insn, operands);

    case 32:
      if (!(
#line 1629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1631 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10407 (insn, operands);

    case 33:
      if (!(
#line 1629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1631 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10408 (insn, operands);

    case 34:
      if (!((
#line 1629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1106 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1631 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10409 (insn, operands);

    case 35:
      if (!((
#line 1629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1108 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 1631 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10410 (insn, operands);

    case 36:
      if (!((
#line 1629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1108 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 1631 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10411 (insn, operands);

    case 37:
      if (!((
#line 1629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1109 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 1631 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10412 (insn, operands);

    case 38:
      if (!((
#line 1629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1109 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 1631 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10413 (insn, operands);

    case 39:
      if (!((
#line 1629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1111 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))) && 
#line 1631 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10414 (insn, operands);

    case 40:
      if (!((
#line 1629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1112 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))) && 
#line 1631 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10415 (insn, operands);

    case 41:
      if (!((
#line 1629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1113 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))) && 
#line 1631 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10416 (insn, operands);

    case 42:
      if (!((
#line 1629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1114 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))) && 
#line 1631 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10417 (insn, operands);

    case 43:
      if (!((
#line 1629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1115 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)) && 
#line 1631 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10418 (insn, operands);

    case 44:
      if (!((
#line 1629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1116 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)) && 
#line 1631 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10419 (insn, operands);

    case 45:
      if (!((
#line 1629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1117 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)) && 
#line 1631 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10420 (insn, operands);

    case 46:
      if (!((
#line 1629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1118 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)) && 
#line 1631 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10421 (insn, operands);

    case 47:
      if (!((
#line 1629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1119 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)) && 
#line 1631 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10422 (insn, operands);

    case 48:
      if (!((
#line 1629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1120 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)) && 
#line 1631 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10423 (insn, operands);

    case 49:
      if (!((
#line 1629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)) && 
#line 1631 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10424 (insn, operands);

    case 50:
      if (!((
#line 1629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1122 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 1631 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10425 (insn, operands);

    case 51:
      if (!((
#line 1629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 1631 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10426 (insn, operands);

    case 52:
      if (!((
#line 1629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1124 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 1631 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10427 (insn, operands);

    case 53:
      if (!((
#line 1629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1125 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)) && 
#line 1631 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10428 (insn, operands);

    case 54:
      if (!((
#line 1629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1126 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)) && 
#line 1631 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10429 (insn, operands);

    case 55:
      if (!((
#line 1629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1127 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)) && 
#line 1631 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10430 (insn, operands);

    case 56:
      if (!((
#line 1629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1128 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)) && 
#line 1631 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10431 (insn, operands);

    case 57:
      if (!((
#line 1629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1129 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)) && 
#line 1631 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10432 (insn, operands);

    case 58:
      if (!((
#line 1629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1130 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)) && 
#line 1631 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10433 (insn, operands);

    case 59:
      if (!((
#line 1629 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1131 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)) && 
#line 1631 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10434 (insn, operands);

    default:
      return NULL;
    }
}

 rtx_insn *
split_152 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern125 (x2))
    {
    case 0:
      if (!((
#line 926 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)) && 
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4442 (insn, operands);

    case 1:
      if (!((
#line 926 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)) && 
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4444 (insn, operands);

    case 2:
      if (!((
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)) && 
#line 1021 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4802 (insn, operands);

    case 3:
      if (!((
#line 926 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)) && 
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4446 (insn, operands);

    case 4:
      if (!((
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)) && 
#line 1021 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4804 (insn, operands);

    case 5:
      if (!((
#line 926 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)) && 
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4448 (insn, operands);

    case 6:
      if (!((
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)) && 
#line 1021 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4806 (insn, operands);

    case 7:
      if (!((
#line 926 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)) && 
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4450 (insn, operands);

    case 8:
      if (!((
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)) && 
#line 1021 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4808 (insn, operands);

    case 9:
      if (!((
#line 926 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 157 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH && TARGET_MIN_VLEN > 32)) && 
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4452 (insn, operands);

    case 10:
      if (!((
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32)) && 
#line 1021 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4810 (insn, operands);

    case 11:
      if (!((
#line 926 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)) && 
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4454 (insn, operands);

    case 12:
      if (!((
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1056 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4634 (insn, operands);

    case 13:
      if (!((
#line 926 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)) && 
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4456 (insn, operands);

    case 14:
      if (!((
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1056 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4636 (insn, operands);

    case 15:
      if (!((
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)) && 
#line 1021 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4812 (insn, operands);

    case 16:
      if (!((
#line 926 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)) && 
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4458 (insn, operands);

    case 17:
      if (!((
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1056 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4638 (insn, operands);

    case 18:
      if (!((
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)) && 
#line 1021 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4814 (insn, operands);

    case 19:
      if (!((
#line 926 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)) && 
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4460 (insn, operands);

    case 20:
      if (!((
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1056 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4640 (insn, operands);

    case 21:
      if (!((
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)) && 
#line 1021 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4816 (insn, operands);

    case 22:
      if (!((
#line 926 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32)) && 
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4462 (insn, operands);

    case 23:
      if (!((
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1057 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4642 (insn, operands);

    case 24:
      if (!((
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)) && 
#line 1021 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4818 (insn, operands);

    case 25:
      if (!((
#line 926 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)) && 
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4464 (insn, operands);

    case 26:
      if (!((
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1059 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32)) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4644 (insn, operands);

    case 27:
      if (!((
#line 926 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)) && 
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4466 (insn, operands);

    case 28:
      if (!((
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1060 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32)) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4646 (insn, operands);

    case 29:
      if (!((
#line 926 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)) && 
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4468 (insn, operands);

    case 30:
      if (!((
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1061 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32)) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4648 (insn, operands);

    case 31:
      if (!((
#line 926 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)) && 
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4470 (insn, operands);

    case 32:
      if (!((
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1062 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32)) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4650 (insn, operands);

    case 33:
      if (!((
#line 926 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 236 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HFmode) && TARGET_ZVFH)) && 
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4472 (insn, operands);

    case 34:
      if (!((
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 248 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SFmode) && TARGET_VECTOR_ELEN_FP_32)) && 
#line 1021 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4844 (insn, operands);

    case 35:
      if (!((
#line 926 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 237 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HFmode) && TARGET_ZVFH)) && 
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4474 (insn, operands);

    case 36:
      if (!((
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 249 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SFmode) && TARGET_VECTOR_ELEN_FP_32)) && 
#line 1021 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4846 (insn, operands);

    case 37:
      if (!((
#line 926 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HFmode) && TARGET_ZVFH)) && 
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4476 (insn, operands);

    case 38:
      if (!((
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 250 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SFmode) && TARGET_VECTOR_ELEN_FP_32)) && 
#line 1021 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4848 (insn, operands);

    case 39:
      if (!((
#line 926 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 239 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HFmode) && TARGET_ZVFH)) && 
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4478 (insn, operands);

    case 40:
      if (!((
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 251 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SFmode) && TARGET_VECTOR_ELEN_FP_32)) && 
#line 1021 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4850 (insn, operands);

    case 41:
      if (!((
#line 926 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HFmode) && TARGET_ZVFH)) && 
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4480 (insn, operands);

    case 42:
      if (!((
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 252 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 64)) && 
#line 1021 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4852 (insn, operands);

    case 43:
      if (!((
#line 926 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 64)) && 
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4482 (insn, operands);

    case 44:
      if (!((
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 253 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 128)) && 
#line 1021 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4854 (insn, operands);

    case 45:
      if (!((
#line 926 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 242 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 128)) && 
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4484 (insn, operands);

    case 46:
      if (!((
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 254 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 256)) && 
#line 1021 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4856 (insn, operands);

    case 47:
      if (!((
#line 926 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 243 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 256)) && 
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4486 (insn, operands);

    case 48:
      if (!((
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 255 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 512)) && 
#line 1021 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4858 (insn, operands);

    case 49:
      if (!((
#line 926 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 244 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 512)) && 
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4488 (insn, operands);

    case 50:
      if (!((
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 256 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 1024)) && 
#line 1021 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4860 (insn, operands);

    case 51:
      if (!((
#line 926 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 245 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 1024)) && 
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4490 (insn, operands);

    case 52:
      if (!((
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 257 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 2048)) && 
#line 1021 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4862 (insn, operands);

    case 53:
      if (!((
#line 926 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 246 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 2048)) && 
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4492 (insn, operands);

    case 54:
      if (!((
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 258 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 4096)) && 
#line 1021 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4864 (insn, operands);

    case 55:
      if (!((
#line 926 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 247 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 4096)) && 
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4494 (insn, operands);

    case 56:
      if (!((
#line 926 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 248 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SFmode) && TARGET_VECTOR_ELEN_FP_32)) && 
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4496 (insn, operands);

    case 57:
      if (!((
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1064 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode) && TARGET_ZVFH)) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4652 (insn, operands);

    case 58:
      if (!((
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 259 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DFmode) && TARGET_VECTOR_ELEN_FP_64)) && 
#line 1021 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4866 (insn, operands);

    case 59:
      if (!((
#line 926 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 249 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SFmode) && TARGET_VECTOR_ELEN_FP_32)) && 
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4498 (insn, operands);

    case 60:
      if (!((
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1065 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode) && TARGET_ZVFH)) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4654 (insn, operands);

    case 61:
      if (!((
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DFmode) && TARGET_VECTOR_ELEN_FP_64)) && 
#line 1021 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4868 (insn, operands);

    case 62:
      if (!((
#line 926 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 250 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SFmode) && TARGET_VECTOR_ELEN_FP_32)) && 
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4500 (insn, operands);

    case 63:
      if (!((
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1066 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode) && TARGET_ZVFH)) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4656 (insn, operands);

    case 64:
      if (!((
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 261 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DFmode) && TARGET_VECTOR_ELEN_FP_64)) && 
#line 1021 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4870 (insn, operands);

    case 65:
      if (!((
#line 926 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 251 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SFmode) && TARGET_VECTOR_ELEN_FP_32)) && 
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4502 (insn, operands);

    case 66:
      if (!((
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1067 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode) && TARGET_ZVFH)) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4658 (insn, operands);

    case 67:
      if (!((
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 262 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 64)) && 
#line 1021 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4872 (insn, operands);

    case 68:
      if (!((
#line 926 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 252 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 64)) && 
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4504 (insn, operands);

    case 69:
      if (!((
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1068 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 64)) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4660 (insn, operands);

    case 70:
      if (!((
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 128)) && 
#line 1021 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4874 (insn, operands);

    case 71:
      if (!((
#line 926 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 253 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 128)) && 
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4506 (insn, operands);

    case 72:
      if (!((
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1069 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 128)) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4662 (insn, operands);

    case 73:
      if (!((
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 264 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 256)) && 
#line 1021 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4876 (insn, operands);

    case 74:
      if (!((
#line 926 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 254 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 256)) && 
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4508 (insn, operands);

    case 75:
      if (!((
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1070 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 256)) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4664 (insn, operands);

    case 76:
      if (!((
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 265 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 512)) && 
#line 1021 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4878 (insn, operands);

    case 77:
      if (!((
#line 926 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 255 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 512)) && 
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4510 (insn, operands);

    case 78:
      if (!((
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1071 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 512)) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4666 (insn, operands);

    case 79:
      if (!((
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 266 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 1024)) && 
#line 1021 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4880 (insn, operands);

    case 80:
      if (!((
#line 926 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 256 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 1024)) && 
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4512 (insn, operands);

    case 81:
      if (!((
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1072 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 1024)) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4668 (insn, operands);

    case 82:
      if (!((
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 267 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 2048)) && 
#line 1021 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4882 (insn, operands);

    case 83:
      if (!((
#line 926 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 257 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 2048)) && 
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4514 (insn, operands);

    case 84:
      if (!((
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1073 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 2048)) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4670 (insn, operands);

    case 85:
      if (!((
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 4096)) && 
#line 1021 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4884 (insn, operands);

    case 86:
      if (!((
#line 926 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 258 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 4096)) && 
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4516 (insn, operands);

    case 87:
      if (!((
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1074 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 4096)) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4672 (insn, operands);

    case 88:
      if (!((
#line 926 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 259 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DFmode) && TARGET_VECTOR_ELEN_FP_64)) && 
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4518 (insn, operands);

    case 89:
      if (!((
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1075 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32)) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4674 (insn, operands);

    case 90:
      if (!((
#line 926 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DFmode) && TARGET_VECTOR_ELEN_FP_64)) && 
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4520 (insn, operands);

    case 91:
      if (!((
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1076 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32)) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4676 (insn, operands);

    case 92:
      if (!((
#line 926 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 261 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DFmode) && TARGET_VECTOR_ELEN_FP_64)) && 
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4522 (insn, operands);

    case 93:
      if (!((
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1077 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32)) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4678 (insn, operands);

    case 94:
      if (!((
#line 926 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 262 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 64)) && 
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4524 (insn, operands);

    case 95:
      if (!((
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1078 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 64)) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4680 (insn, operands);

    case 96:
      if (!((
#line 926 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 128)) && 
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4526 (insn, operands);

    case 97:
      if (!((
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1079 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 128)) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4682 (insn, operands);

    case 98:
      if (!((
#line 926 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 264 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 256)) && 
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4528 (insn, operands);

    case 99:
      if (!((
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1080 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 256)) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4684 (insn, operands);

    case 100:
      if (!((
#line 926 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 265 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 512)) && 
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4530 (insn, operands);

    case 101:
      if (!((
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1081 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 512)) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4686 (insn, operands);

    case 102:
      if (!((
#line 926 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 266 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 1024)) && 
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4532 (insn, operands);

    case 103:
      if (!((
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1082 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 1024)) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4688 (insn, operands);

    case 104:
      if (!((
#line 926 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 267 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 2048)) && 
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4534 (insn, operands);

    case 105:
      if (!((
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1083 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 2048)) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4690 (insn, operands);

    case 106:
      if (!((
#line 926 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 4096)) && 
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4536 (insn, operands);

    case 107:
      if (!((
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1084 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 4096)) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4692 (insn, operands);

    case 108:
      if (!((
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)) && 
#line 1021 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4790 (insn, operands);

    case 109:
      if (!((
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)) && 
#line 1021 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4792 (insn, operands);

    case 110:
      if (!((
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)) && 
#line 1021 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4794 (insn, operands);

    case 111:
      if (!((
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)) && 
#line 1021 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4796 (insn, operands);

    case 112:
      if (!((
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)) && 
#line 1021 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4798 (insn, operands);

    case 113:
      if (!((
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 157 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH && TARGET_MIN_VLEN > 32)) && 
#line 1021 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4800 (insn, operands);

    case 114:
      if (!((
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 236 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HFmode) && TARGET_ZVFH)) && 
#line 1021 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4820 (insn, operands);

    case 115:
      if (!((
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 237 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HFmode) && TARGET_ZVFH)) && 
#line 1021 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4822 (insn, operands);

    case 116:
      if (!((
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HFmode) && TARGET_ZVFH)) && 
#line 1021 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4824 (insn, operands);

    case 117:
      if (!((
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 239 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HFmode) && TARGET_ZVFH)) && 
#line 1021 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4826 (insn, operands);

    case 118:
      if (!((
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HFmode) && TARGET_ZVFH)) && 
#line 1021 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4828 (insn, operands);

    case 119:
      if (!((
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 64)) && 
#line 1021 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4830 (insn, operands);

    case 120:
      if (!((
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 242 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 128)) && 
#line 1021 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4832 (insn, operands);

    case 121:
      if (!((
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 243 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 256)) && 
#line 1021 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4834 (insn, operands);

    case 122:
      if (!((
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 244 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 512)) && 
#line 1021 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4836 (insn, operands);

    case 123:
      if (!((
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 245 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 1024)) && 
#line 1021 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4838 (insn, operands);

    case 124:
      if (!((
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 246 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 2048)) && 
#line 1021 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4840 (insn, operands);

    case 125:
      if (!((
#line 1019 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 247 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 4096)) && 
#line 1021 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4842 (insn, operands);

    default:
      return NULL;
    }
}

 rtx_insn *
split_160 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  switch (GET_CODE (x3))
    {
    case UNSPEC:
      switch (XVECLEN (x3, 0))
        {
        case 5:
          if (XINT (x3, 1) != 93
              || pattern265 (x3) != 0)
            return NULL;
          x4 = XVECEXP (x3, 0, 0);
          switch (GET_CODE (x4))
            {
            case CONST_VECTOR:
              operands[1] = x4;
              x5 = XVECEXP (x3, 0, 1);
              operands[4] = x5;
              if (!vector_length_operand (operands[4], E_VOIDmode))
                return NULL;
              x6 = XVECEXP (x3, 0, 2);
              operands[5] = x6;
              x7 = XEXP (x2, 1);
              operands[3] = x7;
              x8 = XEXP (x2, 2);
              operands[2] = x8;
              switch (GET_MODE (operands[0]))
                {
                case E_RVVMF64BImode:
                  if (!nonimmediate_operand (operands[0], E_RVVMF64BImode)
                      || pattern578 (x2, 
E_RVVMF64BImode) != 0)
                    return NULL;
                  if (((
#line 170 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 1533 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 177 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( !reload_completed)))
                    return gen_split_779 (insn, operands);
                  if (!((
#line 1964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1533 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, RVVMF64BImode, 5))))
                    return NULL;
                  return gen_split_2431 (insn, operands);

                case E_RVVMF32BImode:
                  if (!nonimmediate_operand (operands[0], E_RVVMF32BImode)
                      || pattern578 (x2, 
E_RVVMF32BImode) != 0)
                    return NULL;
                  if ((
#line 170 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 177 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( !reload_completed)))
                    return gen_split_780 (insn, operands);
                  if (!(
#line 1964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, RVVMF32BImode, 5))))
                    return NULL;
                  return gen_split_2432 (insn, operands);

                case E_RVVMF16BImode:
                  if (!nonimmediate_operand (operands[0], E_RVVMF16BImode)
                      || pattern578 (x2, 
E_RVVMF16BImode) != 0)
                    return NULL;
                  if ((
#line 170 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 177 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( !reload_completed)))
                    return gen_split_781 (insn, operands);
                  if (!(
#line 1964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, RVVMF16BImode, 5))))
                    return NULL;
                  return gen_split_2433 (insn, operands);

                case E_RVVMF8BImode:
                  if (!nonimmediate_operand (operands[0], E_RVVMF8BImode)
                      || pattern578 (x2, 
E_RVVMF8BImode) != 0)
                    return NULL;
                  if ((
#line 170 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 177 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( !reload_completed)))
                    return gen_split_782 (insn, operands);
                  if (!(
#line 1964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, RVVMF8BImode, 5))))
                    return NULL;
                  return gen_split_2434 (insn, operands);

                case E_RVVMF4BImode:
                  if (!nonimmediate_operand (operands[0], E_RVVMF4BImode)
                      || pattern578 (x2, 
E_RVVMF4BImode) != 0)
                    return NULL;
                  if ((
#line 170 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 177 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( !reload_completed)))
                    return gen_split_783 (insn, operands);
                  if (!(
#line 1964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, RVVMF4BImode, 5))))
                    return NULL;
                  return gen_split_2435 (insn, operands);

                case E_RVVMF2BImode:
                  if (!nonimmediate_operand (operands[0], E_RVVMF2BImode)
                      || pattern578 (x2, 
E_RVVMF2BImode) != 0)
                    return NULL;
                  if ((
#line 170 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 177 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( !reload_completed)))
                    return gen_split_784 (insn, operands);
                  if (!(
#line 1964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, RVVMF2BImode, 5))))
                    return NULL;
                  return gen_split_2436 (insn, operands);

                case E_RVVM1BImode:
                  if (!nonimmediate_operand (operands[0], E_RVVM1BImode)
                      || pattern578 (x2, 
E_RVVM1BImode) != 0)
                    return NULL;
                  if ((
#line 170 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 177 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( !reload_completed)))
                    return gen_split_785 (insn, operands);
                  if (!(
#line 1964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, RVVM1BImode, 5))))
                    return NULL;
                  return gen_split_2437 (insn, operands);

                case E_V1BImode:
                  if (!nonimmediate_operand (operands[0], E_V1BImode)
                      || pattern578 (x2, 
E_V1BImode) != 0)
                    return NULL;
                  if (((
#line 170 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 1518 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1BImode))) && 
#line 177 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( !reload_completed)))
                    return gen_split_786 (insn, operands);
                  if (!((
#line 1964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1518 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1BImode))) && 
#line 1971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V1BImode, 5))))
                    return NULL;
                  return gen_split_2438 (insn, operands);

                case E_V2BImode:
                  if (!nonimmediate_operand (operands[0], E_V2BImode)
                      || pattern578 (x2, 
E_V2BImode) != 0)
                    return NULL;
                  if (((
#line 170 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 1519 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2BImode))) && 
#line 177 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( !reload_completed)))
                    return gen_split_787 (insn, operands);
                  if (!((
#line 1964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1519 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2BImode))) && 
#line 1971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V2BImode, 5))))
                    return NULL;
                  return gen_split_2439 (insn, operands);

                case E_V4BImode:
                  if (!nonimmediate_operand (operands[0], E_V4BImode)
                      || pattern578 (x2, 
E_V4BImode) != 0)
                    return NULL;
                  if (((
#line 170 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 1520 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4BImode))) && 
#line 177 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( !reload_completed)))
                    return gen_split_788 (insn, operands);
                  if (!((
#line 1964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1520 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4BImode))) && 
#line 1971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V4BImode, 5))))
                    return NULL;
                  return gen_split_2440 (insn, operands);

                case E_V8BImode:
                  if (!nonimmediate_operand (operands[0], E_V8BImode)
                      || pattern578 (x2, 
E_V8BImode) != 0)
                    return NULL;
                  if (((
#line 170 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 1521 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8BImode))) && 
#line 177 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( !reload_completed)))
                    return gen_split_789 (insn, operands);
                  if (!((
#line 1964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1521 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8BImode))) && 
#line 1971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V8BImode, 5))))
                    return NULL;
                  return gen_split_2441 (insn, operands);

                case E_V16BImode:
                  if (!nonimmediate_operand (operands[0], E_V16BImode)
                      || pattern578 (x2, 
E_V16BImode) != 0)
                    return NULL;
                  if (((
#line 170 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 1522 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16BImode))) && 
#line 177 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( !reload_completed)))
                    return gen_split_790 (insn, operands);
                  if (!((
#line 1964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1522 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16BImode))) && 
#line 1971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V16BImode, 5))))
                    return NULL;
                  return gen_split_2442 (insn, operands);

                case E_V32BImode:
                  if (!nonimmediate_operand (operands[0], E_V32BImode)
                      || pattern578 (x2, 
E_V32BImode) != 0)
                    return NULL;
                  if (((
#line 170 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 1523 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32BImode))) && 
#line 177 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( !reload_completed)))
                    return gen_split_791 (insn, operands);
                  if (!((
#line 1964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1523 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32BImode))) && 
#line 1971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V32BImode, 5))))
                    return NULL;
                  return gen_split_2443 (insn, operands);

                case E_V64BImode:
                  if (!nonimmediate_operand (operands[0], E_V64BImode)
                      || pattern578 (x2, 
E_V64BImode) != 0)
                    return NULL;
                  if (((
#line 170 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 1524 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64BImode) && TARGET_MIN_VLEN >= 64)) && 
#line 177 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( !reload_completed)))
                    return gen_split_792 (insn, operands);
                  if (!((
#line 1964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1524 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64BImode) && TARGET_MIN_VLEN >= 64)) && 
#line 1971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V64BImode, 5))))
                    return NULL;
                  return gen_split_2444 (insn, operands);

                case E_V128BImode:
                  if (!nonimmediate_operand (operands[0], E_V128BImode)
                      || pattern578 (x2, 
E_V128BImode) != 0)
                    return NULL;
                  if (((
#line 170 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 1525 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128BImode) && TARGET_MIN_VLEN >= 128)) && 
#line 177 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( !reload_completed)))
                    return gen_split_793 (insn, operands);
                  if (!((
#line 1964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1525 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128BImode) && TARGET_MIN_VLEN >= 128)) && 
#line 1971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V128BImode, 5))))
                    return NULL;
                  return gen_split_2445 (insn, operands);

                case E_V256BImode:
                  if (!nonimmediate_operand (operands[0], E_V256BImode)
                      || pattern578 (x2, 
E_V256BImode) != 0)
                    return NULL;
                  if (((
#line 170 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 1526 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256BImode) && TARGET_MIN_VLEN >= 256)) && 
#line 177 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( !reload_completed)))
                    return gen_split_794 (insn, operands);
                  if (!((
#line 1964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1526 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256BImode) && TARGET_MIN_VLEN >= 256)) && 
#line 1971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V256BImode, 5))))
                    return NULL;
                  return gen_split_2446 (insn, operands);

                case E_V512BImode:
                  if (!nonimmediate_operand (operands[0], E_V512BImode)
                      || pattern578 (x2, 
E_V512BImode) != 0)
                    return NULL;
                  if (((
#line 170 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 1527 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512BImode) && TARGET_MIN_VLEN >= 512)) && 
#line 177 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( !reload_completed)))
                    return gen_split_795 (insn, operands);
                  if (!((
#line 1964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1527 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512BImode) && TARGET_MIN_VLEN >= 512)) && 
#line 1971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V512BImode, 5))))
                    return NULL;
                  return gen_split_2447 (insn, operands);

                case E_V1024BImode:
                  if (!nonimmediate_operand (operands[0], E_V1024BImode)
                      || pattern578 (x2, 
E_V1024BImode) != 0)
                    return NULL;
                  if (((
#line 170 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 1528 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024BImode) && TARGET_MIN_VLEN >= 1024)) && 
#line 177 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( !reload_completed)))
                    return gen_split_796 (insn, operands);
                  if (!((
#line 1964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1528 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024BImode) && TARGET_MIN_VLEN >= 1024)) && 
#line 1971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V1024BImode, 5))))
                    return NULL;
                  return gen_split_2448 (insn, operands);

                case E_V2048BImode:
                  if (!nonimmediate_operand (operands[0], E_V2048BImode)
                      || pattern578 (x2, 
E_V2048BImode) != 0)
                    return NULL;
                  if (((
#line 170 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 1529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048BImode) && TARGET_MIN_VLEN >= 2048)) && 
#line 177 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( !reload_completed)))
                    return gen_split_797 (insn, operands);
                  if (!((
#line 1964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048BImode) && TARGET_MIN_VLEN >= 2048)) && 
#line 1971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V2048BImode, 5))))
                    return NULL;
                  return gen_split_2449 (insn, operands);

                case E_V4096BImode:
                  if (!nonimmediate_operand (operands[0], E_V4096BImode)
                      || pattern578 (x2, 
E_V4096BImode) != 0)
                    return NULL;
                  if (((
#line 170 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 1530 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4096BImode) && TARGET_MIN_VLEN >= 4096)) && 
#line 177 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( !reload_completed)))
                    return gen_split_798 (insn, operands);
                  if (!((
#line 1964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1530 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4096BImode) && TARGET_MIN_VLEN >= 4096)) && 
#line 1971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V4096BImode, 5))))
                    return NULL;
                  return gen_split_2450 (insn, operands);

                default:
                  return NULL;
                }

            case CONST_INT:
            case REG:
            case SUBREG:
              return split_124 (x1, insn);

            default:
              return NULL;
            }

        case 7:
          return split_132 (x1, insn);

        case 6:
          if (pattern267 (x3) != 0)
            return NULL;
          x4 = XVECEXP (x3, 0, 0);
          operands[1] = x4;
          x5 = XVECEXP (x3, 0, 1);
          operands[4] = x5;
          if (!vector_length_operand (operands[4], E_VOIDmode))
            return NULL;
          x6 = XVECEXP (x3, 0, 2);
          operands[5] = x6;
          if (!const_int_operand (operands[5], E_VOIDmode))
            return NULL;
          x9 = XVECEXP (x3, 0, 3);
          operands[6] = x9;
          if (!const_int_operand (operands[6], E_VOIDmode))
            return NULL;
          x7 = XEXP (x2, 1);
          operands[3] = x7;
          x8 = XEXP (x2, 2);
          operands[2] = x8;
          switch (GET_MODE (operands[0]))
            {
            case E_RVVMF64BImode:
              if (!register_operand (operands[0], E_RVVMF64BImode)
                  || pattern578 (x2, 
E_RVVMF64BImode) != 0
                  || !(
#line 51 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 1533 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
                return NULL;
              return gen_split_6307 (insn, operands);

            case E_RVVMF32BImode:
              if (!register_operand (operands[0], E_RVVMF32BImode)
                  || pattern578 (x2, 
E_RVVMF32BImode) != 0
                  || !
#line 51 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR))
                return NULL;
              return gen_split_6308 (insn, operands);

            case E_RVVMF16BImode:
              if (!register_operand (operands[0], E_RVVMF16BImode)
                  || pattern578 (x2, 
E_RVVMF16BImode) != 0
                  || !
#line 51 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR))
                return NULL;
              return gen_split_6309 (insn, operands);

            case E_RVVMF8BImode:
              if (!register_operand (operands[0], E_RVVMF8BImode)
                  || pattern578 (x2, 
E_RVVMF8BImode) != 0
                  || !
#line 51 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR))
                return NULL;
              return gen_split_6310 (insn, operands);

            case E_RVVMF4BImode:
              if (!register_operand (operands[0], E_RVVMF4BImode)
                  || pattern578 (x2, 
E_RVVMF4BImode) != 0
                  || !
#line 51 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR))
                return NULL;
              return gen_split_6311 (insn, operands);

            case E_RVVMF2BImode:
              if (!register_operand (operands[0], E_RVVMF2BImode)
                  || pattern578 (x2, 
E_RVVMF2BImode) != 0
                  || !
#line 51 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR))
                return NULL;
              return gen_split_6312 (insn, operands);

            case E_RVVM1BImode:
              if (!register_operand (operands[0], E_RVVM1BImode)
                  || pattern578 (x2, 
E_RVVM1BImode) != 0
                  || !
#line 51 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR))
                return NULL;
              return gen_split_6313 (insn, operands);

            default:
              return NULL;
            }

        default:
          return NULL;
        }

    case REG:
    case SUBREG:
      return split_133 (x1, insn);

    default:
      return NULL;
    }
}

 rtx_insn *
split_166 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern124 (x2))
    {
    case 0:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2600 (insn, operands);

    case 1:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2614 (insn, operands);

    case 2:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2628 (insn, operands);

    case 3:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2642 (insn, operands);

    case 4:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2656 (insn, operands);

    case 5:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2670 (insn, operands);

    case 6:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2684 (insn, operands);

    case 7:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2698 (insn, operands);

    case 8:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2712 (insn, operands);

    case 9:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2726 (insn, operands);

    case 10:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2740 (insn, operands);

    case 11:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2754 (insn, operands);

    case 12:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2768 (insn, operands);

    case 13:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2782 (insn, operands);

    case 14:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2796 (insn, operands);

    case 15:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2810 (insn, operands);

    case 16:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2824 (insn, operands);

    case 17:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2838 (insn, operands);

    case 18:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && (
#line 131 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2852 (insn, operands);

    case 19:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2866 (insn, operands);

    case 20:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && (
#line 132 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2880 (insn, operands);

    case 21:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && (
#line 133 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2894 (insn, operands);

    case 22:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 188 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1QImode))) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2908 (insn, operands);

    case 23:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 189 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2QImode))) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2922 (insn, operands);

    case 24:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 190 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4QImode))) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2936 (insn, operands);

    case 25:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 191 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8QImode))) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2950 (insn, operands);

    case 26:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16QImode))) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2964 (insn, operands);

    case 27:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 193 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32QImode))) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2978 (insn, operands);

    case 28:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 194 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64QImode) && TARGET_MIN_VLEN >= 64)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2992 (insn, operands);

    case 29:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 195 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128QImode) && TARGET_MIN_VLEN >= 128)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3006 (insn, operands);

    case 30:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 196 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256QImode) && TARGET_MIN_VLEN >= 256)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3020 (insn, operands);

    case 31:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 197 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512QImode) && TARGET_MIN_VLEN >= 512)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3034 (insn, operands);

    case 32:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 198 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024QImode) && TARGET_MIN_VLEN >= 1024)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3048 (insn, operands);

    case 33:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 199 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048QImode) && TARGET_MIN_VLEN >= 2048)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3062 (insn, operands);

    case 34:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 200 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4096QImode) && TARGET_MIN_VLEN >= 4096)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3076 (insn, operands);

    case 35:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 201 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3090 (insn, operands);

    case 36:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3104 (insn, operands);

    case 37:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 203 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3118 (insn, operands);

    case 38:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 204 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3132 (insn, operands);

    case 39:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3146 (insn, operands);

    case 40:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 206 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3160 (insn, operands);

    case 41:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 207 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3174 (insn, operands);

    case 42:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 208 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3188 (insn, operands);

    case 43:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 209 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3202 (insn, operands);

    case 44:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3216 (insn, operands);

    case 45:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 211 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3230 (insn, operands);

    case 46:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3244 (insn, operands);

    case 47:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 213 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3258 (insn, operands);

    case 48:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3272 (insn, operands);

    case 49:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 215 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3286 (insn, operands);

    case 50:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 216 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3300 (insn, operands);

    case 51:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 217 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3314 (insn, operands);

    case 52:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 218 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3328 (insn, operands);

    case 53:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 219 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3342 (insn, operands);

    case 54:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 220 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3356 (insn, operands);

    case 55:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3370 (insn, operands);

    case 56:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 222 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3384 (insn, operands);

    case 57:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 223 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3398 (insn, operands);

    case 58:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 224 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3412 (insn, operands);

    case 59:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 225 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3426 (insn, operands);

    case 60:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 226 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3440 (insn, operands);

    case 61:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 227 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3454 (insn, operands);

    case 62:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 228 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3468 (insn, operands);

    case 63:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 229 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3482 (insn, operands);

    case 64:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 230 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3496 (insn, operands);

    case 65:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3510 (insn, operands);

    case 66:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 232 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3524 (insn, operands);

    case 67:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 233 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3538 (insn, operands);

    default:
      return NULL;
    }
}

 rtx_insn *
split_174 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  if (equality_operator (x4, E_VOIDmode))
    {
      switch (pattern419 (x3))
        {
        case 0:
          if (shifted_const_arith_operand (operands[3], E_VOIDmode))
            {
              switch (GET_MODE (operands[4]))
                {
                case E_SImode:
                  if (scratch_operand (operands[4], E_SImode)
                      && ((
#line 3168 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(!SMALL_OPERAND (INTVAL (operands[3]))) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT)) && 
#line 3170 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
( reload_completed)))
                    return gen_split_54 (insn, operands);
                  break;

                case E_DImode:
                  if (scratch_operand (operands[4], E_DImode)
                      && ((
#line 3168 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(!SMALL_OPERAND (INTVAL (operands[3]))) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)) && 
#line 3170 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
( reload_completed)))
                    return gen_split_57 (insn, operands);
                  break;

                default:
                  break;
                }
            }
          if (consecutive_bits_operand (operands[3], E_VOIDmode))
            {
              switch (GET_MODE (operands[4]))
                {
                case E_SImode:
                  if (scratch_operand (operands[4], E_SImode)
                      && ((
#line 3235 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
((INTVAL (operands[3]) >= 0 || !partial_subreg_p (operands[2]))
    && popcount_hwi (INTVAL (operands[3])) > 1
    && !SMALL_OPERAND (INTVAL (operands[3]))) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT)) && 
#line 3239 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
( reload_completed)))
                    return gen_split_77 (insn, operands);
                  break;

                case E_DImode:
                  if (scratch_operand (operands[4], E_DImode)
                      && ((
#line 3235 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
((INTVAL (operands[3]) >= 0 || !partial_subreg_p (operands[2]))
    && popcount_hwi (INTVAL (operands[3])) > 1
    && !SMALL_OPERAND (INTVAL (operands[3]))) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)) && 
#line 3239 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
( reload_completed)))
                    return gen_split_81 (insn, operands);
                  break;

                default:
                  break;
                }
            }
          break;

        case 1:
          if (shifted_const_arith_operand (operands[3], E_VOIDmode))
            {
              switch (GET_MODE (operands[4]))
                {
                case E_SImode:
                  if (scratch_operand (operands[4], E_SImode)
                      && ((
#line 3168 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(!SMALL_OPERAND (INTVAL (operands[3]))) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT)) && 
#line 3170 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
( reload_completed)))
                    return gen_split_55 (insn, operands);
                  break;

                case E_DImode:
                  if (scratch_operand (operands[4], E_DImode)
                      && ((
#line 3168 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(!SMALL_OPERAND (INTVAL (operands[3]))) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)) && 
#line 3170 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
( reload_completed)))
                    return gen_split_58 (insn, operands);
                  break;

                default:
                  break;
                }
            }
          if (consecutive_bits_operand (operands[3], E_VOIDmode))
            {
              switch (GET_MODE (operands[4]))
                {
                case E_SImode:
                  if (scratch_operand (operands[4], E_SImode)
                      && ((
#line 3235 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
((INTVAL (operands[3]) >= 0 || !partial_subreg_p (operands[2]))
    && popcount_hwi (INTVAL (operands[3])) > 1
    && !SMALL_OPERAND (INTVAL (operands[3]))) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT)) && 
#line 3239 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
( reload_completed)))
                    return gen_split_78 (insn, operands);
                  break;

                case E_DImode:
                  if (scratch_operand (operands[4], E_DImode)
                      && ((
#line 3235 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
((INTVAL (operands[3]) >= 0 || !partial_subreg_p (operands[2]))
    && popcount_hwi (INTVAL (operands[3])) > 1
    && !SMALL_OPERAND (INTVAL (operands[3]))) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)) && 
#line 3239 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
( reload_completed)))
                    return gen_split_82 (insn, operands);
                  break;

                default:
                  break;
                }
            }
          break;

        case 2:
          if (shifted_const_arith_operand (operands[3], E_VOIDmode))
            {
              switch (GET_MODE (operands[4]))
                {
                case E_SImode:
                  if (scratch_operand (operands[4], E_SImode)
                      && ((
#line 3168 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(!SMALL_OPERAND (INTVAL (operands[3]))) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT)) && 
#line 3170 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
( reload_completed)))
                    return gen_split_56 (insn, operands);
                  break;

                case E_DImode:
                  if (scratch_operand (operands[4], E_DImode)
                      && ((
#line 3168 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(!SMALL_OPERAND (INTVAL (operands[3]))) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)) && 
#line 3170 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
( reload_completed)))
                    return gen_split_59 (insn, operands);
                  break;

                default:
                  break;
                }
            }
          if (consecutive_bits_operand (operands[3], E_VOIDmode))
            {
              switch (GET_MODE (operands[4]))
                {
                case E_SImode:
                  if (scratch_operand (operands[4], E_SImode)
                      && ((
#line 3235 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
((INTVAL (operands[3]) >= 0 || !partial_subreg_p (operands[2]))
    && popcount_hwi (INTVAL (operands[3])) > 1
    && !SMALL_OPERAND (INTVAL (operands[3]))) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT)) && 
#line 3239 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
( reload_completed)))
                    return gen_split_79 (insn, operands);
                  break;

                case E_DImode:
                  if (scratch_operand (operands[4], E_DImode)
                      && ((
#line 3235 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
((INTVAL (operands[3]) >= 0 || !partial_subreg_p (operands[2]))
    && popcount_hwi (INTVAL (operands[3])) > 1
    && !SMALL_OPERAND (INTVAL (operands[3]))) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)) && 
#line 3239 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
( reload_completed)))
                    return gen_split_83 (insn, operands);
                  break;

                default:
                  break;
                }
            }
          break;

        case 3:
          if (shifted_const_arith_operand (operands[3], E_VOIDmode)
              && scratch_operand (operands[4], E_DImode)
              && ((
#line 3168 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(!SMALL_OPERAND (INTVAL (operands[3]))) && 
#line 69 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)) && 
#line 3170 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
( reload_completed)))
            return gen_split_60 (insn, operands);
          if (consecutive_bits_operand (operands[3], E_VOIDmode))
            {
              switch (GET_MODE (operands[4]))
                {
                case E_SImode:
                  if (scratch_operand (operands[4], E_SImode)
                      && ((
#line 3235 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
((INTVAL (operands[3]) >= 0 || !partial_subreg_p (operands[2]))
    && popcount_hwi (INTVAL (operands[3])) > 1
    && !SMALL_OPERAND (INTVAL (operands[3]))) && ((((
#line 69 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT)) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT)) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT)) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT))) && 
#line 3239 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
( reload_completed)))
                    return gen_split_80 (insn, operands);
                  break;

                case E_DImode:
                  if (scratch_operand (operands[4], E_DImode)
                      && ((
#line 3235 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
((INTVAL (operands[3]) >= 0 || !partial_subreg_p (operands[2]))
    && popcount_hwi (INTVAL (operands[3])) > 1
    && !SMALL_OPERAND (INTVAL (operands[3]))) && 
#line 69 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)) && 
#line 3239 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
( reload_completed)))
                    return gen_split_84 (insn, operands);
                  break;

                default:
                  break;
                }
            }
          break;

        case 4:
          x5 = XEXP (x4, 0);
          x6 = XEXP (x5, 1);
          if (XWINT (x6, 0) == 1L)
            {
              switch (pattern465 (x3))
                {
                case 0:
                  if ((
#line 3445 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(reload_completed) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT)))
                    return gen_split_97 (insn, operands);
                  break;

                case 1:
                  if ((
#line 3445 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(reload_completed) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)))
                    return gen_split_98 (insn, operands);
                  break;

                case 2:
                  if (((
#line 1143 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
(TARGET_ZBS) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT)) && 
#line 1145 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
( reload_completed)))
                    return gen_split_185 (insn, operands);
                  break;

                case 3:
                  if (((
#line 1143 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
(TARGET_ZBS) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)) && 
#line 1145 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
( reload_completed)))
                    return gen_split_186 (insn, operands);
                  break;

                default:
                  break;
                }
            }
          x7 = XEXP (x5, 2);
          if (x7 == const_int_rtx[MAX_SAVED_CONST_INT + 0])
            {
              switch (pattern466 (x3))
                {
                case 0:
                  if ((
#line 3477 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(reload_completed) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT)))
                    return gen_split_99 (insn, operands);
                  break;

                case 1:
                  if ((
#line 3477 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(reload_completed) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)))
                    return gen_split_100 (insn, operands);
                  break;

                default:
                  break;
                }
            }
          break;

        default:
          break;
        }
    }
  if (!ne_operator (x4, E_VOIDmode))
    return NULL;
  switch (pattern411 (x3))
    {
    case 0:
      if (!((
#line 3408 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX) && (((
#line 105 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT)) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT)) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT))) && 
#line 3410 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
( reload_completed)))
        return NULL;
      return gen_split_91 (insn, operands);

    case 1:
      if (!((
#line 3408 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX) && (((
#line 105 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT))) && 
#line 3410 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
( reload_completed)))
        return NULL;
      return gen_split_92 (insn, operands);

    case 2:
      if (!((
#line 3408 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX) && (((
#line 106 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_DOUBLE_FLOAT || TARGET_ZDINX) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT)) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT)) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT))) && 
#line 3410 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
( reload_completed)))
        return NULL;
      return gen_split_93 (insn, operands);

    case 3:
      if (!((
#line 3408 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX) && (((
#line 106 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_DOUBLE_FLOAT || TARGET_ZDINX) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT))) && 
#line 3410 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
( reload_completed)))
        return NULL;
      return gen_split_94 (insn, operands);

    case 4:
      if (!((
#line 3408 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX) && (((
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_ZFH || TARGET_ZHINX) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT)) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT)) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT))) && 
#line 3410 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
( reload_completed)))
        return NULL;
      return gen_split_95 (insn, operands);

    case 5:
      if (!((
#line 3408 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX) && (((
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_ZFH || TARGET_ZHINX) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT))) && 
#line 3410 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
( reload_completed)))
        return NULL;
      return gen_split_96 (insn, operands);

    default:
      return NULL;
    }
}

 rtx_insn *
split_insns (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14, x15;
  rtx_insn *res ATTRIBUTE_UNUSED;
  recog_data.insn = NULL;
  switch (GET_CODE (x1))
    {
    case SET:
      x2 = XEXP (x1, 0);
      operands[0] = x2;
      x3 = XEXP (x1, 1);
      switch (GET_CODE (x3))
        {
        case PLUS:
          return split_149 (x1, insn);

        case ZERO_EXTEND:
          x4 = XEXP (x3, 0);
          switch (GET_CODE (x4))
            {
            case REG:
            case SUBREG:
            case MEM:
              return split_8 (x1, insn);

            case PLUS:
              if (GET_MODE (x4) != E_SImode)
                return NULL;
              x5 = XEXP (x4, 1);
              if (GET_CODE (x5) != SUBREG
                  || maybe_ne (SUBREG_BYTE (x5), 0)
                  || GET_MODE (x5) != E_SImode
                  || !register_operand (operands[0], E_DImode)
                  || GET_MODE (x3) != E_DImode)
                return NULL;
              x6 = XEXP (x4, 0);
              if (GET_MODE (x6) != E_SImode)
                return NULL;
              x7 = XEXP (x5, 0);
              if (!register_operand (x7, E_DImode))
                return NULL;
              switch (GET_CODE (x6))
                {
                case ASHIFT:
                  x8 = XEXP (x6, 0);
                  if (GET_CODE (x8) != SUBREG
                      || maybe_ne (SUBREG_BYTE (x8), 0)
                      || GET_MODE (x8) != E_SImode)
                    return NULL;
                  x9 = XEXP (x8, 0);
                  operands[1] = x9;
                  if (!register_operand (operands[1], E_DImode))
                    return NULL;
                  x10 = XEXP (x6, 1);
                  operands[2] = x10;
                  if (!imm123_operand (operands[2], E_QImode))
                    return NULL;
                  operands[3] = x7;
                  if (!
#line 72 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
(TARGET_64BIT && TARGET_ZBA))
                    return NULL;
                  return gen_split_107 (insn, operands);

                case SUBREG:
                  if (maybe_ne (SUBREG_BYTE (x6), 0))
                    return NULL;
                  x8 = XEXP (x6, 0);
                  if (pattern420 (x8) != 0
                      || !imm123_operand (operands[2], E_QImode))
                    return NULL;
                  x11 = XEXP (x8, 1);
                  operands[3] = x11;
                  if (!consecutive_bits_operand (operands[3], E_DImode))
                    return NULL;
                  operands[4] = x7;
                  if (!
#line 82 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
(TARGET_64BIT && TARGET_ZBA
   && riscv_shamt_matches_mask_p (INTVAL (operands[2]), INTVAL (operands[3]))))
                    return NULL;
                  return gen_split_108 (insn, operands);

                default:
                  return NULL;
                }

            case ASHIFT:
              if (GET_MODE (x4) != E_SImode)
                return NULL;
              x6 = XEXP (x4, 0);
              if (x6 != const_int_rtx[MAX_SAVED_CONST_INT + 1])
                return NULL;
              x5 = XEXP (x4, 1);
              if (pattern331 (x5) != 0
                  || !register_operand (operands[0], E_DImode)
                  || GET_MODE (x3) != E_DImode)
                return NULL;
              x7 = XEXP (x5, 0);
              x12 = XEXP (x7, 0);
              operands[1] = x12;
              if (!register_operand (operands[1], E_DImode))
                return NULL;
              x13 = XEXP (x7, 1);
              operands[2] = x13;
              if (!const_int_operand (operands[2], E_VOIDmode)
                  || !(
#line 659 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
(TARGET_64BIT
   && TARGET_ZBS
   && (INTVAL (operands[2]) & 0x1f) != 0x1f) && 
#line 663 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
( 1)))
                return NULL;
              return gen_split_138 (insn, operands);

            default:
              return NULL;
            }

        case SIGN_EXTEND:
          x4 = XEXP (x3, 0);
          switch (GET_CODE (x4))
            {
            case REG:
            case SUBREG:
            case MEM:
              return split_9 (x1, insn);

            case ASHIFT:
              switch (pattern135 (x3))
                {
                case 0:
                  x5 = XEXP (x4, 1);
                  if (!subreg_lowpart_operator (x5, E_VOIDmode))
                    return NULL;
                  switch (pattern401 (x5))
                    {
                    case 0:
                      if (!(
#line 2967 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_64BIT) && 
#line 2969 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
( 1)))
                        return NULL;
                      return gen_split_34 (insn, operands);

                    case 1:
                      if (!(
#line 2967 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_64BIT) && 
#line 2969 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
( 1)))
                        return NULL;
                      return gen_split_37 (insn, operands);

                    default:
                      return NULL;
                    }

                case 1:
                  x5 = XEXP (x4, 1);
                  if (pattern331 (x5) != 0)
                    return NULL;
                  x7 = XEXP (x5, 0);
                  x12 = XEXP (x7, 0);
                  operands[1] = x12;
                  if (!register_operand (operands[1], E_DImode))
                    return NULL;
                  x13 = XEXP (x7, 1);
                  operands[2] = x13;
                  if (!const_int_operand (operands[2], E_VOIDmode)
                      || !(
#line 659 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
(TARGET_64BIT
   && TARGET_ZBS
   && (INTVAL (operands[2]) & 0x1f) != 0x1f) && 
#line 663 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
( 1)))
                    return NULL;
                  return gen_split_137 (insn, operands);

                default:
                  return NULL;
                }

            case ASHIFTRT:
              switch (pattern228 (x3))
                {
                case 0:
                  if (!(
#line 2967 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_64BIT) && 
#line 2969 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
( 1)))
                    return NULL;
                  return gen_split_35 (insn, operands);

                case 1:
                  if (!(
#line 2967 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_64BIT) && 
#line 2969 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
( 1)))
                    return NULL;
                  return gen_split_38 (insn, operands);

                default:
                  return NULL;
                }

            case LSHIFTRT:
              switch (pattern228 (x3))
                {
                case 0:
                  if (!(
#line 2967 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_64BIT) && 
#line 2969 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
( 1)))
                    return NULL;
                  return gen_split_36 (insn, operands);

                case 1:
                  if (!(
#line 2967 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_64BIT) && 
#line 2969 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
( 1)))
                    return NULL;
                  return gen_split_39 (insn, operands);

                default:
                  return NULL;
                }

            case ROTATE:
              switch (pattern228 (x3))
                {
                case 0:
                  if (!(
#line 450 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
(TARGET_64BIT && (TARGET_ZBB || TARGET_ZBKB)) && 
#line 452 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
( 1)))
                    return NULL;
                  return gen_split_125 (insn, operands);

                case 1:
                  if (!((
#line 450 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
(TARGET_64BIT && (TARGET_ZBB || TARGET_ZBKB)) && 
#line 27 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)) && 
#line 452 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
( 1)))
                    return NULL;
                  return gen_split_127 (insn, operands);

                default:
                  return NULL;
                }

            case ROTATERT:
              switch (pattern228 (x3))
                {
                case 0:
                  if (!(
#line 450 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
(TARGET_64BIT && (TARGET_ZBB || TARGET_ZBKB)) && 
#line 452 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
( 1)))
                    return NULL;
                  return gen_split_126 (insn, operands);

                case 1:
                  if (!((
#line 450 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
(TARGET_64BIT && (TARGET_ZBB || TARGET_ZBKB)) && 
#line 27 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)) && 
#line 452 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
( 1)))
                    return NULL;
                  return gen_split_128 (insn, operands);

                default:
                  return NULL;
                }

            default:
              return NULL;
            }

        case CONST_INT:
        case CONST_WIDE_INT:
        case CONST_POLY_INT:
        case CONST_FIXED:
        case CONST_DOUBLE:
        case CONST_VECTOR:
        case CONST:
        case REG:
        case SUBREG:
        case MEM:
        case LABEL_REF:
        case SYMBOL_REF:
        case HIGH:
          operands[1] = x3;
          return split_110 (x1, insn);

        case ASHIFT:
          x4 = XEXP (x3, 0);
          switch (GET_CODE (x4))
            {
            case REG:
            case SUBREG:
              operands[1] = x4;
              x14 = XEXP (x3, 1);
              if (subreg_lowpart_operator (x14, E_VOIDmode))
                {
                  switch (pattern270 (x3))
                    {
                    case 0:
                      return gen_split_22 (insn, operands);

                    case 1:
                      if ((
#line 31 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT) && 
#line 2935 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
( 1)))
                        return gen_split_28 (insn, operands);
                      break;

                    case 2:
                      if ((
#line 27 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT) && 
#line 2935 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
( 1)))
                        return gen_split_25 (insn, operands);
                      break;

                    case 3:
                      if ((
#line 27 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT) && 
#line 2935 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
( 1)))
                        return gen_split_31 (insn, operands);
                      break;

                    default:
                      break;
                    }
                }
              operands[2] = x14;
              return split_111 (x1, insn);

            case ZERO_EXTEND:
              return split_112 (x1, insn);

            default:
              return NULL;
            }

        case ASHIFTRT:
          x4 = XEXP (x3, 0);
          operands[1] = x4;
          x14 = XEXP (x3, 1);
          if (subreg_lowpart_operator (x14, E_VOIDmode))
            {
              switch (pattern270 (x3))
                {
                case 0:
                  return gen_split_23 (insn, operands);

                case 1:
                  if ((
#line 31 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT) && 
#line 2935 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
( 1)))
                    return gen_split_29 (insn, operands);
                  break;

                case 2:
                  if ((
#line 27 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT) && 
#line 2935 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
( 1)))
                    return gen_split_26 (insn, operands);
                  break;

                case 3:
                  if ((
#line 27 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT) && 
#line 2935 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
( 1)))
                    return gen_split_32 (insn, operands);
                  break;

                default:
                  break;
                }
            }
          operands[2] = x14;
          return split_113 (x1, insn);

        case LSHIFTRT:
          x4 = XEXP (x3, 0);
          operands[1] = x4;
          x14 = XEXP (x3, 1);
          if (subreg_lowpart_operator (x14, E_VOIDmode))
            {
              switch (pattern270 (x3))
                {
                case 0:
                  return gen_split_24 (insn, operands);

                case 1:
                  if ((
#line 31 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT) && 
#line 2935 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
( 1)))
                    return gen_split_30 (insn, operands);
                  break;

                case 2:
                  if ((
#line 27 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT) && 
#line 2935 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
( 1)))
                    return gen_split_27 (insn, operands);
                  break;

                case 3:
                  if ((
#line 27 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT) && 
#line 2935 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
( 1)))
                    return gen_split_33 (insn, operands);
                  break;

                default:
                  break;
                }
            }
          operands[2] = x14;
          return split_114 (x1, insn);

        case AND:
          return split_146 (x1, insn);

        case IOR:
          return split_148 (x1, insn);

        case XOR:
          return split_162 (x1, insn);

        case ROTATE:
          switch (pattern122 (x3))
            {
            case 0:
              if (!(
#line 432 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
(TARGET_ZBB || TARGET_ZBKB) && 
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
( 1)))
                return NULL;
              return gen_split_117 (insn, operands);

            case 1:
              if (!((
#line 432 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
(TARGET_ZBB || TARGET_ZBKB) && 
#line 31 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)) && 
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
( 1)))
                return NULL;
              return gen_split_121 (insn, operands);

            case 2:
              if (!((
#line 432 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
(TARGET_ZBB || TARGET_ZBKB) && 
#line 27 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)) && 
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
( 1)))
                return NULL;
              return gen_split_119 (insn, operands);

            case 3:
              if (!((
#line 432 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
(TARGET_ZBB || TARGET_ZBKB) && 
#line 27 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)) && 
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
( 1)))
                return NULL;
              return gen_split_123 (insn, operands);

            default:
              return NULL;
            }

        case ROTATERT:
          switch (pattern122 (x3))
            {
            case 0:
              if (!(
#line 432 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
(TARGET_ZBB || TARGET_ZBKB) && 
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
( 1)))
                return NULL;
              return gen_split_118 (insn, operands);

            case 1:
              if (!((
#line 432 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
(TARGET_ZBB || TARGET_ZBKB) && 
#line 31 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)) && 
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
( 1)))
                return NULL;
              return gen_split_122 (insn, operands);

            case 2:
              if (!((
#line 432 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
(TARGET_ZBB || TARGET_ZBKB) && 
#line 27 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)) && 
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
( 1)))
                return NULL;
              return gen_split_120 (insn, operands);

            case 3:
              if (!((
#line 432 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
(TARGET_ZBB || TARGET_ZBKB) && 
#line 27 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)) && 
#line 434 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
( 1)))
                return NULL;
              return gen_split_124 (insn, operands);

            default:
              return NULL;
            }

        case NEG:
          x4 = XEXP (x3, 0);
          switch (GET_CODE (x4))
            {
            case EQ:
              x6 = XEXP (x4, 0);
              if (GET_CODE (x6) != ZERO_EXTRACT)
                return NULL;
              x10 = XEXP (x6, 1);
              if (x10 != const_int_rtx[MAX_SAVED_CONST_INT + 1])
                return NULL;
              x5 = XEXP (x4, 1);
              if (x5 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
                return NULL;
              x8 = XEXP (x6, 0);
              operands[1] = x8;
              x15 = XEXP (x6, 2);
              operands[2] = x15;
              switch (GET_MODE (operands[0]))
                {
                case E_SImode:
                  if (pattern261 (x3, 
E_SImode) != 0
                      || !
#line 1010 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
(TARGET_ZBS))
                    return NULL;
                  return gen_split_174 (insn, operands);

                case E_DImode:
                  if (pattern261 (x3, 
E_DImode) != 0
                      || !(
#line 1010 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
(TARGET_ZBS) && 
#line 27 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)))
                    return NULL;
                  return gen_split_175 (insn, operands);

                default:
                  return NULL;
                }

            case REG:
            case SUBREG:
              operands[1] = x4;
              return split_116 (x1, insn);

            case UNSPEC:
              switch (pattern152 (x3))
                {
                case 0:
                  if (!((
#line 1456 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)) && 
#line 1458 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
                    return NULL;
                  return gen_split_10076 (insn, operands);

                case 1:
                  if (!((
#line 1456 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)) && 
#line 1458 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
                    return NULL;
                  return gen_split_10077 (insn, operands);

                case 2:
                  if (!((
#line 1456 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)) && 
#line 1458 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
                    return NULL;
                  return gen_split_10078 (insn, operands);

                case 3:
                  if (!((
#line 1456 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)) && 
#line 1458 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
                    return NULL;
                  return gen_split_10079 (insn, operands);

                case 4:
                  if (!((
#line 1456 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)) && 
#line 1458 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
                    return NULL;
                  return gen_split_10080 (insn, operands);

                case 5:
                  if (!((
#line 1456 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 157 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH && TARGET_MIN_VLEN > 32)) && 
#line 1458 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
                    return NULL;
                  return gen_split_10081 (insn, operands);

                case 6:
                  if (!((
#line 1456 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)) && 
#line 1458 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
                    return NULL;
                  return gen_split_10082 (insn, operands);

                case 7:
                  if (!((
#line 1456 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)) && 
#line 1458 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
                    return NULL;
                  return gen_split_10083 (insn, operands);

                case 8:
                  if (!((
#line 1456 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)) && 
#line 1458 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
                    return NULL;
                  return gen_split_10084 (insn, operands);

                case 9:
                  if (!((
#line 1456 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)) && 
#line 1458 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
                    return NULL;
                  return gen_split_10085 (insn, operands);

                case 10:
                  if (!((
#line 1456 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32)) && 
#line 1458 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
                    return NULL;
                  return gen_split_10086 (insn, operands);

                case 11:
                  if (!((
#line 1456 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)) && 
#line 1458 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
                    return NULL;
                  return gen_split_10087 (insn, operands);

                case 12:
                  if (!((
#line 1456 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)) && 
#line 1458 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
                    return NULL;
                  return gen_split_10088 (insn, operands);

                case 13:
                  if (!((
#line 1456 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)) && 
#line 1458 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
                    return NULL;
                  return gen_split_10089 (insn, operands);

                case 14:
                  if (!((
#line 1456 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)) && 
#line 1458 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
                    return NULL;
                  return gen_split_10090 (insn, operands);

                default:
                  return NULL;
                }

            default:
              return NULL;
            }

        case UNSPEC:
          return split_171 (x1, insn);

        case IF_THEN_ELSE:
          return split_160 (x1, insn);

        case VEC_DUPLICATE:
          return split_154 (x1, insn);

        case MINUS:
          return split_161 (x1, insn);

        case SMAX:
          return split_158 (x1, insn);

        case UMAX:
          return split_169 (x1, insn);

        case SMIN:
          return split_159 (x1, insn);

        case UMIN:
          return split_168 (x1, insn);

        case MULT:
          return split_147 (x1, insn);

        case DIV:
          return split_157 (x1, insn);

        case UDIV:
          return split_167 (x1, insn);

        case MOD:
          return split_165 (x1, insn);

        case UMOD:
          return split_166 (x1, insn);

        case NOT:
          return split_170 (x1, insn);

        case TRUNCATE:
          return split_145 (x1, insn);

        case FLOAT_EXTEND:
          return split_156 (x1, insn);

        case FLOAT_TRUNCATE:
          return split_155 (x1, insn);

        case FIX:
          return split_153 (x1, insn);

        case UNSIGNED_FIX:
          return split_152 (x1, insn);

        case FLOAT:
          return split_151 (x1, insn);

        case UNSIGNED_FLOAT:
          return split_150 (x1, insn);

        case ABS:
          switch (pattern127 (x3))
            {
            case 0:
              if (!((
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
                return NULL;
              return gen_split_5082 (insn, operands);

            case 1:
              if (!((
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
                return NULL;
              return gen_split_5084 (insn, operands);

            case 2:
              if (!((
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
                return NULL;
              return gen_split_5086 (insn, operands);

            case 3:
              if (!((
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
                return NULL;
              return gen_split_5088 (insn, operands);

            case 4:
              if (!((
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
                return NULL;
              return gen_split_5090 (insn, operands);

            case 5:
              if (!((
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 157 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH && TARGET_MIN_VLEN > 32)) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
                return NULL;
              return gen_split_5092 (insn, operands);

            case 6:
              if (!((
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
                return NULL;
              return gen_split_5094 (insn, operands);

            case 7:
              if (!((
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
                return NULL;
              return gen_split_5096 (insn, operands);

            case 8:
              if (!((
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
                return NULL;
              return gen_split_5098 (insn, operands);

            case 9:
              if (!((
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
                return NULL;
              return gen_split_5100 (insn, operands);

            case 10:
              if (!((
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32)) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
                return NULL;
              return gen_split_5102 (insn, operands);

            case 11:
              if (!((
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
                return NULL;
              return gen_split_5104 (insn, operands);

            case 12:
              if (!((
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
                return NULL;
              return gen_split_5106 (insn, operands);

            case 13:
              if (!((
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
                return NULL;
              return gen_split_5108 (insn, operands);

            case 14:
              if (!((
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
                return NULL;
              return gen_split_5110 (insn, operands);

            case 15:
              if (!((
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 236 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HFmode) && TARGET_ZVFH)) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
                return NULL;
              return gen_split_5112 (insn, operands);

            case 16:
              if (!((
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 237 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HFmode) && TARGET_ZVFH)) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
                return NULL;
              return gen_split_5114 (insn, operands);

            case 17:
              if (!((
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HFmode) && TARGET_ZVFH)) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
                return NULL;
              return gen_split_5116 (insn, operands);

            case 18:
              if (!((
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 239 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HFmode) && TARGET_ZVFH)) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
                return NULL;
              return gen_split_5118 (insn, operands);

            case 19:
              if (!((
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HFmode) && TARGET_ZVFH)) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
                return NULL;
              return gen_split_5120 (insn, operands);

            case 20:
              if (!((
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 64)) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
                return NULL;
              return gen_split_5122 (insn, operands);

            case 21:
              if (!((
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 242 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 128)) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
                return NULL;
              return gen_split_5124 (insn, operands);

            case 22:
              if (!((
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 243 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 256)) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
                return NULL;
              return gen_split_5126 (insn, operands);

            case 23:
              if (!((
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 244 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 512)) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
                return NULL;
              return gen_split_5128 (insn, operands);

            case 24:
              if (!((
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 245 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 1024)) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
                return NULL;
              return gen_split_5130 (insn, operands);

            case 25:
              if (!((
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 246 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 2048)) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
                return NULL;
              return gen_split_5132 (insn, operands);

            case 26:
              if (!((
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 247 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 4096)) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
                return NULL;
              return gen_split_5134 (insn, operands);

            case 27:
              if (!((
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 248 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SFmode) && TARGET_VECTOR_ELEN_FP_32)) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
                return NULL;
              return gen_split_5136 (insn, operands);

            case 28:
              if (!((
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 249 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SFmode) && TARGET_VECTOR_ELEN_FP_32)) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
                return NULL;
              return gen_split_5138 (insn, operands);

            case 29:
              if (!((
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 250 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SFmode) && TARGET_VECTOR_ELEN_FP_32)) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
                return NULL;
              return gen_split_5140 (insn, operands);

            case 30:
              if (!((
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 251 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SFmode) && TARGET_VECTOR_ELEN_FP_32)) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
                return NULL;
              return gen_split_5142 (insn, operands);

            case 31:
              if (!((
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 252 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 64)) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
                return NULL;
              return gen_split_5144 (insn, operands);

            case 32:
              if (!((
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 253 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 128)) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
                return NULL;
              return gen_split_5146 (insn, operands);

            case 33:
              if (!((
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 254 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 256)) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
                return NULL;
              return gen_split_5148 (insn, operands);

            case 34:
              if (!((
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 255 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 512)) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
                return NULL;
              return gen_split_5150 (insn, operands);

            case 35:
              if (!((
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 256 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 1024)) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
                return NULL;
              return gen_split_5152 (insn, operands);

            case 36:
              if (!((
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 257 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 2048)) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
                return NULL;
              return gen_split_5154 (insn, operands);

            case 37:
              if (!((
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 258 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 4096)) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
                return NULL;
              return gen_split_5156 (insn, operands);

            case 38:
              if (!((
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 259 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DFmode) && TARGET_VECTOR_ELEN_FP_64)) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
                return NULL;
              return gen_split_5158 (insn, operands);

            case 39:
              if (!((
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DFmode) && TARGET_VECTOR_ELEN_FP_64)) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
                return NULL;
              return gen_split_5160 (insn, operands);

            case 40:
              if (!((
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 261 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DFmode) && TARGET_VECTOR_ELEN_FP_64)) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
                return NULL;
              return gen_split_5162 (insn, operands);

            case 41:
              if (!((
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 262 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 64)) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
                return NULL;
              return gen_split_5164 (insn, operands);

            case 42:
              if (!((
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 128)) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
                return NULL;
              return gen_split_5166 (insn, operands);

            case 43:
              if (!((
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 264 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 256)) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
                return NULL;
              return gen_split_5168 (insn, operands);

            case 44:
              if (!((
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 265 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 512)) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
                return NULL;
              return gen_split_5170 (insn, operands);

            case 45:
              if (!((
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 266 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 1024)) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
                return NULL;
              return gen_split_5172 (insn, operands);

            case 46:
              if (!((
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 267 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 2048)) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
                return NULL;
              return gen_split_5174 (insn, operands);

            case 47:
              if (!((
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 4096)) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
                return NULL;
              return gen_split_5176 (insn, operands);

            default:
              return NULL;
            }

        case SQRT:
          return split_173 (x1, insn);

        case SMUL_HIGHPART:
          return split_164 (x1, insn);

        case UMUL_HIGHPART:
          return split_163 (x1, insn);

        case POPCOUNT:
          return split_172 (x1, insn);

        default:
          return NULL;
        }

    case PARALLEL:
      return split_180 (x1, insn);

    case EH_RETURN:
      if (!
#line 3911 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(epilogue_completed))
        return NULL;
      return gen_split_102 (insn, operands);

    default:
      return NULL;
    }
}
